/*

TRS / ACM BUILD SCRIPT

BY: BCB
DATE: 08/24/22
VERSION: 1.0.7

*/
set scan off
set define off
set sqlprefix off
set verify off
set feedback off
SET SERVEROUTPUT ON
spool trs_leims_v108_build_log_1_of_2.txt
prompt
prompt

prompt ***** TRS LEIMS BUILD 1.0.8 - 5-JAN-2023 (SCRIPT 1 OF 2) *****
prompt ...updating version info

UPDATE T_ACM_CONFIG
   SET SETTING = '1.0.8'
WHERE CODE = 'APP_VERSION';
 
UPDATE T_ACM_CONFIG
  SET SETTING = '21.11.0'
WHERE CODE = 'CONFIG_VERSION';
 
VARIABLE V_COUNT NUMBER
BEGIN
:V_COUNT:=0;
END;
/
prompt  ...done updating version info
prompt

prompt ...compiling schema (this may take some time)
prompt

BEGIN
   DBMS_UTILITY.COMPILE_SCHEMA ('ACM', FALSE);
END;
/
prompt /* ************************** 202200627 *************************** */
prompt ...applying IP 202200627
BEGIN
:V_COUNT:=:V_COUNT+1;
END;
/
@ip\202200627_dml.sql
COMMIT;
prompt  ...done applying IP 202200627
prompt /* *************************** 202200627 ************************** */

prompt /* ************************** 202200875 *************************** */
prompt ...applying IP 202200875
BEGIN
:V_COUNT:=:V_COUNT+1;
END;
/
@ip\202200875_ddl.sql
@ip\202200875_dml.sql
prompt  ...done applying IP 202200875
prompt /* *************************** 202200875 ************************** */

prompt /* ************************** 202200966 *************************** */
prompt ...applying IP 202200966
BEGIN
:V_COUNT:=:V_COUNT+1;
END;
/
@ip\202200966_dml.sql
prompt  ...done applying IP 202200966
prompt /* *************************** 202200966 ************************** */

prompt /* ************************** 202200961 *************************** */
prompt ...applying IP 202200961
BEGIN
:V_COUNT:=:V_COUNT+1;
END;
/
@ip\202200961_ddl.sql
@ip\202200961_dml.sql
prompt  ...done applying IP 202200961
prompt /* *************************** 202200961 ************************** */

prompt /* ************************** 202200962 *************************** */
prompt ...applying IP 202200962
BEGIN
:V_COUNT:=:V_COUNT+1;
END;
/
@ip\202200962_ddl.sql
@ip\202200962_dml.sql
prompt  ...done applying IP 202200962
prompt /* *************************** 202200962 ************************** */

prompt /* ************************** 202200647 *************************** */
prompt ...applying IP 202200647
BEGIN
:V_COUNT:=:V_COUNT+1;
END;
/
@ip\202200647_ddl.sql
@ip\202200647_dml.sql
prompt  ...done applying IP 202200647
prompt /* *************************** 202200647 ************************** */

prompt /* ************************** 202201007 *************************** */
prompt ...applying IP 202201007
BEGIN
:V_COUNT:=:V_COUNT+1;
END;
/
@ip\202201007_ddl.sql
@ip\202201007_dml.sql
prompt  ...done applying IP 202201007
prompt /* *************************** 202201007 ************************** */

prompt /* ************************** 202200875 Fix *************************** */
prompt ...applying IP 202200875 Fix
BEGIN
:V_COUNT:=:V_COUNT+1;
END;
/
@ip\202200875_dml_f.sql
@ip\202200875_ddl_f.sql
prompt  ...done applying IP 202200875 Fix
prompt /* *************************** 202200875 Fix ************************** */

prompt /* ************************** 202200962 Fix *************************** */
prompt ...applying IP 202200962 Fix
BEGIN
:V_COUNT:=:V_COUNT+1;
END;
/
@ip\202200962_ddl_f.sql
prompt  ...done applying IP 202200962 Fix
prompt /* *************************** 202200962 Fix ************************** */

prompt /* ************************** 202200875 Fix 2 *************************** */
prompt ...applying IP 202200875 Fix 2
BEGIN
:V_COUNT:=:V_COUNT+1;
END;
/
@ip\202200875_dml_f2.sql
prompt  ...done applying IP 202200875 Fix 2
prompt /* *************************** 202200875 Fix 2 ************************** */

prompt /* ************************** 202200961 Fix *************************** */
prompt ...applying IP 202200961
BEGIN
:V_COUNT:=:V_COUNT+1;
END;
/
@ip\202200961_ddl_f.sql
@ip\202200961_dml_f.sql
prompt  ...done applying IP 202200961
prompt /* *************************** 202200961 Fix ************************** */

prompt /* ************************** 202201007 Fix *************************** */
prompt ...applying IP 202201007
BEGIN
:V_COUNT:=:V_COUNT+1;
END;
/
@ip\202201007_dml_f2.sql
@ip\202201007_ddl_f4.sql
prompt  ...done applying IP 202201007
prompt /* *************************** 202201007 Fix ************************** */

prompt /* ************************** 202201007_fix5 *************************** */
prompt ...applying IP 202201007_fix5
BEGIN
:V_COUNT:=:V_COUNT+1;
END;
/
@ip\202201007_dml_f4.sql
prompt  ...done applying IP 202201007_fix5
prompt /* *************************** 202201007_fix5 ************************** */

prompt /* ************************** TRS_PGROUP Fix *************************** */
prompt ...applying IP TRS_PGROUP Fix
BEGIN
:V_COUNT:=:V_COUNT+1;
END;
/
@ip\TRSPGROUPS_dml.sql
prompt  ...done applying IP TRS_PGROUP Fix
prompt /* *************************** TRS_PGROUP Fix ************************** */

prompt /* ************************** 202200961 Fix 2 *************************** */
prompt ...applying IP 202200961
BEGIN
:V_COUNT:=:V_COUNT+1;
END;
/
@ip\202200961_dml_f2.sql
prompt  ...done applying IP 202200961
prompt /* *************************** 202200961 Fix 2 ************************** */

prompt
prompt
COMMIT;
SET SERVEROUTPUT OFF
set verify on
set feedback on
set define on
set sqlprefix on
prompt
prompt  ...done applying SCRIPT 1 OF 2
spool off
prompt
prompt ...compiling schema (this may take some time)
prompt

BEGIN
   DBMS_UTILITY.COMPILE_SCHEMA ('ACM', FALSE);   
END;
/
select ' ' || :V_COUNT || ' IPs successfully applied to database' AS "LEIMS Patch Summary" from dual;
spool off
COMMIT;
set verify on
set feedback on
set define on
set scan on
set sqlprefix on
prompt