prompt --application/set_environment
set define off verify off feedback off
whenever sqlerror exit sql.sqlcode rollback
--------------------------------------------------------------------------------
--
-- ORACLE Application Express (APEX) export file
--
-- You should run the script connected to SQL*Plus as the Oracle user
-- APEX_190200 or as the owner (parsing schema) of the application.
--
-- NOTE: Calls to apex_application_install override the defaults below.
--
--------------------------------------------------------------------------------
begin
wwv_flow_api.import_begin (
 p_version_yyyy_mm_dd=>'2019.10.04'
,p_release=>'19.2.0.00.18'
,p_default_workspace_id=>apex_util.find_security_group_id(user)
,p_default_application_id=>100
,p_default_id_offset=>0
,p_default_owner=>'ACM'
);
end;
/
 
prompt APPLICATION 100 - CI2MS
--
-- Application Export:
--   Application:     100
--   Name:            CI2MS
--   Date and Time:   08:23 Friday December 9, 2022
--   Exported By:     BRIAN.BOWMAN
--   Flashback:       0
--   Export Type:     Component Export
--   Manifest
--     PAGE: 5011
--     PAGE: 25
--   Manifest End
--   Version:         19.2.0.00.18
--   Instance ID:     199039407005378
--

begin
  -- replace components
  wwv_flow_api.g_mode := 'REPLACE';
end;
/
prompt --application/pages/delete_00025
begin
wwv_flow_api.remove_page (p_flow_id=>wwv_flow.g_flow_id, p_page_id=>25);
end;
/
prompt --application/pages/page_00025
begin
wwv_flow_api.create_page(
 p_id=>25
,p_user_interface_id=>wwv_flow_api.id(1724376430811806)
,p_name=>'Action with Comments Dialog'
,p_page_mode=>'MODAL'
,p_step_title=>'Action with Comments Dialog'
,p_warn_on_unsaved_changes=>'N'
,p_first_item=>'AUTO_FIRST_ITEM'
,p_autocomplete_on_off=>'ON'
,p_javascript_file_urls=>'#APP_IMAGES#/js/message.js'
,p_page_template_options=>'#DEFAULT#'
,p_required_role=>wwv_flow_api.id(5469764320376770)
,p_protection_level=>'C'
,p_help_text=>'No help is available for this page.'
,p_last_updated_by=>'BRIAN.BOWMAN'
,p_last_upd_yyyymmddhh24miss=>'20221205084333'
);
wwv_flow_api.create_page_plug(
 p_id=>wwv_flow_api.id(133163451644412803)
,p_plug_name=>'Action Region (plugin)'
,p_escape_on_http_output=>'Y'
,p_plug_display_sequence=>20.1
,p_plug_display_point=>'BODY'
,p_plug_source_type=>'PLUGIN_I2MS.ACTION_MSG_REGION'
,p_plug_query_num_rows=>15
,p_attribute_01=>'P25_OBJ'
,p_attribute_02=>'P25_ACTION_CODE'
,p_attribute_03=>'N'
,p_plug_comment=>wwv_flow_string.join(wwv_flow_t_varchar2(
'Previous Region Source (non-plugin):',
'IF :P20_CHECK_ACTION != ''Y'' THEN ',
'    ACM_AUTH.PRINT_MESSAGES_ON_PAGE_LOAD();',
'    APEX_JAVASCRIPT.ADD_ONLOAD_CODE(''$("#submit",apex.gPageContext$).attr("disabled","");'');',
'END IF;',
'HTP.P(''<p style="text-align:center;">You are about to '' || ',
'      :P20_ACTION_DISPLAY || ',
'      '' '' || ',
'      ACM_OBJ.LOOKUP_OBJTYPE_DISP(ACM_OBJ.GET_OBJTYPE(:P20_OBJ)) || ',
'      '' "'' || ',
'      ACM_OBJ.GET_TAGLINE(:P20_OBJ) || ',
'      ''". Press '' || ',
'      :P20_ACTION_DISPLAY || ',
'      '' to continue.</p>'');'))
);
wwv_flow_api.create_page_plug(
 p_id=>wwv_flow_api.id(73192924309807423)
,p_plug_name=>'Note Text Region'
,p_parent_plug_id=>wwv_flow_api.id(133163451644412803)
,p_region_template_options=>'#DEFAULT#:t-Region--scrollBody:t-Form--slimPadding:t-Form--leftLabels'
,p_plug_template=>wwv_flow_api.id(1698100915811778)
,p_plug_display_sequence=>30
,p_plug_display_point=>'BODY'
,p_plug_query_options=>'DERIVED_REPORT_COLUMNS'
,p_plug_display_condition_type=>'PLSQL_EXPRESSION'
,p_plug_display_when_condition=>':P25_CHECK_ACTION = ''Y'''
,p_attribute_01=>'N'
,p_attribute_02=>'HTML'
);
wwv_flow_api.create_page_item(
 p_id=>wwv_flow_api.id(73192852909807422)
,p_name=>'P25_NOTE_TYPE_SID'
,p_item_sequence=>70
,p_item_plug_id=>wwv_flow_api.id(133163451644412803)
,p_use_cache_before_default=>'NO'
,p_source=>'NOTE_TYPE_SID'
,p_source_type=>'DB_COLUMN'
,p_display_as=>'NATIVE_HIDDEN'
,p_attribute_01=>'Y'
);
wwv_flow_api.create_page_item(
 p_id=>wwv_flow_api.id(73193070253807424)
,p_name=>'P25_COMMENT'
,p_item_sequence=>10
,p_item_plug_id=>wwv_flow_api.id(73192924309807423)
,p_prompt=>'Comment'
,p_display_as=>'NATIVE_TEXTAREA'
,p_cSize=>30
,p_cHeight=>5
,p_field_template=>wwv_flow_api.id(1718914382811790)
,p_item_template_options=>'#DEFAULT#'
,p_attribute_01=>'Y'
,p_attribute_02=>'N'
,p_attribute_03=>'N'
,p_attribute_04=>'BOTH'
);
wwv_flow_api.create_page_item(
 p_id=>wwv_flow_api.id(128301224443251112)
,p_name=>'P25_OBJ'
,p_item_sequence=>10
,p_item_plug_id=>wwv_flow_api.id(133163451644412803)
,p_display_as=>'NATIVE_HIDDEN'
,p_cSize=>30
,p_cHeight=>1
,p_lov_display_extra=>'YES'
,p_attribute_01=>'Y'
);
wwv_flow_api.create_page_item(
 p_id=>wwv_flow_api.id(128301663778251123)
,p_name=>'P25_EVENT_SID'
,p_item_sequence=>20
,p_item_plug_id=>wwv_flow_api.id(133163451644412803)
,p_use_cache_before_default=>'NO'
,p_source=>'SID'
,p_source_type=>'DB_COLUMN'
,p_display_as=>'NATIVE_HIDDEN'
,p_cSize=>30
,p_cHeight=>1
,p_lov_display_extra=>'YES'
,p_attribute_01=>'Y'
);
wwv_flow_api.create_page_item(
 p_id=>wwv_flow_api.id(128302031860251123)
,p_name=>'P25_EVENT_CODE'
,p_item_sequence=>30
,p_item_plug_id=>wwv_flow_api.id(133163451644412803)
,p_use_cache_before_default=>'NO'
,p_source=>'CODE'
,p_source_type=>'DB_COLUMN'
,p_display_as=>'NATIVE_HIDDEN'
,p_cSize=>30
,p_cHeight=>1
,p_lov_display_extra=>'YES'
,p_attribute_01=>'Y'
);
wwv_flow_api.create_page_item(
 p_id=>wwv_flow_api.id(128302451837251123)
,p_name=>'P25_ACTION_DISPLAY'
,p_item_sequence=>40
,p_item_plug_id=>wwv_flow_api.id(133163451644412803)
,p_use_cache_before_default=>'NO'
,p_source=>'PRE_CHECK_DISPLAY'
,p_source_type=>'DB_COLUMN'
,p_display_as=>'NATIVE_HIDDEN'
,p_cSize=>30
,p_cHeight=>1
,p_lov_display_extra=>'YES'
,p_attribute_01=>'Y'
);
wwv_flow_api.create_page_item(
 p_id=>wwv_flow_api.id(128302834839251123)
,p_name=>'P25_ACTION_CODE'
,p_item_sequence=>50
,p_item_plug_id=>wwv_flow_api.id(133163451644412803)
,p_use_cache_before_default=>'NO'
,p_source=>'PRE_CHECK_CODE'
,p_source_type=>'DB_COLUMN'
,p_display_as=>'NATIVE_HIDDEN'
,p_cSize=>30
,p_cHeight=>1
,p_lov_display_extra=>'YES'
,p_attribute_01=>'Y'
);
wwv_flow_api.create_page_item(
 p_id=>wwv_flow_api.id(128303261048251125)
,p_name=>'P25_CHECK_ACTION'
,p_item_sequence=>60
,p_item_plug_id=>wwv_flow_api.id(133163451644412803)
,p_display_as=>'NATIVE_HIDDEN'
,p_cSize=>30
,p_cHeight=>1
,p_lov_display_extra=>'YES'
,p_attribute_01=>'Y'
);
wwv_flow_api.create_page_computation(
 p_id=>wwv_flow_api.id(128303790097251154)
,p_computation_sequence=>10
,p_computation_item=>'P25_CHECK_ACTION'
,p_computation_point=>'AFTER_HEADER'
,p_computation_type=>'PLSQL_EXPRESSION'
,p_computation=>'acm_bpe.check_action(:P25_ACTION_CODE, :P25_OBJ)'
,p_computation_error_message=>'Error Checking Permissions'
);
wwv_flow_api.create_page_computation(
 p_id=>wwv_flow_api.id(128304176766251156)
,p_computation_sequence=>1
,p_computation_item=>'P25_EVENT_SID'
,p_computation_point=>'BEFORE_HEADER'
,p_computation_type=>'QUERY'
,p_computation=>'select sid from t_acm_event where CODE = :P25_EVENT_CODE'
,p_compute_when=>'P25_EVENT_CODE'
,p_compute_when_type=>'ITEM_IS_NOT_NULL'
);
wwv_flow_api.create_page_validation(
 p_id=>wwv_flow_api.id(128304551992251157)
,p_validation_name=>'Check action'
,p_validation_sequence=>20
,p_validation=>wwv_flow_string.join(wwv_flow_t_varchar2(
'IF ACM_BPE.CHECK_ACTION(:P25_ACTION_CODE,:P25_OBJ) != ''Y'' THEN ',
'    ACM_AUTH.EMIT_MESSAGES();',
'end if;',
'RETURN '''';'))
,p_validation_type=>'FUNC_BODY_RETURNING_ERR_TEXT'
,p_error_display_location=>'INLINE_IN_NOTIFICATION'
);
wwv_flow_api.create_page_validation(
 p_id=>wwv_flow_api.id(73193183543807425)
,p_validation_name=>'Comment has Value'
,p_validation_sequence=>30
,p_validation=>'P25_COMMENT'
,p_validation_type=>'ITEM_NOT_NULL'
,p_error_message=>'You must enter a comment for this action.'
,p_associated_item=>wwv_flow_api.id(73193070253807424)
,p_error_display_location=>'INLINE_WITH_FIELD_AND_NOTIFICATION'
);
wwv_flow_api.create_page_process(
 p_id=>wwv_flow_api.id(73193298837807426)
,p_process_sequence=>10
,p_process_point=>'AFTER_SUBMIT'
,p_process_type=>'NATIVE_PLSQL'
,p_process_name=>'Action Comment'
,p_process_sql_clob=>wwv_flow_string.join(wwv_flow_t_varchar2(
'if :P25_NOTE_TYPE_SID is not null then',
'insert into T_ACM_NOTE (OBJ,NOTE_TYPE,NOTE_TEXT) VALUES',
'(:P25_OBJ,',
':P25_NOTE_TYPE_SID,',
':P25_COMMENT);',
'end if;'))
,p_error_display_location=>'INLINE_IN_NOTIFICATION'
);
wwv_flow_api.create_page_process(
 p_id=>wwv_flow_api.id(128304853011251159)
,p_process_sequence=>20
,p_process_point=>'AFTER_SUBMIT'
,p_process_type=>'NATIVE_PLSQL'
,p_process_name=>'Process Event'
,p_process_sql_clob=>'acm_bpe.process_event(:P25_EVENT_CODE, :P25_OBJ);'
,p_process_error_message=>'Error processing event: #SQLERRM#'
,p_error_display_location=>'INLINE_IN_NOTIFICATION'
,p_process_when=>wwv_flow_string.join(wwv_flow_t_varchar2(
':REQUEST=''SUBMIT''',
'AND NOT apex_error.have_errors_occurred ',
'AND :P25_CHECK_ACTION = ''Y'''))
,p_process_when_type=>'PLSQL_EXPRESSION'
,p_process_success_message=>'Action Processed.'
);
wwv_flow_api.create_page_process(
 p_id=>wwv_flow_api.id(128305215435251159)
,p_process_sequence=>30
,p_process_point=>'AFTER_SUBMIT'
,p_process_type=>'NATIVE_CLOSE_WINDOW'
,p_process_name=>'Close after success'
,p_process_error_message=>'#SQLERRM#'
,p_error_display_location=>'INLINE_IN_NOTIFICATION'
,p_process_when=>wwv_flow_string.join(wwv_flow_t_varchar2(
':REQUEST=''SUBMIT''',
'AND NOT apex_error.have_errors_occurred ',
'AND :P25_CHECK_ACTION = ''Y'''))
,p_process_when_type=>'PLSQL_EXPRESSION'
,p_process_success_message=>'Action completed successfully.'
);
wwv_flow_api.create_page_process(
 p_id=>wwv_flow_api.id(128305639659251159)
,p_process_sequence=>20
,p_process_point=>'BEFORE_HEADER'
,p_process_type=>'NATIVE_FORM_FETCH'
,p_process_name=>'ARF T_ACM_EVENT'
,p_attribute_02=>'T_ACM_EVENT'
,p_attribute_03=>'P25_EVENT_SID'
,p_attribute_04=>'SID'
,p_error_display_location=>'INLINE_IN_NOTIFICATION'
,p_process_when=>'P25_EVENT_SID'
,p_process_when_type=>'ITEM_IS_NOT_NULL'
);
end;
/
prompt --application/pages/delete_05011
begin
wwv_flow_api.remove_page (p_flow_id=>wwv_flow.g_flow_id, p_page_id=>5011);
end;
/
prompt --application/pages/page_05011
begin
wwv_flow_api.create_page(
 p_id=>5011
,p_user_interface_id=>wwv_flow_api.id(1724376430811806)
,p_name=>'Notes'
,p_page_mode=>'MODAL'
,p_step_title=>'Notes'
,p_reload_on_submit=>'A'
,p_warn_on_unsaved_changes=>'N'
,p_first_item=>'AUTO_FIRST_ITEM'
,p_autocomplete_on_off=>'ON'
,p_group_id=>wwv_flow_api.id(172900170760378564)
,p_page_template_options=>'#DEFAULT#'
,p_required_role=>wwv_flow_api.id(3580656235835262)
,p_dialog_height=>'600'
,p_dialog_width=>'800'
,p_dialog_chained=>'N'
,p_protection_level=>'C'
,p_help_text=>'No help is available for this page.'
,p_last_updated_by=>'BRIAN.BOWMAN'
,p_last_upd_yyyymmddhh24miss=>'20221206083504'
);
wwv_flow_api.create_page_plug(
 p_id=>wwv_flow_api.id(6189673073708960)
,p_plug_name=>'Note Details'
,p_region_template_options=>'#DEFAULT#:t-Form--slimPadding:t-Form--leftLabels'
,p_plug_template=>wwv_flow_api.id(1690005324811773)
,p_plug_display_sequence=>3
,p_plug_display_point=>'BODY'
,p_plug_query_num_rows=>15
,p_plug_query_options=>'DERIVED_REPORT_COLUMNS'
,p_attribute_01=>'N'
,p_attribute_02=>'HTML'
,p_attribute_03=>'Y'
);
wwv_flow_api.create_page_button(
 p_id=>wwv_flow_api.id(5491770416443762)
,p_button_sequence=>10
,p_button_plug_id=>wwv_flow_api.id(6189673073708960)
,p_button_name=>'CANCEL'
,p_button_action=>'DEFINED_BY_DA'
,p_button_template_options=>'#DEFAULT#'
,p_button_template_id=>wwv_flow_api.id(17059566633805304)
,p_button_image_alt=>'Cancel'
,p_button_position=>'TOP'
,p_button_alignment=>'LEFT'
,p_warn_on_unsaved_changes=>null
,p_button_cattributes=>'title="Cancel Notes"'
);
wwv_flow_api.create_page_button(
 p_id=>wwv_flow_api.id(5491225618443762)
,p_button_sequence=>20
,p_button_plug_id=>wwv_flow_api.id(6189673073708960)
,p_button_name=>'DELETE'
,p_button_static_id=>'delete'
,p_button_action=>'DEFINED_BY_DA'
,p_button_template_options=>'#DEFAULT#:t-Button--iconRight'
,p_button_template_id=>wwv_flow_api.id(10009339916085685)
,p_button_image_alt=>'Delete'
,p_button_position=>'TOP'
,p_button_execute_validations=>'N'
,p_warn_on_unsaved_changes=>null
,p_button_condition=>':P5011_SID IS NOT NULL AND SYNC_UTIL.CHECK_ROW_DATA_GROUP(''DELETE_NOTE'',:P5011_SID) = ''Y'''
,p_button_condition_type=>'PLSQL_EXPRESSION'
,p_button_cattributes=>'title="Delete Note"'
,p_security_scheme=>wwv_flow_api.id(208941255217341250)
,p_database_action=>'DELETE'
);
wwv_flow_api.create_page_button(
 p_id=>wwv_flow_api.id(5491140815443762)
,p_button_sequence=>30
,p_button_plug_id=>wwv_flow_api.id(6189673073708960)
,p_button_name=>'SAVE'
,p_button_static_id=>'save'
,p_button_action=>'SUBMIT'
,p_button_template_options=>'#DEFAULT#:t-Button--iconRight'
,p_button_template_id=>wwv_flow_api.id(10001553045979843)
,p_button_image_alt=>'Save'
,p_button_position=>'TOP'
,p_button_condition=>':P5011_SID IS NOT NULL AND SYNC_UTIL.CHECK_ROW_DATA_GROUP(''EDIT_NOTE'',:P5011_SID) = ''Y'''
,p_button_condition_type=>'PLSQL_EXPRESSION'
,p_button_cattributes=>'title="Apply Changes to Note"'
,p_security_scheme=>wwv_flow_api.id(74101937527451895)
,p_database_action=>'UPDATE'
);
wwv_flow_api.create_page_button(
 p_id=>wwv_flow_api.id(5491068569443762)
,p_button_sequence=>40
,p_button_plug_id=>wwv_flow_api.id(6189673073708960)
,p_button_name=>'CREATE'
,p_button_static_id=>'create'
,p_button_action=>'SUBMIT'
,p_button_template_options=>'#DEFAULT#:t-Button--iconRight'
,p_button_template_id=>wwv_flow_api.id(10225064190350856)
,p_button_image_alt=>'Create'
,p_button_position=>'TOP'
,p_button_condition=>'P5011_SID'
,p_button_condition_type=>'ITEM_IS_NULL'
,p_security_scheme=>wwv_flow_api.id(73320238765724048)
,p_database_action=>'INSERT'
);
wwv_flow_api.create_page_item(
 p_id=>wwv_flow_api.id(5494121200443767)
,p_name=>'P5011_SID'
,p_item_sequence=>10
,p_item_plug_id=>wwv_flow_api.id(6189673073708960)
,p_use_cache_before_default=>'NO'
,p_source=>'SID'
,p_source_type=>'DB_COLUMN'
,p_display_as=>'NATIVE_HIDDEN'
,p_protection_level=>'S'
,p_attribute_01=>'Y'
);
wwv_flow_api.create_page_item(
 p_id=>wwv_flow_api.id(5494517930443767)
,p_name=>'P5011_OBJ'
,p_item_sequence=>20
,p_item_plug_id=>wwv_flow_api.id(6189673073708960)
,p_use_cache_before_default=>'NO'
,p_source=>'OBJ'
,p_source_type=>'DB_COLUMN'
,p_display_as=>'NATIVE_HIDDEN'
,p_attribute_01=>'Y'
);
wwv_flow_api.create_page_item(
 p_id=>wwv_flow_api.id(5495360195443768)
,p_name=>'P5011_NOTE_TYPE'
,p_is_required=>true
,p_item_sequence=>50
,p_item_plug_id=>wwv_flow_api.id(6189673073708960)
,p_use_cache_before_default=>'NO'
,p_item_default=>wwv_flow_string.join(wwv_flow_t_varchar2(
'DECLARE',
'   V_COUNT     NUMBER := 0;',
'   V_REF_KEY   VARCHAR2 (110);',
'BEGIN',
'   SELECT COUNT (SID) INTO V_COUNT',
'     FROM T_ACM_NOTE_TYPE',
'    WHERE usage = :P5011_USAGE',
'          AND OBJ_TYPE = ACM_OBJ.GET_OBJTYPE (:P5011_OBJ);',
'',
'   IF V_COUNT = 1',
'   THEN',
'      SELECT SID',
'        INTO V_REF_KEY',
'        FROM T_ACM_NOTE_TYPE',
'       WHERE usage = :P5011_USAGE',
'             AND OBJ_TYPE = ACM_OBJ.GET_OBJTYPE (:P5011_OBJ);',
'',
'      RETURN V_REF_KEY;',
'   END IF;',
'',
'   RETURN NULL;',
'END;'))
,p_item_default_type=>'PLSQL_FUNCTION_BODY'
,p_prompt=>'Note Type:'
,p_source=>'NOTE_TYPE'
,p_source_type=>'DB_COLUMN'
,p_display_as=>'NATIVE_SELECT_LIST'
,p_lov=>wwv_flow_string.join(wwv_flow_t_varchar2(
'SELECT DISPLAY   D,',
'       SID       R',
'FROM T_ACM_NOTE_TYPE',
'WHERE OBJ_TYPE = ACM_OBJ.GET_OBJTYPE(:P5011_OBJ)AND ACTIVE = ''Y'' AND USAGE = :P5011_USAGE',
'ORDER BY SEQ, DISPLAY'))
,p_lov_display_null=>'YES'
,p_lov_null_text=>'- Select Note Type -'
,p_cHeight=>1
,p_read_only_when=>wwv_flow_string.join(wwv_flow_t_varchar2(
'DECLARE',
'V_COUNT NUMBER:=0;',
'BEGIN',
'  SELECT COUNT (SID) INTO V_COUNT FROM T_ACM_NOTE_TYPE WHERE usage = :P5011_USAGE AND OBJ_TYPE = ACM_OBJ.GET_OBJTYPE (:P5011_OBJ);',
'  IF V_COUNT = 1 THEN',
'  RETURN true;',
'  END IF;',
'',
'  if ((acm_bpe.check_action(''EDIT_NOTE'', :P5011_OBJ) = ''Y'') and (:P5011_SID is not null) and (:P5011_USAGE <> ''LIFECYCLE'')) then',
'   return false;',
'  elsif ((acm_bpe.check_action(''CREATE_NOTE'', :P5011_OBJ) = ''Y'') and (:P5011_SID is null)) then',
'   return false;',
'  else',
'   return true;',
'  end if;',
'END;'))
,p_read_only_when_type=>'FUNCTION_BODY'
,p_field_template=>wwv_flow_api.id(1718898501811790)
,p_item_template_options=>'#DEFAULT#'
,p_lov_display_extra=>'NO'
,p_attribute_01=>'NONE'
,p_attribute_02=>'N'
);
wwv_flow_api.create_page_item(
 p_id=>wwv_flow_api.id(5495762105443768)
,p_name=>'P5011_NOTE_TEXT'
,p_is_required=>true
,p_item_sequence=>60
,p_item_plug_id=>wwv_flow_api.id(6189673073708960)
,p_use_cache_before_default=>'NO'
,p_prompt=>'Note Text:'
,p_source=>'NOTE_TEXT'
,p_source_type=>'DB_COLUMN'
,p_display_as=>'PLUGIN_I2MS.TEXT_AREA'
,p_cSize=>60
,p_cMaxlength=>30000
,p_cHeight=>5
,p_display_when=>wwv_flow_string.join(wwv_flow_t_varchar2(
'select',
'    taot.sid',
'from',
'    t_acm_obj_type taot',
'    inner join t_acm_obj tao on taot.sid = tao.obj_type',
'where',
'    tao.sid = :P5011_OBJ',
'    AND TAOT.OBJ_ROOT != ''PARTIC'''))
,p_display_when_type=>'EXISTS'
,p_read_only_when=>wwv_flow_string.join(wwv_flow_t_varchar2(
'if ((acm_bpe.check_action(''EDIT_NOTE'', :P5011_OBJ) = ''Y'') and (:P5011_SID is not null) and (:P5011_USAGE <> ''LIFECYCLE'')) then',
' return false;',
'elsif ((acm_bpe.check_action(''CREATE_NOTE'', :P5011_OBJ) = ''Y'') and (:P5011_SID is null)) then',
' return false;',
'else',
' return true;',
'end if;'))
,p_read_only_when_type=>'FUNCTION_BODY'
,p_field_template=>wwv_flow_api.id(1718898501811790)
,p_item_template_options=>'#DEFAULT#'
,p_attribute_01=>'P&APP_PAGE_ID._OBJ'
,p_attribute_02=>'vertical'
,p_attribute_03=>'Y'
,p_attribute_04=>'P5011_SID'
,p_attribute_05=>'Y'
);
wwv_flow_api.create_page_item(
 p_id=>wwv_flow_api.id(5496927218443770)
,p_name=>'P5011_CREATED_BY'
,p_item_sequence=>80
,p_item_plug_id=>wwv_flow_api.id(6189673073708960)
,p_use_cache_before_default=>'NO'
,p_prompt=>'Created By:'
,p_source=>'CREATED_BY'
,p_source_type=>'DB_COLUMN'
,p_display_as=>'NATIVE_DISPLAY_ONLY'
,p_display_when=>'P5011_SID'
,p_display_when_type=>'ITEM_IS_NOT_NULL'
,p_field_template=>wwv_flow_api.id(1718652654811790)
,p_item_template_options=>'#DEFAULT#'
,p_attribute_01=>'Y'
,p_attribute_02=>'VALUE'
,p_attribute_04=>'Y'
);
wwv_flow_api.create_page_item(
 p_id=>wwv_flow_api.id(5497310264443771)
,p_name=>'P5011_CREATED_ON'
,p_item_sequence=>90
,p_item_plug_id=>wwv_flow_api.id(6189673073708960)
,p_use_cache_before_default=>'NO'
,p_prompt=>'Created On:'
,p_format_mask=>'&FMT_DATE_TIME.'
,p_source=>'CREATED_ON'
,p_source_type=>'DB_COLUMN'
,p_display_as=>'NATIVE_DISPLAY_ONLY'
,p_begin_on_new_line=>'N'
,p_display_when=>'P5011_SID'
,p_display_when_type=>'ITEM_IS_NOT_NULL'
,p_field_template=>wwv_flow_api.id(1718652654811790)
,p_item_template_options=>'#DEFAULT#'
,p_attribute_01=>'Y'
,p_attribute_02=>'VALUE'
,p_attribute_04=>'Y'
);
wwv_flow_api.create_page_item(
 p_id=>wwv_flow_api.id(5497798893443771)
,p_name=>'P5011_LAST_MODIFIED_BY'
,p_item_sequence=>100
,p_item_plug_id=>wwv_flow_api.id(6189673073708960)
,p_use_cache_before_default=>'NO'
,p_prompt=>'Last Modified By:'
,p_source=>'LAST_MODIFIED_BY'
,p_source_type=>'DB_COLUMN'
,p_display_as=>'NATIVE_DISPLAY_ONLY'
,p_display_when=>'P5011_SID'
,p_display_when_type=>'ITEM_IS_NOT_NULL'
,p_field_template=>wwv_flow_api.id(1718652654811790)
,p_item_template_options=>'#DEFAULT#'
,p_attribute_01=>'Y'
,p_attribute_02=>'VALUE'
,p_attribute_04=>'Y'
);
wwv_flow_api.create_page_item(
 p_id=>wwv_flow_api.id(5498135156443771)
,p_name=>'P5011_LAST_MODIFIED_ON'
,p_item_sequence=>110
,p_item_plug_id=>wwv_flow_api.id(6189673073708960)
,p_use_cache_before_default=>'NO'
,p_prompt=>'Last Modified On:'
,p_format_mask=>'&FMT_DATE_TIME.'
,p_source=>'LAST_MODIFIED_ON'
,p_source_type=>'DB_COLUMN'
,p_display_as=>'NATIVE_DISPLAY_ONLY'
,p_begin_on_new_line=>'N'
,p_display_when=>'P5011_SID'
,p_display_when_type=>'ITEM_IS_NOT_NULL'
,p_field_template=>wwv_flow_api.id(1718652654811790)
,p_item_template_options=>'#DEFAULT#'
,p_attribute_01=>'Y'
,p_attribute_02=>'VALUE'
,p_attribute_04=>'Y'
);
wwv_flow_api.create_page_item(
 p_id=>wwv_flow_api.id(5721317687465054)
,p_name=>'P5011_OBJ_DETAILS'
,p_item_sequence=>30
,p_item_plug_id=>wwv_flow_api.id(6189673073708960)
,p_prompt=>'Note on:'
,p_source=>'acm_obj.get_tagline(:P5011_OBJ)'
,p_source_type=>'FUNCTION'
,p_display_as=>'NATIVE_DISPLAY_ONLY'
,p_display_when=>'P5011_SID'
,p_display_when_type=>'ITEM_IS_NOT_NULL'
,p_field_template=>wwv_flow_api.id(1718652654811790)
,p_item_template_options=>'#DEFAULT#'
,p_attribute_01=>'Y'
,p_attribute_02=>'VALUE'
,p_attribute_04=>'Y'
);
wwv_flow_api.create_page_item(
 p_id=>wwv_flow_api.id(17062660874821547)
,p_name=>'P5011_NOTE_TEXT_NO_CLASS'
,p_is_required=>true
,p_item_sequence=>70
,p_item_plug_id=>wwv_flow_api.id(6189673073708960)
,p_use_cache_before_default=>'NO'
,p_prompt=>'Note Text:'
,p_source=>'NOTE_TEXT'
,p_source_type=>'DB_COLUMN'
,p_display_as=>'NATIVE_TEXTAREA'
,p_cSize=>60
,p_cMaxlength=>30000
,p_cHeight=>5
,p_display_when=>wwv_flow_string.join(wwv_flow_t_varchar2(
'select',
'    taot.sid',
'from',
'    t_acm_obj_type taot',
'    inner join t_acm_obj tao on taot.sid = tao.obj_type',
'where',
'    tao.sid = :P5011_OBJ',
'    AND TAOT.OBJ_ROOT = ''PARTIC'''))
,p_display_when_type=>'EXISTS'
,p_read_only_when=>wwv_flow_string.join(wwv_flow_t_varchar2(
'if ((acm_bpe.check_action(''EDIT_NOTE'', :P5011_OBJ) = ''Y'') and (:P5011_SID is not null) and (:P5011_USAGE <> ''LIFECYCLE'')) then',
' return false;',
'elsif ((acm_bpe.check_action(''CREATE_NOTE'', :P5011_OBJ) = ''Y'') and (:P5011_SID is null)) then',
' return false;',
'else',
' return true;',
'end if;'))
,p_read_only_when_type=>'FUNCTION_BODY'
,p_field_template=>wwv_flow_api.id(1718898501811790)
,p_item_template_options=>'#DEFAULT#'
,p_attribute_01=>'Y'
,p_attribute_02=>'N'
,p_attribute_03=>'Y'
,p_attribute_04=>'BOTH'
);
wwv_flow_api.create_page_item(
 p_id=>wwv_flow_api.id(93265781092086301)
,p_name=>'P5011_USAGE'
,p_item_sequence=>40
,p_item_plug_id=>wwv_flow_api.id(6189673073708960)
,p_source=>'NOTELIST'
,p_source_type=>'STATIC'
,p_display_as=>'NATIVE_HIDDEN'
,p_attribute_01=>'Y'
);
wwv_flow_api.create_page_computation(
 p_id=>wwv_flow_api.id(73193459066807428)
,p_computation_sequence=>10
,p_computation_item=>'P5011_NOTE_TYPE'
,p_computation_point=>'AFTER_HEADER'
,p_computation_type=>'QUERY'
,p_computation=>'select note_type from t_acm_note where sid = :P5011_SID'
);
wwv_flow_api.create_page_computation(
 p_id=>wwv_flow_api.id(73193307147807427)
,p_computation_sequence=>20
,p_computation_item=>'P5011_USAGE'
,p_computation_point=>'AFTER_HEADER'
,p_computation_type=>'QUERY'
,p_computation=>wwv_flow_string.join(wwv_flow_t_varchar2(
'SELECT USAGE',
'FROM T_ACM_NOTE_TYPE',
'where sid = :P5011_NOTE_TYPE'))
);
wwv_flow_api.create_page_computation(
 p_id=>wwv_flow_api.id(73193521473807429)
,p_computation_sequence=>30
,p_computation_item=>'P5011_OBJ'
,p_computation_point=>'AFTER_HEADER'
,p_computation_type=>'QUERY'
,p_computation=>'select obj from t_acm_note where sid = :P5011_SID'
);
wwv_flow_api.create_page_validation(
 p_id=>wwv_flow_api.id(5276341763311254)
,p_validation_name=>'P5011_NOTE_TYPE NOT MAXED OUT'
,p_validation_sequence=>10
,p_validation=>wwv_flow_string.join(wwv_flow_t_varchar2(
'declare',
'    v_NOTE_TYPE_max number;',
'    v_curr_NT_cnt number := 0;',
'begin',
'    IF :P5011_NOTE_TYPE IS NOT NULL THEN',
'    select MIN_NUM into v_NOTE_TYPE_max from t_ACM_NOTE_TYPE where sid = :P5011_NOTE_TYPE;',
'    IF v_NOTE_TYPE_max IS NULL THEN',
'      return true;',
'    elsif v_NOTE_TYPE_max is not null then',
'      select count(sid) INTO v_curr_NT_cnt from t_ACM_NOTE where NOTE_TYPE = :P5011_NOTE_TYPE and obj = :P5011_OBJ;',
'      IF v_curr_NT_cnt < v_NOTE_TYPE_max THEN',
'        RETURN TRUE;',
'      ELSE',
'        RETURN FALSE;',
'      END IF;',
'    END IF;',
'END IF;',
'END;'))
,p_validation_type=>'FUNC_BODY_RETURNING_BOOLEAN'
,p_error_message=>'This object already has the maximum number of notes of your chosen note type. Either delete another note of this type, or change the note type.'
,p_when_button_pressed=>wwv_flow_api.id(5491068569443762)
,p_associated_item=>wwv_flow_api.id(5495360195443768)
,p_error_display_location=>'INLINE_WITH_FIELD_AND_NOTIFICATION'
);
wwv_flow_api.create_page_validation(
 p_id=>wwv_flow_api.id(5276710995314209)
,p_validation_name=>'P5011_NOTE_TYPE NOT MAXED OUT'
,p_validation_sequence=>20
,p_validation=>wwv_flow_string.join(wwv_flow_t_varchar2(
'declare',
'    V_NEW_NOTE_MAX T_PARTIC_ROLE_TYPE.ROLE_MAX%TYPE;',
'    V_OLD_NOTE_TYPE T_PARTIC_INVOLVEMENT.INVOLVEMENT_ROLE%TYPE;',
'    V_NEW_NOTE_TYPE T_PARTIC_INVOLVEMENT.INVOLVEMENT_ROLE%TYPE;',
'    V_NOTE_CNT NUMBER := 0;',
'begin',
'    V_NEW_NOTE_TYPE := :P5011_NOTE_TYPE;',
'    SELECT NOTE_TYPE INTO V_OLD_NOTE_TYPE FROM T_ACM_NOTE WHERE SID = :P5011_SID;',
'    IF V_NEW_NOTE_TYPE = V_OLD_NOTE_TYPE THEN -- THEY''RE CHANGING SOMETHING ELSE, LET THEM CONTINUE.',
'        RETURN TRUE;',
'    ELSIF V_NEW_NOTE_TYPE = V_OLD_NOTE_TYPE THEN',
'        SELECT COUNT(SID) INTO V_NOTE_CNT FROM T_ACM_NOTE WHERE NOTE_TYPE = V_NEW_NOTE_TYPE and OBJ = :P5011_OBJ;',
'        SELECT MAX_NUM INTO V_NEW_NOTE_MAX FROM T_ACM_NOTE_TYPE WHERE SID = V_NEW_NOTE_TYPE;',
'        IF V_NEW_NOTE_MAX IS NULL THEN',
'            RETURN TRUE;',
'        ELSIF V_NOTE_CNT < V_NEW_NOTE_MAX THEN -- STRICT LESS THAN, MEANS THEY CAN ADD AT LEAST ONE MORE, WHICH IS FINE FOR THIS.',
'            RETURN TRUE;',
'        ELSE',
'            RETURN FALSE;',
'        END IF;',
'    ELSIF V_NEW_NOTE_TYPE != V_OLD_NOTE_TYPE THEN',
'        SELECT COUNT(SID) INTO V_NOTE_CNT FROM T_ACM_NOTE WHERE NOTE_TYPE = V_NEW_NOTE_TYPE and OBJ = :P5011_OBJ;',
'        SELECT MAX_NUM INTO V_NEW_NOTE_MAX FROM T_ACM_NOTE_TYPE WHERE SID = V_NEW_NOTE_TYPE;',
'        IF V_NEW_NOTE_MAX IS NULL THEN',
'            RETURN TRUE;',
'        ELSIF V_NOTE_CNT < V_NEW_NOTE_MAX THEN -- STRICT LESS THAN, MEANS THEY CAN ADD AT LEAST ONE MORE, WHICH IS FINE FOR THIS.',
'            RETURN TRUE;',
'        ELSE',
'            RETURN FALSE;',
'        END IF;',
'    END IF;',
'END;'))
,p_validation_type=>'FUNC_BODY_RETURNING_BOOLEAN'
,p_error_message=>'This object already has the maximum number of notes of your chosen note type. Either delete another note of this type, or change the note type.'
,p_when_button_pressed=>wwv_flow_api.id(5491140815443762)
,p_error_display_location=>'INLINE_WITH_FIELD_AND_NOTIFICATION'
);
wwv_flow_api.create_page_process(
 p_id=>wwv_flow_api.id(21126395179922901)
,p_process_sequence=>10
,p_process_point=>'AFTER_SUBMIT'
,p_process_type=>'NATIVE_PLSQL'
,p_process_name=>'Create'
,p_process_sql_clob=>wwv_flow_string.join(wwv_flow_t_varchar2(
'declare',
'note_text clob;',
'begin',
'select clob001 into note_text from ',
'APEX_FLOW_COLLECTIONS_192_SYN C ',
'INNER JOIN APEX_COLLECTION_MEMBER_192_SYN M ON M.COLLECTION_ID = C.ID ',
'where C.SESSION_ID = :APP_SESSION AND ',
'      C.USER_ID = :APP_USER AND ',
'      C.collection_name = ''CLOB_CONTENT'';',
'insert into t_acm_note (obj,note_type,note_text) values (:P5011_OBJ,:P5011_NOTE_TYPE,NOTE_TEXT);',
'END;'))
,p_error_display_location=>'INLINE_IN_NOTIFICATION'
,p_process_when_button_id=>wwv_flow_api.id(5491068569443762)
,p_process_when_type=>'NEVER'
);
wwv_flow_api.create_page_process(
 p_id=>wwv_flow_api.id(5499329918443775)
,p_process_sequence=>20
,p_process_point=>'AFTER_SUBMIT'
,p_process_type=>'NATIVE_FORM_PROCESS'
,p_process_name=>'T_ACM_NOTE Create'
,p_attribute_02=>'T_ACM_NOTE'
,p_attribute_03=>'P5011_SID'
,p_attribute_04=>'SID'
,p_attribute_11=>'I'
,p_attribute_12=>'Y'
,p_process_error_message=>'Note creation failed.'
,p_error_display_location=>'INLINE_IN_NOTIFICATION'
,p_process_when_button_id=>wwv_flow_api.id(5491068569443762)
,p_process_success_message=>'Note Created Successfully.'
,p_security_scheme=>wwv_flow_api.id(73320238765724048)
);
wwv_flow_api.create_page_process(
 p_id=>wwv_flow_api.id(16870328721475821)
,p_process_sequence=>30
,p_process_point=>'AFTER_SUBMIT'
,p_process_type=>'PLUGIN_PROCESS_EVENT'
,p_process_name=>'Process Note Created'
,p_attribute_01=>'NOTE_CREATED'
,p_attribute_02=>'P5011_OBJ'
,p_process_error_message=>'#SQLERRM#'
,p_error_display_location=>'INLINE_IN_NOTIFICATION'
,p_process_when_button_id=>wwv_flow_api.id(5491068569443762)
);
wwv_flow_api.create_page_process(
 p_id=>wwv_flow_api.id(112330272108820903)
,p_process_sequence=>40
,p_process_point=>'AFTER_SUBMIT'
,p_process_type=>'NATIVE_FORM_PROCESS'
,p_process_name=>'T_ACM_NOTE Save'
,p_attribute_02=>'T_ACM_NOTE'
,p_attribute_03=>'P5011_SID'
,p_attribute_04=>'SID'
,p_attribute_11=>'U'
,p_attribute_12=>'Y'
,p_process_error_message=>'#SQLERRM#'
,p_error_display_location=>'INLINE_IN_NOTIFICATION'
,p_process_when_button_id=>wwv_flow_api.id(5491140815443762)
,p_process_success_message=>'Note Saved Successfully.'
,p_security_scheme=>wwv_flow_api.id(74101937527451895)
);
wwv_flow_api.create_page_process(
 p_id=>wwv_flow_api.id(16870447626475822)
,p_process_sequence=>50
,p_process_point=>'AFTER_SUBMIT'
,p_process_type=>'PLUGIN_PROCESS_EVENT'
,p_process_name=>'Process Note Saved'
,p_attribute_01=>'NOTE_EDITED'
,p_attribute_02=>'P5011_OBJ'
,p_process_error_message=>'#SQLERRM#'
,p_error_display_location=>'INLINE_IN_NOTIFICATION'
,p_process_when_button_id=>wwv_flow_api.id(5491140815443762)
);
wwv_flow_api.create_page_process(
 p_id=>wwv_flow_api.id(112340133883824070)
,p_process_sequence=>60
,p_process_point=>'AFTER_SUBMIT'
,p_process_type=>'NATIVE_FORM_PROCESS'
,p_process_name=>'T_ACM_NOTE Delete'
,p_attribute_02=>'T_ACM_NOTE'
,p_attribute_03=>'P5011_SID'
,p_attribute_04=>'SID'
,p_attribute_11=>'D'
,p_attribute_12=>'Y'
,p_process_error_message=>'Note deletion failed.'
,p_error_display_location=>'INLINE_IN_NOTIFICATION'
,p_process_when_button_id=>wwv_flow_api.id(5491225618443762)
,p_process_success_message=>'Note deleted successfully.'
);
wwv_flow_api.create_page_process(
 p_id=>wwv_flow_api.id(16870534181475823)
,p_process_sequence=>70
,p_process_point=>'AFTER_SUBMIT'
,p_process_type=>'PLUGIN_PROCESS_EVENT'
,p_process_name=>'Process Note Deleted'
,p_attribute_01=>'NOTE_DELETED'
,p_attribute_02=>'P5011_OBJ'
,p_process_error_message=>'#SQLERRM#'
,p_error_display_location=>'INLINE_IN_NOTIFICATION'
,p_process_when_button_id=>wwv_flow_api.id(5491225618443762)
);
wwv_flow_api.create_page_process(
 p_id=>wwv_flow_api.id(16870909764475827)
,p_process_sequence=>80
,p_process_point=>'AFTER_SUBMIT'
,p_process_type=>'NATIVE_SESSION_STATE'
,p_process_name=>'Reset Page'
,p_attribute_01=>'CLEAR_CACHE_CURRENT_PAGE'
,p_error_display_location=>'INLINE_IN_NOTIFICATION'
);
wwv_flow_api.create_page_process(
 p_id=>wwv_flow_api.id(5500100701443775)
,p_process_sequence=>90
,p_process_point=>'AFTER_SUBMIT'
,p_process_type=>'NATIVE_CLOSE_WINDOW'
,p_process_name=>'Close Dialog'
,p_process_error_message=>'#SQLERRM#'
,p_error_display_location=>'INLINE_IN_NOTIFICATION'
,p_process_when=>wwv_flow_string.join(wwv_flow_t_varchar2(
':REQUEST in (''CREATE'',''SAVE'',''DELETE'') and',
'NOT apex_error.have_errors_occurred'))
,p_process_when_type=>'PLSQL_EXPRESSION'
,p_process_success_message=>'Notes updated!'
);
wwv_flow_api.create_page_process(
 p_id=>wwv_flow_api.id(5498927562443773)
,p_process_sequence=>30
,p_process_point=>'BEFORE_HEADER'
,p_process_type=>'NATIVE_FORM_FETCH'
,p_process_name=>'Fetch Row from T_ACM_NOTE'
,p_attribute_02=>'T_ACM_NOTE'
,p_attribute_03=>'P5011_SID'
,p_attribute_04=>'SID'
,p_process_error_message=>'#SQLERRM#'
);
end;
/
prompt --application/end_environment
begin
wwv_flow_api.import_end(p_auto_install_sup_obj => nvl(wwv_flow_application_install.get_auto_install_sup_obj, false));
--commit;
end;
/
set verify on feedback on define on
prompt  ...done
begin
wwv_flow_api.import_end(p_auto_install_sup_obj => nvl(wwv_flow_application_install.get_auto_install_sup_obj, false), p_is_component_import => true);
commit;
end;
/
set verify on feedback on define on
prompt  ...done
