prompt --application/set_environment
set define off verify off feedback off
whenever sqlerror exit sql.sqlcode rollback
--------------------------------------------------------------------------------
--
-- ORACLE Application Express (APEX) export file
--
-- You should run the script connected to SQL*Plus as the Oracle user
-- APEX_190200 or as the owner (parsing schema) of the application.
--
-- NOTE: Calls to apex_application_install override the defaults below.
--
--------------------------------------------------------------------------------
begin
wwv_flow_api.import_begin (
 p_version_yyyy_mm_dd=>'2019.10.04'
,p_release=>'19.2.0.00.18'
,p_default_workspace_id=>apex_util.find_security_group_id(user)
,p_default_application_id=>100
,p_default_id_offset=>0
,p_default_owner=>'ACM'
);
end;
/
 
prompt APPLICATION 100 - CI2MS
--
-- Application Export:
--   Application:     100
--   Name:            CI2MS
--   Date and Time:   10:18 Monday November 7, 2022
--   Exported By:     BRIAN.BOWMAN
--   Flashback:       0
--   Export Type:     Component Export
--   Manifest
--     PAGE: 5026
--     PAGE: 5027
--     PAGE: 2160
--     PLUGIN: 116305107935315485
--     PLUGIN: 116300254382315445
--   Manifest End
--   Version:         19.2.0.00.18
--   Instance ID:     199039407005378
--

begin
  -- replace components
  wwv_flow_api.g_mode := 'REPLACE';
end;
/
prompt --application/shared_components/plugins/region_type/i2ms_it_matter_region
begin
wwv_flow_api.create_plugin(
 p_id=>wwv_flow_api.id(116300254382315445)
,p_plugin_type=>'REGION TYPE'
,p_name=>'I2MS.IT_MATTER_REGION'
,p_display_name=>'I2MS IT Category'
,p_supported_ui_types=>'DESKTOP'
,p_javascript_file_urls=>'#APP_IMAGES#/js/i2ms-classic-report-21_02.js'
,p_api_version=>2
,p_render_function=>'#OWNER#.ACM_P_IT_MATTER.I2MS_IT_MATTER_REGION_RENDER'
,p_ajax_function=>'#OWNER#.ACM_P_IT_MATTER.I2MS_IT_MATTER_REGION_AJAX'
,p_substitute_attributes=>true
,p_subscribe_plugin_settings=>true
,p_version_identifier=>'2021.09.13'
);
wwv_flow_api.create_plugin_attribute(
 p_id=>wwv_flow_api.id(116300420870315451)
,p_plugin_id=>wwv_flow_api.id(116300254382315445)
,p_attribute_scope=>'COMPONENT'
,p_attribute_sequence=>1
,p_display_sequence=>10
,p_prompt=>'Page Item Obj'
,p_attribute_type=>'PAGE ITEM'
,p_is_required=>true
,p_is_translatable=>false
);
wwv_flow_api.create_plugin_event(
 p_id=>wwv_flow_api.id(116304776350315464)
,p_plugin_id=>wwv_flow_api.id(116300254382315445)
,p_name=>'paginate'
,p_display_name=>'paginate'
);
end;
/
prompt --application/shared_components/plugins/region_type/i2ms_it_disposition_region
begin
wwv_flow_api.create_plugin(
 p_id=>wwv_flow_api.id(116305107935315485)
,p_plugin_type=>'REGION TYPE'
,p_name=>'I2MS.IT_DISPOSITION_REGION'
,p_display_name=>'I2MS IT Disposition Region'
,p_supported_ui_types=>'DESKTOP'
,p_javascript_file_urls=>'#APP_IMAGES#/js/i2ms-classic-report-21_02.js'
,p_api_version=>2
,p_render_function=>'#OWNER#.ACM_P_IT_DISPOSITION.I2MS_IT_DISPOSITION_REGION_RENDER'
,p_ajax_function=>'#OWNER#.ACM_P_IT_DISPOSITION.I2MS_IT_DISPOSITION_REGION_AJAX'
,p_substitute_attributes=>true
,p_subscribe_plugin_settings=>true
,p_version_identifier=>'2021.09.13'
);
wwv_flow_api.create_plugin_attribute(
 p_id=>wwv_flow_api.id(116305304414315485)
,p_plugin_id=>wwv_flow_api.id(116305107935315485)
,p_attribute_scope=>'COMPONENT'
,p_attribute_sequence=>1
,p_display_sequence=>10
,p_prompt=>'Page Item Obj'
,p_attribute_type=>'PAGE ITEM'
,p_is_required=>true
,p_is_translatable=>false
);
wwv_flow_api.create_plugin_event(
 p_id=>wwv_flow_api.id(116310812060315487)
,p_plugin_id=>wwv_flow_api.id(116305107935315485)
,p_name=>'paginate'
,p_display_name=>'paginate'
);
end;
/
prompt --application/pages/delete_02160
begin
wwv_flow_api.remove_page (p_flow_id=>wwv_flow.g_flow_id, p_page_id=>2160);
end;
/
prompt --application/pages/page_02160
begin
wwv_flow_api.create_page(
 p_id=>2160
,p_user_interface_id=>wwv_flow_api.id(1724376430811806)
,p_name=>'Insider Threat Investigation'
,p_alias=>'FILE_INV_1'
,p_step_title=>'Insider Threat Investigation'
,p_reload_on_submit=>'A'
,p_first_item=>'AUTO_FIRST_ITEM'
,p_autocomplete_on_off=>'ON'
,p_group_id=>wwv_flow_api.id(50580294360533618)
,p_step_template=>wwv_flow_api.id(3648650640051096)
,p_page_template_options=>'#DEFAULT#'
,p_required_role=>wwv_flow_api.id(5469764320376770)
,p_read_only_when_type=>'PLSQL_EXPRESSION'
,p_read_only_when=>'ACM_UI.CHECK_PAGE_READ_ONLY'
,p_help_text=>'No help is available for this page.'
,p_last_updated_by=>'BRIAN.BOWMAN'
,p_last_upd_yyyymmddhh24miss=>'20221101143446'
);
wwv_flow_api.create_page_plug(
 p_id=>wwv_flow_api.id(4839396809682301)
,p_plug_name=>'Target Countries'
,p_region_name=>'R2160_TARGET_COUNTRIES'
,p_region_template_options=>'#DEFAULT#:is-collapsed:t-Region--scrollBody:t-Form--slimPadding:t-Form--leftLabels'
,p_plug_template=>wwv_flow_api.id(1694478717811776)
,p_plug_display_sequence=>80
,p_include_in_reg_disp_sel_yn=>'Y'
,p_plug_display_point=>'BODY'
,p_plug_source_type=>'PLUGIN_I2MS.COUNTRY_REGION'
,p_plug_query_options=>'DERIVED_REPORT_COLUMNS'
,p_plug_display_condition_type=>'SQL_EXPRESSION'
,p_plug_display_when_condition=>':P&APP_PAGE_ID._OBJ IS NOT NULL'
,p_attribute_01=>'P&APP_PAGE_ID._OBJ'
,p_attribute_02=>'Add Country'
,p_attribute_03=>'SAVE'
,p_attribute_04=>'SAVE'
);
wwv_flow_api.create_page_plug(
 p_id=>wwv_flow_api.id(4841758746682325)
,p_plug_name=>'DHS Components'
,p_region_name=>'R2160_DHS_COMPONENTS'
,p_region_template_options=>'#DEFAULT#:is-collapsed:t-Region--scrollBody:t-Form--slimPadding:t-Form--leftLabels'
,p_plug_template=>wwv_flow_api.id(1694478717811776)
,p_plug_display_sequence=>60
,p_include_in_reg_disp_sel_yn=>'Y'
,p_plug_display_point=>'BODY'
,p_plug_source_type=>'PLUGIN_I2MS.PARTIC_REGION'
,p_plug_query_options=>'DERIVED_REPORT_COLUMNS'
,p_plug_display_condition_type=>'SQL_EXPRESSION'
,p_plug_display_when_condition=>':P&APP_PAGE_ID._OBJ IS NOT NULL'
,p_attribute_01=>'P&APP_PAGE_ID._OBJ'
,p_attribute_02=>'DHS_AGENCY'
,p_attribute_04=>'Add DHS Component'
,p_attribute_06=>'ADD_PARTIC_INVOLV'
,p_attribute_07=>'EDIT_PARTIC_INVOLV'
,p_attribute_08=>'Edit DHS Component Involvement'
,p_attribute_09=>'DHS_AGENCY'
,p_attribute_10=>'N'
);
wwv_flow_api.create_page_plug(
 p_id=>wwv_flow_api.id(4841823900682326)
,p_plug_name=>'Other Agencies'
,p_region_name=>'R2160_OTHER_AGENCIES'
,p_region_template_options=>'#DEFAULT#:is-collapsed:t-Region--scrollBody:t-Form--slimPadding:t-Form--leftLabels'
,p_plug_template=>wwv_flow_api.id(1694478717811776)
,p_plug_display_sequence=>70
,p_include_in_reg_disp_sel_yn=>'Y'
,p_plug_display_point=>'BODY'
,p_plug_source_type=>'PLUGIN_I2MS.PARTIC_REGION'
,p_plug_query_options=>'DERIVED_REPORT_COLUMNS'
,p_plug_display_condition_type=>'SQL_EXPRESSION'
,p_plug_display_when_condition=>':P&APP_PAGE_ID._OBJ IS NOT NULL'
,p_attribute_01=>'P&APP_PAGE_ID._OBJ'
,p_attribute_02=>'OTHER_AGENCIES'
,p_attribute_04=>'Add Other Agency'
,p_attribute_06=>'ADD_PARTIC_INVOLV'
,p_attribute_07=>'EDIT_PARTIC_INVOLV'
,p_attribute_08=>'Edit Other Agency Involvement'
,p_attribute_09=>'NONINDIV'
,p_attribute_10=>'N'
);
wwv_flow_api.create_report_region(
 p_id=>wwv_flow_api.id(10754065358781511)
,p_name=>'Categories'
,p_region_name=>'R2160_CATEGORY'
,p_template=>wwv_flow_api.id(1694478717811776)
,p_display_sequence=>30
,p_region_template_options=>'#DEFAULT#:is-collapsed:t-Region--scrollBody:t-Form--slimPadding:t-Form--leftLabels'
,p_component_template_options=>'#DEFAULT#:t-Report--altRowsDefault:t-Report--rowHighlight'
,p_display_point=>'BODY'
,p_source_type=>'NATIVE_SQL_REPORT'
,p_query_type=>'SQL'
,p_source=>wwv_flow_string.join(wwv_flow_t_varchar2(
'select C.sid,',
'       ref_pri.display priority,',
'       ref_cat.display Category,',
'       ref_subcat.display Subcategory',
'from ',
'    T_F_CATEGORY C',
'       LEFT JOIN T_F_CATEGORY_REF_MAP crm ON crm.SID   = C.CATEGORY and crm.active =''Y''',
'       LEFT JOIN  t_acm_reference ref_pri  ON c.priority = ref_pri.ref_key  and ref_pri.active =''Y''',
'       LEFT JOIN  t_acm_reference ref_cat  ON crm.CATEGORY = ref_cat.ref_key  and ref_cat.active =''Y''',
'       LEFT JOIN  t_acm_reference ref_subcat  ON crm.SUB_CATEGORY = ref_subcat.ref_key  and ref_subcat.active =''Y''',
'where',
'  C.obj = :P2160_OBJ',
'order by ref_pri.display ,',
'       ref_cat.display ,',
'       ref_subcat.display ',
''))
,p_display_when_condition=>':P&APP_PAGE_ID._OBJ IS NOT NULL'
,p_display_condition_type=>'SQL_EXPRESSION'
,p_ajax_enabled=>'Y'
,p_query_row_template=>wwv_flow_api.id(1706976520811782)
,p_query_num_rows=>15
,p_query_options=>'DERIVED_REPORT_COLUMNS'
,p_query_show_nulls_as=>'-'
,p_query_num_rows_type=>'ROW_RANGES_IN_SELECT_LIST'
,p_pagination_display_position=>'BOTTOM_RIGHT'
,p_csv_output=>'N'
,p_prn_output=>'N'
,p_sort_null=>'L'
,p_plug_query_strip_html=>'N'
);
wwv_flow_api.create_report_columns(
 p_id=>wwv_flow_api.id(10754118075781512)
,p_query_column_id=>1
,p_column_alias=>'SID'
,p_column_display_sequence=>1
,p_column_heading=>'Edit'
,p_column_link=>'f?p=&APP_ID.:2161:&SESSION.::&DEBUG.:RP,2161:P2161_SID,P2161_OBJ:#SID#,&P2160_OBJ.'
,p_column_linktext=>'<img src="#IMAGE_PREFIX#app_ui/img/icons/apex-edit-pencil.png" class="apex-edit-pencil" alt="Edit Subject #Subject Name#">'
,p_column_alignment=>'CENTER'
,p_report_column_required_role=>wwv_flow_api.id(71870379768586784)
,p_derived_column=>'N'
,p_include_in_export=>'Y'
);
wwv_flow_api.create_report_columns(
 p_id=>wwv_flow_api.id(10754581488781516)
,p_query_column_id=>2
,p_column_alias=>'PRIORITY'
,p_column_display_sequence=>5
,p_column_heading=>'Priority'
,p_use_as_row_header=>'N'
,p_derived_column=>'N'
,p_include_in_export=>'Y'
);
wwv_flow_api.create_report_columns(
 p_id=>wwv_flow_api.id(10754289901781513)
,p_query_column_id=>3
,p_column_alias=>'CATEGORY'
,p_column_display_sequence=>3
,p_column_heading=>'Category'
,p_use_as_row_header=>'N'
,p_derived_column=>'N'
,p_include_in_export=>'Y'
);
wwv_flow_api.create_report_columns(
 p_id=>wwv_flow_api.id(10754324689781514)
,p_query_column_id=>4
,p_column_alias=>'SUBCATEGORY'
,p_column_display_sequence=>4
,p_column_heading=>'Subcategory'
,p_use_as_row_header=>'N'
,p_derived_column=>'N'
,p_include_in_export=>'Y'
);
wwv_flow_api.create_report_columns(
 p_id=>wwv_flow_api.id(3139158531724428)
,p_query_column_id=>5
,p_column_alias=>'DERIVED$01'
,p_column_display_sequence=>2
,p_column_heading=>'View'
,p_column_link=>'f?p=&APP_ID.:2161:&SESSION.::&DEBUG.:RP,2161:P2161_SID,P2161_OBJ:#SID#,&P2160_OBJ.'
,p_column_linktext=>'<img src="#IMAGE_PREFIX#app_ui/img/icons/apex-edit-view.png" class="apex-edit-view" alt="">'
,p_column_alignment=>'CENTER'
,p_report_column_required_role=>'!'||wwv_flow_api.id(71870379768586784)
,p_derived_column=>'Y'
,p_include_in_export=>'Y'
);
wwv_flow_api.create_page_plug(
 p_id=>wwv_flow_api.id(13586765336122027)
,p_plug_name=>'IT Category / Subcategory'
,p_region_name=>'R2160_ALLEGATIONS'
,p_region_template_options=>'#DEFAULT#:is-collapsed:t-Region--scrollBody:t-Form--slimPadding:t-Form--leftLabels'
,p_plug_template=>wwv_flow_api.id(1694478717811776)
,p_plug_display_sequence=>20
,p_include_in_reg_disp_sel_yn=>'Y'
,p_plug_display_point=>'BODY'
,p_plug_source_type=>'PLUGIN_I2MS.IT_MATTER_REGION'
,p_plug_query_options=>'DERIVED_REPORT_COLUMNS'
,p_plug_display_condition_type=>'ITEM_IS_NOT_NULL'
,p_plug_display_when_condition=>'P2160_SID'
,p_attribute_01=>'P&APP_PAGE_ID._OBJ'
);
wwv_flow_api.create_page_plug(
 p_id=>wwv_flow_api.id(13818591405845691)
,p_plug_name=>'Navigation'
,p_region_template_options=>'#DEFAULT#:is-expanded:t-Region--scrollBody:t-Form--slimPadding:t-Form--leftLabels'
,p_component_template_options=>'#DEFAULT#'
,p_plug_template=>wwv_flow_api.id(1694478717811776)
,p_plug_display_sequence=>30
,p_include_in_reg_disp_sel_yn=>'Y'
,p_plug_display_point=>'REGION_POSITION_02'
,p_plug_source_type=>'PLUGIN_I2MS.NAV_WIDGET_REGION'
,p_plug_query_options=>'DERIVED_REPORT_COLUMNS'
,p_plug_display_condition_type=>'SQL_EXPRESSION'
,p_plug_display_when_condition=>':P&APP_PAGE_ID._OBJ IS NOT NULL'
);
wwv_flow_api.create_page_plug(
 p_id=>wwv_flow_api.id(18715230073958593)
,p_plug_name=>'Investigative Plan'
,p_region_name=>'R2160_INV_PLAN'
,p_region_template_options=>'#DEFAULT#:is-collapsed:t-Region--hiddenOverflow'
,p_plug_template=>wwv_flow_api.id(1694478717811776)
,p_plug_display_sequence=>40
,p_plug_display_point=>'BODY'
,p_plug_query_num_rows=>15
,p_plug_query_options=>'DERIVED_REPORT_COLUMNS'
,p_plug_display_condition_type=>'SQL_EXPRESSION'
,p_plug_display_when_condition=>':P&APP_PAGE_ID._OBJ IS NOT NULL'
,p_attribute_01=>'N'
,p_attribute_02=>'HTML'
,p_attribute_03=>'Y'
);
wwv_flow_api.create_page_plug(
 p_id=>wwv_flow_api.id(18703603176752454)
,p_plug_name=>'Plan Steps'
,p_region_name=>'PLAN_STEPS_REGION'
,p_parent_plug_id=>wwv_flow_api.id(18715230073958593)
,p_region_template_options=>'#DEFAULT#:t-Region--hiddenOverflow'
,p_escape_on_http_output=>'Y'
,p_plug_template=>wwv_flow_api.id(1698100915811778)
,p_plug_display_sequence=>30.1
,p_plug_display_point=>'BODY'
,p_plug_source_type=>'PLUGIN_I2MS.INV_PLAN_REGION'
,p_plug_query_num_rows=>15
,p_plug_display_condition_type=>'SQL_EXPRESSION'
,p_plug_display_when_condition=>':P&APP_PAGE_ID._OBJ IS NOT NULL'
,p_attribute_01=>'P&APP_PAGE_ID._OBJ'
);
wwv_flow_api.create_page_plug(
 p_id=>wwv_flow_api.id(28316913560007061)
,p_plug_name=>'Notes'
,p_region_template_options=>'#DEFAULT#:is-collapsed:t-Region--scrollBody:t-Form--slimPadding:t-Form--leftLabels'
,p_plug_template=>wwv_flow_api.id(1694478717811776)
,p_plug_display_sequence=>120
,p_include_in_reg_disp_sel_yn=>'Y'
,p_plug_display_point=>'BODY'
,p_plug_source_type=>'PLUGIN_I2MS.NOTES_REGION'
,p_plug_query_options=>'DERIVED_REPORT_COLUMNS'
,p_plug_display_condition_type=>'SQL_EXPRESSION'
,p_plug_display_when_condition=>':P&APP_PAGE_ID._OBJ IS NOT NULL'
,p_attribute_01=>'P&APP_PAGE_ID._OBJ'
,p_attribute_02=>'Y'
);
wwv_flow_api.create_page_plug(
 p_id=>wwv_flow_api.id(37345222432227491)
,p_plug_name=>'Assignments'
,p_region_template_options=>'#DEFAULT#:is-expanded:t-Region--scrollBody:t-Form--slimPadding:t-Form--leftLabels'
,p_plug_template=>wwv_flow_api.id(1694478717811776)
,p_plug_display_sequence=>40
,p_include_in_reg_disp_sel_yn=>'Y'
,p_plug_display_point=>'REGION_POSITION_02'
,p_plug_source_type=>'PLUGIN_I2MS.STAKEHOLDER_WIDGET'
,p_plug_query_options=>'DERIVED_REPORT_COLUMNS'
,p_plug_display_condition_type=>'SQL_EXPRESSION'
,p_plug_display_when_condition=>':P&APP_PAGE_ID._OBJ IS NOT NULL'
,p_attribute_01=>'P&APP_PAGE_ID._OBJ'
);
wwv_flow_api.create_page_plug(
 p_id=>wwv_flow_api.id(39826489309208546)
,p_plug_name=>'Due Dates'
,p_region_template_options=>'#DEFAULT#:is-expanded:t-Region--scrollBody:t-Form--slimPadding:t-Form--leftLabels'
,p_plug_template=>wwv_flow_api.id(1694478717811776)
,p_plug_display_sequence=>10
,p_include_in_reg_disp_sel_yn=>'Y'
,p_plug_display_point=>'REGION_POSITION_02'
,p_plug_source_type=>'PLUGIN_I2MS.DUEDATE_WIDGET'
,p_plug_query_options=>'DERIVED_REPORT_COLUMNS'
,p_plug_display_condition_type=>'SQL_EXPRESSION'
,p_plug_display_when_condition=>':P&APP_PAGE_ID._OBJ IS NOT NULL'
,p_attribute_01=>'P&APP_PAGE_ID._OBJ'
);
wwv_flow_api.create_page_plug(
 p_id=>wwv_flow_api.id(115720096491768959)
,p_plug_name=>'File Details'
,p_region_name=>'R2160_FILE_DETAILS'
,p_region_template_options=>'#DEFAULT#:is-expanded:t-Region--hiddenOverflow:t-Form--leftLabels:t-Form--slimPadding'
,p_plug_template=>wwv_flow_api.id(1694478717811776)
,p_plug_display_sequence=>10
,p_plug_display_point=>'BODY'
,p_plug_query_num_rows=>15
,p_plug_query_options=>'DERIVED_REPORT_COLUMNS'
,p_plug_read_only_when_type=>'PLSQL_EXPRESSION'
,p_plug_read_only_when=>'ACM_UI.CHECK_PAGE_READ_ONLY'
,p_attribute_01=>'N'
,p_attribute_02=>'HTML'
,p_attribute_03=>'Y'
);
wwv_flow_api.create_page_plug(
 p_id=>wwv_flow_api.id(9061597843837803)
,p_plug_name=>'Object Retention'
,p_region_name=>'R2160_OBJ_RETENTION'
,p_parent_plug_id=>wwv_flow_api.id(115720096491768959)
,p_region_template_options=>'#DEFAULT#:t-Region--scrollBody:t-Form--slimPadding:t-Form--leftLabels'
,p_plug_template=>wwv_flow_api.id(1698100915811778)
,p_plug_display_sequence=>30
,p_plug_display_point=>'BODY'
,p_plug_source_type=>'PLUGIN_I2MS.RETENTION_REGION'
,p_plug_query_options=>'DERIVED_REPORT_COLUMNS'
,p_plug_display_condition_type=>'ITEM_IS_NOT_NULL'
,p_plug_display_when_condition=>'P2160_OBJ'
,p_attribute_01=>'P2160_OBJ'
);
wwv_flow_api.create_report_region(
 p_id=>wwv_flow_api.id(10753219720781503)
,p_name=>'Narratives'
,p_parent_plug_id=>wwv_flow_api.id(115720096491768959)
,p_template=>wwv_flow_api.id(1694478717811776)
,p_display_sequence=>15
,p_region_template_options=>'#DEFAULT#:is-collapsed:t-Region--scrollBody:t-Form--slimPadding:t-Form--leftLabels'
,p_component_template_options=>'#DEFAULT#:t-Report--altRowsDefault:t-Report--rowHighlight'
,p_display_point=>'BODY'
,p_source_type=>'NATIVE_SQL_REPORT'
,p_query_type=>'SQL'
,p_source=>wwv_flow_string.join(wwv_flow_t_varchar2(
'select SI.sid,',
'       TAR.display sum_type,',
'       si.START_DATE,',
'       si.END_DATE',
'from ',
'    T_F_SUM_INV SI',
'    LEFT JOIN  t_acm_reference TAR  ON  TAR.ref_key = SI.SUM_TYPE and TAR.active =''Y''',
'where',
'  SI.obj = :P2160_OBJ',
'order by TAR.display'))
,p_display_when_condition=>'P2160_SID'
,p_display_condition_type=>'ITEM_IS_NOT_NULL'
,p_ajax_enabled=>'Y'
,p_query_row_template=>wwv_flow_api.id(1706976520811782)
,p_query_num_rows=>15
,p_query_options=>'DERIVED_REPORT_COLUMNS'
,p_query_show_nulls_as=>'-'
,p_query_break_cols=>'0'
,p_query_num_rows_type=>'ROW_RANGES_IN_SELECT_LIST'
,p_pagination_display_position=>'BOTTOM_RIGHT'
,p_break_type_flag=>'DEFAULT_BREAK_FORMATTING'
,p_csv_output=>'N'
,p_prn_output=>'N'
,p_sort_null=>'L'
,p_plug_query_strip_html=>'N'
);
wwv_flow_api.create_report_columns(
 p_id=>wwv_flow_api.id(10753535634781506)
,p_query_column_id=>1
,p_column_alias=>'SID'
,p_column_display_sequence=>1
,p_column_heading=>'Edit'
,p_column_link=>'f?p=&APP_ID.:5021:&SESSION.::&DEBUG.:RP,5021:P5021_SID:#SID#'
,p_column_linktext=>'<img src="#IMAGE_PREFIX#app_ui/img/icons/apex-edit-pencil.png" class="apex-edit-pencil" alt="Edit Subject #Subject Name#">'
,p_derived_column=>'N'
,p_include_in_export=>'Y'
);
wwv_flow_api.create_report_columns(
 p_id=>wwv_flow_api.id(10753644774781507)
,p_query_column_id=>2
,p_column_alias=>'SUM_TYPE'
,p_column_display_sequence=>2
,p_column_heading=>'Summary Type'
,p_use_as_row_header=>'N'
,p_derived_column=>'N'
,p_include_in_export=>'Y'
);
wwv_flow_api.create_report_columns(
 p_id=>wwv_flow_api.id(10753794165781508)
,p_query_column_id=>3
,p_column_alias=>'START_DATE'
,p_column_display_sequence=>3
,p_column_heading=>'Start date'
,p_use_as_row_header=>'N'
,p_column_format=>'&FMT_DATE.'
,p_lov_show_nulls=>'YES'
,p_derived_column=>'N'
,p_lov_display_extra=>'YES'
,p_include_in_export=>'Y'
);
wwv_flow_api.create_report_columns(
 p_id=>wwv_flow_api.id(10753831510781509)
,p_query_column_id=>4
,p_column_alias=>'END_DATE'
,p_column_display_sequence=>4
,p_column_heading=>'End date'
,p_use_as_row_header=>'N'
,p_column_format=>'&FMT_DATE.'
,p_lov_show_nulls=>'YES'
,p_derived_column=>'N'
,p_lov_display_extra=>'YES'
,p_include_in_export=>'Y'
);
wwv_flow_api.create_page_plug(
 p_id=>wwv_flow_api.id(27193410118843325)
,p_plug_name=>'Disposition'
,p_region_name=>'R2160_DISPOSITION'
,p_parent_plug_id=>wwv_flow_api.id(115720096491768959)
,p_region_template_options=>'#DEFAULT#:is-collapsed:t-Region--scrollBody:t-Form--slimPadding:t-Form--leftLabels'
,p_plug_template=>wwv_flow_api.id(1694478717811776)
,p_plug_display_sequence=>20
,p_plug_display_point=>'BODY'
,p_plug_source_type=>'PLUGIN_I2MS.IT_DISPOSITION_REGION'
,p_plug_query_options=>'DERIVED_REPORT_COLUMNS'
,p_plug_display_condition_type=>'SQL_EXPRESSION'
,p_plug_display_when_condition=>':P&APP_PAGE_ID._OBJ IS NOT NULL'
,p_attribute_01=>'P&APP_PAGE_ID._OBJ'
);
wwv_flow_api.create_page_plug(
 p_id=>wwv_flow_api.id(115726843091768994)
,p_plug_name=>'Work Hours'
,p_region_template_options=>'#DEFAULT#:is-collapsed:t-Region--scrollBody:t-Form--slimPadding:t-Form--leftLabels'
,p_plug_template=>wwv_flow_api.id(1694478717811776)
,p_plug_display_sequence=>130
,p_plug_display_point=>'BODY'
,p_plug_source_type=>'PLUGIN_I2MS.WORK_HOURS_REGION'
,p_plug_query_options=>'DERIVED_REPORT_COLUMNS'
,p_plug_display_condition_type=>'SQL_EXPRESSION'
,p_plug_display_when_condition=>':P&APP_PAGE_ID._OBJ IS NOT NULL'
,p_attribute_01=>'P&APP_PAGE_ID._OBJ'
,p_attribute_02=>'Y'
);
wwv_flow_api.create_page_plug(
 p_id=>wwv_flow_api.id(115729661186769001)
,p_plug_name=>'Associated Activities'
,p_region_name=>'R2160_ASSOC_ACTS'
,p_region_template_options=>'#DEFAULT#:is-collapsed:t-Region--scrollBody:t-Form--slimPadding:t-Form--leftLabels'
,p_plug_template=>wwv_flow_api.id(1694478717811776)
,p_plug_display_sequence=>90
,p_plug_display_point=>'BODY'
,p_plug_item_display_point=>'BELOW'
,p_plug_source_type=>'PLUGIN_I2MS.ASSOC_ACT_REGION'
,p_plug_query_options=>'DERIVED_REPORT_COLUMNS'
,p_plug_display_condition_type=>'SQL_EXPRESSION'
,p_plug_display_when_condition=>':P&APP_PAGE_ID._OBJ IS NOT NULL'
,p_attribute_01=>'P&APP_PAGE_ID._OBJ'
,p_attribute_02=>'Y'
);
wwv_flow_api.create_page_plug(
 p_id=>wwv_flow_api.id(115766853273769099)
,p_plug_name=>'Attachments'
,p_region_template_options=>'#DEFAULT#:is-collapsed:t-Region--scrollBody:t-Form--slimPadding:t-Form--leftLabels'
,p_plug_template=>wwv_flow_api.id(1694478717811776)
,p_plug_display_sequence=>110
,p_plug_display_point=>'BODY'
,p_plug_source_type=>'PLUGIN_I2MS.ATTACHMENT_REGION'
,p_plug_query_options=>'DERIVED_REPORT_COLUMNS'
,p_plug_display_condition_type=>'SQL_EXPRESSION'
,p_plug_display_when_condition=>':P&APP_PAGE_ID._OBJ IS NOT NULL'
,p_attribute_01=>'P&APP_PAGE_ID._OBJ'
,p_attribute_02=>'Y'
);
wwv_flow_api.create_page_plug(
 p_id=>wwv_flow_api.id(115770440584769109)
,p_plug_name=>'Page Header'
,p_region_name=>'page_header'
,p_region_template_options=>'t-Form--slimPadding'
,p_plug_template=>wwv_flow_api.id(1701496427811779)
,p_plug_display_sequence=>5
,p_plug_display_point=>'REGION_POSITION_01'
,p_plug_item_display_point=>'BELOW'
,p_plug_source_type=>'PLUGIN_I2MS.PAGE_HEADER'
,p_plug_query_options=>'DERIVED_REPORT_COLUMNS'
,p_attribute_01=>'P&APP_PAGE_ID._OBJ'
);
wwv_flow_api.create_page_plug(
 p_id=>wwv_flow_api.id(40808241169789587)
,p_plug_name=>'vltButtonHolder'
,p_region_name=>'vltButtonHolder'
,p_parent_plug_id=>wwv_flow_api.id(115770440584769109)
,p_region_template_options=>'#DEFAULT#:t-Form--slimPadding:t-Form--leftLabels'
,p_region_attributes=>'style="right: 0px;"'
,p_plug_template=>wwv_flow_api.id(1690005324811773)
,p_plug_display_sequence=>100
,p_plug_display_point=>'BODY'
,p_plug_source_type=>'PLUGIN_I2MS.VLT_ACTIONS_REGION'
,p_plug_query_options=>'DERIVED_REPORT_COLUMNS'
,p_plug_display_condition_type=>'SQL_EXPRESSION'
,p_plug_display_when_condition=>':P&APP_PAGE_ID._OBJ IS NOT NULL'
,p_attribute_01=>'P&APP_PAGE_ID._OBJ'
);
wwv_flow_api.create_page_plug(
 p_id=>wwv_flow_api.id(126776624275599988)
,p_plug_name=>'Progress'
,p_region_template_options=>'#DEFAULT#:is-expanded:t-Region--scrollBody:t-Form--slimPadding:t-Form--leftLabels'
,p_plug_template=>wwv_flow_api.id(1694478717811776)
,p_plug_display_sequence=>20
,p_include_in_reg_disp_sel_yn=>'Y'
,p_plug_display_point=>'REGION_POSITION_02'
,p_plug_source_type=>'PLUGIN_I2MS.MILESTONE_WIDGET'
,p_plug_query_options=>'DERIVED_REPORT_COLUMNS'
,p_plug_display_condition_type=>'SQL_EXPRESSION'
,p_plug_display_when_condition=>':P&APP_PAGE_ID._OBJ IS NOT NULL'
,p_attribute_01=>'P&APP_PAGE_ID._OBJ'
);
wwv_flow_api.create_page_plug(
 p_id=>wwv_flow_api.id(132906752300987903)
,p_plug_name=>'Associated Files'
,p_region_name=>'R2160_ASSOC_FILES'
,p_region_template_options=>'#DEFAULT#:is-collapsed:t-Region--scrollBody:t-Form--slimPadding:t-Form--leftLabels'
,p_plug_template=>wwv_flow_api.id(1694478717811776)
,p_plug_display_sequence=>100
,p_plug_display_point=>'BODY'
,p_plug_item_display_point=>'BELOW'
,p_plug_source_type=>'PLUGIN_I2MS.ASSOC_FILE_REGION'
,p_plug_query_options=>'DERIVED_REPORT_COLUMNS'
,p_plug_display_condition_type=>'SQL_EXPRESSION'
,p_plug_display_when_condition=>':P&APP_PAGE_ID._OBJ IS NOT NULL'
,p_attribute_01=>'P&APP_PAGE_ID._OBJ'
);
wwv_flow_api.create_page_plug(
 p_id=>wwv_flow_api.id(208102449208613927)
,p_plug_name=>'Participants'
,p_region_name=>'R2160_PARTICIPANTS'
,p_region_template_options=>'#DEFAULT#:is-collapsed:t-Region--scrollBody:t-Form--slimPadding:t-Form--leftLabels'
,p_plug_template=>wwv_flow_api.id(1694478717811776)
,p_plug_display_sequence=>50
,p_plug_display_point=>'BODY'
,p_plug_source_type=>'PLUGIN_I2MS.PARTIC_W_DHS_REGION'
,p_plug_query_options=>'DERIVED_REPORT_COLUMNS'
,p_plug_display_condition_type=>'SQL_EXPRESSION'
,p_plug_display_when_condition=>':P&APP_PAGE_ID._OBJ IS NOT NULL'
,p_attribute_01=>'P&APP_PAGE_ID._OBJ'
,p_attribute_02=>'PARTICIPANTS'
,p_attribute_04=>'Add Participant'
,p_attribute_06=>'ADD_PARTIC_INVOLV'
,p_attribute_07=>'EDIT_PARTIC_INVOLV'
,p_attribute_08=>'Edit Participant Involvement'
,p_attribute_09=>'BOTH'
,p_attribute_10=>'N'
);
wwv_flow_api.create_page_button(
 p_id=>wwv_flow_api.id(10705522033850085)
,p_button_sequence=>11
,p_button_plug_id=>wwv_flow_api.id(115770440584769109)
,p_button_name=>'CREATE'
,p_button_static_id=>'create'
,p_button_action=>'SUBMIT'
,p_button_template_options=>'#DEFAULT#:t-Button--iconRight'
,p_button_template_id=>wwv_flow_api.id(10225064190350856)
,p_button_image_alt=>'Create'
,p_button_position=>'REGION_TEMPLATE_CREATE'
,p_button_condition=>':P&APP_PAGE_ID._OBJ IS NULL'
,p_button_condition_type=>'SQL_EXPRESSION'
,p_security_scheme=>wwv_flow_api.id(72970226767143604)
);
wwv_flow_api.create_page_button(
 p_id=>wwv_flow_api.id(10705929685850085)
,p_button_sequence=>12
,p_button_plug_id=>wwv_flow_api.id(115770440584769109)
,p_button_name=>'DELETE'
,p_button_static_id=>'delete'
,p_button_action=>'DEFINED_BY_DA'
,p_button_template_options=>'#DEFAULT#:t-Button--iconRight'
,p_button_template_id=>wwv_flow_api.id(10009339916085685)
,p_button_image_alt=>'Delete'
,p_button_position=>'REGION_TEMPLATE_DELETE'
,p_button_condition=>':P&APP_PAGE_ID._OBJ IS NOT NULL'
,p_button_condition_type=>'SQL_EXPRESSION'
,p_grid_new_row=>'Y'
,p_grid_new_column=>'Y'
,p_security_scheme=>wwv_flow_api.id(73010276736178896)
,p_database_action=>'DELETE'
);
wwv_flow_api.create_page_button(
 p_id=>wwv_flow_api.id(10706338981850085)
,p_button_sequence=>10
,p_button_plug_id=>wwv_flow_api.id(115770440584769109)
,p_button_name=>'SAVE'
,p_button_static_id=>'save'
,p_button_action=>'SUBMIT'
,p_button_template_options=>'#DEFAULT#:t-Button--iconRight'
,p_button_template_id=>wwv_flow_api.id(10001553045979843)
,p_button_image_alt=>'Save'
,p_button_position=>'REGION_TEMPLATE_NEXT'
,p_button_condition=>':P&APP_PAGE_ID._OBJ IS NOT NULL'
,p_button_condition_type=>'SQL_EXPRESSION'
,p_grid_new_row=>'Y'
,p_grid_new_column=>'Y'
,p_security_scheme=>wwv_flow_api.id(71870379768586784)
);
wwv_flow_api.create_page_button(
 p_id=>wwv_flow_api.id(10706740376850085)
,p_button_sequence=>80
,p_button_plug_id=>wwv_flow_api.id(115770440584769109)
,p_button_name=>'COLLAPSE_EXPAND_THINGS'
,p_button_action=>'DEFINED_BY_DA'
,p_button_template_options=>'#DEFAULT#:t-Button--iconRight'
,p_button_template_id=>wwv_flow_api.id(10003508401982631)
,p_button_image_alt=>'Expand/Collapse All Regions'
,p_button_position=>'REGION_TEMPLATE_NEXT'
,p_button_condition=>':P&APP_PAGE_ID._OBJ IS NOT NULL'
,p_button_condition_type=>'SQL_EXPRESSION'
,p_grid_new_row=>'Y'
,p_grid_new_column=>'Y'
);
wwv_flow_api.create_page_button(
 p_id=>wwv_flow_api.id(10707172736850087)
,p_button_sequence=>9
,p_button_plug_id=>wwv_flow_api.id(115770440584769109)
,p_button_name=>'BACK'
,p_button_action=>'DEFINED_BY_DA'
,p_button_template_options=>'#DEFAULT#:t-Button--iconRight'
,p_button_template_id=>wwv_flow_api.id(10002533769981117)
,p_button_image_alt=>'Back'
,p_button_position=>'REGION_TEMPLATE_PREVIOUS'
);
wwv_flow_api.create_page_button(
 p_id=>wwv_flow_api.id(10753332918781504)
,p_button_sequence=>10
,p_button_plug_id=>wwv_flow_api.id(10753219720781503)
,p_button_name=>'ADD_SOI'
,p_button_action=>'REDIRECT_PAGE'
,p_button_template_options=>'#DEFAULT#:t-Button--iconRight'
,p_button_template_id=>wwv_flow_api.id(10008299115081357)
,p_button_image_alt=>'Add Narratives'
,p_button_position=>'TOP'
,p_button_alignment=>'LEFT'
,p_button_redirect_url=>'f?p=&APP_ID.:5021:&SESSION.::&DEBUG.:RP,5021:P5021_OBJ:&P2160_OBJ.'
,p_security_scheme=>wwv_flow_api.id(71870379768586784)
);
wwv_flow_api.create_page_button(
 p_id=>wwv_flow_api.id(10754481163781515)
,p_button_sequence=>10
,p_button_plug_id=>wwv_flow_api.id(10754065358781511)
,p_button_name=>'ADD_CATEGORY'
,p_button_action=>'REDIRECT_PAGE'
,p_button_template_options=>'#DEFAULT#:t-Button--iconRight'
,p_button_template_id=>wwv_flow_api.id(10008299115081357)
,p_button_image_alt=>'Add Category'
,p_button_position=>'TOP'
,p_button_alignment=>'LEFT'
,p_button_redirect_url=>'f?p=&APP_ID.:2161:&SESSION.::&DEBUG.:RP,2161:P2161_OBJ:&P2160_OBJ.'
,p_security_scheme=>wwv_flow_api.id(71870379768586784)
);
wwv_flow_api.create_page_branch(
 p_id=>wwv_flow_api.id(10720913194850092)
,p_branch_name=>'Go to page after delete'
,p_branch_action=>'f?p=&APP_ID.:&P0_HOMEPAGE.:&SESSION.::&DEBUG.:RP,&P0_HOMEPAGE.::'
,p_branch_point=>'AFTER_PROCESSING'
,p_branch_type=>'REDIRECT_URL'
,p_branch_when_button_id=>wwv_flow_api.id(10705929685850085)
,p_branch_sequence=>30
,p_branch_condition_type=>'PLSQL_EXPRESSION'
,p_branch_condition=>'not apex_error.have_errors_occurred'
);
wwv_flow_api.create_page_item(
 p_id=>wwv_flow_api.id(2763010183223489)
,p_name=>'P2160_OBJ_TYPE_CODE'
,p_item_sequence=>135
,p_item_plug_id=>wwv_flow_api.id(115770440584769109)
,p_display_as=>'NATIVE_HIDDEN'
,p_item_template_options=>'#DEFAULT#'
,p_attribute_01=>'Y'
);
wwv_flow_api.create_page_item(
 p_id=>wwv_flow_api.id(9835880562386704)
,p_name=>'P2160_RESTRICTION'
,p_item_sequence=>135
,p_item_plug_id=>wwv_flow_api.id(115720096491768959)
,p_prompt=>'Restriction'
,p_display_as=>'PLUGIN_I2MS.RESTRICTION_SELECT'
,p_field_template=>wwv_flow_api.id(1718652654811790)
,p_item_template_options=>'#DEFAULT#'
,p_security_scheme=>wwv_flow_api.id(9570460470372138)
,p_attribute_01=>'P2160_OBJ'
);
wwv_flow_api.create_page_item(
 p_id=>wwv_flow_api.id(10698696201850082)
,p_name=>'P2160_PLAN_RECOMMENDATION'
,p_item_sequence=>10
,p_item_plug_id=>wwv_flow_api.id(18715230073958593)
,p_use_cache_before_default=>'NO'
,p_prompt=>'Plan Recommendation:'
,p_source=>'PLAN_RECOMMENDATION'
,p_source_type=>'DB_COLUMN'
,p_display_as=>'PLUGIN_I2MS.TEXT_AREA'
,p_cSize=>80
,p_cMaxlength=>30000
,p_cHeight=>5
,p_field_template=>wwv_flow_api.id(1718775262811790)
,p_item_template_options=>'#DEFAULT#'
,p_attribute_01=>'P&APP_PAGE_ID._OBJ'
,p_attribute_02=>'both'
,p_attribute_03=>'Y'
,p_attribute_04=>'P&APP_PAGE_ID._OBJ'
,p_attribute_05=>'N'
);
wwv_flow_api.create_page_item(
 p_id=>wwv_flow_api.id(10700834912850084)
,p_name=>'P2160_ID'
,p_item_sequence=>35
,p_item_plug_id=>wwv_flow_api.id(115720096491768959)
,p_use_cache_before_default=>'NO'
,p_prompt=>'File ID:'
,p_source=>'ID'
,p_source_type=>'DB_COLUMN'
,p_display_as=>'NATIVE_DISPLAY_ONLY'
,p_display_when=>'P2160_SID'
,p_display_when_type=>'ITEM_IS_NOT_NULL'
,p_field_template=>wwv_flow_api.id(1718652654811790)
,p_item_template_options=>'#DEFAULT#'
,p_attribute_01=>'Y'
,p_attribute_02=>'VALUE'
,p_attribute_04=>'Y'
);
wwv_flow_api.create_page_item(
 p_id=>wwv_flow_api.id(10701223661850084)
,p_name=>'P2160_TITLE'
,p_is_required=>true
,p_item_sequence=>45
,p_item_plug_id=>wwv_flow_api.id(115720096491768959)
,p_use_cache_before_default=>'NO'
,p_item_default=>'acm_obj.get_default_title'
,p_item_default_type=>'PLSQL_EXPRESSION'
,p_prompt=>'Title:'
,p_source=>'TITLE'
,p_source_type=>'DB_COLUMN'
,p_display_as=>'PLUGIN_I2MS.TEXT'
,p_cSize=>60
,p_cMaxlength=>100
,p_cHeight=>1
,p_field_template=>wwv_flow_api.id(1718898501811790)
,p_item_template_options=>'#DEFAULT#'
,p_attribute_01=>'P&APP_PAGE_ID._OBJ'
,p_attribute_04=>'P&APP_PAGE_ID._OBJ'
,p_attribute_05=>'N'
);
wwv_flow_api.create_page_item(
 p_id=>wwv_flow_api.id(10702052309850084)
,p_name=>'P2160_PRIORITY'
,p_item_sequence=>65
,p_item_plug_id=>wwv_flow_api.id(115720096491768959)
,p_prompt=>'Priority:'
,p_display_as=>'PLUGIN_I2MS.PRIORITY'
,p_display_when_type=>'NEVER'
,p_field_template=>wwv_flow_api.id(1718652654811790)
,p_item_template_options=>'#DEFAULT#'
,p_attribute_01=>'P&APP_PAGE_ID._OBJ'
);
wwv_flow_api.create_page_item(
 p_id=>wwv_flow_api.id(10703291337850084)
,p_name=>'P2160_NARRATIVE'
,p_item_sequence=>105
,p_item_plug_id=>wwv_flow_api.id(115720096491768959)
,p_use_cache_before_default=>'NO'
,p_prompt=>'Summary:'
,p_source=>'SUMMARY_INVESTIGATION'
,p_source_type=>'DB_COLUMN'
,p_display_as=>'PLUGIN_I2MS.TEXT_AREA'
,p_cSize=>80
,p_cMaxlength=>32767
,p_cHeight=>5
,p_display_when_type=>'NEVER'
,p_field_template=>wwv_flow_api.id(1718775262811790)
,p_item_template_options=>'#DEFAULT#'
,p_attribute_01=>'P&APP_PAGE_ID._OBJ'
,p_attribute_02=>'none'
,p_attribute_03=>'Y'
,p_attribute_04=>'P&APP_PAGE_ID._OBJ'
,p_attribute_05=>'N'
);
wwv_flow_api.create_page_item(
 p_id=>wwv_flow_api.id(10703603426850084)
,p_name=>'P2160_SUBJECT'
,p_item_sequence=>125
,p_item_plug_id=>wwv_flow_api.id(115720096491768959)
,p_use_cache_before_default=>'NO'
,p_display_as=>'NATIVE_HIDDEN'
,p_attribute_01=>'N'
);
wwv_flow_api.create_page_item(
 p_id=>wwv_flow_api.id(10707516259850087)
,p_name=>'P2160_SID'
,p_item_sequence=>10
,p_item_plug_id=>wwv_flow_api.id(115770440584769109)
,p_use_cache_before_default=>'NO'
,p_source=>'SID'
,p_source_type=>'DB_COLUMN'
,p_display_as=>'NATIVE_HIDDEN'
,p_attribute_01=>'Y'
);
wwv_flow_api.create_page_item(
 p_id=>wwv_flow_api.id(10707920212850087)
,p_name=>'P2160_OBJ'
,p_item_sequence=>20
,p_item_plug_id=>wwv_flow_api.id(115770440584769109)
,p_use_cache_before_default=>'NO'
,p_source=>'OBJ'
,p_source_type=>'DB_COLUMN'
,p_display_as=>'NATIVE_HIDDEN'
,p_attribute_01=>'Y'
);
wwv_flow_api.create_page_item(
 p_id=>wwv_flow_api.id(10708356553850087)
,p_name=>'P2160_CLASSIFICATION'
,p_item_sequence=>60
,p_item_plug_id=>wwv_flow_api.id(115770440584769109)
,p_display_as=>'PLUGIN_I2MS.CLASSIFICATION_ITEM'
,p_attribute_01=>'P&APP_PAGE_ID._OBJ'
);
wwv_flow_api.create_page_computation(
 p_id=>wwv_flow_api.id(10713061767850089)
,p_computation_sequence=>30
,p_computation_item=>'P2160_SUBJECT'
,p_computation_point=>'BEFORE_BOX_BODY'
,p_computation_type=>'QUERY'
,p_computation=>wwv_flow_string.join(wwv_flow_t_varchar2(
'SELECT PARTICIPANT FROM T_PARTIC_INVOLVEMENT ',
'WHERE OBJ = (:P2160_OBJ) AND INVOLVEMENT_ROLE = (SELECT SID FROM T_PARTIC_ROLE_TYPE WHERE OBJ_TYPE = (ACM_OBJ.GET_OBJTYPE(:P2160_OBJ)) ',
'AND CODE = ''SUBJECT'');'))
,p_compute_when=>'P2160_OBJ'
,p_compute_when_type=>'ITEM_IS_NOT_NULL'
);
wwv_flow_api.create_page_da_event(
 p_id=>wwv_flow_api.id(10718962282850092)
,p_name=>'Add Template Plan Steps (Plug-in)'
,p_event_sequence=>10.1
,p_triggering_element_type=>'JQUERY_SELECTOR'
,p_triggering_element=>'.add-minimum-steps'
,p_bind_type=>'bind'
,p_bind_event_type=>'click'
);
wwv_flow_api.create_page_da_action(
 p_id=>wwv_flow_api.id(10719902026850092)
,p_event_id=>wwv_flow_api.id(10718962282850092)
,p_event_result=>'TRUE'
,p_action_sequence=>10
,p_execute_on_page_init=>'N'
,p_action=>'NATIVE_EXECUTE_PLSQL_CODE'
,p_attribute_01=>wwv_flow_string.join(wwv_flow_t_varchar2(
'declare',
'v_step_cnt number := 0;',
'begin',
'    select count (''x'') into v_step_cnt FROM t_f_plan_step WHERE OBJ = :P2160_OBJ;',
'    acm_p_plan.process_tmplt_steps(:P2160_OBJ);',
'    if v_step_cnt = 0 THEN',
'       acm_bpe.process_event(''PLAN_ADDED'',:P2160_OBJ);',
'    end if;',
'end;'))
,p_attribute_02=>'P2160_OBJ'
,p_wait_for_result=>'Y'
);
wwv_flow_api.create_page_da_action(
 p_id=>wwv_flow_api.id(10720426484850092)
,p_event_id=>wwv_flow_api.id(10718962282850092)
,p_event_result=>'TRUE'
,p_action_sequence=>20
,p_execute_on_page_init=>'N'
,p_action=>'NATIVE_REFRESH'
,p_affected_elements_type=>'REGION'
,p_affected_region_id=>wwv_flow_api.id(18703603176752454)
);
end;
/
begin
wwv_flow_api.create_page_da_action(
 p_id=>wwv_flow_api.id(10719471940850092)
,p_event_id=>wwv_flow_api.id(10718962282850092)
,p_event_result=>'TRUE'
,p_action_sequence=>30
,p_execute_on_page_init=>'N'
,p_action=>'NATIVE_JAVASCRIPT_CODE'
,p_attribute_01=>'apex.message.showPageSuccess(''Minimum Steps Added and/or Refreshed.'');'
);
wwv_flow_api.create_page_process(
 p_id=>wwv_flow_api.id(10716105406850090)
,p_process_sequence=>1
,p_process_point=>'AFTER_SUBMIT'
,p_process_type=>'PLUGIN_I2MS.DELETE_OBJECT'
,p_process_name=>'Delete Object'
,p_attribute_01=>'P2160_OBJ'
,p_process_error_message=>'File deletion failed! #SQLERRM#'
,p_error_display_location=>'INLINE_IN_NOTIFICATION'
,p_process_when_button_id=>wwv_flow_api.id(10705929685850085)
,p_security_scheme=>wwv_flow_api.id(73010276736178896)
);
wwv_flow_api.create_page_process(
 p_id=>wwv_flow_api.id(10715369540850090)
,p_process_sequence=>10
,p_process_point=>'AFTER_SUBMIT'
,p_process_type=>'NATIVE_FORM_PROCESS'
,p_process_name=>'T_F_INV_1 Create'
,p_attribute_02=>'T_F_INV_1'
,p_attribute_03=>'P2160_SID'
,p_attribute_04=>'SID'
,p_attribute_05=>'P2160_OBJ'
,p_attribute_06=>'OBJ'
,p_attribute_09=>'P2160_SID'
,p_attribute_10=>'P2160_OBJ'
,p_attribute_11=>'I'
,p_attribute_12=>'Y'
,p_process_error_message=>'File creation failed! #SQLERRM#'
,p_error_display_location=>'INLINE_IN_NOTIFICATION'
,p_process_when_button_id=>wwv_flow_api.id(10705522033850085)
,p_process_success_message=>'File created!'
,p_security_scheme=>wwv_flow_api.id(72970226767143604)
);
wwv_flow_api.create_page_process(
 p_id=>wwv_flow_api.id(10717393048850090)
,p_process_sequence=>20
,p_process_point=>'AFTER_SUBMIT'
,p_process_type=>'PLUGIN_PROCESS_EVENT'
,p_process_name=>'Process Event Create'
,p_attribute_01=>'CREATED'
,p_attribute_02=>'P2160_OBJ'
,p_error_display_location=>'INLINE_IN_NOTIFICATION'
,p_process_when_button_id=>wwv_flow_api.id(10705522033850085)
);
wwv_flow_api.create_page_process(
 p_id=>wwv_flow_api.id(10714511749850090)
,p_process_sequence=>40
,p_process_point=>'AFTER_SUBMIT'
,p_process_type=>'NATIVE_FORM_PROCESS'
,p_process_name=>'T_F_INV_1 Save'
,p_attribute_02=>'T_F_INV_1'
,p_attribute_03=>'P2160_SID'
,p_attribute_04=>'SID'
,p_attribute_05=>'P2160_OBJ'
,p_attribute_06=>'OBJ'
,p_attribute_09=>'P2160_SID'
,p_attribute_10=>'P2160_OBJ'
,p_attribute_11=>'U'
,p_attribute_12=>'Y'
,p_process_error_message=>'File update failed! #SQLERRM#'
,p_error_display_location=>'INLINE_IN_NOTIFICATION'
,p_process_when_button_id=>wwv_flow_api.id(10706338981850085)
,p_process_success_message=>'File updated!'
,p_security_scheme=>wwv_flow_api.id(71870379768586784)
);
wwv_flow_api.create_page_process(
 p_id=>wwv_flow_api.id(10718518262850092)
,p_process_sequence=>50
,p_process_point=>'AFTER_SUBMIT'
,p_process_type=>'PLUGIN_I2MS.UPDATE_T_ACM_OBJ'
,p_process_name=>'Update T_ACM_OBJ'
,p_attribute_01=>'P2160_OBJ'
,p_attribute_02=>'P2160_TITLE'
,p_attribute_03=>'P2160_ID'
,p_error_display_location=>'INLINE_IN_NOTIFICATION'
,p_process_when_button_id=>wwv_flow_api.id(10706338981850085)
);
wwv_flow_api.create_page_process(
 p_id=>wwv_flow_api.id(10718140546850090)
,p_process_sequence=>60
,p_process_point=>'AFTER_SUBMIT'
,p_process_type=>'PLUGIN_PROCESS_EVENT'
,p_process_name=>'Process Event Save'
,p_attribute_01=>'SAVED'
,p_attribute_02=>'P2160_OBJ'
,p_error_display_location=>'INLINE_IN_NOTIFICATION'
,p_process_when_button_id=>wwv_flow_api.id(10706338981850085)
);
wwv_flow_api.create_page_process(
 p_id=>wwv_flow_api.id(10716511426850090)
,p_process_sequence=>90
,p_process_point=>'AFTER_SUBMIT'
,p_process_type=>'PLUGIN_I2MS.PRIORITY_PROCESS'
,p_process_name=>'Update Priority'
,p_attribute_01=>'P2160_OBJ'
,p_attribute_02=>'P2160_PRIORITY'
,p_error_display_location=>'INLINE_IN_NOTIFICATION'
,p_process_when=>':REQUEST IN (''CREATE'',''SAVE'')'
,p_process_when_type=>'SQL_EXPRESSION'
);
wwv_flow_api.create_page_process(
 p_id=>wwv_flow_api.id(10717768763850090)
,p_process_sequence=>100
,p_process_point=>'AFTER_SUBMIT'
,p_process_type=>'PLUGIN_I2MS.CLASSIFICATION_CREATE'
,p_process_name=>'Create Classification'
,p_attribute_01=>'P2160_OBJ'
,p_attribute_02=>'P2160_CLASSIFICATION'
,p_error_display_location=>'INLINE_IN_NOTIFICATION'
,p_process_when_button_id=>wwv_flow_api.id(10705522033850085)
);
wwv_flow_api.create_page_process(
 p_id=>wwv_flow_api.id(9835933461386705)
,p_process_sequence=>110
,p_process_point=>'AFTER_SUBMIT'
,p_process_type=>'PLUGIN_I2MS.RESTRICTION_PROCESS'
,p_process_name=>'Update Restriction'
,p_attribute_01=>'P2160_OBJ'
,p_attribute_02=>'P2160_RESTRICTION'
,p_error_display_location=>'INLINE_IN_NOTIFICATION'
,p_process_when=>':REQUEST IN (''CREATE'',''SAVE'')'
,p_process_when_type=>'SQL_EXPRESSION'
);
wwv_flow_api.create_page_process(
 p_id=>wwv_flow_api.id(10714921727850090)
,p_process_sequence=>10
,p_process_point=>'BEFORE_HEADER'
,p_process_type=>'NATIVE_FORM_FETCH'
,p_process_name=>'Fetch Row from T_F_INV_1'
,p_attribute_02=>'T_F_INV_1'
,p_attribute_03=>'P2160_OBJ'
,p_attribute_04=>'OBJ'
,p_process_error_message=>'#SQLERRM#'
,p_process_when=>'P2160_OBJ'
,p_process_when_type=>'ITEM_IS_NOT_NULL'
);
wwv_flow_api.create_page_process(
 p_id=>wwv_flow_api.id(10715703319850090)
,p_process_sequence=>20
,p_process_point=>'BEFORE_HEADER'
,p_process_type=>'PLUGIN_PROCESS_EVENT'
,p_process_name=>'Post-Access Processing'
,p_attribute_01=>'ACCESSED'
,p_attribute_02=>'P2160_OBJ'
,p_process_error_message=>'#SQLERRM#'
,p_process_when=>'P2160_OBJ'
,p_process_when_type=>'ITEM_IS_NOT_NULL'
);
end;
/
prompt --application/pages/delete_05026
begin
wwv_flow_api.remove_page (p_flow_id=>wwv_flow.g_flow_id, p_page_id=>5026);
end;
/
prompt --application/pages/page_05026
begin
wwv_flow_api.create_page(
 p_id=>5026
,p_user_interface_id=>wwv_flow_api.id(1724376430811806)
,p_name=>'IT Disposition'
,p_page_mode=>'MODAL'
,p_step_title=>'IT Disposition'
,p_autocomplete_on_off=>'OFF'
,p_group_id=>wwv_flow_api.id(172900170760378564)
,p_page_template_options=>'#DEFAULT#'
,p_required_role=>'MUST_NOT_BE_PUBLIC_USER'
,p_protection_level=>'C'
,p_last_updated_by=>'BRIAN.BOWMAN'
,p_last_upd_yyyymmddhh24miss=>'20221103092514'
);
wwv_flow_api.create_page_plug(
 p_id=>wwv_flow_api.id(140572054137168980)
,p_plug_name=>'Disposition'
,p_region_template_options=>'#DEFAULT#:t-Form--slimPadding:t-Form--leftLabels'
,p_plug_template=>wwv_flow_api.id(1690005324811773)
,p_plug_display_sequence=>10
,p_include_in_reg_disp_sel_yn=>'Y'
,p_plug_display_point=>'BODY'
,p_plug_query_options=>'DERIVED_REPORT_COLUMNS'
,p_attribute_01=>'N'
,p_attribute_02=>'HTML'
);
wwv_flow_api.create_page_button(
 p_id=>wwv_flow_api.id(114401465083802028)
,p_button_sequence=>10
,p_button_plug_id=>wwv_flow_api.id(140572054137168980)
,p_button_name=>'SAVE'
,p_button_action=>'SUBMIT'
,p_button_template_options=>'#DEFAULT#:t-Button--iconRight'
,p_button_template_id=>wwv_flow_api.id(10001553045979843)
,p_button_image_alt=>'Save'
,p_button_position=>'TOP'
,p_button_condition=>'P5026_SID'
,p_button_condition_type=>'ITEM_IS_NOT_NULL'
);
wwv_flow_api.create_page_button(
 p_id=>wwv_flow_api.id(114401874059802035)
,p_button_sequence=>20
,p_button_plug_id=>wwv_flow_api.id(140572054137168980)
,p_button_name=>'CREATE'
,p_button_static_id=>'create'
,p_button_action=>'SUBMIT'
,p_button_template_options=>'#DEFAULT#:t-Button--iconRight'
,p_button_template_id=>wwv_flow_api.id(10225064190350856)
,p_button_image_alt=>'Create'
,p_button_position=>'TOP'
,p_button_condition=>'P5026_SID'
,p_button_condition_type=>'ITEM_IS_NULL'
,p_button_cattributes=>'title = "Create Venue"'
);
wwv_flow_api.create_page_button(
 p_id=>wwv_flow_api.id(114402268438802037)
,p_button_sequence=>30
,p_button_plug_id=>wwv_flow_api.id(140572054137168980)
,p_button_name=>'CANCEL'
,p_button_action=>'DEFINED_BY_DA'
,p_button_template_options=>'#DEFAULT#'
,p_button_template_id=>wwv_flow_api.id(17059566633805304)
,p_button_image_alt=>'Cancel'
,p_button_position=>'TOP'
,p_button_alignment=>'LEFT'
,p_warn_on_unsaved_changes=>null
,p_button_cattributes=>'title="Cancel Referral"'
);
wwv_flow_api.create_page_button(
 p_id=>wwv_flow_api.id(114402684171802037)
,p_button_sequence=>40
,p_button_plug_id=>wwv_flow_api.id(140572054137168980)
,p_button_name=>'DELETE'
,p_button_action=>'SUBMIT'
,p_button_template_options=>'#DEFAULT#:t-Button--iconRight'
,p_button_template_id=>wwv_flow_api.id(10009339916085685)
,p_button_image_alt=>'Delete'
,p_button_position=>'TOP'
,p_button_execute_validations=>'N'
,p_button_condition_type=>'NEVER'
);
wwv_flow_api.create_page_item(
 p_id=>wwv_flow_api.id(114403005646802039)
,p_name=>'P5026_SID'
,p_item_sequence=>10
,p_item_plug_id=>wwv_flow_api.id(140572054137168980)
,p_display_as=>'NATIVE_HIDDEN'
,p_attribute_01=>'Y'
);
wwv_flow_api.create_page_item(
 p_id=>wwv_flow_api.id(114403442471802043)
,p_name=>'P5026_OBJ'
,p_item_sequence=>20
,p_item_plug_id=>wwv_flow_api.id(140572054137168980)
,p_use_cache_before_default=>'NO'
,p_source=>'OBJ'
,p_source_type=>'DB_COLUMN'
,p_display_as=>'NATIVE_HIDDEN'
,p_attribute_01=>'Y'
);
wwv_flow_api.create_page_item(
 p_id=>wwv_flow_api.id(114403889449802045)
,p_name=>'P5026_RESOLVED'
,p_is_required=>true
,p_item_sequence=>30
,p_item_plug_id=>wwv_flow_api.id(140572054137168980)
,p_use_cache_before_default=>'NO'
,p_prompt=>'Resolved:'
,p_source=>'RESOLVED'
,p_source_type=>'DB_COLUMN'
,p_display_as=>'NATIVE_SELECT_LIST'
,p_named_lov=>'YES/NO'
,p_lov=>'.'||wwv_flow_api.id(3072484683140421)||'.'
,p_lov_display_null=>'YES'
,p_lov_null_text=>'- Select Yes/No -'
,p_cHeight=>1
,p_field_template=>wwv_flow_api.id(1718898501811790)
,p_item_template_options=>'#DEFAULT#'
,p_lov_display_extra=>'YES'
,p_attribute_01=>'NONE'
,p_attribute_02=>'N'
);
wwv_flow_api.create_page_item(
 p_id=>wwv_flow_api.id(114404272490802045)
,p_name=>'P5026_DISPOSITION'
,p_is_required=>true
,p_item_sequence=>40
,p_item_plug_id=>wwv_flow_api.id(140572054137168980)
,p_use_cache_before_default=>'NO'
,p_prompt=>'Disposition:'
,p_source=>'DISPOSITION'
,p_source_type=>'DB_COLUMN'
,p_display_as=>'NATIVE_SELECT_LIST'
,p_lov=>wwv_flow_string.join(wwv_flow_t_varchar2(
'select display d, sid r',
'from t_f_it_disposition_ref ',
'order by display ASC'))
,p_lov_display_null=>'YES'
,p_lov_null_text=>'- Select Disposition -'
,p_cHeight=>1
,p_field_template=>wwv_flow_api.id(1718898501811790)
,p_item_template_options=>'#DEFAULT#'
,p_lov_display_extra=>'YES'
,p_attribute_01=>'NONE'
,p_attribute_02=>'N'
,p_item_comment=>wwv_flow_string.join(wwv_flow_t_varchar2(
'JF Build 20.7.0 backup:',
'select disp.d, disp.r from',
'(select display d, sid r, seq',
'from t_f_disposition_ref ',
'where acm_obj.get_objtype(:P5026_OBJ) = acm_obj.lookup_objtype(''FILE.IREF'')',
'and code in (''CNA'',''CRM'')',
'UNION',
'select display, sid, seq',
'from t_f_disposition_ref ',
'where acm_obj.get_objtype(:P5026_OBJ) != acm_obj.lookup_objtype(''FILE.IREF'')',
'order by 3,1) disp'))
);
wwv_flow_api.create_page_item(
 p_id=>wwv_flow_api.id(114404613223802045)
,p_name=>'P5026_OTHER_AGENCY'
,p_item_sequence=>50
,p_item_plug_id=>wwv_flow_api.id(140572054137168980)
,p_use_cache_before_default=>'NO'
,p_prompt=>'Other agency'
,p_source=>'OTHER_AGENCY'
,p_source_type=>'DB_COLUMN'
,p_display_as=>'NATIVE_TEXT_FIELD'
,p_cSize=>30
,p_field_template=>wwv_flow_api.id(1718652654811790)
,p_item_template_options=>'#DEFAULT#'
,p_attribute_01=>'N'
,p_attribute_02=>'N'
,p_attribute_04=>'TEXT'
,p_attribute_05=>'BOTH'
);
wwv_flow_api.create_page_item(
 p_id=>wwv_flow_api.id(114405086462802045)
,p_name=>'P5026_COMMENTS'
,p_item_sequence=>60
,p_item_plug_id=>wwv_flow_api.id(140572054137168980)
,p_use_cache_before_default=>'NO'
,p_prompt=>'Explain Disposition:'
,p_source=>'COMMENTS'
,p_source_type=>'DB_COLUMN'
,p_display_as=>'PLUGIN_I2MS.TEXT_AREA'
,p_cSize=>30
,p_cMaxlength=>4000
,p_cHeight=>1
,p_field_template=>wwv_flow_api.id(1718652654811790)
,p_item_template_options=>'#DEFAULT#'
,p_attribute_01=>'P&APP_PAGE_ID._OBJ'
,p_attribute_02=>'both'
,p_attribute_03=>'Y'
,p_attribute_04=>'P&APP_PAGE_ID._OBJ'
,p_attribute_05=>'N'
);
wwv_flow_api.create_page_process(
 p_id=>wwv_flow_api.id(114405834082802067)
,p_process_sequence=>10
,p_process_point=>'AFTER_HEADER'
,p_process_type=>'NATIVE_FORM_FETCH'
,p_process_name=>'Fetch Row from T_F_IT_DISPOSITION'
,p_attribute_02=>'T_F_IT_DISPOSITION'
,p_attribute_03=>'P5026_SID'
,p_attribute_04=>'SID'
,p_process_error_message=>'#SQLERRM#'
);
wwv_flow_api.create_page_process(
 p_id=>wwv_flow_api.id(114406196331802067)
,p_process_sequence=>40
,p_process_point=>'AFTER_SUBMIT'
,p_process_type=>'NATIVE_FORM_PROCESS'
,p_process_name=>'T_F_IT_DISPOSITION ARP'
,p_attribute_02=>'T_F_IT_DISPOSITION'
,p_attribute_03=>'P5026_SID'
,p_attribute_04=>'SID'
,p_attribute_05=>'P5026_OBJ'
,p_attribute_06=>'OBJ'
,p_attribute_09=>'P5026_SID'
,p_attribute_10=>'P5026_OBJ'
,p_attribute_11=>'I:U:D'
,p_attribute_12=>'Y'
,p_error_display_location=>'INLINE_IN_NOTIFICATION'
);
wwv_flow_api.create_page_process(
 p_id=>wwv_flow_api.id(114405471050802064)
,p_process_sequence=>70
,p_process_point=>'AFTER_SUBMIT'
,p_process_type=>'NATIVE_CLOSE_WINDOW'
,p_process_name=>'Close Dialog'
,p_process_error_message=>'#SQLERRM#'
,p_error_display_location=>'INLINE_IN_NOTIFICATION'
,p_process_when=>wwv_flow_string.join(wwv_flow_t_varchar2(
':REQUEST in (''CREATE'',''SAVE'',''DELETE'') and',
'NOT apex_error.have_errors_occurred'))
,p_process_when_type=>'PLSQL_EXPRESSION'
,p_process_success_message=>'Disposition updated!'
);
end;
/
prompt --application/pages/delete_05027
begin
wwv_flow_api.remove_page (p_flow_id=>wwv_flow.g_flow_id, p_page_id=>5027);
end;
/
prompt --application/pages/page_05027
begin
wwv_flow_api.create_page(
 p_id=>5027
,p_user_interface_id=>wwv_flow_api.id(1724376430811806)
,p_name=>'IT Matter'
,p_page_mode=>'MODAL'
,p_step_title=>'IT Matter'
,p_autocomplete_on_off=>'OFF'
,p_page_template_options=>'#DEFAULT#'
,p_required_role=>'MUST_NOT_BE_PUBLIC_USER'
,p_protection_level=>'C'
,p_read_only_when_type=>'PLSQL_EXPRESSION'
,p_read_only_when=>'(:P5027_SID IS NULL AND ACM_BPE.CHECK_ACTION(''ADD_ALLEG'',:P5027_OBJ) != ''Y'') OR (:P5027_SID IS NOT NULL AND ACM_BPE.CHECK_ACTION(''EDIT_ALLEG'',:P5027_OBJ) != ''Y'')'
,p_last_updated_by=>'BRIAN.BOWMAN'
,p_last_upd_yyyymmddhh24miss=>'20221102143632'
);
wwv_flow_api.create_page_plug(
 p_id=>wwv_flow_api.id(119010144151735828)
,p_plug_name=>'IT Matter'
,p_region_template_options=>'#DEFAULT#:t-Form--slimPadding:t-Form--leftLabels'
,p_plug_template=>wwv_flow_api.id(1690005324811773)
,p_plug_display_sequence=>10
,p_plug_display_point=>'BODY'
,p_plug_query_options=>'DERIVED_REPORT_COLUMNS'
,p_attribute_01=>'N'
,p_attribute_02=>'TEXT'
,p_attribute_03=>'Y'
);
wwv_flow_api.create_page_button(
 p_id=>wwv_flow_api.id(116001018624446084)
,p_button_sequence=>10
,p_button_plug_id=>wwv_flow_api.id(119010144151735828)
,p_button_name=>'CANCEL'
,p_button_action=>'DEFINED_BY_DA'
,p_button_template_options=>'#DEFAULT#'
,p_button_template_id=>wwv_flow_api.id(17059566633805304)
,p_button_image_alt=>'Cancel'
,p_button_position=>'TOP'
,p_button_alignment=>'LEFT'
,p_warn_on_unsaved_changes=>null
);
wwv_flow_api.create_page_button(
 p_id=>wwv_flow_api.id(116001338151446095)
,p_button_sequence=>20
,p_button_plug_id=>wwv_flow_api.id(119010144151735828)
,p_button_name=>'CREATE'
,p_button_action=>'SUBMIT'
,p_button_template_options=>'#DEFAULT#:t-Button--iconRight'
,p_button_template_id=>wwv_flow_api.id(10225064190350856)
,p_button_is_hot=>'Y'
,p_button_image_alt=>'Create'
,p_button_position=>'TOP'
,p_button_condition=>'P5027_SID'
,p_button_condition_type=>'ITEM_IS_NULL'
,p_security_scheme=>wwv_flow_api.id(3024731361339364)
,p_database_action=>'INSERT'
);
wwv_flow_api.create_page_button(
 p_id=>wwv_flow_api.id(116001782341446095)
,p_button_sequence=>30
,p_button_plug_id=>wwv_flow_api.id(119010144151735828)
,p_button_name=>'SAVE'
,p_button_action=>'SUBMIT'
,p_button_template_options=>'#DEFAULT#:t-Button--iconRight'
,p_button_template_id=>wwv_flow_api.id(10001553045979843)
,p_button_is_hot=>'Y'
,p_button_image_alt=>'Save'
,p_button_position=>'TOP'
,p_button_condition=>'P5027_SID'
,p_button_condition_type=>'ITEM_IS_NOT_NULL'
,p_security_scheme=>wwv_flow_api.id(3025089385344523)
,p_database_action=>'UPDATE'
);
wwv_flow_api.create_page_button(
 p_id=>wwv_flow_api.id(116002117201446095)
,p_button_sequence=>40
,p_button_plug_id=>wwv_flow_api.id(119010144151735828)
,p_button_name=>'DELETE'
,p_button_action=>'DEFINED_BY_DA'
,p_button_template_options=>'#DEFAULT#:t-Button--iconRight'
,p_button_template_id=>wwv_flow_api.id(10009339916085685)
,p_button_image_alt=>'Delete'
,p_button_position=>'TOP'
,p_button_execute_validations=>'N'
,p_warn_on_unsaved_changes=>null
,p_button_condition=>'P5027_SID'
,p_button_condition_type=>'ITEM_IS_NOT_NULL'
,p_security_scheme=>wwv_flow_api.id(3025393862346998)
,p_database_action=>'DELETE'
);
wwv_flow_api.create_page_item(
 p_id=>wwv_flow_api.id(116002506496446096)
,p_name=>'P5027_SID'
,p_item_sequence=>10
,p_item_plug_id=>wwv_flow_api.id(119010144151735828)
,p_use_cache_before_default=>'NO'
,p_prompt=>'Sid'
,p_source=>'SID'
,p_source_type=>'DB_COLUMN'
,p_display_as=>'NATIVE_HIDDEN'
,p_label_alignment=>'RIGHT'
,p_field_template=>wwv_flow_api.id(1718652654811790)
,p_item_template_options=>'#DEFAULT#'
,p_protection_level=>'S'
,p_attribute_01=>'Y'
);
wwv_flow_api.create_page_item(
 p_id=>wwv_flow_api.id(116002956733446112)
,p_name=>'P5027_OBJ'
,p_item_sequence=>20
,p_item_plug_id=>wwv_flow_api.id(119010144151735828)
,p_use_cache_before_default=>'NO'
,p_source=>'OBJ'
,p_source_type=>'DB_COLUMN'
,p_display_as=>'NATIVE_HIDDEN'
,p_attribute_01=>'Y'
);
wwv_flow_api.create_page_item(
 p_id=>wwv_flow_api.id(116003335906446112)
,p_name=>'P5027_MATTER'
,p_is_required=>true
,p_item_sequence=>30
,p_item_plug_id=>wwv_flow_api.id(119010144151735828)
,p_use_cache_before_default=>'NO'
,p_prompt=>'IT Category:'
,p_source=>'MATTER'
,p_source_type=>'DB_COLUMN'
,p_display_as=>'NATIVE_SELECT_LIST'
,p_lov=>wwv_flow_string.join(wwv_flow_t_varchar2(
'select display, ref_key from t_f_inv_1_ref where active = ''Y'' and OBJ_TYPE = ACM_OBJ.GET_OBJTYPE(:P5027_OBJ) and usage = ''MATTER_TYPE''',
'order by seq,display'))
,p_lov_display_null=>'YES'
,p_lov_null_text=>'- Select IT Category -'
,p_cHeight=>1
,p_field_template=>wwv_flow_api.id(1718898501811790)
,p_item_template_options=>'#DEFAULT#'
,p_lov_display_extra=>'YES'
,p_attribute_01=>'NONE'
,p_attribute_02=>'N'
);
wwv_flow_api.create_page_item(
 p_id=>wwv_flow_api.id(116003775741446112)
,p_name=>'P5027_PRIORITY'
,p_is_required=>true
,p_item_sequence=>40
,p_item_plug_id=>wwv_flow_api.id(119010144151735828)
,p_use_cache_before_default=>'NO'
,p_prompt=>'Priority:'
,p_source=>'PRIORITY'
,p_source_type=>'DB_COLUMN'
,p_display_as=>'NATIVE_SELECT_LIST'
,p_lov=>'SELECT DISPLAY, REF_KEY FROM T_F_ALLEG_PRIORITY WHERE ACTIVE = ''Y'' ORDER BY SEQ'
,p_lov_display_null=>'YES'
,p_lov_null_text=>'- Select Priority -'
,p_cHeight=>1
,p_field_template=>wwv_flow_api.id(1718898501811790)
,p_item_template_options=>'#DEFAULT#'
,p_lov_display_extra=>'NO'
,p_attribute_01=>'NONE'
,p_attribute_02=>'N'
);
wwv_flow_api.create_page_item(
 p_id=>wwv_flow_api.id(116004117463446112)
,p_name=>'P5027_COUNTRY'
,p_item_sequence=>50
,p_item_plug_id=>wwv_flow_api.id(119010144151735828)
,p_use_cache_before_default=>'NO'
,p_prompt=>'Country:'
,p_source=>'COUNTRY'
,p_source_type=>'DB_COLUMN'
,p_display_as=>'NATIVE_SELECT_LIST'
,p_lov=>'select display, iso_3166_1_alpha_2 from t_acm_ref_ctry where active = ''Y'' ORDER BY SEQ,DISPLAY'
,p_lov_display_null=>'YES'
,p_lov_null_text=>'- Select Country -'
,p_cHeight=>1
,p_field_template=>wwv_flow_api.id(1718652654811790)
,p_item_template_options=>'#DEFAULT#'
,p_lov_display_extra=>'YES'
,p_attribute_01=>'NONE'
,p_attribute_02=>'N'
);
wwv_flow_api.create_page_item(
 p_id=>wwv_flow_api.id(116004567592446112)
,p_name=>'P5027_INCIDENT_CITY'
,p_item_sequence=>60
,p_item_plug_id=>wwv_flow_api.id(119010144151735828)
,p_use_cache_before_default=>'NO'
,p_prompt=>'Incident City:'
,p_source=>'INCIDENT_CITY'
,p_source_type=>'DB_COLUMN'
,p_display_as=>'NATIVE_TEXT_FIELD'
,p_cSize=>60
,p_cMaxlength=>200
,p_field_template=>wwv_flow_api.id(1718652654811790)
,p_item_template_options=>'#DEFAULT#'
,p_attribute_01=>'N'
,p_attribute_02=>'N'
,p_attribute_04=>'TEXT'
,p_attribute_05=>'BOTH'
);
wwv_flow_api.create_page_item(
 p_id=>wwv_flow_api.id(116004959515446114)
,p_name=>'P5027_INCIDENT_DATE'
,p_item_sequence=>70
,p_item_plug_id=>wwv_flow_api.id(119010144151735828)
,p_use_cache_before_default=>'NO'
,p_prompt=>'Incident Date:'
,p_placeholder=>'&FMT_DATE.'
,p_post_element_text=>'&TODAY_BUTTON.'
,p_format_mask=>'&FMT_DATE.'
,p_source=>'INCIDENT_DATE'
,p_source_type=>'DB_COLUMN'
,p_display_as=>'NATIVE_DATE_PICKER'
,p_cSize=>32
,p_cMaxlength=>255
,p_field_template=>wwv_flow_api.id(1718652654811790)
,p_item_template_options=>'#DEFAULT#'
,p_attribute_04=>'button'
,p_attribute_05=>'N'
,p_attribute_07=>'NONE'
);
wwv_flow_api.create_page_item(
 p_id=>wwv_flow_api.id(116005392710446114)
,p_name=>'P5027_REPORTED_DATE'
,p_item_sequence=>80
,p_item_plug_id=>wwv_flow_api.id(119010144151735828)
,p_use_cache_before_default=>'NO'
,p_prompt=>'Reported Date:'
,p_placeholder=>'&FMT_DATE.'
,p_post_element_text=>'&TODAY_BUTTON.'
,p_format_mask=>'&FMT_DATE.'
,p_source=>'REPORTED_DATE'
,p_source_type=>'DB_COLUMN'
,p_display_as=>'NATIVE_DATE_PICKER'
,p_cSize=>32
,p_cMaxlength=>255
,p_field_template=>wwv_flow_api.id(1718652654811790)
,p_item_template_options=>'#DEFAULT#'
,p_attribute_04=>'button'
,p_attribute_05=>'N'
,p_attribute_07=>'NONE'
);
wwv_flow_api.create_page_item(
 p_id=>wwv_flow_api.id(116005730692446114)
,p_name=>'P5027_CREATED_BY'
,p_item_sequence=>90
,p_item_plug_id=>wwv_flow_api.id(119010144151735828)
,p_use_cache_before_default=>'NO'
,p_prompt=>'Created By:'
,p_source=>'CREATED_BY'
,p_source_type=>'DB_COLUMN'
,p_display_as=>'NATIVE_DISPLAY_ONLY'
,p_display_when=>'P5027_SID'
,p_display_when_type=>'ITEM_IS_NOT_NULL'
,p_field_template=>wwv_flow_api.id(1718652654811790)
,p_item_template_options=>'#DEFAULT#'
,p_attribute_01=>'Y'
,p_attribute_02=>'VALUE'
,p_attribute_04=>'Y'
);
wwv_flow_api.create_page_item(
 p_id=>wwv_flow_api.id(116006136802446114)
,p_name=>'P5027_CREATED_ON'
,p_item_sequence=>100
,p_item_plug_id=>wwv_flow_api.id(119010144151735828)
,p_use_cache_before_default=>'NO'
,p_prompt=>'Created On:'
,p_source=>'CREATED_ON'
,p_source_type=>'DB_COLUMN'
,p_display_as=>'NATIVE_DISPLAY_ONLY'
,p_begin_on_new_line=>'N'
,p_display_when=>'P5027_SID'
,p_display_when_type=>'ITEM_IS_NOT_NULL'
,p_field_template=>wwv_flow_api.id(1718652654811790)
,p_item_template_options=>'#DEFAULT#'
,p_attribute_01=>'Y'
,p_attribute_02=>'VALUE'
,p_attribute_04=>'Y'
);
wwv_flow_api.create_page_item(
 p_id=>wwv_flow_api.id(116006592515446114)
,p_name=>'P5027_LAST_MODIFIED_BY'
,p_item_sequence=>110
,p_item_plug_id=>wwv_flow_api.id(119010144151735828)
,p_use_cache_before_default=>'NO'
,p_prompt=>'Last Modified By:'
,p_source=>'LAST_MODIFIED_BY'
,p_source_type=>'DB_COLUMN'
,p_display_as=>'NATIVE_DISPLAY_ONLY'
,p_display_when=>'P5027_SID'
,p_display_when_type=>'ITEM_IS_NOT_NULL'
,p_field_template=>wwv_flow_api.id(1718652654811790)
,p_item_template_options=>'#DEFAULT#'
,p_attribute_01=>'Y'
,p_attribute_02=>'VALUE'
,p_attribute_04=>'Y'
);
wwv_flow_api.create_page_item(
 p_id=>wwv_flow_api.id(116006954741446114)
,p_name=>'P5027_LAST_MODIFIED_ON'
,p_item_sequence=>120
,p_item_plug_id=>wwv_flow_api.id(119010144151735828)
,p_use_cache_before_default=>'NO'
,p_prompt=>'Last Modified On:'
,p_source=>'LAST_MODIFIED_ON'
,p_source_type=>'DB_COLUMN'
,p_display_as=>'NATIVE_DISPLAY_ONLY'
,p_begin_on_new_line=>'N'
,p_display_when=>'P5027_SID'
,p_display_when_type=>'ITEM_IS_NOT_NULL'
,p_field_template=>wwv_flow_api.id(1718652654811790)
,p_item_template_options=>'#DEFAULT#'
,p_attribute_01=>'Y'
,p_attribute_02=>'VALUE'
,p_attribute_04=>'Y'
);
wwv_flow_api.create_page_item(
 p_id=>wwv_flow_api.id(116100235362625901)
,p_name=>'P5027_MATTER_SUBCAT'
,p_is_required=>true
,p_item_sequence=>35
,p_item_plug_id=>wwv_flow_api.id(119010144151735828)
,p_use_cache_before_default=>'NO'
,p_prompt=>'IT Subcategory:'
,p_source=>'MATTER_SUBTYPE'
,p_source_type=>'DB_COLUMN'
,p_display_as=>'NATIVE_SELECT_LIST'
,p_lov=>wwv_flow_string.join(wwv_flow_t_varchar2(
'select display, ref_key from t_f_inv_1_ref where active = ''Y'' and OBJ_TYPE = ACM_OBJ.GET_OBJTYPE(:P5027_OBJ)',
'and usage = (select code from t_f_inv_1_ref where ref_key = :P5027_MATTER) || ''_SUBTYPE''',
' order by seq,display'))
,p_lov_display_null=>'YES'
,p_lov_null_text=>'- Select IT Subcategory -'
,p_cHeight=>1
,p_field_template=>wwv_flow_api.id(1718898501811790)
,p_item_template_options=>'#DEFAULT#'
,p_lov_display_extra=>'YES'
,p_attribute_01=>'NONE'
,p_attribute_02=>'N'
);
wwv_flow_api.create_page_validation(
 p_id=>wwv_flow_api.id(116007443523446118)
,p_validation_name=>'P5027_PRIORITY'
,p_validation_sequence=>10
,p_validation=>wwv_flow_string.join(wwv_flow_t_varchar2(
'select sid ',
'   from t_f_it_matter',
'where obj = :P5027_OBJ  ',
'  and priority = ''ALLEGATION_PRIORITY.PRIMARY''',
'  and :P5027_SID is null',
'union',
'select sid',
'   from t_f_it_matter',
'where obj = :P5027_OBJ',
'  and priority = ''ALLEGATION_PRIORITY.PRIMARY''',
'  and :P5027_SID is not null',
'  and :P5027_SID != sid;'))
,p_validation_type=>'NOT_EXISTS'
,p_error_message=>'You can only have ONE Primary CI Matter'
,p_validation_condition=>':REQUEST IN(''CREATE'',''SAVE'') AND :P5027_PRIORITY = ''ALLEGATION_PRIORITY.PRIMARY'''
,p_validation_condition_type=>'PLSQL_EXPRESSION'
,p_associated_item=>wwv_flow_api.id(116003775741446112)
,p_error_display_location=>'INLINE_WITH_FIELD_AND_NOTIFICATION'
);
wwv_flow_api.create_page_da_event(
 p_id=>wwv_flow_api.id(116009357213446129)
,p_name=>'Cancel Dialog'
,p_event_sequence=>10
,p_triggering_element_type=>'BUTTON'
,p_triggering_button_id=>wwv_flow_api.id(116001018624446084)
,p_bind_type=>'bind'
,p_bind_event_type=>'click'
);
wwv_flow_api.create_page_da_action(
 p_id=>wwv_flow_api.id(116009894017446137)
,p_event_id=>wwv_flow_api.id(116009357213446129)
,p_event_result=>'TRUE'
,p_action_sequence=>10
,p_execute_on_page_init=>'N'
,p_action=>'NATIVE_DIALOG_CANCEL'
);
wwv_flow_api.create_page_da_event(
 p_id=>wwv_flow_api.id(73192537106807419)
,p_name=>'Refresh Subcategory'
,p_event_sequence=>20
,p_triggering_element_type=>'ITEM'
,p_triggering_element=>'P5027_MATTER'
,p_bind_type=>'bind'
,p_bind_event_type=>'change'
);
wwv_flow_api.create_page_da_action(
 p_id=>wwv_flow_api.id(73192780952807421)
,p_event_id=>wwv_flow_api.id(73192537106807419)
,p_event_result=>'TRUE'
,p_action_sequence=>10
,p_execute_on_page_init=>'N'
,p_action=>'NATIVE_EXECUTE_PLSQL_CODE'
,p_attribute_01=>'NULL;'
,p_attribute_02=>'P5027_MATTER'
,p_wait_for_result=>'Y'
);
wwv_flow_api.create_page_da_action(
 p_id=>wwv_flow_api.id(73192636497807420)
,p_event_id=>wwv_flow_api.id(73192537106807419)
,p_event_result=>'TRUE'
,p_action_sequence=>20
,p_execute_on_page_init=>'Y'
,p_action=>'NATIVE_REFRESH'
,p_affected_elements_type=>'ITEM'
,p_affected_elements=>'P5027_MATTER_SUBCAT'
);
wwv_flow_api.create_page_process(
 p_id=>wwv_flow_api.id(116007758757446128)
,p_process_sequence=>10
,p_process_point=>'AFTER_HEADER'
,p_process_type=>'NATIVE_FORM_FETCH'
,p_process_name=>'Fetch Row from T_F_IT_MATTER'
,p_attribute_02=>'T_F_IT_MATTER'
,p_attribute_03=>'P5027_SID'
,p_attribute_04=>'SID'
,p_error_display_location=>'INLINE_IN_NOTIFICATION'
);
wwv_flow_api.create_page_process(
 p_id=>wwv_flow_api.id(116008188529446129)
,p_process_sequence=>30
,p_process_point=>'AFTER_SUBMIT'
,p_process_type=>'NATIVE_FORM_PROCESS'
,p_process_name=>'Process Row of T_F_IT_MATTER'
,p_attribute_02=>'T_F_IT_MATTER'
,p_attribute_03=>'P5027_SID'
,p_attribute_04=>'SID'
,p_attribute_11=>'I:U:D'
,p_attribute_12=>'Y'
,p_error_display_location=>'INLINE_IN_NOTIFICATION'
,p_process_success_message=>'Action Processed.'
);
wwv_flow_api.create_page_process(
 p_id=>wwv_flow_api.id(116008514385446129)
,p_process_sequence=>40
,p_process_point=>'AFTER_SUBMIT'
,p_process_type=>'NATIVE_SESSION_STATE'
,p_process_name=>'reset page'
,p_attribute_01=>'CLEAR_CACHE_CURRENT_PAGE'
,p_error_display_location=>'INLINE_IN_NOTIFICATION'
,p_process_when_button_id=>wwv_flow_api.id(116002117201446095)
);
wwv_flow_api.create_page_process(
 p_id=>wwv_flow_api.id(116008969181446129)
,p_process_sequence=>50
,p_process_point=>'AFTER_SUBMIT'
,p_process_type=>'NATIVE_CLOSE_WINDOW'
,p_process_name=>'Close Dialog'
,p_error_display_location=>'INLINE_IN_NOTIFICATION'
,p_process_when=>'CREATE,SAVE,DELETE'
,p_process_when_type=>'REQUEST_IN_CONDITION'
,p_process_success_message=>'CI Matter updated!'
);
end;
/
prompt --application/end_environment
begin
wwv_flow_api.import_end(p_auto_install_sup_obj => nvl(wwv_flow_application_install.get_auto_install_sup_obj, false));
--commit;
end;
/
set verify on feedback on define on
prompt  ...done
begin
wwv_flow_api.import_end(p_auto_install_sup_obj => nvl(wwv_flow_application_install.get_auto_install_sup_obj, false), p_is_component_import => true);
commit;
end;
/
set verify on feedback on define on
prompt  ...done
