-- 202200875 DDL Fixes
create or replace PACKAGE BODY     ACM_P_IT_MATTER AS
/** Summary
<table>
<tr><td>12/23/2019</td><td>LLSB</td><td>Created</td></tr>
</table>
*/
/** Summary
<table>
<tr><td>12/23/2019</td><td>LLSB</td><td>Created</td></tr>
</table>
*/
    PROCEDURE PRINT_REPORT (
        P_OBJ IN VARCHAR2, P_REGION IN APEX_PLUGIN.T_REGION, P_PLUGIN IN APEX_PLUGIN.T_PLUGIN, P_PG_NUM IN VARCHAR2 := NULL
    ) IS
        L_RSLT_INDX NUMBER := 0;
        L_EDIT_AUTH VARCHAR2(10) := 'N';
		L_PG_NUM VARCHAR2(10) := NULL;
    BEGIN
        L_EDIT_AUTH := ACM_BPE.CHECK_ACTION('EDIT_ALLEG', P_OBJ);
        HTP.DIV(CATTRIBUTES => 'id="report_' || P_REGION.ID || '_catch"');
		IF P_PG_NUM IS NULL THEN
			L_PG_NUM := '5027';
		ELSE
			L_PG_NUM := P_PG_NUM;
		END IF;
        FOR ITM IN (
            SELECT TFIM.SID, TFIR.DISPLAY MATTER, TFIR1.DISPLAY MATTER_SUBTYPE, TFAP.DISPLAY PRIORITY, TARC.DISPLAY COUNTRY, TARCD.DIVISION_DISPLAY STATE, TFIM.INCIDENT_CITY, TFIM.INCIDENT_DATE,
            TFIM.REPORTED_DATE, TFIM.CREATED_BY, TFIM.CREATED_ON, TFIM.LAST_MODIFIED_BY, TFIM.LAST_MODIFIED_ON
            FROM T_F_IT_MATTER TFIM
            INNER JOIN T_F_IRMO_REF TFIR ON TFIM.MATTER = TFIR.REF_KEY AND TFIM.OBJ = P_OBJ
            LEFT OUTER JOIN T_F_IRMO_REF TFIR1 ON TFIM.MATTER_SUBTYPE = TFIR1.REF_KEY AND TFIM.OBJ = P_OBJ
            LEFT OUTER JOIN T_ACM_REF_CTRY TARC ON TARC.ISO_3166_1_ALPHA_2 = TFIM.COUNTRY
            LEFT OUTER JOIN T_ACM_REF_CTRY_DIVISION TARCD ON TARCD.REF_KEY = TFIM.STATE
            LEFT OUTER JOIN T_F_ALLEG_PRIORITY TFAP ON TFAP.REF_KEY = TFIM.PRIORITY
            ORDER BY TFIR.SEQ, TFIM.CREATED_ON DESC
        ) LOOP
            L_RSLT_INDX := L_RSLT_INDX + 1;
            IF L_RSLT_INDX = 1 THEN
                ACM_REGION_UTIL.START_TABLE(P_REGION.ID, 'PRI Categories');
                IF L_EDIT_AUTH = 'Y' THEN
                    ACM_REGION_UTIL.THC('Edit', 'SID');
                ELSE
                    ACM_REGION_UTIL.THC('View', 'SID');
                END IF;
                ACM_REGION_UTIL.THC('PRI Category', 'MATTER');
                ACM_REGION_UTIL.THC('PRI Sub-Category', 'MATTER_SUBTYPE');
                ACM_REGION_UTIL.THC('Priority', 'PRIORITY');
                ACM_REGION_UTIL.THC('Country', 'COUNTRY');
                ACM_REGION_UTIL.THC('State', 'STATE');
                ACM_REGION_UTIL.THC('City', 'INCIDENT_CITY');
                ACM_REGION_UTIL.THC('Incident Date', 'INCIDENT_DATE');
                ACM_REGION_UTIL.THC('Reported On', 'REPORTED_DATE');
                ACM_REGION_UTIL.THC_SORTED('Created On', 'CREATED_ON');
                HTP.TABLEROWCLOSE;
                HTP.P('</thead>');
                HTP.P('<tbody>');
            END IF;
            HTP.TABLEROWOPEN();
            ACM_REGION_UTIL.TD('<a href="' || PREPARE_URL(L_PG_NUM, L_PG_NUM, 'P' || L_PG_NUM || '_SID,P' || L_PG_NUM || '_OBJ', ITM.SID || ',' || P_OBJ,P_REGION.STATIC_ID) || '">' ||
                CASE
                    WHEN L_EDIT_AUTH = 'Y' THEN
                        ACM_REGION_UTIL.EDIT_IMAGE('Edit PRI Category')
                    ELSE ACM_REGION_UTIL.VIEW_IMAGE('View PRI Category')
                END
                               || '</a>', 'SID');
            ACM_REGION_UTIL.TD(ITM.MATTER, 'MATTER');
            ACM_REGION_UTIL.TD(ITM.MATTER_SUBTYPE, 'MATTER_SUBTYPE');
            ACM_REGION_UTIL.TD(ITM.PRIORITY, 'PRIORITY');
            ACM_REGION_UTIL.TD(ITM.COUNTRY, 'COUNTRY');
            ACM_REGION_UTIL.TD(ITM.STATE, 'STATE');
            ACM_REGION_UTIL.TD(ITM.INCIDENT_CITY, 'INCIDENT_CITY');
            ACM_REGION_UTIL.TD(TO_CHAR(ITM.INCIDENT_DATE, FMT_DATE), 'INCIDENT_DATE');
            ACM_REGION_UTIL.TD(TO_CHAR(ITM.REPORTED_DATE, FMT_DATE), 'REPORTED_DATE');
            ACM_REGION_UTIL.TD(TO_CHAR(ITM.CREATED_ON, FMT_DATE), 'CREATED_ON');
            HTP.TABLEROWCLOSE;
        END LOOP;
        IF L_RSLT_INDX > 0 THEN
            HTP.P('</tbody>');
            HTP.TABLECLOSE;
            HTP.P('</div>');
            HTP.P('</div>');
            HTP.P('</div>');
        ELSE
            ACM_REGION_UTIL.NDF('No PRI Categories Added.');
        END IF;
        HTP.P('</div>');
    END;
/** Summary
<table>
<tr><td>12/23/2019</td><td>LLSB</td><td>Created</td></tr>
</table>
*/
    FUNCTION I2MS_IT_MATTER_REGION_RENDER (
        P_REGION IN APEX_PLUGIN.T_REGION, P_PLUGIN IN APEX_PLUGIN.T_PLUGIN, P_IS_PRINTER_FRIENDLY IN BOOLEAN
    ) RETURN APEX_PLUGIN.T_REGION_RENDER_RESULT IS
        L_RTN APEX_PLUGIN.T_REGION_RENDER_RESULT;
        L_OBJ T_ACM_OBJ.SID%TYPE;
		L_PG_NUM VARCHAR2(10) := NULL;
   --P_REGION.ATTRIBUTE_01 PAGE ITEM OBJ, NECESSARY FOR GETTING VALUES FOR THE REPORT
   --P_REGION.ATTRIBUTE_02 TARGET PAGE, USED TO DIRECT TO SECONDARY PAGE
    BEGIN
        L_OBJ := APEX_UTIL.GET_SESSION_STATE(P_REGION.ATTRIBUTE_01);
		L_PG_NUM := P_REGION.ATTRIBUTE_02;
		IF L_PG_NUM IS NULL THEN
			L_PG_NUM := '5027';
		END IF;
        IF ACM_BPE.CHECK_ACTION('ADD_ALLEG', L_OBJ) = 'Y' THEN
			ACM_REGION_UTIL.PRINT_BUTTON(PREPARE_URL(L_PG_NUM, L_PG_NUM, 'P' || L_PG_NUM ||'_OBJ', L_OBJ), 'B' || P_REGION.ID || '-add-allegation',
				'add-allegation', 'Add PRI Category');
        END IF;
        PRINT_REPORT(L_OBJ, P_REGION, P_PLUGIN, L_PG_NUM);
        ACM_REGION_UTIL.ADD_ONLOAD_JS(P_REGION, P_REGION.ATTRIBUTE_01);
        RETURN L_RTN;
    END I2MS_IT_MATTER_REGION_RENDER;
/** Summary
<table>
<tr><td>12/23/2019</td><td>LLSB</td><td>Created</td></tr>
</table>
*/
    FUNCTION I2MS_IT_MATTER_REGION_AJAX (
        P_REGION IN APEX_PLUGIN.T_REGION, P_PLUGIN IN APEX_PLUGIN.T_PLUGIN
    ) RETURN APEX_PLUGIN.T_REGION_AJAX_RESULT IS
        L_RTN APEX_PLUGIN.T_REGION_AJAX_RESULT;
        L_OBJ T_ACM_OBJ.SID%TYPE;
		L_PG_NUM VARCHAR2(10) := NULL;
    BEGIN
        L_OBJ := APEX_UTIL.GET_SESSION_STATE(P_REGION.ATTRIBUTE_01);
		L_PG_NUM := P_REGION.ATTRIBUTE_02;
        PRINT_REPORT(L_OBJ, P_REGION, P_PLUGIN, L_PG_NUM);
        RETURN L_RTN;
    END I2MS_IT_MATTER_REGION_AJAX;
/** BPE Condition checking file has at least one IT Matter
<table>
<tr><td>8/13/2018</td><td>KDB</td><td>Created.</td></tr>
</table>
*/
    FUNCTION COND_FILE_IT_MATTER RETURN VARCHAR2 IS
    BEGIN
        FOR RSLT IN (
            SELECT SID
            FROM T_F_IT_MATTER AO
            INNER JOIN T_F_ALLEG_PRIORITY AP ON AP.REF_KEY = AO.PRIORITY
            WHERE AO.OBJ = ACM_BPE.GET_PARAM('OBJ') AND AP.CODE = 'PRIMARY'
        ) LOOP
            RETURN 'Y';
        END LOOP;
        RETURN 'File must have a PRI Category with a Primary priority.';
    END COND_FILE_IT_MATTER;
END ACM_P_IT_MATTER;
/


-- Fix IT_MATTER Table References, and redirect to T_F_IRMO_REF, Drop T_F_INV_1_REF
ALTER TABLE T_F_INV_1_REF
DROP CONSTRAINT FK_INV_1_REF_OBJ_TYPE;

ALTER TABLE T_F_IT_MATTER
    DROP CONSTRAINT FK_F_IT_MATTER_MATTER;

ALTER TABLE T_F_IT_MATTER
    DROP CONSTRAINT FK_F_IT_MATTER_MATTER_SBTP;
    
ALTER TABLE T_F_IT_MATTER
    ADD (DETAILS CLOB,
    CONSTRAINT FK_F_IT_MATTER_PRI FOREIGN KEY (MATTER) REFERENCES T_F_IRMO_REF (REF_KEY),
    CONSTRAINT FK_F_IT_MATTER_PRI_SBTP FOREIGN KEY (MATTER_SUBTYPE) REFERENCES T_F_IRMO_REF (REF_KEY)
    );

ALTER TABLE T_F_IT_MATTER
    MODIFY MATTER_SUBTYPE null;

ALTER TABLE T_F_INV_1_REF
DROP CONSTRAINT PK_INV_1_REF;

DROP TABLE T_F_INV_1_REF;