-- 202200875 DML Fixes

-- Remove all unused IT Matter Reference Data
DELETE FROM T_F_IT_MATTER
WHERE MATTER IS NOT NULL
OR MATTER_SUBTYPE IS NOT NULL;

DELETE FROM T_F_INV_1_REF
WHERE REF_KEY IS NOT NULL;

-- IT Matter Reference Data (for IRMO files)
INSERT ALL
    INTO T_F_IRMO_REF (USAGE, CODE, DISPLAY, SEQ, ACTIVE)
        VALUES ('PRI_CAT',
                'PROFESSIONAL',
                'Professional Lifecycle and Performance',
                1,
                'Y'
                )
    INTO T_F_IRMO_REF (USAGE, CODE, DISPLAY, SEQ, ACTIVE)
        VALUES ('PRI_CAT',
                'FOREIGN',
                'Foreign Considerations (Tier 1 and 2 Countries)',
                2,
                'Y'
                )
    INTO T_F_IRMO_REF (USAGE, CODE, DISPLAY, SEQ, ACTIVE)
        VALUES ('PRI_CAT',
                'SECURITY',
                'Security and Compliance Incidents',
                3,
                'Y'
                )
    INTO T_F_IRMO_REF (USAGE, CODE, DISPLAY, SEQ, ACTIVE)
        VALUES ('PRI_CAT',
                'TECHNICAL',
                'Technical Activity',
                4,
                'Y'
                )
    INTO T_F_IRMO_REF (USAGE, CODE, DISPLAY, SEQ, ACTIVE)
        VALUES ('PRI_CAT',
                'CRIMINAL',
                'Criminal, Violent or Abusive Conduct',
                5,
                'Y'
                )
    INTO T_F_IRMO_REF (USAGE, CODE, DISPLAY, SEQ, ACTIVE)
        VALUES ('PRI_CAT',
                'FINANCIAL',
                'Financial Considerations',
                6,
                'Y'
                )
    INTO T_F_IRMO_REF (USAGE, CODE, DISPLAY, SEQ, ACTIVE)
        VALUES ('PRI_CAT',
                'ADDICTIVE',
                'Substance Abuse and Addictive Behaviors',
                7,
                'Y'
                )
    INTO T_F_IRMO_REF (USAGE, CODE, DISPLAY, SEQ, ACTIVE)
        VALUES ('PRI_CAT',
                'PSYCH',
                'Judgement, Character and Pyschological Conditions',
                8,
                'Y'
                )
    INTO T_F_IRMO_REF (USAGE, CODE, DISPLAY, SEQ, ACTIVE)
        VALUES ('PROFESSIONAL_SUBCAT',
                'PERF',
                'Performance Ratings',
                1,
                'Y'
                )
    INTO T_F_IRMO_REF (USAGE, CODE, DISPLAY, SEQ, ACTIVE)
        VALUES ('PROFESSIONAL_SUBCAT',
                'HUM_RES',
                'Reprimands and Complaints to Human Resources',
                2,
                'Y'
                )
    INTO T_F_IRMO_REF (USAGE, CODE, DISPLAY, SEQ, ACTIVE)
        VALUES ('PROFESSIONAL_SUBCAT',
                'STATUS',
                'Demotion, Suspension / Involuntary Leave or Separation',
                3,
                'Y'
                )
    INTO T_F_IRMO_REF (USAGE, CODE, DISPLAY, SEQ, ACTIVE)
        VALUES ('PROFESSIONAL_SUBCAT',
                'ABSENCE',
                'Leave of Absence or Unauthorized Leave / AWOL',
                4,
                'Y'
                )    
    INTO T_F_IRMO_REF (USAGE, CODE, DISPLAY, SEQ, ACTIVE)
        VALUES ('PROFESSIONAL_SUBCAT',
                'NEGATIVE_CHAR',
                'Negative Characterization of Previous Employment or Service',
                5,
                'Y'
                )    
    INTO T_F_IRMO_REF (USAGE, CODE, DISPLAY, SEQ, ACTIVE)
        VALUES ('PROFESSIONAL_SUBCAT',
                'OUTSIDE_EMP',
                'Outside Employment not in Accordance with Official Guidelines',
                6,
                'Y'
                )    
    INTO T_F_IRMO_REF (USAGE, CODE, DISPLAY, SEQ, ACTIVE)
        VALUES ('FOREIGN_SUBCAT',
                'CITIZENSHIP',
                'Foreign Citizenship - Personal and Associates',
                1,
                'Y'
                )    
    INTO T_F_IRMO_REF (USAGE, CODE, DISPLAY, SEQ, ACTIVE)
        VALUES ('FOREIGN_SUBCAT',
                'FOR_CONTACT',
                'Foreign National Contact',
                2,
                'Y'
                )    
    INTO T_F_IRMO_REF (USAGE, CODE, DISPLAY, SEQ, ACTIVE)
        VALUES ('FOREIGN_SUBCAT',
                'FIE',
                'Unauthorized Contact with Officer or Agent of a Foreign Intelligence Entity',
                3,
                'Y'
                )    
    INTO T_F_IRMO_REF (USAGE, CODE, DISPLAY, SEQ, ACTIVE)
        VALUES ('FOREIGN_SUBCAT',
                'BUSINESS',
                'Foreign Business Interests, Asset Ownership or Employment',
                4,
                'Y'
                )    
    INTO T_F_IRMO_REF (USAGE, CODE, DISPLAY, SEQ, ACTIVE)
        VALUES ('FOREIGN_SUBCAT',
                'POLITICAL',
                'Foreign Political Interests, Military Service or Election Activities (Voting)',
                5,
                'Y'
                )    
    INTO T_F_IRMO_REF (USAGE, CODE, DISPLAY, SEQ, ACTIVE)
        VALUES ('FOREIGN_SUBCAT',
                'BENEFITS',
                'Receiving Benefits from a Foreign Nation',
                6,
                'Y'
                )    
    INTO T_F_IRMO_REF (USAGE, CODE, DISPLAY, SEQ, ACTIVE)
        VALUES ('FOREIGN_SUBCAT',
                'FIE_ACTIVE',
                'Enabling or Facilitating an Officer, Agent or member of an FIE',
                7,
                'Y'
                )    
    INTO T_F_IRMO_REF (USAGE, CODE, DISPLAY, SEQ, ACTIVE)
        VALUES ('FOREIGN_SUBCAT',
                'TRAVEL',
                'Official or Unoffical Travel to Tier List Countries, or Frequent Travel to Same Location',
                8,
                'Y'
                )    
    INTO T_F_IRMO_REF (USAGE, CODE, DISPLAY, SEQ, ACTIVE)
        VALUES ('FOREIGN_SUBCAT',
                'PASSPORT',
                'Possession of Foreign Passport',
                9,
                'Y'
                )    
    INTO T_F_IRMO_REF (USAGE, CODE, DISPLAY, SEQ, ACTIVE)
        VALUES ('SECURITY_SUBCAT',
                'COMP_SEC',
                'Compliance and Security Infractions or Violations',
                1,
                'Y'
                )    
    INTO T_F_IRMO_REF (USAGE, CODE, DISPLAY, SEQ, ACTIVE)
        VALUES ('SECURITY_SUBCAT',
                'MISUSE',
                'Misuse of Treasury Property or Privileged Functions',
                2,
                'Y'
                )    
    INTO T_F_IRMO_REF (USAGE, CODE, DISPLAY, SEQ, ACTIVE)
        VALUES ('SECURITY_SUBCAT',
                'TIME',
                'Time Entry Violations',
                3,
                'Y'
                )    
    INTO T_F_IRMO_REF (USAGE, CODE, DISPLAY, SEQ, ACTIVE)
        VALUES ('SECURITY_SUBCAT',
                'CLEARANCE',
                'Security Clearance Denial, Suspension or Revocation',
                4,
                'Y'
                )    
    INTO T_F_IRMO_REF (USAGE, CODE, DISPLAY, SEQ, ACTIVE)
        VALUES ('SECURITY_SUBCAT',
                'ACCESS',
                'Physical or Virtual Access Anomalies, or Access of Facilities or Systems Off-Hours',
                5,
                'Y'
                )    
    INTO T_F_IRMO_REF (USAGE, CODE, DISPLAY, SEQ, ACTIVE)
        VALUES ('SECURITY_SUBCAT',
                'NAT_SEC',
                'Attempts to Obtain National Security Information without Proper Clearance or Need-to-Know',
                6,
                'Y'
                )    
    INTO T_F_IRMO_REF (USAGE, CODE, DISPLAY, SEQ, ACTIVE)
        VALUES ('SECURITY_SUBCAT',
                'SELF_REPORT',
                'Failure to Self-Report Required Information Associated with Holding a Clearance',
                7,
                'Y'
                )    
    INTO T_F_IRMO_REF (USAGE, CODE, DISPLAY, SEQ, ACTIVE)
        VALUES ('TECHNICAL_SUBCAT',
                'MISUSE',
                'Misuse of Government IT System(s)',
                1,
                'Y'
                )    
    INTO T_F_IRMO_REF (USAGE, CODE, DISPLAY, SEQ, ACTIVE)
        VALUES ('TECHNICAL_SUBCAT',
                'TECH',
                'Technical Violation, admitted during Investigation or Polygraph',
                2,
                'Y'
                )    
    INTO T_F_IRMO_REF (USAGE, CODE, DISPLAY, SEQ, ACTIVE)
        VALUES ('TECHNICAL_SUBCAT',
                'ANTIVIRUS',
                'Disabling of Anti-Virus Software',
                3,
                'Y'
                )    
    INTO T_F_IRMO_REF (USAGE, CODE, DISPLAY, SEQ, ACTIVE)
        VALUES ('TECHNICAL_SUBCAT',
                'SOFTWARE',
                'Introduction of Unauthorized Software',
                4,
                'Y'
                )    
    INTO T_F_IRMO_REF (USAGE, CODE, DISPLAY, SEQ, ACTIVE)
        VALUES ('TECHNICAL_SUBCAT',
                'SPILL',
                'Network Spillage Incidents',
                5,
                'Y'
                )    
    INTO T_F_IRMO_REF (USAGE, CODE, DISPLAY, SEQ, ACTIVE)
        VALUES ('TECHNICAL_SUBCAT',
                'POLICY',
                'Violating Web Policy',
                6,
                'Y'
                )    
    INTO T_F_IRMO_REF (USAGE, CODE, DISPLAY, SEQ, ACTIVE)
        VALUES ('TECHNICAL_SUBCAT',
                'WEBSITES',
                'Visiting Suspicious Websites',
                7,
                'Y'
                )    
    INTO T_F_IRMO_REF (USAGE, CODE, DISPLAY, SEQ, ACTIVE)
        VALUES ('TECHNICAL_SUBCAT',
                'CREDENTIALS',
                'Use of Treasury Credentials by Unauthorized Parties',
                8,
                'Y'
                )    
    INTO T_F_IRMO_REF (USAGE, CODE, DISPLAY, SEQ, ACTIVE)
        VALUES ('CRIMINAL_SUBCAT',
                'BEHAVIOR',
                'Criminal Behavior, Violent or Others',
                1,
                'Y'
                )    
    INTO T_F_IRMO_REF (USAGE, CODE, DISPLAY, SEQ, ACTIVE)
        VALUES ('CRIMINAL_SUBCAT',
                'VIOLENCE',
                'Exhibiting or Threatening Violence, including at Work',
                2,
                'Y'
                )    
    INTO T_F_IRMO_REF (USAGE, CODE, DISPLAY, SEQ, ACTIVE)
        VALUES ('CRIMINAL_SUBCAT',
                'WEAPONS',
                'Possession of Unauthorized Weapon or Criminal Behavior Involving a Weapon',
                3,
                'Y'
                )    
    INTO T_F_IRMO_REF (USAGE, CODE, DISPLAY, SEQ, ACTIVE)
        VALUES ('CRIMINAL_SUBCAT',
                'COURT_ORDER',
                'Failure to Follow a Court Order',
                4,
                'Y'
                )    
    INTO T_F_IRMO_REF (USAGE, CODE, DISPLAY, SEQ, ACTIVE)
        VALUES ('CRIMINAL_SUBCAT',
                'PAROLE',
                'Parole or Probation, including Violations',
                5,
                'Y'
                )
    INTO T_F_IRMO_REF (USAGE, CODE, DISPLAY, SEQ, ACTIVE)
        VALUES ('CRIMINAL_SUBCAT',
                'AFFILIATION',
                'Crimindal Affiliations',
                6,
                'Y'
                )
    INTO T_F_IRMO_REF (USAGE, CODE, DISPLAY, SEQ, ACTIVE)
        VALUES ('FINANCIAL_SUBCAT',
                'CRIME',
                'Financial Crime (from Voluntary Admission, Substantiated Report or Arrest, or Criminal Proceeding)',
                1,
                'Y'
                )
    INTO T_F_IRMO_REF (USAGE, CODE, DISPLAY, SEQ, ACTIVE)
        VALUES ('FINANCIAL_SUBCAT',
                'BANKRUPTCY',
                'Filing for Bankruptcy',
                2,
                'Y'
                )
    INTO T_F_IRMO_REF (USAGE, CODE, DISPLAY, SEQ, ACTIVE)
        VALUES ('FINANCIAL_SUBCAT',
                'ADVERSE',
                'Adverse Changes to Financial Status',
                3,
                'Y'
                )
    INTO T_F_IRMO_REF (USAGE, CODE, DISPLAY, SEQ, ACTIVE)
        VALUES ('FINANCIAL_SUBCAT',
                'DEBT',
                'Delinquent Debts (within Scope of Investigation)',
                4,
                'Y'
                )
    INTO T_F_IRMO_REF (USAGE, CODE, DISPLAY, SEQ, ACTIVE)
        VALUES ('FINANCIAL_SUBCAT',
                'DTOI',
                'High Debt-to-Income Ratio',
                5,
                'Y'
                )
    INTO T_F_IRMO_REF (USAGE, CODE, DISPLAY, SEQ, ACTIVE)
        VALUES ('FINANCIAL_SUBCAT',
                'TAX',
                'Failure to File Tax Returns',
                6,
                'Y'
                )
    INTO T_F_IRMO_REF (USAGE, CODE, DISPLAY, SEQ, ACTIVE)
        VALUES ('FINANCIAL_SUBCAT',
                'PAY_G',
                'Pay Garnishment',
                7,
                'Y'
                )
    INTO T_F_IRMO_REF (USAGE, CODE, DISPLAY, SEQ, ACTIVE)
        VALUES ('FINANCIAL_SUBCAT',
                'AFFLUENCE',
                'Displaying Signs of Unexplained Affluence',
                8,
                'Y'
                )
    INTO T_F_IRMO_REF (USAGE, CODE, DISPLAY, SEQ, ACTIVE)
        VALUES ('FINANCIAL_SUBCAT',
                'GAMBLING',
                'Gambling Issues',
                9,
                'Y'
                )
    INTO T_F_IRMO_REF (USAGE, CODE, DISPLAY, SEQ, ACTIVE)
        VALUES ('ADDICTIVE_SUBCAT',
                'ILLEGAL',
                'Illegal Substance Abuse or Trafficking',
                1,
                'Y'
                )
    INTO T_F_IRMO_REF (USAGE, CODE, DISPLAY, SEQ, ACTIVE)
        VALUES ('ADDICTIVE_SUBCAT',
                'LEGAL',
                'Legal Substance Abuse or Trafficking',
                2,
                'Y'
                )
    INTO T_F_IRMO_REF (USAGE, CODE, DISPLAY, SEQ, ACTIVE)
        VALUES ('ADDICTIVE_SUBCAT',
                'TREATMENT',
                'Voluntary or Involuntary Treatment for Abuse of Drugs, Alcohol or Controlled Substances',
                3,
                'Y'
                )
    INTO T_F_IRMO_REF (USAGE, CODE, DISPLAY, SEQ, ACTIVE)
        VALUES ('PSYCH_SUBCAT',
                'FALSIFICATION',
                'Falsification of Hiring Information or Data at Work',
                1,
                'Y'
                )
    INTO T_F_IRMO_REF (USAGE, CODE, DISPLAY, SEQ, ACTIVE)
        VALUES ('PSYCH_SUBCAT',
                'CIVIL',
                'Subject of Judgement in Civil Litigation',
                2,
                'Y'
                )
    INTO T_F_IRMO_REF (USAGE, CODE, DISPLAY, SEQ, ACTIVE)
        VALUES ('PSYCH_SUBCAT',
                'EXP',
                'Expressing Ill-Will towards USG or Employing Organization or Communicating Extremist Views',
                3,
                'Y'
                )
    INTO T_F_IRMO_REF (USAGE, CODE, DISPLAY, SEQ, ACTIVE)
        VALUES ('PSYCH_SUBCAT',
                'EXTR_OR_TERR',
                'Associating, Enabling or Facilitating with Extremist or Terrorist Groups',
                4,
                'Y'
                )
    INTO T_F_IRMO_REF (USAGE, CODE, DISPLAY, SEQ, ACTIVE)
        VALUES ('PSYCH_SUBCAT',
                'ADMISSION',
                'Admission to Inpatient Mental Health Facility, either Voluntary or Involuntary',
                5,
                'Y'
                )
    INTO T_F_IRMO_REF (USAGE, CODE, DISPLAY, SEQ, ACTIVE)
        VALUES ('PSYCH_SUBCAT',
                'PLEA',
                'Insanity Plea in Criminal Case',
                6,
                'Y'
                )
    INTO T_F_IRMO_REF (USAGE, CODE, DISPLAY, SEQ, ACTIVE)
        VALUES ('PSYCH_SUBCAT',
                'BEHAVIOR',
                'Anti-Social Behavior, Mental Instability, or Past or Present Untruthfulness',
                7,
                'Y'
                )
    INTO T_F_IRMO_REF (USAGE, CODE, DISPLAY, SEQ, ACTIVE)
        VALUES ('PSYCH_SUBCAT',
                'POLYGRAPH',
                'Failure to Complete or Refusal to Take a Polygraph',
                8,
                'Y'
                )
    INTO T_F_IRMO_REF (USAGE, CODE, DISPLAY, SEQ, ACTIVE)
        VALUES ('PSYCH_SUBCAT',
                'ENDORSEMENT',
                'Communicating Endorsement of Workplace Violence',
                9,
                'Y'
                )
    INTO T_F_IRMO_REF (USAGE, CODE, DISPLAY, SEQ, ACTIVE)
        VALUES ('PSYCH_SUBCAT',
                'SELF',
                'Self-harm, Suicidal Ideation or Attempted Suicide',
                10,
                'Y'
                )
    INTO T_F_IRMO_REF (USAGE, CODE, DISPLAY, SEQ, ACTIVE)
        VALUES ('PSYCH_SUBCAT',
                'OTHER',
                'Other Psychiatric or Psychological Condition',
                11,
                'Y'
                )
SELECT * FROM DUAL;