prompt --application/set_environment
set define off verify off feedback off
whenever sqlerror exit sql.sqlcode rollback
--------------------------------------------------------------------------------
--
-- ORACLE Application Express (APEX) export file
--
-- You should run the script connected to SQL*Plus as the Oracle user
-- APEX_190200 or as the owner (parsing schema) of the application.
--
-- NOTE: Calls to apex_application_install override the defaults below.
--
--------------------------------------------------------------------------------
begin
wwv_flow_api.import_begin (
 p_version_yyyy_mm_dd=>'2019.10.04'
,p_release=>'19.2.0.00.18'
,p_default_workspace_id=>apex_util.find_security_group_id(user)
,p_default_application_id=>100
,p_default_id_offset=>0
,p_default_owner=>'ACM'
);
end;
/
 
prompt APPLICATION 100 - CI2MS
--
-- Application Export:
--   Application:     100
--   Name:            CI2MS
--   Date and Time:   13:39 Monday January 23, 2023
--   Exported By:     KYLE.PARRENT
--   Flashback:       0
--   Export Type:     Component Export
--   Manifest
--     PAGE: 2350
--     PAGE: 5028
--     PAGE: 5029
--   Manifest End
--   Version:         19.2.0.00.18
--   Instance ID:     199039407005378
--

begin
  -- replace components
  wwv_flow_api.g_mode := 'REPLACE';
end;
/
prompt --application/pages/delete_02350
begin
wwv_flow_api.remove_page (p_flow_id=>wwv_flow.g_flow_id, p_page_id=>2350);
end;
/
prompt --application/pages/page_02350
begin
wwv_flow_api.create_page(
 p_id=>2350
,p_user_interface_id=>wwv_flow_api.id(1724376430811806)
,p_name=>'TIRA'
,p_step_title=>'TIRA'
,p_reload_on_submit=>'A'
,p_autocomplete_on_off=>'ON'
,p_group_id=>wwv_flow_api.id(50580294360533618)
,p_step_template=>wwv_flow_api.id(3648650640051096)
,p_page_template_options=>'#DEFAULT#'
,p_required_role=>wwv_flow_api.id(5469764320376770)
,p_read_only_when_type=>'PLSQL_EXPRESSION'
,p_read_only_when=>'ACM_UI.CHECK_PAGE_READ_ONLY'
,p_help_text=>'No help is available for this page.'
,p_last_updated_by=>'KYLE.PARRENT'
,p_last_upd_yyyymmddhh24miss=>'20230123133327'
);
wwv_flow_api.create_report_region(
 p_id=>wwv_flow_api.id(141389907110628498)
,p_name=>'Mitigation'
,p_template=>wwv_flow_api.id(1694478717811776)
,p_display_sequence=>40
,p_region_template_options=>'#DEFAULT#:is-collapsed:t-Region--scrollBody:t-Form--slimPadding:t-Form--leftLabels'
,p_component_template_options=>'#DEFAULT#:t-Report--altRowsDefault:t-Report--rowHighlight'
,p_display_point=>'BODY'
,p_source_type=>'NATIVE_SQL_REPORT'
,p_query_type=>'SQL'
,p_source=>wwv_flow_string.join(wwv_flow_t_varchar2(
'SELECT',
'	M.SID,',
'	R.DISPLAY',
'FROM',
'	T_F_IT_RA_MITIGATION M',
'	INNER JOIN T_F_IT_RA_REF R ON R.SID = M.MITIGATION_TYPE',
'WHERE',
'	M.OBJ = :P2350_OBJ',
'ORDER BY',
'	M.SID'))
,p_display_when_condition=>':P&APP_PAGE_ID._OBJ IS NOT NULL'
,p_display_condition_type=>'SQL_EXPRESSION'
,p_ajax_enabled=>'Y'
,p_ajax_items_to_submit=>'P2350_OBJ'
,p_query_row_template=>wwv_flow_api.id(1706976520811782)
,p_query_num_rows=>15
,p_query_options=>'DERIVED_REPORT_COLUMNS'
,p_query_show_nulls_as=>'-'
,p_query_no_data_found=>'No mitigations associated'
,p_query_num_rows_type=>'NEXT_PREVIOUS_LINKS'
,p_query_row_count_max=>500
,p_pagination_display_position=>'BOTTOM_RIGHT'
,p_csv_output=>'N'
,p_prn_output=>'N'
,p_sort_null=>'L'
,p_plug_query_strip_html=>'Y'
);
wwv_flow_api.create_report_columns(
 p_id=>wwv_flow_api.id(120516334424636006)
,p_query_column_id=>1
,p_column_alias=>'SID'
,p_column_display_sequence=>1
,p_column_heading=>'&EDIT_COLUMN_LABEL.'
,p_use_as_row_header=>'N'
,p_column_link=>'f?p=&APP_ID.:5024:&SESSION.:EDIT:&DEBUG.:5024:P5024_SID,P5024_OBJ:#SID#,&P2320_OBJ.'
,p_column_linktext=>'<img src="#IMAGE_PREFIX#app_ui/img/icons/apex-edit-pencil.png" class="apex-edit-pencil" alt="">'
,p_column_alignment=>'CENTER'
,p_report_column_required_role=>wwv_flow_api.id(71870379768586784)
,p_derived_column=>'N'
,p_include_in_export=>'Y'
,p_ref_table_name=>'T_F_SPLYCHN_PRODUCT'
,p_ref_column_name=>'SID'
);
wwv_flow_api.create_report_columns(
 p_id=>wwv_flow_api.id(120515992600636004)
,p_query_column_id=>2
,p_column_alias=>'DISPLAY'
,p_column_display_sequence=>3
,p_column_heading=>'Mitigation'
,p_use_as_row_header=>'N'
,p_derived_column=>'N'
,p_include_in_export=>'Y'
);
wwv_flow_api.create_report_columns(
 p_id=>wwv_flow_api.id(120516748342636006)
,p_query_column_id=>3
,p_column_alias=>'DERIVED$01'
,p_column_display_sequence=>2
,p_column_heading=>'View'
,p_use_as_row_header=>'N'
,p_column_link=>'f?p=&APP_ID.:5024:&SESSION.::&DEBUG.:RP,5024:P5024_SID,P5024_OBJ:#SID#,&P2320_OBJ.'
,p_column_linktext=>'<img src="#IMAGE_PREFIX#app_ui/img/icons/apex-edit-view.png" class="apex-edit-view" alt="">'
,p_column_alignment=>'CENTER'
,p_report_column_required_role=>'!'||wwv_flow_api.id(71870379768586784)
,p_derived_column=>'Y'
,p_include_in_export=>'Y'
);
wwv_flow_api.create_page_plug(
 p_id=>wwv_flow_api.id(147996996172636245)
,p_plug_name=>'Navigation'
,p_region_template_options=>'#DEFAULT#:t-Region--scrollBody:t-Form--slimPadding:t-Form--leftLabels'
,p_component_template_options=>'#DEFAULT#'
,p_plug_template=>wwv_flow_api.id(1698100915811778)
,p_plug_display_sequence=>30
,p_include_in_reg_disp_sel_yn=>'Y'
,p_plug_display_point=>'REGION_POSITION_02'
,p_plug_source_type=>'PLUGIN_I2MS.NAV_WIDGET_REGION'
,p_plug_query_options=>'DERIVED_REPORT_COLUMNS'
,p_plug_display_condition_type=>'SQL_EXPRESSION'
,p_plug_display_when_condition=>':P&APP_PAGE_ID._OBJ IS NOT NULL'
);
wwv_flow_api.create_page_plug(
 p_id=>wwv_flow_api.id(164103627886797267)
,p_plug_name=>'Treasury Bureau'
,p_region_name=>'R2320_TREASURY_BUREAU'
,p_region_template_options=>'#DEFAULT#:is-collapsed:t-Region--scrollBody:t-Form--slimPadding:t-Form--leftLabels'
,p_plug_template=>wwv_flow_api.id(1694478717811776)
,p_plug_display_sequence=>70
,p_include_in_reg_disp_sel_yn=>'Y'
,p_plug_display_point=>'BODY'
,p_plug_source_type=>'PLUGIN_I2MS.PARTIC_REGION'
,p_plug_query_options=>'DERIVED_REPORT_COLUMNS'
,p_plug_display_condition_type=>'SQL_EXPRESSION'
,p_plug_display_when_condition=>':P&APP_PAGE_ID._OBJ IS NOT NULL'
,p_attribute_01=>'P&APP_PAGE_ID._OBJ'
,p_attribute_02=>'TREASURY_BUREAU'
,p_attribute_04=>'Add Treasury Bureau'
,p_attribute_06=>'ADD_PARTIC_INVOLV'
,p_attribute_07=>'EDIT_PARTIC_INVOLV'
,p_attribute_08=>'Edit Participant Involvement'
,p_attribute_09=>'DHS_AGENCY'
,p_attribute_10=>'N'
);
wwv_flow_api.create_page_plug(
 p_id=>wwv_flow_api.id(165355675710835781)
,p_plug_name=>'Notes'
,p_region_template_options=>'#DEFAULT#:is-collapsed:t-Region--scrollBody:t-Form--slimPadding:t-Form--leftLabels'
,p_plug_template=>wwv_flow_api.id(1694478717811776)
,p_plug_display_sequence=>110
,p_include_in_reg_disp_sel_yn=>'Y'
,p_plug_display_point=>'BODY'
,p_plug_source_type=>'PLUGIN_I2MS.NOTES_REGION'
,p_plug_query_options=>'DERIVED_REPORT_COLUMNS'
,p_plug_display_condition_type=>'SQL_EXPRESSION'
,p_plug_display_when_condition=>':P&APP_PAGE_ID._OBJ IS NOT NULL'
,p_attribute_01=>'P&APP_PAGE_ID._OBJ'
,p_attribute_02=>'Y'
);
wwv_flow_api.create_page_plug(
 p_id=>wwv_flow_api.id(174383984583056211)
,p_plug_name=>'Assignments'
,p_region_template_options=>'#DEFAULT#:is-expanded:t-Region--scrollBody:t-Form--slimPadding:t-Form--leftLabels'
,p_plug_template=>wwv_flow_api.id(1694478717811776)
,p_plug_display_sequence=>40
,p_include_in_reg_disp_sel_yn=>'Y'
,p_plug_display_point=>'REGION_POSITION_02'
,p_plug_source_type=>'PLUGIN_I2MS.STAKEHOLDER_WIDGET'
,p_plug_query_options=>'DERIVED_REPORT_COLUMNS'
,p_plug_display_condition_type=>'SQL_EXPRESSION'
,p_plug_display_when_condition=>':P&APP_PAGE_ID._OBJ IS NOT NULL'
,p_attribute_01=>'P&APP_PAGE_ID._OBJ'
);
wwv_flow_api.create_page_plug(
 p_id=>wwv_flow_api.id(176227937623177635)
,p_plug_name=>'Due Dates'
,p_region_template_options=>'#DEFAULT#:is-expanded:t-Region--scrollBody:t-Form--slimPadding:t-Form--leftLabels'
,p_plug_template=>wwv_flow_api.id(1694478717811776)
,p_plug_display_sequence=>10
,p_include_in_reg_disp_sel_yn=>'Y'
,p_plug_display_point=>'REGION_POSITION_02'
,p_plug_source_type=>'PLUGIN_I2MS.DUEDATE_WIDGET'
,p_plug_query_options=>'DERIVED_REPORT_COLUMNS'
,p_plug_display_condition_type=>'SQL_EXPRESSION'
,p_plug_display_when_condition=>':P&APP_PAGE_ID._OBJ IS NOT NULL'
,p_attribute_01=>'P&APP_PAGE_ID._OBJ'
);
wwv_flow_api.create_report_region(
 p_id=>wwv_flow_api.id(179766403177665300)
,p_name=>'Narratives'
,p_region_name=>'R2090_NARRATIVES'
,p_template=>wwv_flow_api.id(1694478717811776)
,p_display_sequence=>30
,p_region_template_options=>'#DEFAULT#:is-collapsed:t-Region--scrollBody:t-Form--slimPadding:t-Form--leftLabels'
,p_component_template_options=>'#DEFAULT#:t-Report--altRowsDefault:t-Report--rowHighlight'
,p_display_point=>'BODY'
,p_source_type=>'NATIVE_SQL_REPORT'
,p_query_type=>'SQL'
,p_source=>wwv_flow_string.join(wwv_flow_t_varchar2(
'SELECT ',
'	R.DISPLAY,',
'	N.SID,',
'	N.OBJ,',
'	N.NARRATIVE_TYPE,',
'	N.NARRATIVE,',
'	N.CREATED_BY,',
'	N.CREATED_ON,',
'	N.LAST_MODIFIED_BY,',
'	N.LAST_MODIFIED_ON',
'FROM',
'	T_F_IT_RA_NARRATIVES N',
'	INNER JOIN T_F_IT_RA_REF R ON R.SID = N.NARRATIVE_TYPE',
'WHERE',
'	OBJ = :P2350_OBJ'))
,p_display_when_condition=>':P&APP_PAGE_ID._OBJ IS NOT NULL'
,p_display_condition_type=>'SQL_EXPRESSION'
,p_ajax_enabled=>'Y'
,p_ajax_items_to_submit=>'P2350_OBJ'
,p_query_row_template=>wwv_flow_api.id(1706976520811782)
,p_query_num_rows=>15
,p_query_options=>'DERIVED_REPORT_COLUMNS'
,p_query_show_nulls_as=>'-'
,p_query_no_data_found=>'No narratives associated'
,p_query_num_rows_type=>'NEXT_PREVIOUS_LINKS'
,p_pagination_display_position=>'BOTTOM_RIGHT'
,p_csv_output=>'N'
,p_prn_output=>'N'
,p_sort_null=>'L'
,p_plug_query_strip_html=>'N'
);
wwv_flow_api.create_report_columns(
 p_id=>wwv_flow_api.id(120502240355635978)
,p_query_column_id=>1
,p_column_alias=>'DISPLAY'
,p_column_display_sequence=>5
,p_column_heading=>'Narrative Type'
,p_use_as_row_header=>'N'
,p_disable_sort_column=>'N'
,p_derived_column=>'N'
,p_include_in_export=>'Y'
);
wwv_flow_api.create_report_columns(
 p_id=>wwv_flow_api.id(120502653682635982)
,p_query_column_id=>2
,p_column_alias=>'SID'
,p_column_display_sequence=>1
,p_column_heading=>'&EDIT_COLUMN_LABEL.'
,p_use_as_row_header=>'N'
,p_column_link=>'f?p=&APP_ID.:5023:&SESSION.::&DEBUG.:RP,5023:P5023_OBJ,P5023_SID:#OBJ#,#SID#'
,p_column_linktext=>'<img src="#IMAGE_PREFIX#app_ui/img/icons/apex-edit-pencil.png" class="apex-edit-pencil" alt="">'
,p_report_column_required_role=>wwv_flow_api.id(71870379768586784)
,p_derived_column=>'N'
,p_include_in_export=>'Y'
,p_ref_table_name=>'T_F_RISK_ASSESS_NARRATIVES'
,p_ref_column_name=>'SID'
);
wwv_flow_api.create_report_columns(
 p_id=>wwv_flow_api.id(120503093453635982)
,p_query_column_id=>3
,p_column_alias=>'OBJ'
,p_column_display_sequence=>3
,p_hidden_column=>'Y'
,p_derived_column=>'N'
);
wwv_flow_api.create_report_columns(
 p_id=>wwv_flow_api.id(120503468612635984)
,p_query_column_id=>4
,p_column_alias=>'NARRATIVE_TYPE'
,p_column_display_sequence=>4
,p_hidden_column=>'Y'
,p_derived_column=>'N'
);
wwv_flow_api.create_report_columns(
 p_id=>wwv_flow_api.id(120503804537635984)
,p_query_column_id=>5
,p_column_alias=>'NARRATIVE'
,p_column_display_sequence=>6
,p_column_heading=>'Narrative'
,p_use_as_row_header=>'N'
,p_derived_column=>'N'
,p_include_in_export=>'Y'
);
wwv_flow_api.create_report_columns(
 p_id=>wwv_flow_api.id(120504221278635984)
,p_query_column_id=>6
,p_column_alias=>'CREATED_BY'
,p_column_display_sequence=>7
,p_column_heading=>'Created By'
,p_use_as_row_header=>'N'
,p_derived_column=>'N'
,p_include_in_export=>'Y'
);
wwv_flow_api.create_report_columns(
 p_id=>wwv_flow_api.id(120504635663635984)
,p_query_column_id=>7
,p_column_alias=>'CREATED_ON'
,p_column_display_sequence=>8
,p_column_heading=>'Created On'
,p_use_as_row_header=>'N'
,p_derived_column=>'N'
,p_include_in_export=>'Y'
);
wwv_flow_api.create_report_columns(
 p_id=>wwv_flow_api.id(120505002892635984)
,p_query_column_id=>8
,p_column_alias=>'LAST_MODIFIED_BY'
,p_column_display_sequence=>9
,p_column_heading=>'Last Modified By'
,p_use_as_row_header=>'N'
,p_derived_column=>'N'
,p_include_in_export=>'Y'
);
wwv_flow_api.create_report_columns(
 p_id=>wwv_flow_api.id(120505471404635984)
,p_query_column_id=>9
,p_column_alias=>'LAST_MODIFIED_ON'
,p_column_display_sequence=>10
,p_column_heading=>'Last Modified On'
,p_use_as_row_header=>'N'
,p_derived_column=>'N'
,p_include_in_export=>'Y'
);
wwv_flow_api.create_report_columns(
 p_id=>wwv_flow_api.id(120505888368635984)
,p_query_column_id=>10
,p_column_alias=>'DERIVED$01'
,p_column_display_sequence=>2
,p_column_heading=>'View'
,p_use_as_row_header=>'N'
,p_column_link=>'f?p=&APP_ID.:5023:&SESSION.::&DEBUG.:RP,5023:P5023_SID,P5023_OBJ:#SID#,&P2090_OBJ.'
,p_column_linktext=>'<img src="#IMAGE_PREFIX#app_ui/img/icons/apex-edit-view.png" class="apex-edit-view" alt="">'
,p_report_column_required_role=>'!'||wwv_flow_api.id(71870379768586784)
,p_derived_column=>'Y'
,p_include_in_export=>'Y'
);
wwv_flow_api.create_page_plug(
 p_id=>wwv_flow_api.id(252482559231719011)
,p_plug_name=>'Progress'
,p_region_template_options=>'#DEFAULT#:is-expanded:t-Region--scrollBody:t-Form--slimPadding:t-Form--leftLabels'
,p_plug_template=>wwv_flow_api.id(1694478717811776)
,p_plug_display_sequence=>20
,p_include_in_reg_disp_sel_yn=>'Y'
,p_plug_display_point=>'REGION_POSITION_02'
,p_plug_source_type=>'PLUGIN_I2MS.MILESTONE_WIDGET'
,p_plug_query_options=>'DERIVED_REPORT_COLUMNS'
,p_plug_display_condition_type=>'SQL_EXPRESSION'
,p_plug_display_when_condition=>':P&APP_PAGE_ID._OBJ IS NOT NULL'
,p_attribute_01=>'P&APP_PAGE_ID._OBJ'
);
wwv_flow_api.create_page_plug(
 p_id=>wwv_flow_api.id(252758858642597679)
,p_plug_name=>'File Details'
,p_region_template_options=>'#DEFAULT#:is-expanded:t-Region--hiddenOverflow:t-Form--leftLabels:t-Form--slimPadding'
,p_plug_template=>wwv_flow_api.id(1694478717811776)
,p_plug_display_sequence=>10
,p_plug_display_point=>'BODY'
,p_plug_query_num_rows=>15
,p_plug_query_options=>'DERIVED_REPORT_COLUMNS'
,p_plug_read_only_when_type=>'PLSQL_EXPRESSION'
,p_plug_read_only_when=>'ACM_UI.CHECK_PAGE_READ_ONLY'
,p_attribute_01=>'N'
,p_attribute_02=>'HTML'
,p_attribute_03=>'Y'
);
wwv_flow_api.create_page_plug(
 p_id=>wwv_flow_api.id(252765605242597714)
,p_plug_name=>'Work Hours'
,p_region_template_options=>'#DEFAULT#:is-collapsed:t-Region--scrollBody:t-Form--slimPadding:t-Form--leftLabels'
,p_plug_template=>wwv_flow_api.id(1694478717811776)
,p_plug_display_sequence=>120
,p_plug_display_point=>'BODY'
,p_plug_source_type=>'PLUGIN_I2MS.WORK_HOURS_REGION'
,p_plug_query_options=>'DERIVED_REPORT_COLUMNS'
,p_plug_display_condition_type=>'SQL_EXPRESSION'
,p_plug_display_when_condition=>':P&APP_PAGE_ID._OBJ IS NOT NULL'
,p_attribute_01=>'P&APP_PAGE_ID._OBJ'
,p_attribute_02=>'Y'
);
wwv_flow_api.create_page_plug(
 p_id=>wwv_flow_api.id(252768423337597721)
,p_plug_name=>'Associated Activities'
,p_region_name=>'R2090_ASSOCIATED_ACTIVITIES'
,p_region_template_options=>'#DEFAULT#:is-collapsed:t-Region--scrollBody:t-Form--slimPadding:t-Form--leftLabels'
,p_plug_template=>wwv_flow_api.id(1694478717811776)
,p_plug_display_sequence=>80
,p_plug_display_point=>'BODY'
,p_plug_item_display_point=>'BELOW'
,p_plug_source_type=>'PLUGIN_I2MS.ASSOC_ACT_REGION'
,p_plug_query_options=>'DERIVED_REPORT_COLUMNS'
,p_plug_display_condition_type=>'SQL_EXPRESSION'
,p_plug_display_when_condition=>':P&APP_PAGE_ID._OBJ IS NOT NULL'
,p_attribute_01=>'P&APP_PAGE_ID._OBJ'
,p_attribute_02=>'Y'
);
wwv_flow_api.create_page_plug(
 p_id=>wwv_flow_api.id(252805615424597819)
,p_plug_name=>'Attachments'
,p_region_template_options=>'#DEFAULT#:is-collapsed:t-Region--scrollBody:t-Form--slimPadding:t-Form--leftLabels'
,p_plug_template=>wwv_flow_api.id(1694478717811776)
,p_plug_display_sequence=>100
,p_plug_display_point=>'BODY'
,p_plug_source_type=>'PLUGIN_I2MS.ATTACHMENT_REGION'
,p_plug_query_options=>'DERIVED_REPORT_COLUMNS'
,p_plug_display_condition_type=>'SQL_EXPRESSION'
,p_plug_display_when_condition=>':P&APP_PAGE_ID._OBJ IS NOT NULL'
,p_attribute_01=>'P&APP_PAGE_ID._OBJ'
,p_attribute_02=>'Y'
);
wwv_flow_api.create_page_plug(
 p_id=>wwv_flow_api.id(252809202735597829)
,p_plug_name=>'Page Header'
,p_region_name=>'page_header'
,p_region_template_options=>'t-Form--slimPadding'
,p_plug_template=>wwv_flow_api.id(1701496427811779)
,p_plug_display_sequence=>5
,p_plug_display_point=>'REGION_POSITION_01'
,p_plug_item_display_point=>'BELOW'
,p_plug_source_type=>'PLUGIN_I2MS.PAGE_HEADER'
,p_plug_query_options=>'DERIVED_REPORT_COLUMNS'
,p_attribute_01=>'P&APP_PAGE_ID._OBJ'
);
wwv_flow_api.create_page_plug(
 p_id=>wwv_flow_api.id(177847003320618307)
,p_plug_name=>'vltButtonHolder'
,p_region_name=>'vltButtonHolder'
,p_parent_plug_id=>wwv_flow_api.id(252809202735597829)
,p_region_template_options=>'#DEFAULT#:t-Form--slimPadding:t-Form--leftLabels'
,p_region_attributes=>'style="right: 0px;"'
,p_plug_template=>wwv_flow_api.id(1690005324811773)
,p_plug_display_sequence=>100
,p_plug_display_point=>'BODY'
,p_plug_source_type=>'PLUGIN_I2MS.VLT_ACTIONS_REGION'
,p_plug_query_options=>'DERIVED_REPORT_COLUMNS'
,p_plug_display_condition_type=>'SQL_EXPRESSION'
,p_plug_display_when_condition=>':P&APP_PAGE_ID._OBJ IS NOT NULL'
,p_attribute_01=>'P&APP_PAGE_ID._OBJ'
);
wwv_flow_api.create_page_plug(
 p_id=>wwv_flow_api.id(269945514451816623)
,p_plug_name=>'Associated Files'
,p_region_template_options=>'#DEFAULT#:is-collapsed:t-Region--scrollBody:t-Form--slimPadding:t-Form--leftLabels'
,p_plug_template=>wwv_flow_api.id(1694478717811776)
,p_plug_display_sequence=>90
,p_plug_display_point=>'BODY'
,p_plug_source_type=>'PLUGIN_I2MS.ASSOC_FILE_REGION'
,p_plug_query_options=>'DERIVED_REPORT_COLUMNS'
,p_plug_display_condition_type=>'SQL_EXPRESSION'
,p_plug_display_when_condition=>':P&APP_PAGE_ID._OBJ IS NOT NULL'
,p_attribute_01=>'P&APP_PAGE_ID._OBJ'
);
wwv_flow_api.create_page_plug(
 p_id=>wwv_flow_api.id(420096911153382745)
,p_plug_name=>'Participants'
,p_region_name=>'R2090_PARTICIPANTS'
,p_region_template_options=>'#DEFAULT#:is-collapsed:t-Region--scrollBody:t-Form--slimPadding:t-Form--leftLabels'
,p_plug_template=>wwv_flow_api.id(1694478717811776)
,p_plug_display_sequence=>60
,p_plug_display_point=>'BODY'
,p_plug_source_type=>'PLUGIN_I2MS.PARTIC_REGION'
,p_plug_query_options=>'DERIVED_REPORT_COLUMNS'
,p_plug_display_condition_type=>'SQL_EXPRESSION'
,p_plug_display_when_condition=>':P&APP_PAGE_ID._OBJ IS NOT NULL'
,p_attribute_01=>'P&APP_PAGE_ID._OBJ'
,p_attribute_02=>'PARTICIPANTS'
,p_attribute_04=>'Add Participant'
,p_attribute_06=>'ADD_PARTIC_INVOLV'
,p_attribute_07=>'EDIT_PARTIC_INVOLV'
,p_attribute_08=>'Edit DHS Component Involvement'
,p_attribute_09=>'BOTH'
,p_attribute_10=>'N'
);
wwv_flow_api.create_page_button(
 p_id=>wwv_flow_api.id(120510835753636000)
,p_button_sequence=>11
,p_button_plug_id=>wwv_flow_api.id(252809202735597829)
,p_button_name=>'CREATE'
,p_button_static_id=>'create'
,p_button_action=>'SUBMIT'
,p_button_template_options=>'#DEFAULT#:t-Button--iconRight'
,p_button_template_id=>wwv_flow_api.id(10225064190350856)
,p_button_image_alt=>'Create'
,p_button_position=>'REGION_TEMPLATE_CREATE'
,p_button_condition=>':P&APP_PAGE_ID._OBJ IS NULL'
,p_button_condition_type=>'SQL_EXPRESSION'
,p_security_scheme=>wwv_flow_api.id(72970226767143604)
);
wwv_flow_api.create_page_button(
 p_id=>wwv_flow_api.id(120511217778636000)
,p_button_sequence=>12
,p_button_plug_id=>wwv_flow_api.id(252809202735597829)
,p_button_name=>'DELETE'
,p_button_static_id=>'delete'
,p_button_action=>'DEFINED_BY_DA'
,p_button_template_options=>'#DEFAULT#:t-Button--iconRight'
,p_button_template_id=>wwv_flow_api.id(10009339916085685)
,p_button_image_alt=>'Delete'
,p_button_position=>'REGION_TEMPLATE_DELETE'
,p_button_condition=>':P&APP_PAGE_ID._OBJ IS NOT NULL'
,p_button_condition_type=>'SQL_EXPRESSION'
,p_grid_new_row=>'Y'
,p_grid_new_column=>'Y'
,p_security_scheme=>wwv_flow_api.id(73010276736178896)
,p_database_action=>'DELETE'
);
wwv_flow_api.create_page_button(
 p_id=>wwv_flow_api.id(120511642520636000)
,p_button_sequence=>10
,p_button_plug_id=>wwv_flow_api.id(252809202735597829)
,p_button_name=>'SAVE'
,p_button_static_id=>'save'
,p_button_action=>'SUBMIT'
,p_button_template_options=>'#DEFAULT#:t-Button--iconRight'
,p_button_template_id=>wwv_flow_api.id(10001553045979843)
,p_button_image_alt=>'Save'
,p_button_position=>'REGION_TEMPLATE_NEXT'
,p_button_condition=>':P&APP_PAGE_ID._OBJ IS NOT NULL'
,p_button_condition_type=>'SQL_EXPRESSION'
,p_grid_new_row=>'Y'
,p_grid_new_column=>'Y'
,p_security_scheme=>wwv_flow_api.id(71870379768586784)
);
wwv_flow_api.create_page_button(
 p_id=>wwv_flow_api.id(120512084507636001)
,p_button_sequence=>80
,p_button_plug_id=>wwv_flow_api.id(252809202735597829)
,p_button_name=>'COLLAPSE_EXPAND_THINGS'
,p_button_action=>'DEFINED_BY_DA'
,p_button_template_options=>'#DEFAULT#:t-Button--iconRight'
,p_button_template_id=>wwv_flow_api.id(10003508401982631)
,p_button_image_alt=>'Expand/Collapse All Regions'
,p_button_position=>'REGION_TEMPLATE_NEXT'
,p_button_condition=>':P&APP_PAGE_ID._OBJ IS NOT NULL'
,p_button_condition_type=>'SQL_EXPRESSION'
,p_grid_new_row=>'Y'
,p_grid_new_column=>'Y'
);
wwv_flow_api.create_page_button(
 p_id=>wwv_flow_api.id(120512472700636001)
,p_button_sequence=>9
,p_button_plug_id=>wwv_flow_api.id(252809202735597829)
,p_button_name=>'BACK'
,p_button_action=>'DEFINED_BY_DA'
,p_button_template_options=>'#DEFAULT#:t-Button--iconRight'
,p_button_template_id=>wwv_flow_api.id(10002533769981117)
,p_button_image_alt=>'Back'
,p_button_position=>'REGION_TEMPLATE_PREVIOUS'
);
wwv_flow_api.create_page_button(
 p_id=>wwv_flow_api.id(120506239646635984)
,p_button_sequence=>10
,p_button_plug_id=>wwv_flow_api.id(179766403177665300)
,p_button_name=>'ADD_NARRATIVE'
,p_button_action=>'REDIRECT_PAGE'
,p_button_template_options=>'#DEFAULT#:t-Button--iconRight'
,p_button_template_id=>wwv_flow_api.id(10008299115081357)
,p_button_image_alt=>'Add Narrative'
,p_button_position=>'TOP'
,p_button_alignment=>'LEFT'
,p_button_redirect_url=>'f?p=&APP_ID.:5028:&SESSION.:CREATE:&DEBUG.:5028:P5028_OBJ:&P2350_OBJ.'
,p_security_scheme=>wwv_flow_api.id(71870379768586784)
);
wwv_flow_api.create_page_button(
 p_id=>wwv_flow_api.id(120517154175636006)
,p_button_sequence=>10
,p_button_plug_id=>wwv_flow_api.id(141389907110628498)
,p_button_name=>'ADD_MITIGATION'
,p_button_action=>'REDIRECT_PAGE'
,p_button_template_options=>'#DEFAULT#:t-Button--iconRight'
,p_button_template_id=>wwv_flow_api.id(10008299115081357)
,p_button_image_alt=>'Add Mitigation'
,p_button_position=>'TOP'
,p_button_alignment=>'LEFT'
,p_button_redirect_url=>'f?p=&APP_ID.:5029:&SESSION.:CREATE:&DEBUG.:5029:P5029_OBJ:&P2350_OBJ.'
,p_security_scheme=>wwv_flow_api.id(71870379768586784)
);
wwv_flow_api.create_page_branch(
 p_id=>wwv_flow_api.id(120523991099636032)
,p_branch_name=>'Go To Page 2350'
,p_branch_action=>'f?p=&APP_ID.:2350:&SESSION.::&DEBUG.:2350:P2350_OBJ:&P2350_OBJ.&success_msg=#SUCCESS_MSG#'
,p_branch_point=>'AFTER_PROCESSING'
,p_branch_type=>'REDIRECT_URL'
,p_branch_sequence=>1
,p_branch_condition_type=>'REQUEST_IN_CONDITION'
,p_branch_condition=>'CREATE,SAVE'
);
wwv_flow_api.create_page_branch(
 p_id=>wwv_flow_api.id(120523516557636031)
,p_branch_name=>'Go to page after delete'
,p_branch_action=>'f?p=&APP_ID.:&P0_HOMEPAGE.:&SESSION.::&DEBUG.:RP,&P0_HOMEPAGE.::'
,p_branch_point=>'AFTER_PROCESSING'
,p_branch_type=>'REDIRECT_URL'
,p_branch_when_button_id=>wwv_flow_api.id(120511217778636000)
,p_branch_sequence=>30
);
wwv_flow_api.create_page_item(
 p_id=>wwv_flow_api.id(120507261422635992)
,p_name=>'P2350_ID'
,p_item_sequence=>35
,p_item_plug_id=>wwv_flow_api.id(252758858642597679)
,p_use_cache_before_default=>'NO'
,p_prompt=>'ID:'
,p_source=>'ID'
,p_source_type=>'DB_COLUMN'
,p_display_as=>'NATIVE_DISPLAY_ONLY'
,p_display_when=>'P2350_SID'
,p_display_when_type=>'ITEM_IS_NOT_NULL'
,p_field_template=>wwv_flow_api.id(1718652654811790)
,p_item_template_options=>'#DEFAULT#'
,p_attribute_01=>'Y'
,p_attribute_02=>'VALUE'
,p_attribute_04=>'Y'
);
wwv_flow_api.create_page_item(
 p_id=>wwv_flow_api.id(120507692558635998)
,p_name=>'P2350_TITLE'
,p_is_required=>true
,p_item_sequence=>45
,p_item_plug_id=>wwv_flow_api.id(252758858642597679)
,p_use_cache_before_default=>'NO'
,p_item_default=>'acm_obj.get_default_title'
,p_item_default_type=>'PLSQL_EXPRESSION'
,p_prompt=>'Title:'
,p_source=>'TITLE'
,p_source_type=>'DB_COLUMN'
,p_display_as=>'PLUGIN_I2MS.TEXT'
,p_cSize=>60
,p_cMaxlength=>100
,p_cHeight=>1
,p_field_template=>wwv_flow_api.id(1718898501811790)
,p_item_template_options=>'#DEFAULT#'
,p_attribute_01=>'P&APP_PAGE_ID._OBJ'
,p_attribute_04=>'P&APP_PAGE_ID._OBJ'
,p_attribute_05=>'N'
);
wwv_flow_api.create_page_item(
 p_id=>wwv_flow_api.id(120508033255635998)
,p_name=>'P2350_TGT_COUNTRY'
,p_item_sequence=>65
,p_item_plug_id=>wwv_flow_api.id(252758858642597679)
,p_prompt=>'Target Country:'
,p_source_type=>'REGION_SOURCE_COLUMN'
,p_display_as=>'PLUGIN_I2MS.VENUE_ITEM'
,p_field_template=>wwv_flow_api.id(1718652654811790)
,p_item_template_options=>'#DEFAULT#'
,p_attribute_01=>'P&APP_PAGE_ID._OBJ'
);
wwv_flow_api.create_page_item(
 p_id=>wwv_flow_api.id(120508435318635998)
,p_name=>'P2350_RISK_LEVEL'
,p_item_sequence=>75
,p_item_plug_id=>wwv_flow_api.id(252758858642597679)
,p_use_cache_before_default=>'NO'
,p_prompt=>'Risk Level:'
,p_source=>'RISK_LEVEL'
,p_source_type=>'DB_COLUMN'
,p_display_as=>'NATIVE_SELECT_LIST'
,p_lov=>wwv_flow_string.join(wwv_flow_t_varchar2(
'SELECT',
'    DISPLAY D,',
'    SID R',
'FROM',
'    T_F_IT_RA_REF',
'WHERE',
'    USAGE = ''RA_RISK_LEVEL''',
'ORDER BY',
'    SEQ'))
,p_lov_display_null=>'YES'
,p_lov_null_text=>'- Select Risk Level -'
,p_cHeight=>1
,p_display_when=>'P2350_SID'
,p_display_when_type=>'ITEM_IS_NOT_NULL'
,p_field_template=>wwv_flow_api.id(1718652654811790)
,p_item_template_options=>'#DEFAULT#'
,p_lov_display_extra=>'YES'
,p_attribute_01=>'NONE'
,p_attribute_02=>'N'
);
wwv_flow_api.create_page_item(
 p_id=>wwv_flow_api.id(120508826141635998)
,p_name=>'P2350_RISK_LEVEL_INFO'
,p_item_sequence=>85
,p_item_plug_id=>wwv_flow_api.id(252758858642597679)
,p_prompt=>'Risk Level Info:'
,p_source=>wwv_flow_string.join(wwv_flow_t_varchar2(
'SELECT',
'    LONG_DISPLAY',
'FROM',
'    T_F_IT_RA_REF',
'WHERE',
'    SID = :P2350_RISK_LEVEL'))
,p_source_type=>'QUERY'
,p_display_as=>'NATIVE_DISPLAY_ONLY'
,p_display_when=>'P2350_SID'
,p_display_when_type=>'ITEM_IS_NOT_NULL'
,p_field_template=>wwv_flow_api.id(1718652654811790)
,p_item_template_options=>'#DEFAULT#'
,p_attribute_01=>'N'
,p_attribute_02=>'VALUE'
,p_attribute_04=>'Y'
);
wwv_flow_api.create_page_item(
 p_id=>wwv_flow_api.id(120509278478635998)
,p_name=>'P2350_RESTRICTION'
,p_item_sequence=>95
,p_item_plug_id=>wwv_flow_api.id(252758858642597679)
,p_prompt=>'Restriction'
,p_display_as=>'PLUGIN_I2MS.RESTRICTION_SELECT'
,p_display_when=>'P2350_SID'
,p_display_when_type=>'ITEM_IS_NOT_NULL'
,p_field_template=>wwv_flow_api.id(1718652654811790)
,p_item_template_options=>'#DEFAULT#'
,p_security_scheme=>wwv_flow_api.id(9570460470372138)
,p_attribute_01=>'P2350_OBJ'
);
wwv_flow_api.create_page_item(
 p_id=>wwv_flow_api.id(120512853472636001)
,p_name=>'P2350_SID'
,p_item_sequence=>10
,p_item_plug_id=>wwv_flow_api.id(252809202735597829)
,p_use_cache_before_default=>'NO'
,p_source=>'SID'
,p_source_type=>'DB_COLUMN'
,p_display_as=>'NATIVE_HIDDEN'
,p_attribute_01=>'Y'
);
wwv_flow_api.create_page_item(
 p_id=>wwv_flow_api.id(120513265498636001)
,p_name=>'P2350_OBJ'
,p_item_sequence=>20
,p_item_plug_id=>wwv_flow_api.id(252809202735597829)
,p_use_cache_before_default=>'NO'
,p_source=>'OBJ'
,p_source_type=>'DB_COLUMN'
,p_display_as=>'NATIVE_HIDDEN'
,p_attribute_01=>'N'
);
wwv_flow_api.create_page_item(
 p_id=>wwv_flow_api.id(120513611630636001)
,p_name=>'P2350_CLASSIFICATION'
,p_item_sequence=>60
,p_item_plug_id=>wwv_flow_api.id(252809202735597829)
,p_display_as=>'PLUGIN_I2MS.CLASSIFICATION_ITEM'
,p_attribute_01=>'P&APP_PAGE_ID._OBJ'
);
wwv_flow_api.create_page_item(
 p_id=>wwv_flow_api.id(120514072638636001)
,p_name=>'P2350_OBJ_TYPE_CODE'
,p_item_sequence=>105
,p_item_plug_id=>wwv_flow_api.id(252809202735597829)
,p_display_as=>'NATIVE_HIDDEN'
,p_item_template_options=>'#DEFAULT#'
,p_attribute_01=>'Y'
);
wwv_flow_api.create_page_da_event(
 p_id=>wwv_flow_api.id(120522541400636026)
,p_name=>'Update Risk Level Info'
,p_event_sequence=>10
,p_triggering_element_type=>'ITEM'
,p_triggering_element=>'P2350_RISK_LEVEL'
,p_bind_type=>'bind'
,p_bind_event_type=>'change'
);
wwv_flow_api.create_page_da_action(
 p_id=>wwv_flow_api.id(120523060461636029)
,p_event_id=>wwv_flow_api.id(120522541400636026)
,p_event_result=>'TRUE'
,p_action_sequence=>10
,p_execute_on_page_init=>'Y'
,p_action=>'NATIVE_SET_VALUE'
,p_affected_elements_type=>'ITEM'
,p_affected_elements=>'P2350_RISK_LEVEL_INFO'
,p_attribute_01=>'SQL_STATEMENT'
,p_attribute_03=>wwv_flow_string.join(wwv_flow_t_varchar2(
'SELECT',
'    LONG_DISPLAY',
'FROM',
'    T_F_IT_RA_REF',
'WHERE',
'    SID = :P2350_RISK_LEVEL'))
,p_attribute_07=>'P2350_RISK_LEVEL'
,p_attribute_08=>'Y'
,p_attribute_09=>'N'
,p_wait_for_result=>'Y'
);
wwv_flow_api.create_page_process(
 p_id=>wwv_flow_api.id(120519778986636025)
,p_process_sequence=>1
,p_process_point=>'AFTER_SUBMIT'
,p_process_type=>'PLUGIN_I2MS.DELETE_OBJECT'
,p_process_name=>'Delete Object'
,p_attribute_01=>'P2350_OBJ'
,p_process_error_message=>'File deletion failed #SQLERRM#'
,p_error_display_location=>'INLINE_IN_NOTIFICATION'
,p_process_when_button_id=>wwv_flow_api.id(120511217778636000)
,p_process_success_message=>'File deleted'
,p_security_scheme=>wwv_flow_api.id(73010276736178896)
);
wwv_flow_api.create_page_process(
 p_id=>wwv_flow_api.id(120518906924636025)
,p_process_sequence=>10
,p_process_point=>'AFTER_SUBMIT'
,p_process_type=>'NATIVE_FORM_PROCESS'
,p_process_name=>'T_F_IT_RA Create'
,p_attribute_02=>'T_F_IT_RA'
,p_attribute_03=>'P2350_SID'
,p_attribute_04=>'SID'
,p_attribute_05=>'P2350_OBJ'
,p_attribute_06=>'OBJ'
,p_attribute_09=>'P2350_SID'
,p_attribute_10=>'P2350_OBJ'
,p_attribute_11=>'I'
,p_attribute_12=>'Y'
,p_error_display_location=>'INLINE_IN_NOTIFICATION'
,p_process_when_button_id=>wwv_flow_api.id(120510835753636000)
,p_process_success_message=>'File created'
,p_security_scheme=>wwv_flow_api.id(72970226767143604)
);
wwv_flow_api.create_page_process(
 p_id=>wwv_flow_api.id(120520920956636025)
,p_process_sequence=>20
,p_process_point=>'AFTER_SUBMIT'
,p_process_type=>'PLUGIN_PROCESS_EVENT'
,p_process_name=>'Process Event Create'
,p_attribute_01=>'CREATED'
,p_attribute_02=>'P2350_OBJ'
,p_error_display_location=>'INLINE_IN_NOTIFICATION'
,p_process_when_button_id=>wwv_flow_api.id(120510835753636000)
);
wwv_flow_api.create_page_process(
 p_id=>wwv_flow_api.id(120518156845636023)
,p_process_sequence=>30
,p_process_point=>'AFTER_SUBMIT'
,p_process_type=>'NATIVE_FORM_PROCESS'
,p_process_name=>'T_F_IT_RA  Save'
,p_attribute_02=>'T_F_IT_RA'
,p_attribute_03=>'P2350_SID'
,p_attribute_04=>'SID'
,p_attribute_05=>'P2350_OBJ'
,p_attribute_06=>'OBJ'
,p_attribute_09=>'P2350_SID'
,p_attribute_10=>'P2350_OBJ'
,p_attribute_11=>'U'
,p_attribute_12=>'Y'
,p_process_error_message=>'File update failed #SQLERRM#'
,p_error_display_location=>'INLINE_IN_NOTIFICATION'
,p_process_when_button_id=>wwv_flow_api.id(120511642520636000)
,p_process_success_message=>'File updated'
,p_security_scheme=>wwv_flow_api.id(71870379768586784)
);
wwv_flow_api.create_page_process(
 p_id=>wwv_flow_api.id(120521727317636025)
,p_process_sequence=>40
,p_process_point=>'AFTER_SUBMIT'
,p_process_type=>'PLUGIN_I2MS.UPDATE_T_ACM_OBJ'
,p_process_name=>'Update T_ACM_OBJ'
,p_attribute_01=>'P2350_OBJ'
,p_attribute_02=>'P2350_TITLE'
,p_attribute_03=>'P2350_ID'
,p_error_display_location=>'INLINE_IN_NOTIFICATION'
,p_process_when_button_id=>wwv_flow_api.id(120511642520636000)
);
wwv_flow_api.create_page_process(
 p_id=>wwv_flow_api.id(120521341323636025)
,p_process_sequence=>50
,p_process_point=>'AFTER_SUBMIT'
,p_process_type=>'PLUGIN_PROCESS_EVENT'
,p_process_name=>'Process Event Save'
,p_attribute_01=>'SAVED'
,p_attribute_02=>'P2350_OBJ'
,p_error_display_location=>'INLINE_IN_NOTIFICATION'
,p_process_when_button_id=>wwv_flow_api.id(120511642520636000)
);
wwv_flow_api.create_page_process(
 p_id=>wwv_flow_api.id(120520110581636025)
,p_process_sequence=>70
,p_process_point=>'AFTER_SUBMIT'
,p_process_type=>'PLUGIN_I2MS.VENUE_PROCESS'
,p_process_name=>'Update Venue'
,p_attribute_01=>'P2350_OBJ'
,p_attribute_02=>'P2350_TGT_COUNTRY'
,p_error_display_location=>'INLINE_IN_NOTIFICATION'
,p_process_when=>':REQUEST IN (''CREATE'',''SAVE'')'
,p_process_when_type=>'SQL_EXPRESSION'
);
wwv_flow_api.create_page_process(
 p_id=>wwv_flow_api.id(120520544884636025)
,p_process_sequence=>80
,p_process_point=>'AFTER_SUBMIT'
,p_process_type=>'PLUGIN_I2MS.CLASSIFICATION_CREATE'
,p_process_name=>'Create Classification'
,p_attribute_01=>'P2350_OBJ'
,p_attribute_02=>'P2350_CLASSIFICATION'
,p_error_display_location=>'INLINE_IN_NOTIFICATION'
,p_process_when_button_id=>wwv_flow_api.id(15914712225333268)
);
wwv_flow_api.create_page_process(
 p_id=>wwv_flow_api.id(120522153335636026)
,p_process_sequence=>90
,p_process_point=>'AFTER_SUBMIT'
,p_process_type=>'PLUGIN_I2MS.RESTRICTION_PROCESS'
,p_process_name=>'Update Restriction'
,p_attribute_01=>'P2350_OBJ'
,p_attribute_02=>'P2350_RESTRICTION'
,p_error_display_location=>'INLINE_IN_NOTIFICATION'
,p_process_when=>':REQUEST IN (''CREATE'',''SAVE'')'
,p_process_when_type=>'SQL_EXPRESSION'
);
wwv_flow_api.create_page_process(
 p_id=>wwv_flow_api.id(120518542454636025)
,p_process_sequence=>10
,p_process_point=>'BEFORE_HEADER'
,p_process_type=>'NATIVE_FORM_FETCH'
,p_process_name=>'Fetch Row from T_F_IT_RA'
,p_attribute_02=>'T_F_IT_RA'
,p_attribute_03=>'P2350_OBJ'
,p_attribute_04=>'OBJ'
,p_process_error_message=>'#SQLERRM#'
,p_process_when=>'P2350_OBJ'
,p_process_when_type=>'ITEM_IS_NOT_NULL'
);
end;
/
begin
wwv_flow_api.create_page_process(
 p_id=>wwv_flow_api.id(120519308482636025)
,p_process_sequence=>20
,p_process_point=>'BEFORE_HEADER'
,p_process_type=>'PLUGIN_PROCESS_EVENT'
,p_process_name=>'Post-Access Processing'
,p_attribute_01=>'ACCESSED'
,p_attribute_02=>'P2350_OBJ'
,p_process_error_message=>'#SQLERRM#'
,p_process_when=>'P2350_OBJ'
,p_process_when_type=>'ITEM_IS_NOT_NULL'
);
null;
end;
/
prompt --application/pages/delete_05028
begin
wwv_flow_api.remove_page (p_flow_id=>wwv_flow.g_flow_id, p_page_id=>5028);
end;
/
prompt --application/pages/page_05028
begin
wwv_flow_api.create_page(
 p_id=>5028
,p_user_interface_id=>wwv_flow_api.id(1724376430811806)
,p_name=>'TIRA Narratives'
,p_page_mode=>'MODAL'
,p_step_title=>'TIRA Narratives'
,p_reload_on_submit=>'A'
,p_warn_on_unsaved_changes=>'N'
,p_first_item=>'AUTO_FIRST_ITEM'
,p_autocomplete_on_off=>'ON'
,p_group_id=>wwv_flow_api.id(172900170760378564)
,p_page_template_options=>'#DEFAULT#'
,p_required_role=>wwv_flow_api.id(3580656235835262)
,p_dialog_height=>'600'
,p_dialog_width=>'800'
,p_protection_level=>'C'
,p_read_only_when_type=>'PLSQL_EXPRESSION'
,p_read_only_when=>'ACM.ACM_OBJ.GET_OBJ_STATUS_CODE(:P5028_OBJ) = ''CLOSED'''
,p_help_text=>'No help is available for this page.'
,p_last_updated_by=>'KYLE.PARRENT'
,p_last_upd_yyyymmddhh24miss=>'20230120152351'
);
wwv_flow_api.create_page_plug(
 p_id=>wwv_flow_api.id(207643998069770160)
,p_plug_name=>'Narrative Details'
,p_region_template_options=>'#DEFAULT#:t-Form--slimPadding:t-Form--leftLabels'
,p_plug_template=>wwv_flow_api.id(1690005324811773)
,p_plug_display_sequence=>3
,p_plug_display_point=>'BODY'
,p_plug_query_num_rows=>15
,p_plug_query_options=>'DERIVED_REPORT_COLUMNS'
,p_attribute_01=>'N'
,p_attribute_02=>'HTML'
,p_attribute_03=>'Y'
);
wwv_flow_api.create_page_button(
 p_id=>wwv_flow_api.id(123801082249298404)
,p_button_sequence=>10
,p_button_plug_id=>wwv_flow_api.id(207643998069770160)
,p_button_name=>'CANCEL'
,p_button_action=>'DEFINED_BY_DA'
,p_button_template_options=>'#DEFAULT#'
,p_button_template_id=>wwv_flow_api.id(17059566633805304)
,p_button_image_alt=>'Cancel'
,p_button_position=>'TOP'
,p_button_alignment=>'LEFT'
,p_warn_on_unsaved_changes=>null
,p_button_cattributes=>'title="Cancel Product"'
);
wwv_flow_api.create_page_button(
 p_id=>wwv_flow_api.id(123801470320298407)
,p_button_sequence=>20
,p_button_plug_id=>wwv_flow_api.id(207643998069770160)
,p_button_name=>'DELETE'
,p_button_static_id=>'delete'
,p_button_action=>'DEFINED_BY_DA'
,p_button_template_options=>'#DEFAULT#:t-Button--iconRight'
,p_button_template_id=>wwv_flow_api.id(10009339916085685)
,p_button_image_alt=>'Delete'
,p_button_position=>'TOP'
,p_button_execute_validations=>'N'
,p_warn_on_unsaved_changes=>null
,p_button_condition=>wwv_flow_string.join(wwv_flow_t_varchar2(
'ACM.ACM_OBJ.GET_OBJ_STATUS_CODE(:P5028_OBJ) NOT IN (''CLOSED'')',
'AND :P5028_SID IS NOT NULL'))
,p_button_condition_type=>'PLSQL_EXPRESSION'
,p_button_cattributes=>'title="Delete Product"'
,p_database_action=>'DELETE'
);
wwv_flow_api.create_page_button(
 p_id=>wwv_flow_api.id(123801861658298407)
,p_button_sequence=>30
,p_button_plug_id=>wwv_flow_api.id(207643998069770160)
,p_button_name=>'SAVE'
,p_button_static_id=>'save'
,p_button_action=>'SUBMIT'
,p_button_template_options=>'#DEFAULT#:t-Button--iconRight'
,p_button_template_id=>wwv_flow_api.id(10001553045979843)
,p_button_image_alt=>'Save'
,p_button_position=>'TOP'
,p_button_condition=>wwv_flow_string.join(wwv_flow_t_varchar2(
'ACM.ACM_OBJ.GET_OBJ_STATUS_CODE(:P5028_OBJ) NOT IN (''CLOSED'')',
'AND :P5028_SID IS NOT NULL'))
,p_button_condition_type=>'PLSQL_EXPRESSION'
,p_button_cattributes=>'title="Apply Changes to Product"'
,p_database_action=>'UPDATE'
);
wwv_flow_api.create_page_button(
 p_id=>wwv_flow_api.id(123802206597298407)
,p_button_sequence=>40
,p_button_plug_id=>wwv_flow_api.id(207643998069770160)
,p_button_name=>'CREATE'
,p_button_static_id=>'create'
,p_button_action=>'SUBMIT'
,p_button_template_options=>'#DEFAULT#:t-Button--iconRight'
,p_button_template_id=>wwv_flow_api.id(10225064190350856)
,p_button_image_alt=>'Create'
,p_button_position=>'TOP'
,p_button_condition=>'P5028_SID'
,p_button_condition_type=>'ITEM_IS_NULL'
,p_button_cattributes=>'title = "Create Product"'
,p_database_action=>'INSERT'
);
wwv_flow_api.create_page_item(
 p_id=>wwv_flow_api.id(123802625189298409)
,p_name=>'P5028_SID'
,p_item_sequence=>10
,p_item_plug_id=>wwv_flow_api.id(207643998069770160)
,p_use_cache_before_default=>'NO'
,p_source=>'SID'
,p_source_type=>'DB_COLUMN'
,p_display_as=>'NATIVE_HIDDEN'
,p_protection_level=>'S'
,p_attribute_01=>'Y'
);
wwv_flow_api.create_page_item(
 p_id=>wwv_flow_api.id(123803014696298415)
,p_name=>'P5028_OBJ'
,p_item_sequence=>20
,p_item_plug_id=>wwv_flow_api.id(207643998069770160)
,p_use_cache_before_default=>'NO'
,p_source=>'OBJ'
,p_source_type=>'DB_COLUMN'
,p_display_as=>'NATIVE_HIDDEN'
,p_attribute_01=>'Y'
);
wwv_flow_api.create_page_item(
 p_id=>wwv_flow_api.id(123803494340298415)
,p_name=>'P5028_NARRATIVE_TYPE'
,p_is_required=>true
,p_item_sequence=>30
,p_item_plug_id=>wwv_flow_api.id(207643998069770160)
,p_use_cache_before_default=>'NO'
,p_prompt=>'Narrative Type:'
,p_source=>'NARRATIVE_TYPE'
,p_source_type=>'DB_COLUMN'
,p_display_as=>'NATIVE_SELECT_LIST'
,p_lov=>wwv_flow_string.join(wwv_flow_t_varchar2(
'SELECT',
'    DISPLAY D,',
'    SID R ',
'FROM',
'    T_F_IT_RA_REF',
'WHERE',
'    USAGE = ''RA_FILE_SUM_TYPE''',
'    AND ACTIVE = ''Y''',
'ORDER BY',
'    SEQ'))
,p_lov_display_null=>'YES'
,p_lov_null_text=>'-Select Narrative Type-'
,p_cHeight=>1
,p_field_template=>wwv_flow_api.id(1718898501811790)
,p_item_template_options=>'#DEFAULT#'
,p_lov_display_extra=>'YES'
,p_attribute_01=>'NONE'
,p_attribute_02=>'N'
);
wwv_flow_api.create_page_item(
 p_id=>wwv_flow_api.id(123803873744298415)
,p_name=>'P5028_NARRATIVE'
,p_is_required=>true
,p_item_sequence=>35
,p_item_plug_id=>wwv_flow_api.id(207643998069770160)
,p_use_cache_before_default=>'NO'
,p_prompt=>'Narrative Text:'
,p_source=>'NARRATIVE'
,p_source_type=>'DB_COLUMN'
,p_display_as=>'PLUGIN_I2MS.TEXT_AREA'
,p_cSize=>40
,p_cMaxlength=>30000
,p_cHeight=>5
,p_field_template=>wwv_flow_api.id(1718898501811790)
,p_item_template_options=>'#DEFAULT#'
,p_attribute_01=>'P5028_OBJ'
,p_attribute_02=>'both'
,p_attribute_03=>'Y'
,p_attribute_05=>'Y'
);
wwv_flow_api.create_page_item(
 p_id=>wwv_flow_api.id(123804243088298415)
,p_name=>'P5028_CREATED_BY'
,p_item_sequence=>70
,p_item_plug_id=>wwv_flow_api.id(207643998069770160)
,p_use_cache_before_default=>'NO'
,p_prompt=>'Created By:'
,p_source=>'CREATED_BY'
,p_source_type=>'DB_COLUMN'
,p_display_as=>'NATIVE_DISPLAY_ONLY'
,p_display_when=>'P5028_SID'
,p_display_when_type=>'ITEM_IS_NOT_NULL'
,p_field_template=>wwv_flow_api.id(1718652654811790)
,p_item_template_options=>'#DEFAULT#'
,p_attribute_01=>'Y'
,p_attribute_02=>'VALUE'
,p_attribute_04=>'Y'
);
wwv_flow_api.create_page_item(
 p_id=>wwv_flow_api.id(123804616591298415)
,p_name=>'P5028_CREATED_ON'
,p_item_sequence=>80
,p_item_plug_id=>wwv_flow_api.id(207643998069770160)
,p_use_cache_before_default=>'NO'
,p_prompt=>'Created On:'
,p_format_mask=>'&FMT_DATE_TIME.'
,p_source=>'CREATED_ON'
,p_source_type=>'DB_COLUMN'
,p_display_as=>'NATIVE_DISPLAY_ONLY'
,p_begin_on_new_line=>'N'
,p_display_when=>'P5028_SID'
,p_display_when_type=>'ITEM_IS_NOT_NULL'
,p_field_template=>wwv_flow_api.id(1718652654811790)
,p_item_template_options=>'#DEFAULT#'
,p_attribute_01=>'Y'
,p_attribute_02=>'VALUE'
,p_attribute_04=>'Y'
);
wwv_flow_api.create_page_item(
 p_id=>wwv_flow_api.id(123805016608298415)
,p_name=>'P5028_LAST_MODIFIED_BY'
,p_item_sequence=>90
,p_item_plug_id=>wwv_flow_api.id(207643998069770160)
,p_use_cache_before_default=>'NO'
,p_prompt=>'Last Modified By:'
,p_source=>'LAST_MODIFIED_BY'
,p_source_type=>'DB_COLUMN'
,p_display_as=>'NATIVE_DISPLAY_ONLY'
,p_display_when=>'P5028_SID'
,p_display_when_type=>'ITEM_IS_NOT_NULL'
,p_field_template=>wwv_flow_api.id(1718652654811790)
,p_item_template_options=>'#DEFAULT#'
,p_attribute_01=>'Y'
,p_attribute_02=>'VALUE'
,p_attribute_04=>'Y'
);
wwv_flow_api.create_page_item(
 p_id=>wwv_flow_api.id(123805490389298415)
,p_name=>'P5028_LAST_MODIFIED_ON'
,p_item_sequence=>100
,p_item_plug_id=>wwv_flow_api.id(207643998069770160)
,p_use_cache_before_default=>'NO'
,p_prompt=>'Last Modified On:'
,p_format_mask=>'&FMT_DATE_TIME.'
,p_source=>'LAST_MODIFIED_ON'
,p_source_type=>'DB_COLUMN'
,p_display_as=>'NATIVE_DISPLAY_ONLY'
,p_begin_on_new_line=>'N'
,p_display_when=>'P5028_SID'
,p_display_when_type=>'ITEM_IS_NOT_NULL'
,p_field_template=>wwv_flow_api.id(1718652654811790)
,p_item_template_options=>'#DEFAULT#'
,p_attribute_01=>'Y'
,p_attribute_02=>'VALUE'
,p_attribute_04=>'Y'
);
wwv_flow_api.create_page_da_event(
 p_id=>wwv_flow_api.id(123808112103298437)
,p_name=>'Cancel Dialog'
,p_event_sequence=>10
,p_triggering_element_type=>'BUTTON'
,p_triggering_button_id=>wwv_flow_api.id(123801082249298404)
,p_bind_type=>'bind'
,p_bind_event_type=>'click'
);
wwv_flow_api.create_page_da_action(
 p_id=>wwv_flow_api.id(123808630384298442)
,p_event_id=>wwv_flow_api.id(123808112103298437)
,p_event_result=>'TRUE'
,p_action_sequence=>10
,p_execute_on_page_init=>'N'
,p_action=>'NATIVE_DIALOG_CANCEL'
);
wwv_flow_api.create_page_process(
 p_id=>wwv_flow_api.id(123806133610298437)
,p_process_sequence=>20
,p_process_point=>'AFTER_SUBMIT'
,p_process_type=>'NATIVE_FORM_PROCESS'
,p_process_name=>'T_F_IT_RA_NARRATIVES Create'
,p_attribute_02=>'T_F_IT_RA_NARRATIVES'
,p_attribute_03=>'P5028_SID'
,p_attribute_04=>'SID'
,p_attribute_09=>'P5028_SID'
,p_attribute_11=>'I'
,p_attribute_12=>'Y'
,p_process_error_message=>'Narrative creation failed.'
,p_error_display_location=>'INLINE_IN_NOTIFICATION'
,p_process_when_button_id=>wwv_flow_api.id(123802206597298407)
,p_process_success_message=>'Narrative created successfully'
);
wwv_flow_api.create_page_process(
 p_id=>wwv_flow_api.id(123807386901298437)
,p_process_sequence=>40
,p_process_point=>'AFTER_SUBMIT'
,p_process_type=>'NATIVE_FORM_PROCESS'
,p_process_name=>'T_F_IT_RA_NARRATIVES Save'
,p_attribute_02=>'T_F_IT_RA_NARRATIVES'
,p_attribute_03=>'P5028_SID'
,p_attribute_04=>'SID'
,p_attribute_11=>'U'
,p_attribute_12=>'Y'
,p_process_error_message=>'#SQLERRM#'
,p_error_display_location=>'INLINE_IN_NOTIFICATION'
,p_process_when_button_id=>wwv_flow_api.id(123801861658298407)
);
wwv_flow_api.create_page_process(
 p_id=>wwv_flow_api.id(123807756544298437)
,p_process_sequence=>60
,p_process_point=>'AFTER_SUBMIT'
,p_process_type=>'NATIVE_FORM_PROCESS'
,p_process_name=>'T_F_IT_RA_NARRATIVES Delete'
,p_attribute_02=>'T_F_IT_RA_NARRATIVES'
,p_attribute_03=>'P5028_SID'
,p_attribute_04=>'SID'
,p_attribute_11=>'D'
,p_attribute_12=>'Y'
,p_process_error_message=>'Narrative deletion failed.'
,p_error_display_location=>'INLINE_IN_NOTIFICATION'
,p_process_when_button_id=>wwv_flow_api.id(123801470320298407)
);
wwv_flow_api.create_page_process(
 p_id=>wwv_flow_api.id(123806996254298437)
,p_process_sequence=>80
,p_process_point=>'AFTER_SUBMIT'
,p_process_type=>'NATIVE_SESSION_STATE'
,p_process_name=>'Reset Page'
,p_attribute_01=>'CLEAR_CACHE_CURRENT_PAGE'
,p_error_display_location=>'INLINE_IN_NOTIFICATION'
);
wwv_flow_api.create_page_process(
 p_id=>wwv_flow_api.id(123806581813298437)
,p_process_sequence=>90
,p_process_point=>'AFTER_SUBMIT'
,p_process_type=>'NATIVE_CLOSE_WINDOW'
,p_process_name=>'Close Dialog'
,p_process_error_message=>'#SQLERRM#'
,p_error_display_location=>'INLINE_IN_NOTIFICATION'
,p_process_when=>wwv_flow_string.join(wwv_flow_t_varchar2(
':REQUEST in (''CREATE'',''SAVE'',''DELETE'') and',
'NOT apex_error.have_errors_occurred'))
,p_process_when_type=>'PLSQL_EXPRESSION'
,p_process_success_message=>'Narrative processed'
);
wwv_flow_api.create_page_process(
 p_id=>wwv_flow_api.id(123805846539298435)
,p_process_sequence=>30
,p_process_point=>'BEFORE_HEADER'
,p_process_type=>'NATIVE_FORM_FETCH'
,p_process_name=>'Fetch Row from T_F_IT_RA_NARRATIVES'
,p_attribute_02=>'T_F_IT_RA_NARRATIVES'
,p_attribute_03=>'P5028_SID'
,p_attribute_04=>'SID'
,p_attribute_05=>'P5028_OBJ'
,p_attribute_06=>'OBJ'
,p_process_error_message=>'#SQLERRM#'
);
end;
/
prompt --application/pages/delete_05029
begin
wwv_flow_api.remove_page (p_flow_id=>wwv_flow.g_flow_id, p_page_id=>5029);
end;
/
prompt --application/pages/page_05029
begin
wwv_flow_api.create_page(
 p_id=>5029
,p_user_interface_id=>wwv_flow_api.id(1724376430811806)
,p_name=>'TIRA Mitigations'
,p_page_mode=>'MODAL'
,p_step_title=>'TIRA Mitigations'
,p_reload_on_submit=>'A'
,p_warn_on_unsaved_changes=>'N'
,p_first_item=>'AUTO_FIRST_ITEM'
,p_autocomplete_on_off=>'ON'
,p_group_id=>wwv_flow_api.id(172900170760378564)
,p_page_template_options=>'#DEFAULT#'
,p_required_role=>wwv_flow_api.id(3580656235835262)
,p_dialog_height=>'600'
,p_dialog_width=>'800'
,p_protection_level=>'C'
,p_read_only_when_type=>'PLSQL_EXPRESSION'
,p_read_only_when=>'ACM.ACM_OBJ.GET_OBJ_STATUS_CODE(:P5029_OBJ) IN (''CLOSED'')'
,p_help_text=>'No help is available for this page.'
,p_last_updated_by=>'KYLE.PARRENT'
,p_last_upd_yyyymmddhh24miss=>'20230120152607'
);
wwv_flow_api.create_page_plug(
 p_id=>wwv_flow_api.id(164185442491410406)
,p_plug_name=>'Product Details'
,p_region_template_options=>'#DEFAULT#:t-Form--slimPadding:t-Form--leftLabels'
,p_plug_template=>wwv_flow_api.id(1690005324811773)
,p_plug_display_sequence=>3
,p_plug_display_point=>'BODY'
,p_plug_query_num_rows=>15
,p_plug_query_options=>'DERIVED_REPORT_COLUMNS'
,p_attribute_01=>'N'
,p_attribute_02=>'HTML'
,p_attribute_03=>'Y'
);
wwv_flow_api.create_page_button(
 p_id=>wwv_flow_api.id(123810360095322335)
,p_button_sequence=>10
,p_button_plug_id=>wwv_flow_api.id(164185442491410406)
,p_button_name=>'CANCEL'
,p_button_action=>'DEFINED_BY_DA'
,p_button_template_options=>'#DEFAULT#'
,p_button_template_id=>wwv_flow_api.id(17059566633805304)
,p_button_image_alt=>'Cancel'
,p_button_position=>'TOP'
,p_button_alignment=>'LEFT'
,p_warn_on_unsaved_changes=>null
,p_button_cattributes=>'title="Cancel Product"'
);
wwv_flow_api.create_page_button(
 p_id=>wwv_flow_api.id(123810739756322339)
,p_button_sequence=>20
,p_button_plug_id=>wwv_flow_api.id(164185442491410406)
,p_button_name=>'DELETE'
,p_button_static_id=>'delete'
,p_button_action=>'DEFINED_BY_DA'
,p_button_template_options=>'#DEFAULT#:t-Button--iconRight'
,p_button_template_id=>wwv_flow_api.id(10009339916085685)
,p_button_image_alt=>'Delete'
,p_button_position=>'TOP'
,p_button_execute_validations=>'N'
,p_warn_on_unsaved_changes=>null
,p_button_condition=>wwv_flow_string.join(wwv_flow_t_varchar2(
'ACM.ACM_OBJ.GET_OBJ_STATUS_CODE(:P5029_OBJ) NOT IN (''CLOSED'')',
'AND :P5029_SID IS NOT NULL'))
,p_button_condition_type=>'PLSQL_EXPRESSION'
,p_button_cattributes=>'title="Delete Product"'
,p_database_action=>'DELETE'
);
wwv_flow_api.create_page_button(
 p_id=>wwv_flow_api.id(123811146951322339)
,p_button_sequence=>30
,p_button_plug_id=>wwv_flow_api.id(164185442491410406)
,p_button_name=>'SAVE'
,p_button_static_id=>'save'
,p_button_action=>'SUBMIT'
,p_button_template_options=>'#DEFAULT#:t-Button--iconRight'
,p_button_template_id=>wwv_flow_api.id(10001553045979843)
,p_button_image_alt=>'Save'
,p_button_position=>'TOP'
,p_button_condition=>wwv_flow_string.join(wwv_flow_t_varchar2(
'ACM.ACM_OBJ.GET_OBJ_STATUS_CODE(:P5029_OBJ) NOT IN (''CLOSED'')',
'AND :P5029_SID IS NOT NULL'))
,p_button_condition_type=>'PLSQL_EXPRESSION'
,p_button_cattributes=>'title="Apply Changes to Product"'
,p_database_action=>'UPDATE'
);
wwv_flow_api.create_page_button(
 p_id=>wwv_flow_api.id(123811511279322339)
,p_button_sequence=>40
,p_button_plug_id=>wwv_flow_api.id(164185442491410406)
,p_button_name=>'CREATE'
,p_button_static_id=>'create'
,p_button_action=>'SUBMIT'
,p_button_template_options=>'#DEFAULT#:t-Button--iconRight'
,p_button_template_id=>wwv_flow_api.id(10225064190350856)
,p_button_image_alt=>'Create'
,p_button_position=>'TOP'
,p_button_condition=>'P5029_SID'
,p_button_condition_type=>'ITEM_IS_NULL'
,p_button_cattributes=>'title = "Create Product"'
,p_database_action=>'INSERT'
);
wwv_flow_api.create_page_item(
 p_id=>wwv_flow_api.id(123811990202322339)
,p_name=>'P5029_SID'
,p_item_sequence=>10
,p_item_plug_id=>wwv_flow_api.id(164185442491410406)
,p_use_cache_before_default=>'NO'
,p_source=>'SID'
,p_source_type=>'DB_COLUMN'
,p_display_as=>'NATIVE_HIDDEN'
,p_protection_level=>'S'
,p_attribute_01=>'Y'
);
wwv_flow_api.create_page_item(
 p_id=>wwv_flow_api.id(123812361727322339)
,p_name=>'P5029_OBJ'
,p_item_sequence=>20
,p_item_plug_id=>wwv_flow_api.id(164185442491410406)
,p_use_cache_before_default=>'NO'
,p_source=>'OBJ'
,p_source_type=>'DB_COLUMN'
,p_display_as=>'NATIVE_HIDDEN'
,p_attribute_01=>'Y'
);
wwv_flow_api.create_page_item(
 p_id=>wwv_flow_api.id(123812759479322339)
,p_name=>'P5029_MITIGATION_TYPE'
,p_is_required=>true
,p_item_sequence=>30
,p_item_plug_id=>wwv_flow_api.id(164185442491410406)
,p_use_cache_before_default=>'NO'
,p_prompt=>'Mitigation Type:'
,p_source=>'MITIGATION_TYPE'
,p_source_type=>'DB_COLUMN'
,p_display_as=>'NATIVE_SELECT_LIST'
,p_lov=>wwv_flow_string.join(wwv_flow_t_varchar2(
'SELECT',
'    DISPLAY D,',
'    SID R ',
'FROM',
'    T_F_IT_RA_REF',
'WHERE',
'    USAGE = ''RA_MITIGATION''',
'    AND ACTIVE = ''Y''',
'    AND SID NOT IN (SELECT MITIGATION_TYPE FROM T_F_RISK_ASSESS_MITIGATION WHERE OBJ = :P5029_OBJ',
'                    AND (MITIGATION_TYPE <> :P5029_MITIGATION_TYPE OR :P5029_MITIGATION_TYPE IS NULL))',
'ORDER BY',
'    SEQ, DISPLAY'))
,p_lov_display_null=>'YES'
,p_lov_null_text=>'- Select Mitigation -'
,p_cHeight=>1
,p_field_template=>wwv_flow_api.id(1718898501811790)
,p_item_template_options=>'#DEFAULT#'
,p_lov_display_extra=>'YES'
,p_attribute_01=>'NONE'
,p_attribute_02=>'N'
);
wwv_flow_api.create_page_item(
 p_id=>wwv_flow_api.id(123813153757322340)
,p_name=>'P5029_CREATED_BY'
,p_item_sequence=>70
,p_item_plug_id=>wwv_flow_api.id(164185442491410406)
,p_use_cache_before_default=>'NO'
,p_prompt=>'Created By:'
,p_source=>'CREATED_BY'
,p_source_type=>'DB_COLUMN'
,p_display_as=>'NATIVE_DISPLAY_ONLY'
,p_display_when=>'P5029_SID'
,p_display_when_type=>'ITEM_IS_NOT_NULL'
,p_field_template=>wwv_flow_api.id(1718652654811790)
,p_item_template_options=>'#DEFAULT#'
,p_attribute_01=>'Y'
,p_attribute_02=>'VALUE'
,p_attribute_04=>'Y'
);
wwv_flow_api.create_page_item(
 p_id=>wwv_flow_api.id(123813529161322340)
,p_name=>'P5029_CREATED_ON'
,p_item_sequence=>80
,p_item_plug_id=>wwv_flow_api.id(164185442491410406)
,p_use_cache_before_default=>'NO'
,p_prompt=>'Created On:'
,p_format_mask=>'&FMT_DATE_TIME.'
,p_source=>'CREATED_ON'
,p_source_type=>'DB_COLUMN'
,p_display_as=>'NATIVE_DISPLAY_ONLY'
,p_begin_on_new_line=>'N'
,p_display_when=>'P5029_SID'
,p_display_when_type=>'ITEM_IS_NOT_NULL'
,p_field_template=>wwv_flow_api.id(1718652654811790)
,p_item_template_options=>'#DEFAULT#'
,p_attribute_01=>'Y'
,p_attribute_02=>'VALUE'
,p_attribute_04=>'Y'
);
wwv_flow_api.create_page_item(
 p_id=>wwv_flow_api.id(123813902754322340)
,p_name=>'P5029_LAST_MODIFIED_BY'
,p_item_sequence=>90
,p_item_plug_id=>wwv_flow_api.id(164185442491410406)
,p_use_cache_before_default=>'NO'
,p_prompt=>'Last Modified By:'
,p_source=>'LAST_MODIFIED_BY'
,p_source_type=>'DB_COLUMN'
,p_display_as=>'NATIVE_DISPLAY_ONLY'
,p_display_when=>'P5029_SID'
,p_display_when_type=>'ITEM_IS_NOT_NULL'
,p_field_template=>wwv_flow_api.id(1718652654811790)
,p_item_template_options=>'#DEFAULT#'
,p_attribute_01=>'Y'
,p_attribute_02=>'VALUE'
,p_attribute_04=>'Y'
);
wwv_flow_api.create_page_item(
 p_id=>wwv_flow_api.id(123814389405322340)
,p_name=>'P5029_LAST_MODIFIED_ON'
,p_item_sequence=>100
,p_item_plug_id=>wwv_flow_api.id(164185442491410406)
,p_use_cache_before_default=>'NO'
,p_prompt=>'Last Modified On:'
,p_format_mask=>'&FMT_DATE_TIME.'
,p_source=>'LAST_MODIFIED_ON'
,p_source_type=>'DB_COLUMN'
,p_display_as=>'NATIVE_DISPLAY_ONLY'
,p_begin_on_new_line=>'N'
,p_display_when=>'P5029_SID'
,p_display_when_type=>'ITEM_IS_NOT_NULL'
,p_field_template=>wwv_flow_api.id(1718652654811790)
,p_item_template_options=>'#DEFAULT#'
,p_attribute_01=>'Y'
,p_attribute_02=>'VALUE'
,p_attribute_04=>'Y'
);
wwv_flow_api.create_page_da_event(
 p_id=>wwv_flow_api.id(123817172390322342)
,p_name=>'Cancel Dialog'
,p_event_sequence=>10
,p_triggering_element_type=>'BUTTON'
,p_triggering_button_id=>wwv_flow_api.id(123810360095322335)
,p_bind_type=>'bind'
,p_bind_event_type=>'click'
);
wwv_flow_api.create_page_da_action(
 p_id=>wwv_flow_api.id(123817691983322342)
,p_event_id=>wwv_flow_api.id(123817172390322342)
,p_event_result=>'TRUE'
,p_action_sequence=>10
,p_execute_on_page_init=>'N'
,p_action=>'NATIVE_DIALOG_CANCEL'
);
wwv_flow_api.create_page_process(
 p_id=>wwv_flow_api.id(123815106776322340)
,p_process_sequence=>20
,p_process_point=>'AFTER_SUBMIT'
,p_process_type=>'NATIVE_FORM_PROCESS'
,p_process_name=>'T_F_IT_RA_MITIGATION Create'
,p_attribute_02=>'T_F_IT_RA_MITIGATION'
,p_attribute_03=>'P5029_SID'
,p_attribute_04=>'SID'
,p_attribute_09=>'P5029_SID'
,p_attribute_11=>'I'
,p_attribute_12=>'Y'
,p_process_error_message=>'Mitigation creation failed.'
,p_error_display_location=>'INLINE_IN_NOTIFICATION'
,p_process_when_button_id=>wwv_flow_api.id(123811511279322339)
,p_process_success_message=>'Mitigation created successfully'
);
wwv_flow_api.create_page_process(
 p_id=>wwv_flow_api.id(123816386184322342)
,p_process_sequence=>40
,p_process_point=>'AFTER_SUBMIT'
,p_process_type=>'NATIVE_FORM_PROCESS'
,p_process_name=>'T_F_IT_RA_MITIGATION Save'
,p_attribute_02=>'T_F_IT_RA_MITIGATION'
,p_attribute_03=>'P5029_SID'
,p_attribute_04=>'SID'
,p_attribute_11=>'U'
,p_attribute_12=>'Y'
,p_process_error_message=>'#SQLERRM#'
,p_error_display_location=>'INLINE_IN_NOTIFICATION'
,p_process_when_button_id=>wwv_flow_api.id(123811146951322339)
);
wwv_flow_api.create_page_process(
 p_id=>wwv_flow_api.id(123816792835322342)
,p_process_sequence=>60
,p_process_point=>'AFTER_SUBMIT'
,p_process_type=>'NATIVE_FORM_PROCESS'
,p_process_name=>'T_F_IT_RA_MITIGATION Delete'
,p_attribute_02=>'T_F_IT_RA_MITIGATION'
,p_attribute_03=>'P5029_SID'
,p_attribute_04=>'SID'
,p_attribute_11=>'D'
,p_attribute_12=>'Y'
,p_process_error_message=>'Mitigation deletion failed.'
,p_error_display_location=>'INLINE_IN_NOTIFICATION'
,p_process_when_button_id=>wwv_flow_api.id(123810739756322339)
);
wwv_flow_api.create_page_process(
 p_id=>wwv_flow_api.id(123815958188322342)
,p_process_sequence=>80
,p_process_point=>'AFTER_SUBMIT'
,p_process_type=>'NATIVE_SESSION_STATE'
,p_process_name=>'Reset Page'
,p_attribute_01=>'CLEAR_CACHE_CURRENT_PAGE'
,p_error_display_location=>'INLINE_IN_NOTIFICATION'
);
wwv_flow_api.create_page_process(
 p_id=>wwv_flow_api.id(123815559781322340)
,p_process_sequence=>90
,p_process_point=>'AFTER_SUBMIT'
,p_process_type=>'NATIVE_CLOSE_WINDOW'
,p_process_name=>'Close Dialog'
,p_process_error_message=>'#SQLERRM#'
,p_error_display_location=>'INLINE_IN_NOTIFICATION'
,p_process_when=>wwv_flow_string.join(wwv_flow_t_varchar2(
':REQUEST in (''CREATE'',''SAVE'',''DELETE'') and',
'NOT apex_error.have_errors_occurred'))
,p_process_when_type=>'PLSQL_EXPRESSION'
,p_process_success_message=>'Mitigation processed'
);
wwv_flow_api.create_page_process(
 p_id=>wwv_flow_api.id(123814743470322340)
,p_process_sequence=>30
,p_process_point=>'BEFORE_HEADER'
,p_process_type=>'NATIVE_FORM_FETCH'
,p_process_name=>'Fetch Row from T_F_IT_RA_MITIGATION'
,p_attribute_02=>'T_F_IT_RA_MITIGATION'
,p_attribute_03=>'P5029_SID'
,p_attribute_04=>'SID'
,p_process_error_message=>'#SQLERRM#'
);
end;
/
prompt --application/end_environment
begin
wwv_flow_api.import_end(p_auto_install_sup_obj => nvl(wwv_flow_application_install.get_auto_install_sup_obj, false));
--commit;
end;
/
set verify on feedback on define on
prompt  ...done
begin
wwv_flow_api.import_end(p_auto_install_sup_obj => nvl(wwv_flow_application_install.get_auto_install_sup_obj, false), p_is_component_import => true);
commit;
end;
/
set verify on feedback on define on
prompt  ...done
