prompt --application/set_environment
set define off verify off feedback off
whenever sqlerror exit sql.sqlcode rollback
--------------------------------------------------------------------------------
--
-- ORACLE Application Express (APEX) export file
--
-- You should run the script connected to SQL*Plus as the Oracle user
-- APEX_190200 or as the owner (parsing schema) of the application.
--
-- NOTE: Calls to apex_application_install override the defaults below.
--
--------------------------------------------------------------------------------
begin
wwv_flow_api.import_begin (
 p_version_yyyy_mm_dd=>'2019.10.04'
,p_release=>'19.2.0.00.18'
,p_default_workspace_id=>apex_util.find_security_group_id(user)
,p_default_application_id=>100
,p_default_id_offset=>0
,p_default_owner=>'ACM'
);
end;
/
 
prompt APPLICATION 100 - CI2MS
--
-- Application Export:
--   Application:     100
--   Name:            CI2MS
--   Date and Time:   09:31 Thursday January 19, 2023
--   Exported By:     KYLE.PARRENT
--   Flashback:       0
--   Export Type:     Page Export
--   Manifest
--     PAGE: 5029
--   Manifest End
--   Version:         19.2.0.00.18
--   Instance ID:     199039407005378
--

begin
null;
end;
/
prompt --application/pages/delete_05029
begin
wwv_flow_api.remove_page (p_flow_id=>wwv_flow.g_flow_id, p_page_id=>5029);
end;
/
prompt --application/pages/page_05029
begin
wwv_flow_api.create_page(
 p_id=>5029
,p_user_interface_id=>wwv_flow_api.id(1724376430811806)
,p_name=>'IT Risk Assessment Mitigations'
,p_page_mode=>'MODAL'
,p_step_title=>'IT Risk Assessment Mitigations'
,p_reload_on_submit=>'A'
,p_warn_on_unsaved_changes=>'N'
,p_first_item=>'AUTO_FIRST_ITEM'
,p_autocomplete_on_off=>'ON'
,p_group_id=>wwv_flow_api.id(172900170760378564)
,p_page_template_options=>'#DEFAULT#'
,p_required_role=>wwv_flow_api.id(3580656235835262)
,p_dialog_height=>'600'
,p_dialog_width=>'800'
,p_protection_level=>'C'
,p_read_only_when_type=>'PLSQL_EXPRESSION'
,p_read_only_when=>'ACM.ACM_OBJ.GET_OBJ_STATUS_CODE(:P5029_OBJ) IN (''CLOSED'')'
,p_help_text=>'No help is available for this page.'
,p_last_updated_by=>'KYLE.PARRENT'
,p_last_upd_yyyymmddhh24miss=>'20230119092942'
);
wwv_flow_api.create_page_plug(
 p_id=>wwv_flow_api.id(164185442491410406)
,p_plug_name=>'Product Details'
,p_region_template_options=>'#DEFAULT#:t-Form--slimPadding:t-Form--leftLabels'
,p_plug_template=>wwv_flow_api.id(1690005324811773)
,p_plug_display_sequence=>3
,p_plug_display_point=>'BODY'
,p_plug_query_num_rows=>15
,p_plug_query_options=>'DERIVED_REPORT_COLUMNS'
,p_attribute_01=>'N'
,p_attribute_02=>'HTML'
,p_attribute_03=>'Y'
);
wwv_flow_api.create_page_button(
 p_id=>wwv_flow_api.id(123810360095322335)
,p_button_sequence=>10
,p_button_plug_id=>wwv_flow_api.id(164185442491410406)
,p_button_name=>'CANCEL'
,p_button_action=>'DEFINED_BY_DA'
,p_button_template_options=>'#DEFAULT#'
,p_button_template_id=>wwv_flow_api.id(17059566633805304)
,p_button_image_alt=>'Cancel'
,p_button_position=>'TOP'
,p_button_alignment=>'LEFT'
,p_warn_on_unsaved_changes=>null
,p_button_cattributes=>'title="Cancel Product"'
);
wwv_flow_api.create_page_button(
 p_id=>wwv_flow_api.id(123810739756322339)
,p_button_sequence=>20
,p_button_plug_id=>wwv_flow_api.id(164185442491410406)
,p_button_name=>'DELETE'
,p_button_static_id=>'delete'
,p_button_action=>'DEFINED_BY_DA'
,p_button_template_options=>'#DEFAULT#:t-Button--iconRight'
,p_button_template_id=>wwv_flow_api.id(10009339916085685)
,p_button_image_alt=>'Delete'
,p_button_position=>'TOP'
,p_button_execute_validations=>'N'
,p_warn_on_unsaved_changes=>null
,p_button_condition=>wwv_flow_string.join(wwv_flow_t_varchar2(
'ACM.ACM_OBJ.GET_OBJ_STATUS_CODE(:P5029_OBJ) NOT IN (''CLOSED'')',
'AND :P5029_SID IS NOT NULL'))
,p_button_condition_type=>'PLSQL_EXPRESSION'
,p_button_cattributes=>'title="Delete Product"'
,p_database_action=>'DELETE'
);
wwv_flow_api.create_page_button(
 p_id=>wwv_flow_api.id(123811146951322339)
,p_button_sequence=>30
,p_button_plug_id=>wwv_flow_api.id(164185442491410406)
,p_button_name=>'SAVE'
,p_button_static_id=>'save'
,p_button_action=>'SUBMIT'
,p_button_template_options=>'#DEFAULT#:t-Button--iconRight'
,p_button_template_id=>wwv_flow_api.id(10001553045979843)
,p_button_image_alt=>'Save'
,p_button_position=>'TOP'
,p_button_condition=>wwv_flow_string.join(wwv_flow_t_varchar2(
'ACM.ACM_OBJ.GET_OBJ_STATUS_CODE(:P5029_OBJ) NOT IN (''CLOSED'')',
'AND :P5029_SID IS NOT NULL'))
,p_button_condition_type=>'PLSQL_EXPRESSION'
,p_button_cattributes=>'title="Apply Changes to Product"'
,p_database_action=>'UPDATE'
);
wwv_flow_api.create_page_button(
 p_id=>wwv_flow_api.id(123811511279322339)
,p_button_sequence=>40
,p_button_plug_id=>wwv_flow_api.id(164185442491410406)
,p_button_name=>'CREATE'
,p_button_static_id=>'create'
,p_button_action=>'SUBMIT'
,p_button_template_options=>'#DEFAULT#:t-Button--iconRight'
,p_button_template_id=>wwv_flow_api.id(10225064190350856)
,p_button_image_alt=>'Create'
,p_button_position=>'TOP'
,p_button_condition=>'P5029_SID'
,p_button_condition_type=>'ITEM_IS_NULL'
,p_button_cattributes=>'title = "Create Product"'
,p_database_action=>'INSERT'
);
wwv_flow_api.create_page_item(
 p_id=>wwv_flow_api.id(123811990202322339)
,p_name=>'P5029_SID'
,p_item_sequence=>10
,p_item_plug_id=>wwv_flow_api.id(164185442491410406)
,p_use_cache_before_default=>'NO'
,p_source=>'SID'
,p_source_type=>'DB_COLUMN'
,p_display_as=>'NATIVE_HIDDEN'
,p_protection_level=>'S'
,p_attribute_01=>'Y'
);
wwv_flow_api.create_page_item(
 p_id=>wwv_flow_api.id(123812361727322339)
,p_name=>'P5029_OBJ'
,p_item_sequence=>20
,p_item_plug_id=>wwv_flow_api.id(164185442491410406)
,p_use_cache_before_default=>'NO'
,p_source=>'OBJ'
,p_source_type=>'DB_COLUMN'
,p_display_as=>'NATIVE_HIDDEN'
,p_attribute_01=>'Y'
);
wwv_flow_api.create_page_item(
 p_id=>wwv_flow_api.id(123812759479322339)
,p_name=>'P5029_MITIGATION_TYPE'
,p_is_required=>true
,p_item_sequence=>30
,p_item_plug_id=>wwv_flow_api.id(164185442491410406)
,p_use_cache_before_default=>'NO'
,p_prompt=>'Mitigation Type:'
,p_source=>'MITIGATION_TYPE'
,p_source_type=>'DB_COLUMN'
,p_display_as=>'NATIVE_SELECT_LIST'
,p_lov=>wwv_flow_string.join(wwv_flow_t_varchar2(
'SELECT',
'    DISPLAY D,',
'    SID R ',
'FROM',
'    T_F_IT_RA_REF',
'WHERE',
'    USAGE = ''RA_MITIGATION''',
'    AND ACTIVE = ''Y''',
'    AND SID NOT IN (SELECT MITIGATION_TYPE FROM T_F_RISK_ASSESS_MITIGATION WHERE OBJ = :P5029_OBJ',
'                    AND (MITIGATION_TYPE <> :P5029_MITIGATION_TYPE OR :P5029_MITIGATION_TYPE IS NULL))',
'ORDER BY',
'    SEQ, DISPLAY'))
,p_lov_display_null=>'YES'
,p_lov_null_text=>'- Select Mitigation -'
,p_cHeight=>1
,p_field_template=>wwv_flow_api.id(1718898501811790)
,p_item_template_options=>'#DEFAULT#'
,p_lov_display_extra=>'YES'
,p_attribute_01=>'NONE'
,p_attribute_02=>'N'
);
wwv_flow_api.create_page_item(
 p_id=>wwv_flow_api.id(123813153757322340)
,p_name=>'P5029_CREATED_BY'
,p_item_sequence=>70
,p_item_plug_id=>wwv_flow_api.id(164185442491410406)
,p_use_cache_before_default=>'NO'
,p_prompt=>'Created By:'
,p_source=>'CREATED_BY'
,p_source_type=>'DB_COLUMN'
,p_display_as=>'NATIVE_DISPLAY_ONLY'
,p_display_when=>'P5029_SID'
,p_display_when_type=>'ITEM_IS_NOT_NULL'
,p_field_template=>wwv_flow_api.id(1718652654811790)
,p_item_template_options=>'#DEFAULT#'
,p_attribute_01=>'Y'
,p_attribute_02=>'VALUE'
,p_attribute_04=>'Y'
);
wwv_flow_api.create_page_item(
 p_id=>wwv_flow_api.id(123813529161322340)
,p_name=>'P5029_CREATED_ON'
,p_item_sequence=>80
,p_item_plug_id=>wwv_flow_api.id(164185442491410406)
,p_use_cache_before_default=>'NO'
,p_prompt=>'Created On:'
,p_format_mask=>'&FMT_DATE_TIME.'
,p_source=>'CREATED_ON'
,p_source_type=>'DB_COLUMN'
,p_display_as=>'NATIVE_DISPLAY_ONLY'
,p_begin_on_new_line=>'N'
,p_display_when=>'P5029_SID'
,p_display_when_type=>'ITEM_IS_NOT_NULL'
,p_field_template=>wwv_flow_api.id(1718652654811790)
,p_item_template_options=>'#DEFAULT#'
,p_attribute_01=>'Y'
,p_attribute_02=>'VALUE'
,p_attribute_04=>'Y'
);
wwv_flow_api.create_page_item(
 p_id=>wwv_flow_api.id(123813902754322340)
,p_name=>'P5029_LAST_MODIFIED_BY'
,p_item_sequence=>90
,p_item_plug_id=>wwv_flow_api.id(164185442491410406)
,p_use_cache_before_default=>'NO'
,p_prompt=>'Last Modified By:'
,p_source=>'LAST_MODIFIED_BY'
,p_source_type=>'DB_COLUMN'
,p_display_as=>'NATIVE_DISPLAY_ONLY'
,p_display_when=>'P5029_SID'
,p_display_when_type=>'ITEM_IS_NOT_NULL'
,p_field_template=>wwv_flow_api.id(1718652654811790)
,p_item_template_options=>'#DEFAULT#'
,p_attribute_01=>'Y'
,p_attribute_02=>'VALUE'
,p_attribute_04=>'Y'
);
wwv_flow_api.create_page_item(
 p_id=>wwv_flow_api.id(123814389405322340)
,p_name=>'P5029_LAST_MODIFIED_ON'
,p_item_sequence=>100
,p_item_plug_id=>wwv_flow_api.id(164185442491410406)
,p_use_cache_before_default=>'NO'
,p_prompt=>'Last Modified On:'
,p_format_mask=>'&FMT_DATE_TIME.'
,p_source=>'LAST_MODIFIED_ON'
,p_source_type=>'DB_COLUMN'
,p_display_as=>'NATIVE_DISPLAY_ONLY'
,p_begin_on_new_line=>'N'
,p_display_when=>'P5029_SID'
,p_display_when_type=>'ITEM_IS_NOT_NULL'
,p_field_template=>wwv_flow_api.id(1718652654811790)
,p_item_template_options=>'#DEFAULT#'
,p_attribute_01=>'Y'
,p_attribute_02=>'VALUE'
,p_attribute_04=>'Y'
);
wwv_flow_api.create_page_da_event(
 p_id=>wwv_flow_api.id(123817172390322342)
,p_name=>'Cancel Dialog'
,p_event_sequence=>10
,p_triggering_element_type=>'BUTTON'
,p_triggering_button_id=>wwv_flow_api.id(123810360095322335)
,p_bind_type=>'bind'
,p_bind_event_type=>'click'
);
wwv_flow_api.create_page_da_action(
 p_id=>wwv_flow_api.id(123817691983322342)
,p_event_id=>wwv_flow_api.id(123817172390322342)
,p_event_result=>'TRUE'
,p_action_sequence=>10
,p_execute_on_page_init=>'N'
,p_action=>'NATIVE_DIALOG_CANCEL'
);
wwv_flow_api.create_page_process(
 p_id=>wwv_flow_api.id(123815106776322340)
,p_process_sequence=>20
,p_process_point=>'AFTER_SUBMIT'
,p_process_type=>'NATIVE_FORM_PROCESS'
,p_process_name=>'T_F_IT_RA_MITIGATION Create'
,p_attribute_02=>'T_F_IT_RA_MITIGATION'
,p_attribute_03=>'P5029_SID'
,p_attribute_04=>'SID'
,p_attribute_09=>'P5029_SID'
,p_attribute_11=>'I'
,p_attribute_12=>'Y'
,p_process_error_message=>'Mitigation creation failed.'
,p_error_display_location=>'INLINE_IN_NOTIFICATION'
,p_process_when_button_id=>wwv_flow_api.id(123811511279322339)
,p_process_success_message=>'Mitigation created successfully'
);
wwv_flow_api.create_page_process(
 p_id=>wwv_flow_api.id(123816386184322342)
,p_process_sequence=>40
,p_process_point=>'AFTER_SUBMIT'
,p_process_type=>'NATIVE_FORM_PROCESS'
,p_process_name=>'T_F_IT_RA_MITIGATION Save'
,p_attribute_02=>'T_F_IT_RA_MITIGATION'
,p_attribute_03=>'P5029_SID'
,p_attribute_04=>'SID'
,p_attribute_11=>'U'
,p_attribute_12=>'Y'
,p_process_error_message=>'#SQLERRM#'
,p_error_display_location=>'INLINE_IN_NOTIFICATION'
,p_process_when_button_id=>wwv_flow_api.id(123811146951322339)
);
wwv_flow_api.create_page_process(
 p_id=>wwv_flow_api.id(123816792835322342)
,p_process_sequence=>60
,p_process_point=>'AFTER_SUBMIT'
,p_process_type=>'NATIVE_FORM_PROCESS'
,p_process_name=>'T_F_IT_RA_MITIGATION Delete'
,p_attribute_02=>'T_F_IT_RA_MITIGATION'
,p_attribute_03=>'P5029_SID'
,p_attribute_04=>'SID'
,p_attribute_11=>'D'
,p_attribute_12=>'Y'
,p_process_error_message=>'Mitigation deletion failed.'
,p_error_display_location=>'INLINE_IN_NOTIFICATION'
,p_process_when_button_id=>wwv_flow_api.id(123810739756322339)
);
wwv_flow_api.create_page_process(
 p_id=>wwv_flow_api.id(123815958188322342)
,p_process_sequence=>80
,p_process_point=>'AFTER_SUBMIT'
,p_process_type=>'NATIVE_SESSION_STATE'
,p_process_name=>'Reset Page'
,p_attribute_01=>'CLEAR_CACHE_CURRENT_PAGE'
,p_error_display_location=>'INLINE_IN_NOTIFICATION'
);
wwv_flow_api.create_page_process(
 p_id=>wwv_flow_api.id(123815559781322340)
,p_process_sequence=>90
,p_process_point=>'AFTER_SUBMIT'
,p_process_type=>'NATIVE_CLOSE_WINDOW'
,p_process_name=>'Close Dialog'
,p_process_error_message=>'#SQLERRM#'
,p_error_display_location=>'INLINE_IN_NOTIFICATION'
,p_process_when=>wwv_flow_string.join(wwv_flow_t_varchar2(
':REQUEST in (''CREATE'',''SAVE'',''DELETE'') and',
'NOT apex_error.have_errors_occurred'))
,p_process_when_type=>'PLSQL_EXPRESSION'
,p_process_success_message=>'Mitigation processed'
);
wwv_flow_api.create_page_process(
 p_id=>wwv_flow_api.id(123814743470322340)
,p_process_sequence=>30
,p_process_point=>'BEFORE_HEADER'
,p_process_type=>'NATIVE_FORM_FETCH'
,p_process_name=>'Fetch Row from T_F_IT_RA_MITIGATION'
,p_attribute_02=>'T_F_IT_RA_MITIGATION'
,p_attribute_03=>'P5029_SID'
,p_attribute_04=>'SID'
,p_process_error_message=>'#SQLERRM#'
);
end;
/
prompt --application/end_environment
begin
wwv_flow_api.import_end(p_auto_install_sup_obj => nvl(wwv_flow_application_install.get_auto_install_sup_obj, false));
commit;
end;
/
set verify on feedback on define on
prompt  ...done
