-- T_F_IT_RA_REF table create

CREATE TABLE "ACM"."T_F_IT_RA_REF" 
   (	"SID" NUMBER CONSTRAINT "NN_F_IT_RA_REF_SID" NOT NULL ENABLE, 
	"USAGE" VARCHAR2(100 BYTE) CONSTRAINT "NN_F_IT_RA_REF_USAGE" NOT NULL ENABLE, 
	"CODE" VARCHAR2(50 BYTE) CONSTRAINT "NN_F_IT_RA_REF_CODE" NOT NULL ENABLE, 
	"DISPLAY" VARCHAR2(200 BYTE) CONSTRAINT "NN_F_IT_RA_REF_DISPLAY" NOT NULL ENABLE, 
	"LONG_DISPLAY" VARCHAR2(4000 BYTE), 
	"SEQ" NUMBER, 
	"ACTIVE" VARCHAR2(1 BYTE) DEFAULT 'Y' CONSTRAINT "NN_F_IT_RA_REF_ACTIVE" NOT NULL ENABLE, 
	"CREATED_BY" VARCHAR2(100 BYTE), 
	"CREATED_ON" DATE, 
	"LAST_MODIFIED_BY" VARCHAR2(100 BYTE), 
	"LAST_MODIFIED_ON" DATE
   )
  TABLESPACE "ACM_DATA" ;
  
  CREATE UNIQUE INDEX "ACM"."PK_F_IT_RA_REF" ON "ACM"."T_F_IT_RA_REF" ("SID") 
  TABLESPACE "ACM_DATA" ;
  
  CREATE UNIQUE INDEX "ACM"."UK_F_IT_RA_REF_USAGE_CODE" ON "ACM"."T_F_IT_RA_REF" ("USAGE", "CODE") 
  TABLESPACE "ACM_DATA" ;
  
ALTER TABLE "ACM"."T_F_IT_RA_REF" ADD CONSTRAINT "PK_F_IT_RA_REF" PRIMARY KEY ("SID")
  USING INDEX "ACM"."PK_F_IT_RA_REF"  ENABLE;
ALTER TABLE "ACM"."T_F_IT_RA_REF" ADD CONSTRAINT "UK_F_IT_RA_REF_USAGE_CODE" UNIQUE ("USAGE", "CODE")
  USING INDEX "ACM"."UK_F_IT_RA_REF_USAGE_CODE"  ENABLE;

  CREATE OR REPLACE EDITIONABLE TRIGGER "ACM"."F_IT_RA_REF_B_IUD" BEFORE
    INSERT OR UPDATE OR DELETE ON T_F_IT_RA_REF
    FOR EACH ROW
BEGIN
    IF INSERTING THEN
        SET_TABLE_ROW_VALS(:NEW.CREATED_ON,:NEW.CREATED_BY,:NEW.LAST_MODIFIED_ON,:NEW.LAST_MODIFIED_BY,:NEW.SID);
    END IF;
    IF UPDATING THEN
        SET_TABLE_ROW_MOD_VALS(:NEW.LAST_MODIFIED_ON,:NEW.LAST_MODIFIED_BY);
    END IF;
END;

/
ALTER TRIGGER "ACM"."F_IT_RA_REF_B_IUD" ENABLE;

  CREATE OR REPLACE EDITIONABLE TRIGGER "ACM"."F_IT_RA_REF_B_D" before delete on T_F_IT_RA_REF for each row begin if sync_util.dg_from_instance=1 then insert into t_sync_del_rows(table_name,del_id)values('T_F_IT_RA_REF',:OLD.SID); end if; end;

/
ALTER TRIGGER "ACM"."F_IT_RA_REF_B_D" ENABLE;






-- T_F_IT_RA_MITIGATION table create

CREATE TABLE "ACM"."T_F_IT_RA_MITIGATION" 
   (	"SID" NUMBER CONSTRAINT "NN_F_IT_RA_MIT_SID" NOT NULL ENABLE, 
	"OBJ" VARCHAR2(20 BYTE) CONSTRAINT "NN_F_IT_RA_MIT_OBJ" NOT NULL ENABLE, 
	"MITIGATION_TYPE" NUMBER CONSTRAINT "NN_F_IT_RA_MIT_TYPE" NOT NULL ENABLE, 
	"CREATED_BY" VARCHAR2(100 BYTE), 
	"CREATED_ON" DATE, 
	"LAST_MODIFIED_BY" VARCHAR2(100 BYTE), 
	"LAST_MODIFIED_ON" DATE, 
	"DATA_GROUP_ID" NUMBER DEFAULT 1 CONSTRAINT "NN_F_IT_RA_MIT_DG" NOT NULL ENABLE, 
	 CONSTRAINT "FK_F_IT_RA_MITIGATION_OBJ" FOREIGN KEY ("OBJ")
	  REFERENCES "ACM"."T_ACM_OBJ" ("SID") ON DELETE CASCADE ENABLE, 
	 CONSTRAINT "FK_F_IT_RA_MITIGATION_TYPE" FOREIGN KEY ("MITIGATION_TYPE")
	  REFERENCES "ACM"."T_F_IT_RA_REF" ("SID") ON DELETE SET NULL ENABLE
   )
  TABLESPACE "ACM_DATA" ;
  
  CREATE UNIQUE INDEX "ACM"."PK_F_IT_RA_MITIGATION" ON "ACM"."T_F_IT_RA_MITIGATION" ("SID") 
  TABLESPACE "ACM_DATA" ;
ALTER TABLE "ACM"."T_F_IT_RA_MITIGATION" ADD CONSTRAINT "PK_F_IT_RA_MITIGATION" PRIMARY KEY ("SID")
  USING INDEX "ACM"."PK_F_IT_RA_MITIGATION"  ENABLE;

  CREATE INDEX "ACM"."I_F_IT_RA_MITIGATION_OBJ" ON "ACM"."T_F_IT_RA_MITIGATION" ("OBJ") 
  TABLESPACE "ACM_DATA" ;

  CREATE INDEX "ACM"."I_F_IT_RA_MITIGATION_TYPE" ON "ACM"."T_F_IT_RA_MITIGATION" ("MITIGATION_TYPE") 
  TABLESPACE "ACM_DATA" ;

  CREATE OR REPLACE EDITIONABLE TRIGGER "ACM"."F_IT_RA_MITIGATION_B_D" before delete on T_F_IT_RA_MITIGATION for each row begin if sync_util.dg_from_instance=1 then insert into t_sync_del_rows(table_name,del_id)values('T_F_IT_RA_MITIGATION',:OLD.SID); end if; end;

/
ALTER TRIGGER "ACM"."F_IT_RA_MITIGATION_B_D" ENABLE;

  CREATE OR REPLACE EDITIONABLE TRIGGER "ACM"."F_IT_RA_MITIGATION_B_IUD" BEFORE
    INSERT OR UPDATE OR DELETE ON T_F_IT_RA_MITIGATION
    FOR EACH ROW
BEGIN
    IF INSERTING THEN
        SET_TABLE_ROW_VALS(:NEW.CREATED_ON,:NEW.CREATED_BY,:NEW.LAST_MODIFIED_ON,:NEW.LAST_MODIFIED_BY,:NEW.SID);
    END IF;
    IF UPDATING THEN
        SET_TABLE_ROW_MOD_VALS(:NEW.LAST_MODIFIED_ON,:NEW.LAST_MODIFIED_BY);
    END IF;
END;

/
ALTER TRIGGER "ACM"."F_IT_RA_MITIGATION_B_IUD" ENABLE;

  CREATE OR REPLACE EDITIONABLE TRIGGER "ACM"."F_IT_RA_MITIGATION_B_I" before insert on T_F_IT_RA_MITIGATION for each row declare  begin  if :NEW.data_group_id is null then :NEW.data_group_id := sync_util.dg_from_instance; end if;  end;

/
ALTER TRIGGER "ACM"."F_IT_RA_MITIGATION_B_I" ENABLE;




-- T_F_IT_RA_NARRATIVES table create

CREATE TABLE "ACM"."T_F_IT_RA_NARRATIVES" 
   (	"SID" NUMBER CONSTRAINT "NN_F_IT_RA_NARR_SID" NOT NULL ENABLE, 
	"OBJ" VARCHAR2(20 BYTE) CONSTRAINT "NN_F_IT_RA_NARR_OBJ" NOT NULL ENABLE, 
	"NARRATIVE_TYPE" NUMBER, 
	"NARRATIVE" CLOB, 
	"CREATED_BY" VARCHAR2(100 BYTE), 
	"CREATED_ON" DATE, 
	"LAST_MODIFIED_BY" VARCHAR2(100 BYTE), 
	"LAST_MODIFIED_ON" DATE, 
	"DATA_GROUP_ID" NUMBER DEFAULT 1 CONSTRAINT "NN_F_IT_RA_NARR_DG" NOT NULL ENABLE, 
	 CONSTRAINT "FK_F_IT_RA_NARRATIVES_OBJ" FOREIGN KEY ("OBJ")
	  REFERENCES "ACM"."T_ACM_OBJ" ("SID") ON DELETE CASCADE ENABLE, 
	 CONSTRAINT "FK_F_IT_RA_NARRATIVES_NARRTYPE" FOREIGN KEY ("NARRATIVE_TYPE")
	  REFERENCES "ACM"."T_F_IT_RA_REF" ("SID") ON DELETE SET NULL ENABLE
   )
  TABLESPACE "ACM_DATA" ;

  CREATE UNIQUE INDEX "ACM"."PK_F_IT_RA_NARRATIVES" ON "ACM"."T_F_IT_RA_NARRATIVES" ("SID") 
  TABLESPACE "ACM_DATA" ;
  
ALTER TABLE "ACM"."T_F_IT_RA_NARRATIVES" ADD CONSTRAINT "PK_F_IT_RA_NARRATIVES" PRIMARY KEY ("SID")
  USING INDEX "ACM"."PK_F_IT_RA_NARRATIVES"  ENABLE;

  CREATE INDEX "ACM"."I_F_IT_RA_NARRATIVES_NARRTYPE" ON "ACM"."T_F_IT_RA_NARRATIVES" ("NARRATIVE_TYPE") 
  TABLESPACE "ACM_DATA" ;

  CREATE INDEX "ACM"."I_F_IT_RA_NARRATIVES_OBJ" ON "ACM"."T_F_IT_RA_NARRATIVES" ("OBJ") 
  TABLESPACE "ACM_DATA" ;

  CREATE OR REPLACE EDITIONABLE TRIGGER "ACM"."F_IT_RA_NARRATIVES_B_D" before delete on T_F_IT_RA_NARRATIVES for each row begin if sync_util.dg_from_instance=1 then insert into t_sync_del_rows(table_name,del_id)values('T_F_IT_RA_NARRATIVES',:OLD.SID); end if; end;

/
ALTER TRIGGER "ACM"."F_IT_RA_NARRATIVES_B_D" ENABLE;

  CREATE OR REPLACE EDITIONABLE TRIGGER "ACM"."F_IT_RA_NARRATIVES_B_IUD" BEFORE
    INSERT OR UPDATE OR DELETE ON T_F_IT_RA_NARRATIVES
    FOR EACH ROW
BEGIN
    IF INSERTING THEN
        SET_TABLE_ROW_VALS(:NEW.CREATED_ON,:NEW.CREATED_BY,:NEW.LAST_MODIFIED_ON,:NEW.LAST_MODIFIED_BY,:NEW.SID);
    END IF;
    IF UPDATING THEN
        SET_TABLE_ROW_MOD_VALS(:NEW.LAST_MODIFIED_ON,:NEW.LAST_MODIFIED_BY);
    END IF;
END;

/
ALTER TRIGGER "ACM"."F_IT_RA_NARRATIVES_B_IUD" ENABLE;

  CREATE OR REPLACE EDITIONABLE TRIGGER "ACM"."F_IT_RA_NARRATIVES_B_I" before insert on T_F_IT_RA_NARRATIVES for each row declare  begin  if :NEW.data_group_id is null then :NEW.data_group_id := sync_util.dg_from_instance; end if;  end;

/
ALTER TRIGGER "ACM"."F_IT_RA_NARRATIVES_B_I" ENABLE;




-- T_F_IT_RA table create

CREATE TABLE "ACM"."T_F_IT_RA" 
   (	"SID" NUMBER CONSTRAINT "NN_F_IT_RA_SID" NOT NULL ENABLE, 
	"OBJ" VARCHAR2(20 BYTE) CONSTRAINT "NN_F_IT_RA_OBJ" NOT NULL ENABLE, 
	"ID" VARCHAR2(100 BYTE) CONSTRAINT "NN_F_IT_RA_ID" NOT NULL ENABLE, 
	"TITLE" VARCHAR2(100 BYTE) CONSTRAINT "NN_F_IT_RA_TITLE" NOT NULL ENABLE, 
	"FULL_ID" VARCHAR2(100 BYTE), 
	"RISK_LEVEL" NUMBER, 
	"CREATED_BY" VARCHAR2(100 BYTE), 
	"CREATED_ON" DATE, 
	"LAST_MODIFIED_BY" VARCHAR2(100 BYTE), 
	"LAST_MODIFIED_ON" DATE, 
	"DATA_GROUP_ID" NUMBER DEFAULT 1 CONSTRAINT "NN_F_IT_RA_DG" NOT NULL ENABLE, 
	 CONSTRAINT "FK_F_IT_RA_OBJ" FOREIGN KEY ("OBJ")
	  REFERENCES "ACM"."T_ACM_OBJ" ("SID") ON DELETE CASCADE ENABLE, 
	 CONSTRAINT "FK_F_IT_RA_RISKLEVEL" FOREIGN KEY ("RISK_LEVEL")
	  REFERENCES "ACM"."T_F_IT_RA_REF" ("SID") ON DELETE SET NULL ENABLE
   )
  TABLESPACE "ACM_DATA" ;
  CREATE UNIQUE INDEX "ACM"."PK_F_IT_RA_SID" ON "ACM"."T_F_IT_RA" ("SID") 
  TABLESPACE "ACM_DATA" ;
ALTER TABLE "ACM"."T_F_IT_RA" ADD CONSTRAINT "PK_F_IT_RA_SID" PRIMARY KEY ("SID")
  USING INDEX "ACM"."PK_F_IT_RA_SID"  ENABLE;

  CREATE INDEX "ACM"."I_F_IT_RA_RISKLEVEL" ON "ACM"."T_F_IT_RA" ("RISK_LEVEL") 
  TABLESPACE "ACM_DATA" ;

  CREATE UNIQUE INDEX "ACM"."UK_F_IT_RA_OBJ" ON "ACM"."T_F_IT_RA" ("OBJ") 
  TABLESPACE "ACM_DATA" ;

  CREATE OR REPLACE EDITIONABLE TRIGGER "ACM"."F_IT_RA_BI" before insert on T_F_IT_RA for each row declare  begin  if :NEW.data_group_id is null then :NEW.data_group_id := sync_util.dg_from_instance; end if;  end;


/
ALTER TRIGGER "ACM"."F_IT_RA_BI" ENABLE;

  CREATE OR REPLACE EDITIONABLE TRIGGER "ACM"."F_IT_RA_B_D" before delete on T_F_IT_RA for each row begin if sync_util.dg_from_instance=1 then insert into t_sync_del_rows(table_name,del_id)values('T_F_IT_RA',:OLD.SID); end if; end;


/
ALTER TRIGGER "ACM"."F_IT_RA_B_D" ENABLE;

  CREATE OR REPLACE EDITIONABLE TRIGGER "ACM"."F_IT_RA_B_IUD" BEFORE
    INSERT OR UPDATE OR DELETE ON T_F_IT_RA
    FOR EACH ROW
DECLARE
    V_OBJ T_ACM_OBJ.SID%TYPE;
BEGIN
    IF INSERTING AND :NEW.SID IS NULL THEN
        SET_NEW_FILE_ID(:NEW.ID);
        INSERT INTO T_ACM_OBJ(
            OBJ_TYPE,
            ID,
            TAGLINE
        )VALUES(
            COALESCE(
                ACM_OBJ.LOOKUP_OBJTYPE(
                    APEX_UTIL.GET_SESSION_STATE(
                        'P' || APEX_APPLICATION.G_FLOW_STEP_ID || '_OBJ_TYPE_CODE'
                    )
                ),
                TO_NUMBER(
                    ACM_BPE.GET_PARAM(
                        'OBJ_TYPE'
                    )
                )
            ),
            :NEW.ID,
            :NEW.TITLE
        )RETURNING SID INTO V_OBJ;
        :NEW.OBJ := V_OBJ;
        SET_TABLE_ROW_VALS(:NEW.CREATED_ON,:NEW.CREATED_BY,:NEW.LAST_MODIFIED_ON,:NEW.LAST_MODIFIED_BY,:NEW.SID);
    END IF;
    IF UPDATING THEN
        SET_TABLE_ROW_MOD_VALS(:NEW.LAST_MODIFIED_ON,:NEW.LAST_MODIFIED_BY);
    END IF;
END;



/
ALTER TRIGGER "ACM"."F_IT_RA_B_IUD" ENABLE;