
-- T_ACM_OBJ_TYPE insert


INSERT INTO T_ACM_OBJ_TYPE
(display, display_long, obj_root, obj_type, page_create, page_edit, icon, active, primary_table, page_popup, icon_file_name, data_group_id  )
VALUES (
			'IT Risk Assessment',
			'IT Risk Assessment File',
			'FILE',
			'TIRA',
			2350,
			2350,
			'i2ms-Icon file-icon',
			'Y',
			'T_F_IT_RA',
			30,
			'file.png',
			1
		);

-- Object Metadata

DECLARE
    V_OBJ_TYPE      T_ACM_OBJ_TYPE.SID%TYPE;
    V_DATA_GROUP    T_ACM_OBJ_TYPE.DATA_GROUP_ID%TYPE;
BEGIN
    SELECT SID
    INTO V_OBJ_TYPE
    FROM T_ACM_OBJ_TYPE
    WHERE OBJ_TYPE_CODE = 'FILE.TIRA';  
    
    SELECT DATA_GROUP_ID
    INTO V_DATA_GROUP
    FROM T_ACM_OBJ_TYPE
    WHERE OBJ_TYPE_CODE = 'FILE.TIRA';
         
    
    FOR X IN
    (
        SELECT *
        FROM T_ACM_STAKEHOLDER_ROLE
        WHERE OBJ_TYPE = (SELECT SID FROM T_ACM_OBJ_TYPE WHERE OBJ_TYPE_CODE = 'FILE.RISK_ASSESS')
    )
    LOOP
        
        INSERT INTO T_ACM_STAKEHOLDER_ROLE
            (OBJ_TYPE, SH_OBJ_TYPE, CODE, DISPLAY, SEQ, MIN_NUM, MAX_NUM, DATA_GROUP_ID)
        VALUES
            (
                V_OBJ_TYPE,
                X.SH_OBJ_TYPE,
                X.CODE,
                X.DISPLAY,
                X.SEQ,
                X.MIN_NUM,
                X.MAX_NUM,
                V_DATA_GROUP
            );
        
    END LOOP;
    
    
    FOR Y IN
    (
        SELECT *
        FROM T_PARTIC_ROLE_TYPE
        WHERE OBJ_TYPE = (SELECT SID FROM T_ACM_OBJ_TYPE WHERE OBJ_TYPE_CODE = 'FILE.RISK_ASSESS')
    )
    LOOP
        
        INSERT INTO T_PARTIC_ROLE_TYPE
            (OBJ_TYPE, USAGE, CODE, DISPLAY, SEQ, ACTIVE, ROLE_MAX, INDIV_ONLY, NONINDIV_ONLY, DATA_GROUP_ID)
        VALUES
            (
                V_OBJ_TYPE,
                Y.USAGE,
                Y.CODE,
                Y.DISPLAY,
                Y.SEQ,
                Y.ACTIVE,
                Y.ROLE_MAX,
                Y.INDIV_ONLY,
                Y.NONINDIV_ONLY,
                V_DATA_GROUP
            );
        
    END LOOP;
    
    
    FOR N IN
    (
        SELECT *
        FROM T_ACM_NOTE_TYPE
        WHERE OBJ_TYPE = (SELECT SID FROM T_ACM_OBJ_TYPE WHERE OBJ_TYPE_CODE = 'FILE.RISK_ASSESS')
    )
    LOOP
    
        INSERT INTO T_ACM_NOTE_TYPE
            (OBJ_TYPE, USAGE, CODE, DISPLAY, SEQ, MIN_NUM, MAX_NUM, LOCK_MODE, ACTIVE, DATA_GROUP_ID)
        VALUES
            (
                V_OBJ_TYPE,
                N.USAGE,
                N.CODE,
                N.DISPLAY,
                N.SEQ,
                N.MIN_NUM,
                N.MAX_NUM,
                N.LOCK_MODE,
                N.ACTIVE,
                V_DATA_GROUP
            );
            
    END LOOP;
    
    
    FOR A IN
    (
        SELECT *
        FROM T_ACM_ATTACHMENT_TYPE
        WHERE OBJ_TYPE = (SELECT SID FROM T_ACM_OBJ_TYPE WHERE OBJ_TYPE_CODE = 'FILE.RISK_ASSESS')
    )
    LOOP
        
        INSERT INTO T_ACM_ATTACHMENT_TYPE
            (OBJ_TYPE, USAGE, CODE, DISPLAY, MIME_DISPOSITION, MIN_NUM, MAX_NUM, LOCK_MODE, SEQ, ACTIVE, DATA_GROUP_ID)
        VALUES
            (
                V_OBJ_TYPE,
                A.USAGE,
                A.CODE,
                A.DISPLAY,
                A.MIME_DISPOSITION,
                A.MIN_NUM,
                A.MAX_NUM,
                A.LOCK_MODE,
                A.SEQ,
                A.ACTIVE,
                V_DATA_GROUP
            );
        
    END LOOP;
    
    
    FOR X IN
    (
        SELECT *
        FROM T_ACM_ASSOC_TYPE
        WHERE FROM_TYPE = (SELECT SID FROM T_ACM_OBJ_TYPE WHERE OBJ_TYPE_CODE = 'FILE.RISK_ASSESS')
        OR TO_TYPE = (SELECT SID FROM T_ACM_OBJ_TYPE WHERE OBJ_TYPE_CODE = 'FILE.RISK_ASSESS')
    )
    LOOP
        
        IF ACM_OBJ.GET_OBJTYPE_CODE(X.FROM_TYPE) = 'FILE.RISK_ASSESS' THEN
            
            INSERT INTO T_ACM_ASSOC_TYPE
                (FROM_TYPE, TO_TYPE, CODE, DISPLAY, DATA_GROUP_ID)
            VALUES
                (
                    V_OBJ_TYPE,
                    X.TO_TYPE,
                    acm_obj.get_objtype_code(V_OBJ_TYPE) || '_TO_' || acm_obj.get_objtype_code(X.TO_TYPE),
                    acm_obj.lookup_objtype_disp(V_OBJ_TYPE) || ' to ' || acm_obj.lookup_objtype_disp(X.TO_TYPE),
                    V_DATA_GROUP
                );
                
        ELSIF ACM_OBJ.GET_OBJTYPE_CODE(X.TO_TYPE) = 'FILE.RISK_ASSESS' THEN
            
            INSERT INTO T_ACM_ASSOC_TYPE
                (FROM_TYPE, TO_TYPE, CODE, DISPLAY, DATA_GROUP_ID)
            VALUES
                (
                    X.FROM_TYPE,
                    V_OBJ_TYPE,
                    acm_obj.get_objtype_code(X.FROM_TYPE) || '_TO_' || acm_obj.get_objtype_code(V_OBJ_TYPE),
                    acm_obj.lookup_objtype_disp(X.FROM_TYPE) || ' to ' || acm_obj.lookup_objtype_disp(V_OBJ_TYPE),
                    V_DATA_GROUP
                );
                
        END IF;
        
    END LOOP;

END;
/

-- T_F_IT_RA_REF Metadata


BEGIN 
    FOR X IN
        (
            SELECT *
            FROM T_F_RISK_ASSESS_REF
        )
    LOOP	
        INSERT INTO T_F_IT_RA_REF 
            ( USAGE, CODE, DISPLAY, LONG_DISPLAY, SEQ, ACTIVE )
        VALUES
            (
                X.USAGE,
				X.CODE,
                X.DISPLAY,
				X.LONG_DISPLAY,
                X.SEQ,
				X.ACTIVE
            );
    END LOOP;
END;
/
		
		
-- T_F_IT_RA_REF update data


UPDATE T_F_IT_RA_REF
SET display = 'IT Risk / Vulnerability'
WHERE code = 'CIRISK';



-- FILE.TIRA Priv


set scan off
declare
  V_OBJ_TYPE_CODE                   VARCHAR2(300);
  V_PRIV_SID                        T_ACM_PRIVILEGE.SID%TYPE;
  V_PGROUP_PRIV_SID                 T_ACM_PGROUP_PRIV.SID%TYPE;
begin
  V_OBJ_TYPE_CODE := 'FILE.TIRA';
  V_PRIV_SID := ACM_MDE3.Import_Privilege(P_PRIVILEGE_CODE => 'FILE.TIRA.ADD_RESTRICTION', P_PRIVILEGE_DISPLAY => 'Add Restriction', P_PRIVILEGE_COMMENTS => null, P_PRIVILEGE_OBJ_TYPE_CODE => V_OBJ_TYPE_CODE);
  V_PGROUP_PRIV_SID := ACM_MDE3.ADD_PRIV_TO_PGROUP(V_PRIV_SID,'TC2_LVL_2');
  V_PGROUP_PRIV_SID := ACM_MDE3.ADD_PRIV_TO_PGROUP(V_PRIV_SID,'ALL_PRIVS');
  V_PGROUP_PRIV_SID := ACM_MDE3.ADD_PRIV_TO_PGROUP(V_PRIV_SID,'OIAHQ_LVL_2');
  V_PGROUP_PRIV_SID := ACM_MDE3.ADD_PRIV_TO_PGROUP(V_PRIV_SID,'HTC_LVL_2');
  V_PGROUP_PRIV_SID := ACM_MDE3.ADD_PRIV_TO_PGROUP(V_PRIV_SID,'OCIHQ_LVL_2');
exception
  when OTHERS then
    raise;
end;
/


set scan off
declare
  V_OBJ_TYPE_CODE                   VARCHAR2(300);
  V_PRIV_SID                        T_ACM_PRIVILEGE.SID%TYPE;
  V_PGROUP_PRIV_SID                 T_ACM_PGROUP_PRIV.SID%TYPE;
begin
  V_OBJ_TYPE_CODE := 'FILE.TIRA';
  V_PRIV_SID := ACM_MDE3.Import_Privilege(P_PRIVILEGE_CODE => 'FILE.TIRA.CHANGE_UNIT_OWNER', P_PRIVILEGE_DISPLAY => 'Change Unit Ownership', P_PRIVILEGE_COMMENTS => null, P_PRIVILEGE_OBJ_TYPE_CODE => V_OBJ_TYPE_CODE);
  V_PGROUP_PRIV_SID := ACM_MDE3.ADD_PRIV_TO_PGROUP(V_PRIV_SID,'HTC_LVL_2');
  V_PGROUP_PRIV_SID := ACM_MDE3.ADD_PRIV_TO_PGROUP(V_PRIV_SID,'ALL_PRIVS');
  V_PGROUP_PRIV_SID := ACM_MDE3.ADD_PRIV_TO_PGROUP(V_PRIV_SID,'OIAHQ_LVL_2');
  V_PGROUP_PRIV_SID := ACM_MDE3.ADD_PRIV_TO_PGROUP(V_PRIV_SID,'TC2_LVL_2');
  V_PGROUP_PRIV_SID := ACM_MDE3.ADD_PRIV_TO_PGROUP(V_PRIV_SID,'OCIHQ_LVL_2');
exception
  when OTHERS then
    raise;
end;
/


set scan off
declare
  V_OBJ_TYPE_CODE                   VARCHAR2(300);
  V_PRIV_SID                        T_ACM_PRIVILEGE.SID%TYPE;
  V_PGROUP_PRIV_SID                 T_ACM_PGROUP_PRIV.SID%TYPE;
begin
  V_OBJ_TYPE_CODE := 'FILE.TIRA';
  V_PRIV_SID := ACM_MDE3.Import_Privilege(P_PRIVILEGE_CODE => 'FILE.TIRA.CLOSE', P_PRIVILEGE_DISPLAY => 'Close a IT Risk Assessment File', P_PRIVILEGE_COMMENTS => null, P_PRIVILEGE_OBJ_TYPE_CODE => V_OBJ_TYPE_CODE);
  V_PGROUP_PRIV_SID := ACM_MDE3.ADD_PRIV_TO_PGROUP(V_PRIV_SID,'TC2_LVL_2');
  V_PGROUP_PRIV_SID := ACM_MDE3.ADD_PRIV_TO_PGROUP(V_PRIV_SID,'ALL_PRIVS');
  V_PGROUP_PRIV_SID := ACM_MDE3.ADD_PRIV_TO_PGROUP(V_PRIV_SID,'HTC_LVL_2');
  V_PGROUP_PRIV_SID := ACM_MDE3.ADD_PRIV_TO_PGROUP(V_PRIV_SID,'OCIHQ_LVL_2');
  V_PGROUP_PRIV_SID := ACM_MDE3.ADD_PRIV_TO_PGROUP(V_PRIV_SID,'OIAHQ_LVL_2');
exception
  when OTHERS then
    raise;
end;
/


set scan off
declare
  V_OBJ_TYPE_CODE                   VARCHAR2(300);
  V_PRIV_SID                        T_ACM_PRIVILEGE.SID%TYPE;
  V_PGROUP_PRIV_SID                 T_ACM_PGROUP_PRIV.SID%TYPE;
begin
  V_OBJ_TYPE_CODE := 'FILE.TIRA';
  V_PRIV_SID := ACM_MDE3.Import_Privilege(P_PRIVILEGE_CODE => 'FILE.TIRA.CREATE', P_PRIVILEGE_DISPLAY => 'Create a IT Risk Assessment File', P_PRIVILEGE_COMMENTS => null, P_PRIVILEGE_OBJ_TYPE_CODE => V_OBJ_TYPE_CODE);
  V_PGROUP_PRIV_SID := ACM_MDE3.ADD_PRIV_TO_PGROUP(V_PRIV_SID,'TC2_LVL_1');
  V_PGROUP_PRIV_SID := ACM_MDE3.ADD_PRIV_TO_PGROUP(V_PRIV_SID,'OCIHQ_LVL_1');
  V_PGROUP_PRIV_SID := ACM_MDE3.ADD_PRIV_TO_PGROUP(V_PRIV_SID,'OIAHQ_LVL_1');
  V_PGROUP_PRIV_SID := ACM_MDE3.ADD_PRIV_TO_PGROUP(V_PRIV_SID,'ALL_PRIVS');
  V_PGROUP_PRIV_SID := ACM_MDE3.ADD_PRIV_TO_PGROUP(V_PRIV_SID,'HTC_LVL_1');
exception
  when OTHERS then
    raise;
end;
/


set scan off
declare
  V_OBJ_TYPE_CODE                   VARCHAR2(300);
  V_PRIV_SID                        T_ACM_PRIVILEGE.SID%TYPE;
  V_PGROUP_PRIV_SID                 T_ACM_PGROUP_PRIV.SID%TYPE;
begin
  V_OBJ_TYPE_CODE := 'FILE.TIRA';
  V_PRIV_SID := ACM_MDE3.Import_Privilege(P_PRIVILEGE_CODE => 'FILE.TIRA.DELETE', P_PRIVILEGE_DISPLAY => 'Delete a IT Risk Assessment File', P_PRIVILEGE_COMMENTS => null, P_PRIVILEGE_OBJ_TYPE_CODE => V_OBJ_TYPE_CODE);
  V_PGROUP_PRIV_SID := ACM_MDE3.ADD_PRIV_TO_PGROUP(V_PRIV_SID,'ALL_PRIVS');
exception
  when OTHERS then
    raise;
end;
/


set scan off
declare
  V_OBJ_TYPE_CODE                   VARCHAR2(300);
  V_PRIV_SID                        T_ACM_PRIVILEGE.SID%TYPE;
  V_PGROUP_PRIV_SID                 T_ACM_PGROUP_PRIV.SID%TYPE;
begin
  V_OBJ_TYPE_CODE := 'FILE.TIRA';
  V_PRIV_SID := ACM_MDE3.Import_Privilege(P_PRIVILEGE_CODE => 'FILE.TIRA.DOWNLOAD_ATTACH', P_PRIVILEGE_DISPLAY => 'Download Attachment', P_PRIVILEGE_COMMENTS => null, P_PRIVILEGE_OBJ_TYPE_CODE => V_OBJ_TYPE_CODE);
  V_PGROUP_PRIV_SID := ACM_MDE3.ADD_PRIV_TO_PGROUP(V_PRIV_SID,'OIAHQ_LVL_1');
  V_PGROUP_PRIV_SID := ACM_MDE3.ADD_PRIV_TO_PGROUP(V_PRIV_SID,'HTC_LVL_1');
  V_PGROUP_PRIV_SID := ACM_MDE3.ADD_PRIV_TO_PGROUP(V_PRIV_SID,'OCIHQ_LVL_1');
  V_PGROUP_PRIV_SID := ACM_MDE3.ADD_PRIV_TO_PGROUP(V_PRIV_SID,'ALL_PRIVS');
  V_PGROUP_PRIV_SID := ACM_MDE3.ADD_PRIV_TO_PGROUP(V_PRIV_SID,'TC2_LVL_1');
exception
  when OTHERS then
    raise;
end;
/



set scan off
declare
  V_OBJ_TYPE_CODE                   VARCHAR2(300);
  V_PRIV_SID                        T_ACM_PRIVILEGE.SID%TYPE;
  V_PGROUP_PRIV_SID                 T_ACM_PGROUP_PRIV.SID%TYPE;
begin
  V_OBJ_TYPE_CODE := 'FILE.TIRA';
  V_PRIV_SID := ACM_MDE3.Import_Privilege(P_PRIVILEGE_CODE => 'FILE.TIRA.EDIT_SUPPORTING_UNIT', P_PRIVILEGE_DISPLAY => 'Edit Supporting Unit', P_PRIVILEGE_COMMENTS => null, P_PRIVILEGE_OBJ_TYPE_CODE => V_OBJ_TYPE_CODE);
  V_PGROUP_PRIV_SID := ACM_MDE3.ADD_PRIV_TO_PGROUP(V_PRIV_SID,'OCIHQ_LVL_2');
  V_PGROUP_PRIV_SID := ACM_MDE3.ADD_PRIV_TO_PGROUP(V_PRIV_SID,'ALL_PRIVS');
  V_PGROUP_PRIV_SID := ACM_MDE3.ADD_PRIV_TO_PGROUP(V_PRIV_SID,'HTC_LVL_2');
  V_PGROUP_PRIV_SID := ACM_MDE3.ADD_PRIV_TO_PGROUP(V_PRIV_SID,'OIAHQ_LVL_2');
  V_PGROUP_PRIV_SID := ACM_MDE3.ADD_PRIV_TO_PGROUP(V_PRIV_SID,'TC2_LVL_2');
exception
  when OTHERS then
    raise;
end;
/



set scan off
declare
  V_OBJ_TYPE_CODE                   VARCHAR2(300);
  V_PRIV_SID                        T_ACM_PRIVILEGE.SID%TYPE;
  V_PGROUP_PRIV_SID                 T_ACM_PGROUP_PRIV.SID%TYPE;
begin
  V_OBJ_TYPE_CODE := 'FILE.TIRA';
  V_PRIV_SID := ACM_MDE3.Import_Privilege(P_PRIVILEGE_CODE => 'FILE.TIRA.SAVE', P_PRIVILEGE_DISPLAY => 'Update a IT Risk Assessment File', P_PRIVILEGE_COMMENTS => null, P_PRIVILEGE_OBJ_TYPE_CODE => V_OBJ_TYPE_CODE);
  V_PGROUP_PRIV_SID := ACM_MDE3.ADD_PRIV_TO_PGROUP(V_PRIV_SID,'OCIHQ_LVL_1');
  V_PGROUP_PRIV_SID := ACM_MDE3.ADD_PRIV_TO_PGROUP(V_PRIV_SID,'ALL_PRIVS');
  V_PGROUP_PRIV_SID := ACM_MDE3.ADD_PRIV_TO_PGROUP(V_PRIV_SID,'TC2_LVL_1');
  V_PGROUP_PRIV_SID := ACM_MDE3.ADD_PRIV_TO_PGROUP(V_PRIV_SID,'HTC_LVL_1');
  V_PGROUP_PRIV_SID := ACM_MDE3.ADD_PRIV_TO_PGROUP(V_PRIV_SID,'OIAHQ_LVL_1');
exception
  when OTHERS then
    raise;
end;
/



		
		
-- FILE.TIRA rules


set scan off
declare
  V_OBJ_TYPE_CODE                   VARCHAR2(300);
  V_RULE0_SID                       T_ACM_RULE.SID%TYPE; -- RULE CHOSEN FOR EXPORT
  V_RULE0_COMPONENT_SID             T_ACM_RULE.SID%TYPE; -- RULE CHOSEN FOR EXPORT
  V_RULES                           T_NUM_ARRAY := T_NUM_ARRAY(); -- 
  V_RULE_COMPONENTS                 T_NUM_ARRAY := T_NUM_ARRAY(); -- 
begin
V_OBJ_TYPE_CODE := 'FILE.TIRA';
V_RULES.EXTEND;
V_RULE0_SID:=ACM_MDE3.Import_Rule(P_OBJ_TYPE_CODE => V_OBJ_TYPE_CODE, 
            P_RULE_TYPE => 'PRE', 
            P_STATUS_CODE => null, 
            P_DISPLAY => 'Access File', 
            P_ACTIVE => 'Y', 
            P_SEQ => 1, 
            P_RULE_MIN => null, 
            P_RULE_MAX => null, 
            P_INITIATOR_EVAL => 'ALL', 
            P_CONDITION_EVAL => 'ALL', 
            P_PREREQUISITE_EVAL => 'ALL', 
            P_ACTION_PAGE => null, 
            P_EVENT_CODE => 'ACCESSED');
V_RULES(V_RULES.LAST) := V_RULE0_SID;
V_RULE_COMPONENTS.EXTEND;
V_RULE0_COMPONENT_SID:=ACM_MDE3.Import_Rule_Initiator(P_RULE_SID => V_RULE0_SID,
            P_INITIATOR_CODE => 'OBJ_RESTRICTION', 
            P_PRIVILEGE_CODE => null);
V_RULE_COMPONENTS(V_RULE_COMPONENTS.LAST) := V_RULE0_COMPONENT_SID;
ACM_MDE3.DELETE_RULE_COMPONENTS(P_RULE_SID => V_RULE0_SID, P_EXCEPT_FOR_THESE => V_RULE_COMPONENTS);
-------------------------------------------------------------------
exception
    when OTHERS then
        raise;
end;
/




set scan off
declare
  V_OBJ_TYPE_CODE                   VARCHAR2(300);
  V_RULE0_SID                       T_ACM_RULE.SID%TYPE; -- RULE CHOSEN FOR EXPORT
  V_RULE0_COMPONENT_SID             T_ACM_RULE.SID%TYPE; -- RULE CHOSEN FOR EXPORT
  V_RULES                           T_NUM_ARRAY := T_NUM_ARRAY(); -- 
  V_RULE_COMPONENTS                 T_NUM_ARRAY := T_NUM_ARRAY(); -- 
begin
V_OBJ_TYPE_CODE := 'FILE.TIRA';
V_RULES.EXTEND;
V_RULE0_SID:=ACM_MDE3.Import_Rule(P_OBJ_TYPE_CODE => V_OBJ_TYPE_CODE, 
            P_RULE_TYPE => 'POST', 
            P_STATUS_CODE => null, 
            P_DISPLAY => 'Accessed File', 
            P_ACTIVE => 'Y', 
            P_SEQ => 99, 
            P_RULE_MIN => null, 
            P_RULE_MAX => null, 
            P_INITIATOR_EVAL => 'ALL', 
            P_CONDITION_EVAL => 'ALL', 
            P_PREREQUISITE_EVAL => 'ALL', 
            P_ACTION_PAGE => null, 
            P_EVENT_CODE => 'ACCESSED');
V_RULES(V_RULES.LAST) := V_RULE0_SID;
V_RULE_COMPONENTS.EXTEND;
V_RULE0_COMPONENT_SID:=ACM_MDE3.Import_Rule_Process(P_RULE_SID => V_RULE0_SID,
            P_PROCESS_CODE => 'RECENT_ADD',
            P_SEQ => 2, 
            P_STATUS_CODE => null, 
            P_NOTIF_TYPE_CODE => null);
V_RULE_COMPONENTS(V_RULE_COMPONENTS.LAST) := V_RULE0_COMPONENT_SID;
ACM_MDE3.DELETE_RULE_COMPONENTS(P_RULE_SID => V_RULE0_SID, P_EXCEPT_FOR_THESE => V_RULE_COMPONENTS);
-------------------------------------------------------------------
exception
    when OTHERS then
        raise;
end;
/




set scan off
declare
  V_OBJ_TYPE_CODE                   VARCHAR2(300);
  V_RULE0_SID                       T_ACM_RULE.SID%TYPE; -- RULE CHOSEN FOR EXPORT
  V_RULE0_COMPONENT_SID             T_ACM_RULE.SID%TYPE; -- RULE CHOSEN FOR EXPORT
  V_RULES                           T_NUM_ARRAY := T_NUM_ARRAY(); -- 
  V_RULE_COMPONENTS                 T_NUM_ARRAY := T_NUM_ARRAY(); -- 
begin
V_OBJ_TYPE_CODE := 'FILE.TIRA';
V_RULES.EXTEND;
V_RULE0_SID:=ACM_MDE3.Import_Rule(P_OBJ_TYPE_CODE => V_OBJ_TYPE_CODE, 
            P_RULE_TYPE => 'PRE', 
            P_STATUS_CODE => null, 
            P_DISPLAY => 'Add Activity Association to File', 
            P_ACTIVE => 'Y', 
            P_SEQ => 1, 
            P_RULE_MIN => null, 
            P_RULE_MAX => null, 
            P_INITIATOR_EVAL => 'ANY', 
            P_CONDITION_EVAL => 'ALL', 
            P_PREREQUISITE_EVAL => 'ALL', 
            P_ACTION_PAGE => null, 
            P_EVENT_CODE => 'ACT_ASSOC_ADDED');
V_RULES(V_RULES.LAST) := V_RULE0_SID;
V_RULE_COMPONENTS.EXTEND;
V_RULE0_COMPONENT_SID:=ACM_MDE3.Import_Rule_Initiator(P_RULE_SID => V_RULE0_SID,
            P_INITIATOR_CODE => 'IS_ASSIGNED_SUPPORT_UNIT', 
            P_PRIVILEGE_CODE => null);
V_RULE_COMPONENTS(V_RULE_COMPONENTS.LAST) := V_RULE0_COMPONENT_SID;
V_RULE_COMPONENTS.EXTEND;
V_RULE0_COMPONENT_SID:=ACM_MDE3.Import_Rule_Initiator(P_RULE_SID => V_RULE0_SID,
            P_INITIATOR_CODE => 'INDIV_STAKEHOLDER', 
            P_PRIVILEGE_CODE => null);
V_RULE_COMPONENTS(V_RULE_COMPONENTS.LAST) := V_RULE0_COMPONENT_SID;
V_RULE_COMPONENTS.EXTEND;
V_RULE0_COMPONENT_SID:=ACM_MDE3.Import_Rule_Initiator(P_RULE_SID => V_RULE0_SID,
            P_INITIATOR_CODE => 'IS_DEFAULT_DATA_GROUP', 
            P_PRIVILEGE_CODE => null);
V_RULE_COMPONENTS(V_RULE_COMPONENTS.LAST) := V_RULE0_COMPONENT_SID;
V_RULE_COMPONENTS.EXTEND;
V_RULE0_COMPONENT_SID:=ACM_MDE3.Import_Rule_Initiator(P_RULE_SID => V_RULE0_SID,
            P_INITIATOR_CODE => 'HAS_PRIV', 
            P_PRIVILEGE_CODE => 'FILE.TIRA.SAVE');
V_RULE_COMPONENTS(V_RULE_COMPONENTS.LAST) := V_RULE0_COMPONENT_SID;
V_RULE_COMPONENTS.EXTEND;
V_RULE0_COMPONENT_SID:=ACM_MDE3.Import_Rule_Condition(P_RULE_SID => V_RULE0_SID,
            P_CONDITION_CODE => 'IS_NOT_CLOSED',
            P_REGION_ID => null);
V_RULE_COMPONENTS(V_RULE_COMPONENTS.LAST) := V_RULE0_COMPONENT_SID;
ACM_MDE3.DELETE_RULE_COMPONENTS(P_RULE_SID => V_RULE0_SID, P_EXCEPT_FOR_THESE => V_RULE_COMPONENTS);
-------------------------------------------------------------------
exception
    when OTHERS then
        raise;
end;
/






set scan off
declare
  V_OBJ_TYPE_CODE                   VARCHAR2(300);
  V_RULE0_SID                       T_ACM_RULE.SID%TYPE; -- RULE CHOSEN FOR EXPORT
  V_RULE0_COMPONENT_SID             T_ACM_RULE.SID%TYPE; -- RULE CHOSEN FOR EXPORT
  V_RULES                           T_NUM_ARRAY := T_NUM_ARRAY(); -- 
  V_RULE_COMPONENTS                 T_NUM_ARRAY := T_NUM_ARRAY(); -- 
begin
V_OBJ_TYPE_CODE := 'FILE.TIRA';
V_RULES.EXTEND;
V_RULE0_SID:=ACM_MDE3.Import_Rule(P_OBJ_TYPE_CODE => V_OBJ_TYPE_CODE, 
            P_RULE_TYPE => 'PRE', 
            P_STATUS_CODE => null, 
            P_DISPLAY => 'Delete Activity Association from File', 
            P_ACTIVE => 'Y', 
            P_SEQ => 1, 
            P_RULE_MIN => null, 
            P_RULE_MAX => null, 
            P_INITIATOR_EVAL => 'ALL', 
            P_CONDITION_EVAL => 'ALL', 
            P_PREREQUISITE_EVAL => 'ALL', 
            P_ACTION_PAGE => null, 
            P_EVENT_CODE => 'ACT_ASSOC_DELETED');
V_RULES(V_RULES.LAST) := V_RULE0_SID;
V_RULE_COMPONENTS.EXTEND;
V_RULE0_COMPONENT_SID:=ACM_MDE3.Import_Rule_Initiator(P_RULE_SID => V_RULE0_SID,
            P_INITIATOR_CODE => 'IS_DEFAULT_DATA_GROUP', 
            P_PRIVILEGE_CODE => null);
V_RULE_COMPONENTS(V_RULE_COMPONENTS.LAST) := V_RULE0_COMPONENT_SID;
V_RULE_COMPONENTS.EXTEND;
V_RULE0_COMPONENT_SID:=ACM_MDE3.Import_Rule_Initiator(P_RULE_SID => V_RULE0_SID,
            P_INITIATOR_CODE => 'HAS_PRIV', 
            P_PRIVILEGE_CODE => 'FILE.TIRA.SAVE');
V_RULE_COMPONENTS(V_RULE_COMPONENTS.LAST) := V_RULE0_COMPONENT_SID;
V_RULE_COMPONENTS.EXTEND;
V_RULE0_COMPONENT_SID:=ACM_MDE3.Import_Rule_Condition(P_RULE_SID => V_RULE0_SID,
            P_CONDITION_CODE => 'IS_NOT_CLOSED',
            P_REGION_ID => null);
V_RULE_COMPONENTS(V_RULE_COMPONENTS.LAST) := V_RULE0_COMPONENT_SID;
ACM_MDE3.DELETE_RULE_COMPONENTS(P_RULE_SID => V_RULE0_SID, P_EXCEPT_FOR_THESE => V_RULE_COMPONENTS);
-------------------------------------------------------------------
exception
    when OTHERS then
        raise;
end;
/



set scan off
declare
  V_OBJ_TYPE_CODE                   VARCHAR2(300);
  V_RULE0_SID                       T_ACM_RULE.SID%TYPE; -- RULE CHOSEN FOR EXPORT
  V_RULE0_COMPONENT_SID             T_ACM_RULE.SID%TYPE; -- RULE CHOSEN FOR EXPORT
  V_RULES                           T_NUM_ARRAY := T_NUM_ARRAY(); -- 
  V_RULE_COMPONENTS                 T_NUM_ARRAY := T_NUM_ARRAY(); -- 
begin
V_OBJ_TYPE_CODE := 'FILE.TIRA';
V_RULES.EXTEND;
V_RULE0_SID:=ACM_MDE3.Import_Rule(P_OBJ_TYPE_CODE => V_OBJ_TYPE_CODE, 
            P_RULE_TYPE => 'PRE', 
            P_STATUS_CODE => null, 
            P_DISPLAY => 'Add Restriction', 
            P_ACTIVE => 'Y', 
            P_SEQ => 1, 
            P_RULE_MIN => null, 
            P_RULE_MAX => null, 
            P_INITIATOR_EVAL => 'ALL', 
            P_CONDITION_EVAL => 'ALL', 
            P_PREREQUISITE_EVAL => 'ALL', 
            P_ACTION_PAGE => null, 
            P_EVENT_CODE => 'ADDED_RESTRICTION');
V_RULES(V_RULES.LAST) := V_RULE0_SID;
V_RULE_COMPONENTS.EXTEND;
V_RULE0_COMPONENT_SID:=ACM_MDE3.Import_Rule_Initiator(P_RULE_SID => V_RULE0_SID,
            P_INITIATOR_CODE => 'IS_DEFAULT_DATA_GROUP', 
            P_PRIVILEGE_CODE => null);
V_RULE_COMPONENTS(V_RULE_COMPONENTS.LAST) := V_RULE0_COMPONENT_SID;
V_RULE_COMPONENTS.EXTEND;
V_RULE0_COMPONENT_SID:=ACM_MDE3.Import_Rule_Initiator(P_RULE_SID => V_RULE0_SID,
            P_INITIATOR_CODE => 'HAS_PRIV', 
            P_PRIVILEGE_CODE => 'FILE.TIRA.ADD_RESTRICTION');
V_RULE_COMPONENTS(V_RULE_COMPONENTS.LAST) := V_RULE0_COMPONENT_SID;
ACM_MDE3.DELETE_RULE_COMPONENTS(P_RULE_SID => V_RULE0_SID, P_EXCEPT_FOR_THESE => V_RULE_COMPONENTS);
-------------------------------------------------------------------
exception
    when OTHERS then
        raise;
end;
/





set scan off
declare
  V_OBJ_TYPE_CODE                   VARCHAR2(300);
  V_RULE0_SID                       T_ACM_RULE.SID%TYPE; -- RULE CHOSEN FOR EXPORT
  V_RULE0_COMPONENT_SID             T_ACM_RULE.SID%TYPE; -- RULE CHOSEN FOR EXPORT
  V_RULES                           T_NUM_ARRAY := T_NUM_ARRAY(); -- 
  V_RULE_COMPONENTS                 T_NUM_ARRAY := T_NUM_ARRAY(); -- 
begin
V_OBJ_TYPE_CODE := 'FILE.TIRA';
V_RULES.EXTEND;
V_RULE0_SID:=ACM_MDE3.Import_Rule(P_OBJ_TYPE_CODE => V_OBJ_TYPE_CODE, 
            P_RULE_TYPE => 'PRE', 
            P_STATUS_CODE => 'APPROVAL', 
            P_DISPLAY => 'Approve', 
            P_ACTIVE => 'Y', 
            P_SEQ => 1, 
            P_RULE_MIN => null, 
            P_RULE_MAX => null, 
            P_INITIATOR_EVAL => 'ALL', 
            P_CONDITION_EVAL => 'ALL', 
            P_PREREQUISITE_EVAL => 'ALL', 
            P_ACTION_PAGE => null, 
            P_EVENT_CODE => 'APPROVED');
V_RULES(V_RULES.LAST) := V_RULE0_SID;
V_RULE_COMPONENTS.EXTEND;
V_RULE0_COMPONENT_SID:=ACM_MDE3.Import_Rule_Initiator(P_RULE_SID => V_RULE0_SID,
            P_INITIATOR_CODE => 'IS_DEFAULT_DATA_GROUP', 
            P_PRIVILEGE_CODE => null);
V_RULE_COMPONENTS(V_RULE_COMPONENTS.LAST) := V_RULE0_COMPONENT_SID;
V_RULE_COMPONENTS.EXTEND;
V_RULE0_COMPONENT_SID:=ACM_MDE3.Import_Rule_Initiator(P_RULE_SID => V_RULE0_SID,
            P_INITIATOR_CODE => 'HAS_PRIV', 
            P_PRIVILEGE_CODE => 'FILE.TIRA.CLOSE');
V_RULE_COMPONENTS(V_RULE_COMPONENTS.LAST) := V_RULE0_COMPONENT_SID;
V_RULE_COMPONENTS.EXTEND;
V_RULE0_COMPONENT_SID:=ACM_MDE3.Import_Rule_Condition(P_RULE_SID => V_RULE0_SID,
            P_CONDITION_CODE => 'CIRA_HAS_SUM_NARR',
            P_REGION_ID => 'R2090_NARRATIVES');
V_RULE_COMPONENTS(V_RULE_COMPONENTS.LAST) := V_RULE0_COMPONENT_SID;
V_RULE_COMPONENTS.EXTEND;
V_RULE0_COMPONENT_SID:=ACM_MDE3.Import_Rule_Condition(P_RULE_SID => V_RULE0_SID,
            P_CONDITION_CODE => 'ASSOC_ACT_EXISTS',
            P_REGION_ID => 'R2090_ASSOCIATED_ACTIVITIES');
V_RULE_COMPONENTS(V_RULE_COMPONENTS.LAST) := V_RULE0_COMPONENT_SID;
V_RULE_COMPONENTS.EXTEND;
V_RULE0_COMPONENT_SID:=ACM_MDE3.Import_Rule_Condition(P_RULE_SID => V_RULE0_SID,
            P_CONDITION_CODE => 'HAS_SUBJECT',
            P_REGION_ID => 'R2090_PARTICIPANTS');
V_RULE_COMPONENTS(V_RULE_COMPONENTS.LAST) := V_RULE0_COMPONENT_SID;
V_RULE_COMPONENTS.EXTEND;
V_RULE0_COMPONENT_SID:=ACM_MDE3.Import_Rule_Condition(P_RULE_SID => V_RULE0_SID,
            P_CONDITION_CODE => 'HAS_COMPONENT',
            P_REGION_ID => 'R2320_TREASURY_BUREAU');
V_RULE_COMPONENTS(V_RULE_COMPONENTS.LAST) := V_RULE0_COMPONENT_SID;
ACM_MDE3.DELETE_RULE_COMPONENTS(P_RULE_SID => V_RULE0_SID, P_EXCEPT_FOR_THESE => V_RULE_COMPONENTS);
-------------------------------------------------------------------
exception
    when OTHERS then
        raise;
end;
/





set scan off
declare
  V_OBJ_TYPE_CODE                   VARCHAR2(300);
  V_RULE0_SID                       T_ACM_RULE.SID%TYPE; -- RULE CHOSEN FOR EXPORT
  V_RULE0_COMPONENT_SID             T_ACM_RULE.SID%TYPE; -- RULE CHOSEN FOR EXPORT
  V_RULES                           T_NUM_ARRAY := T_NUM_ARRAY(); -- 
  V_RULE_COMPONENTS                 T_NUM_ARRAY := T_NUM_ARRAY(); -- 
begin
V_OBJ_TYPE_CODE := 'FILE.TIRA';
V_RULES.EXTEND;
V_RULE0_SID:=ACM_MDE3.Import_Rule(P_OBJ_TYPE_CODE => V_OBJ_TYPE_CODE, 
            P_RULE_TYPE => 'POST', 
            P_STATUS_CODE => 'APPROVAL', 
            P_DISPLAY => 'Approve', 
            P_ACTIVE => 'Y', 
            P_SEQ => 2, 
            P_RULE_MIN => 1, 
            P_RULE_MAX => null, 
            P_INITIATOR_EVAL => 'ALL', 
            P_CONDITION_EVAL => 'ALL', 
            P_PREREQUISITE_EVAL => 'ALL', 
            P_ACTION_PAGE => 20, 
            P_EVENT_CODE => 'APPROVED');
V_RULES(V_RULES.LAST) := V_RULE0_SID;
V_RULE_COMPONENTS.EXTEND;
V_RULE0_COMPONENT_SID:=ACM_MDE3.Import_Rule_Process(P_RULE_SID => V_RULE0_SID,
            P_PROCESS_CODE => 'CHANGE_STATUS',
            P_SEQ => 3, 
            P_STATUS_CODE => 'OPEN', 
            P_NOTIF_TYPE_CODE => null);
V_RULE_COMPONENTS(V_RULE_COMPONENTS.LAST) := V_RULE0_COMPONENT_SID;
ACM_MDE3.DELETE_RULE_COMPONENTS(P_RULE_SID => V_RULE0_SID, P_EXCEPT_FOR_THESE => V_RULE_COMPONENTS);
-------------------------------------------------------------------
exception
    when OTHERS then
        raise;
end;
/






set scan off
declare
  V_OBJ_TYPE_CODE                   VARCHAR2(300);
  V_RULE0_SID                       T_ACM_RULE.SID%TYPE; -- RULE CHOSEN FOR EXPORT
  V_RULE0_COMPONENT_SID             T_ACM_RULE.SID%TYPE; -- RULE CHOSEN FOR EXPORT
  V_RULES                           T_NUM_ARRAY := T_NUM_ARRAY(); -- 
  V_RULE_COMPONENTS                 T_NUM_ARRAY := T_NUM_ARRAY(); -- 
begin
V_OBJ_TYPE_CODE := 'FILE.TIRA';
V_RULES.EXTEND;
V_RULE0_SID:=ACM_MDE3.Import_Rule(P_OBJ_TYPE_CODE => V_OBJ_TYPE_CODE, 
            P_RULE_TYPE => 'PRE', 
            P_STATUS_CODE => null, 
            P_DISPLAY => 'Add Attachment to File', 
            P_ACTIVE => 'Y', 
            P_SEQ => 1, 
            P_RULE_MIN => null, 
            P_RULE_MAX => null, 
            P_INITIATOR_EVAL => 'ALL', 
            P_CONDITION_EVAL => 'ALL', 
            P_PREREQUISITE_EVAL => 'ALL', 
            P_ACTION_PAGE => null, 
            P_EVENT_CODE => 'ATTCH_CREATED');
V_RULES(V_RULES.LAST) := V_RULE0_SID;
V_RULE_COMPONENTS.EXTEND;
V_RULE0_COMPONENT_SID:=ACM_MDE3.Import_Rule_Initiator(P_RULE_SID => V_RULE0_SID,
            P_INITIATOR_CODE => 'IS_DEFAULT_DATA_GROUP', 
            P_PRIVILEGE_CODE => null);
V_RULE_COMPONENTS(V_RULE_COMPONENTS.LAST) := V_RULE0_COMPONENT_SID;
V_RULE_COMPONENTS.EXTEND;
V_RULE0_COMPONENT_SID:=ACM_MDE3.Import_Rule_Initiator(P_RULE_SID => V_RULE0_SID,
            P_INITIATOR_CODE => 'HAS_PRIV', 
            P_PRIVILEGE_CODE => 'FILE.TIRA.SAVE');
V_RULE_COMPONENTS(V_RULE_COMPONENTS.LAST) := V_RULE0_COMPONENT_SID;
ACM_MDE3.DELETE_RULE_COMPONENTS(P_RULE_SID => V_RULE0_SID, P_EXCEPT_FOR_THESE => V_RULE_COMPONENTS);
-------------------------------------------------------------------
exception
    when OTHERS then
        raise;
end;
/





set scan off
declare
  V_OBJ_TYPE_CODE                   VARCHAR2(300);
  V_RULE0_SID                       T_ACM_RULE.SID%TYPE; -- RULE CHOSEN FOR EXPORT
  V_RULE0_COMPONENT_SID             T_ACM_RULE.SID%TYPE; -- RULE CHOSEN FOR EXPORT
  V_RULES                           T_NUM_ARRAY := T_NUM_ARRAY(); -- 
  V_RULE_COMPONENTS                 T_NUM_ARRAY := T_NUM_ARRAY(); -- 
begin
V_OBJ_TYPE_CODE := 'FILE.TIRA';
V_RULES.EXTEND;
V_RULE0_SID:=ACM_MDE3.Import_Rule(P_OBJ_TYPE_CODE => V_OBJ_TYPE_CODE, 
            P_RULE_TYPE => 'PRE', 
            P_STATUS_CODE => null, 
            P_DISPLAY => 'Delete Attachment on File', 
            P_ACTIVE => 'Y', 
            P_SEQ => 1, 
            P_RULE_MIN => null, 
            P_RULE_MAX => null, 
            P_INITIATOR_EVAL => 'ALL', 
            P_CONDITION_EVAL => 'ALL', 
            P_PREREQUISITE_EVAL => 'ALL', 
            P_ACTION_PAGE => null, 
            P_EVENT_CODE => 'ATTACH_DELETED');
V_RULES(V_RULES.LAST) := V_RULE0_SID;
V_RULE_COMPONENTS.EXTEND;
V_RULE0_COMPONENT_SID:=ACM_MDE3.Import_Rule_Initiator(P_RULE_SID => V_RULE0_SID,
            P_INITIATOR_CODE => 'IS_DEFAULT_DATA_GROUP', 
            P_PRIVILEGE_CODE => null);
V_RULE_COMPONENTS(V_RULE_COMPONENTS.LAST) := V_RULE0_COMPONENT_SID;
V_RULE_COMPONENTS.EXTEND;
V_RULE0_COMPONENT_SID:=ACM_MDE3.Import_Rule_Initiator(P_RULE_SID => V_RULE0_SID,
            P_INITIATOR_CODE => 'HAS_PRIV', 
            P_PRIVILEGE_CODE => 'FILE.TIRA.SAVE');
V_RULE_COMPONENTS(V_RULE_COMPONENTS.LAST) := V_RULE0_COMPONENT_SID;
V_RULE_COMPONENTS.EXTEND;
V_RULE0_COMPONENT_SID:=ACM_MDE3.Import_Rule_Condition(P_RULE_SID => V_RULE0_SID,
            P_CONDITION_CODE => 'IS_NOT_CLOSED',
            P_REGION_ID => null);
V_RULE_COMPONENTS(V_RULE_COMPONENTS.LAST) := V_RULE0_COMPONENT_SID;
ACM_MDE3.DELETE_RULE_COMPONENTS(P_RULE_SID => V_RULE0_SID, P_EXCEPT_FOR_THESE => V_RULE_COMPONENTS);
-------------------------------------------------------------------
exception
    when OTHERS then
        raise;
end;
/



set scan off
declare
  V_OBJ_TYPE_CODE                   VARCHAR2(300);
  V_RULE0_SID                       T_ACM_RULE.SID%TYPE; -- RULE CHOSEN FOR EXPORT
  V_RULE0_COMPONENT_SID             T_ACM_RULE.SID%TYPE; -- RULE CHOSEN FOR EXPORT
  V_RULES                           T_NUM_ARRAY := T_NUM_ARRAY(); -- 
  V_RULE_COMPONENTS                 T_NUM_ARRAY := T_NUM_ARRAY(); -- 
begin
V_OBJ_TYPE_CODE := 'FILE.TIRA';
V_RULES.EXTEND;
V_RULE0_SID:=ACM_MDE3.Import_Rule(P_OBJ_TYPE_CODE => V_OBJ_TYPE_CODE, 
            P_RULE_TYPE => 'PRE', 
            P_STATUS_CODE => null, 
            P_DISPLAY => 'Download Attachment', 
            P_ACTIVE => 'Y', 
            P_SEQ => 1, 
            P_RULE_MIN => null, 
            P_RULE_MAX => null, 
            P_INITIATOR_EVAL => 'ALL', 
            P_CONDITION_EVAL => 'ALL', 
            P_PREREQUISITE_EVAL => 'ALL', 
            P_ACTION_PAGE => null, 
            P_EVENT_CODE => 'ATTACH_DOWNLOADED');
V_RULES(V_RULES.LAST) := V_RULE0_SID;
V_RULE_COMPONENTS.EXTEND;
V_RULE0_COMPONENT_SID:=ACM_MDE3.Import_Rule_Initiator(P_RULE_SID => V_RULE0_SID,
            P_INITIATOR_CODE => 'HAS_PRIV', 
            P_PRIVILEGE_CODE => 'FILE.TIRA.DOWNLOAD_ATTACH');
V_RULE_COMPONENTS(V_RULE_COMPONENTS.LAST) := V_RULE0_COMPONENT_SID;
ACM_MDE3.DELETE_RULE_COMPONENTS(P_RULE_SID => V_RULE0_SID, P_EXCEPT_FOR_THESE => V_RULE_COMPONENTS);
-------------------------------------------------------------------
exception
    when OTHERS then
        raise;
end;
/



set scan off
declare
  V_OBJ_TYPE_CODE                   VARCHAR2(300);
  V_RULE0_SID                       T_ACM_RULE.SID%TYPE; -- RULE CHOSEN FOR EXPORT
  V_RULE0_COMPONENT_SID             T_ACM_RULE.SID%TYPE; -- RULE CHOSEN FOR EXPORT
  V_RULES                           T_NUM_ARRAY := T_NUM_ARRAY(); -- 
  V_RULE_COMPONENTS                 T_NUM_ARRAY := T_NUM_ARRAY(); -- 
begin
V_OBJ_TYPE_CODE := 'FILE.TIRA';
V_RULES.EXTEND;
V_RULE0_SID:=ACM_MDE3.Import_Rule(P_OBJ_TYPE_CODE => V_OBJ_TYPE_CODE, 
            P_RULE_TYPE => 'PRE', 
            P_STATUS_CODE => null, 
            P_DISPLAY => 'Edit Attachment on File', 
            P_ACTIVE => 'Y', 
            P_SEQ => 1, 
            P_RULE_MIN => null, 
            P_RULE_MAX => null, 
            P_INITIATOR_EVAL => 'ALL', 
            P_CONDITION_EVAL => 'ALL', 
            P_PREREQUISITE_EVAL => 'ALL', 
            P_ACTION_PAGE => null, 
            P_EVENT_CODE => 'ATTACH_EDITED');
V_RULES(V_RULES.LAST) := V_RULE0_SID;
V_RULE_COMPONENTS.EXTEND;
V_RULE0_COMPONENT_SID:=ACM_MDE3.Import_Rule_Initiator(P_RULE_SID => V_RULE0_SID,
            P_INITIATOR_CODE => 'IS_DEFAULT_DATA_GROUP', 
            P_PRIVILEGE_CODE => null);
V_RULE_COMPONENTS(V_RULE_COMPONENTS.LAST) := V_RULE0_COMPONENT_SID;
V_RULE_COMPONENTS.EXTEND;
V_RULE0_COMPONENT_SID:=ACM_MDE3.Import_Rule_Initiator(P_RULE_SID => V_RULE0_SID,
            P_INITIATOR_CODE => 'HAS_PRIV', 
            P_PRIVILEGE_CODE => 'FILE.TIRA.SAVE');
V_RULE_COMPONENTS(V_RULE_COMPONENTS.LAST) := V_RULE0_COMPONENT_SID;
V_RULE_COMPONENTS.EXTEND;
V_RULE0_COMPONENT_SID:=ACM_MDE3.Import_Rule_Condition(P_RULE_SID => V_RULE0_SID,
            P_CONDITION_CODE => 'IS_NOT_CLOSED',
            P_REGION_ID => null);
V_RULE_COMPONENTS(V_RULE_COMPONENTS.LAST) := V_RULE0_COMPONENT_SID;
ACM_MDE3.DELETE_RULE_COMPONENTS(P_RULE_SID => V_RULE0_SID, P_EXCEPT_FOR_THESE => V_RULE_COMPONENTS);
-------------------------------------------------------------------
exception
    when OTHERS then
        raise;
end;
/



set scan off
declare
  V_OBJ_TYPE_CODE                   VARCHAR2(300);
  V_RULE0_SID                       T_ACM_RULE.SID%TYPE; -- RULE CHOSEN FOR EXPORT
  V_RULE0_COMPONENT_SID             T_ACM_RULE.SID%TYPE; -- RULE CHOSEN FOR EXPORT
  V_RULES                           T_NUM_ARRAY := T_NUM_ARRAY(); -- 
  V_RULE_COMPONENTS                 T_NUM_ARRAY := T_NUM_ARRAY(); -- 
begin
V_OBJ_TYPE_CODE := 'FILE.TIRA';
V_RULES.EXTEND;
V_RULE0_SID:=ACM_MDE3.Import_Rule(P_OBJ_TYPE_CODE => V_OBJ_TYPE_CODE, 
            P_RULE_TYPE => 'PRE', 
            P_STATUS_CODE => 'APPROVAL', 
            P_DISPLAY => 'Close', 
            P_ACTIVE => 'Y', 
            P_SEQ => 1, 
            P_RULE_MIN => null, 
            P_RULE_MAX => null, 
            P_INITIATOR_EVAL => 'ALL', 
            P_CONDITION_EVAL => 'ALL', 
            P_PREREQUISITE_EVAL => 'ALL', 
            P_ACTION_PAGE => null, 
            P_EVENT_CODE => 'CLOSED');
V_RULES(V_RULES.LAST) := V_RULE0_SID;
V_RULE_COMPONENTS.EXTEND;
V_RULE0_COMPONENT_SID:=ACM_MDE3.Import_Rule_Initiator(P_RULE_SID => V_RULE0_SID,
            P_INITIATOR_CODE => 'HAS_PRIV', 
            P_PRIVILEGE_CODE => 'FILE.TIRA.CLOSE');
V_RULE_COMPONENTS(V_RULE_COMPONENTS.LAST) := V_RULE0_COMPONENT_SID;
ACM_MDE3.DELETE_RULE_COMPONENTS(P_RULE_SID => V_RULE0_SID, P_EXCEPT_FOR_THESE => V_RULE_COMPONENTS);
-------------------------------------------------------------------
exception
    when OTHERS then
        raise;
end;
/



set scan off
declare
  V_OBJ_TYPE_CODE                   VARCHAR2(300);
  V_RULE0_SID                       T_ACM_RULE.SID%TYPE; -- RULE CHOSEN FOR EXPORT
  V_RULE0_COMPONENT_SID             T_ACM_RULE.SID%TYPE; -- RULE CHOSEN FOR EXPORT
  V_RULES                           T_NUM_ARRAY := T_NUM_ARRAY(); -- 
  V_RULE_COMPONENTS                 T_NUM_ARRAY := T_NUM_ARRAY(); -- 
begin
V_OBJ_TYPE_CODE := 'FILE.TIRA';
V_RULES.EXTEND;
V_RULE0_SID:=ACM_MDE3.Import_Rule(P_OBJ_TYPE_CODE => V_OBJ_TYPE_CODE, 
            P_RULE_TYPE => 'POST', 
            P_STATUS_CODE => 'APPROVAL', 
            P_DISPLAY => 'Close', 
            P_ACTIVE => 'Y', 
            P_SEQ => 4, 
            P_RULE_MIN => null, 
            P_RULE_MAX => null, 
            P_INITIATOR_EVAL => 'ALL', 
            P_CONDITION_EVAL => 'ALL', 
            P_PREREQUISITE_EVAL => 'ALL', 
            P_ACTION_PAGE => 20, 
            P_EVENT_CODE => 'CLOSED');
V_RULES(V_RULES.LAST) := V_RULE0_SID;
V_RULE_COMPONENTS.EXTEND;
V_RULE0_COMPONENT_SID:=ACM_MDE3.Import_Rule_Process(P_RULE_SID => V_RULE0_SID,
            P_PROCESS_CODE => 'CHANGE_STATUS',
            P_SEQ => 6, 
            P_STATUS_CODE => 'CLOSED', 
            P_NOTIF_TYPE_CODE => null);
V_RULE_COMPONENTS(V_RULE_COMPONENTS.LAST) := V_RULE0_COMPONENT_SID;
ACM_MDE3.DELETE_RULE_COMPONENTS(P_RULE_SID => V_RULE0_SID, P_EXCEPT_FOR_THESE => V_RULE_COMPONENTS);
-------------------------------------------------------------------
exception
    when OTHERS then
        raise;
end;
/



set scan off
declare
  V_OBJ_TYPE_CODE                   VARCHAR2(300);
  V_RULE0_SID                       T_ACM_RULE.SID%TYPE; -- RULE CHOSEN FOR EXPORT
  V_RULE0_COMPONENT_SID             T_ACM_RULE.SID%TYPE; -- RULE CHOSEN FOR EXPORT
  V_RULES                           T_NUM_ARRAY := T_NUM_ARRAY(); -- 
  V_RULE_COMPONENTS                 T_NUM_ARRAY := T_NUM_ARRAY(); -- 
begin
V_OBJ_TYPE_CODE := 'FILE.TIRA';
V_RULES.EXTEND;
V_RULE0_SID:=ACM_MDE3.Import_Rule(P_OBJ_TYPE_CODE => V_OBJ_TYPE_CODE, 
            P_RULE_TYPE => 'PRE', 
            P_STATUS_CODE => 'CLOSURE', 
            P_DISPLAY => 'Close', 
            P_ACTIVE => 'Y', 
            P_SEQ => 3, 
            P_RULE_MIN => null, 
            P_RULE_MAX => null, 
            P_INITIATOR_EVAL => 'ALL', 
            P_CONDITION_EVAL => 'ALL', 
            P_PREREQUISITE_EVAL => 'ALL', 
            P_ACTION_PAGE => null, 
            P_EVENT_CODE => 'CLOSED');
V_RULES(V_RULES.LAST) := V_RULE0_SID;
V_RULE_COMPONENTS.EXTEND;
V_RULE0_COMPONENT_SID:=ACM_MDE3.Import_Rule_Initiator(P_RULE_SID => V_RULE0_SID,
            P_INITIATOR_CODE => 'IS_DEFAULT_DATA_GROUP', 
            P_PRIVILEGE_CODE => null);
V_RULE_COMPONENTS(V_RULE_COMPONENTS.LAST) := V_RULE0_COMPONENT_SID;
V_RULE_COMPONENTS.EXTEND;
V_RULE0_COMPONENT_SID:=ACM_MDE3.Import_Rule_Initiator(P_RULE_SID => V_RULE0_SID,
            P_INITIATOR_CODE => 'HAS_PRIV', 
            P_PRIVILEGE_CODE => 'FILE.TIRA.CLOSE');
V_RULE_COMPONENTS(V_RULE_COMPONENTS.LAST) := V_RULE0_COMPONENT_SID;
V_RULE_COMPONENTS.EXTEND;
V_RULE0_COMPONENT_SID:=ACM_MDE3.Import_Rule_Condition(P_RULE_SID => V_RULE0_SID,
            P_CONDITION_CODE => 'HAS_SUBJECT',
            P_REGION_ID => 'R2090_PARTICIPANTS');
V_RULE_COMPONENTS(V_RULE_COMPONENTS.LAST) := V_RULE0_COMPONENT_SID;
V_RULE_COMPONENTS.EXTEND;
V_RULE0_COMPONENT_SID:=ACM_MDE3.Import_Rule_Condition(P_RULE_SID => V_RULE0_SID,
            P_CONDITION_CODE => 'CIRA_HAS_SUM_NARR',
            P_REGION_ID => 'R2090_NARRATIVES');
V_RULE_COMPONENTS(V_RULE_COMPONENTS.LAST) := V_RULE0_COMPONENT_SID;
V_RULE_COMPONENTS.EXTEND;
V_RULE0_COMPONENT_SID:=ACM_MDE3.Import_Rule_Condition(P_RULE_SID => V_RULE0_SID,
            P_CONDITION_CODE => 'ASSOC_ACT_EXISTS',
            P_REGION_ID => 'R2090_ASSOCIATED_ACTIVITIES');
V_RULE_COMPONENTS(V_RULE_COMPONENTS.LAST) := V_RULE0_COMPONENT_SID;
V_RULE_COMPONENTS.EXTEND;
V_RULE0_COMPONENT_SID:=ACM_MDE3.Import_Rule_Condition(P_RULE_SID => V_RULE0_SID,
            P_CONDITION_CODE => 'HAS_COMPONENT',
            P_REGION_ID => 'R2320_TREASURY_BUREAU');
V_RULE_COMPONENTS(V_RULE_COMPONENTS.LAST) := V_RULE0_COMPONENT_SID;
ACM_MDE3.DELETE_RULE_COMPONENTS(P_RULE_SID => V_RULE0_SID, P_EXCEPT_FOR_THESE => V_RULE_COMPONENTS);
-------------------------------------------------------------------
exception
    when OTHERS then
        raise;
end;
/



set scan off
declare
  V_OBJ_TYPE_CODE                   VARCHAR2(300);
  V_RULE0_SID                       T_ACM_RULE.SID%TYPE; -- RULE CHOSEN FOR EXPORT
  V_RULE0_COMPONENT_SID             T_ACM_RULE.SID%TYPE; -- RULE CHOSEN FOR EXPORT
  V_RULES                           T_NUM_ARRAY := T_NUM_ARRAY(); -- 
  V_RULE_COMPONENTS                 T_NUM_ARRAY := T_NUM_ARRAY(); -- 
begin
V_OBJ_TYPE_CODE := 'FILE.TIRA';
V_RULES.EXTEND;
V_RULE0_SID:=ACM_MDE3.Import_Rule(P_OBJ_TYPE_CODE => V_OBJ_TYPE_CODE, 
            P_RULE_TYPE => 'POST', 
            P_STATUS_CODE => 'CLOSURE', 
            P_DISPLAY => 'Close', 
            P_ACTIVE => 'Y', 
            P_SEQ => 99, 
            P_RULE_MIN => null, 
            P_RULE_MAX => null, 
            P_INITIATOR_EVAL => 'ALL', 
            P_CONDITION_EVAL => 'ALL', 
            P_PREREQUISITE_EVAL => 'ALL', 
            P_ACTION_PAGE => 20, 
            P_EVENT_CODE => 'CLOSED');
V_RULES(V_RULES.LAST) := V_RULE0_SID;
V_RULE_COMPONENTS.EXTEND;
V_RULE0_COMPONENT_SID:=ACM_MDE3.Import_Rule_Process(P_RULE_SID => V_RULE0_SID,
            P_PROCESS_CODE => 'CHANGE_STATUS',
            P_SEQ => 4, 
            P_STATUS_CODE => 'CLOSED', 
            P_NOTIF_TYPE_CODE => null);
V_RULE_COMPONENTS(V_RULE_COMPONENTS.LAST) := V_RULE0_COMPONENT_SID;
ACM_MDE3.DELETE_RULE_COMPONENTS(P_RULE_SID => V_RULE0_SID, P_EXCEPT_FOR_THESE => V_RULE_COMPONENTS);
-------------------------------------------------------------------
exception
    when OTHERS then
        raise;
end;
/



set scan off
declare
  V_OBJ_TYPE_CODE                   VARCHAR2(300);
  V_RULE0_SID                       T_ACM_RULE.SID%TYPE; -- RULE CHOSEN FOR EXPORT
  V_RULE0_COMPONENT_SID             T_ACM_RULE.SID%TYPE; -- RULE CHOSEN FOR EXPORT
  V_RULES                           T_NUM_ARRAY := T_NUM_ARRAY(); -- 
  V_RULE_COMPONENTS                 T_NUM_ARRAY := T_NUM_ARRAY(); -- 
begin
V_OBJ_TYPE_CODE := 'FILE.TIRA';
V_RULES.EXTEND;
V_RULE0_SID:=ACM_MDE3.Import_Rule(P_OBJ_TYPE_CODE => V_OBJ_TYPE_CODE, 
            P_RULE_TYPE => 'PRE', 
            P_STATUS_CODE => null, 
            P_DISPLAY => 'Create File', 
            P_ACTIVE => 'Y', 
            P_SEQ => 1, 
            P_RULE_MIN => null, 
            P_RULE_MAX => null, 
            P_INITIATOR_EVAL => 'ALL', 
            P_CONDITION_EVAL => 'ALL', 
            P_PREREQUISITE_EVAL => 'ALL', 
            P_ACTION_PAGE => null, 
            P_EVENT_CODE => 'CREATED');
V_RULES(V_RULES.LAST) := V_RULE0_SID;
V_RULE_COMPONENTS.EXTEND;
V_RULE0_COMPONENT_SID:=ACM_MDE3.Import_Rule_Initiator(P_RULE_SID => V_RULE0_SID,
            P_INITIATOR_CODE => 'IS_ASSIGNED_UNIT', 
            P_PRIVILEGE_CODE => null);
V_RULE_COMPONENTS(V_RULE_COMPONENTS.LAST) := V_RULE0_COMPONENT_SID;
V_RULE_COMPONENTS.EXTEND;
V_RULE0_COMPONENT_SID:=ACM_MDE3.Import_Rule_Initiator(P_RULE_SID => V_RULE0_SID,
            P_INITIATOR_CODE => 'HAS_PRIV', 
            P_PRIVILEGE_CODE => 'FILE.TIRA.CREATE');
V_RULE_COMPONENTS(V_RULE_COMPONENTS.LAST) := V_RULE0_COMPONENT_SID;
ACM_MDE3.DELETE_RULE_COMPONENTS(P_RULE_SID => V_RULE0_SID, P_EXCEPT_FOR_THESE => V_RULE_COMPONENTS);
-------------------------------------------------------------------
exception
    when OTHERS then
        raise;
end;
/



set scan off
declare
  V_OBJ_TYPE_CODE                   VARCHAR2(300);
  V_RULE0_SID                       T_ACM_RULE.SID%TYPE; -- RULE CHOSEN FOR EXPORT
  V_RULE0_COMPONENT_SID             T_ACM_RULE.SID%TYPE; -- RULE CHOSEN FOR EXPORT
  V_RULES                           T_NUM_ARRAY := T_NUM_ARRAY(); -- 
  V_RULE_COMPONENTS                 T_NUM_ARRAY := T_NUM_ARRAY(); -- 
begin
V_OBJ_TYPE_CODE := 'FILE.TIRA';
V_RULES.EXTEND;
V_RULE0_SID:=ACM_MDE3.Import_Rule(P_OBJ_TYPE_CODE => V_OBJ_TYPE_CODE, 
            P_RULE_TYPE => 'POST', 
            P_STATUS_CODE => null, 
            P_DISPLAY => 'File Created', 
            P_ACTIVE => 'Y', 
            P_SEQ => 1, 
            P_RULE_MIN => null, 
            P_RULE_MAX => null, 
            P_INITIATOR_EVAL => 'ALL', 
            P_CONDITION_EVAL => 'ALL', 
            P_PREREQUISITE_EVAL => 'ALL', 
            P_ACTION_PAGE => null, 
            P_EVENT_CODE => 'CREATED');
V_RULES(V_RULES.LAST) := V_RULE0_SID;
V_RULE_COMPONENTS.EXTEND;
V_RULE0_COMPONENT_SID:=ACM_MDE3.Import_Rule_Process(P_RULE_SID => V_RULE0_SID,
            P_PROCESS_CODE => 'CREATE_STAKEHOLDERS',
            P_SEQ => 6, 
            P_STATUS_CODE => null, 
            P_NOTIF_TYPE_CODE => null);
V_RULE_COMPONENTS(V_RULE_COMPONENTS.LAST) := V_RULE0_COMPONENT_SID;
V_RULE_COMPONENTS.EXTEND;
V_RULE0_COMPONENT_SID:=ACM_MDE3.Import_Rule_Process(P_RULE_SID => V_RULE0_SID,
            P_PROCESS_CODE => 'CHANGE_STATUS',
            P_SEQ => 7, 
            P_STATUS_CODE => 'NEW', 
            P_NOTIF_TYPE_CODE => null);
V_RULE_COMPONENTS(V_RULE_COMPONENTS.LAST) := V_RULE0_COMPONENT_SID;
ACM_MDE3.DELETE_RULE_COMPONENTS(P_RULE_SID => V_RULE0_SID, P_EXCEPT_FOR_THESE => V_RULE_COMPONENTS);
-------------------------------------------------------------------
exception
    when OTHERS then
        raise;
end;
/



set scan off
declare
  V_OBJ_TYPE_CODE                   VARCHAR2(300);
  V_RULE0_SID                       T_ACM_RULE.SID%TYPE; -- RULE CHOSEN FOR EXPORT
  V_RULE0_COMPONENT_SID             T_ACM_RULE.SID%TYPE; -- RULE CHOSEN FOR EXPORT
  V_RULES                           T_NUM_ARRAY := T_NUM_ARRAY(); -- 
  V_RULE_COMPONENTS                 T_NUM_ARRAY := T_NUM_ARRAY(); -- 
begin
V_OBJ_TYPE_CODE := 'FILE.TIRA';
V_RULES.EXTEND;
V_RULE0_SID:=ACM_MDE3.Import_Rule(P_OBJ_TYPE_CODE => V_OBJ_TYPE_CODE, 
            P_RULE_TYPE => 'PRE', 
            P_STATUS_CODE => null, 
            P_DISPLAY => 'Delete File', 
            P_ACTIVE => 'Y', 
            P_SEQ => 1, 
            P_RULE_MIN => null, 
            P_RULE_MAX => null, 
            P_INITIATOR_EVAL => 'ALL', 
            P_CONDITION_EVAL => 'ALL', 
            P_PREREQUISITE_EVAL => 'ALL', 
            P_ACTION_PAGE => null, 
            P_EVENT_CODE => 'DELETED');
V_RULES(V_RULES.LAST) := V_RULE0_SID;
V_RULE_COMPONENTS.EXTEND;
V_RULE0_COMPONENT_SID:=ACM_MDE3.Import_Rule_Initiator(P_RULE_SID => V_RULE0_SID,
            P_INITIATOR_CODE => 'IS_DEFAULT_DATA_GROUP', 
            P_PRIVILEGE_CODE => null);
V_RULE_COMPONENTS(V_RULE_COMPONENTS.LAST) := V_RULE0_COMPONENT_SID;
V_RULE_COMPONENTS.EXTEND;
V_RULE0_COMPONENT_SID:=ACM_MDE3.Import_Rule_Initiator(P_RULE_SID => V_RULE0_SID,
            P_INITIATOR_CODE => 'HAS_PRIV', 
            P_PRIVILEGE_CODE => 'FILE.TIRA.DELETE');
V_RULE_COMPONENTS(V_RULE_COMPONENTS.LAST) := V_RULE0_COMPONENT_SID;
ACM_MDE3.DELETE_RULE_COMPONENTS(P_RULE_SID => V_RULE0_SID, P_EXCEPT_FOR_THESE => V_RULE_COMPONENTS);
-------------------------------------------------------------------
exception
    when OTHERS then
        raise;
end;
/



set scan off
declare
  V_OBJ_TYPE_CODE                   VARCHAR2(300);
  V_RULE0_SID                       T_ACM_RULE.SID%TYPE; -- RULE CHOSEN FOR EXPORT
  V_RULE0_COMPONENT_SID             T_ACM_RULE.SID%TYPE; -- RULE CHOSEN FOR EXPORT
  V_RULES                           T_NUM_ARRAY := T_NUM_ARRAY(); -- 
  V_RULE_COMPONENTS                 T_NUM_ARRAY := T_NUM_ARRAY(); -- 
begin
V_OBJ_TYPE_CODE := 'FILE.TIRA';
V_RULES.EXTEND;
V_RULE0_SID:=ACM_MDE3.Import_Rule(P_OBJ_TYPE_CODE => V_OBJ_TYPE_CODE, 
            P_RULE_TYPE => 'PRE', 
            P_STATUS_CODE => null, 
            P_DISPLAY => 'Add File Association to File', 
            P_ACTIVE => 'Y', 
            P_SEQ => 1, 
            P_RULE_MIN => null, 
            P_RULE_MAX => null, 
            P_INITIATOR_EVAL => 'ALL', 
            P_CONDITION_EVAL => 'ALL', 
            P_PREREQUISITE_EVAL => 'ALL', 
            P_ACTION_PAGE => null, 
            P_EVENT_CODE => 'FILE_ASSOC_ADDED');
V_RULES(V_RULES.LAST) := V_RULE0_SID;
V_RULE_COMPONENTS.EXTEND;
V_RULE0_COMPONENT_SID:=ACM_MDE3.Import_Rule_Initiator(P_RULE_SID => V_RULE0_SID,
            P_INITIATOR_CODE => 'IS_DEFAULT_DATA_GROUP', 
            P_PRIVILEGE_CODE => null);
V_RULE_COMPONENTS(V_RULE_COMPONENTS.LAST) := V_RULE0_COMPONENT_SID;
V_RULE_COMPONENTS.EXTEND;
V_RULE0_COMPONENT_SID:=ACM_MDE3.Import_Rule_Initiator(P_RULE_SID => V_RULE0_SID,
            P_INITIATOR_CODE => 'HAS_PRIV', 
            P_PRIVILEGE_CODE => 'FILE.TIRA.SAVE');
V_RULE_COMPONENTS(V_RULE_COMPONENTS.LAST) := V_RULE0_COMPONENT_SID;
V_RULE_COMPONENTS.EXTEND;
V_RULE0_COMPONENT_SID:=ACM_MDE3.Import_Rule_Condition(P_RULE_SID => V_RULE0_SID,
            P_CONDITION_CODE => 'IS_NOT_CLOSED',
            P_REGION_ID => null);
V_RULE_COMPONENTS(V_RULE_COMPONENTS.LAST) := V_RULE0_COMPONENT_SID;
ACM_MDE3.DELETE_RULE_COMPONENTS(P_RULE_SID => V_RULE0_SID, P_EXCEPT_FOR_THESE => V_RULE_COMPONENTS);
-------------------------------------------------------------------
exception
    when OTHERS then
        raise;
end;
/



set scan off
declare
  V_OBJ_TYPE_CODE                   VARCHAR2(300);
  V_RULE0_SID                       T_ACM_RULE.SID%TYPE; -- RULE CHOSEN FOR EXPORT
  V_RULE0_COMPONENT_SID             T_ACM_RULE.SID%TYPE; -- RULE CHOSEN FOR EXPORT
  V_RULES                           T_NUM_ARRAY := T_NUM_ARRAY(); -- 
  V_RULE_COMPONENTS                 T_NUM_ARRAY := T_NUM_ARRAY(); -- 
begin
V_OBJ_TYPE_CODE := 'FILE.TIRA';
V_RULES.EXTEND;
V_RULE0_SID:=ACM_MDE3.Import_Rule(P_OBJ_TYPE_CODE => V_OBJ_TYPE_CODE, 
            P_RULE_TYPE => 'PRE', 
            P_STATUS_CODE => null, 
            P_DISPLAY => 'Delete File Association from File', 
            P_ACTIVE => 'Y', 
            P_SEQ => 1, 
            P_RULE_MIN => null, 
            P_RULE_MAX => null, 
            P_INITIATOR_EVAL => 'ALL', 
            P_CONDITION_EVAL => 'ALL', 
            P_PREREQUISITE_EVAL => 'ALL', 
            P_ACTION_PAGE => null, 
            P_EVENT_CODE => 'FILE_ASSOC_DELETED');
V_RULES(V_RULES.LAST) := V_RULE0_SID;
V_RULE_COMPONENTS.EXTEND;
V_RULE0_COMPONENT_SID:=ACM_MDE3.Import_Rule_Initiator(P_RULE_SID => V_RULE0_SID,
            P_INITIATOR_CODE => 'IS_DEFAULT_DATA_GROUP', 
            P_PRIVILEGE_CODE => null);
V_RULE_COMPONENTS(V_RULE_COMPONENTS.LAST) := V_RULE0_COMPONENT_SID;
V_RULE_COMPONENTS.EXTEND;
V_RULE0_COMPONENT_SID:=ACM_MDE3.Import_Rule_Initiator(P_RULE_SID => V_RULE0_SID,
            P_INITIATOR_CODE => 'HAS_PRIV', 
            P_PRIVILEGE_CODE => 'FILE.TIRA.SAVE');
V_RULE_COMPONENTS(V_RULE_COMPONENTS.LAST) := V_RULE0_COMPONENT_SID;
V_RULE_COMPONENTS.EXTEND;
V_RULE0_COMPONENT_SID:=ACM_MDE3.Import_Rule_Condition(P_RULE_SID => V_RULE0_SID,
            P_CONDITION_CODE => 'IS_NOT_CLOSED',
            P_REGION_ID => null);
V_RULE_COMPONENTS(V_RULE_COMPONENTS.LAST) := V_RULE0_COMPONENT_SID;
ACM_MDE3.DELETE_RULE_COMPONENTS(P_RULE_SID => V_RULE0_SID, P_EXCEPT_FOR_THESE => V_RULE_COMPONENTS);
-------------------------------------------------------------------
exception
    when OTHERS then
        raise;
end;
/



set scan off
declare
  V_OBJ_TYPE_CODE                   VARCHAR2(300);
  V_RULE0_SID                       T_ACM_RULE.SID%TYPE; -- RULE CHOSEN FOR EXPORT
  V_RULE0_COMPONENT_SID             T_ACM_RULE.SID%TYPE; -- RULE CHOSEN FOR EXPORT
  V_RULES                           T_NUM_ARRAY := T_NUM_ARRAY(); -- 
  V_RULE_COMPONENTS                 T_NUM_ARRAY := T_NUM_ARRAY(); -- 
begin
V_OBJ_TYPE_CODE := 'FILE.TIRA';
V_RULES.EXTEND;
V_RULE0_SID:=ACM_MDE3.Import_Rule(P_OBJ_TYPE_CODE => V_OBJ_TYPE_CODE, 
            P_RULE_TYPE => 'PRE', 
            P_STATUS_CODE => null, 
            P_DISPLAY => 'Change Lead', 
            P_ACTIVE => 'Y', 
            P_SEQ => 1, 
            P_RULE_MIN => null, 
            P_RULE_MAX => null, 
            P_INITIATOR_EVAL => 'ALL', 
            P_CONDITION_EVAL => 'ALL', 
            P_PREREQUISITE_EVAL => 'ALL', 
            P_ACTION_PAGE => null, 
            P_EVENT_CODE => 'LEAD_CHANGED');
V_RULES(V_RULES.LAST) := V_RULE0_SID;
V_RULE_COMPONENTS.EXTEND;
V_RULE0_COMPONENT_SID:=ACM_MDE3.Import_Rule_Initiator(P_RULE_SID => V_RULE0_SID,
            P_INITIATOR_CODE => 'IS_DEFAULT_DATA_GROUP', 
            P_PRIVILEGE_CODE => null);
V_RULE_COMPONENTS(V_RULE_COMPONENTS.LAST) := V_RULE0_COMPONENT_SID;
V_RULE_COMPONENTS.EXTEND;
V_RULE0_COMPONENT_SID:=ACM_MDE3.Import_Rule_Initiator(P_RULE_SID => V_RULE0_SID,
            P_INITIATOR_CODE => 'HAS_PRIV', 
            P_PRIVILEGE_CODE => 'FILE.TIRA.SAVE');
V_RULE_COMPONENTS(V_RULE_COMPONENTS.LAST) := V_RULE0_COMPONENT_SID;
V_RULE_COMPONENTS.EXTEND;
V_RULE0_COMPONENT_SID:=ACM_MDE3.Import_Rule_Condition(P_RULE_SID => V_RULE0_SID,
            P_CONDITION_CODE => 'IS_NOT_CLOSED',
            P_REGION_ID => null);
V_RULE_COMPONENTS(V_RULE_COMPONENTS.LAST) := V_RULE0_COMPONENT_SID;
ACM_MDE3.DELETE_RULE_COMPONENTS(P_RULE_SID => V_RULE0_SID, P_EXCEPT_FOR_THESE => V_RULE_COMPONENTS);
-------------------------------------------------------------------
exception
    when OTHERS then
        raise;
end;
/



set scan off
declare
  V_OBJ_TYPE_CODE                   VARCHAR2(300);
  V_RULE0_SID                       T_ACM_RULE.SID%TYPE; -- RULE CHOSEN FOR EXPORT
  V_RULE0_COMPONENT_SID             T_ACM_RULE.SID%TYPE; -- RULE CHOSEN FOR EXPORT
  V_RULES                           T_NUM_ARRAY := T_NUM_ARRAY(); -- 
  V_RULE_COMPONENTS                 T_NUM_ARRAY := T_NUM_ARRAY(); -- 
begin
V_OBJ_TYPE_CODE := 'FILE.TIRA';
V_RULES.EXTEND;
V_RULE0_SID:=ACM_MDE3.Import_Rule(P_OBJ_TYPE_CODE => V_OBJ_TYPE_CODE, 
            P_RULE_TYPE => 'PRE', 
            P_STATUS_CODE => null, 
            P_DISPLAY => 'Add Note to File', 
            P_ACTIVE => 'Y', 
            P_SEQ => 1, 
            P_RULE_MIN => null, 
            P_RULE_MAX => null, 
            P_INITIATOR_EVAL => 'ALL', 
            P_CONDITION_EVAL => 'ALL', 
            P_PREREQUISITE_EVAL => 'ALL', 
            P_ACTION_PAGE => null, 
            P_EVENT_CODE => 'NOTE_CREATED');
V_RULES(V_RULES.LAST) := V_RULE0_SID;
V_RULE_COMPONENTS.EXTEND;
V_RULE0_COMPONENT_SID:=ACM_MDE3.Import_Rule_Initiator(P_RULE_SID => V_RULE0_SID,
            P_INITIATOR_CODE => 'HAS_PRIV', 
            P_PRIVILEGE_CODE => 'FILE.TIRA.SAVE');
V_RULE_COMPONENTS(V_RULE_COMPONENTS.LAST) := V_RULE0_COMPONENT_SID;
ACM_MDE3.DELETE_RULE_COMPONENTS(P_RULE_SID => V_RULE0_SID, P_EXCEPT_FOR_THESE => V_RULE_COMPONENTS);
-------------------------------------------------------------------
exception
    when OTHERS then
        raise;
end;
/



set scan off
declare
  V_OBJ_TYPE_CODE                   VARCHAR2(300);
  V_RULE0_SID                       T_ACM_RULE.SID%TYPE; -- RULE CHOSEN FOR EXPORT
  V_RULE0_COMPONENT_SID             T_ACM_RULE.SID%TYPE; -- RULE CHOSEN FOR EXPORT
  V_RULES                           T_NUM_ARRAY := T_NUM_ARRAY(); -- 
  V_RULE_COMPONENTS                 T_NUM_ARRAY := T_NUM_ARRAY(); -- 
begin
V_OBJ_TYPE_CODE := 'FILE.TIRA';
V_RULES.EXTEND;
V_RULE0_SID:=ACM_MDE3.Import_Rule(P_OBJ_TYPE_CODE => V_OBJ_TYPE_CODE, 
            P_RULE_TYPE => 'PRE', 
            P_STATUS_CODE => null, 
            P_DISPLAY => 'Delete Note on File', 
            P_ACTIVE => 'Y', 
            P_SEQ => 1, 
            P_RULE_MIN => null, 
            P_RULE_MAX => null, 
            P_INITIATOR_EVAL => 'ALL', 
            P_CONDITION_EVAL => 'ALL', 
            P_PREREQUISITE_EVAL => 'ALL', 
            P_ACTION_PAGE => null, 
            P_EVENT_CODE => 'NOTE_DELETED');
V_RULES(V_RULES.LAST) := V_RULE0_SID;
V_RULE_COMPONENTS.EXTEND;
V_RULE0_COMPONENT_SID:=ACM_MDE3.Import_Rule_Initiator(P_RULE_SID => V_RULE0_SID,
            P_INITIATOR_CODE => 'HAS_PRIV', 
            P_PRIVILEGE_CODE => 'FILE.TIRA.SAVE');
V_RULE_COMPONENTS(V_RULE_COMPONENTS.LAST) := V_RULE0_COMPONENT_SID;
V_RULE_COMPONENTS.EXTEND;
V_RULE0_COMPONENT_SID:=ACM_MDE3.Import_Rule_Condition(P_RULE_SID => V_RULE0_SID,
            P_CONDITION_CODE => 'IS_NOT_CLOSED',
            P_REGION_ID => null);
V_RULE_COMPONENTS(V_RULE_COMPONENTS.LAST) := V_RULE0_COMPONENT_SID;
ACM_MDE3.DELETE_RULE_COMPONENTS(P_RULE_SID => V_RULE0_SID, P_EXCEPT_FOR_THESE => V_RULE_COMPONENTS);
-------------------------------------------------------------------
exception
    when OTHERS then
        raise;
end;
/



set scan off
declare
  V_OBJ_TYPE_CODE                   VARCHAR2(300);
  V_RULE0_SID                       T_ACM_RULE.SID%TYPE; -- RULE CHOSEN FOR EXPORT
  V_RULE0_COMPONENT_SID             T_ACM_RULE.SID%TYPE; -- RULE CHOSEN FOR EXPORT
  V_RULES                           T_NUM_ARRAY := T_NUM_ARRAY(); -- 
  V_RULE_COMPONENTS                 T_NUM_ARRAY := T_NUM_ARRAY(); -- 
begin
V_OBJ_TYPE_CODE := 'FILE.TIRA';
V_RULES.EXTEND;
V_RULE0_SID:=ACM_MDE3.Import_Rule(P_OBJ_TYPE_CODE => V_OBJ_TYPE_CODE, 
            P_RULE_TYPE => 'PRE', 
            P_STATUS_CODE => null, 
            P_DISPLAY => 'Edit Note', 
            P_ACTIVE => 'Y', 
            P_SEQ => 1, 
            P_RULE_MIN => null, 
            P_RULE_MAX => null, 
            P_INITIATOR_EVAL => 'ALL', 
            P_CONDITION_EVAL => 'ALL', 
            P_PREREQUISITE_EVAL => 'ALL', 
            P_ACTION_PAGE => null, 
            P_EVENT_CODE => 'NOTE_EDITED');
V_RULES(V_RULES.LAST) := V_RULE0_SID;
V_RULE_COMPONENTS.EXTEND;
V_RULE0_COMPONENT_SID:=ACM_MDE3.Import_Rule_Initiator(P_RULE_SID => V_RULE0_SID,
            P_INITIATOR_CODE => 'HAS_PRIV', 
            P_PRIVILEGE_CODE => 'FILE.TIRA.SAVE');
V_RULE_COMPONENTS(V_RULE_COMPONENTS.LAST) := V_RULE0_COMPONENT_SID;
ACM_MDE3.DELETE_RULE_COMPONENTS(P_RULE_SID => V_RULE0_SID, P_EXCEPT_FOR_THESE => V_RULE_COMPONENTS);
-------------------------------------------------------------------
exception
    when OTHERS then
        raise;
end;
/



set scan off
declare
  V_OBJ_TYPE_CODE                   VARCHAR2(300);
  V_RULE0_SID                       T_ACM_RULE.SID%TYPE; -- RULE CHOSEN FOR EXPORT
  V_RULE0_COMPONENT_SID             T_ACM_RULE.SID%TYPE; -- RULE CHOSEN FOR EXPORT
  V_RULES                           T_NUM_ARRAY := T_NUM_ARRAY(); -- 
  V_RULE_COMPONENTS                 T_NUM_ARRAY := T_NUM_ARRAY(); -- 
begin
V_OBJ_TYPE_CODE := 'FILE.TIRA';
V_RULES.EXTEND;
V_RULE0_SID:=ACM_MDE3.Import_Rule(P_OBJ_TYPE_CODE => V_OBJ_TYPE_CODE, 
            P_RULE_TYPE => 'PRE', 
            P_STATUS_CODE => null, 
            P_DISPLAY => 'Change Owning Unit', 
            P_ACTIVE => 'Y', 
            P_SEQ => 1, 
            P_RULE_MIN => null, 
            P_RULE_MAX => null, 
            P_INITIATOR_EVAL => 'ALL', 
            P_CONDITION_EVAL => 'ALL', 
            P_PREREQUISITE_EVAL => 'ALL', 
            P_ACTION_PAGE => null, 
            P_EVENT_CODE => 'OWNING_UNIT_CHANGED');
V_RULES(V_RULES.LAST) := V_RULE0_SID;
V_RULE_COMPONENTS.EXTEND;
V_RULE0_COMPONENT_SID:=ACM_MDE3.Import_Rule_Initiator(P_RULE_SID => V_RULE0_SID,
            P_INITIATOR_CODE => 'NO_ONE', 
            P_PRIVILEGE_CODE => null);
V_RULE_COMPONENTS(V_RULE_COMPONENTS.LAST) := V_RULE0_COMPONENT_SID;
V_RULE_COMPONENTS.EXTEND;
V_RULE0_COMPONENT_SID:=ACM_MDE3.Import_Rule_Initiator(P_RULE_SID => V_RULE0_SID,
            P_INITIATOR_CODE => 'IS_DEFAULT_DATA_GROUP', 
            P_PRIVILEGE_CODE => null);
V_RULE_COMPONENTS(V_RULE_COMPONENTS.LAST) := V_RULE0_COMPONENT_SID;
V_RULE_COMPONENTS.EXTEND;
V_RULE0_COMPONENT_SID:=ACM_MDE3.Import_Rule_Initiator(P_RULE_SID => V_RULE0_SID,
            P_INITIATOR_CODE => 'HAS_PRIV', 
            P_PRIVILEGE_CODE => 'FILE.TIRA.CHANGE_UNIT_OWNER');
V_RULE_COMPONENTS(V_RULE_COMPONENTS.LAST) := V_RULE0_COMPONENT_SID;
V_RULE_COMPONENTS.EXTEND;
V_RULE0_COMPONENT_SID:=ACM_MDE3.Import_Rule_Condition(P_RULE_SID => V_RULE0_SID,
            P_CONDITION_CODE => 'IS_NOT_CLOSED',
            P_REGION_ID => null);
V_RULE_COMPONENTS(V_RULE_COMPONENTS.LAST) := V_RULE0_COMPONENT_SID;
ACM_MDE3.DELETE_RULE_COMPONENTS(P_RULE_SID => V_RULE0_SID, P_EXCEPT_FOR_THESE => V_RULE_COMPONENTS);
-------------------------------------------------------------------
exception
    when OTHERS then
        raise;
end;
/



set scan off
declare
  V_OBJ_TYPE_CODE                   VARCHAR2(300);
  V_RULE0_SID                       T_ACM_RULE.SID%TYPE; -- RULE CHOSEN FOR EXPORT
  V_RULE0_COMPONENT_SID             T_ACM_RULE.SID%TYPE; -- RULE CHOSEN FOR EXPORT
  V_RULES                           T_NUM_ARRAY := T_NUM_ARRAY(); -- 
  V_RULE_COMPONENTS                 T_NUM_ARRAY := T_NUM_ARRAY(); -- 
begin
V_OBJ_TYPE_CODE := 'FILE.TIRA';
V_RULES.EXTEND;
V_RULE0_SID:=ACM_MDE3.Import_Rule(P_OBJ_TYPE_CODE => V_OBJ_TYPE_CODE, 
            P_RULE_TYPE => 'PRE', 
            P_STATUS_CODE => null, 
            P_DISPLAY => 'Add Participant to Activity', 
            P_ACTIVE => 'Y', 
            P_SEQ => 1, 
            P_RULE_MIN => null, 
            P_RULE_MAX => null, 
            P_INITIATOR_EVAL => 'ALL', 
            P_CONDITION_EVAL => 'ALL', 
            P_PREREQUISITE_EVAL => 'ALL', 
            P_ACTION_PAGE => null, 
            P_EVENT_CODE => 'PARTIC_INVOLV_ADDED');
V_RULES(V_RULES.LAST) := V_RULE0_SID;
V_RULE_COMPONENTS.EXTEND;
V_RULE0_COMPONENT_SID:=ACM_MDE3.Import_Rule_Initiator(P_RULE_SID => V_RULE0_SID,
            P_INITIATOR_CODE => 'IS_DEFAULT_DATA_GROUP', 
            P_PRIVILEGE_CODE => null);
V_RULE_COMPONENTS(V_RULE_COMPONENTS.LAST) := V_RULE0_COMPONENT_SID;
V_RULE_COMPONENTS.EXTEND;
V_RULE0_COMPONENT_SID:=ACM_MDE3.Import_Rule_Initiator(P_RULE_SID => V_RULE0_SID,
            P_INITIATOR_CODE => 'HAS_PRIV', 
            P_PRIVILEGE_CODE => 'FILE.TIRA.SAVE');
V_RULE_COMPONENTS(V_RULE_COMPONENTS.LAST) := V_RULE0_COMPONENT_SID;
V_RULE_COMPONENTS.EXTEND;
V_RULE0_COMPONENT_SID:=ACM_MDE3.Import_Rule_Condition(P_RULE_SID => V_RULE0_SID,
            P_CONDITION_CODE => 'IS_NOT_CLOSED',
            P_REGION_ID => null);
V_RULE_COMPONENTS(V_RULE_COMPONENTS.LAST) := V_RULE0_COMPONENT_SID;
ACM_MDE3.DELETE_RULE_COMPONENTS(P_RULE_SID => V_RULE0_SID, P_EXCEPT_FOR_THESE => V_RULE_COMPONENTS);
-------------------------------------------------------------------
exception
    when OTHERS then
        raise;
end;
/



set scan off
declare
  V_OBJ_TYPE_CODE                   VARCHAR2(300);
  V_RULE0_SID                       T_ACM_RULE.SID%TYPE; -- RULE CHOSEN FOR EXPORT
  V_RULE0_COMPONENT_SID             T_ACM_RULE.SID%TYPE; -- RULE CHOSEN FOR EXPORT
  V_RULES                           T_NUM_ARRAY := T_NUM_ARRAY(); -- 
  V_RULE_COMPONENTS                 T_NUM_ARRAY := T_NUM_ARRAY(); -- 
begin
V_OBJ_TYPE_CODE := 'FILE.TIRA';
V_RULES.EXTEND;
V_RULE0_SID:=ACM_MDE3.Import_Rule(P_OBJ_TYPE_CODE => V_OBJ_TYPE_CODE, 
            P_RULE_TYPE => 'PRE', 
            P_STATUS_CODE => null, 
            P_DISPLAY => 'Edit Participant Involvement on Activity', 
            P_ACTIVE => 'Y', 
            P_SEQ => 1, 
            P_RULE_MIN => null, 
            P_RULE_MAX => null, 
            P_INITIATOR_EVAL => 'ALL', 
            P_CONDITION_EVAL => 'ALL', 
            P_PREREQUISITE_EVAL => 'ALL', 
            P_ACTION_PAGE => null, 
            P_EVENT_CODE => 'PARTIC_INVOLV_EDITED');
V_RULES(V_RULES.LAST) := V_RULE0_SID;
V_RULE_COMPONENTS.EXTEND;
V_RULE0_COMPONENT_SID:=ACM_MDE3.Import_Rule_Initiator(P_RULE_SID => V_RULE0_SID,
            P_INITIATOR_CODE => 'IS_DEFAULT_DATA_GROUP', 
            P_PRIVILEGE_CODE => null);
V_RULE_COMPONENTS(V_RULE_COMPONENTS.LAST) := V_RULE0_COMPONENT_SID;
V_RULE_COMPONENTS.EXTEND;
V_RULE0_COMPONENT_SID:=ACM_MDE3.Import_Rule_Initiator(P_RULE_SID => V_RULE0_SID,
            P_INITIATOR_CODE => 'HAS_PRIV', 
            P_PRIVILEGE_CODE => 'FILE.TIRA.SAVE');
V_RULE_COMPONENTS(V_RULE_COMPONENTS.LAST) := V_RULE0_COMPONENT_SID;
V_RULE_COMPONENTS.EXTEND;
V_RULE0_COMPONENT_SID:=ACM_MDE3.Import_Rule_Condition(P_RULE_SID => V_RULE0_SID,
            P_CONDITION_CODE => 'IS_NOT_CLOSED',
            P_REGION_ID => null);
V_RULE_COMPONENTS(V_RULE_COMPONENTS.LAST) := V_RULE0_COMPONENT_SID;
ACM_MDE3.DELETE_RULE_COMPONENTS(P_RULE_SID => V_RULE0_SID, P_EXCEPT_FOR_THESE => V_RULE_COMPONENTS);
-------------------------------------------------------------------
exception
    when OTHERS then
        raise;
end;
/



set scan off
declare
  V_OBJ_TYPE_CODE                   VARCHAR2(300);
  V_RULE0_SID                       T_ACM_RULE.SID%TYPE; -- RULE CHOSEN FOR EXPORT
  V_RULE0_COMPONENT_SID             T_ACM_RULE.SID%TYPE; -- RULE CHOSEN FOR EXPORT
  V_RULES                           T_NUM_ARRAY := T_NUM_ARRAY(); -- 
  V_RULE_COMPONENTS                 T_NUM_ARRAY := T_NUM_ARRAY(); -- 
begin
V_OBJ_TYPE_CODE := 'FILE.TIRA';
V_RULES.EXTEND;
V_RULE0_SID:=ACM_MDE3.Import_Rule(P_OBJ_TYPE_CODE => V_OBJ_TYPE_CODE, 
            P_RULE_TYPE => 'PRE', 
            P_STATUS_CODE => null, 
            P_DISPLAY => 'Add Personnel', 
            P_ACTIVE => 'Y', 
            P_SEQ => 1, 
            P_RULE_MIN => null, 
            P_RULE_MAX => null, 
            P_INITIATOR_EVAL => 'ALL', 
            P_CONDITION_EVAL => 'ALL', 
            P_PREREQUISITE_EVAL => 'ALL', 
            P_ACTION_PAGE => null, 
            P_EVENT_CODE => 'PERSONNEL_ADDED');
V_RULES(V_RULES.LAST) := V_RULE0_SID;
V_RULE_COMPONENTS.EXTEND;
V_RULE0_COMPONENT_SID:=ACM_MDE3.Import_Rule_Initiator(P_RULE_SID => V_RULE0_SID,
            P_INITIATOR_CODE => 'IS_DEFAULT_DATA_GROUP', 
            P_PRIVILEGE_CODE => null);
V_RULE_COMPONENTS(V_RULE_COMPONENTS.LAST) := V_RULE0_COMPONENT_SID;
V_RULE_COMPONENTS.EXTEND;
V_RULE0_COMPONENT_SID:=ACM_MDE3.Import_Rule_Initiator(P_RULE_SID => V_RULE0_SID,
            P_INITIATOR_CODE => 'HAS_PRIV', 
            P_PRIVILEGE_CODE => 'FILE.TIRA.SAVE');
V_RULE_COMPONENTS(V_RULE_COMPONENTS.LAST) := V_RULE0_COMPONENT_SID;
V_RULE_COMPONENTS.EXTEND;
V_RULE0_COMPONENT_SID:=ACM_MDE3.Import_Rule_Condition(P_RULE_SID => V_RULE0_SID,
            P_CONDITION_CODE => 'IS_NOT_CLOSED',
            P_REGION_ID => null);
V_RULE_COMPONENTS(V_RULE_COMPONENTS.LAST) := V_RULE0_COMPONENT_SID;
ACM_MDE3.DELETE_RULE_COMPONENTS(P_RULE_SID => V_RULE0_SID, P_EXCEPT_FOR_THESE => V_RULE_COMPONENTS);
-------------------------------------------------------------------
exception
    when OTHERS then
        raise;
end;
/



set scan off
declare
  V_OBJ_TYPE_CODE                   VARCHAR2(300);
  V_RULE0_SID                       T_ACM_RULE.SID%TYPE; -- RULE CHOSEN FOR EXPORT
  V_RULE0_COMPONENT_SID             T_ACM_RULE.SID%TYPE; -- RULE CHOSEN FOR EXPORT
  V_RULES                           T_NUM_ARRAY := T_NUM_ARRAY(); -- 
  V_RULE_COMPONENTS                 T_NUM_ARRAY := T_NUM_ARRAY(); -- 
begin
V_OBJ_TYPE_CODE := 'FILE.TIRA';
V_RULES.EXTEND;
V_RULE0_SID:=ACM_MDE3.Import_Rule(P_OBJ_TYPE_CODE => V_OBJ_TYPE_CODE, 
            P_RULE_TYPE => 'PRE', 
            P_STATUS_CODE => null, 
            P_DISPLAY => 'Check add referral', 
            P_ACTIVE => 'Y', 
            P_SEQ => 1, 
            P_RULE_MIN => null, 
            P_RULE_MAX => null, 
            P_INITIATOR_EVAL => 'ALL', 
            P_CONDITION_EVAL => 'ALL', 
            P_PREREQUISITE_EVAL => 'ALL', 
            P_ACTION_PAGE => null, 
            P_EVENT_CODE => 'REFERRAL_ADDED');
V_RULES(V_RULES.LAST) := V_RULE0_SID;
V_RULE_COMPONENTS.EXTEND;
V_RULE0_COMPONENT_SID:=ACM_MDE3.Import_Rule_Initiator(P_RULE_SID => V_RULE0_SID,
            P_INITIATOR_CODE => 'IS_DEFAULT_DATA_GROUP', 
            P_PRIVILEGE_CODE => null);
V_RULE_COMPONENTS(V_RULE_COMPONENTS.LAST) := V_RULE0_COMPONENT_SID;
V_RULE_COMPONENTS.EXTEND;
V_RULE0_COMPONENT_SID:=ACM_MDE3.Import_Rule_Initiator(P_RULE_SID => V_RULE0_SID,
            P_INITIATOR_CODE => 'HAS_PRIV', 
            P_PRIVILEGE_CODE => 'FILE.TIRA.SAVE');
V_RULE_COMPONENTS(V_RULE_COMPONENTS.LAST) := V_RULE0_COMPONENT_SID;
V_RULE_COMPONENTS.EXTEND;
V_RULE0_COMPONENT_SID:=ACM_MDE3.Import_Rule_Condition(P_RULE_SID => V_RULE0_SID,
            P_CONDITION_CODE => 'IS_NOT_CLOSED',
            P_REGION_ID => null);
V_RULE_COMPONENTS(V_RULE_COMPONENTS.LAST) := V_RULE0_COMPONENT_SID;
ACM_MDE3.DELETE_RULE_COMPONENTS(P_RULE_SID => V_RULE0_SID, P_EXCEPT_FOR_THESE => V_RULE_COMPONENTS);
-------------------------------------------------------------------
exception
    when OTHERS then
        raise;
end;
/



set scan off
declare
  V_OBJ_TYPE_CODE                   VARCHAR2(300);
  V_RULE0_SID                       T_ACM_RULE.SID%TYPE; -- RULE CHOSEN FOR EXPORT
  V_RULE0_COMPONENT_SID             T_ACM_RULE.SID%TYPE; -- RULE CHOSEN FOR EXPORT
  V_RULES                           T_NUM_ARRAY := T_NUM_ARRAY(); -- 
  V_RULE_COMPONENTS                 T_NUM_ARRAY := T_NUM_ARRAY(); -- 
begin
V_OBJ_TYPE_CODE := 'FILE.TIRA';
V_RULES.EXTEND;
V_RULE0_SID:=ACM_MDE3.Import_Rule(P_OBJ_TYPE_CODE => V_OBJ_TYPE_CODE, 
            P_RULE_TYPE => 'PRE', 
            P_STATUS_CODE => null, 
            P_DISPLAY => 'Check delete referral', 
            P_ACTIVE => 'Y', 
            P_SEQ => 1, 
            P_RULE_MIN => null, 
            P_RULE_MAX => null, 
            P_INITIATOR_EVAL => 'ALL', 
            P_CONDITION_EVAL => 'ALL', 
            P_PREREQUISITE_EVAL => 'ALL', 
            P_ACTION_PAGE => null, 
            P_EVENT_CODE => 'REFERRAL_DELETED');
V_RULES(V_RULES.LAST) := V_RULE0_SID;
V_RULE_COMPONENTS.EXTEND;
V_RULE0_COMPONENT_SID:=ACM_MDE3.Import_Rule_Initiator(P_RULE_SID => V_RULE0_SID,
            P_INITIATOR_CODE => 'IS_DEFAULT_DATA_GROUP', 
            P_PRIVILEGE_CODE => null);
V_RULE_COMPONENTS(V_RULE_COMPONENTS.LAST) := V_RULE0_COMPONENT_SID;
V_RULE_COMPONENTS.EXTEND;
V_RULE0_COMPONENT_SID:=ACM_MDE3.Import_Rule_Initiator(P_RULE_SID => V_RULE0_SID,
            P_INITIATOR_CODE => 'HAS_PRIV', 
            P_PRIVILEGE_CODE => 'FILE.TIRA.SAVE');
V_RULE_COMPONENTS(V_RULE_COMPONENTS.LAST) := V_RULE0_COMPONENT_SID;
V_RULE_COMPONENTS.EXTEND;
V_RULE0_COMPONENT_SID:=ACM_MDE3.Import_Rule_Condition(P_RULE_SID => V_RULE0_SID,
            P_CONDITION_CODE => 'IS_NOT_CLOSED',
            P_REGION_ID => null);
V_RULE_COMPONENTS(V_RULE_COMPONENTS.LAST) := V_RULE0_COMPONENT_SID;
ACM_MDE3.DELETE_RULE_COMPONENTS(P_RULE_SID => V_RULE0_SID, P_EXCEPT_FOR_THESE => V_RULE_COMPONENTS);
-------------------------------------------------------------------
exception
    when OTHERS then
        raise;
end;
/



set scan off
declare
  V_OBJ_TYPE_CODE                   VARCHAR2(300);
  V_RULE0_SID                       T_ACM_RULE.SID%TYPE; -- RULE CHOSEN FOR EXPORT
  V_RULE0_COMPONENT_SID             T_ACM_RULE.SID%TYPE; -- RULE CHOSEN FOR EXPORT
  V_RULES                           T_NUM_ARRAY := T_NUM_ARRAY(); -- 
  V_RULE_COMPONENTS                 T_NUM_ARRAY := T_NUM_ARRAY(); -- 
begin
V_OBJ_TYPE_CODE := 'FILE.TIRA';
V_RULES.EXTEND;
V_RULE0_SID:=ACM_MDE3.Import_Rule(P_OBJ_TYPE_CODE => V_OBJ_TYPE_CODE, 
            P_RULE_TYPE => 'PRE', 
            P_STATUS_CODE => null, 
            P_DISPLAY => 'Check edit referral', 
            P_ACTIVE => 'Y', 
            P_SEQ => 1, 
            P_RULE_MIN => null, 
            P_RULE_MAX => null, 
            P_INITIATOR_EVAL => 'ALL', 
            P_CONDITION_EVAL => 'ALL', 
            P_PREREQUISITE_EVAL => 'ALL', 
            P_ACTION_PAGE => null, 
            P_EVENT_CODE => 'REFERRAL_EDITED');
V_RULES(V_RULES.LAST) := V_RULE0_SID;
V_RULE_COMPONENTS.EXTEND;
V_RULE0_COMPONENT_SID:=ACM_MDE3.Import_Rule_Initiator(P_RULE_SID => V_RULE0_SID,
            P_INITIATOR_CODE => 'IS_DEFAULT_DATA_GROUP', 
            P_PRIVILEGE_CODE => null);
V_RULE_COMPONENTS(V_RULE_COMPONENTS.LAST) := V_RULE0_COMPONENT_SID;
V_RULE_COMPONENTS.EXTEND;
V_RULE0_COMPONENT_SID:=ACM_MDE3.Import_Rule_Initiator(P_RULE_SID => V_RULE0_SID,
            P_INITIATOR_CODE => 'HAS_PRIV', 
            P_PRIVILEGE_CODE => 'FILE.TIRA.SAVE');
V_RULE_COMPONENTS(V_RULE_COMPONENTS.LAST) := V_RULE0_COMPONENT_SID;
V_RULE_COMPONENTS.EXTEND;
V_RULE0_COMPONENT_SID:=ACM_MDE3.Import_Rule_Condition(P_RULE_SID => V_RULE0_SID,
            P_CONDITION_CODE => 'IS_NOT_CLOSED',
            P_REGION_ID => null);
V_RULE_COMPONENTS(V_RULE_COMPONENTS.LAST) := V_RULE0_COMPONENT_SID;
ACM_MDE3.DELETE_RULE_COMPONENTS(P_RULE_SID => V_RULE0_SID, P_EXCEPT_FOR_THESE => V_RULE_COMPONENTS);
-------------------------------------------------------------------
exception
    when OTHERS then
        raise;
end;
/



set scan off
declare
  V_OBJ_TYPE_CODE                   VARCHAR2(300);
  V_RULE0_SID                       T_ACM_RULE.SID%TYPE; -- RULE CHOSEN FOR EXPORT
  V_RULE0_COMPONENT_SID             T_ACM_RULE.SID%TYPE; -- RULE CHOSEN FOR EXPORT
  V_RULES                           T_NUM_ARRAY := T_NUM_ARRAY(); -- 
  V_RULE_COMPONENTS                 T_NUM_ARRAY := T_NUM_ARRAY(); -- 
begin
V_OBJ_TYPE_CODE := 'FILE.TIRA';
V_RULES.EXTEND;
V_RULE0_SID:=ACM_MDE3.Import_Rule(P_OBJ_TYPE_CODE => V_OBJ_TYPE_CODE, 
            P_RULE_TYPE => 'PRE', 
            P_STATUS_CODE => 'CLOSURE', 
            P_DISPLAY => 'Reject', 
            P_ACTIVE => 'Y', 
            P_SEQ => 1, 
            P_RULE_MIN => null, 
            P_RULE_MAX => null, 
            P_INITIATOR_EVAL => 'ALL', 
            P_CONDITION_EVAL => 'ALL', 
            P_PREREQUISITE_EVAL => 'ALL', 
            P_ACTION_PAGE => null, 
            P_EVENT_CODE => 'REJECTED');
V_RULES(V_RULES.LAST) := V_RULE0_SID;
V_RULE_COMPONENTS.EXTEND;
V_RULE0_COMPONENT_SID:=ACM_MDE3.Import_Rule_Initiator(P_RULE_SID => V_RULE0_SID,
            P_INITIATOR_CODE => 'IS_DEFAULT_DATA_GROUP', 
            P_PRIVILEGE_CODE => null);
V_RULE_COMPONENTS(V_RULE_COMPONENTS.LAST) := V_RULE0_COMPONENT_SID;
V_RULE_COMPONENTS.EXTEND;
V_RULE0_COMPONENT_SID:=ACM_MDE3.Import_Rule_Initiator(P_RULE_SID => V_RULE0_SID,
            P_INITIATOR_CODE => 'HAS_PRIV', 
            P_PRIVILEGE_CODE => 'FILE.TIRA.CLOSE');
V_RULE_COMPONENTS(V_RULE_COMPONENTS.LAST) := V_RULE0_COMPONENT_SID;
ACM_MDE3.DELETE_RULE_COMPONENTS(P_RULE_SID => V_RULE0_SID, P_EXCEPT_FOR_THESE => V_RULE_COMPONENTS);
-------------------------------------------------------------------
exception
    when OTHERS then
        raise;
end;
/



set scan off
declare
  V_OBJ_TYPE_CODE                   VARCHAR2(300);
  V_RULE0_SID                       T_ACM_RULE.SID%TYPE; -- RULE CHOSEN FOR EXPORT
  V_RULE0_COMPONENT_SID             T_ACM_RULE.SID%TYPE; -- RULE CHOSEN FOR EXPORT
  V_RULES                           T_NUM_ARRAY := T_NUM_ARRAY(); -- 
  V_RULE_COMPONENTS                 T_NUM_ARRAY := T_NUM_ARRAY(); -- 
begin
V_OBJ_TYPE_CODE := 'FILE.TIRA';
V_RULES.EXTEND;
V_RULE0_SID:=ACM_MDE3.Import_Rule(P_OBJ_TYPE_CODE => V_OBJ_TYPE_CODE, 
            P_RULE_TYPE => 'POST', 
            P_STATUS_CODE => 'CLOSURE', 
            P_DISPLAY => 'Reject', 
            P_ACTIVE => 'Y', 
            P_SEQ => 2, 
            P_RULE_MIN => null, 
            P_RULE_MAX => null, 
            P_INITIATOR_EVAL => 'ANY', 
            P_CONDITION_EVAL => 'ALL', 
            P_PREREQUISITE_EVAL => 'ALL', 
            P_ACTION_PAGE => 20, 
            P_EVENT_CODE => 'REJECTED');
V_RULES(V_RULES.LAST) := V_RULE0_SID;
V_RULE_COMPONENTS.EXTEND;
V_RULE0_COMPONENT_SID:=ACM_MDE3.Import_Rule_Process(P_RULE_SID => V_RULE0_SID,
            P_PROCESS_CODE => 'CHANGE_STATUS',
            P_SEQ => 1, 
            P_STATUS_CODE => 'OPEN', 
            P_NOTIF_TYPE_CODE => null);
V_RULE_COMPONENTS(V_RULE_COMPONENTS.LAST) := V_RULE0_COMPONENT_SID;
ACM_MDE3.DELETE_RULE_COMPONENTS(P_RULE_SID => V_RULE0_SID, P_EXCEPT_FOR_THESE => V_RULE_COMPONENTS);
-------------------------------------------------------------------
exception
    when OTHERS then
        raise;
end;
/



set scan off
declare
  V_OBJ_TYPE_CODE                   VARCHAR2(300);
  V_RULE0_SID                       T_ACM_RULE.SID%TYPE; -- RULE CHOSEN FOR EXPORT
  V_RULE0_COMPONENT_SID             T_ACM_RULE.SID%TYPE; -- RULE CHOSEN FOR EXPORT
  V_RULES                           T_NUM_ARRAY := T_NUM_ARRAY(); -- 
  V_RULE_COMPONENTS                 T_NUM_ARRAY := T_NUM_ARRAY(); -- 
begin
V_OBJ_TYPE_CODE := 'FILE.TIRA';
V_RULES.EXTEND;
V_RULE0_SID:=ACM_MDE3.Import_Rule(P_OBJ_TYPE_CODE => V_OBJ_TYPE_CODE, 
            P_RULE_TYPE => 'PRE', 
            P_STATUS_CODE => 'CLOSED', 
            P_DISPLAY => 'Reopen', 
            P_ACTIVE => 'Y', 
            P_SEQ => 1, 
            P_RULE_MIN => null, 
            P_RULE_MAX => null, 
            P_INITIATOR_EVAL => 'ALL', 
            P_CONDITION_EVAL => 'ALL', 
            P_PREREQUISITE_EVAL => 'ALL', 
            P_ACTION_PAGE => null, 
            P_EVENT_CODE => 'REOPENED');
V_RULES(V_RULES.LAST) := V_RULE0_SID;
V_RULE_COMPONENTS.EXTEND;
V_RULE0_COMPONENT_SID:=ACM_MDE3.Import_Rule_Initiator(P_RULE_SID => V_RULE0_SID,
            P_INITIATOR_CODE => 'IS_DEFAULT_DATA_GROUP', 
            P_PRIVILEGE_CODE => null);
V_RULE_COMPONENTS(V_RULE_COMPONENTS.LAST) := V_RULE0_COMPONENT_SID;
V_RULE_COMPONENTS.EXTEND;
V_RULE0_COMPONENT_SID:=ACM_MDE3.Import_Rule_Initiator(P_RULE_SID => V_RULE0_SID,
            P_INITIATOR_CODE => 'HAS_PRIV', 
            P_PRIVILEGE_CODE => 'FILE.TIRA.CLOSE');
V_RULE_COMPONENTS(V_RULE_COMPONENTS.LAST) := V_RULE0_COMPONENT_SID;
ACM_MDE3.DELETE_RULE_COMPONENTS(P_RULE_SID => V_RULE0_SID, P_EXCEPT_FOR_THESE => V_RULE_COMPONENTS);
-------------------------------------------------------------------
exception
    when OTHERS then
        raise;
end;
/



set scan off
declare
  V_OBJ_TYPE_CODE                   VARCHAR2(300);
  V_RULE0_SID                       T_ACM_RULE.SID%TYPE; -- RULE CHOSEN FOR EXPORT
  V_RULE0_COMPONENT_SID             T_ACM_RULE.SID%TYPE; -- RULE CHOSEN FOR EXPORT
  V_RULES                           T_NUM_ARRAY := T_NUM_ARRAY(); -- 
  V_RULE_COMPONENTS                 T_NUM_ARRAY := T_NUM_ARRAY(); -- 
begin
V_OBJ_TYPE_CODE := 'FILE.TIRA';
V_RULES.EXTEND;
V_RULE0_SID:=ACM_MDE3.Import_Rule(P_OBJ_TYPE_CODE => V_OBJ_TYPE_CODE, 
            P_RULE_TYPE => 'POST', 
            P_STATUS_CODE => 'CLOSED', 
            P_DISPLAY => 'Reopen', 
            P_ACTIVE => 'Y', 
            P_SEQ => 1, 
            P_RULE_MIN => null, 
            P_RULE_MAX => null, 
            P_INITIATOR_EVAL => 'ALL', 
            P_CONDITION_EVAL => 'ALL', 
            P_PREREQUISITE_EVAL => 'ALL', 
            P_ACTION_PAGE => 20, 
            P_EVENT_CODE => 'REOPENED');
V_RULES(V_RULES.LAST) := V_RULE0_SID;
V_RULE_COMPONENTS.EXTEND;
V_RULE0_COMPONENT_SID:=ACM_MDE3.Import_Rule_Process(P_RULE_SID => V_RULE0_SID,
            P_PROCESS_CODE => 'CHANGE_STATUS',
            P_SEQ => 1, 
            P_STATUS_CODE => 'OPEN', 
            P_NOTIF_TYPE_CODE => null);
V_RULE_COMPONENTS(V_RULE_COMPONENTS.LAST) := V_RULE0_COMPONENT_SID;
ACM_MDE3.DELETE_RULE_COMPONENTS(P_RULE_SID => V_RULE0_SID, P_EXCEPT_FOR_THESE => V_RULE_COMPONENTS);
-------------------------------------------------------------------
exception
    when OTHERS then
        raise;
end;
/



set scan off
declare
  V_OBJ_TYPE_CODE                   VARCHAR2(300);
  V_RULE0_SID                       T_ACM_RULE.SID%TYPE; -- RULE CHOSEN FOR EXPORT
  V_RULE0_COMPONENT_SID             T_ACM_RULE.SID%TYPE; -- RULE CHOSEN FOR EXPORT
  V_RULES                           T_NUM_ARRAY := T_NUM_ARRAY(); -- 
  V_RULE_COMPONENTS                 T_NUM_ARRAY := T_NUM_ARRAY(); -- 
begin
V_OBJ_TYPE_CODE := 'FILE.TIRA';
V_RULES.EXTEND;
V_RULE0_SID:=ACM_MDE3.Import_Rule(P_OBJ_TYPE_CODE => V_OBJ_TYPE_CODE, 
            P_RULE_TYPE => 'PRE', 
            P_STATUS_CODE => null, 
            P_DISPLAY => 'Save File', 
            P_ACTIVE => 'Y', 
            P_SEQ => 1, 
            P_RULE_MIN => null, 
            P_RULE_MAX => null, 
            P_INITIATOR_EVAL => 'ALL', 
            P_CONDITION_EVAL => 'ALL', 
            P_PREREQUISITE_EVAL => 'ALL', 
            P_ACTION_PAGE => null, 
            P_EVENT_CODE => 'SAVED');
V_RULES(V_RULES.LAST) := V_RULE0_SID;
V_RULE_COMPONENTS.EXTEND;
V_RULE0_COMPONENT_SID:=ACM_MDE3.Import_Rule_Initiator(P_RULE_SID => V_RULE0_SID,
            P_INITIATOR_CODE => 'IS_DEFAULT_DATA_GROUP', 
            P_PRIVILEGE_CODE => null);
V_RULE_COMPONENTS(V_RULE_COMPONENTS.LAST) := V_RULE0_COMPONENT_SID;
V_RULE_COMPONENTS.EXTEND;
V_RULE0_COMPONENT_SID:=ACM_MDE3.Import_Rule_Initiator(P_RULE_SID => V_RULE0_SID,
            P_INITIATOR_CODE => 'HAS_PRIV', 
            P_PRIVILEGE_CODE => 'FILE.TIRA.SAVE');
V_RULE_COMPONENTS(V_RULE_COMPONENTS.LAST) := V_RULE0_COMPONENT_SID;
V_RULE_COMPONENTS.EXTEND;
V_RULE0_COMPONENT_SID:=ACM_MDE3.Import_Rule_Condition(P_RULE_SID => V_RULE0_SID,
            P_CONDITION_CODE => 'IS_NOT_CLOSED',
            P_REGION_ID => null);
V_RULE_COMPONENTS(V_RULE_COMPONENTS.LAST) := V_RULE0_COMPONENT_SID;
ACM_MDE3.DELETE_RULE_COMPONENTS(P_RULE_SID => V_RULE0_SID, P_EXCEPT_FOR_THESE => V_RULE_COMPONENTS);
-------------------------------------------------------------------
exception
    when OTHERS then
        raise;
end;
/



set scan off
declare
  V_OBJ_TYPE_CODE                   VARCHAR2(300);
  V_RULE0_SID                       T_ACM_RULE.SID%TYPE; -- RULE CHOSEN FOR EXPORT
  V_RULE0_COMPONENT_SID             T_ACM_RULE.SID%TYPE; -- RULE CHOSEN FOR EXPORT
  V_RULES                           T_NUM_ARRAY := T_NUM_ARRAY(); -- 
  V_RULE_COMPONENTS                 T_NUM_ARRAY := T_NUM_ARRAY(); -- 
begin
V_OBJ_TYPE_CODE := 'FILE.TIRA';
V_RULES.EXTEND;
V_RULE0_SID:=ACM_MDE3.Import_Rule(P_OBJ_TYPE_CODE => V_OBJ_TYPE_CODE, 
            P_RULE_TYPE => 'PRE', 
            P_STATUS_CODE => null, 
            P_DISPLAY => 'Add Stakeholder', 
            P_ACTIVE => 'Y', 
            P_SEQ => 1, 
            P_RULE_MIN => null, 
            P_RULE_MAX => null, 
            P_INITIATOR_EVAL => 'ALL', 
            P_CONDITION_EVAL => 'ALL', 
            P_PREREQUISITE_EVAL => 'ALL', 
            P_ACTION_PAGE => null, 
            P_EVENT_CODE => 'STAKEHOLDER_ADDED');
V_RULES(V_RULES.LAST) := V_RULE0_SID;
V_RULE_COMPONENTS.EXTEND;
V_RULE0_COMPONENT_SID:=ACM_MDE3.Import_Rule_Initiator(P_RULE_SID => V_RULE0_SID,
            P_INITIATOR_CODE => 'IS_DEFAULT_DATA_GROUP', 
            P_PRIVILEGE_CODE => null);
V_RULE_COMPONENTS(V_RULE_COMPONENTS.LAST) := V_RULE0_COMPONENT_SID;
V_RULE_COMPONENTS.EXTEND;
V_RULE0_COMPONENT_SID:=ACM_MDE3.Import_Rule_Initiator(P_RULE_SID => V_RULE0_SID,
            P_INITIATOR_CODE => 'HAS_PRIV', 
            P_PRIVILEGE_CODE => 'FILE.TIRA.SAVE');
V_RULE_COMPONENTS(V_RULE_COMPONENTS.LAST) := V_RULE0_COMPONENT_SID;
V_RULE_COMPONENTS.EXTEND;
V_RULE0_COMPONENT_SID:=ACM_MDE3.Import_Rule_Condition(P_RULE_SID => V_RULE0_SID,
            P_CONDITION_CODE => 'IS_NOT_CLOSED',
            P_REGION_ID => null);
V_RULE_COMPONENTS(V_RULE_COMPONENTS.LAST) := V_RULE0_COMPONENT_SID;
ACM_MDE3.DELETE_RULE_COMPONENTS(P_RULE_SID => V_RULE0_SID, P_EXCEPT_FOR_THESE => V_RULE_COMPONENTS);
-------------------------------------------------------------------
exception
    when OTHERS then
        raise;
end;
/



set scan off
declare
  V_OBJ_TYPE_CODE                   VARCHAR2(300);
  V_RULE0_SID                       T_ACM_RULE.SID%TYPE; -- RULE CHOSEN FOR EXPORT
  V_RULE0_COMPONENT_SID             T_ACM_RULE.SID%TYPE; -- RULE CHOSEN FOR EXPORT
  V_RULES                           T_NUM_ARRAY := T_NUM_ARRAY(); -- 
  V_RULE_COMPONENTS                 T_NUM_ARRAY := T_NUM_ARRAY(); -- 
begin
V_OBJ_TYPE_CODE := 'FILE.TIRA';
V_RULES.EXTEND;
V_RULE0_SID:=ACM_MDE3.Import_Rule(P_OBJ_TYPE_CODE => V_OBJ_TYPE_CODE, 
            P_RULE_TYPE => 'POST', 
            P_STATUS_CODE => null, 
            P_DISPLAY => 'Stakeholder Added to File', 
            P_ACTIVE => 'Y', 
            P_SEQ => 99, 
            P_RULE_MIN => null, 
            P_RULE_MAX => null, 
            P_INITIATOR_EVAL => 'ALL', 
            P_CONDITION_EVAL => 'ALL', 
            P_PREREQUISITE_EVAL => 'ALL', 
            P_ACTION_PAGE => null, 
            P_EVENT_CODE => 'STAKEHOLDER_ADDED');
V_RULES(V_RULES.LAST) := V_RULE0_SID;
V_RULE_COMPONENTS.EXTEND;
V_RULE0_COMPONENT_SID:=ACM_MDE3.Import_Rule_Process(P_RULE_SID => V_RULE0_SID,
            P_PROCESS_CODE => 'NOTIFY_IOBJ',
            P_SEQ => 1, 
            P_STATUS_CODE => null, 
            P_NOTIF_TYPE_CODE => 'SELF.STAKE.ADDED');
V_RULE_COMPONENTS(V_RULE_COMPONENTS.LAST) := V_RULE0_COMPONENT_SID;
ACM_MDE3.DELETE_RULE_COMPONENTS(P_RULE_SID => V_RULE0_SID, P_EXCEPT_FOR_THESE => V_RULE_COMPONENTS);
-------------------------------------------------------------------
exception
    when OTHERS then
        raise;
end;
/



set scan off
declare
  V_OBJ_TYPE_CODE                   VARCHAR2(300);
  V_RULE0_SID                       T_ACM_RULE.SID%TYPE; -- RULE CHOSEN FOR EXPORT
  V_RULE0_COMPONENT_SID             T_ACM_RULE.SID%TYPE; -- RULE CHOSEN FOR EXPORT
  V_RULES                           T_NUM_ARRAY := T_NUM_ARRAY(); -- 
  V_RULE_COMPONENTS                 T_NUM_ARRAY := T_NUM_ARRAY(); -- 
begin
V_OBJ_TYPE_CODE := 'FILE.TIRA';
V_RULES.EXTEND;
V_RULE0_SID:=ACM_MDE3.Import_Rule(P_OBJ_TYPE_CODE => V_OBJ_TYPE_CODE, 
            P_RULE_TYPE => 'PRE', 
            P_STATUS_CODE => 'NEW', 
            P_DISPLAY => 'Submit for Approval', 
            P_ACTIVE => 'Y', 
            P_SEQ => 1, 
            P_RULE_MIN => null, 
            P_RULE_MAX => null, 
            P_INITIATOR_EVAL => 'ALL', 
            P_CONDITION_EVAL => 'ALL', 
            P_PREREQUISITE_EVAL => 'ALL', 
            P_ACTION_PAGE => null, 
            P_EVENT_CODE => 'SUBMITTED');
V_RULES(V_RULES.LAST) := V_RULE0_SID;
V_RULE_COMPONENTS.EXTEND;
V_RULE0_COMPONENT_SID:=ACM_MDE3.Import_Rule_Initiator(P_RULE_SID => V_RULE0_SID,
            P_INITIATOR_CODE => 'IS_DEFAULT_DATA_GROUP', 
            P_PRIVILEGE_CODE => null);
V_RULE_COMPONENTS(V_RULE_COMPONENTS.LAST) := V_RULE0_COMPONENT_SID;
V_RULE_COMPONENTS.EXTEND;
V_RULE0_COMPONENT_SID:=ACM_MDE3.Import_Rule_Initiator(P_RULE_SID => V_RULE0_SID,
            P_INITIATOR_CODE => 'HAS_PRIV', 
            P_PRIVILEGE_CODE => 'FILE.TIRA.SAVE');
V_RULE_COMPONENTS(V_RULE_COMPONENTS.LAST) := V_RULE0_COMPONENT_SID;
V_RULE_COMPONENTS.EXTEND;
V_RULE0_COMPONENT_SID:=ACM_MDE3.Import_Rule_Condition(P_RULE_SID => V_RULE0_SID,
            P_CONDITION_CODE => 'ASSOC_ACT_EXISTS',
            P_REGION_ID => 'R2090_ASSOCIATED_ACTIVITIES');
V_RULE_COMPONENTS(V_RULE_COMPONENTS.LAST) := V_RULE0_COMPONENT_SID;
V_RULE_COMPONENTS.EXTEND;
V_RULE0_COMPONENT_SID:=ACM_MDE3.Import_Rule_Condition(P_RULE_SID => V_RULE0_SID,
            P_CONDITION_CODE => 'HAS_SUBJECT',
            P_REGION_ID => 'R2090_PARTICIPANTS');
V_RULE_COMPONENTS(V_RULE_COMPONENTS.LAST) := V_RULE0_COMPONENT_SID;
V_RULE_COMPONENTS.EXTEND;
V_RULE0_COMPONENT_SID:=ACM_MDE3.Import_Rule_Condition(P_RULE_SID => V_RULE0_SID,
            P_CONDITION_CODE => 'CIRA_HAS_SUM_NARR',
            P_REGION_ID => 'R2090_NARRATIVES');
V_RULE_COMPONENTS(V_RULE_COMPONENTS.LAST) := V_RULE0_COMPONENT_SID;
V_RULE_COMPONENTS.EXTEND;
V_RULE0_COMPONENT_SID:=ACM_MDE3.Import_Rule_Condition(P_RULE_SID => V_RULE0_SID,
            P_CONDITION_CODE => 'HAS_COMPONENT',
            P_REGION_ID => 'R2320_TREASURY_BUREAU');
V_RULE_COMPONENTS(V_RULE_COMPONENTS.LAST) := V_RULE0_COMPONENT_SID;
ACM_MDE3.DELETE_RULE_COMPONENTS(P_RULE_SID => V_RULE0_SID, P_EXCEPT_FOR_THESE => V_RULE_COMPONENTS);
-------------------------------------------------------------------
exception
    when OTHERS then
        raise;
end;
/



set scan off
declare
  V_OBJ_TYPE_CODE                   VARCHAR2(300);
  V_RULE0_SID                       T_ACM_RULE.SID%TYPE; -- RULE CHOSEN FOR EXPORT
  V_RULE0_COMPONENT_SID             T_ACM_RULE.SID%TYPE; -- RULE CHOSEN FOR EXPORT
  V_RULES                           T_NUM_ARRAY := T_NUM_ARRAY(); -- 
  V_RULE_COMPONENTS                 T_NUM_ARRAY := T_NUM_ARRAY(); -- 
begin
V_OBJ_TYPE_CODE := 'FILE.TIRA';
V_RULES.EXTEND;
V_RULE0_SID:=ACM_MDE3.Import_Rule(P_OBJ_TYPE_CODE => V_OBJ_TYPE_CODE, 
            P_RULE_TYPE => 'POST', 
            P_STATUS_CODE => 'NEW', 
            P_DISPLAY => 'Submit for Approval', 
            P_ACTIVE => 'Y', 
            P_SEQ => 1, 
            P_RULE_MIN => 1, 
            P_RULE_MAX => null, 
            P_INITIATOR_EVAL => 'ALL', 
            P_CONDITION_EVAL => 'ALL', 
            P_PREREQUISITE_EVAL => 'ALL', 
            P_ACTION_PAGE => 20, 
            P_EVENT_CODE => 'SUBMITTED');
V_RULES(V_RULES.LAST) := V_RULE0_SID;
V_RULE_COMPONENTS.EXTEND;
V_RULE0_COMPONENT_SID:=ACM_MDE3.Import_Rule_Process(P_RULE_SID => V_RULE0_SID,
            P_PROCESS_CODE => 'CHANGE_STATUS',
            P_SEQ => 1, 
            P_STATUS_CODE => 'APPROVAL', 
            P_NOTIF_TYPE_CODE => null);
V_RULE_COMPONENTS(V_RULE_COMPONENTS.LAST) := V_RULE0_COMPONENT_SID;
ACM_MDE3.DELETE_RULE_COMPONENTS(P_RULE_SID => V_RULE0_SID, P_EXCEPT_FOR_THESE => V_RULE_COMPONENTS);
-------------------------------------------------------------------
exception
    when OTHERS then
        raise;
end;
/



set scan off
declare
  V_OBJ_TYPE_CODE                   VARCHAR2(300);
  V_RULE0_SID                       T_ACM_RULE.SID%TYPE; -- RULE CHOSEN FOR EXPORT
  V_RULE0_COMPONENT_SID             T_ACM_RULE.SID%TYPE; -- RULE CHOSEN FOR EXPORT
  V_RULES                           T_NUM_ARRAY := T_NUM_ARRAY(); -- 
  V_RULE_COMPONENTS                 T_NUM_ARRAY := T_NUM_ARRAY(); -- 
begin
V_OBJ_TYPE_CODE := 'FILE.TIRA';
V_RULES.EXTEND;
V_RULE0_SID:=ACM_MDE3.Import_Rule(P_OBJ_TYPE_CODE => V_OBJ_TYPE_CODE, 
            P_RULE_TYPE => 'PRE', 
            P_STATUS_CODE => 'OPEN', 
            P_DISPLAY => 'Submit for Closure', 
            P_ACTIVE => 'Y', 
            P_SEQ => 1, 
            P_RULE_MIN => null, 
            P_RULE_MAX => null, 
            P_INITIATOR_EVAL => 'ALL', 
            P_CONDITION_EVAL => 'ALL', 
            P_PREREQUISITE_EVAL => 'ALL', 
            P_ACTION_PAGE => null, 
            P_EVENT_CODE => 'SUBMITTED');
V_RULES(V_RULES.LAST) := V_RULE0_SID;
V_RULE_COMPONENTS.EXTEND;
V_RULE0_COMPONENT_SID:=ACM_MDE3.Import_Rule_Initiator(P_RULE_SID => V_RULE0_SID,
            P_INITIATOR_CODE => 'IS_DEFAULT_DATA_GROUP', 
            P_PRIVILEGE_CODE => null);
V_RULE_COMPONENTS(V_RULE_COMPONENTS.LAST) := V_RULE0_COMPONENT_SID;
V_RULE_COMPONENTS.EXTEND;
V_RULE0_COMPONENT_SID:=ACM_MDE3.Import_Rule_Initiator(P_RULE_SID => V_RULE0_SID,
            P_INITIATOR_CODE => 'HAS_PRIV', 
            P_PRIVILEGE_CODE => 'FILE.TIRA.SAVE');
V_RULE_COMPONENTS(V_RULE_COMPONENTS.LAST) := V_RULE0_COMPONENT_SID;
V_RULE_COMPONENTS.EXTEND;
V_RULE0_COMPONENT_SID:=ACM_MDE3.Import_Rule_Condition(P_RULE_SID => V_RULE0_SID,
            P_CONDITION_CODE => 'CIRA_HAS_SUM_NARR',
            P_REGION_ID => 'R2090_NARRATIVES');
V_RULE_COMPONENTS(V_RULE_COMPONENTS.LAST) := V_RULE0_COMPONENT_SID;
V_RULE_COMPONENTS.EXTEND;
V_RULE0_COMPONENT_SID:=ACM_MDE3.Import_Rule_Condition(P_RULE_SID => V_RULE0_SID,
            P_CONDITION_CODE => 'HAS_SUBJECT',
            P_REGION_ID => 'R2090_PARTICIPANTS');
V_RULE_COMPONENTS(V_RULE_COMPONENTS.LAST) := V_RULE0_COMPONENT_SID;
V_RULE_COMPONENTS.EXTEND;
V_RULE0_COMPONENT_SID:=ACM_MDE3.Import_Rule_Condition(P_RULE_SID => V_RULE0_SID,
            P_CONDITION_CODE => 'ASSOC_ACT_EXISTS',
            P_REGION_ID => 'R2090_ASSOCIATED_ACTIVITIES');
V_RULE_COMPONENTS(V_RULE_COMPONENTS.LAST) := V_RULE0_COMPONENT_SID;
V_RULE_COMPONENTS.EXTEND;
V_RULE0_COMPONENT_SID:=ACM_MDE3.Import_Rule_Condition(P_RULE_SID => V_RULE0_SID,
            P_CONDITION_CODE => 'HAS_COMPONENT',
            P_REGION_ID => 'R2320_TREASURY_BUREAU');
V_RULE_COMPONENTS(V_RULE_COMPONENTS.LAST) := V_RULE0_COMPONENT_SID;
ACM_MDE3.DELETE_RULE_COMPONENTS(P_RULE_SID => V_RULE0_SID, P_EXCEPT_FOR_THESE => V_RULE_COMPONENTS);
-------------------------------------------------------------------
exception
    when OTHERS then
        raise;
end;
/



set scan off
declare
  V_OBJ_TYPE_CODE                   VARCHAR2(300);
  V_RULE0_SID                       T_ACM_RULE.SID%TYPE; -- RULE CHOSEN FOR EXPORT
  V_RULE0_COMPONENT_SID             T_ACM_RULE.SID%TYPE; -- RULE CHOSEN FOR EXPORT
  V_RULES                           T_NUM_ARRAY := T_NUM_ARRAY(); -- 
  V_RULE_COMPONENTS                 T_NUM_ARRAY := T_NUM_ARRAY(); -- 
begin
V_OBJ_TYPE_CODE := 'FILE.TIRA';
V_RULES.EXTEND;
V_RULE0_SID:=ACM_MDE3.Import_Rule(P_OBJ_TYPE_CODE => V_OBJ_TYPE_CODE, 
            P_RULE_TYPE => 'POST', 
            P_STATUS_CODE => 'OPEN', 
            P_DISPLAY => 'Submit for Closure', 
            P_ACTIVE => 'Y', 
            P_SEQ => 1, 
            P_RULE_MIN => 1, 
            P_RULE_MAX => null, 
            P_INITIATOR_EVAL => 'ALL', 
            P_CONDITION_EVAL => 'ALL', 
            P_PREREQUISITE_EVAL => 'ALL', 
            P_ACTION_PAGE => 20, 
            P_EVENT_CODE => 'SUBMITTED');
V_RULES(V_RULES.LAST) := V_RULE0_SID;
V_RULE_COMPONENTS.EXTEND;
V_RULE0_COMPONENT_SID:=ACM_MDE3.Import_Rule_Process(P_RULE_SID => V_RULE0_SID,
            P_PROCESS_CODE => 'CHANGE_STATUS',
            P_SEQ => 1, 
            P_STATUS_CODE => 'CLOSURE', 
            P_NOTIF_TYPE_CODE => null);
V_RULE_COMPONENTS(V_RULE_COMPONENTS.LAST) := V_RULE0_COMPONENT_SID;
ACM_MDE3.DELETE_RULE_COMPONENTS(P_RULE_SID => V_RULE0_SID, P_EXCEPT_FOR_THESE => V_RULE_COMPONENTS);
-------------------------------------------------------------------
exception
    when OTHERS then
        raise;
end;
/



set scan off
declare
  V_OBJ_TYPE_CODE                   VARCHAR2(300);
  V_RULE0_SID                       T_ACM_RULE.SID%TYPE; -- RULE CHOSEN FOR EXPORT
  V_RULE0_COMPONENT_SID             T_ACM_RULE.SID%TYPE; -- RULE CHOSEN FOR EXPORT
  V_RULES                           T_NUM_ARRAY := T_NUM_ARRAY(); -- 
  V_RULE_COMPONENTS                 T_NUM_ARRAY := T_NUM_ARRAY(); -- 
begin
V_OBJ_TYPE_CODE := 'FILE.TIRA';
V_RULES.EXTEND;
V_RULE0_SID:=ACM_MDE3.Import_Rule(P_OBJ_TYPE_CODE => V_OBJ_TYPE_CODE, 
            P_RULE_TYPE => 'PRE', 
            P_STATUS_CODE => 'NEW', 
            P_DISPLAY => 'Submit for Closure with Report', 
            P_ACTIVE => 'Y', 
            P_SEQ => 1, 
            P_RULE_MIN => null, 
            P_RULE_MAX => null, 
            P_INITIATOR_EVAL => 'ALL', 
            P_CONDITION_EVAL => 'ALL', 
            P_PREREQUISITE_EVAL => 'ALL', 
            P_ACTION_PAGE => null, 
            P_EVENT_CODE => 'SUBMITTED_W_REPORT');
V_RULES(V_RULES.LAST) := V_RULE0_SID;
V_RULE_COMPONENTS.EXTEND;
V_RULE0_COMPONENT_SID:=ACM_MDE3.Import_Rule_Initiator(P_RULE_SID => V_RULE0_SID,
            P_INITIATOR_CODE => 'IS_DEFAULT_DATA_GROUP', 
            P_PRIVILEGE_CODE => null);
V_RULE_COMPONENTS(V_RULE_COMPONENTS.LAST) := V_RULE0_COMPONENT_SID;
V_RULE_COMPONENTS.EXTEND;
V_RULE0_COMPONENT_SID:=ACM_MDE3.Import_Rule_Initiator(P_RULE_SID => V_RULE0_SID,
            P_INITIATOR_CODE => 'HAS_PRIV', 
            P_PRIVILEGE_CODE => 'FILE.TIRA.SAVE');
V_RULE_COMPONENTS(V_RULE_COMPONENTS.LAST) := V_RULE0_COMPONENT_SID;
ACM_MDE3.DELETE_RULE_COMPONENTS(P_RULE_SID => V_RULE0_SID, P_EXCEPT_FOR_THESE => V_RULE_COMPONENTS);
-------------------------------------------------------------------
exception
    when OTHERS then
        raise;
end;
/



set scan off
declare
  V_OBJ_TYPE_CODE                   VARCHAR2(300);
  V_RULE0_SID                       T_ACM_RULE.SID%TYPE; -- RULE CHOSEN FOR EXPORT
  V_RULE0_COMPONENT_SID             T_ACM_RULE.SID%TYPE; -- RULE CHOSEN FOR EXPORT
  V_RULES                           T_NUM_ARRAY := T_NUM_ARRAY(); -- 
  V_RULE_COMPONENTS                 T_NUM_ARRAY := T_NUM_ARRAY(); -- 
begin
V_OBJ_TYPE_CODE := 'FILE.TIRA';
V_RULES.EXTEND;
V_RULE0_SID:=ACM_MDE3.Import_Rule(P_OBJ_TYPE_CODE => V_OBJ_TYPE_CODE, 
            P_RULE_TYPE => 'POST', 
            P_STATUS_CODE => 'NEW', 
            P_DISPLAY => 'Submit for Closure with Report', 
            P_ACTIVE => 'Y', 
            P_SEQ => 1, 
            P_RULE_MIN => null, 
            P_RULE_MAX => null, 
            P_INITIATOR_EVAL => 'ALL', 
            P_CONDITION_EVAL => 'ALL', 
            P_PREREQUISITE_EVAL => 'ALL', 
            P_ACTION_PAGE => 20, 
            P_EVENT_CODE => 'SUBMITTED_W_REPORT');
V_RULES(V_RULES.LAST) := V_RULE0_SID;
V_RULE_COMPONENTS.EXTEND;
V_RULE0_COMPONENT_SID:=ACM_MDE3.Import_Rule_Process(P_RULE_SID => V_RULE0_SID,
            P_PROCESS_CODE => 'CHANGE_STATUS',
            P_SEQ => 1, 
            P_STATUS_CODE => 'CLOSURE', 
            P_NOTIF_TYPE_CODE => null);
V_RULE_COMPONENTS(V_RULE_COMPONENTS.LAST) := V_RULE0_COMPONENT_SID;
ACM_MDE3.DELETE_RULE_COMPONENTS(P_RULE_SID => V_RULE0_SID, P_EXCEPT_FOR_THESE => V_RULE_COMPONENTS);
-------------------------------------------------------------------
exception
    when OTHERS then
        raise;
end;
/



set scan off
declare
  V_OBJ_TYPE_CODE                   VARCHAR2(300);
  V_RULE0_SID                       T_ACM_RULE.SID%TYPE; -- RULE CHOSEN FOR EXPORT
  V_RULE0_COMPONENT_SID             T_ACM_RULE.SID%TYPE; -- RULE CHOSEN FOR EXPORT
  V_RULES                           T_NUM_ARRAY := T_NUM_ARRAY(); -- 
  V_RULE_COMPONENTS                 T_NUM_ARRAY := T_NUM_ARRAY(); -- 
begin
V_OBJ_TYPE_CODE := 'FILE.TIRA';
V_RULES.EXTEND;
V_RULE0_SID:=ACM_MDE3.Import_Rule(P_OBJ_TYPE_CODE => V_OBJ_TYPE_CODE, 
            P_RULE_TYPE => 'PRE', 
            P_STATUS_CODE => null, 
            P_DISPLAY => 'Add Work Hours to File', 
            P_ACTIVE => 'Y', 
            P_SEQ => 1, 
            P_RULE_MIN => null, 
            P_RULE_MAX => null, 
            P_INITIATOR_EVAL => 'ALL', 
            P_CONDITION_EVAL => 'ALL', 
            P_PREREQUISITE_EVAL => 'ALL', 
            P_ACTION_PAGE => null, 
            P_EVENT_CODE => 'WK_HOURS_ADDED');
V_RULES(V_RULES.LAST) := V_RULE0_SID;
V_RULE_COMPONENTS.EXTEND;
V_RULE0_COMPONENT_SID:=ACM_MDE3.Import_Rule_Initiator(P_RULE_SID => V_RULE0_SID,
            P_INITIATOR_CODE => 'IS_DEFAULT_DATA_GROUP', 
            P_PRIVILEGE_CODE => null);
V_RULE_COMPONENTS(V_RULE_COMPONENTS.LAST) := V_RULE0_COMPONENT_SID;
V_RULE_COMPONENTS.EXTEND;
V_RULE0_COMPONENT_SID:=ACM_MDE3.Import_Rule_Initiator(P_RULE_SID => V_RULE0_SID,
            P_INITIATOR_CODE => 'HAS_PRIV', 
            P_PRIVILEGE_CODE => 'FILE.TIRA.SAVE');
V_RULE_COMPONENTS(V_RULE_COMPONENTS.LAST) := V_RULE0_COMPONENT_SID;
ACM_MDE3.DELETE_RULE_COMPONENTS(P_RULE_SID => V_RULE0_SID, P_EXCEPT_FOR_THESE => V_RULE_COMPONENTS);
-------------------------------------------------------------------
exception
    when OTHERS then
        raise;
end;
/



set scan off
declare
  V_OBJ_TYPE_CODE                   VARCHAR2(300);
  V_RULE0_SID                       T_ACM_RULE.SID%TYPE; -- RULE CHOSEN FOR EXPORT
  V_RULE0_COMPONENT_SID             T_ACM_RULE.SID%TYPE; -- RULE CHOSEN FOR EXPORT
  V_RULES                           T_NUM_ARRAY := T_NUM_ARRAY(); -- 
  V_RULE_COMPONENTS                 T_NUM_ARRAY := T_NUM_ARRAY(); -- 
begin
V_OBJ_TYPE_CODE := 'FILE.TIRA';
V_RULES.EXTEND;
V_RULE0_SID:=ACM_MDE3.Import_Rule(P_OBJ_TYPE_CODE => V_OBJ_TYPE_CODE, 
            P_RULE_TYPE => 'PRE', 
            P_STATUS_CODE => null, 
            P_DISPLAY => 'Delete Work Hours', 
            P_ACTIVE => 'Y', 
            P_SEQ => 1, 
            P_RULE_MIN => null, 
            P_RULE_MAX => null, 
            P_INITIATOR_EVAL => 'ALL', 
            P_CONDITION_EVAL => 'ALL', 
            P_PREREQUISITE_EVAL => 'ALL', 
            P_ACTION_PAGE => null, 
            P_EVENT_CODE => 'WK_HOURS_DELETED');
V_RULES(V_RULES.LAST) := V_RULE0_SID;
V_RULE_COMPONENTS.EXTEND;
V_RULE0_COMPONENT_SID:=ACM_MDE3.Import_Rule_Initiator(P_RULE_SID => V_RULE0_SID,
            P_INITIATOR_CODE => 'IS_DEFAULT_DATA_GROUP', 
            P_PRIVILEGE_CODE => null);
V_RULE_COMPONENTS(V_RULE_COMPONENTS.LAST) := V_RULE0_COMPONENT_SID;
V_RULE_COMPONENTS.EXTEND;
V_RULE0_COMPONENT_SID:=ACM_MDE3.Import_Rule_Initiator(P_RULE_SID => V_RULE0_SID,
            P_INITIATOR_CODE => 'HAS_PRIV', 
            P_PRIVILEGE_CODE => 'FILE.TIRA.SAVE');
V_RULE_COMPONENTS(V_RULE_COMPONENTS.LAST) := V_RULE0_COMPONENT_SID;
V_RULE_COMPONENTS.EXTEND;
V_RULE0_COMPONENT_SID:=ACM_MDE3.Import_Rule_Condition(P_RULE_SID => V_RULE0_SID,
            P_CONDITION_CODE => 'IS_NOT_CLOSED',
            P_REGION_ID => null);
V_RULE_COMPONENTS(V_RULE_COMPONENTS.LAST) := V_RULE0_COMPONENT_SID;
ACM_MDE3.DELETE_RULE_COMPONENTS(P_RULE_SID => V_RULE0_SID, P_EXCEPT_FOR_THESE => V_RULE_COMPONENTS);
-------------------------------------------------------------------
exception
    when OTHERS then
        raise;
end;
/



set scan off
declare
  V_OBJ_TYPE_CODE                   VARCHAR2(300);
  V_RULE0_SID                       T_ACM_RULE.SID%TYPE; -- RULE CHOSEN FOR EXPORT
  V_RULE0_COMPONENT_SID             T_ACM_RULE.SID%TYPE; -- RULE CHOSEN FOR EXPORT
  V_RULES                           T_NUM_ARRAY := T_NUM_ARRAY(); -- 
  V_RULE_COMPONENTS                 T_NUM_ARRAY := T_NUM_ARRAY(); -- 
begin
V_OBJ_TYPE_CODE := 'FILE.TIRA';
V_RULES.EXTEND;
V_RULE0_SID:=ACM_MDE3.Import_Rule(P_OBJ_TYPE_CODE => V_OBJ_TYPE_CODE, 
            P_RULE_TYPE => 'PRE', 
            P_STATUS_CODE => null, 
            P_DISPLAY => 'Edit Work Hours', 
            P_ACTIVE => 'Y', 
            P_SEQ => 1, 
            P_RULE_MIN => null, 
            P_RULE_MAX => null, 
            P_INITIATOR_EVAL => 'ALL', 
            P_CONDITION_EVAL => 'ALL', 
            P_PREREQUISITE_EVAL => 'ALL', 
            P_ACTION_PAGE => null, 
            P_EVENT_CODE => 'WK_HOURS_EDITED');
V_RULES(V_RULES.LAST) := V_RULE0_SID;
V_RULE_COMPONENTS.EXTEND;
V_RULE0_COMPONENT_SID:=ACM_MDE3.Import_Rule_Initiator(P_RULE_SID => V_RULE0_SID,
            P_INITIATOR_CODE => 'IS_DEFAULT_DATA_GROUP', 
            P_PRIVILEGE_CODE => null);
V_RULE_COMPONENTS(V_RULE_COMPONENTS.LAST) := V_RULE0_COMPONENT_SID;
V_RULE_COMPONENTS.EXTEND;
V_RULE0_COMPONENT_SID:=ACM_MDE3.Import_Rule_Initiator(P_RULE_SID => V_RULE0_SID,
            P_INITIATOR_CODE => 'HAS_PRIV', 
            P_PRIVILEGE_CODE => 'FILE.TIRA.SAVE');
V_RULE_COMPONENTS(V_RULE_COMPONENTS.LAST) := V_RULE0_COMPONENT_SID;
V_RULE_COMPONENTS.EXTEND;
V_RULE0_COMPONENT_SID:=ACM_MDE3.Import_Rule_Condition(P_RULE_SID => V_RULE0_SID,
            P_CONDITION_CODE => 'IS_NOT_CLOSED',
            P_REGION_ID => null);
V_RULE_COMPONENTS(V_RULE_COMPONENTS.LAST) := V_RULE0_COMPONENT_SID;
ACM_MDE3.DELETE_RULE_COMPONENTS(P_RULE_SID => V_RULE0_SID, P_EXCEPT_FOR_THESE => V_RULE_COMPONENTS);
-------------------------------------------------------------------
exception
    when OTHERS then
        raise;
end;
/