
--Rule INSERT

INSERT INTO T_ACM_CONDITION
( CODE, DISPLAY, EXEC_FUNCTION)
VALUES ( 'TIRA_HAS_SUM_NARR', 'TIRA must have summary narrative.', 'ACM_BPE_COND.COND_TIRA_HAS_SUM_NARR' );

--Rule export

set scan off
declare
  V_OBJ_TYPE_CODE                   VARCHAR2(300);
  V_RULE0_SID                       T_ACM_RULE.SID%TYPE; -- RULE CHOSEN FOR EXPORT
  V_RULE0_COMPONENT_SID             T_ACM_RULE.SID%TYPE; -- RULE CHOSEN FOR EXPORT
  V_RULES                           T_NUM_ARRAY := T_NUM_ARRAY(); -- 
  V_RULE_COMPONENTS                 T_NUM_ARRAY := T_NUM_ARRAY(); -- 
begin
V_OBJ_TYPE_CODE := 'FILE.TIRA';
V_RULES.EXTEND;
V_RULE0_SID:=ACM_MDE3.Import_Rule(P_OBJ_TYPE_CODE => V_OBJ_TYPE_CODE, 
            P_RULE_TYPE => 'POST', 
            P_STATUS_CODE => 'APPROVAL', 
            P_DISPLAY => 'Close', 
            P_ACTIVE => 'Y', 
            P_SEQ => 4, 
            P_RULE_MIN => null, 
            P_RULE_MAX => null, 
            P_INITIATOR_EVAL => 'ALL', 
            P_CONDITION_EVAL => 'ALL', 
            P_PREREQUISITE_EVAL => 'ALL', 
            P_ACTION_PAGE => 20, 
            P_EVENT_CODE => 'CLOSED');
V_RULES(V_RULES.LAST) := V_RULE0_SID;
V_RULE_COMPONENTS.EXTEND;
V_RULE0_COMPONENT_SID:=ACM_MDE3.Import_Rule_Process(P_RULE_SID => V_RULE0_SID,
            P_PROCESS_CODE => 'CHANGE_STATUS',
            P_SEQ => 6, 
            P_STATUS_CODE => 'CLOSED', 
            P_NOTIF_TYPE_CODE => null);
V_RULE_COMPONENTS(V_RULE_COMPONENTS.LAST) := V_RULE0_COMPONENT_SID;
ACM_MDE3.DELETE_RULE_COMPONENTS(P_RULE_SID => V_RULE0_SID, P_EXCEPT_FOR_THESE => V_RULE_COMPONENTS);
-------------------------------------------------------------------
exception
    when OTHERS then
        raise;
end;
/

set scan off
declare
  V_OBJ_TYPE_CODE                   VARCHAR2(300);
  V_RULE0_SID                       T_ACM_RULE.SID%TYPE; -- RULE CHOSEN FOR EXPORT
  V_RULE0_COMPONENT_SID             T_ACM_RULE.SID%TYPE; -- RULE CHOSEN FOR EXPORT
  V_RULES                           T_NUM_ARRAY := T_NUM_ARRAY(); -- 
  V_RULE_COMPONENTS                 T_NUM_ARRAY := T_NUM_ARRAY(); -- 
begin
V_OBJ_TYPE_CODE := 'FILE.TIRA';
V_RULES.EXTEND;
V_RULE0_SID:=ACM_MDE3.Import_Rule(P_OBJ_TYPE_CODE => V_OBJ_TYPE_CODE, 
            P_RULE_TYPE => 'POST', 
            P_STATUS_CODE => 'CLOSURE', 
            P_DISPLAY => 'Close', 
            P_ACTIVE => 'Y', 
            P_SEQ => 99, 
            P_RULE_MIN => null, 
            P_RULE_MAX => null, 
            P_INITIATOR_EVAL => 'ALL', 
            P_CONDITION_EVAL => 'ALL', 
            P_PREREQUISITE_EVAL => 'ALL', 
            P_ACTION_PAGE => 20, 
            P_EVENT_CODE => 'CLOSED');
V_RULES(V_RULES.LAST) := V_RULE0_SID;
V_RULE_COMPONENTS.EXTEND;
V_RULE0_COMPONENT_SID:=ACM_MDE3.Import_Rule_Process(P_RULE_SID => V_RULE0_SID,
            P_PROCESS_CODE => 'CHANGE_STATUS',
            P_SEQ => 4, 
            P_STATUS_CODE => 'CLOSED', 
            P_NOTIF_TYPE_CODE => null);
V_RULE_COMPONENTS(V_RULE_COMPONENTS.LAST) := V_RULE0_COMPONENT_SID;
ACM_MDE3.DELETE_RULE_COMPONENTS(P_RULE_SID => V_RULE0_SID, P_EXCEPT_FOR_THESE => V_RULE_COMPONENTS);
-------------------------------------------------------------------
exception
    when OTHERS then
        raise;
end;
/

set scan off
declare
  V_OBJ_TYPE_CODE                   VARCHAR2(300);
  V_RULE0_SID                       T_ACM_RULE.SID%TYPE; -- RULE CHOSEN FOR EXPORT
  V_RULE0_COMPONENT_SID             T_ACM_RULE.SID%TYPE; -- RULE CHOSEN FOR EXPORT
  V_RULES                           T_NUM_ARRAY := T_NUM_ARRAY(); -- 
  V_RULE_COMPONENTS                 T_NUM_ARRAY := T_NUM_ARRAY(); -- 
begin
V_OBJ_TYPE_CODE := 'FILE.TIRA';
V_RULES.EXTEND;
V_RULE0_SID:=ACM_MDE3.Import_Rule(P_OBJ_TYPE_CODE => V_OBJ_TYPE_CODE, 
            P_RULE_TYPE => 'POST', 
            P_STATUS_CODE => 'CLOSURE', 
            P_DISPLAY => 'Reject', 
            P_ACTIVE => 'Y', 
            P_SEQ => 2, 
            P_RULE_MIN => null, 
            P_RULE_MAX => null, 
            P_INITIATOR_EVAL => 'ANY', 
            P_CONDITION_EVAL => 'ALL', 
            P_PREREQUISITE_EVAL => 'ALL', 
            P_ACTION_PAGE => 25, 
            P_EVENT_CODE => 'REJECTED');
V_RULES(V_RULES.LAST) := V_RULE0_SID;
V_RULE_COMPONENTS.EXTEND;
V_RULE0_COMPONENT_SID:=ACM_MDE3.Import_Rule_Process(P_RULE_SID => V_RULE0_SID,
            P_PROCESS_CODE => 'CHANGE_STATUS',
            P_SEQ => 1, 
            P_STATUS_CODE => 'OPEN', 
            P_NOTIF_TYPE_CODE => null);
V_RULE_COMPONENTS(V_RULE_COMPONENTS.LAST) := V_RULE0_COMPONENT_SID;
ACM_MDE3.DELETE_RULE_COMPONENTS(P_RULE_SID => V_RULE0_SID, P_EXCEPT_FOR_THESE => V_RULE_COMPONENTS);
-------------------------------------------------------------------
exception
    when OTHERS then
        raise;
end;
/

set scan off
declare
  V_OBJ_TYPE_CODE                   VARCHAR2(300);
  V_RULE0_SID                       T_ACM_RULE.SID%TYPE; -- RULE CHOSEN FOR EXPORT
  V_RULE0_COMPONENT_SID             T_ACM_RULE.SID%TYPE; -- RULE CHOSEN FOR EXPORT
  V_RULES                           T_NUM_ARRAY := T_NUM_ARRAY(); -- 
  V_RULE_COMPONENTS                 T_NUM_ARRAY := T_NUM_ARRAY(); -- 
begin
V_OBJ_TYPE_CODE := 'FILE.TIRA';
V_RULES.EXTEND;
V_RULE0_SID:=ACM_MDE3.Import_Rule(P_OBJ_TYPE_CODE => V_OBJ_TYPE_CODE, 
            P_RULE_TYPE => 'POST', 
            P_STATUS_CODE => 'CLOSED', 
            P_DISPLAY => 'Reopen', 
            P_ACTIVE => 'Y', 
            P_SEQ => 1, 
            P_RULE_MIN => null, 
            P_RULE_MAX => null, 
            P_INITIATOR_EVAL => 'ALL', 
            P_CONDITION_EVAL => 'ALL', 
            P_PREREQUISITE_EVAL => 'ALL', 
            P_ACTION_PAGE => 20, 
            P_EVENT_CODE => 'REOPENED');
V_RULES(V_RULES.LAST) := V_RULE0_SID;
V_RULE_COMPONENTS.EXTEND;
V_RULE0_COMPONENT_SID:=ACM_MDE3.Import_Rule_Process(P_RULE_SID => V_RULE0_SID,
            P_PROCESS_CODE => 'CHANGE_STATUS',
            P_SEQ => 1, 
            P_STATUS_CODE => 'OPEN', 
            P_NOTIF_TYPE_CODE => null);
V_RULE_COMPONENTS(V_RULE_COMPONENTS.LAST) := V_RULE0_COMPONENT_SID;
ACM_MDE3.DELETE_RULE_COMPONENTS(P_RULE_SID => V_RULE0_SID, P_EXCEPT_FOR_THESE => V_RULE_COMPONENTS);
-------------------------------------------------------------------
exception
    when OTHERS then
        raise;
end;
/

set scan off
declare
  V_OBJ_TYPE_CODE                   VARCHAR2(300);
  V_RULE0_SID                       T_ACM_RULE.SID%TYPE; -- RULE CHOSEN FOR EXPORT
  V_RULE0_COMPONENT_SID             T_ACM_RULE.SID%TYPE; -- RULE CHOSEN FOR EXPORT
  V_RULES                           T_NUM_ARRAY := T_NUM_ARRAY(); -- 
  V_RULE_COMPONENTS                 T_NUM_ARRAY := T_NUM_ARRAY(); -- 
begin
V_OBJ_TYPE_CODE := 'FILE.TIRA';
V_RULES.EXTEND;
V_RULE0_SID:=ACM_MDE3.Import_Rule(P_OBJ_TYPE_CODE => V_OBJ_TYPE_CODE, 
            P_RULE_TYPE => 'POST', 
            P_STATUS_CODE => 'NEW', 
            P_DISPLAY => 'Submit for Approval', 
            P_ACTIVE => 'Y', 
            P_SEQ => 1, 
            P_RULE_MIN => 1, 
            P_RULE_MAX => null, 
            P_INITIATOR_EVAL => 'ALL', 
            P_CONDITION_EVAL => 'ALL', 
            P_PREREQUISITE_EVAL => 'ALL', 
            P_ACTION_PAGE => 20, 
            P_EVENT_CODE => 'SUBMITTED');
V_RULES(V_RULES.LAST) := V_RULE0_SID;
V_RULE_COMPONENTS.EXTEND;
V_RULE0_COMPONENT_SID:=ACM_MDE3.Import_Rule_Process(P_RULE_SID => V_RULE0_SID,
            P_PROCESS_CODE => 'CHANGE_STATUS',
            P_SEQ => 1, 
            P_STATUS_CODE => 'APPROVAL', 
            P_NOTIF_TYPE_CODE => null);
V_RULE_COMPONENTS(V_RULE_COMPONENTS.LAST) := V_RULE0_COMPONENT_SID;
ACM_MDE3.DELETE_RULE_COMPONENTS(P_RULE_SID => V_RULE0_SID, P_EXCEPT_FOR_THESE => V_RULE_COMPONENTS);
-------------------------------------------------------------------
exception
    when OTHERS then
        raise;
end;
/

set scan off
declare
  V_OBJ_TYPE_CODE                   VARCHAR2(300);
  V_RULE0_SID                       T_ACM_RULE.SID%TYPE; -- RULE CHOSEN FOR EXPORT
  V_RULE0_COMPONENT_SID             T_ACM_RULE.SID%TYPE; -- RULE CHOSEN FOR EXPORT
  V_RULES                           T_NUM_ARRAY := T_NUM_ARRAY(); -- 
  V_RULE_COMPONENTS                 T_NUM_ARRAY := T_NUM_ARRAY(); -- 
begin
V_OBJ_TYPE_CODE := 'FILE.TIRA';
V_RULES.EXTEND;
V_RULE0_SID:=ACM_MDE3.Import_Rule(P_OBJ_TYPE_CODE => V_OBJ_TYPE_CODE, 
            P_RULE_TYPE => 'POST', 
            P_STATUS_CODE => 'OPEN', 
            P_DISPLAY => 'Submit for Closure', 
            P_ACTIVE => 'Y', 
            P_SEQ => 1, 
            P_RULE_MIN => 1, 
            P_RULE_MAX => null, 
            P_INITIATOR_EVAL => 'ALL', 
            P_CONDITION_EVAL => 'ALL', 
            P_PREREQUISITE_EVAL => 'ALL', 
            P_ACTION_PAGE => 20, 
            P_EVENT_CODE => 'SUBMITTED');
V_RULES(V_RULES.LAST) := V_RULE0_SID;
V_RULE_COMPONENTS.EXTEND;
V_RULE0_COMPONENT_SID:=ACM_MDE3.Import_Rule_Process(P_RULE_SID => V_RULE0_SID,
            P_PROCESS_CODE => 'CHANGE_STATUS',
            P_SEQ => 1, 
            P_STATUS_CODE => 'CLOSURE', 
            P_NOTIF_TYPE_CODE => null);
V_RULE_COMPONENTS(V_RULE_COMPONENTS.LAST) := V_RULE0_COMPONENT_SID;
ACM_MDE3.DELETE_RULE_COMPONENTS(P_RULE_SID => V_RULE0_SID, P_EXCEPT_FOR_THESE => V_RULE_COMPONENTS);
-------------------------------------------------------------------
exception
    when OTHERS then
        raise;
end;
/

set scan off
declare
  V_OBJ_TYPE_CODE                   VARCHAR2(300);
  V_RULE0_SID                       T_ACM_RULE.SID%TYPE; -- RULE CHOSEN FOR EXPORT
  V_RULE0_COMPONENT_SID             T_ACM_RULE.SID%TYPE; -- RULE CHOSEN FOR EXPORT
  V_RULES                           T_NUM_ARRAY := T_NUM_ARRAY(); -- 
  V_RULE_COMPONENTS                 T_NUM_ARRAY := T_NUM_ARRAY(); -- 
begin
V_OBJ_TYPE_CODE := 'FILE.TIRA';
V_RULES.EXTEND;
V_RULE0_SID:=ACM_MDE3.Import_Rule(P_OBJ_TYPE_CODE => V_OBJ_TYPE_CODE, 
            P_RULE_TYPE => 'POST', 
            P_STATUS_CODE => 'NEW', 
            P_DISPLAY => 'Submit for Closure with Report', 
            P_ACTIVE => 'Y', 
            P_SEQ => 1, 
            P_RULE_MIN => null, 
            P_RULE_MAX => null, 
            P_INITIATOR_EVAL => 'ALL', 
            P_CONDITION_EVAL => 'ALL', 
            P_PREREQUISITE_EVAL => 'ALL', 
            P_ACTION_PAGE => 20, 
            P_EVENT_CODE => 'SUBMITTED_W_REPORT');
V_RULES(V_RULES.LAST) := V_RULE0_SID;
V_RULE_COMPONENTS.EXTEND;
V_RULE0_COMPONENT_SID:=ACM_MDE3.Import_Rule_Process(P_RULE_SID => V_RULE0_SID,
            P_PROCESS_CODE => 'CHANGE_STATUS',
            P_SEQ => 1, 
            P_STATUS_CODE => 'CLOSURE', 
            P_NOTIF_TYPE_CODE => null);
V_RULE_COMPONENTS(V_RULE_COMPONENTS.LAST) := V_RULE0_COMPONENT_SID;
ACM_MDE3.DELETE_RULE_COMPONENTS(P_RULE_SID => V_RULE0_SID, P_EXCEPT_FOR_THESE => V_RULE_COMPONENTS);
-------------------------------------------------------------------
exception
    when OTHERS then
        raise;
end;
/

set scan off
declare
  V_OBJ_TYPE_CODE                   VARCHAR2(300);
  V_RULE0_SID                       T_ACM_RULE.SID%TYPE; -- RULE CHOSEN FOR EXPORT
  V_RULE0_COMPONENT_SID             T_ACM_RULE.SID%TYPE; -- RULE CHOSEN FOR EXPORT
  V_RULES                           T_NUM_ARRAY := T_NUM_ARRAY(); -- 
  V_RULE_COMPONENTS                 T_NUM_ARRAY := T_NUM_ARRAY(); -- 
begin
V_OBJ_TYPE_CODE := 'FILE.TIRA';
V_RULES.EXTEND;
V_RULE0_SID:=ACM_MDE3.Import_Rule(P_OBJ_TYPE_CODE => V_OBJ_TYPE_CODE, 
            P_RULE_TYPE => 'PRE', 
            P_STATUS_CODE => 'APPROVAL', 
            P_DISPLAY => 'Close', 
            P_ACTIVE => 'Y', 
            P_SEQ => 1, 
            P_RULE_MIN => null, 
            P_RULE_MAX => null, 
            P_INITIATOR_EVAL => 'ALL', 
            P_CONDITION_EVAL => 'ALL', 
            P_PREREQUISITE_EVAL => 'ALL', 
            P_ACTION_PAGE => null, 
            P_EVENT_CODE => 'CLOSED');
V_RULES(V_RULES.LAST) := V_RULE0_SID;
V_RULE_COMPONENTS.EXTEND;
V_RULE0_COMPONENT_SID:=ACM_MDE3.Import_Rule_Initiator(P_RULE_SID => V_RULE0_SID,
            P_INITIATOR_CODE => 'HAS_PRIV', 
            P_PRIVILEGE_CODE => 'FILE.TIRA.CLOSE');
V_RULE_COMPONENTS(V_RULE_COMPONENTS.LAST) := V_RULE0_COMPONENT_SID;
ACM_MDE3.DELETE_RULE_COMPONENTS(P_RULE_SID => V_RULE0_SID, P_EXCEPT_FOR_THESE => V_RULE_COMPONENTS);
-------------------------------------------------------------------
exception
    when OTHERS then
        raise;
end;
/

set scan off
declare
  V_OBJ_TYPE_CODE                   VARCHAR2(300);
  V_RULE0_SID                       T_ACM_RULE.SID%TYPE; -- RULE CHOSEN FOR EXPORT
  V_RULE0_COMPONENT_SID             T_ACM_RULE.SID%TYPE; -- RULE CHOSEN FOR EXPORT
  V_RULES                           T_NUM_ARRAY := T_NUM_ARRAY(); -- 
  V_RULE_COMPONENTS                 T_NUM_ARRAY := T_NUM_ARRAY(); -- 
begin
V_OBJ_TYPE_CODE := 'FILE.TIRA';
V_RULES.EXTEND;
V_RULE0_SID:=ACM_MDE3.Import_Rule(P_OBJ_TYPE_CODE => V_OBJ_TYPE_CODE, 
            P_RULE_TYPE => 'PRE', 
            P_STATUS_CODE => 'NEW', 
            P_DISPLAY => 'Submit for Approval', 
            P_ACTIVE => 'Y', 
            P_SEQ => 1, 
            P_RULE_MIN => null, 
            P_RULE_MAX => null, 
            P_INITIATOR_EVAL => 'ALL', 
            P_CONDITION_EVAL => 'ALL', 
            P_PREREQUISITE_EVAL => 'ALL', 
            P_ACTION_PAGE => null, 
            P_EVENT_CODE => 'SUBMITTED');
V_RULES(V_RULES.LAST) := V_RULE0_SID;
V_RULE_COMPONENTS.EXTEND;
V_RULE0_COMPONENT_SID:=ACM_MDE3.Import_Rule_Initiator(P_RULE_SID => V_RULE0_SID,
            P_INITIATOR_CODE => 'IS_DEFAULT_DATA_GROUP', 
            P_PRIVILEGE_CODE => null);
V_RULE_COMPONENTS(V_RULE_COMPONENTS.LAST) := V_RULE0_COMPONENT_SID;
V_RULE_COMPONENTS.EXTEND;
V_RULE0_COMPONENT_SID:=ACM_MDE3.Import_Rule_Initiator(P_RULE_SID => V_RULE0_SID,
            P_INITIATOR_CODE => 'HAS_PRIV', 
            P_PRIVILEGE_CODE => 'FILE.TIRA.SAVE');
V_RULE_COMPONENTS(V_RULE_COMPONENTS.LAST) := V_RULE0_COMPONENT_SID;
V_RULE_COMPONENTS.EXTEND;
V_RULE0_COMPONENT_SID:=ACM_MDE3.Import_Rule_Condition(P_RULE_SID => V_RULE0_SID,
            P_CONDITION_CODE => 'ASSOC_ACT_EXISTS',
            P_REGION_ID => 'R2090_ASSOCIATED_ACTIVITIES');
V_RULE_COMPONENTS(V_RULE_COMPONENTS.LAST) := V_RULE0_COMPONENT_SID;
V_RULE_COMPONENTS.EXTEND;
V_RULE0_COMPONENT_SID:=ACM_MDE3.Import_Rule_Condition(P_RULE_SID => V_RULE0_SID,
            P_CONDITION_CODE => 'HAS_SUBJECT',
            P_REGION_ID => 'R2090_PARTICIPANTS');
V_RULE_COMPONENTS(V_RULE_COMPONENTS.LAST) := V_RULE0_COMPONENT_SID;
V_RULE_COMPONENTS.EXTEND;
V_RULE0_COMPONENT_SID:=ACM_MDE3.Import_Rule_Condition(P_RULE_SID => V_RULE0_SID,
            P_CONDITION_CODE => 'HAS_COMPONENT',
            P_REGION_ID => 'R2320_TREASURY_BUREAU');
V_RULE_COMPONENTS(V_RULE_COMPONENTS.LAST) := V_RULE0_COMPONENT_SID;
V_RULE_COMPONENTS.EXTEND;
V_RULE0_COMPONENT_SID:=ACM_MDE3.Import_Rule_Condition(P_RULE_SID => V_RULE0_SID,
            P_CONDITION_CODE => 'TIRA_HAS_SUM_NARR',
            P_REGION_ID => 'R2090_NARRATIVES');
V_RULE_COMPONENTS(V_RULE_COMPONENTS.LAST) := V_RULE0_COMPONENT_SID;
ACM_MDE3.DELETE_RULE_COMPONENTS(P_RULE_SID => V_RULE0_SID, P_EXCEPT_FOR_THESE => V_RULE_COMPONENTS);
-------------------------------------------------------------------
exception
    when OTHERS then
        raise;
end;
/

set scan off
declare
  V_OBJ_TYPE_CODE                   VARCHAR2(300);
  V_RULE0_SID                       T_ACM_RULE.SID%TYPE; -- RULE CHOSEN FOR EXPORT
  V_RULE0_COMPONENT_SID             T_ACM_RULE.SID%TYPE; -- RULE CHOSEN FOR EXPORT
  V_RULES                           T_NUM_ARRAY := T_NUM_ARRAY(); -- 
  V_RULE_COMPONENTS                 T_NUM_ARRAY := T_NUM_ARRAY(); -- 
begin
V_OBJ_TYPE_CODE := 'FILE.TIRA';
V_RULES.EXTEND;
V_RULE0_SID:=ACM_MDE3.Import_Rule(P_OBJ_TYPE_CODE => V_OBJ_TYPE_CODE, 
            P_RULE_TYPE => 'PRE', 
            P_STATUS_CODE => 'APPROVAL', 
            P_DISPLAY => 'Approve', 
            P_ACTIVE => 'Y', 
            P_SEQ => 1, 
            P_RULE_MIN => null, 
            P_RULE_MAX => null, 
            P_INITIATOR_EVAL => 'ALL', 
            P_CONDITION_EVAL => 'ALL', 
            P_PREREQUISITE_EVAL => 'ALL', 
            P_ACTION_PAGE => null, 
            P_EVENT_CODE => 'APPROVED');
V_RULES(V_RULES.LAST) := V_RULE0_SID;
V_RULE_COMPONENTS.EXTEND;
V_RULE0_COMPONENT_SID:=ACM_MDE3.Import_Rule_Initiator(P_RULE_SID => V_RULE0_SID,
            P_INITIATOR_CODE => 'IS_DEFAULT_DATA_GROUP', 
            P_PRIVILEGE_CODE => null);
V_RULE_COMPONENTS(V_RULE_COMPONENTS.LAST) := V_RULE0_COMPONENT_SID;
V_RULE_COMPONENTS.EXTEND;
V_RULE0_COMPONENT_SID:=ACM_MDE3.Import_Rule_Initiator(P_RULE_SID => V_RULE0_SID,
            P_INITIATOR_CODE => 'HAS_PRIV', 
            P_PRIVILEGE_CODE => 'FILE.TIRA.CLOSE');
V_RULE_COMPONENTS(V_RULE_COMPONENTS.LAST) := V_RULE0_COMPONENT_SID;
V_RULE_COMPONENTS.EXTEND;
V_RULE0_COMPONENT_SID:=ACM_MDE3.Import_Rule_Condition(P_RULE_SID => V_RULE0_SID,
            P_CONDITION_CODE => 'ASSOC_ACT_EXISTS',
            P_REGION_ID => 'R2090_ASSOCIATED_ACTIVITIES');
V_RULE_COMPONENTS(V_RULE_COMPONENTS.LAST) := V_RULE0_COMPONENT_SID;
V_RULE_COMPONENTS.EXTEND;
V_RULE0_COMPONENT_SID:=ACM_MDE3.Import_Rule_Condition(P_RULE_SID => V_RULE0_SID,
            P_CONDITION_CODE => 'HAS_SUBJECT',
            P_REGION_ID => 'R2090_PARTICIPANTS');
V_RULE_COMPONENTS(V_RULE_COMPONENTS.LAST) := V_RULE0_COMPONENT_SID;
V_RULE_COMPONENTS.EXTEND;
V_RULE0_COMPONENT_SID:=ACM_MDE3.Import_Rule_Condition(P_RULE_SID => V_RULE0_SID,
            P_CONDITION_CODE => 'HAS_COMPONENT',
            P_REGION_ID => 'R2320_TREASURY_BUREAU');
V_RULE_COMPONENTS(V_RULE_COMPONENTS.LAST) := V_RULE0_COMPONENT_SID;
V_RULE_COMPONENTS.EXTEND;
V_RULE0_COMPONENT_SID:=ACM_MDE3.Import_Rule_Condition(P_RULE_SID => V_RULE0_SID,
            P_CONDITION_CODE => 'TIRA_HAS_SUM_NARR',
            P_REGION_ID => 'R2090_NARRATIVES');
V_RULE_COMPONENTS(V_RULE_COMPONENTS.LAST) := V_RULE0_COMPONENT_SID;
ACM_MDE3.DELETE_RULE_COMPONENTS(P_RULE_SID => V_RULE0_SID, P_EXCEPT_FOR_THESE => V_RULE_COMPONENTS);
-------------------------------------------------------------------
exception
    when OTHERS then
        raise;
end;
/

set scan off
declare
  V_OBJ_TYPE_CODE                   VARCHAR2(300);
  V_RULE0_SID                       T_ACM_RULE.SID%TYPE; -- RULE CHOSEN FOR EXPORT
  V_RULE0_COMPONENT_SID             T_ACM_RULE.SID%TYPE; -- RULE CHOSEN FOR EXPORT
  V_RULES                           T_NUM_ARRAY := T_NUM_ARRAY(); -- 
  V_RULE_COMPONENTS                 T_NUM_ARRAY := T_NUM_ARRAY(); -- 
begin
V_OBJ_TYPE_CODE := 'FILE.TIRA';
V_RULES.EXTEND;
V_RULE0_SID:=ACM_MDE3.Import_Rule(P_OBJ_TYPE_CODE => V_OBJ_TYPE_CODE, 
            P_RULE_TYPE => 'PRE', 
            P_STATUS_CODE => 'CLOSURE', 
            P_DISPLAY => 'Reject', 
            P_ACTIVE => 'Y', 
            P_SEQ => 1, 
            P_RULE_MIN => null, 
            P_RULE_MAX => null, 
            P_INITIATOR_EVAL => 'ALL', 
            P_CONDITION_EVAL => 'ALL', 
            P_PREREQUISITE_EVAL => 'ALL', 
            P_ACTION_PAGE => null, 
            P_EVENT_CODE => 'REJECTED');
V_RULES(V_RULES.LAST) := V_RULE0_SID;
V_RULE_COMPONENTS.EXTEND;
V_RULE0_COMPONENT_SID:=ACM_MDE3.Import_Rule_Initiator(P_RULE_SID => V_RULE0_SID,
            P_INITIATOR_CODE => 'IS_DEFAULT_DATA_GROUP', 
            P_PRIVILEGE_CODE => null);
V_RULE_COMPONENTS(V_RULE_COMPONENTS.LAST) := V_RULE0_COMPONENT_SID;
V_RULE_COMPONENTS.EXTEND;
V_RULE0_COMPONENT_SID:=ACM_MDE3.Import_Rule_Initiator(P_RULE_SID => V_RULE0_SID,
            P_INITIATOR_CODE => 'HAS_PRIV', 
            P_PRIVILEGE_CODE => 'FILE.TIRA.CLOSE');
V_RULE_COMPONENTS(V_RULE_COMPONENTS.LAST) := V_RULE0_COMPONENT_SID;
ACM_MDE3.DELETE_RULE_COMPONENTS(P_RULE_SID => V_RULE0_SID, P_EXCEPT_FOR_THESE => V_RULE_COMPONENTS);
-------------------------------------------------------------------
exception
    when OTHERS then
        raise;
end;
/

set scan off
declare
  V_OBJ_TYPE_CODE                   VARCHAR2(300);
  V_RULE0_SID                       T_ACM_RULE.SID%TYPE; -- RULE CHOSEN FOR EXPORT
  V_RULE0_COMPONENT_SID             T_ACM_RULE.SID%TYPE; -- RULE CHOSEN FOR EXPORT
  V_RULES                           T_NUM_ARRAY := T_NUM_ARRAY(); -- 
  V_RULE_COMPONENTS                 T_NUM_ARRAY := T_NUM_ARRAY(); -- 
begin
V_OBJ_TYPE_CODE := 'FILE.TIRA';
V_RULES.EXTEND;
V_RULE0_SID:=ACM_MDE3.Import_Rule(P_OBJ_TYPE_CODE => V_OBJ_TYPE_CODE, 
            P_RULE_TYPE => 'PRE', 
            P_STATUS_CODE => 'NEW', 
            P_DISPLAY => 'Submit for Closure with Report', 
            P_ACTIVE => 'Y', 
            P_SEQ => 1, 
            P_RULE_MIN => null, 
            P_RULE_MAX => null, 
            P_INITIATOR_EVAL => 'ALL', 
            P_CONDITION_EVAL => 'ALL', 
            P_PREREQUISITE_EVAL => 'ALL', 
            P_ACTION_PAGE => null, 
            P_EVENT_CODE => 'SUBMITTED_W_REPORT');
V_RULES(V_RULES.LAST) := V_RULE0_SID;
V_RULE_COMPONENTS.EXTEND;
V_RULE0_COMPONENT_SID:=ACM_MDE3.Import_Rule_Initiator(P_RULE_SID => V_RULE0_SID,
            P_INITIATOR_CODE => 'IS_DEFAULT_DATA_GROUP', 
            P_PRIVILEGE_CODE => null);
V_RULE_COMPONENTS(V_RULE_COMPONENTS.LAST) := V_RULE0_COMPONENT_SID;
V_RULE_COMPONENTS.EXTEND;
V_RULE0_COMPONENT_SID:=ACM_MDE3.Import_Rule_Initiator(P_RULE_SID => V_RULE0_SID,
            P_INITIATOR_CODE => 'HAS_PRIV', 
            P_PRIVILEGE_CODE => 'FILE.TIRA.SAVE');
V_RULE_COMPONENTS(V_RULE_COMPONENTS.LAST) := V_RULE0_COMPONENT_SID;
ACM_MDE3.DELETE_RULE_COMPONENTS(P_RULE_SID => V_RULE0_SID, P_EXCEPT_FOR_THESE => V_RULE_COMPONENTS);
-------------------------------------------------------------------
exception
    when OTHERS then
        raise;
end;
/

set scan off
declare
  V_OBJ_TYPE_CODE                   VARCHAR2(300);
  V_RULE0_SID                       T_ACM_RULE.SID%TYPE; -- RULE CHOSEN FOR EXPORT
  V_RULE0_COMPONENT_SID             T_ACM_RULE.SID%TYPE; -- RULE CHOSEN FOR EXPORT
  V_RULES                           T_NUM_ARRAY := T_NUM_ARRAY(); -- 
  V_RULE_COMPONENTS                 T_NUM_ARRAY := T_NUM_ARRAY(); -- 
begin
V_OBJ_TYPE_CODE := 'FILE.TIRA';
V_RULES.EXTEND;
V_RULE0_SID:=ACM_MDE3.Import_Rule(P_OBJ_TYPE_CODE => V_OBJ_TYPE_CODE, 
            P_RULE_TYPE => 'PRE', 
            P_STATUS_CODE => 'CLOSURE', 
            P_DISPLAY => 'Close', 
            P_ACTIVE => 'Y', 
            P_SEQ => 3, 
            P_RULE_MIN => null, 
            P_RULE_MAX => null, 
            P_INITIATOR_EVAL => 'ALL', 
            P_CONDITION_EVAL => 'ALL', 
            P_PREREQUISITE_EVAL => 'ALL', 
            P_ACTION_PAGE => null, 
            P_EVENT_CODE => 'CLOSED');
V_RULES(V_RULES.LAST) := V_RULE0_SID;
V_RULE_COMPONENTS.EXTEND;
V_RULE0_COMPONENT_SID:=ACM_MDE3.Import_Rule_Initiator(P_RULE_SID => V_RULE0_SID,
            P_INITIATOR_CODE => 'IS_DEFAULT_DATA_GROUP', 
            P_PRIVILEGE_CODE => null);
V_RULE_COMPONENTS(V_RULE_COMPONENTS.LAST) := V_RULE0_COMPONENT_SID;
V_RULE_COMPONENTS.EXTEND;
V_RULE0_COMPONENT_SID:=ACM_MDE3.Import_Rule_Initiator(P_RULE_SID => V_RULE0_SID,
            P_INITIATOR_CODE => 'HAS_PRIV', 
            P_PRIVILEGE_CODE => 'FILE.TIRA.CLOSE');
V_RULE_COMPONENTS(V_RULE_COMPONENTS.LAST) := V_RULE0_COMPONENT_SID;
V_RULE_COMPONENTS.EXTEND;
V_RULE0_COMPONENT_SID:=ACM_MDE3.Import_Rule_Condition(P_RULE_SID => V_RULE0_SID,
            P_CONDITION_CODE => 'HAS_SUBJECT',
            P_REGION_ID => 'R2090_PARTICIPANTS');
V_RULE_COMPONENTS(V_RULE_COMPONENTS.LAST) := V_RULE0_COMPONENT_SID;
V_RULE_COMPONENTS.EXTEND;
V_RULE0_COMPONENT_SID:=ACM_MDE3.Import_Rule_Condition(P_RULE_SID => V_RULE0_SID,
            P_CONDITION_CODE => 'ASSOC_ACT_EXISTS',
            P_REGION_ID => 'R2090_ASSOCIATED_ACTIVITIES');
V_RULE_COMPONENTS(V_RULE_COMPONENTS.LAST) := V_RULE0_COMPONENT_SID;
V_RULE_COMPONENTS.EXTEND;
V_RULE0_COMPONENT_SID:=ACM_MDE3.Import_Rule_Condition(P_RULE_SID => V_RULE0_SID,
            P_CONDITION_CODE => 'HAS_COMPONENT',
            P_REGION_ID => 'R2320_TREASURY_BUREAU');
V_RULE_COMPONENTS(V_RULE_COMPONENTS.LAST) := V_RULE0_COMPONENT_SID;
V_RULE_COMPONENTS.EXTEND;
V_RULE0_COMPONENT_SID:=ACM_MDE3.Import_Rule_Condition(P_RULE_SID => V_RULE0_SID,
            P_CONDITION_CODE => 'TIRA_HAS_SUM_NARR',
            P_REGION_ID => 'R2090_NARRATIVES');
V_RULE_COMPONENTS(V_RULE_COMPONENTS.LAST) := V_RULE0_COMPONENT_SID;
ACM_MDE3.DELETE_RULE_COMPONENTS(P_RULE_SID => V_RULE0_SID, P_EXCEPT_FOR_THESE => V_RULE_COMPONENTS);
-------------------------------------------------------------------
exception
    when OTHERS then
        raise;
end;
/

set scan off
declare
  V_OBJ_TYPE_CODE                   VARCHAR2(300);
  V_RULE0_SID                       T_ACM_RULE.SID%TYPE; -- RULE CHOSEN FOR EXPORT
  V_RULE0_COMPONENT_SID             T_ACM_RULE.SID%TYPE; -- RULE CHOSEN FOR EXPORT
  V_RULES                           T_NUM_ARRAY := T_NUM_ARRAY(); -- 
  V_RULE_COMPONENTS                 T_NUM_ARRAY := T_NUM_ARRAY(); -- 
begin
V_OBJ_TYPE_CODE := 'FILE.TIRA';
V_RULES.EXTEND;
V_RULE0_SID:=ACM_MDE3.Import_Rule(P_OBJ_TYPE_CODE => V_OBJ_TYPE_CODE, 
            P_RULE_TYPE => 'PRE', 
            P_STATUS_CODE => 'CLOSED', 
            P_DISPLAY => 'Reopen', 
            P_ACTIVE => 'Y', 
            P_SEQ => 1, 
            P_RULE_MIN => null, 
            P_RULE_MAX => null, 
            P_INITIATOR_EVAL => 'ALL', 
            P_CONDITION_EVAL => 'ALL', 
            P_PREREQUISITE_EVAL => 'ALL', 
            P_ACTION_PAGE => null, 
            P_EVENT_CODE => 'REOPENED');
V_RULES(V_RULES.LAST) := V_RULE0_SID;
V_RULE_COMPONENTS.EXTEND;
V_RULE0_COMPONENT_SID:=ACM_MDE3.Import_Rule_Initiator(P_RULE_SID => V_RULE0_SID,
            P_INITIATOR_CODE => 'IS_DEFAULT_DATA_GROUP', 
            P_PRIVILEGE_CODE => null);
V_RULE_COMPONENTS(V_RULE_COMPONENTS.LAST) := V_RULE0_COMPONENT_SID;
V_RULE_COMPONENTS.EXTEND;
V_RULE0_COMPONENT_SID:=ACM_MDE3.Import_Rule_Initiator(P_RULE_SID => V_RULE0_SID,
            P_INITIATOR_CODE => 'HAS_PRIV', 
            P_PRIVILEGE_CODE => 'FILE.TIRA.CLOSE');
V_RULE_COMPONENTS(V_RULE_COMPONENTS.LAST) := V_RULE0_COMPONENT_SID;
ACM_MDE3.DELETE_RULE_COMPONENTS(P_RULE_SID => V_RULE0_SID, P_EXCEPT_FOR_THESE => V_RULE_COMPONENTS);
-------------------------------------------------------------------
exception
    when OTHERS then
        raise;
end;
/

set scan off
declare
  V_OBJ_TYPE_CODE                   VARCHAR2(300);
  V_RULE0_SID                       T_ACM_RULE.SID%TYPE; -- RULE CHOSEN FOR EXPORT
  V_RULE0_COMPONENT_SID             T_ACM_RULE.SID%TYPE; -- RULE CHOSEN FOR EXPORT
  V_RULES                           T_NUM_ARRAY := T_NUM_ARRAY(); -- 
  V_RULE_COMPONENTS                 T_NUM_ARRAY := T_NUM_ARRAY(); -- 
begin
V_OBJ_TYPE_CODE := 'FILE.TIRA';
V_RULES.EXTEND;
V_RULE0_SID:=ACM_MDE3.Import_Rule(P_OBJ_TYPE_CODE => V_OBJ_TYPE_CODE, 
            P_RULE_TYPE => 'PRE', 
            P_STATUS_CODE => 'OPEN', 
            P_DISPLAY => 'Submit for Closure', 
            P_ACTIVE => 'Y', 
            P_SEQ => 1, 
            P_RULE_MIN => null, 
            P_RULE_MAX => null, 
            P_INITIATOR_EVAL => 'ALL', 
            P_CONDITION_EVAL => 'ALL', 
            P_PREREQUISITE_EVAL => 'ALL', 
            P_ACTION_PAGE => null, 
            P_EVENT_CODE => 'SUBMITTED');
V_RULES(V_RULES.LAST) := V_RULE0_SID;
V_RULE_COMPONENTS.EXTEND;
V_RULE0_COMPONENT_SID:=ACM_MDE3.Import_Rule_Initiator(P_RULE_SID => V_RULE0_SID,
            P_INITIATOR_CODE => 'IS_DEFAULT_DATA_GROUP', 
            P_PRIVILEGE_CODE => null);
V_RULE_COMPONENTS(V_RULE_COMPONENTS.LAST) := V_RULE0_COMPONENT_SID;
V_RULE_COMPONENTS.EXTEND;
V_RULE0_COMPONENT_SID:=ACM_MDE3.Import_Rule_Initiator(P_RULE_SID => V_RULE0_SID,
            P_INITIATOR_CODE => 'HAS_PRIV', 
            P_PRIVILEGE_CODE => 'FILE.TIRA.SAVE');
V_RULE_COMPONENTS(V_RULE_COMPONENTS.LAST) := V_RULE0_COMPONENT_SID;
V_RULE_COMPONENTS.EXTEND;
V_RULE0_COMPONENT_SID:=ACM_MDE3.Import_Rule_Condition(P_RULE_SID => V_RULE0_SID,
            P_CONDITION_CODE => 'HAS_SUBJECT',
            P_REGION_ID => 'R2090_PARTICIPANTS');
V_RULE_COMPONENTS(V_RULE_COMPONENTS.LAST) := V_RULE0_COMPONENT_SID;
V_RULE_COMPONENTS.EXTEND;
V_RULE0_COMPONENT_SID:=ACM_MDE3.Import_Rule_Condition(P_RULE_SID => V_RULE0_SID,
            P_CONDITION_CODE => 'ASSOC_ACT_EXISTS',
            P_REGION_ID => 'R2090_ASSOCIATED_ACTIVITIES');
V_RULE_COMPONENTS(V_RULE_COMPONENTS.LAST) := V_RULE0_COMPONENT_SID;
V_RULE_COMPONENTS.EXTEND;
V_RULE0_COMPONENT_SID:=ACM_MDE3.Import_Rule_Condition(P_RULE_SID => V_RULE0_SID,
            P_CONDITION_CODE => 'HAS_COMPONENT',
            P_REGION_ID => 'R2320_TREASURY_BUREAU');
V_RULE_COMPONENTS(V_RULE_COMPONENTS.LAST) := V_RULE0_COMPONENT_SID;
V_RULE_COMPONENTS.EXTEND;
V_RULE0_COMPONENT_SID:=ACM_MDE3.Import_Rule_Condition(P_RULE_SID => V_RULE0_SID,
            P_CONDITION_CODE => 'TIRA_HAS_SUM_NARR',
            P_REGION_ID => 'R2090_NARRATIVES');
V_RULE_COMPONENTS(V_RULE_COMPONENTS.LAST) := V_RULE0_COMPONENT_SID;
ACM_MDE3.DELETE_RULE_COMPONENTS(P_RULE_SID => V_RULE0_SID, P_EXCEPT_FOR_THESE => V_RULE_COMPONENTS);
-------------------------------------------------------------------
exception
    when OTHERS then
        raise;
end;
/

set scan off
declare
  V_OBJ_TYPE_CODE                   VARCHAR2(300);
  V_RULE0_SID                       T_ACM_RULE.SID%TYPE; -- RULE CHOSEN FOR EXPORT
  V_RULE0_COMPONENT_SID             T_ACM_RULE.SID%TYPE; -- RULE CHOSEN FOR EXPORT
  V_RULES                           T_NUM_ARRAY := T_NUM_ARRAY(); -- 
  V_RULE_COMPONENTS                 T_NUM_ARRAY := T_NUM_ARRAY(); -- 
begin
V_OBJ_TYPE_CODE := 'FILE.TIRA';
V_RULES.EXTEND;
V_RULE0_SID:=ACM_MDE3.Import_Rule(P_OBJ_TYPE_CODE => V_OBJ_TYPE_CODE, 
            P_RULE_TYPE => 'POST', 
            P_STATUS_CODE => 'APPROVAL', 
            P_DISPLAY => 'Approve', 
            P_ACTIVE => 'Y', 
            P_SEQ => 2, 
            P_RULE_MIN => 1, 
            P_RULE_MAX => null, 
            P_INITIATOR_EVAL => 'ALL', 
            P_CONDITION_EVAL => 'ALL', 
            P_PREREQUISITE_EVAL => 'ALL', 
            P_ACTION_PAGE => 20, 
            P_EVENT_CODE => 'APPROVED');
V_RULES(V_RULES.LAST) := V_RULE0_SID;
V_RULE_COMPONENTS.EXTEND;
V_RULE0_COMPONENT_SID:=ACM_MDE3.Import_Rule_Process(P_RULE_SID => V_RULE0_SID,
            P_PROCESS_CODE => 'CHANGE_STATUS',
            P_SEQ => 3, 
            P_STATUS_CODE => 'OPEN', 
            P_NOTIF_TYPE_CODE => null);
V_RULE_COMPONENTS(V_RULE_COMPONENTS.LAST) := V_RULE0_COMPONENT_SID;
ACM_MDE3.DELETE_RULE_COMPONENTS(P_RULE_SID => V_RULE0_SID, P_EXCEPT_FOR_THESE => V_RULE_COMPONENTS);
-------------------------------------------------------------------
exception
    when OTHERS then
        raise;
end;
/

