
UPDATE T_ACM_OBJ_TYPE
SET DISPLAY = 'TIRA', DISPLAY_LONG = 'Treasury Insider Risk Assessment File'
WHERE OBJ_TYPE_CODE = 'FILE.TIRA';

--Rule fix

set scan off
declare
  V_OBJ_TYPE_CODE                   VARCHAR2(300);
  V_RULE0_SID                       T_ACM_RULE.SID%TYPE; -- RULE CHOSEN FOR EXPORT
  V_RULE0_COMPONENT_SID             T_ACM_RULE.SID%TYPE; -- RULE CHOSEN FOR EXPORT
  V_RULES                           T_NUM_ARRAY := T_NUM_ARRAY(); -- 
  V_RULE_COMPONENTS                 T_NUM_ARRAY := T_NUM_ARRAY(); -- 
begin
V_OBJ_TYPE_CODE := 'FILE.TIRA';
V_RULES.EXTEND;
V_RULE0_SID:=ACM_MDE3.Import_Rule(P_OBJ_TYPE_CODE => V_OBJ_TYPE_CODE, 
            P_RULE_TYPE => 'PRE', 
            P_STATUS_CODE => 'APPROVAL', 
            P_DISPLAY => 'Approve', 
            P_ACTIVE => 'Y', 
            P_SEQ => 1, 
            P_RULE_MIN => null, 
            P_RULE_MAX => null, 
            P_INITIATOR_EVAL => 'ALL', 
            P_CONDITION_EVAL => 'ALL', 
            P_PREREQUISITE_EVAL => 'ALL', 
            P_ACTION_PAGE => null, 
            P_EVENT_CODE => 'APPROVED');
V_RULES(V_RULES.LAST) := V_RULE0_SID;
V_RULE_COMPONENTS.EXTEND;
V_RULE0_COMPONENT_SID:=ACM_MDE3.Import_Rule_Initiator(P_RULE_SID => V_RULE0_SID,
            P_INITIATOR_CODE => 'IS_DEFAULT_DATA_GROUP', 
            P_PRIVILEGE_CODE => null);
V_RULE_COMPONENTS(V_RULE_COMPONENTS.LAST) := V_RULE0_COMPONENT_SID;
V_RULE_COMPONENTS.EXTEND;
V_RULE0_COMPONENT_SID:=ACM_MDE3.Import_Rule_Initiator(P_RULE_SID => V_RULE0_SID,
            P_INITIATOR_CODE => 'HAS_PRIV', 
            P_PRIVILEGE_CODE => 'FILE.TIRA.CLOSE');
V_RULE_COMPONENTS(V_RULE_COMPONENTS.LAST) := V_RULE0_COMPONENT_SID;
V_RULE_COMPONENTS.EXTEND;
V_RULE0_COMPONENT_SID:=ACM_MDE3.Import_Rule_Condition(P_RULE_SID => V_RULE0_SID,
            P_CONDITION_CODE => 'HAS_COMPONENT',
            P_REGION_ID => 'R2320_TREASURY_BUREAU');
V_RULE_COMPONENTS(V_RULE_COMPONENTS.LAST) := V_RULE0_COMPONENT_SID;
V_RULE_COMPONENTS.EXTEND;
V_RULE0_COMPONENT_SID:=ACM_MDE3.Import_Rule_Condition(P_RULE_SID => V_RULE0_SID,
            P_CONDITION_CODE => 'HAS_SUBJECT',
            P_REGION_ID => 'R2090_PARTICIPANTS');
V_RULE_COMPONENTS(V_RULE_COMPONENTS.LAST) := V_RULE0_COMPONENT_SID;
V_RULE_COMPONENTS.EXTEND;
V_RULE0_COMPONENT_SID:=ACM_MDE3.Import_Rule_Condition(P_RULE_SID => V_RULE0_SID,
            P_CONDITION_CODE => 'TIRA_HAS_SUM_NARR',
            P_REGION_ID => 'R2090_NARRATIVES');
V_RULE_COMPONENTS(V_RULE_COMPONENTS.LAST) := V_RULE0_COMPONENT_SID;
ACM_MDE3.DELETE_RULE_COMPONENTS(P_RULE_SID => V_RULE0_SID, P_EXCEPT_FOR_THESE => V_RULE_COMPONENTS);
-------------------------------------------------------------------
exception
    when OTHERS then
        raise;
end;
/

set scan off
declare
  V_OBJ_TYPE_CODE                   VARCHAR2(300);
  V_RULE0_SID                       T_ACM_RULE.SID%TYPE; -- RULE CHOSEN FOR EXPORT
  V_RULE0_COMPONENT_SID             T_ACM_RULE.SID%TYPE; -- RULE CHOSEN FOR EXPORT
  V_RULES                           T_NUM_ARRAY := T_NUM_ARRAY(); -- 
  V_RULE_COMPONENTS                 T_NUM_ARRAY := T_NUM_ARRAY(); -- 
begin
V_OBJ_TYPE_CODE := 'FILE.TIRA';
V_RULES.EXTEND;
V_RULE0_SID:=ACM_MDE3.Import_Rule(P_OBJ_TYPE_CODE => V_OBJ_TYPE_CODE, 
            P_RULE_TYPE => 'PRE', 
            P_STATUS_CODE => 'CLOSURE', 
            P_DISPLAY => 'Close', 
            P_ACTIVE => 'Y', 
            P_SEQ => 3, 
            P_RULE_MIN => null, 
            P_RULE_MAX => null, 
            P_INITIATOR_EVAL => 'ALL', 
            P_CONDITION_EVAL => 'ALL', 
            P_PREREQUISITE_EVAL => 'ALL', 
            P_ACTION_PAGE => null, 
            P_EVENT_CODE => 'CLOSED');
V_RULES(V_RULES.LAST) := V_RULE0_SID;
V_RULE_COMPONENTS.EXTEND;
V_RULE0_COMPONENT_SID:=ACM_MDE3.Import_Rule_Initiator(P_RULE_SID => V_RULE0_SID,
            P_INITIATOR_CODE => 'IS_DEFAULT_DATA_GROUP', 
            P_PRIVILEGE_CODE => null);
V_RULE_COMPONENTS(V_RULE_COMPONENTS.LAST) := V_RULE0_COMPONENT_SID;
V_RULE_COMPONENTS.EXTEND;
V_RULE0_COMPONENT_SID:=ACM_MDE3.Import_Rule_Initiator(P_RULE_SID => V_RULE0_SID,
            P_INITIATOR_CODE => 'HAS_PRIV', 
            P_PRIVILEGE_CODE => 'FILE.TIRA.CLOSE');
V_RULE_COMPONENTS(V_RULE_COMPONENTS.LAST) := V_RULE0_COMPONENT_SID;
V_RULE_COMPONENTS.EXTEND;
V_RULE0_COMPONENT_SID:=ACM_MDE3.Import_Rule_Condition(P_RULE_SID => V_RULE0_SID,
            P_CONDITION_CODE => 'HAS_COMPONENT',
            P_REGION_ID => 'R2320_TREASURY_BUREAU');
V_RULE_COMPONENTS(V_RULE_COMPONENTS.LAST) := V_RULE0_COMPONENT_SID;
V_RULE_COMPONENTS.EXTEND;
V_RULE0_COMPONENT_SID:=ACM_MDE3.Import_Rule_Condition(P_RULE_SID => V_RULE0_SID,
            P_CONDITION_CODE => 'HAS_SUBJECT',
            P_REGION_ID => 'R2090_PARTICIPANTS');
V_RULE_COMPONENTS(V_RULE_COMPONENTS.LAST) := V_RULE0_COMPONENT_SID;
V_RULE_COMPONENTS.EXTEND;
V_RULE0_COMPONENT_SID:=ACM_MDE3.Import_Rule_Condition(P_RULE_SID => V_RULE0_SID,
            P_CONDITION_CODE => 'TIRA_HAS_SUM_NARR',
            P_REGION_ID => 'R2090_NARRATIVES');
V_RULE_COMPONENTS(V_RULE_COMPONENTS.LAST) := V_RULE0_COMPONENT_SID;
ACM_MDE3.DELETE_RULE_COMPONENTS(P_RULE_SID => V_RULE0_SID, P_EXCEPT_FOR_THESE => V_RULE_COMPONENTS);
-------------------------------------------------------------------
exception
    when OTHERS then
        raise;
end;
/

set scan off
declare
  V_OBJ_TYPE_CODE                   VARCHAR2(300);
  V_RULE0_SID                       T_ACM_RULE.SID%TYPE; -- RULE CHOSEN FOR EXPORT
  V_RULE0_COMPONENT_SID             T_ACM_RULE.SID%TYPE; -- RULE CHOSEN FOR EXPORT
  V_RULES                           T_NUM_ARRAY := T_NUM_ARRAY(); -- 
  V_RULE_COMPONENTS                 T_NUM_ARRAY := T_NUM_ARRAY(); -- 
begin
V_OBJ_TYPE_CODE := 'FILE.TIRA';
V_RULES.EXTEND;
V_RULE0_SID:=ACM_MDE3.Import_Rule(P_OBJ_TYPE_CODE => V_OBJ_TYPE_CODE, 
            P_RULE_TYPE => 'PRE', 
            P_STATUS_CODE => 'NEW', 
            P_DISPLAY => 'Submit for Approval', 
            P_ACTIVE => 'Y', 
            P_SEQ => 1, 
            P_RULE_MIN => null, 
            P_RULE_MAX => null, 
            P_INITIATOR_EVAL => 'ALL', 
            P_CONDITION_EVAL => 'ALL', 
            P_PREREQUISITE_EVAL => 'ALL', 
            P_ACTION_PAGE => null, 
            P_EVENT_CODE => 'SUBMITTED');
V_RULES(V_RULES.LAST) := V_RULE0_SID;
V_RULE_COMPONENTS.EXTEND;
V_RULE0_COMPONENT_SID:=ACM_MDE3.Import_Rule_Initiator(P_RULE_SID => V_RULE0_SID,
            P_INITIATOR_CODE => 'IS_DEFAULT_DATA_GROUP', 
            P_PRIVILEGE_CODE => null);
V_RULE_COMPONENTS(V_RULE_COMPONENTS.LAST) := V_RULE0_COMPONENT_SID;
V_RULE_COMPONENTS.EXTEND;
V_RULE0_COMPONENT_SID:=ACM_MDE3.Import_Rule_Initiator(P_RULE_SID => V_RULE0_SID,
            P_INITIATOR_CODE => 'HAS_PRIV', 
            P_PRIVILEGE_CODE => 'FILE.TIRA.SAVE');
V_RULE_COMPONENTS(V_RULE_COMPONENTS.LAST) := V_RULE0_COMPONENT_SID;
V_RULE_COMPONENTS.EXTEND;
V_RULE0_COMPONENT_SID:=ACM_MDE3.Import_Rule_Condition(P_RULE_SID => V_RULE0_SID,
            P_CONDITION_CODE => 'HAS_COMPONENT',
            P_REGION_ID => 'R2320_TREASURY_BUREAU');
V_RULE_COMPONENTS(V_RULE_COMPONENTS.LAST) := V_RULE0_COMPONENT_SID;
V_RULE_COMPONENTS.EXTEND;
V_RULE0_COMPONENT_SID:=ACM_MDE3.Import_Rule_Condition(P_RULE_SID => V_RULE0_SID,
            P_CONDITION_CODE => 'HAS_SUBJECT',
            P_REGION_ID => 'R2090_PARTICIPANTS');
V_RULE_COMPONENTS(V_RULE_COMPONENTS.LAST) := V_RULE0_COMPONENT_SID;
V_RULE_COMPONENTS.EXTEND;
V_RULE0_COMPONENT_SID:=ACM_MDE3.Import_Rule_Condition(P_RULE_SID => V_RULE0_SID,
            P_CONDITION_CODE => 'TIRA_HAS_SUM_NARR',
            P_REGION_ID => 'R2090_NARRATIVES');
V_RULE_COMPONENTS(V_RULE_COMPONENTS.LAST) := V_RULE0_COMPONENT_SID;
ACM_MDE3.DELETE_RULE_COMPONENTS(P_RULE_SID => V_RULE0_SID, P_EXCEPT_FOR_THESE => V_RULE_COMPONENTS);
-------------------------------------------------------------------
exception
    when OTHERS then
        raise;
end;
/

set scan off
declare
  V_OBJ_TYPE_CODE                   VARCHAR2(300);
  V_RULE0_SID                       T_ACM_RULE.SID%TYPE; -- RULE CHOSEN FOR EXPORT
  V_RULE0_COMPONENT_SID             T_ACM_RULE.SID%TYPE; -- RULE CHOSEN FOR EXPORT
  V_RULES                           T_NUM_ARRAY := T_NUM_ARRAY(); -- 
  V_RULE_COMPONENTS                 T_NUM_ARRAY := T_NUM_ARRAY(); -- 
begin
V_OBJ_TYPE_CODE := 'FILE.TIRA';
V_RULES.EXTEND;
V_RULE0_SID:=ACM_MDE3.Import_Rule(P_OBJ_TYPE_CODE => V_OBJ_TYPE_CODE, 
            P_RULE_TYPE => 'PRE', 
            P_STATUS_CODE => 'OPEN', 
            P_DISPLAY => 'Submit for Closure', 
            P_ACTIVE => 'Y', 
            P_SEQ => 1, 
            P_RULE_MIN => null, 
            P_RULE_MAX => null, 
            P_INITIATOR_EVAL => 'ALL', 
            P_CONDITION_EVAL => 'ALL', 
            P_PREREQUISITE_EVAL => 'ALL', 
            P_ACTION_PAGE => null, 
            P_EVENT_CODE => 'SUBMITTED');
V_RULES(V_RULES.LAST) := V_RULE0_SID;
V_RULE_COMPONENTS.EXTEND;
V_RULE0_COMPONENT_SID:=ACM_MDE3.Import_Rule_Initiator(P_RULE_SID => V_RULE0_SID,
            P_INITIATOR_CODE => 'IS_DEFAULT_DATA_GROUP', 
            P_PRIVILEGE_CODE => null);
V_RULE_COMPONENTS(V_RULE_COMPONENTS.LAST) := V_RULE0_COMPONENT_SID;
V_RULE_COMPONENTS.EXTEND;
V_RULE0_COMPONENT_SID:=ACM_MDE3.Import_Rule_Initiator(P_RULE_SID => V_RULE0_SID,
            P_INITIATOR_CODE => 'HAS_PRIV', 
            P_PRIVILEGE_CODE => 'FILE.TIRA.SAVE');
V_RULE_COMPONENTS(V_RULE_COMPONENTS.LAST) := V_RULE0_COMPONENT_SID;
V_RULE_COMPONENTS.EXTEND;
V_RULE0_COMPONENT_SID:=ACM_MDE3.Import_Rule_Condition(P_RULE_SID => V_RULE0_SID,
            P_CONDITION_CODE => 'HAS_COMPONENT',
            P_REGION_ID => 'R2320_TREASURY_BUREAU');
V_RULE_COMPONENTS(V_RULE_COMPONENTS.LAST) := V_RULE0_COMPONENT_SID;
V_RULE_COMPONENTS.EXTEND;
V_RULE0_COMPONENT_SID:=ACM_MDE3.Import_Rule_Condition(P_RULE_SID => V_RULE0_SID,
            P_CONDITION_CODE => 'HAS_SUBJECT',
            P_REGION_ID => 'R2090_PARTICIPANTS');
V_RULE_COMPONENTS(V_RULE_COMPONENTS.LAST) := V_RULE0_COMPONENT_SID;
V_RULE_COMPONENTS.EXTEND;
V_RULE0_COMPONENT_SID:=ACM_MDE3.Import_Rule_Condition(P_RULE_SID => V_RULE0_SID,
            P_CONDITION_CODE => 'TIRA_HAS_SUM_NARR',
            P_REGION_ID => 'R2090_NARRATIVES');
V_RULE_COMPONENTS(V_RULE_COMPONENTS.LAST) := V_RULE0_COMPONENT_SID;
ACM_MDE3.DELETE_RULE_COMPONENTS(P_RULE_SID => V_RULE0_SID, P_EXCEPT_FOR_THESE => V_RULE_COMPONENTS);
-------------------------------------------------------------------
exception
    when OTHERS then
        raise;
end;
/

