prompt /* *************************** 202200966_dml ****************************** */ 
prompt ...applying IP 202200966_dml

-- DHS entries to USDT
-- Update T_ACM_REFERENCE entries
DECLARE
    rec_cnt NUMBER := 0;
    cnt     NUMBER := 0;
BEGIN
    SELECT
        COUNT(*)
    INTO rec_cnt
    FROM
        t_acm_reference
    WHERE
        display LIKE '%DHS%';

    IF rec_cnt > 0 THEN
        WHILE cnt <= rec_cnt LOOP
            UPDATE t_acm_reference
            SET
                display = replace(display, 'DHS KIO or Component Head', 'USDT employee')
            WHERE
                display LIKE '%DHS%';

            UPDATE t_acm_reference
            SET
                display = replace(display, 'DHS or Homeland Security Enterprise', 'USDT')
            WHERE
                display LIKE '%DHS%';

            UPDATE t_acm_reference
            SET
                display = replace(display, 'DHS or the Homeland Security Enterprise', 'USDT')
            WHERE
                display LIKE '%DHS%';

            UPDATE t_acm_reference
            SET
                display = replace(display, 'DHS', 'USDT')
            WHERE
                display LIKE '%DHS%';

            cnt := cnt + 1;
        END LOOP;

    END IF;

COMMIT;
END;
/

-- Update T_A_COORD_REF entries
DECLARE
  rec_cnt NUMBER := 0;
  cnt     NUMBER := 0;
BEGIN
  SELECT count(*) INTO rec_cnt FROM T_A_COORD_REF WHERE DISPLAY LIKE '%DHS%';

  IF rec_cnt > 0 THEN
    WHILE cnt <= rec_cnt LOOP

      UPDATE T_A_COORD_REF
      SET DISPLAY = REPLACE(DISPLAY, 'DHS Component/HQ', 'Treasury Bureau/HQ')
      WHERE DISPLAY LIKE '%DHS%';

      cnt := cnt + 1;

    END LOOP;
  END IF;
COMMIT;
END;
/

-- Update T_F_CA_CRITERIA_REF
DECLARE
  rec_cnt NUMBER := 0;
  cnt     NUMBER := 0;
BEGIN
  SELECT count(*) INTO rec_cnt FROM T_F_CA_CRITERIA_REF WHERE DISPLAY LIKE '%DHS%';

  IF rec_cnt > 0 THEN
    WHILE cnt <= rec_cnt LOOP

      UPDATE T_F_CA_CRITERIA_REF
      SET DISPLAY = REPLACE(DISPLAY, 'DHS', 'USDT')
      WHERE DISPLAY LIKE '%DHS%';

      cnt := cnt + 1;

    END LOOP;
  END IF;
COMMIT;
END;
/

-- Update T_F_ICIR_REF
DECLARE
  rec_cnt NUMBER := 0;
  cnt     NUMBER := 0;
BEGIN
  SELECT count(*) INTO rec_cnt FROM T_F_ICIR_REF WHERE DISPLAY LIKE '%DHS%';

  IF rec_cnt > 0 THEN
    WHILE cnt <= rec_cnt LOOP

      UPDATE T_F_ICIR_REF
      SET DISPLAY = REPLACE(DISPLAY, 'DHS', 'USDT')
      WHERE DISPLAY LIKE '%DHS%';

      cnt := cnt + 1;

    END LOOP;
  END IF;
COMMIT;
END;
/

-- Update T_F_INV_CI_CAMPAIGN_REF
DECLARE
  rec_cnt NUMBER := 0;
  cnt     NUMBER := 0;
BEGIN
  SELECT count(*) INTO rec_cnt FROM T_F_INV_CI_CAMPAIGN_REF WHERE DISPLAY LIKE '%DHS%';

  IF rec_cnt > 0 THEN
    WHILE cnt <= rec_cnt LOOP

      UPDATE T_F_INV_CI_CAMPAIGN_REF
      SET DEV_COMMENT = REPLACE(DEV_COMMENT, 'DHS', 'USDT')
      WHERE DISPLAY LIKE '%DHS%';
      
      UPDATE T_F_INV_CI_CAMPAIGN_REF
      SET DISPLAY = REPLACE(DISPLAY, 'DHS', 'USDT')
      WHERE DISPLAY LIKE '%DHS%';

      cnt := cnt + 1;

    END LOOP;
  END IF;
COMMIT;
END;
/

-- Component entries to Bureau
-- Update T_ACM_REFERENCE entries
DECLARE
  rec_cnt NUMBER := 0;
  cnt     NUMBER := 0;
BEGIN
  SELECT count(*) INTO rec_cnt FROM T_ACM_REFERENCE WHERE DISPLAY LIKE '%Component%';

  IF rec_cnt > 0 THEN
    WHILE cnt <= rec_cnt LOOP

      UPDATE T_ACM_REFERENCE
      SET DISPLAY = REPLACE(DISPLAY, 'Component', 'Bureau')
      WHERE DISPLAY LIKE '%Component%';

      cnt := cnt + 1;

    END LOOP;
  END IF;
COMMIT;
END;
/

-- update T_F_IT_DISPOSITION_REF entries
DECLARE
  rec_cnt NUMBER := 0;
  cnt     NUMBER := 0;
BEGIN
  SELECT count(*) INTO rec_cnt FROM T_F_IT_DISPOSITION_REF WHERE DISPLAY LIKE '%Component%';

  IF rec_cnt > 0 THEN
    WHILE cnt <= rec_cnt LOOP

      UPDATE T_F_IT_DISPOSITION_REF
      SET DISPLAY = REPLACE(DISPLAY, 'Component', 'Bureau')
      WHERE DISPLAY LIKE '%Component%';

      cnt := cnt + 1;

    END LOOP;
  END IF;
COMMIT;
END;
/

-- Update T_F_DISPOSITION_REF entries
DECLARE
  rec_cnt NUMBER := 0;
  cnt     NUMBER := 0;
BEGIN
  SELECT count(*) INTO rec_cnt FROM T_F_DISPOSITION_REF WHERE DISPLAY LIKE '%Component%';

  IF rec_cnt > 0 THEN
    WHILE cnt <= rec_cnt LOOP

      UPDATE T_F_DISPOSITION_REF
      SET DISPLAY = REPLACE(DISPLAY, 'Component', 'Bureau')
      WHERE DISPLAY LIKE '%Component%';

      cnt := cnt + 1;

    END LOOP;
  END IF;
COMMIT;
END;
/

-- Update T_F_INV_REF entries
DECLARE
  rec_cnt NUMBER := 0;
  cnt     NUMBER := 0;
BEGIN
  SELECT count(*) INTO rec_cnt FROM T_F_INV_REF WHERE DESCRIPTION LIKE '%Component%';

  IF rec_cnt > 0 THEN
    WHILE cnt <= rec_cnt LOOP

      UPDATE T_F_INV_REF
      SET DESCRIPTION = REPLACE(DESCRIPTION, 'Component', 'Bureau')
      WHERE DESCRIPTION LIKE '%Component%';

      cnt := cnt + 1;

    END LOOP;
  END IF;
COMMIT;
END;
/

prompt ...done applying IP 202200966_dml 
prompt /* *************************** 202200966_dml ****************************** */
