prompt --application/set_environment
set define off verify off feedback off
whenever sqlerror exit sql.sqlcode rollback
--------------------------------------------------------------------------------
--
-- ORACLE Application Express (APEX) export file
--
-- You should run the script connected to SQL*Plus as the Oracle user
-- APEX_190200 or as the owner (parsing schema) of the application.
--
-- NOTE: Calls to apex_application_install override the defaults below.
--
--------------------------------------------------------------------------------
begin
wwv_flow_api.import_begin (
 p_version_yyyy_mm_dd=>'2019.10.04'
,p_release=>'19.2.0.00.18'
,p_default_workspace_id=>apex_util.find_security_group_id(user)
,p_default_application_id=>100
,p_default_id_offset=>0
,p_default_owner=>'ACM'
);
end;
/
 
prompt APPLICATION 100 - CI2MS
--
-- Application Export:
--   Application:     100
--   Name:            CI2MS
--   Date and Time:   08:09 Thursday November 10, 2022
--   Exported By:     DAVID.CLOER
--   Flashback:       0
--   Export Type:     Page Export
--   Manifest
--     PAGE: 4000
--   Manifest End
--   Version:         19.2.0.00.18
--   Instance ID:     199039407005378
--

begin
null;
end;
/
prompt --application/pages/delete_04000
begin
wwv_flow_api.remove_page (p_flow_id=>wwv_flow.g_flow_id, p_page_id=>4000);
end;
/
prompt --application/pages/page_04000
begin
wwv_flow_api.create_page(
 p_id=>4000
,p_user_interface_id=>wwv_flow_api.id(1724376430811806)
,p_name=>'Personnel'
,p_step_title=>'Personnel'
,p_first_item=>'AUTO_FIRST_ITEM'
,p_autocomplete_on_off=>'ON'
,p_group_id=>wwv_flow_api.id(170780162908428103)
,p_step_template=>wwv_flow_api.id(3648650640051096)
,p_page_template_options=>'#DEFAULT#'
,p_required_role=>wwv_flow_api.id(5469764320376770)
,p_read_only_when_type=>'PLSQL_EXPRESSION'
,p_read_only_when=>'ACM_UI.CHECK_PAGE_READ_ONLY'
,p_help_text=>'No help is available for this page.'
,p_last_updated_by=>'DAVID.CLOER'
,p_last_upd_yyyymmddhh24miss=>'20221110080359'
);
wwv_flow_api.create_page_plug(
 p_id=>wwv_flow_api.id(3122640970995620)
,p_plug_name=>'Navigation'
,p_region_template_options=>'#DEFAULT#:is-expanded:t-Region--scrollBody:t-Form--slimPadding:t-Form--leftLabels'
,p_component_template_options=>'#DEFAULT#'
,p_plug_template=>wwv_flow_api.id(1694478717811776)
,p_plug_display_sequence=>40
,p_include_in_reg_disp_sel_yn=>'Y'
,p_plug_display_point=>'REGION_POSITION_02'
,p_plug_source_type=>'PLUGIN_I2MS.NAV_WIDGET_REGION'
,p_plug_query_options=>'DERIVED_REPORT_COLUMNS'
,p_plug_display_condition_type=>'SQL_EXPRESSION'
,p_plug_display_when_condition=>':P&APP_PAGE_ID._OBJ IS NOT NULL'
);
wwv_flow_api.create_page_plug(
 p_id=>wwv_flow_api.id(3567453350527042)
,p_plug_name=>'Personnel Involvement'
,p_region_template_options=>'#DEFAULT#:is-expanded:t-Region--scrollBody:t-Form--slimPadding:t-Form--leftLabels'
,p_plug_template=>wwv_flow_api.id(1694478717811776)
,p_plug_display_sequence=>100
,p_plug_display_point=>'BODY'
,p_query_type=>'SQL'
,p_plug_source=>wwv_flow_string.join(wwv_flow_t_varchar2(
'SELECT OT.DISPLAY     OBJECT_TYPE,',
'       O.SID          OBJ,',
'       O.TAGLINE      TITLE,',
'       OT.PAGE_EDIT,',
'       OT.PAGE_POPUP,',
'       TASR.DISPLAY   ROLE,',
'       VOS.DISPLAY STATUS,',
'       TAS.START_DATE,',
'       TAS.END_DATE',
'FROM T_ACM_STAKEHOLDER TAS',
'INNER JOIN T_ACM_OBJ O ON TAS.OBJ = O.SID',
'INNER JOIN T_ACM_OBJ_TYPE OT ON O.OBJ_TYPE = OT.SID',
'INNER JOIN T_ACM_STAKEHOLDER_ROLE TASR ON TASR.SID = TAS.SH_ROLE',
'LEFT OUTER JOIN V_OBJ_STATUS VOS ON VOS.OBJ = O.SID',
'WHERE TAS.STAKEHOLDER = :P4000_OBJ',
'ORDER BY TAS.SID DESC'))
,p_plug_source_type=>'NATIVE_IR'
,p_ajax_items_to_submit=>'P4000_OBJ'
,p_plug_query_options=>'DERIVED_REPORT_COLUMNS'
,p_plug_query_show_nulls_as=>' - '
,p_plug_display_condition_type=>'ITEM_IS_NOT_NULL'
,p_plug_display_when_condition=>'P4000_OBJ'
,p_pagination_display_position=>'BOTTOM_RIGHT'
);
wwv_flow_api.create_worksheet(
 p_id=>wwv_flow_api.id(3567542209527042)
,p_name=>'Personnel Involvement'
,p_max_row_count=>'1000000'
,p_max_row_count_message=>'The maximum row count for this report is #MAX_ROW_COUNT# rows.  Please apply a filter to reduce the number of records in your query.'
,p_no_data_found_message=>'No data found.'
,p_allow_report_categories=>'N'
,p_show_nulls_as=>'-'
,p_pagination_type=>'ROWS_X_TO_Y'
,p_pagination_display_pos=>'BOTTOM_RIGHT'
,p_report_list_mode=>'TABS'
,p_show_detail_link=>'N'
,p_show_calendar=>'N'
,p_download_formats=>'CSV:HTML:EMAIL:XLS:PDF:RTF'
,p_detail_link_text=>'<img src="#IMAGE_PREFIX#menu/pencil16x16.gif" alt="" />'
,p_icon_view_columns_per_row=>1
,p_owner=>'KYLE'
,p_internal_uid=>3567542209527042
);
wwv_flow_api.create_worksheet_column(
 p_id=>wwv_flow_api.id(3569017147527056)
,p_db_column_name=>'START_DATE'
,p_display_order=>10
,p_column_identifier=>'D'
,p_column_label=>'Start Date'
,p_column_type=>'DATE'
,p_heading_alignment=>'LEFT'
,p_format_mask=>'&FMT_DATE.'
,p_tz_dependent=>'N'
);
wwv_flow_api.create_worksheet_column(
 p_id=>wwv_flow_api.id(3569442521527057)
,p_db_column_name=>'END_DATE'
,p_display_order=>20
,p_column_identifier=>'E'
,p_column_label=>'End Date'
,p_column_type=>'DATE'
,p_heading_alignment=>'LEFT'
,p_format_mask=>'&FMT_DATE.'
,p_tz_dependent=>'N'
);
wwv_flow_api.create_worksheet_column(
 p_id=>wwv_flow_api.id(5776193483365907)
,p_db_column_name=>'TITLE'
,p_display_order=>30
,p_column_identifier=>'O'
,p_column_label=>'Title'
,p_column_link=>'f?p=&APP_ID.:#PAGE_POPUP#:&SESSION.::&DEBUG.:RP,#PAGE_POPUP#:P#PAGE_POPUP#_OBJ:#OBJ#'
,p_column_linktext=>'#TITLE#'
,p_column_type=>'STRING'
);
wwv_flow_api.create_worksheet_column(
 p_id=>wwv_flow_api.id(5775885757365904)
,p_db_column_name=>'OBJ'
,p_display_order=>40
,p_column_identifier=>'L'
,p_column_label=>'Obj'
,p_column_type=>'STRING'
,p_display_text_as=>'HIDDEN'
);
wwv_flow_api.create_worksheet_column(
 p_id=>wwv_flow_api.id(5775973228365905)
,p_db_column_name=>'PAGE_EDIT'
,p_display_order=>50
,p_column_identifier=>'M'
,p_column_label=>'Page edit'
,p_column_type=>'NUMBER'
,p_display_text_as=>'HIDDEN'
);
wwv_flow_api.create_worksheet_column(
 p_id=>wwv_flow_api.id(5776048618365906)
,p_db_column_name=>'PAGE_POPUP'
,p_display_order=>60
,p_column_identifier=>'N'
,p_column_label=>'Page popup'
,p_column_type=>'NUMBER'
,p_display_text_as=>'HIDDEN'
);
wwv_flow_api.create_worksheet_column(
 p_id=>wwv_flow_api.id(17395285863833123)
,p_db_column_name=>'OBJECT_TYPE'
,p_display_order=>70
,p_column_identifier=>'H'
,p_column_label=>'Object type'
,p_column_type=>'STRING'
);
wwv_flow_api.create_worksheet_column(
 p_id=>wwv_flow_api.id(17395490237833125)
,p_db_column_name=>'ROLE'
,p_display_order=>80
,p_column_identifier=>'J'
,p_column_label=>'Role'
,p_column_type=>'STRING'
);
wwv_flow_api.create_worksheet_column(
 p_id=>wwv_flow_api.id(6953128378919001)
,p_db_column_name=>'STATUS'
,p_display_order=>90
,p_column_identifier=>'P'
,p_column_label=>'Status'
,p_column_type=>'STRING'
);
wwv_flow_api.create_worksheet_rpt(
 p_id=>wwv_flow_api.id(3569824967527606)
,p_application_user=>'APXWS_DEFAULT'
,p_report_seq=>10
,p_report_alias=>'35699'
,p_status=>'PUBLIC'
,p_is_default=>'Y'
,p_report_columns=>'START_DATE:END_DATE:TITLE:OBJECT_TYPE:ROLE::STATUS'
);
wwv_flow_api.create_page_plug(
 p_id=>wwv_flow_api.id(6599173634792859)
,p_plug_name=>'Details'
,p_region_template_options=>'#DEFAULT#:is-expanded:t-Region--hiddenOverflow:t-Form--leftLabels:t-Form--slimPadding'
,p_plug_template=>wwv_flow_api.id(1694478717811776)
,p_plug_display_sequence=>10
,p_plug_display_point=>'BODY'
,p_plug_query_options=>'DERIVED_REPORT_COLUMNS'
,p_plug_read_only_when_type=>'PLSQL_EXPRESSION'
,p_plug_read_only_when=>'ACM_UI.CHECK_PAGE_READ_ONLY'
,p_attribute_01=>'N'
,p_attribute_02=>'TEXT'
,p_attribute_03=>'Y'
);
wwv_flow_api.create_page_plug(
 p_id=>wwv_flow_api.id(6613109972075935)
,p_plug_name=>'User Account'
,p_region_name=>'user-account-region-container'
,p_region_template_options=>'#DEFAULT#:is-expanded:t-Region--hiddenOverflow:t-Form--slimPadding:t-Form--leftLabels'
,p_plug_template=>wwv_flow_api.id(1694478717811776)
,p_plug_display_sequence=>20
,p_plug_new_grid_row=>false
,p_plug_display_point=>'BODY'
,p_plug_query_num_rows=>15
,p_plug_query_options=>'DERIVED_REPORT_COLUMNS'
,p_plug_display_condition_type=>'ITEM_IS_NOT_NULL'
,p_plug_display_when_condition=>'P4000_OBJ'
,p_attribute_01=>'N'
,p_attribute_02=>'HTML'
,p_attribute_03=>'Y'
);
wwv_flow_api.create_page_plug(
 p_id=>wwv_flow_api.id(11826220915418993)
,p_plug_name=>'System Privileges'
,p_region_name=>'system-priv-region-container'
,p_region_template_options=>'#DEFAULT#:is-expanded:t-Region--hiddenOverflow:t-Form--slimPadding:t-Form--leftLabels'
,p_plug_template=>wwv_flow_api.id(1694478717811776)
,p_plug_display_sequence=>60
,p_plug_display_point=>'BODY'
,p_plug_query_num_rows=>15
,p_plug_query_options=>'DERIVED_REPORT_COLUMNS'
,p_plug_display_condition_type=>'ITEM_IS_NOT_NULL'
,p_plug_display_when_condition=>'P4000_OBJ'
,p_attribute_01=>'N'
,p_attribute_02=>'HTML'
,p_attribute_03=>'Y'
);
wwv_flow_api.create_report_region(
 p_id=>wwv_flow_api.id(11826586106421006)
,p_name=>'Privilege Groups'
,p_parent_plug_id=>wwv_flow_api.id(11826220915418993)
,p_template=>wwv_flow_api.id(1698100915811778)
,p_display_sequence=>70
,p_region_template_options=>'#DEFAULT#:t-Region--scrollBody:t-Form--slimPadding:t-Form--leftLabels'
,p_component_template_options=>'#DEFAULT#:t-Report--altRowsDefault:t-Report--rowHighlight'
,p_new_grid_row=>false
,p_display_point=>'BODY'
,p_source_type=>'NATIVE_SQL_REPORT'
,p_query_type=>'SQL'
,p_source=>wwv_flow_string.join(wwv_flow_t_varchar2(
'select pg.sid, g.display',
'from t_acm_personnel_pgroup pg',
'inner join t_acm_priv_group g on pg.acm_pgroup = g.sid',
'where pg.personnel = :P4000_OBJ',
'ORDER BY PG.SID',
''))
,p_ajax_enabled=>'Y'
,p_ajax_items_to_submit=>'P4000_OBJ'
,p_query_row_template=>wwv_flow_api.id(1706976520811782)
,p_query_num_rows=>15
,p_query_options=>'DERIVED_REPORT_COLUMNS'
,p_query_show_nulls_as=>' - '
,p_query_no_data_found=>'User has no privilege groups.'
,p_query_num_rows_type=>'NEXT_PREVIOUS_LINKS'
,p_query_row_count_max=>500
,p_pagination_display_position=>'BOTTOM_RIGHT'
,p_csv_output=>'N'
,p_prn_output=>'N'
,p_sort_null=>'L'
,p_plug_query_strip_html=>'Y'
);
wwv_flow_api.create_report_columns(
 p_id=>wwv_flow_api.id(11826841594421007)
,p_query_column_id=>1
,p_column_alias=>'SID'
,p_column_display_sequence=>1
,p_column_heading=>'Edit'
,p_column_link=>'f?p=&APP_ID.:4011:&SESSION.::&DEBUG.:4011:P4011_SID:#SID#'
,p_column_linktext=>'<img src="#IMAGE_PREFIX#app_ui/img/icons/apex-edit-pencil.png" class="apex-edit-pencil" alt="Edit #DISPLAY# group">'
,p_column_alignment=>'CENTER'
,p_display_when_cond_type=>'PLSQL_EXPRESSION'
,p_display_when_condition=>'acm_bpe.check_action(''EDIT_PRIV_GROUP'',:P4000_OBJ) = ''Y'''
,p_derived_column=>'N'
,p_include_in_export=>'Y'
);
wwv_flow_api.create_report_columns(
 p_id=>wwv_flow_api.id(11827109430421009)
,p_query_column_id=>2
,p_column_alias=>'DISPLAY'
,p_column_display_sequence=>2
,p_column_heading=>'Group'
);
wwv_flow_api.create_report_region(
 p_id=>wwv_flow_api.id(11830649554465784)
,p_name=>'Special Privileges'
,p_parent_plug_id=>wwv_flow_api.id(11826220915418993)
,p_template=>wwv_flow_api.id(1698100915811778)
,p_display_sequence=>80
,p_region_template_options=>'#DEFAULT#:t-Region--scrollBody:t-Form--slimPadding:t-Form--leftLabels'
,p_component_template_options=>'#DEFAULT#:t-Report--altRowsDefault:t-Report--rowHighlight'
,p_new_grid_row=>false
,p_display_point=>'BODY'
,p_source_type=>'NATIVE_SQL_REPORT'
,p_query_type=>'SQL'
,p_source=>wwv_flow_string.join(wwv_flow_t_varchar2(
'SELECT',
'    PP.SID,P.DISPLAY',
'FROM',
'    T_ACM_PERSONNEL_PRIV PP',
'INNER JOIN T_ACM_PRIVILEGE P ON PP.ACM_PRIV = P.SID',
'WHERE',
'    PP.PERSONNEL =:P4000_OBJ',
'ORDER BY PP.SID'))
,p_ajax_enabled=>'Y'
,p_ajax_items_to_submit=>'P4000_OBJ'
,p_query_row_template=>wwv_flow_api.id(1706976520811782)
,p_query_num_rows=>15
,p_query_options=>'DERIVED_REPORT_COLUMNS'
,p_query_show_nulls_as=>' - '
,p_query_no_data_found=>'User has no special privileges.'
,p_query_num_rows_type=>'NEXT_PREVIOUS_LINKS'
,p_query_row_count_max=>500
,p_pagination_display_position=>'BOTTOM_RIGHT'
,p_csv_output=>'N'
,p_prn_output=>'N'
,p_sort_null=>'L'
,p_plug_query_strip_html=>'Y'
);
wwv_flow_api.create_report_columns(
 p_id=>wwv_flow_api.id(11830935016465784)
,p_query_column_id=>1
,p_column_alias=>'SID'
,p_column_display_sequence=>1
,p_column_heading=>'Edit'
,p_column_link=>'f?p=&APP_ID.:4012:&SESSION.:EDIT:&DEBUG.:4012:P4012_SID:#SID#'
,p_column_linktext=>'<img src="#IMAGE_PREFIX#app_ui/img/icons/apex-edit-pencil.png" class="apex-edit-pencil" alt="Edit the #DISPLAY# privilege">'
,p_column_alignment=>'CENTER'
,p_display_when_cond_type=>'PLSQL_EXPRESSION'
,p_display_when_condition=>'acm_bpe.check_action(''EDIT_PRIV'',:P4000_OBJ) = ''Y'''
,p_derived_column=>'N'
,p_include_in_export=>'Y'
);
wwv_flow_api.create_report_columns(
 p_id=>wwv_flow_api.id(11831399553465785)
,p_query_column_id=>2
,p_column_alias=>'DISPLAY'
,p_column_display_sequence=>2
,p_column_heading=>'Privilege'
);
wwv_flow_api.create_report_region(
 p_id=>wwv_flow_api.id(12990183930651909)
,p_name=>'Subscribed Notifications'
,p_region_name=>'subbed-notif-region-container'
,p_template=>wwv_flow_api.id(1694478717811776)
,p_display_sequence=>90
,p_region_template_options=>'#DEFAULT#:is-expanded:t-Region--hiddenOverflow:t-Form--slimPadding:t-Form--leftLabels'
,p_component_template_options=>'#DEFAULT#:t-Report--altRowsDefault:t-Report--rowHighlight'
,p_display_point=>'BODY'
,p_source_type=>'NATIVE_SQL_REPORT'
,p_query_type=>'SQL'
,p_source=>wwv_flow_string.join(wwv_flow_t_varchar2(
'select ns.sid, nt.display as "Notification Type"',
'from t_acm_notif_subscriber ns',
'INNER JOIN t_acm_notif_type nt ON nt.sid = ns.notif_type',
'where ns.subscriber = :P4000_OBJ',
'ORDER BY NS.SID'))
,p_display_when_condition=>'P4000_OBJ'
,p_display_condition_type=>'ITEM_IS_NOT_NULL'
,p_ajax_enabled=>'Y'
,p_ajax_items_to_submit=>'P4000_OBJ'
,p_query_row_template=>wwv_flow_api.id(1706976520811782)
,p_query_num_rows=>15
,p_query_options=>'DERIVED_REPORT_COLUMNS'
,p_query_show_nulls_as=>' - '
,p_query_no_data_found=>'no data found'
,p_query_num_rows_type=>'NEXT_PREVIOUS_LINKS'
,p_query_row_count_max=>500
,p_pagination_display_position=>'BOTTOM_RIGHT'
,p_csv_output=>'N'
,p_prn_output=>'N'
,p_sort_null=>'L'
,p_plug_query_strip_html=>'Y'
);
wwv_flow_api.create_report_columns(
 p_id=>wwv_flow_api.id(12993130321661154)
,p_query_column_id=>1
,p_column_alias=>'SID'
,p_column_display_sequence=>1
,p_column_heading=>'Edit'
,p_use_as_row_header=>'N'
,p_column_link=>'f?p=&APP_ID.:4016:&SESSION.::&DEBUG.:4016:P4016_SID:#SID#'
,p_column_linktext=>'<img src="#IMAGE_PREFIX#app_ui/img/icons/apex-edit-pencil.png" class="apex-edit-pencil" alt="Edit #Notification Type#">'
,p_column_alignment=>'CENTER'
,p_display_as=>'WITHOUT_MODIFICATION'
,p_lov_show_nulls=>'YES'
,p_lov_display_extra=>'YES'
,p_include_in_export=>'Y'
);
wwv_flow_api.create_report_columns(
 p_id=>wwv_flow_api.id(12991197169651912)
,p_query_column_id=>2
,p_column_alias=>'Notification Type'
,p_column_display_sequence=>2
,p_column_heading=>'Notification Type'
);
wwv_flow_api.create_page_plug(
 p_id=>wwv_flow_api.id(14269226635887851)
,p_plug_name=>'Unit and Roles'
,p_region_name=>'unit-and-roles-region-container'
,p_region_template_options=>'#DEFAULT#:is-expanded:t-Region--scrollBody:t-Form--slimPadding:t-Form--leftLabels'
,p_plug_template=>wwv_flow_api.id(1694478717811776)
,p_plug_display_sequence=>30
,p_plug_display_point=>'BODY'
,p_plug_query_num_rows=>15
,p_plug_query_options=>'DERIVED_REPORT_COLUMNS'
,p_plug_display_condition_type=>'ITEM_IS_NOT_NULL'
,p_plug_display_when_condition=>'P4000_OBJ'
,p_attribute_01=>'N'
,p_attribute_02=>'HTML'
,p_attribute_03=>'Y'
);
wwv_flow_api.create_report_region(
 p_id=>wwv_flow_api.id(9893375313354414)
,p_name=>'Roles (Roles are not used; please ignore)'
,p_region_name=>'report-unit-role'
,p_parent_plug_id=>wwv_flow_api.id(14269226635887851)
,p_template=>wwv_flow_api.id(1698100915811778)
,p_display_sequence=>50
,p_region_template_options=>'#DEFAULT#:t-Region--scrollBody:t-Form--slimPadding:t-Form--leftLabels'
,p_component_template_options=>'#DEFAULT#:t-Report--altRowsDefault:t-Report--rowHighlight'
,p_new_grid_row=>false
,p_display_point=>'BODY'
,p_source_type=>'NATIVE_SQL_REPORT'
,p_query_type=>'SQL'
,p_source=>wwv_flow_string.join(wwv_flow_t_varchar2(
'select pr.sid, r.display, (select unit_name from t_unit where obj = p.unit) as unit,',
'    pr.start_date, pr.end_date',
'from t_unit_role r, t_unit_personnel_role pr, t_unit_personnel p',
'where p.personnel = :P4000_OBJ',
'  and pr.role = r.sid',
'  and pr.assignment = p.sid',
'  and sysdate between p.start_date and nvl(p.end_date, sysdate+1)',
'order by pr.end_date desc nulls first, pr.start_date desc',
''))
,p_ajax_enabled=>'Y'
,p_ajax_items_to_submit=>'P4000_OBJ'
,p_query_row_template=>wwv_flow_api.id(1706976520811782)
,p_query_num_rows=>5
,p_query_options=>'DERIVED_REPORT_COLUMNS'
,p_query_show_nulls_as=>' - '
,p_query_no_data_found=>'User has no roles.'
,p_query_num_rows_type=>'NEXT_PREVIOUS_LINKS'
,p_query_row_count_max=>500
,p_pagination_display_position=>'BOTTOM_RIGHT'
,p_csv_output=>'N'
,p_prn_output=>'N'
,p_sort_null=>'L'
,p_plug_query_strip_html=>'Y'
);
wwv_flow_api.create_report_columns(
 p_id=>wwv_flow_api.id(9931555891579829)
,p_query_column_id=>1
,p_column_alias=>'SID'
,p_column_display_sequence=>1
,p_column_heading=>'Edit'
,p_column_link=>'f?p=&APP_ID.:4014:&SESSION.::&DEBUG.:4014:P4014_SID:#SID#'
,p_column_linktext=>'<img src="#IMAGE_PREFIX#app_ui/img/icons/apex-edit-pencil.png" class="apex-edit-pencil" alt="Edit the #DISPLAY# role">'
,p_column_alignment=>'CENTER'
,p_display_when_cond_type=>'PLSQL_EXPRESSION'
,p_display_when_condition=>'acm_bpe.check_action(''EDIT_UNIT_ROLE'',:P4000_OBJ) = ''Y'''
,p_derived_column=>'N'
,p_include_in_export=>'Y'
);
wwv_flow_api.create_report_columns(
 p_id=>wwv_flow_api.id(9893933542354421)
,p_query_column_id=>2
,p_column_alias=>'DISPLAY'
,p_column_display_sequence=>2
,p_column_heading=>'Role'
);
wwv_flow_api.create_report_columns(
 p_id=>wwv_flow_api.id(11895457113075917)
,p_query_column_id=>3
,p_column_alias=>'UNIT'
,p_column_display_sequence=>3
,p_column_heading=>'Unit'
);
wwv_flow_api.create_report_columns(
 p_id=>wwv_flow_api.id(12104398430435167)
,p_query_column_id=>4
,p_column_alias=>'START_DATE'
,p_column_display_sequence=>4
,p_column_heading=>'Start Date'
,p_column_format=>'&FMT_DATE.'
);
wwv_flow_api.create_report_columns(
 p_id=>wwv_flow_api.id(12085215285921071)
,p_query_column_id=>5
,p_column_alias=>'END_DATE'
,p_column_display_sequence=>5
,p_column_heading=>'End Date'
,p_column_format=>'&FMT_DATE.'
);
wwv_flow_api.create_report_region(
 p_id=>wwv_flow_api.id(9982082371685906)
,p_name=>'Unit Assignment'
,p_parent_plug_id=>wwv_flow_api.id(14269226635887851)
,p_template=>wwv_flow_api.id(1698100915811778)
,p_display_sequence=>40
,p_region_template_options=>'#DEFAULT#:t-Region--scrollBody:t-Form--slimPadding:t-Form--leftLabels'
,p_component_template_options=>'#DEFAULT#:t-Report--altRowsDefault:t-Report--rowHighlight'
,p_display_point=>'BODY'
,p_source_type=>'NATIVE_SQL_REPORT'
,p_query_type=>'SQL'
,p_source=>wwv_flow_string.join(wwv_flow_t_varchar2(
'SELECT UP.SID,',
'       O.SID UNIT_OBJ,',
'       OT.PAGE_POPUP,',
'       O.TAGLINE UNIT_NAME,',
'       UP.START_DATE,',
'       UP.END_DATE',
'FROM T_UNIT_PERSONNEL UP',
'     INNER JOIN T_ACM_OBJ O ON O.SID = UP.UNIT',
'     INNER JOIN T_ACM_OBJ_TYPE OT ON OT.SID = O.OBJ_TYPE',
'WHERE UP.PERSONNEL = :P4000_OBJ',
'ORDER BY UP.END_DATE DESC NULLS FIRST,',
'         UP.START_DATE DESC'))
,p_ajax_enabled=>'Y'
,p_ajax_items_to_submit=>'P4000_OBJ'
,p_query_row_template=>wwv_flow_api.id(1706976520811782)
,p_query_num_rows=>5
,p_query_options=>'DERIVED_REPORT_COLUMNS'
,p_query_show_nulls_as=>' - '
,p_query_break_cols=>'0'
,p_query_no_data_found=>'User has no Unit assignment.'
,p_query_num_rows_type=>'NEXT_PREVIOUS_LINKS'
,p_query_row_count_max=>500
,p_pagination_display_position=>'BOTTOM_RIGHT'
,p_break_type_flag=>'DEFAULT_BREAK_FORMATTING'
,p_csv_output=>'N'
,p_plug_query_strip_html=>'Y'
);
wwv_flow_api.create_report_columns(
 p_id=>wwv_flow_api.id(11865055787749378)
,p_query_column_id=>1
,p_column_alias=>'SID'
,p_column_display_sequence=>1
,p_column_link=>'f?p=&APP_ID.:4013:&SESSION.::&DEBUG.:4013:P4013_SID,P4013_OBJ:#SID#,&P4000_OBJ.'
,p_column_linktext=>'<img src="#IMAGE_PREFIX#app_ui/img/icons/apex-edit-pencil.png" class="apex-edit-pencil" alt="Edit #UNIT_NAME#">'
,p_column_alignment=>'CENTER'
,p_display_when_cond_type=>'PLSQL_EXPRESSION'
,p_display_when_condition=>'acm_bpe.check_action(''EDIT_UNIT_ASSIGN'',:P4000_OBJ) = ''Y'''
,p_derived_column=>'N'
,p_include_in_export=>'Y'
);
wwv_flow_api.create_report_columns(
 p_id=>wwv_flow_api.id(5945279465092007)
,p_query_column_id=>2
,p_column_alias=>'UNIT_OBJ'
,p_column_display_sequence=>3
,p_hidden_column=>'Y'
,p_derived_column=>'N'
);
wwv_flow_api.create_report_columns(
 p_id=>wwv_flow_api.id(5945361092092008)
,p_query_column_id=>3
,p_column_alias=>'PAGE_POPUP'
,p_column_display_sequence=>4
,p_hidden_column=>'Y'
,p_derived_column=>'N'
);
wwv_flow_api.create_report_columns(
 p_id=>wwv_flow_api.id(9983756272718032)
,p_query_column_id=>4
,p_column_alias=>'UNIT_NAME'
,p_column_display_sequence=>5
,p_column_heading=>'Unit'
,p_column_link=>'f?p=&APP_ID.:#PAGE_POPUP#:&SESSION.::&DEBUG.:RP,#PAGE_POPUP#:P#PAGE_POPUP#_SID:#UNIT_OBJ#'
,p_column_linktext=>'#UNIT_NAME#'
,p_display_as=>'WITHOUT_MODIFICATION'
,p_derived_column=>'N'
,p_include_in_export=>'Y'
);
wwv_flow_api.create_report_columns(
 p_id=>wwv_flow_api.id(9984116323718032)
,p_query_column_id=>5
,p_column_alias=>'START_DATE'
,p_column_display_sequence=>6
,p_column_heading=>'Start Date'
,p_use_as_row_header=>'N'
,p_column_format=>'&FMT_DATE.'
,p_derived_column=>'N'
,p_include_in_export=>'Y'
);
wwv_flow_api.create_report_columns(
 p_id=>wwv_flow_api.id(9984537263718034)
,p_query_column_id=>6
,p_column_alias=>'END_DATE'
,p_column_display_sequence=>7
,p_column_heading=>'End Date'
,p_use_as_row_header=>'N'
,p_column_format=>'&FMT_DATE.'
,p_derived_column=>'N'
,p_include_in_export=>'Y'
);
wwv_flow_api.create_report_columns(
 p_id=>wwv_flow_api.id(3524660700195714)
,p_query_column_id=>7
,p_column_alias=>'DERIVED$01'
,p_column_display_sequence=>2
,p_column_link=>'f?p=&APP_ID.:4013:&SESSION.::&DEBUG.:RP,4013:P4013_SID,P4013_OBJ:#SID#,&P4000_OBJ.'
,p_column_linktext=>'<img src="#IMAGE_PREFIX#app_ui/img/icons/apex-edit-view.png" class="apex-edit-view" alt="">'
,p_column_alignment=>'CENTER'
,p_display_when_cond_type=>'PLSQL_EXPRESSION'
,p_display_when_condition=>'acm_bpe.check_action(''EDIT_UNIT_ASSIGN'',:P4000_OBJ) != ''Y'''
,p_derived_column=>'Y'
,p_include_in_export=>'Y'
);
wwv_flow_api.create_page_plug(
 p_id=>wwv_flow_api.id(61480257034816885)
,p_plug_name=>'Page Header'
,p_region_name=>'page_header'
,p_region_template_options=>'t-Form--slimPadding'
,p_plug_template=>wwv_flow_api.id(1701496427811779)
,p_plug_display_sequence=>5
,p_plug_display_point=>'REGION_POSITION_01'
,p_plug_item_display_point=>'BELOW'
,p_plug_source_type=>'PLUGIN_I2MS.PAGE_HEADER'
,p_plug_query_options=>'DERIVED_REPORT_COLUMNS'
,p_attribute_01=>'P&APP_PAGE_ID._OBJ'
);
wwv_flow_api.create_page_plug(
 p_id=>wwv_flow_api.id(27687272517993308)
,p_plug_name=>'vltButtonHolder'
,p_region_name=>'vltButtonHolder'
,p_parent_plug_id=>wwv_flow_api.id(61480257034816885)
,p_region_template_options=>'#DEFAULT#:t-Form--slimPadding:t-Form--leftLabels'
,p_region_attributes=>'style="right: 0px;"'
,p_plug_template=>wwv_flow_api.id(1690005324811773)
,p_plug_display_sequence=>110
,p_plug_display_point=>'BODY'
,p_plug_source_type=>'PLUGIN_I2MS.VLT_ACTIONS_REGION'
,p_plug_query_options=>'DERIVED_REPORT_COLUMNS'
,p_plug_display_condition_type=>'SQL_EXPRESSION'
,p_plug_display_when_condition=>':P&APP_PAGE_ID._OBJ IS NOT NULL'
,p_attribute_01=>'P&APP_PAGE_ID._OBJ'
);
wwv_flow_api.create_page_button(
 p_id=>wwv_flow_api.id(186150188663276625)
,p_button_sequence=>160
,p_button_plug_id=>wwv_flow_api.id(6613109972075935)
,p_button_name=>'REMOVE_TEMP_LOCK'
,p_button_static_id=>'REMOVE_TEMP_LOCK'
,p_button_action=>'DEFINED_BY_DA'
,p_button_template_id=>wwv_flow_api.id(1719101084811790)
,p_button_image_alt=>'Remove Temporary Lock'
,p_button_position=>'BODY'
,p_warn_on_unsaved_changes=>null
,p_button_condition=>wwv_flow_string.join(wwv_flow_t_varchar2(
'if :P4000_TEMP_LOCK IS NOT NULL and GET_CONFIG(''PKI_ENABLED'') = ''N'' then',
'  return true;',
'else',
'  return false;',
'end if;'))
,p_button_condition_type=>'FUNCTION_BODY'
,p_grid_new_row=>'Y'
);
wwv_flow_api.create_page_button(
 p_id=>wwv_flow_api.id(12689006514089510)
,p_button_sequence=>170
,p_button_plug_id=>wwv_flow_api.id(6613109972075935)
,p_button_name=>'CHANGE_PASSWORD'
,p_button_static_id=>'P4000_CHANGE_PASSWORD'
,p_button_action=>'REDIRECT_PAGE'
,p_button_template_id=>wwv_flow_api.id(1719101084811790)
,p_button_image_alt=>'Change Password'
,p_button_position=>'BODY'
,p_button_redirect_url=>'f?p=&APP_ID.:103:&SESSION.::&DEBUG.::P103_RETURN_PAGE:4000'
,p_button_condition=>':P4000_OBJ = :PERSONNEL_OBJ'
,p_button_condition_type=>'PLSQL_EXPRESSION'
,p_grid_new_row=>'Y'
,p_security_scheme=>'MUST_NOT_BE_PUBLIC_USER'
);
wwv_flow_api.create_page_button(
 p_id=>wwv_flow_api.id(14365214573846595)
,p_button_sequence=>180
,p_button_plug_id=>wwv_flow_api.id(6613109972075935)
,p_button_name=>'RESET_PASSWORD'
,p_button_action=>'REDIRECT_PAGE'
,p_button_template_options=>'#DEFAULT#:t-Button--iconRight'
,p_button_template_id=>wwv_flow_api.id(1719282226811790)
,p_button_image_alt=>'Reset Password'
,p_button_position=>'BODY'
,p_button_redirect_url=>'f?p=&APP_ID.:20:&SESSION.::&DEBUG.:20:P20_EVENT_CODE,P20_OBJ:PASSWORD_RESET,&P4000_OBJ.'
,p_button_condition=>wwv_flow_string.join(wwv_flow_t_varchar2(
'if (ACM_BPE.CHECK_ACTION(''RESET_PASSWORD'',:P4000_OBJ) = ''Y'') and (:P4000_OBJ != :PERSONNEL_OBJ) and (GET_CONFIG(''PKI_ENABLED'') = ''N'')',
'AND',
'(:P4000_PERSONNEL_UNIT = :PERSONNEL_UNIT OR :P4000_PERSONNEL_DIVISION = :PERSONNEL_DIVISION)',
' then',
'  return true;',
'else',
'  return false;',
'end if;'))
,p_button_condition_type=>'FUNCTION_BODY'
,p_icon_css_classes=>'fa-refresh'
,p_grid_new_row=>'N'
,p_grid_new_column=>'N'
);
wwv_flow_api.create_page_button(
 p_id=>wwv_flow_api.id(29503316572557903)
,p_button_sequence=>190
,p_button_plug_id=>wwv_flow_api.id(6613109972075935)
,p_button_name=>'RESET_PKI_ACCT'
,p_button_action=>'SUBMIT'
,p_button_template_options=>'#DEFAULT#'
,p_button_template_id=>wwv_flow_api.id(1719101084811790)
,p_button_image_alt=>'Reset PKI Account'
,p_button_position=>'BODY'
,p_button_condition=>wwv_flow_string.join(wwv_flow_t_varchar2(
'if (ACM_BPE.CHECK_ACTION(''RESET_PASSWORD'',:P4000_OBJ) = ''Y'') and (:P4000_OBJ != :PERSONNEL_OBJ) and (GET_CONFIG(''PKI_ENABLED'') = ''Y'')',
'AND',
'(:P4000_PERSONNEL_UNIT = :PERSONNEL_UNIT OR :P4000_PERSONNEL_DIVISION = :PERSONNEL_DIVISION)',
' then',
'  return true;',
'else',
'  return false;',
'end if;'))
,p_button_condition_type=>'FUNCTION_BODY'
,p_grid_new_row=>'Y'
);
wwv_flow_api.create_page_button(
 p_id=>wwv_flow_api.id(61481369215816931)
,p_button_sequence=>60
,p_button_plug_id=>wwv_flow_api.id(61480257034816885)
,p_button_name=>'CREATE'
,p_button_static_id=>'create'
,p_button_action=>'SUBMIT'
,p_button_template_options=>'#DEFAULT#:t-Button--iconRight'
,p_button_template_id=>wwv_flow_api.id(10225064190350856)
,p_button_image_alt=>'Create'
,p_button_position=>'REGION_TEMPLATE_CREATE'
,p_button_condition=>':P&APP_PAGE_ID._OBJ IS NULL'
,p_button_condition_type=>'SQL_EXPRESSION'
,p_security_scheme=>wwv_flow_api.id(72970226767143604)
);
wwv_flow_api.create_page_button(
 p_id=>wwv_flow_api.id(61481794659816931)
,p_button_sequence=>65
,p_button_plug_id=>wwv_flow_api.id(61480257034816885)
,p_button_name=>'DELETE'
,p_button_action=>'DEFINED_BY_DA'
,p_button_template_options=>'#DEFAULT#:t-Button--iconRight'
,p_button_template_id=>wwv_flow_api.id(10009339916085685)
,p_button_image_alt=>'Delete'
,p_button_position=>'REGION_TEMPLATE_DELETE'
,p_warn_on_unsaved_changes=>null
,p_button_condition=>':P&APP_PAGE_ID._OBJ IS NOT NULL'
,p_button_condition_type=>'SQL_EXPRESSION'
,p_security_scheme=>wwv_flow_api.id(73010276736178896)
,p_database_action=>'DELETE'
);
wwv_flow_api.create_page_button(
 p_id=>wwv_flow_api.id(61480991908816929)
,p_button_sequence=>50
,p_button_plug_id=>wwv_flow_api.id(61480257034816885)
,p_button_name=>'SAVE'
,p_button_static_id=>'save'
,p_button_action=>'SUBMIT'
,p_button_template_options=>'#DEFAULT#:t-Button--iconRight'
,p_button_template_id=>wwv_flow_api.id(10001553045979843)
,p_button_image_alt=>'Save'
,p_button_position=>'REGION_TEMPLATE_NEXT'
,p_button_condition=>':P&APP_PAGE_ID._OBJ IS NOT NULL'
,p_button_condition_type=>'SQL_EXPRESSION'
,p_security_scheme=>wwv_flow_api.id(71870379768586784)
);
wwv_flow_api.create_page_button(
 p_id=>wwv_flow_api.id(61482148348816932)
,p_button_sequence=>70
,p_button_plug_id=>wwv_flow_api.id(61480257034816885)
,p_button_name=>'COLLAPSE_EXPAND_THINGS'
,p_button_action=>'DEFINED_BY_DA'
,p_button_template_options=>'#DEFAULT#:t-Button--iconRight'
,p_button_template_id=>wwv_flow_api.id(10003508401982631)
,p_button_image_alt=>'Expand/Collapse All Regions'
,p_button_position=>'REGION_TEMPLATE_NEXT'
,p_warn_on_unsaved_changes=>null
,p_button_condition=>':P&APP_PAGE_ID._OBJ IS NOT NULL'
,p_button_condition_type=>'SQL_EXPRESSION'
);
wwv_flow_api.create_page_button(
 p_id=>wwv_flow_api.id(61480542113816925)
,p_button_sequence=>40
,p_button_plug_id=>wwv_flow_api.id(61480257034816885)
,p_button_name=>'BACK'
,p_button_action=>'DEFINED_BY_DA'
,p_button_template_options=>'#DEFAULT#:t-Button--iconRight'
,p_button_template_id=>wwv_flow_api.id(10002533769981117)
,p_button_image_alt=>'Back'
,p_button_position=>'REGION_TEMPLATE_PREVIOUS'
);
wwv_flow_api.create_page_button(
 p_id=>wwv_flow_api.id(9896908420364867)
,p_button_sequence=>50
,p_button_plug_id=>wwv_flow_api.id(9893375313354414)
,p_button_name=>'ADD_ROLE'
,p_button_static_id=>'add-unit-role-button'
,p_button_action=>'REDIRECT_PAGE'
,p_button_template_options=>'#DEFAULT#:t-Button--iconRight'
,p_button_template_id=>wwv_flow_api.id(10225064190350856)
,p_button_image_alt=>'Add Role'
,p_button_position=>'TOP'
,p_button_alignment=>'LEFT'
,p_button_redirect_url=>'f?p=&APP_ID.:4014:&SESSION.::&DEBUG.:RP,4014:P4014_PERSONNEL:&P4000_OBJ.'
,p_button_condition=>'acm_bpe.check_action(''ADD_UNIT_ROLE'',:P4000_OBJ) = ''Y'''
,p_button_condition_type=>'PLSQL_EXPRESSION'
,p_button_cattributes=>'style="display:none"'
);
wwv_flow_api.create_page_button(
 p_id=>wwv_flow_api.id(9983191468685909)
,p_button_sequence=>50
,p_button_plug_id=>wwv_flow_api.id(9982082371685906)
,p_button_name=>'ADD_UNIT_ASSIGN'
,p_button_action=>'REDIRECT_PAGE'
,p_button_template_options=>'#DEFAULT#:t-Button--iconRight'
,p_button_template_id=>wwv_flow_api.id(10225064190350856)
,p_button_image_alt=>'Add Unit Assignment'
,p_button_position=>'TOP'
,p_button_alignment=>'LEFT'
,p_button_redirect_url=>'f?p=&APP_ID.:4013:&SESSION.::&DEBUG.:4013:P4013_PERSONNEL,P4013_OBJ:&P4000_OBJ.,&P4000_OBJ.'
,p_button_condition=>'acm_bpe.check_action(''ADD_UNIT_ASSIGN'',:P4000_OBJ) = ''Y'''
,p_button_condition_type=>'PLSQL_EXPRESSION'
,p_grid_new_row=>'N'
,p_grid_new_column=>'N'
);
wwv_flow_api.create_page_button(
 p_id=>wwv_flow_api.id(11827509880421009)
,p_button_sequence=>50
,p_button_plug_id=>wwv_flow_api.id(11826586106421006)
,p_button_name=>'ADD_PGROUP'
,p_button_action=>'REDIRECT_PAGE'
,p_button_template_options=>'#DEFAULT#:t-Button--iconRight'
,p_button_template_id=>wwv_flow_api.id(10225064190350856)
,p_button_image_alt=>'Add Privilege Group'
,p_button_position=>'TOP'
,p_button_alignment=>'LEFT'
,p_button_redirect_url=>'f?p=&APP_ID.:4011:&SESSION.::&DEBUG.:RP,4011:P4011_PERSONNEL:&P4000_OBJ.'
,p_button_condition=>'acm_bpe.check_action(''ADD_PRIV_GROUP'',:P4000_OBJ) = ''Y'''
,p_button_condition_type=>'PLSQL_EXPRESSION'
);
wwv_flow_api.create_page_button(
 p_id=>wwv_flow_api.id(11831775757465785)
,p_button_sequence=>50
,p_button_plug_id=>wwv_flow_api.id(11830649554465784)
,p_button_name=>'ADD_PRIV'
,p_button_action=>'REDIRECT_PAGE'
,p_button_template_options=>'#DEFAULT#:t-Button--iconRight'
,p_button_template_id=>wwv_flow_api.id(10225064190350856)
,p_button_image_alt=>'Add Special Privilege'
,p_button_position=>'TOP'
,p_button_alignment=>'LEFT'
,p_button_redirect_url=>'f?p=&APP_ID.:4012:&SESSION.:CREATE:&DEBUG.:4012:P4012_PERSONNEL:&P4000_OBJ.'
,p_button_condition=>'acm_bpe.check_action(''ADD_PRIV'',:P4000_OBJ) = ''Y'''
,p_button_condition_type=>'PLSQL_EXPRESSION'
);
wwv_flow_api.create_page_button(
 p_id=>wwv_flow_api.id(8775639082993890)
,p_button_sequence=>51
,p_button_plug_id=>wwv_flow_api.id(11830649554465784)
,p_button_name=>'DELETE_PRIV'
,p_button_action=>'REDIRECT_PAGE'
,p_button_template_options=>'#DEFAULT#:t-Button--iconRight'
,p_button_template_id=>wwv_flow_api.id(10288125007468335)
,p_button_image_alt=>'Delete Special Privileges'
,p_button_position=>'TOP'
,p_button_alignment=>'LEFT'
,p_button_redirect_url=>'f?p=&APP_ID.:4012:&SESSION.:DELETE:&DEBUG.:4012:P4012_PERSONNEL:&P4000_OBJ.'
,p_button_condition=>'acm_bpe.check_action(''EDIT_PRIV'',:P4000_OBJ) = ''Y'''
,p_button_condition_type=>'PLSQL_EXPRESSION'
);
end;
/
begin
wwv_flow_api.create_page_button(
 p_id=>wwv_flow_api.id(13023395922360417)
,p_button_sequence=>160
,p_button_plug_id=>wwv_flow_api.id(12990183930651909)
,p_button_name=>'ADD_SUBSCRIPTION'
,p_button_action=>'REDIRECT_PAGE'
,p_button_template_options=>'#DEFAULT#:t-Button--iconRight'
,p_button_template_id=>wwv_flow_api.id(10225064190350856)
,p_button_image_alt=>'Add Subscription'
,p_button_position=>'TOP'
,p_button_alignment=>'LEFT'
,p_button_redirect_url=>'f?p=&APP_ID.:4016:&SESSION.::&DEBUG.:4016:P4016_SUBSCRIBER:&P4000_OBJ.'
);
wwv_flow_api.create_page_button(
 p_id=>wwv_flow_api.id(142030114407279382)
,p_button_sequence=>180
,p_button_plug_id=>wwv_flow_api.id(6613109972075935)
,p_button_name=>'UNLOCK_ACCOUNT'
,p_button_static_id=>'BTN_UNLOCK_ACCT'
,p_button_action=>'REDIRECT_PAGE'
,p_button_template_options=>'#DEFAULT#:t-Button--iconRight'
,p_button_template_id=>wwv_flow_api.id(1719282226811790)
,p_button_image_alt=>'Unlock Account'
,p_button_position=>'TOP'
,p_button_alignment=>'LEFT'
,p_button_redirect_url=>'f?p=&APP_ID.:20:&SESSION.::&DEBUG.:20:P20_EVENT_CODE,P20_OBJ:ACCT_UNLOCK,&P4000_OBJ.'
,p_button_condition=>wwv_flow_string.join(wwv_flow_t_varchar2(
':P4000_OBJ != :PERSONNEL_OBJ and ACM_BPE.CHECK_ACTION(''UNLOCK_ACCT'',:P4000_OBJ) = ''Y''',
'AND',
'(:P4000_PERSONNEL_UNIT = :PERSONNEL_UNIT OR :P4000_PERSONNEL_DIVISION = :PERSONNEL_DIVISION)'))
,p_button_condition_type=>'PLSQL_EXPRESSION'
,p_icon_css_classes=>'fa-unlock'
);
wwv_flow_api.create_page_button(
 p_id=>wwv_flow_api.id(142470232343083612)
,p_button_sequence=>190
,p_button_plug_id=>wwv_flow_api.id(6613109972075935)
,p_button_name=>'LOCK_ACCOUNT'
,p_button_static_id=>'BTN_LOCK_ACCT'
,p_button_action=>'REDIRECT_PAGE'
,p_button_template_options=>'#DEFAULT#:t-Button--iconRight'
,p_button_template_id=>wwv_flow_api.id(1719282226811790)
,p_button_image_alt=>'Lock Account'
,p_button_position=>'TOP'
,p_button_alignment=>'LEFT'
,p_button_redirect_url=>'f?p=&APP_ID.:20:&SESSION.::&DEBUG.:20:P20_EVENT_CODE,P20_OBJ:ACCT_LOCK,&P4000_OBJ.'
,p_button_condition=>':P4000_OBJ != :PERSONNEL_OBJ and ACM_BPE.CHECK_ACTION(''LOCK_ACCT'',:P4000_OBJ) = ''Y'''
,p_button_condition_type=>'PLSQL_EXPRESSION'
,p_icon_css_classes=>'fa-lock'
);
wwv_flow_api.create_page_branch(
 p_id=>wwv_flow_api.id(14987654739999581)
,p_branch_name=>'Go To Page 4000'
,p_branch_action=>'f?p=&APP_ID.:4000:&SESSION.::&DEBUG.:RP,4000:P4000_OBJ:&P4000_OBJ.&success_msg=#SUCCESS_MSG#'
,p_branch_point=>'AFTER_PROCESSING'
,p_branch_type=>'REDIRECT_URL'
,p_branch_sequence=>10
,p_branch_condition_type=>'REQUEST_NOT_IN_CONDITION'
,p_branch_condition=>'DELETE'
);
wwv_flow_api.create_page_branch(
 p_id=>wwv_flow_api.id(114590272327225684)
,p_branch_name=>'Go To After Delete'
,p_branch_action=>'f?p=&APP_ID.:&P0_HOMEPAGE.:&SESSION.::&DEBUG.:::&success_msg=#SUCCESS_MSG#'
,p_branch_point=>'AFTER_PROCESSING'
,p_branch_type=>'REDIRECT_URL'
,p_branch_when_button_id=>wwv_flow_api.id(61481794659816931)
,p_branch_sequence=>20
);
wwv_flow_api.create_page_item(
 p_id=>wwv_flow_api.id(2768470497253043)
,p_name=>'P4000_OBJ_TYPE_CODE'
,p_item_sequence=>40
,p_item_plug_id=>wwv_flow_api.id(61480257034816885)
,p_display_as=>'NATIVE_HIDDEN'
,p_attribute_01=>'Y'
);
wwv_flow_api.create_page_item(
 p_id=>wwv_flow_api.id(4988045744646045)
,p_name=>'P4000_ACTIVE'
,p_item_sequence=>125
,p_item_plug_id=>wwv_flow_api.id(6599173634792859)
,p_use_cache_before_default=>'NO'
,p_item_default=>'Y'
,p_prompt=>'Active'
,p_source=>'ACTIVE'
,p_source_type=>'DB_COLUMN'
,p_display_as=>'NATIVE_YES_NO'
,p_field_template=>wwv_flow_api.id(1718652654811790)
,p_item_template_options=>'#DEFAULT#'
,p_attribute_01=>'APPLICATION'
);
wwv_flow_api.create_page_item(
 p_id=>wwv_flow_api.id(6601857600792864)
,p_name=>'P4000_SID'
,p_item_sequence=>10
,p_item_plug_id=>wwv_flow_api.id(61480257034816885)
,p_use_cache_before_default=>'NO'
,p_source=>'SID'
,p_source_type=>'DB_COLUMN'
,p_display_as=>'NATIVE_HIDDEN'
,p_protection_level=>'S'
,p_attribute_01=>'Y'
);
wwv_flow_api.create_page_item(
 p_id=>wwv_flow_api.id(6602251791792878)
,p_name=>'P4000_PERSONNEL_NUM'
,p_is_required=>true
,p_item_sequence=>20
,p_item_plug_id=>wwv_flow_api.id(6599173634792859)
,p_use_cache_before_default=>'NO'
,p_prompt=>'Personnel Num:'
,p_source=>'PERSONNEL_NUM'
,p_source_type=>'DB_COLUMN'
,p_display_as=>'NATIVE_TEXT_FIELD'
,p_cSize=>32
,p_cMaxlength=>50
,p_cHeight=>1
,p_field_template=>wwv_flow_api.id(1718898501811790)
,p_item_template_options=>'#DEFAULT#'
,p_lov_display_extra=>'YES'
,p_attribute_01=>'N'
,p_attribute_02=>'N'
,p_attribute_04=>'TEXT'
,p_attribute_05=>'NONE'
);
wwv_flow_api.create_page_item(
 p_id=>wwv_flow_api.id(6602682745792878)
,p_name=>'P4000_LAST_NAME'
,p_is_required=>true
,p_item_sequence=>55
,p_item_plug_id=>wwv_flow_api.id(6599173634792859)
,p_use_cache_before_default=>'NO'
,p_prompt=>'Last Name:'
,p_source=>'LAST_NAME'
,p_source_type=>'DB_COLUMN'
,p_display_as=>'NATIVE_TEXT_FIELD'
,p_cSize=>32
,p_cMaxlength=>50
,p_field_template=>wwv_flow_api.id(1718898501811790)
,p_item_template_options=>'#DEFAULT#'
,p_attribute_01=>'N'
,p_attribute_02=>'N'
,p_attribute_04=>'TEXT'
,p_attribute_05=>'NONE'
);
wwv_flow_api.create_page_item(
 p_id=>wwv_flow_api.id(6603009219792878)
,p_name=>'P4000_FIRST_NAME'
,p_is_required=>true
,p_item_sequence=>35
,p_item_plug_id=>wwv_flow_api.id(6599173634792859)
,p_use_cache_before_default=>'NO'
,p_prompt=>'First Name:'
,p_source=>'FIRST_NAME'
,p_source_type=>'DB_COLUMN'
,p_display_as=>'NATIVE_TEXT_FIELD'
,p_cSize=>32
,p_cMaxlength=>50
,p_field_template=>wwv_flow_api.id(1718898501811790)
,p_item_template_options=>'#DEFAULT#'
,p_attribute_01=>'N'
,p_attribute_02=>'N'
,p_attribute_04=>'TEXT'
,p_attribute_05=>'NONE'
);
wwv_flow_api.create_page_item(
 p_id=>wwv_flow_api.id(6603457929792879)
,p_name=>'P4000_MIDDLE_NAME'
,p_item_sequence=>45
,p_item_plug_id=>wwv_flow_api.id(6599173634792859)
,p_use_cache_before_default=>'NO'
,p_prompt=>'Middle Name:'
,p_source=>'MIDDLE_NAME'
,p_source_type=>'DB_COLUMN'
,p_display_as=>'NATIVE_TEXT_FIELD'
,p_cSize=>32
,p_cMaxlength=>30
,p_field_template=>wwv_flow_api.id(1718652654811790)
,p_item_template_options=>'#DEFAULT#'
,p_attribute_01=>'N'
,p_attribute_02=>'N'
,p_attribute_04=>'TEXT'
,p_attribute_05=>'NONE'
);
wwv_flow_api.create_page_item(
 p_id=>wwv_flow_api.id(6614279562088742)
,p_name=>'P4000_LOGIN_ID'
,p_item_sequence=>70
,p_item_plug_id=>wwv_flow_api.id(6613109972075935)
,p_prompt=>'Login ID:'
,p_display_as=>'NATIVE_TEXT_FIELD'
,p_cSize=>30
,p_cMaxlength=>4000
,p_cHeight=>1
,p_cAttributes=>'nowrap'
,p_read_only_when_type=>'ALWAYS'
,p_field_template=>wwv_flow_api.id(1718652654811790)
,p_lov_display_extra=>'YES'
,p_attribute_01=>'N'
,p_attribute_02=>'N'
,p_attribute_04=>'TEXT'
,p_attribute_05=>'NONE'
);
wwv_flow_api.create_page_item(
 p_id=>wwv_flow_api.id(6614550849088743)
,p_name=>'P4000_EXP_DATE'
,p_item_sequence=>80
,p_item_plug_id=>wwv_flow_api.id(6613109972075935)
,p_prompt=>'Expiration Date:'
,p_placeholder=>'&FMT_DATE.'
,p_post_element_text=>'&TODAY_BUTTON.'
,p_format_mask=>'&FMT_DATE.'
,p_source=>'select to_char(expiration_date,:FMT_DATE) from t_acm_user where obj = :P4000_OBJ;'
,p_source_type=>'QUERY'
,p_display_as=>'NATIVE_DATE_PICKER'
,p_cSize=>30
,p_cMaxlength=>4000
,p_display_when=>wwv_flow_string.join(wwv_flow_t_varchar2(
'declare',
' V_FLAG VARCHAR2(1);',
'begin',
' V_FLAG := GET_CONFIG(''PKI_ENABLED'');',
' IF V_FLAG = ''N'' then ',
'  return true;',
' else',
'  return false;',
' END IF;',
'end;'))
,p_display_when_type=>'FUNCTION_BODY'
,p_read_only_when_type=>'ALWAYS'
,p_field_template=>wwv_flow_api.id(1718652654811790)
,p_attribute_04=>'button'
,p_attribute_05=>'N'
,p_attribute_07=>'NONE'
);
wwv_flow_api.create_page_item(
 p_id=>wwv_flow_api.id(6614939041088743)
,p_name=>'P4000_LAST_LOGIN'
,p_item_sequence=>90
,p_item_plug_id=>wwv_flow_api.id(6613109972075935)
,p_prompt=>'Last Login:'
,p_placeholder=>'&FMT_DATE.'
,p_post_element_text=>'&TODAY_BUTTON.'
,p_format_mask=>'&FMT_DATE.'
,p_source=>'select to_char(last_login, :FMT_DATE) from t_acm_user where obj = :P4000_OBJ;'
,p_source_type=>'QUERY'
,p_display_as=>'NATIVE_DATE_PICKER'
,p_cSize=>30
,p_cMaxlength=>4000
,p_cHeight=>1
,p_cAttributes=>'nowrap'
,p_read_only_when_type=>'ALWAYS'
,p_field_template=>wwv_flow_api.id(1718652654811790)
,p_lov_display_extra=>'YES'
,p_attribute_04=>'button'
,p_attribute_05=>'N'
,p_attribute_07=>'NONE'
);
wwv_flow_api.create_page_item(
 p_id=>wwv_flow_api.id(6615333107088743)
,p_name=>'P4000_LOCKED'
,p_item_sequence=>100
,p_item_plug_id=>wwv_flow_api.id(6613109972075935)
,p_prompt=>'Locked:'
,p_display_as=>'NATIVE_TEXT_FIELD'
,p_cSize=>30
,p_cMaxlength=>4000
,p_cHeight=>1
,p_cAttributes=>'nowrap'
,p_read_only_when_type=>'ALWAYS'
,p_field_template=>wwv_flow_api.id(1718652654811790)
,p_lov_display_extra=>'YES'
,p_attribute_01=>'N'
,p_attribute_02=>'N'
,p_attribute_04=>'TEXT'
,p_attribute_05=>'NONE'
);
wwv_flow_api.create_page_item(
 p_id=>wwv_flow_api.id(8316984393579032)
,p_name=>'P4000_LANDING_PAGE'
,p_item_sequence=>150
,p_item_plug_id=>wwv_flow_api.id(6613109972075935)
,p_use_cache_before_default=>'NO'
,p_prompt=>'Landing Page:'
,p_source=>'HOMEPAGE'
,p_source_type=>'DB_COLUMN'
,p_display_as=>'NATIVE_SELECT_LIST'
,p_lov=>'select name d,id r from APEX_STEPS_192_SYN where flow_id = :APP_ID and id between 1000 and 1009'
,p_lov_display_null=>'YES'
,p_lov_null_text=>'- Select Page -'
,p_cSize=>30
,p_cHeight=>1
,p_begin_on_new_line=>'N'
,p_begin_on_new_field=>'N'
,p_display_when=>':P4000_OBJ = :PERSONNEL_OBJ'
,p_display_when_type=>'PLSQL_EXPRESSION'
,p_field_template=>wwv_flow_api.id(1718652654811790)
,p_item_template_options=>'#DEFAULT#'
,p_lov_display_extra=>'NO'
,p_attribute_01=>'NONE'
,p_attribute_02=>'N'
);
wwv_flow_api.create_page_item(
 p_id=>wwv_flow_api.id(8317072375579033)
,p_name=>'P4000_TITLE'
,p_is_required=>true
,p_item_sequence=>75
,p_item_plug_id=>wwv_flow_api.id(6599173634792859)
,p_use_cache_before_default=>'NO'
,p_prompt=>'Title:'
,p_source=>'TITLE'
,p_source_type=>'DB_COLUMN'
,p_display_as=>'NATIVE_TEXT_FIELD'
,p_cSize=>32
,p_cMaxlength=>100
,p_field_template=>wwv_flow_api.id(1718898501811790)
,p_item_template_options=>'#DEFAULT#'
,p_attribute_01=>'N'
,p_attribute_02=>'N'
,p_attribute_04=>'TEXT'
,p_attribute_05=>'BOTH'
);
wwv_flow_api.create_page_item(
 p_id=>wwv_flow_api.id(9929927000574125)
,p_name=>'P4000_OBJ'
,p_item_sequence=>20
,p_item_plug_id=>wwv_flow_api.id(61480257034816885)
,p_use_cache_before_default=>'NO'
,p_source=>'OBJ'
,p_source_type=>'DB_COLUMN'
,p_display_as=>'NATIVE_HIDDEN'
,p_attribute_01=>'Y'
);
wwv_flow_api.create_page_item(
 p_id=>wwv_flow_api.id(12621225890942376)
,p_name=>'P4000_WATCHED_OBJ'
,p_item_sequence=>115
,p_item_plug_id=>wwv_flow_api.id(6599173634792859)
,p_prompt=>'Watched Objects:'
,p_source=>wwv_flow_string.join(wwv_flow_t_varchar2(
'select count(1) || '' <a href="'' ',
'      || APEX_UTIL.',
'                prepare_url (',
'                     ''f?p='' || :APP_ID',
'                  || '':4015:''',
'                  || :APP_SESSION',
'                  || ''::''',
'                  || :DEBUG',
'                  || ''::P4015_PERSONNEL:''',
'                  || :P4000_OBJ)',
'     || ''">View</a>'' COL_NAME',
'from t_acm_personnel_watch_obj ',
'where personnel = :P4000_OBJ'))
,p_source_type=>'QUERY'
,p_display_as=>'NATIVE_DISPLAY_ONLY'
,p_display_when=>'P4000_OBJ'
,p_display_when_type=>'ITEM_IS_NOT_NULL'
,p_field_template=>wwv_flow_api.id(1718652654811790)
,p_item_template_options=>'#DEFAULT#'
,p_escape_on_http_output=>'N'
,p_attribute_01=>'N'
,p_attribute_02=>'VALUE'
,p_attribute_04=>'Y'
);
wwv_flow_api.create_page_item(
 p_id=>wwv_flow_api.id(25388181632152251)
,p_name=>'P4000_BADGE_ID'
,p_item_sequence=>85
,p_item_plug_id=>wwv_flow_api.id(6599173634792859)
,p_use_cache_before_default=>'NO'
,p_prompt=>'Badge ID:'
,p_placeholder=>'1234567890'
,p_source=>'BADGE_ID'
,p_source_type=>'DB_COLUMN'
,p_display_as=>'NATIVE_NUMBER_FIELD'
,p_cSize=>30
,p_cMaxlength=>4000
,p_tag_css_classes=>'i2ms-restrict-to-number'
,p_field_template=>wwv_flow_api.id(1718652654811790)
,p_item_template_options=>'#DEFAULT#'
,p_attribute_03=>'right'
);
wwv_flow_api.create_page_item(
 p_id=>wwv_flow_api.id(37725648234501943)
,p_name=>'P4000_TAGLINE'
,p_item_sequence=>65
,p_item_plug_id=>wwv_flow_api.id(6599173634792859)
,p_display_as=>'NATIVE_HIDDEN'
,p_attribute_01=>'Y'
);
wwv_flow_api.create_page_item(
 p_id=>wwv_flow_api.id(104926627224674716)
,p_name=>'P4000_PERSONNEL_UNIT'
,p_item_sequence=>50
,p_item_plug_id=>wwv_flow_api.id(61480257034816885)
,p_source=>'SELECT UNIT FROM T_UNIT_PERSONNEL WHERE PERSONNEL = :P4000_OBJ AND (END_DATE IS NULL OR END_DATE >= SYSDATE) AND START_DATE <= SYSDATE'
,p_source_type=>'QUERY'
,p_display_as=>'NATIVE_HIDDEN'
,p_attribute_01=>'N'
);
wwv_flow_api.create_page_item(
 p_id=>wwv_flow_api.id(104926791496674717)
,p_name=>'P4000_PERSONNEL_DIVISION'
,p_item_sequence=>60
,p_item_plug_id=>wwv_flow_api.id(61480257034816885)
,p_source=>wwv_flow_string.join(wwv_flow_t_varchar2(
'SELECT CONNECT_BY_ROOT TU.OBJ RT',
'FROM T_UNIT TU',
'WHERE TU.OBJ = :P4000_PERSONNEL_UNIT',
'CONNECT BY PRIOR TU.SID = TU.UNIT_PARENT',
'START WITH TU.UNIT_PARENT IS NULL'))
,p_source_type=>'QUERY'
,p_display_as=>'NATIVE_HIDDEN'
,p_attribute_01=>'N'
);
wwv_flow_api.create_page_item(
 p_id=>wwv_flow_api.id(162520249833186264)
,p_name=>'P4000_TEMP_LOCK'
,p_item_sequence=>140
,p_item_plug_id=>wwv_flow_api.id(6613109972075935)
,p_prompt=>'Temporarily Locked Until:'
,p_display_as=>'NATIVE_DISPLAY_ONLY'
,p_display_when=>wwv_flow_string.join(wwv_flow_t_varchar2(
'if :P4000_TEMP_LOCK IS NOT NULL and GET_CONFIG(''PKI_ENABLED'') = ''N'' then',
'  return true;',
'else',
'  return false;',
'end if;'))
,p_display_when_type=>'FUNCTION_BODY'
,p_field_template=>wwv_flow_api.id(1718652654811790)
,p_item_template_options=>'#DEFAULT#'
,p_help_text=>'This is to set a temporary lock on a user account. The user will not be able to log in, and they will receive a message of when the lock expires. The expiry of this lock does not affect the account lock. You do not need to set the account as Locked f'
||'or the temporary lock to work. You must save to apply this lock to the user account.'
,p_attribute_01=>'Y'
,p_attribute_02=>'VALUE'
,p_attribute_04=>'Y'
);
wwv_flow_api.create_page_item(
 p_id=>wwv_flow_api.id(171360666632807429)
,p_name=>'P4000_FAILED_LOGINS'
,p_item_sequence=>95
,p_item_plug_id=>wwv_flow_api.id(6613109972075935)
,p_prompt=>'Failed Logins:'
,p_display_as=>'NATIVE_DISPLAY_ONLY'
,p_display_when=>wwv_flow_string.join(wwv_flow_t_varchar2(
'declare',
' V_FLAG VARCHAR2(1);',
'begin',
' V_FLAG := GET_CONFIG(''PKI_ENABLED'');',
' IF V_FLAG = ''N'' then ',
'  return true;',
' else',
'  return false;',
' END IF;',
'end;'))
,p_display_when_type=>'FUNCTION_BODY'
,p_field_template=>wwv_flow_api.id(1718652654811790)
,p_item_template_options=>'#DEFAULT#'
,p_attribute_01=>'Y'
,p_attribute_02=>'VALUE'
,p_attribute_04=>'Y'
);
wwv_flow_api.create_page_item(
 p_id=>wwv_flow_api.id(188830285004633990)
,p_name=>'P4000_CREDENTIAL_NUM'
,p_item_sequence=>25
,p_item_plug_id=>wwv_flow_api.id(6599173634792859)
,p_use_cache_before_default=>'NO'
,p_prompt=>'Credential Num:'
,p_source=>'CREDENTIAL_NUM'
,p_source_type=>'DB_COLUMN'
,p_display_as=>'NATIVE_TEXT_FIELD'
,p_cSize=>32
,p_cMaxlength=>4000
,p_field_template=>wwv_flow_api.id(1718652654811790)
,p_item_template_options=>'#DEFAULT#'
,p_attribute_01=>'N'
,p_attribute_02=>'N'
,p_attribute_04=>'TEXT'
,p_attribute_05=>'BOTH'
);
wwv_flow_api.create_page_computation(
 p_id=>wwv_flow_api.id(37725769859501944)
,p_computation_sequence=>10
,p_computation_item=>'P4000_TAGLINE'
,p_computation_type=>'PLSQL_EXPRESSION'
,p_computation=>':P4000_LAST_NAME || '', '' || :P4000_FIRST_NAME'
);
wwv_flow_api.create_page_validation(
 p_id=>wwv_flow_api.id(25393648513401290)
,p_validation_name=>'Unique Personnel Number'
,p_validation_sequence=>50
,p_validation=>'select personnel_num from t_acm_personnel where personnel_num = :P4000_PERSONNEL_NUM'
,p_validation_type=>'NOT_EXISTS'
,p_error_message=>'Personnel Number already exists'
,p_when_button_pressed=>wwv_flow_api.id(61481369215816931)
,p_associated_item=>wwv_flow_api.id(6602251791792878)
,p_error_display_location=>'INLINE_WITH_FIELD_AND_NOTIFICATION'
);
wwv_flow_api.create_page_validation(
 p_id=>wwv_flow_api.id(31718184766824843)
,p_validation_name=>'Personnel is a stakholder on object'
,p_validation_sequence=>60
,p_validation=>'select sid from t_acm_stakeholder where stakeholder = :P4000_OBJ'
,p_validation_type=>'NOT_EXISTS'
,p_error_message=>'This user is a stakeholder on at least one object. You cannot delete a personnel if they are involved with at least one file, activity, or evidence.'
,p_when_button_pressed=>wwv_flow_api.id(61481794659816931)
,p_error_display_location=>'INLINE_WITH_FIELD_AND_NOTIFICATION'
);
wwv_flow_api.create_page_da_event(
 p_id=>wwv_flow_api.id(139410214765092682)
,p_name=>'Refresh Expiration Date'
,p_event_sequence=>40
,p_triggering_element_type=>'BUTTON'
,p_triggering_button_id=>wwv_flow_api.id(12689006514089510)
,p_bind_type=>'bind'
,p_bind_event_type=>'apexafterclosedialog'
);
wwv_flow_api.create_page_da_action(
 p_id=>wwv_flow_api.id(139410627612092740)
,p_event_id=>wwv_flow_api.id(139410214765092682)
,p_event_result=>'TRUE'
,p_action_sequence=>10
,p_execute_on_page_init=>'N'
,p_action=>'NATIVE_EXECUTE_PLSQL_CODE'
,p_attribute_01=>'select to_char(EXPIRATION_DATE,:FMT_DATE) into :P4000_EXP_DATE from T_ACM_USER where LOGIN_ID = :P4000_LOGIN_ID;'
,p_attribute_02=>'P4000_LOGIN_ID'
,p_attribute_03=>'P4000_EXP_DATE'
,p_attribute_04=>'N'
,p_wait_for_result=>'Y'
);
wwv_flow_api.create_page_da_action(
 p_id=>wwv_flow_api.id(139420377024095706)
,p_event_id=>wwv_flow_api.id(139410214765092682)
,p_event_result=>'TRUE'
,p_action_sequence=>20
,p_execute_on_page_init=>'N'
,p_action=>'NATIVE_JAVASCRIPT_CODE'
,p_affected_elements_type=>'ITEM'
,p_affected_elements=>'P4000_EXP_DATE'
,p_attribute_01=>'$("P4000_EXP_DATE").innerHTML = apex.item("P4000_EXP_DATE").getValue();'
);
wwv_flow_api.create_page_da_event(
 p_id=>wwv_flow_api.id(144150171510005151)
,p_name=>'Refresh Account Lock'
,p_event_sequence=>50
,p_triggering_element_type=>'JQUERY_SELECTOR'
,p_triggering_element=>'#BTN_LOCK_ACCT,#BTN_UNLOCK_ACCT'
,p_bind_type=>'bind'
,p_bind_event_type=>'apexafterclosedialog'
);
wwv_flow_api.create_page_da_action(
 p_id=>wwv_flow_api.id(144151045399005223)
,p_event_id=>wwv_flow_api.id(144150171510005151)
,p_event_result=>'TRUE'
,p_action_sequence=>10
,p_execute_on_page_init=>'N'
,p_action=>'NATIVE_EXECUTE_PLSQL_CODE'
,p_attribute_01=>'select decode(account_lock,''N'',''No'',''Yes''), FAILED_LOGIN, to_char(LAST_LOGIN,''MM/DD/YYYY''),temp_lock_expiration into :P4000_LOCKED, :P4000_FAILED_LOGINS, :P4000_LAST_LOGIN,:P4000_TEMP_LOCK from T_ACM_USER where LOGIN_ID = :P4000_LOGIN_ID;'
,p_attribute_02=>'P4000_LOGIN_ID'
,p_attribute_03=>'P4000_LOCKED,P4000_FAILED_LOGINS,P4000_LAST_LOGIN,P4000_TEMP_LOCK'
,p_attribute_04=>'N'
,p_wait_for_result=>'Y'
);
wwv_flow_api.create_page_da_action(
 p_id=>wwv_flow_api.id(144150569097005223)
,p_event_id=>wwv_flow_api.id(144150171510005151)
,p_event_result=>'TRUE'
,p_action_sequence=>20
,p_execute_on_page_init=>'Y'
,p_action=>'NATIVE_JAVASCRIPT_CODE'
,p_affected_elements_type=>'ITEM'
,p_affected_elements=>'P4000_LOCKED,P4000_FAILED_LOGINS'
,p_attribute_01=>wwv_flow_string.join(wwv_flow_t_varchar2(
'if (apex.item("P4000_LOCKED").getValue() == "Yes"){',
'$("#P4000_BTN_LOCK_ACCT").hide();',
'$("#P4000_BTN_UNLOCK_ACCT").show();',
'}',
'else {',
'$("#P4000_BTN_LOCK_ACCT").show();',
'$("#P4000_BTN_UNLOCK_ACCT").hide();',
'}'))
);
wwv_flow_api.create_page_da_event(
 p_id=>wwv_flow_api.id(156640148520442804)
,p_name=>'Unit Role Changed'
,p_event_sequence=>60
,p_triggering_element_type=>'REGION'
,p_triggering_region_id=>wwv_flow_api.id(9893375313354414)
,p_bind_type=>'bind'
,p_bind_event_type=>'apexafterrefresh'
);
wwv_flow_api.create_page_da_action(
 p_id=>wwv_flow_api.id(156640577652442870)
,p_event_id=>wwv_flow_api.id(156640148520442804)
,p_event_result=>'TRUE'
,p_action_sequence=>10
,p_execute_on_page_init=>'N'
,p_action=>'NATIVE_REFRESH'
,p_affected_elements_type=>'REGION'
,p_affected_region_id=>wwv_flow_api.id(11826586106421006)
);
wwv_flow_api.create_page_da_event(
 p_id=>wwv_flow_api.id(156840197021546040)
,p_name=>'Unit assignment changed'
,p_event_sequence=>70
,p_triggering_element_type=>'REGION'
,p_triggering_region_id=>wwv_flow_api.id(9982082371685906)
,p_bind_type=>'bind'
,p_bind_event_type=>'apexafterrefresh'
);
wwv_flow_api.create_page_da_action(
 p_id=>wwv_flow_api.id(156840570533546095)
,p_event_id=>wwv_flow_api.id(156840197021546040)
,p_event_result=>'TRUE'
,p_action_sequence=>10
,p_execute_on_page_init=>'N'
,p_action=>'NATIVE_REFRESH'
,p_affected_elements_type=>'REGION'
,p_affected_region_id=>wwv_flow_api.id(9893375313354414)
);
wwv_flow_api.create_page_da_action(
 p_id=>wwv_flow_api.id(156850258815550653)
,p_event_id=>wwv_flow_api.id(156840197021546040)
,p_event_result=>'TRUE'
,p_action_sequence=>20
,p_execute_on_page_init=>'N'
,p_action=>'NATIVE_REFRESH'
,p_affected_elements_type=>'REGION'
,p_affected_region_id=>wwv_flow_api.id(11826586106421006)
);
wwv_flow_api.create_page_da_event(
 p_id=>wwv_flow_api.id(171020198445588101)
,p_name=>'Highlight Last Login Date'
,p_event_sequence=>80
,p_bind_type=>'bind'
,p_bind_event_type=>'ready'
,p_display_when_type=>'PLSQL_EXPRESSION'
,p_display_when_cond=>'TO_DATE(:P4000_LAST_LOGIN, :FMT_DATE) < SYSDATE - 45'
);
wwv_flow_api.create_page_da_action(
 p_id=>wwv_flow_api.id(171020554787588162)
,p_event_id=>wwv_flow_api.id(171020198445588101)
,p_event_result=>'TRUE'
,p_action_sequence=>10
,p_execute_on_page_init=>'Y'
,p_action=>'NATIVE_JAVASCRIPT_CODE'
,p_affected_elements_type=>'JQUERY_SELECTOR'
,p_affected_elements=>'#P4000_LAST_LOGIN_CONTAINER'
,p_attribute_01=>'$("#P4000_LAST_LOGIN_CONTAINER > div:last").append("<span class=''display_only'' id=''LAST_LOGIN_LOCKOUT_DISPLAY''><b>Locked for inactivity.</b></span>");'
);
wwv_flow_api.create_page_da_event(
 p_id=>wwv_flow_api.id(171220173917736928)
,p_name=>'Highlight Expiration Date'
,p_event_sequence=>90
,p_bind_type=>'bind'
,p_bind_event_type=>'ready'
,p_display_when_type=>'PLSQL_EXPRESSION'
,p_display_when_cond=>'to_date(:P4000_EXP_DATE, :FMT_DATE) < sysdate'
);
wwv_flow_api.create_page_da_action(
 p_id=>wwv_flow_api.id(171220560408736981)
,p_event_id=>wwv_flow_api.id(171220173917736928)
,p_event_result=>'TRUE'
,p_action_sequence=>10
,p_execute_on_page_init=>'N'
,p_action=>'NATIVE_JAVASCRIPT_CODE'
,p_affected_elements_type=>'JQUERY_SELECTOR'
,p_affected_elements=>'#P4000_LAST_LOGIN_CONTAINER'
,p_attribute_01=>'$("#P4000_EXP_DATE_CONTAINER>div:last").append("<span id=''P4000_EXP_LOCK_DISPLAY'' class=''display_only''><b>Locked for Password Expiration.</b></span>")'
);
wwv_flow_api.create_page_da_event(
 p_id=>wwv_flow_api.id(186200140308298279)
,p_name=>'Remove Temporary Lock'
,p_event_sequence=>100
,p_triggering_element_type=>'BUTTON'
,p_triggering_button_id=>wwv_flow_api.id(186150188663276625)
,p_bind_type=>'bind'
,p_bind_event_type=>'click'
);
wwv_flow_api.create_page_da_action(
 p_id=>wwv_flow_api.id(186200557349298351)
,p_event_id=>wwv_flow_api.id(186200140308298279)
,p_event_result=>'TRUE'
,p_action_sequence=>10
,p_execute_on_page_init=>'N'
,p_action=>'NATIVE_EXECUTE_PLSQL_CODE'
,p_attribute_01=>'update t_acm_user set temp_lock_expiration = null where LOGIN_ID = :P4000_LOGIN_ID;'
,p_attribute_03=>'P4000_TEMP_LOCK'
,p_attribute_04=>'N'
,p_wait_for_result=>'Y'
);
wwv_flow_api.create_page_da_action(
 p_id=>wwv_flow_api.id(186220290487316804)
,p_event_id=>wwv_flow_api.id(186200140308298279)
,p_event_result=>'TRUE'
,p_action_sequence=>20
,p_execute_on_page_init=>'N'
,p_action=>'NATIVE_HIDE'
,p_affected_elements_type=>'ITEM'
,p_affected_elements=>'P4000_TEMP_LOCK'
,p_attribute_01=>'N'
);
wwv_flow_api.create_page_da_action(
 p_id=>wwv_flow_api.id(186230277677318695)
,p_event_id=>wwv_flow_api.id(186200140308298279)
,p_event_result=>'TRUE'
,p_action_sequence=>30
,p_execute_on_page_init=>'N'
,p_action=>'NATIVE_HIDE'
,p_affected_elements_type=>'BUTTON'
,p_affected_button_id=>wwv_flow_api.id(186150188663276625)
,p_attribute_01=>'N'
);
wwv_flow_api.create_page_da_action(
 p_id=>wwv_flow_api.id(186240215854330776)
,p_event_id=>wwv_flow_api.id(186200140308298279)
,p_event_result=>'TRUE'
,p_action_sequence=>40
,p_execute_on_page_init=>'N'
,p_action=>'NATIVE_JAVASCRIPT_CODE'
,p_attribute_01=>'apex.message.success("Temporary Lock Removed");'
);
wwv_flow_api.create_page_process(
 p_id=>wwv_flow_api.id(6612258567043082)
,p_process_sequence=>20
,p_process_point=>'AFTER_SUBMIT'
,p_process_type=>'NATIVE_PLSQL'
,p_process_name=>'Create'
,p_process_sql_clob=>wwv_flow_string.join(wwv_flow_t_varchar2(
':P4000_SID := acm_personnel.create_instance(P_NUMBER => :P4000_PERSONNEL_NUM, ',
'                                            P_FIRST=> :P4000_FIRST_NAME, ',
'                                            P_LAST => :P4000_LAST_NAME, ',
'                                            P_MIDDLE => :P4000_MIDDLE_NAME,',
'                                            P_CREDENTIAL_NUM => :P4000_CREDENTIAL_NUM,',
'                                            P_TITLE => :P4000_TITLE,',
'                                            P_BADGE_ID => :P4000_BADGE_ID);',
'select obj into :P4000_OBJ from t_acm_personnel where sid = :P4000_SID;'))
,p_process_error_message=>'Error creating record: #SQLERRM#'
,p_error_display_location=>'INLINE_IN_NOTIFICATION'
,p_process_when_button_id=>wwv_flow_api.id(61481369215816931)
,p_process_success_message=>'Personnel record created successfully with default password.'
);
wwv_flow_api.create_page_process(
 p_id=>wwv_flow_api.id(37723971830501926)
,p_process_sequence=>30
,p_process_point=>'AFTER_SUBMIT'
,p_process_type=>'PLUGIN_PROCESS_EVENT'
,p_process_name=>'Process Event Create'
,p_attribute_01=>'CREATED'
,p_attribute_02=>'P4000_OBJ'
,p_error_display_location=>'INLINE_IN_NOTIFICATION'
,p_process_when_button_id=>wwv_flow_api.id(61481369215816931)
);
wwv_flow_api.create_page_process(
 p_id=>wwv_flow_api.id(6605881729792881)
,p_process_sequence=>40
,p_process_point=>'AFTER_SUBMIT'
,p_process_type=>'NATIVE_FORM_PROCESS'
,p_process_name=>'Process Row of T_ACM_PERSONNEL'
,p_attribute_02=>'T_ACM_PERSONNEL'
,p_attribute_03=>'P4000_SID'
,p_attribute_04=>'SID'
,p_attribute_09=>'P4000_SID'
,p_attribute_11=>'U'
,p_attribute_12=>'Y'
,p_process_error_message=>'Personnel update failed! #SQLERRM#'
,p_error_display_location=>'INLINE_IN_NOTIFICATION'
,p_process_when_button_id=>wwv_flow_api.id(61480991908816929)
,p_process_success_message=>'Personnel updated!'
,p_security_scheme=>wwv_flow_api.id(71870379768586784)
);
wwv_flow_api.create_page_process(
 p_id=>wwv_flow_api.id(37725889926501945)
,p_process_sequence=>50
,p_process_point=>'AFTER_SUBMIT'
,p_process_type=>'PLUGIN_I2MS.UPDATE_T_ACM_OBJ'
,p_process_name=>'Update T_ACM_OBJ'
,p_attribute_01=>'P4000_OBJ'
,p_attribute_02=>'P4000_TAGLINE'
,p_error_display_location=>'INLINE_IN_NOTIFICATION'
,p_process_when_button_id=>wwv_flow_api.id(61480991908816929)
);
wwv_flow_api.create_page_process(
 p_id=>wwv_flow_api.id(37723861119501925)
,p_process_sequence=>60
,p_process_point=>'AFTER_SUBMIT'
,p_process_type=>'PLUGIN_PROCESS_EVENT'
,p_process_name=>'Process Event Saved'
,p_attribute_01=>'SAVED'
,p_attribute_02=>'P4000_OBJ'
,p_error_display_location=>'INLINE_IN_NOTIFICATION'
,p_process_when_button_id=>wwv_flow_api.id(61480991908816929)
);
wwv_flow_api.create_page_process(
 p_id=>wwv_flow_api.id(114580106102218132)
,p_process_sequence=>70
,p_process_point=>'AFTER_SUBMIT'
,p_process_type=>'PLUGIN_I2MS.DELETE_OBJECT'
,p_process_name=>'Delete Object'
,p_attribute_01=>'P4000_OBJ'
,p_process_error_message=>'Personnel deletion failed! #SQLERRM#'
,p_error_display_location=>'INLINE_IN_NOTIFICATION'
,p_process_when_button_id=>wwv_flow_api.id(61481794659816931)
,p_process_success_message=>'Personnel deleted!'
,p_security_scheme=>wwv_flow_api.id(73010276736178896)
);
wwv_flow_api.create_page_process(
 p_id=>wwv_flow_api.id(162740141883313498)
,p_process_sequence=>80
,p_process_point=>'AFTER_SUBMIT'
,p_process_type=>'NATIVE_PLSQL'
,p_process_name=>'Set Temporary Lock'
,p_process_sql_clob=>'update t_acm_user set temp_lock_expiration = to_timestamp(:P4000_TEMP_LOCK,:FMT_DATE_TIME) where OBJ = :P4000_OBJ;'
,p_process_error_message=>'Error setting temporary lock.'
,p_error_display_location=>'INLINE_IN_NOTIFICATION'
,p_process_when_button_id=>wwv_flow_api.id(142470232343083612)
,p_process_success_message=>'Account temporarily locked!'
);
wwv_flow_api.create_page_process(
 p_id=>wwv_flow_api.id(29503495054557904)
,p_process_sequence=>90
,p_process_point=>'AFTER_SUBMIT'
,p_process_type=>'NATIVE_PLSQL'
,p_process_name=>'Reset PKI Last Login'
,p_process_sql_clob=>wwv_flow_string.join(wwv_flow_t_varchar2(
'begin',
'update t_acm_user',
'set last_login=sysdate',
'where login_id = :P4000_LOGIN_ID;',
'',
'select decode(account_lock,''N'',''No'',''Yes''), to_char(LAST_LOGIN, :FMT_DATE)',
'into :P4000_LOCKED,:P4000_LAST_LOGIN',
'from t_acm_user where login_id = :P4000_LOGIN_ID;',
'end;'))
,p_process_error_message=>'Error updating PKI account.'
,p_error_display_location=>'INLINE_IN_NOTIFICATION'
,p_process_when_button_id=>wwv_flow_api.id(29503316572557903)
,p_process_success_message=>'Updated PKI Account.'
);
wwv_flow_api.create_page_process(
 p_id=>wwv_flow_api.id(6605471211792881)
,p_process_sequence=>10
,p_process_point=>'BEFORE_HEADER'
,p_process_type=>'NATIVE_FORM_FETCH'
,p_process_name=>'Fetch Row from T_ACM_PERSONNEL'
,p_attribute_02=>'T_ACM_PERSONNEL'
,p_attribute_03=>'P4000_OBJ'
,p_attribute_04=>'OBJ'
,p_process_error_message=>'Error loading object data from personnel record.'
,p_process_when=>'P4000_OBJ'
,p_process_when_type=>'ITEM_IS_NOT_NULL'
);
wwv_flow_api.create_page_process(
 p_id=>wwv_flow_api.id(6616456448330056)
,p_process_sequence=>50
,p_process_point=>'BEFORE_HEADER'
,p_process_type=>'NATIVE_PLSQL'
,p_process_name=>'Load other tables'
,p_process_sql_clob=>wwv_flow_string.join(wwv_flow_t_varchar2(
'select login_id, ',
'       to_char(expiration_date, :FMT_DATE) expiration_date, ',
'       to_char(last_login, :FMT_DATE) last_login,',
'       decode(account_lock, ''N'', ''No'', ''Yes''),',
'       TEMP_LOCK_EXPIRATION, ',
'       FAILED_LOGIN',
'  into :P4000_LOGIN_ID,',
'  :P4000_EXP_DATE,',
'  :P4000_LAST_LOGIN,',
'  :P4000_LOCKED,',
'  :P4000_TEMP_LOCK,',
'  :P4000_FAILED_LOGINS',
'from t_acm_user ',
'where obj = :P4000_OBJ;'))
,p_process_error_message=>'Error loading user account info: #SQLERRM#'
,p_process_when=>'P4000_OBJ'
,p_process_when_type=>'ITEM_IS_NOT_NULL'
);
wwv_flow_api.create_page_process(
 p_id=>wwv_flow_api.id(10908310830538868)
,p_process_sequence=>60
,p_process_point=>'BEFORE_HEADER'
,p_process_type=>'PLUGIN_PROCESS_EVENT'
,p_process_name=>'Post-Access Processing'
,p_attribute_01=>'ACCESSED'
,p_attribute_02=>'P4000_OBJ'
,p_process_error_message=>'#SQLERRM#'
,p_process_when=>'P4000_OBJ'
,p_process_when_type=>'ITEM_IS_NOT_NULL'
);
end;
/
prompt --application/end_environment
begin
wwv_flow_api.import_end(p_auto_install_sup_obj => nvl(wwv_flow_application_install.get_auto_install_sup_obj, false));
--commit;
end;
/
set verify on feedback on define on
prompt  ...done
begin
wwv_flow_api.import_end(p_auto_install_sup_obj => nvl(wwv_flow_application_install.get_auto_install_sup_obj, false), p_is_component_import => true);
commit;
end;
/
set verify on feedback on define on
prompt  ...done
