prompt --application/set_environment
set define off verify off feedback off
whenever sqlerror exit sql.sqlcode rollback
--------------------------------------------------------------------------------
--
-- ORACLE Application Express (APEX) export file
--
-- You should run the script connected to SQL*Plus as the Oracle user
-- APEX_190200 or as the owner (parsing schema) of the application.
--
-- NOTE: Calls to apex_application_install override the defaults below.
--
--------------------------------------------------------------------------------
begin
wwv_flow_api.import_begin (
 p_version_yyyy_mm_dd=>'2019.10.04'
,p_release=>'19.2.0.00.18'
,p_default_workspace_id=>apex_util.find_security_group_id(user)
,p_default_application_id=>100
,p_default_id_offset=>0
,p_default_owner=>'ACM'
);
end;
/
 
prompt APPLICATION 100 - CI2MS
--
-- Application Export:
--   Application:     100
--   Name:            CI2MS
--   Date and Time:   14:05 Friday January 20, 2023
--   Exported By:     KYLE.PARRENT
--   Flashback:       0
--   Export Type:     Page Export
--   Manifest
--     PAGE: 5016
--   Manifest End
--   Version:         19.2.0.00.18
--   Instance ID:     199039407005378
--

begin
null;
end;
/
prompt --application/pages/delete_05016
begin
wwv_flow_api.remove_page (p_flow_id=>wwv_flow.g_flow_id, p_page_id=>5016);
end;
/
prompt --application/pages/page_05016
begin
wwv_flow_api.create_page(
 p_id=>5016
,p_user_interface_id=>wwv_flow_api.id(1724376430811806)
,p_name=>'Recommendation'
,p_page_mode=>'MODAL'
,p_step_title=>'IRMO Finding'
,p_autocomplete_on_off=>'OFF'
,p_group_id=>wwv_flow_api.id(172900170760378564)
,p_page_template_options=>'#DEFAULT#'
,p_required_role=>'MUST_NOT_BE_PUBLIC_USER'
,p_protection_level=>'C'
,p_last_updated_by=>'KYLE.PARRENT'
,p_last_upd_yyyymmddhh24miss=>'20230120135850'
);
wwv_flow_api.create_page_plug(
 p_id=>wwv_flow_api.id(172337823986056536)
,p_plug_name=>'Finding'
,p_region_template_options=>'#DEFAULT#:t-Form--slimPadding:t-Form--leftLabels'
,p_plug_template=>wwv_flow_api.id(1690005324811773)
,p_plug_display_sequence=>10
,p_include_in_reg_disp_sel_yn=>'Y'
,p_plug_display_point=>'BODY'
,p_plug_query_options=>'DERIVED_REPORT_COLUMNS'
,p_plug_read_only_when_type=>'PLSQL_EXPRESSION'
,p_plug_read_only_when=>'ACM_UI.CHECK_PAGE_READ_ONLY'
,p_attribute_01=>'N'
,p_attribute_02=>'HTML'
);
wwv_flow_api.create_page_button(
 p_id=>wwv_flow_api.id(135001482822451875)
,p_button_sequence=>10
,p_button_plug_id=>wwv_flow_api.id(172337823986056536)
,p_button_name=>'SAVE'
,p_button_action=>'SUBMIT'
,p_button_template_options=>'#DEFAULT#:t-Button--iconRight'
,p_button_template_id=>wwv_flow_api.id(10001553045979843)
,p_button_image_alt=>'Save'
,p_button_position=>'TOP'
,p_button_condition=>'P5016_SID'
,p_button_condition_type=>'ITEM_IS_NOT_NULL'
,p_security_scheme=>wwv_flow_api.id(71870379768586784)
);
wwv_flow_api.create_page_button(
 p_id=>wwv_flow_api.id(135001890221451878)
,p_button_sequence=>20
,p_button_plug_id=>wwv_flow_api.id(172337823986056536)
,p_button_name=>'CREATE'
,p_button_static_id=>'create'
,p_button_action=>'SUBMIT'
,p_button_template_options=>'#DEFAULT#:t-Button--iconRight'
,p_button_template_id=>wwv_flow_api.id(10225064190350856)
,p_button_image_alt=>'Create'
,p_button_position=>'TOP'
,p_button_condition=>'P5016_SID'
,p_button_condition_type=>'ITEM_IS_NULL'
,p_button_cattributes=>'title = "Create Venue"'
);
wwv_flow_api.create_page_button(
 p_id=>wwv_flow_api.id(135002294026451879)
,p_button_sequence=>30
,p_button_plug_id=>wwv_flow_api.id(172337823986056536)
,p_button_name=>'CANCEL'
,p_button_action=>'DEFINED_BY_DA'
,p_button_template_options=>'#DEFAULT#'
,p_button_template_id=>wwv_flow_api.id(17059566633805304)
,p_button_image_alt=>'Cancel'
,p_button_position=>'TOP'
,p_button_alignment=>'LEFT'
,p_warn_on_unsaved_changes=>null
,p_button_cattributes=>'title="Cancel Referral"'
);
wwv_flow_api.create_page_button(
 p_id=>wwv_flow_api.id(135002655725451881)
,p_button_sequence=>40
,p_button_plug_id=>wwv_flow_api.id(172337823986056536)
,p_button_name=>'DELETE'
,p_button_action=>'SUBMIT'
,p_button_template_options=>'#DEFAULT#:t-Button--iconRight'
,p_button_template_id=>wwv_flow_api.id(10009339916085685)
,p_button_image_alt=>'Delete'
,p_button_position=>'TOP'
,p_button_execute_validations=>'N'
,p_button_condition=>'P5016_SID'
,p_button_condition_type=>'ITEM_IS_NOT_NULL'
,p_security_scheme=>wwv_flow_api.id(71870379768586784)
);
wwv_flow_api.create_page_item(
 p_id=>wwv_flow_api.id(135003008916451881)
,p_name=>'P5016_SID'
,p_item_sequence=>10
,p_item_plug_id=>wwv_flow_api.id(172337823986056536)
,p_display_as=>'NATIVE_HIDDEN'
,p_attribute_01=>'Y'
);
wwv_flow_api.create_page_item(
 p_id=>wwv_flow_api.id(135003462668451885)
,p_name=>'P5016_OBJ'
,p_item_sequence=>20
,p_item_plug_id=>wwv_flow_api.id(172337823986056536)
,p_use_cache_before_default=>'NO'
,p_source=>'OBJ'
,p_source_type=>'DB_COLUMN'
,p_display_as=>'NATIVE_HIDDEN'
,p_attribute_01=>'Y'
);
wwv_flow_api.create_page_item(
 p_id=>wwv_flow_api.id(135003843336451885)
,p_name=>'P5016_OBJ_TYPE'
,p_item_sequence=>30
,p_item_plug_id=>wwv_flow_api.id(172337823986056536)
,p_display_as=>'NATIVE_HIDDEN'
,p_attribute_01=>'Y'
);
wwv_flow_api.create_page_item(
 p_id=>wwv_flow_api.id(135004219825451885)
,p_name=>'P5016_RECOMMENDATION'
,p_is_required=>true
,p_item_sequence=>40
,p_item_plug_id=>wwv_flow_api.id(172337823986056536)
,p_use_cache_before_default=>'NO'
,p_prompt=>'Recommendation:'
,p_source=>'RECOMMENDATION'
,p_source_type=>'DB_COLUMN'
,p_display_as=>'NATIVE_SELECT_LIST'
,p_lov=>wwv_flow_string.join(wwv_flow_t_varchar2(
'SELECT DISPLAY, REF_KEY',
'  FROM T_F_IRMO_FINDING_REF',
' WHERE USAGE = ''RECOMMEND'' AND OBJ_TYPE = :P5016_OBJ_TYPE AND ACTIVE = ''Y''',
' ORDER BY SEQ ASC;'))
,p_lov_display_null=>'YES'
,p_lov_null_text=>'- Select Recommendation -'
,p_cHeight=>1
,p_field_template=>wwv_flow_api.id(1718898501811790)
,p_item_template_options=>'#DEFAULT#'
,p_lov_display_extra=>'YES'
,p_attribute_01=>'NONE'
,p_attribute_02=>'N'
);
wwv_flow_api.create_page_item(
 p_id=>wwv_flow_api.id(135005032849451887)
,p_name=>'P5016_IRMO_INDICATOR'
,p_is_required=>true
,p_item_sequence=>55
,p_item_plug_id=>wwv_flow_api.id(172337823986056536)
,p_use_cache_before_default=>'NO'
,p_prompt=>'IRMO Indicator:'
,p_source=>'IRMO_INDICATOR'
,p_source_type=>'DB_COLUMN'
,p_display_as=>'NATIVE_SELECT_LIST'
,p_lov=>'select display, ref_key from t_f_irmo_ref where active = ''Y'' and OBJ_TYPE = ( SELECT SID FROM T_ACM_OBJ_TYPE WHERE OBJ_TYPE_CODE = ''FILE.IRMO'' ) order by seq,display'
,p_lov_display_null=>'YES'
,p_lov_null_text=>'- Select IRMO Indicators Type -'
,p_cHeight=>1
,p_display_when_type=>'NEVER'
,p_field_template=>wwv_flow_api.id(1718898501811790)
,p_item_template_options=>'#DEFAULT#'
,p_lov_display_extra=>'YES'
,p_attribute_01=>'NONE'
,p_attribute_02=>'N'
);
wwv_flow_api.create_page_item(
 p_id=>wwv_flow_api.id(135005401389451887)
,p_name=>'P5016_COMMENTS'
,p_item_sequence=>60
,p_item_plug_id=>wwv_flow_api.id(172337823986056536)
,p_use_cache_before_default=>'NO'
,p_prompt=>'Comments:'
,p_source=>'COMMENTS'
,p_source_type=>'DB_COLUMN'
,p_display_as=>'PLUGIN_I2MS.TEXT_AREA'
,p_cSize=>30
,p_cMaxlength=>4000
,p_cHeight=>1
,p_field_template=>wwv_flow_api.id(1718652654811790)
,p_item_template_options=>'#DEFAULT#'
,p_attribute_01=>'P&APP_PAGE_ID._OBJ'
,p_attribute_02=>'both'
,p_attribute_03=>'Y'
,p_attribute_04=>'P5016_OBJ'
,p_attribute_05=>'N'
);
wwv_flow_api.create_page_process(
 p_id=>wwv_flow_api.id(135008681658451898)
,p_process_sequence=>10
,p_process_point=>'AFTER_HEADER'
,p_process_type=>'NATIVE_FORM_FETCH'
,p_process_name=>'Fetch Row from T_F_IRMO_FINDING'
,p_attribute_02=>'T_F_IRMO_FINDING'
,p_attribute_03=>'P5016_SID'
,p_attribute_04=>'SID'
,p_process_error_message=>'#SQLERRM#'
,p_process_when=>'P5016_SID'
,p_process_when_type=>'ITEM_IS_NOT_NULL'
);
wwv_flow_api.create_page_process(
 p_id=>wwv_flow_api.id(135007898857451896)
,p_process_sequence=>20
,p_process_point=>'AFTER_HEADER'
,p_process_type=>'NATIVE_PLSQL'
,p_process_name=>'Get OBJ_TYPE'
,p_process_sql_clob=>wwv_flow_string.join(wwv_flow_t_varchar2(
'SELECT OBJ_TYPE',
'  INTO :P5016_OBJ_TYPE',
'  FROM T_ACM_OBJ',
' WHERE SID = :P5016_OBJ;'))
,p_error_display_location=>'INLINE_IN_NOTIFICATION'
,p_process_when=>'P5016_OBJ'
,p_process_when_type=>'ITEM_IS_NOT_NULL'
);
wwv_flow_api.create_page_process(
 p_id=>wwv_flow_api.id(135009006006451898)
,p_process_sequence=>40
,p_process_point=>'AFTER_SUBMIT'
,p_process_type=>'NATIVE_FORM_PROCESS'
,p_process_name=>'T_F_IRMO_FINDING ARP'
,p_attribute_02=>'T_F_IRMO_FINDING'
,p_attribute_03=>'P5016_SID'
,p_attribute_04=>'SID'
,p_attribute_05=>'P5016_OBJ'
,p_attribute_06=>'OBJ'
,p_attribute_09=>'P5016_SID'
,p_attribute_10=>'P5016_OBJ'
,p_attribute_11=>'I:U:D'
,p_attribute_12=>'Y'
,p_error_display_location=>'INLINE_IN_NOTIFICATION'
);
wwv_flow_api.create_page_process(
 p_id=>wwv_flow_api.id(135008262693451898)
,p_process_sequence=>70
,p_process_point=>'AFTER_SUBMIT'
,p_process_type=>'NATIVE_CLOSE_WINDOW'
,p_process_name=>'Close Dialog'
,p_process_error_message=>'#SQLERRM#'
,p_error_display_location=>'INLINE_IN_NOTIFICATION'
,p_process_when=>wwv_flow_string.join(wwv_flow_t_varchar2(
':REQUEST in (''CREATE'',''SAVE'',''DELETE'') and',
'NOT apex_error.have_errors_occurred'))
,p_process_when_type=>'PLSQL_EXPRESSION'
,p_process_success_message=>'Recommendation updated!'
);
end;
/
prompt --application/end_environment
begin
wwv_flow_api.import_end(p_auto_install_sup_obj => nvl(wwv_flow_application_install.get_auto_install_sup_obj, false));
--commit;
end;
/
set verify on feedback on define on
prompt  ...done
begin
wwv_flow_api.import_end(p_auto_install_sup_obj => nvl(wwv_flow_application_install.get_auto_install_sup_obj, false), p_is_component_import => true);
commit;
end;
/
set verify on feedback on define on
prompt  ...done
