prompt --application/set_environment
set define off verify off feedback off
whenever sqlerror exit sql.sqlcode rollback
--------------------------------------------------------------------------------
--
-- ORACLE Application Express (APEX) export file
--
-- You should run the script connected to SQL*Plus as the Oracle user
-- APEX_190200 or as the owner (parsing schema) of the application.
--
-- NOTE: Calls to apex_application_install override the defaults below.
--
--------------------------------------------------------------------------------
begin
wwv_flow_api.import_begin (
 p_version_yyyy_mm_dd=>'2019.10.04'
,p_release=>'19.2.0.00.18'
,p_default_workspace_id=>apex_util.find_security_group_id(user)
,p_default_application_id=>100
,p_default_id_offset=>0
,p_default_owner=>'ACM'
);
end;
/
 
prompt APPLICATION 100 - CI2MS
--
-- Application Export:
--   Application:     100
--   Name:            CI2MS
--   Date and Time:   11:10 Tuesday January 17, 2023
--   Exported By:     KYLE.PARRENT
--   Flashback:       0
--   Export Type:     Component Export
--   Manifest
--     PAGE: 2150
--     PAGE: 5016
--     PLUGIN: 135500765918559053
--   Manifest End
--   Version:         19.2.0.00.18
--   Instance ID:     199039407005378
--

begin
  -- replace components
  wwv_flow_api.g_mode := 'REPLACE';
end;
/
prompt --application/shared_components/plugins/region_type/i2ms_finding_region44556
begin
wwv_flow_api.create_plugin(
 p_id=>wwv_flow_api.id(135500765918559053)
,p_plugin_type=>'REGION TYPE'
,p_name=>'I2MS.FINDING_REGION44556'
,p_display_name=>'I2MS IRMO Findings'
,p_supported_ui_types=>'DESKTOP'
,p_javascript_file_urls=>'#APP_IMAGES#/js/i2ms-classic-report-21_02.js'
,p_api_version=>2
,p_render_function=>'#OWNER#.ACM_P_IRMO_FINDINGS.I2MS_FINDINGS_REGION_RENDER'
,p_ajax_function=>'#OWNER#.ACM_P_IRMO_FINDINGS.I2MS_FINDINGS_REGION_AJAX'
,p_substitute_attributes=>true
,p_subscribe_plugin_settings=>true
,p_version_identifier=>'2021.09.13'
);
wwv_flow_api.create_plugin_attribute(
 p_id=>wwv_flow_api.id(135500940923559057)
,p_plugin_id=>wwv_flow_api.id(135500765918559053)
,p_attribute_scope=>'COMPONENT'
,p_attribute_sequence=>1
,p_display_sequence=>10
,p_prompt=>'Page Item Obj'
,p_attribute_type=>'PAGE ITEM'
,p_is_required=>true
,p_is_translatable=>false
);
wwv_flow_api.create_plugin_event(
 p_id=>wwv_flow_api.id(135501828880559067)
,p_plugin_id=>wwv_flow_api.id(135500765918559053)
,p_name=>'paginate'
,p_display_name=>'paginate'
);
end;
/
prompt --application/pages/delete_02150
begin
wwv_flow_api.remove_page (p_flow_id=>wwv_flow.g_flow_id, p_page_id=>2150);
end;
/
prompt --application/pages/page_02150
begin
wwv_flow_api.create_page(
 p_id=>2150
,p_user_interface_id=>wwv_flow_api.id(1724376430811806)
,p_name=>'IRMO Intake'
,p_step_title=>'IRMO Intake'
,p_reload_on_submit=>'A'
,p_first_item=>'AUTO_FIRST_ITEM'
,p_autocomplete_on_off=>'ON'
,p_group_id=>wwv_flow_api.id(50580294360533618)
,p_step_template=>wwv_flow_api.id(3648650640051096)
,p_page_template_options=>'#DEFAULT#'
,p_required_role=>wwv_flow_api.id(5469764320376770)
,p_read_only_when_type=>'PLSQL_EXPRESSION'
,p_read_only_when=>'ACM_UI.CHECK_PAGE_READ_ONLY'
,p_help_text=>'No help is available for this page.'
,p_last_updated_by=>'KYLE.PARRENT'
,p_last_upd_yyyymmddhh24miss=>'20230113144356'
);
wwv_flow_api.create_page_plug(
 p_id=>wwv_flow_api.id(132342239821409487)
,p_plug_name=>'Treasury Bureau'
,p_region_name=>'R2180_DHS_COMPONENTS'
,p_region_template_options=>'#DEFAULT#:is-collapsed:t-Region--scrollBody:t-Form--slimPadding:t-Form--leftLabels'
,p_plug_template=>wwv_flow_api.id(1694478717811776)
,p_plug_display_sequence=>70
,p_include_in_reg_disp_sel_yn=>'Y'
,p_plug_display_point=>'BODY'
,p_plug_source_type=>'PLUGIN_I2MS.PARTIC_REGION'
,p_plug_query_options=>'DERIVED_REPORT_COLUMNS'
,p_plug_display_condition_type=>'SQL_EXPRESSION'
,p_plug_display_when_condition=>':P&APP_PAGE_ID._OBJ IS NOT NULL'
,p_attribute_01=>'P&APP_PAGE_ID._OBJ'
,p_attribute_02=>'TREASURY_BUREAU'
,p_attribute_04=>'Add Treasury Bureau'
,p_attribute_06=>'ADD_PARTIC_INVOLV'
,p_attribute_07=>'EDIT_PARTIC_INVOLV'
,p_attribute_08=>'Edit Participant Involvement'
,p_attribute_09=>'DHS_AGENCY'
,p_attribute_10=>'N'
);
wwv_flow_api.create_page_plug(
 p_id=>wwv_flow_api.id(132342344205409488)
,p_plug_name=>'Other Agencies'
,p_region_name=>'R2180_OTHER_AGENCIES'
,p_region_template_options=>'#DEFAULT#:is-collapsed:t-Region--scrollBody:t-Form--slimPadding:t-Form--leftLabels'
,p_plug_template=>wwv_flow_api.id(1694478717811776)
,p_plug_display_sequence=>80
,p_include_in_reg_disp_sel_yn=>'Y'
,p_plug_display_point=>'BODY'
,p_plug_source_type=>'PLUGIN_I2MS.PARTIC_REGION'
,p_plug_query_options=>'DERIVED_REPORT_COLUMNS'
,p_plug_display_condition_type=>'SQL_EXPRESSION'
,p_plug_display_when_condition=>':P&APP_PAGE_ID._OBJ IS NOT NULL'
,p_attribute_01=>'P&APP_PAGE_ID._OBJ'
,p_attribute_02=>'OTHER_AGENCIES'
,p_attribute_04=>'Add Other Agency'
,p_attribute_06=>'ADD_PARTIC_INVOLV'
,p_attribute_07=>'EDIT_PARTIC_INVOLV'
,p_attribute_08=>'Edit Other Agency Involvement'
,p_attribute_09=>'NONINDIV'
,p_attribute_10=>'N'
);
wwv_flow_api.create_report_region(
 p_id=>wwv_flow_api.id(137406452487963938)
,p_name=>'Participants '
,p_region_name=>'R2150_PARTICIPANTS'
,p_template=>wwv_flow_api.id(1694478717811776)
,p_display_sequence=>60
,p_include_in_reg_disp_sel_yn=>'Y'
,p_region_template_options=>'#DEFAULT#:is-collapsed:t-Region--scrollBody:t-Form--slimPadding:t-Form--leftLabels'
,p_component_template_options=>'#DEFAULT#:t-Report--altRowsDefault:t-Report--rowHighlight'
,p_display_point=>'BODY'
,p_source_type=>'NATIVE_SQL_REPORT'
,p_query_type=>'SQL'
,p_source=>wwv_flow_string.join(wwv_flow_t_varchar2(
'SELECT  TPI.SID,',
'        DHS.SID DHS_SID, ',
'        O.SID OBJ,',
'        OT.PAGE_EDIT,',
'        NVL(OT.PAGE_POPUP,30) PAGE_POPUP, ',
'        O.TAGLINE NAME, ',
'        TPRT.DISPLAY ROLE, ',
'        NIN.NONINDIV_NAME DHS_AGENCY, ',
'        EMP.DISPLAY EMPLOY, ',
'        DHS.POSITION, ',
'        EMP3.DISPLAY PAY_GRADE, ',
'        PC.VALUE DHS_EMAIL, ',
'        EMP2.DISPLAY CLEARANCE, ',
'        TPI.CREATED_ON',
'            FROM T_PARTIC_INVOLVEMENT TPI',
'            INNER JOIN T_PARTIC_ROLE_TYPE TPRT ON TPRT.SID = TPI.INVOLVEMENT_ROLE',
'            INNER JOIN T_ACM_OBJ O ON O.SID = TPI.PARTICIPANT',
'            INNER JOIN T_ACM_OBJ_TYPE OT ON OT.SID = O.OBJ_TYPE',
'            LEFT OUTER JOIN T_PARTIC_INDIV_DHS_COMP DHS ON DHS.SID = TPI.INDIV_DHS_COMP',
'            LEFT OUTER JOIN T_PARTIC_NAME NIN ON NIN.OBJ = DHS.DHS_COMPONENT AND NIN.IS_CURRENT = ''Y''',
'            LEFT OUTER JOIN T_PARTIC_INVOLVEMENT_REF TPIR ON TPIR.REF_KEY = TPI.DISPOSITION',
'            LEFT OUTER JOIN T_PARTIC_INDIV_REF EMP ON EMP.REF_KEY = DHS.EMPLOYMENT_TYPE',
'            LEFT OUTER JOIN T_PARTIC_INDIV_REF EMP3 ON EMP3.REF_KEY = DHS.PAY_GRADE',
'            LEFT OUTER JOIN T_PARTIC_CONTACT PC ON PC.OBJ = TPI.PARTICIPANT AND PC.CONTACT_TYPE = ''PARTIC.INDIV.CONTACT_TYPE.EMLDHS''',
'	    LEFT OUTER JOIN T_PARTIC_INDIV_REF EMP2 ON TPI.CLEARANCE = EMP2.REF_KEY',
'            WHERE TPI.OBJ = :P2150_OBJ',
'            AND TPRT.NONINDIV_ONLY = ''N''',
'            ORDER BY TPI.SID DESC'))
,p_display_when_condition=>':P&APP_PAGE_ID._OBJ IS NOT NULL'
,p_display_condition_type=>'SQL_EXPRESSION'
,p_ajax_enabled=>'Y'
,p_ajax_items_to_submit=>'P2150_OBJ'
,p_query_row_template=>wwv_flow_api.id(1706976520811782)
,p_query_num_rows=>15
,p_query_options=>'DERIVED_REPORT_COLUMNS'
,p_query_show_nulls_as=>'-'
,p_query_num_rows_type=>'NEXT_PREVIOUS_LINKS'
,p_pagination_display_position=>'BOTTOM_RIGHT'
,p_csv_output=>'N'
,p_prn_output=>'N'
,p_sort_null=>'L'
,p_plug_query_strip_html=>'N'
);
wwv_flow_api.create_report_columns(
 p_id=>wwv_flow_api.id(137406583627963939)
,p_query_column_id=>1
,p_column_alias=>'SID'
,p_column_display_sequence=>1
,p_column_heading=>'Edit'
,p_use_as_row_header=>'N'
,p_column_link=>'f?p=&APP_ID.:5041:&SESSION.::&DEBUG.:RP,5041:P5041_SID,P5041_INVOLVEMENT_ROLE_USAGE:#SID#,PARTICIPANTS'
,p_column_linktext=>'<img src="#IMAGE_PREFIX#app_ui/img/icons/apex-edit-pencil.png" class="apex-edit-pencil" alt="">'
,p_derived_column=>'N'
,p_include_in_export=>'Y'
);
wwv_flow_api.create_report_columns(
 p_id=>wwv_flow_api.id(137502567990996425)
,p_query_column_id=>2
,p_column_alias=>'DHS_SID'
,p_column_display_sequence=>14
,p_hidden_column=>'Y'
,p_derived_column=>'N'
);
wwv_flow_api.create_report_columns(
 p_id=>wwv_flow_api.id(137501426096996414)
,p_query_column_id=>3
,p_column_alias=>'OBJ'
,p_column_display_sequence=>13
,p_hidden_column=>'Y'
,p_derived_column=>'N'
);
wwv_flow_api.create_report_columns(
 p_id=>wwv_flow_api.id(137501296701996412)
,p_query_column_id=>4
,p_column_alias=>'PAGE_EDIT'
,p_column_display_sequence=>11
,p_hidden_column=>'Y'
,p_derived_column=>'N'
);
wwv_flow_api.create_report_columns(
 p_id=>wwv_flow_api.id(137501364893996413)
,p_query_column_id=>5
,p_column_alias=>'PAGE_POPUP'
,p_column_display_sequence=>12
,p_hidden_column=>'Y'
,p_derived_column=>'N'
);
wwv_flow_api.create_report_columns(
 p_id=>wwv_flow_api.id(137501084788996410)
,p_query_column_id=>6
,p_column_alias=>'NAME'
,p_column_display_sequence=>2
,p_column_heading=>'Name'
,p_use_as_row_header=>'N'
,p_column_link=>'f?p=&APP_ID.:#PAGE_POPUP#:&SESSION.::&DEBUG.:RP,#PAGE_POPUP#:P#PAGE_POPUP#_SID:#OBJ#'
,p_column_linktext=>'#NAME#'
,p_derived_column=>'N'
,p_include_in_export=>'Y'
);
wwv_flow_api.create_report_columns(
 p_id=>wwv_flow_api.id(137406821383963942)
,p_query_column_id=>7
,p_column_alias=>'ROLE'
,p_column_display_sequence=>3
,p_column_heading=>'Role'
,p_use_as_row_header=>'N'
,p_derived_column=>'N'
,p_include_in_export=>'Y'
);
wwv_flow_api.create_report_columns(
 p_id=>wwv_flow_api.id(137500695995996406)
,p_query_column_id=>8
,p_column_alias=>'DHS_AGENCY'
,p_column_display_sequence=>4
,p_column_heading=>'DHS Agency'
,p_use_as_row_header=>'N'
,p_derived_column=>'N'
,p_include_in_export=>'Y'
);
wwv_flow_api.create_report_columns(
 p_id=>wwv_flow_api.id(137407030786963944)
,p_query_column_id=>9
,p_column_alias=>'EMPLOY'
,p_column_display_sequence=>5
,p_column_heading=>'Employment Type'
,p_use_as_row_header=>'N'
,p_column_link=>'f?p=&APP_ID.:7026:&SESSION.::&DEBUG.:RP,7026:P7026_SID,P7026_RETURN_PAGE:#DHS_SID#,2150'
,p_column_linktext=>'#EMPLOY#'
,p_derived_column=>'N'
,p_include_in_export=>'Y'
);
wwv_flow_api.create_report_columns(
 p_id=>wwv_flow_api.id(137407191975963945)
,p_query_column_id=>10
,p_column_alias=>'POSITION'
,p_column_display_sequence=>6
,p_column_heading=>'Position'
,p_use_as_row_header=>'N'
,p_derived_column=>'N'
,p_include_in_export=>'Y'
);
wwv_flow_api.create_report_columns(
 p_id=>wwv_flow_api.id(137500416335996404)
,p_query_column_id=>11
,p_column_alias=>'PAY_GRADE'
,p_column_display_sequence=>7
,p_column_heading=>'Pay Grade'
,p_use_as_row_header=>'N'
,p_derived_column=>'N'
,p_include_in_export=>'Y'
);
wwv_flow_api.create_report_columns(
 p_id=>wwv_flow_api.id(137500752470996407)
,p_query_column_id=>12
,p_column_alias=>'DHS_EMAIL'
,p_column_display_sequence=>8
,p_column_heading=>'DHS Email'
,p_use_as_row_header=>'N'
,p_derived_column=>'N'
,p_include_in_export=>'Y'
);
wwv_flow_api.create_report_columns(
 p_id=>wwv_flow_api.id(137500110442996401)
,p_query_column_id=>13
,p_column_alias=>'CLEARANCE'
,p_column_display_sequence=>9
,p_column_heading=>'Clearance'
,p_use_as_row_header=>'N'
,p_derived_column=>'N'
,p_include_in_export=>'Y'
);
wwv_flow_api.create_report_columns(
 p_id=>wwv_flow_api.id(137407376970963947)
,p_query_column_id=>14
,p_column_alias=>'CREATED_ON'
,p_column_display_sequence=>10
,p_column_heading=>'Created On'
,p_use_as_row_header=>'N'
,p_derived_column=>'N'
,p_include_in_export=>'Y'
);
wwv_flow_api.create_page_plug(
 p_id=>wwv_flow_api.id(138374599569259480)
,p_plug_name=>'Recommendations'
,p_region_name=>'R2180_RECOMMENDATIONS'
,p_region_template_options=>'#DEFAULT#:is-collapsed:t-Region--scrollBody:t-Form--slimPadding:t-Form--leftLabels'
,p_plug_template=>wwv_flow_api.id(1694478717811776)
,p_plug_display_sequence=>30
,p_include_in_reg_disp_sel_yn=>'Y'
,p_plug_display_point=>'BODY'
,p_plug_source_type=>'PLUGIN_I2MS.FINDING_REGION44556'
,p_plug_query_options=>'DERIVED_REPORT_COLUMNS'
,p_plug_display_condition_type=>'SQL_EXPRESSION'
,p_plug_display_when_condition=>':P&APP_PAGE_ID._OBJ IS NOT NULL'
,p_attribute_01=>'P&APP_PAGE_ID._OBJ'
);
wwv_flow_api.create_page_plug(
 p_id=>wwv_flow_api.id(138374697424259481)
,p_plug_name=>'PRI Category'
,p_region_name=>'R2180_CI_INCIDENT'
,p_region_template_options=>'#DEFAULT#:is-collapsed:t-Region--scrollBody:t-Form--slimPadding:t-Form--leftLabels'
,p_plug_template=>wwv_flow_api.id(1694478717811776)
,p_plug_display_sequence=>20
,p_include_in_reg_disp_sel_yn=>'Y'
,p_plug_display_point=>'BODY'
,p_plug_source_type=>'PLUGIN_I2MS.IT_MATTER_REGION'
,p_plug_query_options=>'DERIVED_REPORT_COLUMNS'
,p_plug_display_condition_type=>'SQL_EXPRESSION'
,p_plug_display_when_condition=>':P&APP_PAGE_ID._OBJ IS NOT NULL'
,p_attribute_01=>'P&APP_PAGE_ID._OBJ'
);
wwv_flow_api.create_page_plug(
 p_id=>wwv_flow_api.id(151335970307568459)
,p_plug_name=>'Navigation'
,p_region_template_options=>'#DEFAULT#:t-Region--scrollBody:t-Form--slimPadding:t-Form--leftLabels'
,p_component_template_options=>'#DEFAULT#'
,p_plug_template=>wwv_flow_api.id(1698100915811778)
,p_plug_display_sequence=>30
,p_include_in_reg_disp_sel_yn=>'Y'
,p_plug_display_point=>'REGION_POSITION_02'
,p_plug_source_type=>'PLUGIN_I2MS.NAV_WIDGET_REGION'
,p_plug_query_options=>'DERIVED_REPORT_COLUMNS'
,p_plug_display_condition_type=>'SQL_EXPRESSION'
,p_plug_display_when_condition=>':P&APP_PAGE_ID._OBJ IS NOT NULL'
);
wwv_flow_api.create_page_plug(
 p_id=>wwv_flow_api.id(167327741453935716)
,p_plug_name=>'Due Dates'
,p_region_template_options=>'#DEFAULT#:is-expanded:t-Region--scrollBody:t-Form--slimPadding:t-Form--leftLabels'
,p_plug_template=>wwv_flow_api.id(1694478717811776)
,p_plug_display_sequence=>10
,p_include_in_reg_disp_sel_yn=>'Y'
,p_plug_display_point=>'REGION_POSITION_02'
,p_plug_source_type=>'PLUGIN_I2MS.DUEDATE_WIDGET'
,p_plug_query_options=>'DERIVED_REPORT_COLUMNS'
,p_plug_display_condition_type=>'SQL_EXPRESSION'
,p_plug_display_when_condition=>':P&APP_PAGE_ID._OBJ IS NOT NULL'
,p_attribute_01=>'P&APP_PAGE_ID._OBJ'
);
wwv_flow_api.create_page_plug(
 p_id=>wwv_flow_api.id(168694649845767995)
,p_plug_name=>'Notes'
,p_region_template_options=>'#DEFAULT#:is-collapsed:t-Region--scrollBody:t-Form--slimPadding:t-Form--leftLabels'
,p_plug_template=>wwv_flow_api.id(1694478717811776)
,p_plug_display_sequence=>120
,p_include_in_reg_disp_sel_yn=>'Y'
,p_plug_display_point=>'BODY'
,p_plug_source_type=>'PLUGIN_I2MS.NOTES_REGION'
,p_plug_query_options=>'DERIVED_REPORT_COLUMNS'
,p_plug_display_condition_type=>'SQL_EXPRESSION'
,p_plug_display_when_condition=>':P&APP_PAGE_ID._OBJ IS NOT NULL'
,p_attribute_01=>'P&APP_PAGE_ID._OBJ'
,p_attribute_02=>'Y'
);
wwv_flow_api.create_page_plug(
 p_id=>wwv_flow_api.id(177722958717988425)
,p_plug_name=>'Assignments'
,p_region_template_options=>'#DEFAULT#:is-expanded:t-Region--scrollBody:t-Form--slimPadding:t-Form--leftLabels'
,p_plug_template=>wwv_flow_api.id(1694478717811776)
,p_plug_display_sequence=>40
,p_include_in_reg_disp_sel_yn=>'Y'
,p_plug_display_point=>'REGION_POSITION_02'
,p_plug_source_type=>'PLUGIN_I2MS.STAKEHOLDER_WIDGET'
,p_plug_query_options=>'DERIVED_REPORT_COLUMNS'
,p_plug_display_condition_type=>'SQL_EXPRESSION'
,p_plug_display_when_condition=>':P&APP_PAGE_ID._OBJ IS NOT NULL'
,p_attribute_01=>'P&APP_PAGE_ID._OBJ'
);
wwv_flow_api.create_page_plug(
 p_id=>wwv_flow_api.id(254595317337993675)
,p_plug_name=>'Progress'
,p_region_template_options=>'#DEFAULT#:is-expanded:t-Region--scrollBody:t-Form--slimPadding:t-Form--leftLabels'
,p_plug_template=>wwv_flow_api.id(1694478717811776)
,p_plug_display_sequence=>20
,p_include_in_reg_disp_sel_yn=>'Y'
,p_plug_display_point=>'REGION_POSITION_02'
,p_plug_source_type=>'PLUGIN_I2MS.MILESTONE_WIDGET'
,p_plug_query_options=>'DERIVED_REPORT_COLUMNS'
,p_plug_display_condition_type=>'ITEM_IS_NOT_NULL'
,p_plug_display_when_condition=>'P2150_OBJ'
,p_attribute_01=>'P&APP_PAGE_ID._OBJ'
);
wwv_flow_api.create_page_plug(
 p_id=>wwv_flow_api.id(256097832777529893)
,p_plug_name=>'File Details'
,p_region_name=>'R2180_FILE_DETAILS'
,p_region_template_options=>'#DEFAULT#:is-expanded:t-Region--hiddenOverflow:t-Form--leftLabels:t-Form--slimPadding'
,p_plug_template=>wwv_flow_api.id(1694478717811776)
,p_plug_display_sequence=>10
,p_plug_display_point=>'BODY'
,p_plug_query_num_rows=>15
,p_plug_query_options=>'DERIVED_REPORT_COLUMNS'
,p_plug_read_only_when_type=>'PLSQL_EXPRESSION'
,p_plug_read_only_when=>'ACM_UI.CHECK_PAGE_READ_ONLY'
,p_attribute_01=>'N'
,p_attribute_02=>'HTML'
,p_attribute_03=>'Y'
);
wwv_flow_api.create_page_plug(
 p_id=>wwv_flow_api.id(136562705688564972)
,p_plug_name=>'File Retention'
,p_region_name=>'R2180_OBJ_RETENTION'
,p_parent_plug_id=>wwv_flow_api.id(256097832777529893)
,p_region_template_options=>'#DEFAULT#:t-Region--scrollBody:t-Form--slimPadding:t-Form--leftLabels'
,p_plug_template=>wwv_flow_api.id(1698100915811778)
,p_plug_display_sequence=>10
,p_plug_display_point=>'BODY'
,p_plug_source_type=>'PLUGIN_I2MS.RETENTION_REGION'
,p_plug_query_options=>'DERIVED_REPORT_COLUMNS'
,p_plug_display_condition_type=>'ITEM_IS_NOT_NULL'
,p_plug_display_when_condition=>'P2150_OBJ'
,p_attribute_01=>'P2150_OBJ'
);
wwv_flow_api.create_page_plug(
 p_id=>wwv_flow_api.id(256104579377529928)
,p_plug_name=>'Work Hours'
,p_region_template_options=>'#DEFAULT#:is-collapsed:t-Region--scrollBody:t-Form--slimPadding:t-Form--leftLabels'
,p_plug_template=>wwv_flow_api.id(1694478717811776)
,p_plug_display_sequence=>130
,p_plug_display_point=>'BODY'
,p_plug_source_type=>'PLUGIN_I2MS.WORK_HOURS_REGION'
,p_plug_query_options=>'DERIVED_REPORT_COLUMNS'
,p_plug_display_condition_type=>'SQL_EXPRESSION'
,p_plug_display_when_condition=>':P&APP_PAGE_ID._OBJ IS NOT NULL'
,p_attribute_01=>'P&APP_PAGE_ID._OBJ'
,p_attribute_02=>'Y'
);
wwv_flow_api.create_page_plug(
 p_id=>wwv_flow_api.id(256107397472529935)
,p_plug_name=>'Associated Activities'
,p_region_name=>'R2180_ASSOC_ACTS'
,p_region_template_options=>'#DEFAULT#:is-collapsed:t-Region--scrollBody:t-Form--slimPadding:t-Form--leftLabels'
,p_plug_template=>wwv_flow_api.id(1694478717811776)
,p_plug_display_sequence=>90
,p_plug_display_point=>'BODY'
,p_plug_item_display_point=>'BELOW'
,p_plug_source_type=>'PLUGIN_I2MS.ASSOC_ACT_REGION'
,p_plug_query_options=>'DERIVED_REPORT_COLUMNS'
,p_plug_display_condition_type=>'SQL_EXPRESSION'
,p_plug_display_when_condition=>':P&APP_PAGE_ID._OBJ IS NOT NULL'
,p_attribute_01=>'P&APP_PAGE_ID._OBJ'
,p_attribute_02=>'Y'
);
wwv_flow_api.create_page_plug(
 p_id=>wwv_flow_api.id(256144589559530033)
,p_plug_name=>'Attachments'
,p_region_template_options=>'#DEFAULT#:is-collapsed:t-Region--scrollBody:t-Form--slimPadding:t-Form--leftLabels'
,p_plug_template=>wwv_flow_api.id(1694478717811776)
,p_plug_display_sequence=>110
,p_plug_display_point=>'BODY'
,p_plug_source_type=>'PLUGIN_I2MS.ATTACHMENT_REGION'
,p_plug_query_options=>'DERIVED_REPORT_COLUMNS'
,p_plug_display_condition_type=>'SQL_EXPRESSION'
,p_plug_display_when_condition=>':P&APP_PAGE_ID._OBJ IS NOT NULL'
,p_attribute_01=>'P&APP_PAGE_ID._OBJ'
,p_attribute_02=>'Y'
);
wwv_flow_api.create_page_plug(
 p_id=>wwv_flow_api.id(256148176870530043)
,p_plug_name=>'Page Header'
,p_region_name=>'page_header'
,p_region_template_options=>'t-Form--slimPadding'
,p_plug_template=>wwv_flow_api.id(1701496427811779)
,p_plug_display_sequence=>5
,p_plug_display_point=>'REGION_POSITION_01'
,p_plug_item_display_point=>'BELOW'
,p_plug_source_type=>'PLUGIN_I2MS.PAGE_HEADER'
,p_plug_query_options=>'DERIVED_REPORT_COLUMNS'
,p_attribute_01=>'P&APP_PAGE_ID._OBJ'
);
wwv_flow_api.create_page_plug(
 p_id=>wwv_flow_api.id(181185977455550521)
,p_plug_name=>'vltButtonHolder'
,p_region_name=>'vltButtonHolder'
,p_parent_plug_id=>wwv_flow_api.id(256148176870530043)
,p_region_template_options=>'#DEFAULT#:t-Form--slimPadding:t-Form--leftLabels'
,p_region_attributes=>'style="right: 0px;"'
,p_plug_template=>wwv_flow_api.id(1690005324811773)
,p_plug_display_sequence=>100
,p_plug_display_point=>'BODY'
,p_plug_source_type=>'PLUGIN_I2MS.VLT_ACTIONS_REGION'
,p_plug_query_options=>'DERIVED_REPORT_COLUMNS'
,p_plug_display_condition_type=>'SQL_EXPRESSION'
,p_plug_display_when_condition=>':P&APP_PAGE_ID._OBJ IS NOT NULL'
,p_attribute_01=>'P&APP_PAGE_ID._OBJ'
);
wwv_flow_api.create_page_plug(
 p_id=>wwv_flow_api.id(273284488586748837)
,p_plug_name=>'Associated Files'
,p_region_name=>'R2180_ASSOC_FILES'
,p_region_template_options=>'#DEFAULT#:is-collapsed:t-Region--scrollBody:t-Form--slimPadding:t-Form--leftLabels'
,p_plug_template=>wwv_flow_api.id(1694478717811776)
,p_plug_display_sequence=>100
,p_plug_display_point=>'BODY'
,p_plug_source_type=>'PLUGIN_I2MS.ASSOC_FILE_REGION'
,p_plug_query_options=>'DERIVED_REPORT_COLUMNS'
,p_plug_display_condition_type=>'SQL_EXPRESSION'
,p_plug_display_when_condition=>':P&APP_PAGE_ID._OBJ IS NOT NULL'
,p_attribute_01=>'P&APP_PAGE_ID._OBJ'
);
wwv_flow_api.create_page_button(
 p_id=>wwv_flow_api.id(137500898446996408)
,p_button_sequence=>10
,p_button_plug_id=>wwv_flow_api.id(137406452487963938)
,p_button_name=>'ADD_PARTICIPANT'
,p_button_action=>'REDIRECT_PAGE'
,p_button_template_options=>'#DEFAULT#:t-Button--iconRight'
,p_button_template_id=>wwv_flow_api.id(10008299115081357)
,p_button_image_alt=>'Add Participant '
,p_button_position=>'BODY'
,p_button_redirect_url=>'f?p=&APP_ID.:204:&SESSION.::&DEBUG.:RP,204,5041:P204_RETURN_SID,P204_RETURN_PAGE,P204_OBJ,P5041_OBJ:P5041_PARTICIPANT,5041,&P2150_OBJ.,&P2150_OBJ.'
,p_grid_new_row=>'Y'
);
wwv_flow_api.create_page_button(
 p_id=>wwv_flow_api.id(127512331151727235)
,p_button_sequence=>40
,p_button_plug_id=>wwv_flow_api.id(256148176870530043)
,p_button_name=>'CREATE'
,p_button_static_id=>'create'
,p_button_action=>'SUBMIT'
,p_button_template_options=>'#DEFAULT#:t-Button--iconRight'
,p_button_template_id=>wwv_flow_api.id(10225064190350856)
,p_button_image_alt=>'Create'
,p_button_position=>'REGION_TEMPLATE_CREATE'
,p_button_condition=>':P&APP_PAGE_ID._OBJ IS NULL'
,p_button_condition_type=>'SQL_EXPRESSION'
,p_security_scheme=>wwv_flow_api.id(72970226767143604)
);
wwv_flow_api.create_page_button(
 p_id=>wwv_flow_api.id(127512766665727242)
,p_button_sequence=>50
,p_button_plug_id=>wwv_flow_api.id(256148176870530043)
,p_button_name=>'DELETE'
,p_button_static_id=>'delete'
,p_button_action=>'DEFINED_BY_DA'
,p_button_template_options=>'#DEFAULT#:t-Button--iconRight'
,p_button_template_id=>wwv_flow_api.id(10009339916085685)
,p_button_image_alt=>'Delete'
,p_button_position=>'REGION_TEMPLATE_DELETE'
,p_warn_on_unsaved_changes=>null
,p_button_condition=>':P&APP_PAGE_ID._OBJ IS NOT NULL'
,p_button_condition_type=>'SQL_EXPRESSION'
,p_security_scheme=>wwv_flow_api.id(73010276736178896)
,p_database_action=>'DELETE'
);
wwv_flow_api.create_page_button(
 p_id=>wwv_flow_api.id(127513147926727242)
,p_button_sequence=>30
,p_button_plug_id=>wwv_flow_api.id(256148176870530043)
,p_button_name=>'SAVE'
,p_button_static_id=>'save'
,p_button_action=>'SUBMIT'
,p_button_template_options=>'#DEFAULT#:t-Button--iconRight'
,p_button_template_id=>wwv_flow_api.id(10001553045979843)
,p_button_image_alt=>'Save'
,p_button_position=>'REGION_TEMPLATE_NEXT'
,p_button_condition=>':P&APP_PAGE_ID._OBJ IS NOT NULL'
,p_button_condition_type=>'SQL_EXPRESSION'
,p_security_scheme=>wwv_flow_api.id(71870379768586784)
);
wwv_flow_api.create_page_button(
 p_id=>wwv_flow_api.id(127513528420727242)
,p_button_sequence=>60
,p_button_plug_id=>wwv_flow_api.id(256148176870530043)
,p_button_name=>'COLLAPSE_EXPAND_THINGS'
,p_button_action=>'DEFINED_BY_DA'
,p_button_template_options=>'#DEFAULT#:t-Button--iconRight'
,p_button_template_id=>wwv_flow_api.id(10003508401982631)
,p_button_image_alt=>'Expand/Collapse All Regions'
,p_button_position=>'REGION_TEMPLATE_NEXT'
,p_warn_on_unsaved_changes=>null
,p_button_condition=>':P&APP_PAGE_ID._OBJ IS NOT NULL'
,p_button_condition_type=>'SQL_EXPRESSION'
);
wwv_flow_api.create_page_button(
 p_id=>wwv_flow_api.id(127513927082727242)
,p_button_sequence=>20
,p_button_plug_id=>wwv_flow_api.id(256148176870530043)
,p_button_name=>'BACK'
,p_button_action=>'DEFINED_BY_DA'
,p_button_template_options=>'#DEFAULT#:t-Button--iconRight'
,p_button_template_id=>wwv_flow_api.id(10002533769981117)
,p_button_image_alt=>'Back'
,p_button_position=>'REGION_TEMPLATE_PREVIOUS'
,p_warn_on_unsaved_changes=>null
);
wwv_flow_api.create_page_branch(
 p_id=>wwv_flow_api.id(127526587337727281)
,p_branch_name=>'Go To Page 2150'
,p_branch_action=>'f?p=&APP_ID.:&APP_PAGE_ID.:&SESSION.::&DEBUG.:&APP_PAGE_ID.:P&APP_PAGE_ID._OBJ:&P2150_OBJ.&success_msg=#SUCCESS_MSG#'
,p_branch_point=>'AFTER_PROCESSING'
,p_branch_type=>'REDIRECT_URL'
,p_branch_sequence=>1
,p_branch_condition_type=>'REQUEST_IN_CONDITION'
,p_branch_condition=>'CREATE,SAVE'
);
wwv_flow_api.create_page_branch(
 p_id=>wwv_flow_api.id(127526186821727279)
,p_branch_name=>'Go to page after delete'
,p_branch_action=>'f?p=&APP_ID.:&P0_HOMEPAGE.:&SESSION.::&DEBUG.:RP,&P0_HOMEPAGE.::'
,p_branch_point=>'AFTER_PROCESSING'
,p_branch_type=>'REDIRECT_URL'
,p_branch_when_button_id=>wwv_flow_api.id(127512766665727242)
,p_branch_sequence=>30
);
wwv_flow_api.create_page_item(
 p_id=>wwv_flow_api.id(127506161763727231)
,p_name=>'P2150_ID'
,p_item_sequence=>20
,p_item_plug_id=>wwv_flow_api.id(256097832777529893)
,p_use_cache_before_default=>'NO'
,p_prompt=>'ID:'
,p_source=>'ID'
,p_source_type=>'DB_COLUMN'
,p_display_as=>'NATIVE_DISPLAY_ONLY'
,p_display_when=>'P2150_OBJ'
,p_display_when_type=>'ITEM_IS_NOT_NULL'
,p_field_template=>wwv_flow_api.id(1718652654811790)
,p_item_template_options=>'#DEFAULT#'
,p_attribute_01=>'Y'
,p_attribute_02=>'VALUE'
,p_attribute_04=>'Y'
);
wwv_flow_api.create_page_item(
 p_id=>wwv_flow_api.id(127506500458727232)
,p_name=>'P2150_TITLE'
,p_is_required=>true
,p_item_sequence=>30
,p_item_plug_id=>wwv_flow_api.id(256097832777529893)
,p_use_cache_before_default=>'NO'
,p_item_default=>'acm_obj.get_default_title'
,p_item_default_type=>'PLSQL_EXPRESSION'
,p_prompt=>'Title:'
,p_source=>'TITLE'
,p_source_type=>'DB_COLUMN'
,p_display_as=>'PLUGIN_I2MS.TEXT'
,p_cSize=>60
,p_cMaxlength=>100
,p_cHeight=>1
,p_field_template=>wwv_flow_api.id(1718898501811790)
,p_item_template_options=>'#DEFAULT#'
,p_attribute_01=>'P&APP_PAGE_ID._OBJ'
,p_attribute_04=>'P&APP_PAGE_ID._OBJ'
,p_attribute_05=>'N'
);
wwv_flow_api.create_page_item(
 p_id=>wwv_flow_api.id(127507319677727234)
,p_name=>'P2150_REFERRAL_TYPE'
,p_item_sequence=>60
,p_item_plug_id=>wwv_flow_api.id(256097832777529893)
,p_use_cache_before_default=>'NO'
,p_prompt=>'IRMO Initiator Type:'
,p_source=>'REFERRAL_TYPE'
,p_source_type=>'DB_COLUMN'
,p_display_as=>'NATIVE_SELECT_LIST'
,p_lov=>wwv_flow_string.join(wwv_flow_t_varchar2(
'SELECT DISPLAY, REF_KEY',
'  FROM T_F_IRMO_REF',
' WHERE USAGE = ''REFERRAL_TYPE'' AND OBJ_TYPE = :P2150_OBJ_TYPE AND ACTIVE = ''Y'';'))
,p_lov_display_null=>'YES'
,p_lov_null_text=>'- Select Initiator Type -'
,p_cHeight=>1
,p_field_template=>wwv_flow_api.id(1718898501811790)
,p_item_template_options=>'#DEFAULT#'
,p_lov_display_extra=>'NO'
,p_attribute_01=>'NONE'
,p_attribute_02=>'N'
);
wwv_flow_api.create_page_item(
 p_id=>wwv_flow_api.id(127507745635727234)
,p_name=>'P2150_REFERRAL_SUBTYPE'
,p_item_sequence=>70
,p_item_plug_id=>wwv_flow_api.id(256097832777529893)
,p_use_cache_before_default=>'NO'
,p_prompt=>'Sub Initiator'
,p_source=>'REFERRAL_SUBTYPE'
,p_source_type=>'DB_COLUMN'
,p_display_as=>'NATIVE_SELECT_LIST'
,p_lov=>wwv_flow_string.join(wwv_flow_t_varchar2(
'SELECT DISPLAY, REF_KEY',
'FROM T_F_IRMO_REF',
'WHERE USAGE = ''REFERRAL_SUBTYPE'' ',
'AND PARENT_KEY = :P2150_REFERRAL_TYPE',
'AND OBJ_TYPE = :P2150_OBJ_TYPE ',
'AND ACTIVE = ''Y''',
'ORDER BY SEQ ASC;'))
,p_lov_display_null=>'YES'
,p_lov_null_text=>'- Select Sub Initiator -'
,p_lov_cascade_parent_items=>'P2150_REFERRAL_TYPE'
,p_ajax_items_to_submit=>'P2150_REFERRAL_TYPE,P2150_OBJ_TYPE'
,p_ajax_optimize_refresh=>'Y'
,p_cHeight=>1
,p_field_template=>wwv_flow_api.id(1718898501811790)
,p_item_template_options=>'#DEFAULT#'
,p_lov_display_extra=>'NO'
,p_attribute_01=>'NONE'
,p_attribute_02=>'N'
);
wwv_flow_api.create_page_item(
 p_id=>wwv_flow_api.id(127508108033727234)
,p_name=>'P2150_RECEIPT_METHOD'
,p_item_sequence=>80
,p_item_plug_id=>wwv_flow_api.id(256097832777529893)
,p_use_cache_before_default=>'NO'
,p_prompt=>'Method of Receipt:'
,p_source=>'RECEIPT_METHOD'
,p_source_type=>'DB_COLUMN'
,p_display_as=>'NATIVE_SELECT_LIST'
,p_lov=>wwv_flow_string.join(wwv_flow_t_varchar2(
'SELECT DISPLAY, REF_KEY',
'  FROM T_F_IRMO_REF',
' WHERE USAGE = ''RCPT_METHOD'' AND OBJ_TYPE = :P2150_OBJ_TYPE AND ACTIVE = ''Y'';'))
,p_lov_display_null=>'YES'
,p_lov_null_text=>'- Select Method of Receipt -'
,p_cHeight=>1
,p_field_template=>wwv_flow_api.id(1718652654811790)
,p_item_template_options=>'#DEFAULT#'
,p_lov_display_extra=>'NO'
,p_attribute_01=>'NONE'
,p_attribute_02=>'N'
);
wwv_flow_api.create_page_item(
 p_id=>wwv_flow_api.id(127508967051727234)
,p_name=>'P2150_SUMMARY'
,p_item_sequence=>100
,p_item_plug_id=>wwv_flow_api.id(256097832777529893)
,p_use_cache_before_default=>'NO'
,p_prompt=>'Summary of Intake:'
,p_source=>'SUMMARY'
,p_source_type=>'DB_COLUMN'
,p_display_as=>'PLUGIN_I2MS.TEXT_AREA'
,p_cSize=>80
,p_cMaxlength=>30000
,p_cHeight=>5
,p_field_template=>wwv_flow_api.id(1718652654811790)
,p_item_template_options=>'#DEFAULT#'
,p_attribute_01=>'P&APP_PAGE_ID._OBJ'
,p_attribute_02=>'both'
,p_attribute_03=>'Y'
,p_attribute_04=>'P&APP_PAGE_ID._OBJ'
,p_attribute_05=>'N'
);
wwv_flow_api.create_page_item(
 p_id=>wwv_flow_api.id(127509346952727234)
,p_name=>'P2150_ACQUISITION_DATE'
,p_is_required=>true
,p_item_sequence=>110
,p_item_plug_id=>wwv_flow_api.id(256097832777529893)
,p_use_cache_before_default=>'NO'
,p_prompt=>'Acquisition date:'
,p_format_mask=>'&FMT_DATE.'
,p_source=>'ACQUISITION_DATE'
,p_source_type=>'DB_COLUMN'
,p_display_as=>'NATIVE_DATE_PICKER'
,p_cSize=>30
,p_field_template=>wwv_flow_api.id(1718898501811790)
,p_item_template_options=>'#DEFAULT#'
,p_attribute_04=>'button'
,p_attribute_05=>'N'
,p_attribute_07=>'NONE'
);
wwv_flow_api.create_page_item(
 p_id=>wwv_flow_api.id(127509796368727234)
,p_name=>'P2150_SUBJECT'
,p_item_sequence=>120
,p_item_plug_id=>wwv_flow_api.id(256097832777529893)
,p_display_as=>'NATIVE_HIDDEN'
,p_attribute_01=>'Y'
);
wwv_flow_api.create_page_item(
 p_id=>wwv_flow_api.id(127510178711727234)
,p_name=>'P2150_RESTRICTION'
,p_item_sequence=>130
,p_item_plug_id=>wwv_flow_api.id(256097832777529893)
,p_prompt=>'Restriction'
,p_display_as=>'PLUGIN_I2MS.RESTRICTION_SELECT'
,p_field_template=>wwv_flow_api.id(1718652654811790)
,p_item_template_options=>'#DEFAULT#'
,p_security_scheme=>wwv_flow_api.id(9570460470372138)
,p_attribute_01=>'P2150_OBJ'
);
wwv_flow_api.create_page_item(
 p_id=>wwv_flow_api.id(127514306559727242)
,p_name=>'P2150_SID'
,p_item_sequence=>10
,p_item_plug_id=>wwv_flow_api.id(256148176870530043)
,p_use_cache_before_default=>'NO'
,p_source=>'SID'
,p_source_type=>'DB_COLUMN'
,p_display_as=>'NATIVE_HIDDEN'
,p_attribute_01=>'Y'
);
wwv_flow_api.create_page_item(
 p_id=>wwv_flow_api.id(127514726446727242)
,p_name=>'P2150_OBJ'
,p_item_sequence=>20
,p_item_plug_id=>wwv_flow_api.id(256148176870530043)
,p_use_cache_before_default=>'NO'
,p_source=>'OBJ'
,p_source_type=>'DB_COLUMN'
,p_display_as=>'NATIVE_HIDDEN'
,p_attribute_01=>'N'
);
wwv_flow_api.create_page_item(
 p_id=>wwv_flow_api.id(127515140877727242)
,p_name=>'P2150_OBJ_TYPE'
,p_item_sequence=>30
,p_item_plug_id=>wwv_flow_api.id(256148176870530043)
,p_use_cache_before_default=>'NO'
,p_source=>wwv_flow_string.join(wwv_flow_t_varchar2(
'DECLARE',
'  L_OBJ_TYPE NUMBER := NULL;',
'BEGIN',
'  IF :P2150_OBJ IS NULL THEN',
'    SELECT SID INTO L_OBJ_TYPE FROM T_ACM_OBJ_TYPE WHERE OBJ_TYPE_CODE = :P2150_OBJ_TYPE_CODE;',
'  ELSE',
'    SELECT OBJ_TYPE INTO L_OBJ_TYPE FROM T_ACM_OBJ WHERE SID = :P2150_OBJ;',
'  END IF;',
'  RETURN L_OBJ_TYPE;',
'END;'))
,p_source_type=>'FUNCTION_BODY'
,p_display_as=>'NATIVE_HIDDEN'
,p_attribute_01=>'N'
);
wwv_flow_api.create_page_item(
 p_id=>wwv_flow_api.id(127515530084727242)
,p_name=>'P2150_CLASSIFICATION'
,p_item_sequence=>40
,p_item_plug_id=>wwv_flow_api.id(256148176870530043)
,p_display_as=>'PLUGIN_I2MS.CLASSIFICATION_ITEM'
,p_attribute_01=>'P&APP_PAGE_ID._OBJ'
);
wwv_flow_api.create_page_item(
 p_id=>wwv_flow_api.id(127515913452727242)
,p_name=>'P2150_OBJ_TYPE_CODE'
,p_item_sequence=>110
,p_item_plug_id=>wwv_flow_api.id(256148176870530043)
,p_display_as=>'NATIVE_HIDDEN'
,p_attribute_01=>'N'
);
wwv_flow_api.create_page_item(
 p_id=>wwv_flow_api.id(134000206652390529)
,p_name=>'P2150_PG_NM'
,p_item_sequence=>140
,p_item_plug_id=>wwv_flow_api.id(256148176870530043)
,p_display_as=>'NATIVE_HIDDEN'
,p_item_template_options=>'#DEFAULT#'
,p_attribute_01=>'Y'
);
wwv_flow_api.create_page_computation(
 p_id=>wwv_flow_api.id(127517447210727264)
,p_computation_sequence=>10
,p_computation_item=>'P2150_OBJ_TYPE_CODE'
,p_computation_point=>'BEFORE_BOX_BODY'
,p_computation_type=>'QUERY'
,p_computation=>wwv_flow_string.join(wwv_flow_t_varchar2(
'select obj_type_code',
'from t_acm_obj_type',
'where sid in (select obj_type from t_acm_obj where sid = :P2150_OBJ);'))
,p_compute_when=>'P2150_OBJ'
,p_compute_when_type=>'ITEM_IS_NOT_NULL'
);
wwv_flow_api.create_page_computation(
 p_id=>wwv_flow_api.id(127518248959727265)
,p_computation_sequence=>10
,p_computation_item=>'P2150_SUBJECT'
,p_computation_point=>'BEFORE_BOX_BODY'
,p_computation_type=>'QUERY'
,p_computation=>wwv_flow_string.join(wwv_flow_t_varchar2(
'SELECT PARTICIPANT FROM T_PARTIC_INVOLVEMENT ',
'WHERE OBJ = (:P2150_OBJ) AND INVOLVEMENT_ROLE = (SELECT SID FROM T_PARTIC_ROLE_TYPE WHERE OBJ_TYPE = (ACM_OBJ.GET_OBJTYPE(:P2150_OBJ)) ',
'AND CODE = ''SUBJECT'');'))
);
wwv_flow_api.create_page_computation(
 p_id=>wwv_flow_api.id(134000481738394245)
,p_computation_sequence=>25
,p_computation_item=>'P2150_PG_NM'
,p_computation_point=>'BEFORE_BOX_BODY'
,p_computation_type=>'QUERY'
,p_computation=>wwv_flow_string.join(wwv_flow_t_varchar2(
'SELECT ''5009'' FROM DUAL WHERE :P2180_OBJ_TYPE_CODE <> ''FILE.ICIR''',
'UNION',
'SELECT ''5010'' FROM DUAL WHERE :P2180_OBJ_TYPE_CODE = ''FILE.ICIR'';'))
,p_compute_when=>'P2180_OBJ_TYPE_CODE'
,p_compute_when_type=>'ITEM_IS_NOT_NULL'
);
wwv_flow_api.create_page_validation(
 p_id=>wwv_flow_api.id(127519422734727268)
,p_validation_name=>'P2150_TITLE is not NULL'
,p_validation_sequence=>10
,p_validation=>'P2150_TITLE'
,p_validation_type=>'ITEM_NOT_NULL'
,p_error_message=>'Must have a Title.'
,p_validation_condition=>'CREATE,SAVE'
,p_validation_condition_type=>'REQUEST_IN_CONDITION'
,p_associated_item=>wwv_flow_api.id(127506500458727232)
,p_error_display_location=>'INLINE_WITH_FIELD_AND_NOTIFICATION'
);
end;
/
begin
wwv_flow_api.create_page_validation(
 p_id=>wwv_flow_api.id(127519801539727268)
,p_validation_name=>'P2150_REFERRAL_TYPE is not NULL'
,p_validation_sequence=>20
,p_validation=>'P2150_REFERRAL_TYPE'
,p_validation_type=>'ITEM_NOT_NULL'
,p_error_message=>'Must have an Initiator Type.'
,p_validation_condition=>'CREATE,SAVE'
,p_validation_condition_type=>'REQUEST_IN_CONDITION'
,p_associated_item=>wwv_flow_api.id(127507319677727234)
,p_error_display_location=>'INLINE_WITH_FIELD_AND_NOTIFICATION'
);
wwv_flow_api.create_page_validation(
 p_id=>wwv_flow_api.id(127518611020727265)
,p_validation_name=>'P2150_IIR_NUMBER Is Numeric'
,p_validation_sequence=>30
,p_validation=>'P2150_IIR_NUMBER'
,p_validation_type=>'ITEM_IS_NUMERIC'
,p_error_message=>'Number of IRRs must be numeric.'
,p_when_button_pressed=>wwv_flow_api.id(127513147926727242)
,p_error_display_location=>'INLINE_WITH_FIELD_AND_NOTIFICATION'
);
wwv_flow_api.create_page_validation(
 p_id=>wwv_flow_api.id(127519011200727268)
,p_validation_name=>'P2150_REFERRAL_SUBTYPE is not NULL'
,p_validation_sequence=>40
,p_validation=>'P2150_REFERRAL_SUBTYPE'
,p_validation_type=>'ITEM_NOT_NULL'
,p_error_message=>'Must have a Sub Initiator'
,p_always_execute=>'Y'
,p_validation_condition=>wwv_flow_string.join(wwv_flow_t_varchar2(
'BEGIN',
'    FOR A IN (SELECT 1 FROM T_F_IRMO_REF WHERE PARENT_KEY = :P2150_REFERRAL_TYPE AND :REQUEST IN (''CREATE'',''SAVE''))',
'        LOOP',
'           RETURN TRUE;',
'        END LOOP;',
'        RETURN FALSE;',
'END;'))
,p_validation_condition_type=>'FUNCTION_BODY'
,p_associated_item=>wwv_flow_api.id(127507745635727234)
,p_error_display_location=>'INLINE_WITH_FIELD_AND_NOTIFICATION'
);
wwv_flow_api.create_page_da_event(
 p_id=>wwv_flow_api.id(127524169514727271)
,p_name=>'Show Hide P2150_REFERRAL_SUBTYPE'
,p_event_sequence=>10
,p_triggering_element_type=>'ITEM'
,p_triggering_element=>'P2150_REFERRAL_TYPE'
,p_condition_element=>'P2150_REFERRAL_TYPE'
,p_triggering_condition_type=>'IN_LIST'
,p_triggering_expression=>'FILE.IRMO.REFERRAL_TYPE.HOTLINE,FILE.IRMO.REFERRAL_TYPE.IRMO_INT,FILE.IRMO.REFERRAL_TYPE.INC_REFERRAL,FILE.IRMO.REFERRAL_TYPE.EMPLOYEE_INT'
,p_bind_type=>'bind'
,p_bind_event_type=>'change'
);
wwv_flow_api.create_page_da_action(
 p_id=>wwv_flow_api.id(127524658292727275)
,p_event_id=>wwv_flow_api.id(127524169514727271)
,p_event_result=>'TRUE'
,p_action_sequence=>10
,p_execute_on_page_init=>'Y'
,p_action=>'NATIVE_SHOW'
,p_affected_elements_type=>'ITEM'
,p_affected_elements=>'P2150_REFERRAL_SUBTYPE'
,p_attribute_01=>'N'
);
wwv_flow_api.create_page_da_action(
 p_id=>wwv_flow_api.id(127525110776727279)
,p_event_id=>wwv_flow_api.id(127524169514727271)
,p_event_result=>'FALSE'
,p_action_sequence=>10
,p_execute_on_page_init=>'Y'
,p_action=>'NATIVE_HIDE'
,p_affected_elements_type=>'ITEM'
,p_affected_elements=>'P2150_REFERRAL_SUBTYPE'
,p_attribute_01=>'N'
);
wwv_flow_api.create_page_da_action(
 p_id=>wwv_flow_api.id(127525680213727279)
,p_event_id=>wwv_flow_api.id(127524169514727271)
,p_event_result=>'FALSE'
,p_action_sequence=>20
,p_execute_on_page_init=>'N'
,p_action=>'NATIVE_CLEAR'
,p_affected_elements_type=>'ITEM'
,p_affected_elements=>'P2150_REFERRAL_SUBTYPE'
);
wwv_flow_api.create_page_process(
 p_id=>wwv_flow_api.id(127521765196727271)
,p_process_sequence=>1
,p_process_point=>'AFTER_SUBMIT'
,p_process_type=>'PLUGIN_I2MS.DELETE_OBJECT'
,p_process_name=>'Delete Object'
,p_attribute_01=>'P2150_OBJ'
,p_process_error_message=>'File deletion failed! #SQLERRM#'
,p_error_display_location=>'INLINE_IN_NOTIFICATION'
,p_process_when_button_id=>wwv_flow_api.id(127512766665727242)
,p_security_scheme=>wwv_flow_api.id(73010276736178896)
);
wwv_flow_api.create_page_process(
 p_id=>wwv_flow_api.id(127520996508727271)
,p_process_sequence=>10
,p_process_point=>'AFTER_SUBMIT'
,p_process_type=>'NATIVE_FORM_PROCESS'
,p_process_name=>'T_F_IRMO Create'
,p_attribute_02=>'T_F_IRMO'
,p_attribute_03=>'P2150_SID'
,p_attribute_04=>'SID'
,p_attribute_05=>'P2150_OBJ'
,p_attribute_06=>'OBJ'
,p_attribute_09=>'P2150_SID'
,p_attribute_10=>'P2150_OBJ'
,p_attribute_11=>'I'
,p_attribute_12=>'Y'
,p_process_error_message=>'File creation failed #SQLERRM#'
,p_error_display_location=>'INLINE_IN_NOTIFICATION'
,p_process_when=>'CREATE'
,p_process_when_type=>'REQUEST_EQUALS_CONDITION'
,p_process_success_message=>'File created'
,p_security_scheme=>wwv_flow_api.id(72970226767143604)
);
wwv_flow_api.create_page_process(
 p_id=>wwv_flow_api.id(127522586462727271)
,p_process_sequence=>20
,p_process_point=>'AFTER_SUBMIT'
,p_process_type=>'PLUGIN_PROCESS_EVENT'
,p_process_name=>'Process Event Create'
,p_attribute_01=>'CREATED'
,p_attribute_02=>'P2150_OBJ'
,p_error_display_location=>'INLINE_IN_NOTIFICATION'
,p_process_when=>'CREATE'
,p_process_when_type=>'REQUEST_EQUALS_CONDITION'
);
wwv_flow_api.create_page_process(
 p_id=>wwv_flow_api.id(127520109432727268)
,p_process_sequence=>40
,p_process_point=>'AFTER_SUBMIT'
,p_process_type=>'NATIVE_FORM_PROCESS'
,p_process_name=>'T_F_IRMO Save'
,p_attribute_02=>'T_F_IRMO'
,p_attribute_03=>'P2150_SID'
,p_attribute_04=>'SID'
,p_attribute_05=>'P2150_OBJ'
,p_attribute_06=>'OBJ'
,p_attribute_09=>'P2150_SID'
,p_attribute_10=>'P2150_OBJ'
,p_attribute_11=>'U'
,p_attribute_12=>'Y'
,p_process_error_message=>'File update failed #SQLERRM#'
,p_error_display_location=>'INLINE_IN_NOTIFICATION'
,p_process_when_button_id=>wwv_flow_api.id(127513147926727242)
,p_process_success_message=>'File Updated!'
,p_security_scheme=>wwv_flow_api.id(71870379768586784)
);
wwv_flow_api.create_page_process(
 p_id=>wwv_flow_api.id(127523353138727271)
,p_process_sequence=>60
,p_process_point=>'AFTER_SUBMIT'
,p_process_type=>'PLUGIN_I2MS.UPDATE_T_ACM_OBJ'
,p_process_name=>'Update T_ACM_OBJ'
,p_attribute_01=>'P2150_OBJ'
,p_attribute_02=>'P2150_TITLE'
,p_attribute_03=>'P2150_ID'
,p_error_display_location=>'INLINE_IN_NOTIFICATION'
,p_process_when_button_id=>wwv_flow_api.id(127513147926727242)
);
wwv_flow_api.create_page_process(
 p_id=>wwv_flow_api.id(127522918206727271)
,p_process_sequence=>70
,p_process_point=>'AFTER_SUBMIT'
,p_process_type=>'PLUGIN_PROCESS_EVENT'
,p_process_name=>'Process Event Save'
,p_attribute_01=>'SAVED'
,p_attribute_02=>'P2150_OBJ'
,p_error_display_location=>'INLINE_IN_NOTIFICATION'
,p_process_when_button_id=>wwv_flow_api.id(127513147926727242)
);
wwv_flow_api.create_page_process(
 p_id=>wwv_flow_api.id(127522101684727271)
,p_process_sequence=>90
,p_process_point=>'AFTER_SUBMIT'
,p_process_type=>'PLUGIN_I2MS.CLASSIFICATION_CREATE'
,p_process_name=>'Create Classification'
,p_attribute_01=>'P2150_OBJ'
,p_attribute_02=>'P2150_CLASSIFICATION'
,p_error_display_location=>'INLINE_IN_NOTIFICATION'
,p_process_when_button_id=>wwv_flow_api.id(127512331151727235)
);
wwv_flow_api.create_page_process(
 p_id=>wwv_flow_api.id(127523772328727271)
,p_process_sequence=>100
,p_process_point=>'AFTER_SUBMIT'
,p_process_type=>'PLUGIN_I2MS.RESTRICTION_PROCESS'
,p_process_name=>'Update Restriction'
,p_attribute_01=>'P2150_OBJ'
,p_attribute_02=>'P2150_RESTRICTION'
,p_error_display_location=>'INLINE_IN_NOTIFICATION'
,p_process_when=>':REQUEST IN (''CREATE'',''SAVE'')'
,p_process_when_type=>'SQL_EXPRESSION'
);
wwv_flow_api.create_page_process(
 p_id=>wwv_flow_api.id(127520522322727271)
,p_process_sequence=>10
,p_process_point=>'BEFORE_HEADER'
,p_process_type=>'NATIVE_FORM_FETCH'
,p_process_name=>'Fetch Row from T_F_IRMO'
,p_attribute_02=>'T_F_IRMO'
,p_attribute_03=>'P2150_OBJ'
,p_attribute_04=>'OBJ'
,p_process_error_message=>'#SQLERRM#'
,p_process_when=>':P2150_OBJ IS NOT NULL'
,p_process_when_type=>'PLSQL_EXPRESSION'
);
wwv_flow_api.create_page_process(
 p_id=>wwv_flow_api.id(127521381284727271)
,p_process_sequence=>30
,p_process_point=>'BEFORE_HEADER'
,p_process_type=>'PLUGIN_PROCESS_EVENT'
,p_process_name=>'Post-Access Processing'
,p_attribute_01=>'ACCESSED'
,p_attribute_02=>'P2150_OBJ'
,p_process_error_message=>'#SQLERRM#'
,p_process_when=>'P2150_OBJ'
,p_process_when_type=>'ITEM_IS_NOT_NULL'
);
end;
/
prompt --application/pages/delete_05016
begin
wwv_flow_api.remove_page (p_flow_id=>wwv_flow.g_flow_id, p_page_id=>5016);
end;
/
prompt --application/pages/page_05016
begin
wwv_flow_api.create_page(
 p_id=>5016
,p_user_interface_id=>wwv_flow_api.id(1724376430811806)
,p_name=>'Recommendation'
,p_page_mode=>'MODAL'
,p_step_title=>'IRMO Finding'
,p_autocomplete_on_off=>'OFF'
,p_group_id=>wwv_flow_api.id(172900170760378564)
,p_page_template_options=>'#DEFAULT#'
,p_required_role=>'MUST_NOT_BE_PUBLIC_USER'
,p_protection_level=>'C'
,p_last_updated_by=>'KYLE.PARRENT'
,p_last_upd_yyyymmddhh24miss=>'20221222093337'
);
wwv_flow_api.create_page_plug(
 p_id=>wwv_flow_api.id(172337823986056536)
,p_plug_name=>'Finding'
,p_region_template_options=>'#DEFAULT#:t-Form--slimPadding:t-Form--leftLabels'
,p_plug_template=>wwv_flow_api.id(1690005324811773)
,p_plug_display_sequence=>10
,p_include_in_reg_disp_sel_yn=>'Y'
,p_plug_display_point=>'BODY'
,p_plug_query_options=>'DERIVED_REPORT_COLUMNS'
,p_plug_read_only_when_type=>'PLSQL_EXPRESSION'
,p_plug_read_only_when=>'ACM_UI.CHECK_PAGE_READ_ONLY'
,p_attribute_01=>'N'
,p_attribute_02=>'HTML'
);
wwv_flow_api.create_page_button(
 p_id=>wwv_flow_api.id(135001482822451875)
,p_button_sequence=>10
,p_button_plug_id=>wwv_flow_api.id(172337823986056536)
,p_button_name=>'SAVE'
,p_button_action=>'SUBMIT'
,p_button_template_options=>'#DEFAULT#:t-Button--iconRight'
,p_button_template_id=>wwv_flow_api.id(10001553045979843)
,p_button_image_alt=>'Save'
,p_button_position=>'TOP'
,p_button_condition=>'P5016_SID'
,p_button_condition_type=>'ITEM_IS_NOT_NULL'
,p_security_scheme=>wwv_flow_api.id(71870379768586784)
);
wwv_flow_api.create_page_button(
 p_id=>wwv_flow_api.id(135001890221451878)
,p_button_sequence=>20
,p_button_plug_id=>wwv_flow_api.id(172337823986056536)
,p_button_name=>'CREATE'
,p_button_static_id=>'create'
,p_button_action=>'SUBMIT'
,p_button_template_options=>'#DEFAULT#:t-Button--iconRight'
,p_button_template_id=>wwv_flow_api.id(10225064190350856)
,p_button_image_alt=>'Create'
,p_button_position=>'TOP'
,p_button_condition=>'P5016_SID'
,p_button_condition_type=>'ITEM_IS_NULL'
,p_button_cattributes=>'title = "Create Venue"'
);
wwv_flow_api.create_page_button(
 p_id=>wwv_flow_api.id(135002294026451879)
,p_button_sequence=>30
,p_button_plug_id=>wwv_flow_api.id(172337823986056536)
,p_button_name=>'CANCEL'
,p_button_action=>'DEFINED_BY_DA'
,p_button_template_options=>'#DEFAULT#'
,p_button_template_id=>wwv_flow_api.id(17059566633805304)
,p_button_image_alt=>'Cancel'
,p_button_position=>'TOP'
,p_button_alignment=>'LEFT'
,p_warn_on_unsaved_changes=>null
,p_button_cattributes=>'title="Cancel Referral"'
);
wwv_flow_api.create_page_button(
 p_id=>wwv_flow_api.id(135002655725451881)
,p_button_sequence=>40
,p_button_plug_id=>wwv_flow_api.id(172337823986056536)
,p_button_name=>'DELETE'
,p_button_action=>'SUBMIT'
,p_button_template_options=>'#DEFAULT#:t-Button--iconRight'
,p_button_template_id=>wwv_flow_api.id(10009339916085685)
,p_button_image_alt=>'Delete'
,p_button_position=>'TOP'
,p_button_execute_validations=>'N'
,p_button_condition=>'P5016_SID'
,p_button_condition_type=>'ITEM_IS_NOT_NULL'
,p_security_scheme=>wwv_flow_api.id(71870379768586784)
);
wwv_flow_api.create_page_item(
 p_id=>wwv_flow_api.id(135003008916451881)
,p_name=>'P5016_SID'
,p_item_sequence=>10
,p_item_plug_id=>wwv_flow_api.id(172337823986056536)
,p_display_as=>'NATIVE_HIDDEN'
,p_attribute_01=>'Y'
);
wwv_flow_api.create_page_item(
 p_id=>wwv_flow_api.id(135003462668451885)
,p_name=>'P5016_OBJ'
,p_item_sequence=>20
,p_item_plug_id=>wwv_flow_api.id(172337823986056536)
,p_use_cache_before_default=>'NO'
,p_source=>'OBJ'
,p_source_type=>'DB_COLUMN'
,p_display_as=>'NATIVE_HIDDEN'
,p_attribute_01=>'Y'
);
wwv_flow_api.create_page_item(
 p_id=>wwv_flow_api.id(135003843336451885)
,p_name=>'P5016_OBJ_TYPE'
,p_item_sequence=>30
,p_item_plug_id=>wwv_flow_api.id(172337823986056536)
,p_display_as=>'NATIVE_HIDDEN'
,p_attribute_01=>'Y'
);
wwv_flow_api.create_page_item(
 p_id=>wwv_flow_api.id(135004219825451885)
,p_name=>'P5016_RECOMMENDATION'
,p_is_required=>true
,p_item_sequence=>40
,p_item_plug_id=>wwv_flow_api.id(172337823986056536)
,p_use_cache_before_default=>'NO'
,p_prompt=>'Recommendation:'
,p_source=>'RECOMMENDATION'
,p_source_type=>'DB_COLUMN'
,p_display_as=>'NATIVE_SELECT_LIST'
,p_lov=>wwv_flow_string.join(wwv_flow_t_varchar2(
'SELECT DISPLAY, REF_KEY',
'  FROM T_F_IRMO_FINDING_REF',
' WHERE USAGE = ''RECOMMEND'' AND OBJ_TYPE = :P5016_OBJ_TYPE AND ACTIVE = ''Y''',
' ORDER BY SEQ ASC;'))
,p_lov_display_null=>'YES'
,p_lov_null_text=>'- Select Recommendation -'
,p_cHeight=>1
,p_field_template=>wwv_flow_api.id(1718898501811790)
,p_item_template_options=>'#DEFAULT#'
,p_lov_display_extra=>'YES'
,p_attribute_01=>'NONE'
,p_attribute_02=>'N'
);
wwv_flow_api.create_page_item(
 p_id=>wwv_flow_api.id(135004665400451885)
,p_name=>'P5016_TYPE'
,p_item_sequence=>50
,p_item_plug_id=>wwv_flow_api.id(172337823986056536)
,p_use_cache_before_default=>'NO'
,p_item_default=>wwv_flow_string.join(wwv_flow_t_varchar2(
'declare',
'	rec_type varchar2(108);',
'    rec_type_return varchar2(2000);',
'begin',
'     if ACM_OBJ.GET_OBJTYPE_CODE(:P5016_OBJ_TYPE) = ''FILE.IRMO'' then',
'		    if ACM_OBJ.GET_OBJ_STATUS_CODE(:P5016_OBJ) = ''NEW'' then',
'                rec_type := ''FILE.IRMO.RECOMMEND_TYPE.FIELD'';',
'            elsif  ACM_OBJ.GET_OBJ_STATUS_CODE(:P5016_OBJ) = ''AWAIT_REGNL_APROVE'' then',
'                rec_type := ''FILE.IRMO.RECOMMEND_TYPE.REGNL'';',
'            else ',
'                rec_type := ''FILE.IRMO.RECOMMEND_TYPE.HQ'';',
'            end if;',
'     end if;',
'	SELECT REF_KEY into rec_type_return FROM T_F_IRMO_FINDING_REF WHERE REF_KEY = rec_type AND OBJ_TYPE = :P5016_OBJ_TYPE AND ACTIVE = ''Y'';',
'	RETURN rec_type_return;',
'    ',
'end;'))
,p_item_default_type=>'PLSQL_FUNCTION_BODY'
,p_prompt=>'Type:'
,p_source=>'TYPE'
,p_source_type=>'DB_COLUMN'
,p_display_as=>'NATIVE_SELECT_LIST'
,p_lov=>wwv_flow_string.join(wwv_flow_t_varchar2(
'SELECT DISPLAY, REF_KEY',
'  FROM T_F_IRMO_FINDING_REF',
' WHERE USAGE = ''RECOMMEND_TYPE'' AND OBJ_TYPE = :P5016_OBJ_TYPE AND ACTIVE = ''Y''',
' ORDER BY DISPLAY ASC;'))
,p_cHeight=>1
,p_read_only_when_type=>'ALWAYS'
,p_field_template=>wwv_flow_api.id(1718898501811790)
,p_item_template_options=>'#DEFAULT#'
,p_lov_display_extra=>'NO'
,p_attribute_01=>'NONE'
,p_attribute_02=>'N'
,p_item_comment=>wwv_flow_string.join(wwv_flow_t_varchar2(
'SELECT DISPLAY, REF_KEY',
'  FROM T_F_FINDING_REF',
' WHERE USAGE = ''RECOMMEND_TYPE'' AND OBJ_TYPE = :P5016_OBJ_TYPE AND ACTIVE = ''Y''',
' ORDER BY DISPLAY ASC;',
' ',
'declare',
'	rec_type varchar2(108);',
'    rec_type_return varchar2(2000);',
'begin',
'	if ACM_OBJ.GET_OBJTYPE_CODE(:P5016_OBJ_TYPE) = ''FILE.ICIR'' then',
'		    if ACM_OBJ.GET_OBJ_STATUS_CODE(:P5016_OBJ) = ''NEW'' then',
'                rec_type := ''FILE.ICIR.RECOMMEND_TYPE.FIELD'';',
'            elsif  ACM_OBJ.GET_OBJ_STATUS_CODE(:P5016_OBJ) = ''AWAIT_REGNL_APROVE'' then',
'                rec_type := ''FILE.ICIR.RECOMMEND_TYPE.HQ'';',
'            else ',
'                rec_type := ''FILE.ICIR.RECOMMEND_TYPE.REGNL'';',
'            end if;',
'     elsif ACM_OBJ.GET_OBJTYPE_CODE(:P5016_OBJ_TYPE) = ''FILE.ICIR_2'' then',
'            if ACM_OBJ.GET_OBJ_STATUS_CODE(:P5016_OBJ) = ''NEW'' then',
'                rec_type := ''FILE.ICIR_2.RECOMMEND_TYPE.INITIAL'';',
'            else ',
'                rec_type := ''FILE.ICIR_2.RECOMMEND_TYPE.FINAL'';',
'            end if;',
'	 elsif ACM_OBJ.GET_OBJTYPE_CODE(:P5016_OBJ_TYPE) = ''FILE.ICIR_3'' then',
'            if ACM_OBJ.GET_OBJ_STATUS_CODE(:P5016_OBJ) = ''NEW'' then',
'                rec_type := ''FILE.ICIR_3.RECOMMEND_TYPE.INITIAL'';',
'            else ',
'                rec_type := ''FILE.ICIR_3.RECOMMEND_TYPE.FINAL'';',
'            end if;',
'     end if;',
'	rec_type_return := ''SELECT DISPLAY, REF_KEY FROM T_F_FINDING_REF WHERE REF_KEY = '''''' || rec_type || ''''''''',
'                        || '' AND OBJ_TYPE = '' || :P5016_OBJ_TYPE || '' AND ACTIVE = '''''' || ''Y'' || '''''''';',
'	RETURN rec_type_return;',
'end;',
'',
'',
'declare',
'	rec_type varchar2(108);',
'    rec_type_return varchar2(2000);',
'begin',
'	if ACM_OBJ.GET_OBJTYPE_CODE(:P5016_OBJ_TYPE) = ''FILE.ICIR'' then',
'		    if ACM_OBJ.GET_OBJ_STATUS_CODE(:P5016_OBJ) = ''NEW'' then',
'                rec_type := ''FILE.ICIR.RECOMMEND_TYPE.FIELD'';',
'            elsif  ACM_OBJ.GET_OBJ_STATUS_CODE(:P5016_OBJ) = ''AWAIT_REGNL_APROVE'' then',
'                rec_type := ''FILE.ICIR.RECOMMEND_TYPE.HQ'';',
'            else ',
'                rec_type := ''FILE.ICIR.RECOMMEND_TYPE.REGNL'';',
'            end if;',
'     elsif ACM_OBJ.GET_OBJTYPE_CODE(:P5016_OBJ_TYPE) = ''FILE.ICIR_2'' then',
'            if ACM_OBJ.GET_OBJ_STATUS_CODE(:P5016_OBJ) = ''NEW'' then',
'                rec_type := ''FILE.ICIR_2.RECOMMEND_TYPE.INITIAL'';',
'            else ',
'                rec_type := ''FILE.ICIR_2.RECOMMEND_TYPE.FINAL'';',
'            end if;',
'	 elsif ACM_OBJ.GET_OBJTYPE_CODE(:P5016_OBJ_TYPE) = ''FILE.ICIR_3'' then',
'            if ACM_OBJ.GET_OBJ_STATUS_CODE(:P5016_OBJ) = ''NEW'' then',
'                rec_type := ''FILE.ICIR_3.RECOMMEND_TYPE.INITIAL'';',
'            else ',
'                rec_type := ''FILE.ICIR_3.RECOMMEND_TYPE.FINAL'';',
'            end if;',
'     end if;',
'	SELECT REF_KEY into rec_type_return FROM T_F_FINDING_REF WHERE REF_KEY = rec_type AND OBJ_TYPE = :P5016_OBJ_TYPE AND ACTIVE = ''Y'';',
'	RETURN rec_type_return;',
'    ',
'end;'))
);
wwv_flow_api.create_page_item(
 p_id=>wwv_flow_api.id(135005032849451887)
,p_name=>'P5016_IRMO_INDICATOR'
,p_is_required=>true
,p_item_sequence=>55
,p_item_plug_id=>wwv_flow_api.id(172337823986056536)
,p_use_cache_before_default=>'NO'
,p_prompt=>'IRMO Indicator:'
,p_source=>'IRMO_INDICATOR'
,p_source_type=>'DB_COLUMN'
,p_display_as=>'NATIVE_SELECT_LIST'
,p_lov=>'select display, ref_key from t_f_irmo_ref where active = ''Y'' and OBJ_TYPE = ( SELECT SID FROM T_ACM_OBJ_TYPE WHERE OBJ_TYPE_CODE = ''FILE.IRMO'' ) order by seq,display'
,p_lov_display_null=>'YES'
,p_lov_null_text=>'- Select IRMO Indicators Type -'
,p_cHeight=>1
,p_display_when_type=>'NEVER'
,p_field_template=>wwv_flow_api.id(1718898501811790)
,p_item_template_options=>'#DEFAULT#'
,p_lov_display_extra=>'YES'
,p_attribute_01=>'NONE'
,p_attribute_02=>'N'
);
wwv_flow_api.create_page_item(
 p_id=>wwv_flow_api.id(135005401389451887)
,p_name=>'P5016_COMMENTS'
,p_item_sequence=>60
,p_item_plug_id=>wwv_flow_api.id(172337823986056536)
,p_use_cache_before_default=>'NO'
,p_prompt=>'Comments:'
,p_source=>'COMMENTS'
,p_source_type=>'DB_COLUMN'
,p_display_as=>'PLUGIN_I2MS.TEXT_AREA'
,p_cSize=>30
,p_cMaxlength=>4000
,p_cHeight=>1
,p_field_template=>wwv_flow_api.id(1718652654811790)
,p_item_template_options=>'#DEFAULT#'
,p_attribute_01=>'P&APP_PAGE_ID._OBJ'
,p_attribute_02=>'both'
,p_attribute_03=>'Y'
,p_attribute_04=>'P5016_OBJ'
,p_attribute_05=>'N'
);
wwv_flow_api.create_page_validation(
 p_id=>wwv_flow_api.id(135007592798451896)
,p_validation_name=>'P5016_TYPE is Unique'
,p_validation_sequence=>10
,p_validation=>wwv_flow_string.join(wwv_flow_t_varchar2(
'select sid ',
'   from T_F_IRMO_FINDING',
'where obj = :P5016_OBJ  ',
'  and TYPE in (''FILE.IRMO.RECOMMEND_TYPE.FIELD'')',
'  and :P5016_SID is null',
'union',
'select sid',
'   from T_F_IRMO_FINDING',
'where obj = :P5016_OBJ',
'  and TYPE in (''FILE.IRMO.RECOMMEND_TYPE.FIELD'')',
'  and :P5016_SID is not null',
'  and :P5016_SID != sid;'))
,p_validation_type=>'NOT_EXISTS'
,p_error_message=>'Only one Recommendations of each type is allowed'
,p_validation_condition=>':REQUEST IN(''CREATE'',''SAVE'') AND :P5016_TYPE in (''FILE.IRMO.RECOMMEND_TYPE.FIELD'')'
,p_validation_condition_type=>'PLSQL_EXPRESSION'
,p_associated_item=>wwv_flow_api.id(135004665400451885)
,p_error_display_location=>'INLINE_WITH_FIELD_AND_NOTIFICATION'
);
wwv_flow_api.create_page_validation(
 p_id=>wwv_flow_api.id(135006775750451892)
,p_validation_name=>'P5016_TYPE is Unique 2'
,p_validation_sequence=>20
,p_validation=>wwv_flow_string.join(wwv_flow_t_varchar2(
'select sid ',
'   from T_F_IRMO_FINDING',
'where obj = :P5016_OBJ  ',
'  and TYPE in (''FILE.IRMO.RECOMMEND_TYPE.HQ'')',
'  and :P5016_SID is null',
'union',
'select sid',
'   from T_F_IRMO_FINDING',
'where obj = :P5016_OBJ',
'  and TYPE in (''FILE.IRMO.RECOMMEND_TYPE.HQ'')',
'  and :P5016_SID is not null',
'  and :P5016_SID != sid;'))
,p_validation_type=>'NOT_EXISTS'
,p_error_message=>'Only one Recommendations of each type is allowed'
,p_validation_condition=>':REQUEST IN(''CREATE'',''SAVE'') AND :P5016_TYPE in (''FILE.IRMO.RECOMMEND_TYPE.HQ'')'
,p_validation_condition_type=>'PLSQL_EXPRESSION'
,p_associated_item=>wwv_flow_api.id(135004665400451885)
,p_error_display_location=>'INLINE_WITH_FIELD_AND_NOTIFICATION'
);
wwv_flow_api.create_page_validation(
 p_id=>wwv_flow_api.id(135007163898451895)
,p_validation_name=>'P5016_TYPE is Unique 3'
,p_validation_sequence=>30
,p_validation=>wwv_flow_string.join(wwv_flow_t_varchar2(
'select sid ',
'   from T_F_IRMO_FINDING',
'where obj = :P5016_OBJ  ',
'  and TYPE = ''FILE.IRMO.RECOMMEND_TYPE.REGNL''',
'  and :P5016_SID is null',
'union',
'select sid',
'   from T_F_IRMO_FINDING',
'where obj = :P5016_OBJ',
'  and TYPE = ''FILE.IRMO.RECOMMEND_TYPE.REGNL''',
'  and :P5016_SID is not null',
'  and :P5016_SID != sid;'))
,p_validation_type=>'NOT_EXISTS'
,p_error_message=>'Only one Recommendations of each type is allowed'
,p_validation_condition=>':REQUEST IN(''CREATE'',''SAVE'') AND :P5016_TYPE = ''FILE.IRMO.RECOMMEND_TYPE.REGNL'''
,p_validation_condition_type=>'PLSQL_EXPRESSION'
,p_associated_item=>wwv_flow_api.id(135004665400451885)
,p_error_display_location=>'INLINE_WITH_FIELD_AND_NOTIFICATION'
);
wwv_flow_api.create_page_process(
 p_id=>wwv_flow_api.id(135008681658451898)
,p_process_sequence=>10
,p_process_point=>'AFTER_HEADER'
,p_process_type=>'NATIVE_FORM_FETCH'
,p_process_name=>'Fetch Row from T_F_IRMO_FINDING'
,p_attribute_02=>'T_F_IRMO_FINDING'
,p_attribute_03=>'P5016_SID'
,p_attribute_04=>'SID'
,p_process_error_message=>'#SQLERRM#'
,p_process_when=>'P5016_SID'
,p_process_when_type=>'ITEM_IS_NOT_NULL'
);
wwv_flow_api.create_page_process(
 p_id=>wwv_flow_api.id(135007898857451896)
,p_process_sequence=>20
,p_process_point=>'AFTER_HEADER'
,p_process_type=>'NATIVE_PLSQL'
,p_process_name=>'Get OBJ_TYPE'
,p_process_sql_clob=>wwv_flow_string.join(wwv_flow_t_varchar2(
'SELECT OBJ_TYPE',
'  INTO :P5016_OBJ_TYPE',
'  FROM T_ACM_OBJ',
' WHERE SID = :P5016_OBJ;'))
,p_error_display_location=>'INLINE_IN_NOTIFICATION'
,p_process_when=>'P5016_OBJ'
,p_process_when_type=>'ITEM_IS_NOT_NULL'
);
wwv_flow_api.create_page_process(
 p_id=>wwv_flow_api.id(135009006006451898)
,p_process_sequence=>40
,p_process_point=>'AFTER_SUBMIT'
,p_process_type=>'NATIVE_FORM_PROCESS'
,p_process_name=>'T_F_IRMO_FINDING ARP'
,p_attribute_02=>'T_F_IRMO_FINDING'
,p_attribute_03=>'P5016_SID'
,p_attribute_04=>'SID'
,p_attribute_05=>'P5016_OBJ'
,p_attribute_06=>'OBJ'
,p_attribute_09=>'P5016_SID'
,p_attribute_10=>'P5016_OBJ'
,p_attribute_11=>'I:U:D'
,p_attribute_12=>'Y'
,p_error_display_location=>'INLINE_IN_NOTIFICATION'
);
wwv_flow_api.create_page_process(
 p_id=>wwv_flow_api.id(135008262693451898)
,p_process_sequence=>70
,p_process_point=>'AFTER_SUBMIT'
,p_process_type=>'NATIVE_CLOSE_WINDOW'
,p_process_name=>'Close Dialog'
,p_process_error_message=>'#SQLERRM#'
,p_error_display_location=>'INLINE_IN_NOTIFICATION'
,p_process_when=>wwv_flow_string.join(wwv_flow_t_varchar2(
':REQUEST in (''CREATE'',''SAVE'',''DELETE'') and',
'NOT apex_error.have_errors_occurred'))
,p_process_when_type=>'PLSQL_EXPRESSION'
,p_process_success_message=>'Recommendation updated!'
);
end;
/
prompt --application/end_environment
begin
wwv_flow_api.import_end(p_auto_install_sup_obj => nvl(wwv_flow_application_install.get_auto_install_sup_obj, false));
--commit;
end;
/
set verify on feedback on define on
prompt  ...done
begin
wwv_flow_api.import_end(p_auto_install_sup_obj => nvl(wwv_flow_application_install.get_auto_install_sup_obj, false), p_is_component_import => true);
commit;
end;
/
set verify on feedback on define on
prompt  ...done
