
--Object type insert


INSERT INTO T_ACM_OBJ_TYPE
(display, display_long, obj_root, obj_type, page_create, page_edit, icon, active, primary_table, page_popup, icon_file_name, data_group_id  )
VALUES (
			'IRMO Intake',
			'IRMO Intake File',
			'FILE',
			'IRMO',
			2150,
			2150,
			'i2ms-Icon file-icon',
			'Y',
			'T_F_IRMO',
			30,
			'file.png',
			1
		);



-- FILE.IRMO metadata


DECLARE
    V_OBJ_TYPE      T_ACM_OBJ_TYPE.SID%TYPE;
    V_DATA_GROUP    T_ACM_OBJ_TYPE.DATA_GROUP_ID%TYPE;
BEGIN
    SELECT SID
    INTO V_OBJ_TYPE
    FROM T_ACM_OBJ_TYPE
    WHERE OBJ_TYPE_CODE = 'FILE.IRMO';  
    
    SELECT DATA_GROUP_ID
    INTO V_DATA_GROUP
    FROM T_ACM_OBJ_TYPE
    WHERE OBJ_TYPE_CODE = 'FILE.IRMO'; 
         
    
    FOR X IN
    (
        SELECT *
        FROM T_ACM_STAKEHOLDER_ROLE
        WHERE OBJ_TYPE = (SELECT SID FROM T_ACM_OBJ_TYPE WHERE OBJ_TYPE_CODE = 'FILE.RISK_ASSESS')
    )
    LOOP
        
        INSERT INTO T_ACM_STAKEHOLDER_ROLE
            (OBJ_TYPE, SH_OBJ_TYPE, CODE, DISPLAY, SEQ, MIN_NUM, MAX_NUM, DATA_GROUP_ID)
        VALUES
            (
                V_OBJ_TYPE,
                X.SH_OBJ_TYPE,
                X.CODE,
                X.DISPLAY,
                X.SEQ,
                X.MIN_NUM,
                X.MAX_NUM,
                V_DATA_GROUP
            );
        
    END LOOP;
    
    
    FOR Y IN
    (
        SELECT *
        FROM T_PARTIC_ROLE_TYPE
        WHERE OBJ_TYPE = (SELECT SID FROM T_ACM_OBJ_TYPE WHERE OBJ_TYPE_CODE = 'FILE.RISK_ASSESS')
    )
    LOOP
        
        INSERT INTO T_PARTIC_ROLE_TYPE
            (OBJ_TYPE, USAGE, CODE, DISPLAY, SEQ, ACTIVE, ROLE_MAX, INDIV_ONLY, NONINDIV_ONLY, DATA_GROUP_ID)
        VALUES
            (
                V_OBJ_TYPE,
                Y.USAGE,
                Y.CODE,
                Y.DISPLAY,
                Y.SEQ,
                Y.ACTIVE,
                Y.ROLE_MAX,
                Y.INDIV_ONLY,
                Y.NONINDIV_ONLY,
                V_DATA_GROUP
            );
        
    END LOOP;
    
    
    FOR N IN
    (
        SELECT *
        FROM T_ACM_NOTE_TYPE
        WHERE OBJ_TYPE = (SELECT SID FROM T_ACM_OBJ_TYPE WHERE OBJ_TYPE_CODE = 'FILE.RISK_ASSESS')
    )
    LOOP
    
        INSERT INTO T_ACM_NOTE_TYPE
            (OBJ_TYPE, USAGE, CODE, DISPLAY, SEQ, MIN_NUM, MAX_NUM, LOCK_MODE, ACTIVE, DATA_GROUP_ID)
        VALUES
            (
                V_OBJ_TYPE,
                N.USAGE,
                N.CODE,
                N.DISPLAY,
                N.SEQ,
                N.MIN_NUM,
                N.MAX_NUM,
                N.LOCK_MODE,
                N.ACTIVE,
                V_DATA_GROUP
            );
            
    END LOOP;
    
    
    FOR A IN
    (
        SELECT *
        FROM T_ACM_ATTACHMENT_TYPE
        WHERE OBJ_TYPE = (SELECT SID FROM T_ACM_OBJ_TYPE WHERE OBJ_TYPE_CODE = 'FILE.RISK_ASSESS')
    )
    LOOP
        
        INSERT INTO T_ACM_ATTACHMENT_TYPE
            (OBJ_TYPE, USAGE, CODE, DISPLAY, MIME_DISPOSITION, MIN_NUM, MAX_NUM, LOCK_MODE, SEQ, ACTIVE, DATA_GROUP_ID)
        VALUES
            (
                V_OBJ_TYPE,
                A.USAGE,
                A.CODE,
                A.DISPLAY,
                A.MIME_DISPOSITION,
                A.MIN_NUM,
                A.MAX_NUM,
                A.LOCK_MODE,
                A.SEQ,
                A.ACTIVE,
                V_DATA_GROUP
            );
        
    END LOOP;
    
    
    FOR X IN
    (
        SELECT *
        FROM T_ACM_ASSOC_TYPE
        WHERE FROM_TYPE = (SELECT SID FROM T_ACM_OBJ_TYPE WHERE OBJ_TYPE_CODE = 'FILE.RISK_ASSESS')
        OR TO_TYPE = (SELECT SID FROM T_ACM_OBJ_TYPE WHERE OBJ_TYPE_CODE = 'FILE.RISK_ASSESS')
    )
    LOOP
        
        IF ACM_OBJ.GET_OBJTYPE_CODE(X.FROM_TYPE) = 'FILE.RISK_ASSESS' THEN
            
            INSERT INTO T_ACM_ASSOC_TYPE
                (FROM_TYPE, TO_TYPE, CODE, DISPLAY, DATA_GROUP_ID)
            VALUES
                (
                    V_OBJ_TYPE,
                    X.TO_TYPE,
                    acm_obj.get_objtype_code(V_OBJ_TYPE) || '_TO_' || acm_obj.get_objtype_code(X.TO_TYPE),
                    acm_obj.lookup_objtype_disp(V_OBJ_TYPE) || ' to ' || acm_obj.lookup_objtype_disp(X.TO_TYPE),
                    V_DATA_GROUP
                );
                
        ELSIF ACM_OBJ.GET_OBJTYPE_CODE(X.TO_TYPE) = 'FILE.RISK_ASSESS' THEN
            
            INSERT INTO T_ACM_ASSOC_TYPE
                (FROM_TYPE, TO_TYPE, CODE, DISPLAY, DATA_GROUP_ID)
            VALUES
                (
                    X.FROM_TYPE,
                    V_OBJ_TYPE,
                    acm_obj.get_objtype_code(X.FROM_TYPE) || '_TO_' || acm_obj.get_objtype_code(V_OBJ_TYPE),
                    acm_obj.lookup_objtype_disp(X.FROM_TYPE) || ' to ' || acm_obj.lookup_objtype_disp(V_OBJ_TYPE),
                    V_DATA_GROUP
                );
                
        END IF;
        
    END LOOP;

END;
/

--T_F_IRMO_REF data

BEGIN 
    FOR X IN
        (
            SELECT *
            FROM T_F_ICIR_REF
			WHERE USAGE = 'RCPT_METHOD'
        )
    LOOP	
        INSERT INTO T_F_IRMO_REF 
            ( REF_KEY, USAGE, CODE, DISPLAY, SEQ, ACTIVE, OBJ_TYPE, PARENT_KEY )
        VALUES
            (
				REPLACE(X.REF_KEY, 'ICIR', 'IRMO' ),
                X.USAGE,
				X.CODE,
                X.DISPLAY,
                X.SEQ,
				X.ACTIVE,
				( SELECT SID FROM T_ACM_OBJ_TYPE WHERE OBJ_TYPE_CODE = 'FILE.IRMO' ),
				REPLACE(X.PARENT_KEY, 'ICIR', 'IRMO' )
            );
    END LOOP;
END;
/


--T_F_IRMO_REF referral type

INSERT INTO T_F_IRMO_REF
				( REF_KEY, USAGE, CODE, DISPLAY, SEQ, ACTIVE, OBJ_TYPE, PARENT_KEY )
			VALUES
				( 'FILE.IRMO.REFERRAL_TYPE.IRMO_INT', 'REFERRAL_TYPE', 'IRMO_INT', 'IRMO Initiated', 1, 'Y', ( SELECT SID FROM T_ACM_OBJ_TYPE WHERE OBJ_TYPE_CODE = 'FILE.IRMO' ), NULL );
				
INSERT INTO T_F_IRMO_REF
				( REF_KEY, USAGE, CODE, DISPLAY, SEQ, ACTIVE, OBJ_TYPE, PARENT_KEY )
			VALUES
				( 'FILE.IRMO.REFERRAL_TYPE.EMPLOYEE_INT', 'REFERRAL_TYPE', 'EMPLOYEE_INT', 'Treasury Employee / Contractor Initiated', 2, 'Y', ( SELECT SID FROM T_ACM_OBJ_TYPE WHERE OBJ_TYPE_CODE = 'FILE.IRMO' ), NULL );
INSERT INTO T_F_IRMO_REF
				( REF_KEY, USAGE, CODE, DISPLAY, SEQ, ACTIVE, OBJ_TYPE, PARENT_KEY )
			VALUES
				( 'FILE.IRMO.REFERRAL_TYPE.INC_REFERRAL', 'REFERRAL_TYPE', 'INC_REFERRAL', 'Incoming Referral', 3, 'Y', ( SELECT SID FROM T_ACM_OBJ_TYPE WHERE OBJ_TYPE_CODE = 'FILE.IRMO' ), NULL );
				
INSERT INTO T_F_IRMO_REF
				( REF_KEY, USAGE, CODE, DISPLAY, SEQ, ACTIVE, OBJ_TYPE, PARENT_KEY )
			VALUES			
				( 'FILE.IRMO.REFERRAL_TYPE.HOTLINE', 'REFERRAL_TYPE', 'HOTLINE', 'Hotline', 4, 'Y', ( SELECT SID FROM T_ACM_OBJ_TYPE WHERE OBJ_TYPE_CODE = 'FILE.IRMO' ), NULL );  



--T_F_IRMO_REF referrral SUBTYPE

INSERT INTO T_F_IRMO_REF
				( REF_KEY, USAGE, CODE, DISPLAY, SEQ, ACTIVE, OBJ_TYPE, PARENT_KEY )
			VALUES
				( 'FILE.IRMO.REFERRAL_SUBTYPE.EMAIL', 'REFERRAL_SUBTYPE', 'EMAIL', 'Email', 1, 'Y', ( SELECT SID FROM T_ACM_OBJ_TYPE WHERE OBJ_TYPE_CODE = 'FILE.IRMO' ), 'FILE.IRMO.REFERRAL_TYPE.HOTLINE' );
INSERT INTO T_F_IRMO_REF
				( REF_KEY, USAGE, CODE, DISPLAY, SEQ, ACTIVE, OBJ_TYPE, PARENT_KEY )
			VALUES
				( 'FILE.IRMO.REFERRAL_SUBTYPE.PERSON', 'REFERRAL_SUBTYPE', 'PERSON', 'In Person', 2, 'Y', ( SELECT SID FROM T_ACM_OBJ_TYPE WHERE OBJ_TYPE_CODE = 'FILE.IRMO' ), 'FILE.IRMO.REFERRAL_TYPE.HOTLINE' );
INSERT INTO T_F_IRMO_REF
				( REF_KEY, USAGE, CODE, DISPLAY, SEQ, ACTIVE, OBJ_TYPE, PARENT_KEY )
			VALUES
				( 'FILE.IRMO.REFERRAL_SUBTYPE.PHONE', 'REFERRAL_SUBTYPE', 'PHONE', 'Phone', 3, 'Y', ( SELECT SID FROM T_ACM_OBJ_TYPE WHERE OBJ_TYPE_CODE = 'FILE.IRMO' ), 'FILE.IRMO.REFERRAL_TYPE.HOTLINE' );
INSERT INTO T_F_IRMO_REF
				( REF_KEY, USAGE, CODE, DISPLAY, SEQ, ACTIVE, OBJ_TYPE, PARENT_KEY )
			VALUES
				( 'FILE.IRMO.REFERRAL_SUBTYPE.OTHER', 'REFERRAL_SUBTYPE', 'OTHER', 'Other', 4, 'Y', ( SELECT SID FROM T_ACM_OBJ_TYPE WHERE OBJ_TYPE_CODE = 'FILE.IRMO' ), 'FILE.IRMO.REFERRAL_TYPE.HOTLINE' );


INSERT INTO T_F_IRMO_REF
				( REF_KEY, USAGE, CODE, DISPLAY, SEQ, ACTIVE, OBJ_TYPE, PARENT_KEY )
			VALUES
				( 'FILE.IRMO.REFERRAL_SUBTYPE.INVEST', 'REFERRAL_SUBTYPE', 'INVEST', 'IRMO Investigation', 1, 'Y', ( SELECT SID FROM T_ACM_OBJ_TYPE WHERE OBJ_TYPE_CODE = 'FILE.IRMO' ), 'FILE.IRMO.REFERRAL_TYPE.IRMO_INT' );
INSERT INTO T_F_IRMO_REF
				( REF_KEY, USAGE, CODE, DISPLAY, SEQ, ACTIVE, OBJ_TYPE, PARENT_KEY )
			VALUES
				( 'FILE.IRMO.REFERRAL_SUBTYPE.TIRA', 'REFERRAL_SUBTYPE', 'TIRA', 'IRMO TIRA', 2, 'Y', ( SELECT SID FROM T_ACM_OBJ_TYPE WHERE OBJ_TYPE_CODE = 'FILE.IRMO' ), 'FILE.IRMO.REFERRAL_TYPE.IRMO_INT' );
INSERT INTO T_F_IRMO_REF
				( REF_KEY, USAGE, CODE, DISPLAY, SEQ, ACTIVE, OBJ_TYPE, PARENT_KEY )
			VALUES
				( 'FILE.IRMO.REFERRAL_SUBTYPE.CI_COLLECT_IRMO', 'REFERRAL_SUBTYPE', 'CI_COLLECT_IRMO', 'CI Collection', 3, 'Y', ( SELECT SID FROM T_ACM_OBJ_TYPE WHERE OBJ_TYPE_CODE = 'FILE.IRMO' ), 'FILE.IRMO.REFERRAL_TYPE.IRMO_INT' );
		
				
INSERT INTO T_F_IRMO_REF
				( REF_KEY, USAGE, CODE, DISPLAY, SEQ, ACTIVE, OBJ_TYPE, PARENT_KEY )
			VALUES
				( 'FILE.IRMO.REFERRAL_SUBTYPE.OIA_REF', 'REFERRAL_SUBTYPE', 'OIA_REF', 'OIA Referral', 1, 'Y', ( SELECT SID FROM T_ACM_OBJ_TYPE WHERE OBJ_TYPE_CODE = 'FILE.IRMO' ), 'FILE.IRMO.REFERRAL_TYPE.INC_REFERRAL' );
INSERT INTO T_F_IRMO_REF
				( REF_KEY, USAGE, CODE, DISPLAY, SEQ, ACTIVE, OBJ_TYPE, PARENT_KEY )
			VALUES
				( 'FILE.IRMO.REFERRAL_SUBTYPE.NON_OIA_REF', 'REFERRAL_SUBTYPE', 'NON_OIA_REF', 'Treasury (Non OIA) Referral', 2, 'Y', ( SELECT SID FROM T_ACM_OBJ_TYPE WHERE OBJ_TYPE_CODE = 'FILE.IRMO' ), 'FILE.IRMO.REFERRAL_TYPE.INC_REFERRAL' );
INSERT INTO T_F_IRMO_REF
				( REF_KEY, USAGE, CODE, DISPLAY, SEQ, ACTIVE, OBJ_TYPE, PARENT_KEY )
			VALUES
				( 'FILE.IRMO.REFERRAL_SUBTYPE.CI_COLLECT_IR', 'REFERRAL_SUBTYPE', 'CI_COLLECT_IR', 'CI Collection', 3, 'Y', ( SELECT SID FROM T_ACM_OBJ_TYPE WHERE OBJ_TYPE_CODE = 'FILE.IRMO' ), 'FILE.IRMO.REFERRAL_TYPE.INC_REFERRAL' );



INSERT INTO T_F_IRMO_REF
				( REF_KEY, USAGE, CODE, DISPLAY, SEQ, ACTIVE, OBJ_TYPE, PARENT_KEY )
			VALUES
				( 'FILE.IRMO.REFERRAL_SUBTYPE.NONE', 'REFERRAL_SUBTYPE', 'NONE', 'None', 1, 'Y', ( SELECT SID FROM T_ACM_OBJ_TYPE WHERE OBJ_TYPE_CODE = 'FILE.IRMO' ), 'FILE.IRMO.REFERRAL_TYPE.EMPLOYEE_INT' );
INSERT INTO T_F_IRMO_REF
				( REF_KEY, USAGE, CODE, DISPLAY, SEQ, ACTIVE, OBJ_TYPE, PARENT_KEY )
			VALUES
				( 'FILE.IRMO.REFERRAL_SUBTYPE.BROCHURE', 'REFERRAL_SUBTYPE', 'BROCHURE', 'Recent Brochure (for IT Awareness)', 2, 'Y', ( SELECT SID FROM T_ACM_OBJ_TYPE WHERE OBJ_TYPE_CODE = 'FILE.IRMO' ), 'FILE.IRMO.REFERRAL_TYPE.EMPLOYEE_INT' );
INSERT INTO T_F_IRMO_REF
				( REF_KEY, USAGE, CODE, DISPLAY, SEQ, ACTIVE, OBJ_TYPE, PARENT_KEY )
			VALUES
				( 'FILE.IRMO.REFERRAL_SUBTYPE.ANN_TRAIN', 'REFERRAL_SUBTYPE', 'ANN_TRAIN', 'Recent Annual Training (for IT Awareness)', 3, 'Y', ( SELECT SID FROM T_ACM_OBJ_TYPE WHERE OBJ_TYPE_CODE = 'FILE.IRMO' ), 'FILE.IRMO.REFERRAL_TYPE.EMPLOYEE_INT' );
INSERT INTO T_F_IRMO_REF
				( REF_KEY, USAGE, CODE, DISPLAY, SEQ, ACTIVE, OBJ_TYPE, PARENT_KEY )
			VALUES
				( 'FILE.IRMO.REFERRAL_SUBTYPE.PERSON_BRIEF', 'REFERRAL_SUBTYPE', 'PERSON_BRIEF', 'Recent In Person Briefing (for IT Awareness)', 4, 'Y', ( SELECT SID FROM T_ACM_OBJ_TYPE WHERE OBJ_TYPE_CODE = 'FILE.IRMO' ), 'FILE.IRMO.REFERRAL_TYPE.EMPLOYEE_INT' );
INSERT INTO T_F_IRMO_REF
				( REF_KEY, USAGE, CODE, DISPLAY, SEQ, ACTIVE, OBJ_TYPE, PARENT_KEY )
			VALUES
				( 'FILE.IRMO.REFERRAL_SUBTYPE.POST', 'REFERRAL_SUBTYPE', 'POST', 'Recent Post (for IT Awareness)', 5, 'Y', ( SELECT SID FROM T_ACM_OBJ_TYPE WHERE OBJ_TYPE_CODE = 'FILE.IRMO' ), 'FILE.IRMO.REFERRAL_TYPE.EMPLOYEE_INT' );



-- PRI ref data

INSERT INTO T_F_IRMO_REF
				( REF_KEY, USAGE, CODE, DISPLAY, SEQ, ACTIVE, OBJ_TYPE, PARENT_KEY )
			VALUES
				( 'FILE.IRMO.PRI_INDICATOR.LIFE_PREFORM', 'PRI_INDICATOR', 'LIFE_PERFORM', 'Professional Lifecycle and Performance', 1, 'Y', ( SELECT SID FROM T_ACM_OBJ_TYPE WHERE OBJ_TYPE_CODE = 'FILE.IRMO' ), null );
INSERT INTO T_F_IRMO_REF
				( REF_KEY, USAGE, CODE, DISPLAY, SEQ, ACTIVE, OBJ_TYPE, PARENT_KEY )
			VALUES
				( 'FILE.IRMO.PRI_INDICATOR.FOREIGN_CON', 'PRI_INDICATOR', 'FOREIGN_CON', 'Foreign Considerations (Tier 1 and 2 countries only)', 2, 'Y', ( SELECT SID FROM T_ACM_OBJ_TYPE WHERE OBJ_TYPE_CODE = 'FILE.IRMO' ), null );
INSERT INTO T_F_IRMO_REF
				( REF_KEY, USAGE, CODE, DISPLAY, SEQ, ACTIVE, OBJ_TYPE, PARENT_KEY )
			VALUES
				( 'FILE.IRMO.PRI_INDICATOR.SECURE_COM', 'PRI_INDICATOR', 'SECURE_COM', 'Security and Compliance Incidents', 3, 'Y', ( SELECT SID FROM T_ACM_OBJ_TYPE WHERE OBJ_TYPE_CODE = 'FILE.IRMO' ), null );
INSERT INTO T_F_IRMO_REF
				( REF_KEY, USAGE, CODE, DISPLAY, SEQ, ACTIVE, OBJ_TYPE, PARENT_KEY )
			VALUES
				( 'FILE.IRMO.PRI_INDICATOR.TECH_ACT', 'PRI_INDICATOR', 'TECH_ACT', 'Technical Activity', 4, 'Y', ( SELECT SID FROM T_ACM_OBJ_TYPE WHERE OBJ_TYPE_CODE = 'FILE.IRMO' ), null );
INSERT INTO T_F_IRMO_REF
				( REF_KEY, USAGE, CODE, DISPLAY, SEQ, ACTIVE, OBJ_TYPE, PARENT_KEY )
			VALUES
				( 'FILE.IRMO.PRI_INDICATOR.CRIMINAL_CON', 'PRI_INDICATOR', 'CRIMINAL_CON', 'Criminal, Violent or Abusive Conduct', 5, 'Y', ( SELECT SID FROM T_ACM_OBJ_TYPE WHERE OBJ_TYPE_CODE = 'FILE.IRMO' ), null ); 
INSERT INTO T_F_IRMO_REF
				( REF_KEY, USAGE, CODE, DISPLAY, SEQ, ACTIVE, OBJ_TYPE, PARENT_KEY )
			VALUES
				( 'FILE.IRMO.PRI_INDICATOR.FINANCE_CON', 'PRI_INDICATOR', 'FINANCE_CON', 'Financial Considerations', 6, 'Y', ( SELECT SID FROM T_ACM_OBJ_TYPE WHERE OBJ_TYPE_CODE = 'FILE.IRMO' ), null );
INSERT INTO T_F_IRMO_REF
				( REF_KEY, USAGE, CODE, DISPLAY, SEQ, ACTIVE, OBJ_TYPE, PARENT_KEY )
			VALUES
				( 'FILE.IRMO.PRI_INDICATOR.SUB_ABUSE', 'PRI_INDICATOR', 'SUB_ABUSE', 'Substance Abuse and Addictive Behaviors', 7, 'Y', ( SELECT SID FROM T_ACM_OBJ_TYPE WHERE OBJ_TYPE_CODE = 'FILE.IRMO' ), null );
INSERT INTO T_F_IRMO_REF
				( REF_KEY, USAGE, CODE, DISPLAY, SEQ, ACTIVE, OBJ_TYPE, PARENT_KEY )
			VALUES
				( 'FILE.IRMO.PRI_INDICATOR.CHAR_CON', 'PRI_INDICATOR', 'CHAR_CON', 'Judgment, Character and Psychological Considerations', 8, 'Y', ( SELECT SID FROM T_ACM_OBJ_TYPE WHERE OBJ_TYPE_CODE = 'FILE.IRMO' ), null );
				

-- T_F_IRMO_FINDING_REF data

INSERT INTO T_F_IRMO_FINDING_REF
				( REF_KEY, USAGE, CODE, DISPLAY, SEQ, ACTIVE, OBJ_TYPE )
			VALUES
				( 'FILE.IRMO.RECOMMEND.AGENT_SUPP', 'RECOMMEND', 'AGENT_SUPP', 'IRMO Other Agency Support', 1, 'Y', ( SELECT SID FROM T_ACM_OBJ_TYPE WHERE OBJ_TYPE_CODE = 'FILE.IRMO' ) );
INSERT INTO T_F_IRMO_FINDING_REF
				( REF_KEY, USAGE, CODE, DISPLAY, SEQ, ACTIVE, OBJ_TYPE )
			VALUES
				( 'FILE.IRMO.RECOMMEND.TIRA', 'RECOMMEND', 'TIRA', 'TIRA', 2, 'Y', ( SELECT SID FROM T_ACM_OBJ_TYPE WHERE OBJ_TYPE_CODE = 'FILE.IRMO' ) );
INSERT INTO T_F_IRMO_FINDING_REF
				( REF_KEY, USAGE, CODE, DISPLAY, SEQ, ACTIVE, OBJ_TYPE )
			VALUES
				( 'FILE.IRMO.RECOMMEND.OPEN_INV', 'RECOMMEND', 'OPEN_INV', 'Open Investigation', 3, 'Y', ( SELECT SID FROM T_ACM_OBJ_TYPE WHERE OBJ_TYPE_CODE = 'FILE.IRMO' ) );
INSERT INTO T_F_IRMO_FINDING_REF
				( REF_KEY, USAGE, CODE, DISPLAY, SEQ, ACTIVE, OBJ_TYPE )
			VALUES
				( 'FILE.IRMO.RECOMMEND.REFER_OUT', 'RECOMMEND', 'REFER_OUT', 'Refer Out', 4, 'Y', ( SELECT SID FROM T_ACM_OBJ_TYPE WHERE OBJ_TYPE_CODE = 'FILE.IRMO' ) );
INSERT INTO T_F_IRMO_FINDING_REF
				( REF_KEY, USAGE, CODE, DISPLAY, SEQ, ACTIVE, OBJ_TYPE )
			VALUES
				( 'FILE.IRMO.RECOMMEND.CLOSE_ACT', 'RECOMMEND', 'CLOSE_ACT', 'Close No Action', 5, 'Y', ( SELECT SID FROM T_ACM_OBJ_TYPE WHERE OBJ_TYPE_CODE = 'FILE.IRMO' ) ); 
INSERT INTO T_F_IRMO_FINDING_REF
				( REF_KEY, USAGE, CODE, DISPLAY, SEQ, ACTIVE, OBJ_TYPE )
			VALUES
				( 'FILE.IRMO.RECOMMEND.CLOSE_RES_TIRA', 'RECOMMEND', 'CLOSE_RES_TIRA', 'Close No Resources - TIRA Worthy', 6, 'Y', ( SELECT SID FROM T_ACM_OBJ_TYPE WHERE OBJ_TYPE_CODE = 'FILE.IRMO' ) );
INSERT INTO T_F_IRMO_FINDING_REF
				( REF_KEY, USAGE, CODE, DISPLAY, SEQ, ACTIVE, OBJ_TYPE )
			VALUES
				( 'FILE.IRMO.RECOMMEND.CLOSE_RES_INV', 'RECOMMEND', 'CLOSE_RES_INV', 'Close No Resources - Investigation Worthy', 7, 'Y', ( SELECT SID FROM T_ACM_OBJ_TYPE WHERE OBJ_TYPE_CODE = 'FILE.IRMO' ) );
INSERT INTO T_F_IRMO_FINDING_REF
				( REF_KEY, USAGE, CODE, DISPLAY, SEQ, ACTIVE, OBJ_TYPE )
			VALUES
				( 'FILE.IRMO.RECOMMEND.DEBRIEF', 'RECOMMEND', 'DEBRIEF', 'Debrief Report', 8, 'Y', ( SELECT SID FROM T_ACM_OBJ_TYPE WHERE OBJ_TYPE_CODE = 'FILE.IRMO' ) );
INSERT INTO T_F_IRMO_FINDING_REF
				( REF_KEY, USAGE, CODE, DISPLAY, SEQ, ACTIVE, OBJ_TYPE )
			VALUES
				( 'FILE.IRMO.RECOMMEND.NIP', 'RECOMMEND', 'NIP', 'NIP (Notice of Intelligence Potential)', 9, 'Y', ( SELECT SID FROM T_ACM_OBJ_TYPE WHERE OBJ_TYPE_CODE = 'FILE.IRMO' ) ); 
INSERT INTO T_F_IRMO_FINDING_REF
				( REF_KEY, USAGE, CODE, DISPLAY, SEQ, ACTIVE, OBJ_TYPE )
			VALUES
				( 'FILE.IRMO.RECOMMEND.OTHER', 'RECOMMEND', 'OTHER', 'Other', 10, 'Y', ( SELECT SID FROM T_ACM_OBJ_TYPE WHERE OBJ_TYPE_CODE = 'FILE.IRMO' ) );
				
				
				
-- T_PARTIC_ROLE_TYPE ref data

INSERT INTO T_PARTIC_ROLE_TYPE
				( OBJ_TYPE, USAGE, CODE, DISPLAY, SEQ, ACTIVE, INDIV_ONLY, NONINDIV_ONLY, DATA_GROUP_ID )
			VALUES
				( ( SELECT SID FROM T_ACM_OBJ_TYPE WHERE OBJ_TYPE_CODE = 'FILE.IRMO' ), 'OTHER_AGENCIES', 'REFERRED_ACTION', 'Referred for Action', 1, 'Y', 'N', 'Y', 1 );
INSERT INTO T_PARTIC_ROLE_TYPE
				( OBJ_TYPE, USAGE, CODE, DISPLAY, SEQ, ACTIVE, INDIV_ONLY, NONINDIV_ONLY, DATA_GROUP_ID )
			VALUES
				( ( SELECT SID FROM T_ACM_OBJ_TYPE WHERE OBJ_TYPE_CODE = 'FILE.IRMO' ), 'OTHER_AGENCIES', 'REFERRED_OTH_AGNCY', 'Referred to Other Bureau/Agency', 2, 'Y', 'N', 'Y', 1 );
INSERT INTO T_PARTIC_ROLE_TYPE
				( OBJ_TYPE, USAGE, CODE, DISPLAY, SEQ, ACTIVE, INDIV_ONLY, NONINDIV_ONLY, DATA_GROUP_ID )
			VALUES
				( ( SELECT SID FROM T_ACM_OBJ_TYPE WHERE OBJ_TYPE_CODE = 'FILE.IRMO' ), 'OTHER_AGENCIES', 'REFERRED_DHSCI', 'Referred to DHS CI', 3, 'Y', 'N', 'Y', 1 );
				

INSERT INTO T_PARTIC_ROLE_TYPE
				( OBJ_TYPE, USAGE, CODE, DISPLAY, SEQ, ACTIVE, INDIV_ONLY, NONINDIV_ONLY, DATA_GROUP_ID )
			VALUES
				( ( SELECT SID FROM T_ACM_OBJ_TYPE WHERE OBJ_TYPE_CODE = 'FILE.IRMO' ), 'DHS_AGENCY', 'REFERRED_ACTION', 'Referred for Action', 1, 'Y', 'N', 'Y', 1 );
INSERT INTO T_PARTIC_ROLE_TYPE
				( OBJ_TYPE, USAGE, CODE, DISPLAY, SEQ, ACTIVE, INDIV_ONLY, NONINDIV_ONLY, DATA_GROUP_ID )
			VALUES
				( ( SELECT SID FROM T_ACM_OBJ_TYPE WHERE OBJ_TYPE_CODE = 'FILE.IRMO' ), 'DHS_AGENCY', 'REFERRED_OTH_AGNCY', 'Referred to Other Bureau/Agency', 2, 'Y', 'N', 'Y', 1 );
INSERT INTO T_PARTIC_ROLE_TYPE
				( OBJ_TYPE, USAGE, CODE, DISPLAY, SEQ, ACTIVE, INDIV_ONLY, NONINDIV_ONLY, DATA_GROUP_ID )
			VALUES
				( ( SELECT SID FROM T_ACM_OBJ_TYPE WHERE OBJ_TYPE_CODE = 'FILE.IRMO' ), 'DHS_AGENCY', 'REFERRED_DHSCI', 'Referred to Treasury CI', 3, 'Y', 'N', 'Y', 1 );
				
				
INSERT INTO T_PARTIC_ROLE_TYPE
				( OBJ_TYPE, USAGE, CODE, DISPLAY, SEQ, ACTIVE, INDIV_ONLY, NONINDIV_ONLY, DATA_GROUP_ID )
			VALUES
				( ( SELECT SID FROM T_ACM_OBJ_TYPE WHERE OBJ_TYPE_CODE = 'FILE.IRMO' ), 'PARTICIPANTS', 'SOURCE', 'Reporter / Source', 2, 'Y', 'N', 'N', 1 );
INSERT INTO T_PARTIC_ROLE_TYPE
				( OBJ_TYPE, USAGE, CODE, DISPLAY, SEQ, ACTIVE, INDIV_ONLY, NONINDIV_ONLY, DATA_GROUP_ID )
			VALUES
				( ( SELECT SID FROM T_ACM_OBJ_TYPE WHERE OBJ_TYPE_CODE = 'FILE.IRMO' ), 'PARTICIPANTS', 'REFERRAL_POC', 'Referral POC', 4, 'Y', 'N', 'N', 1 );


UPDATE T_PARTIC_ROLE_TYPE
SET DISPLAY = 'Others Knowledgeable', SEQ = 3
WHERE OBJ_TYPE = ( SELECT SID FROM T_ACM_OBJ_TYPE WHERE OBJ_TYPE_CODE = 'FILE.IRMO' )
AND CODE = 'OTHER';


--T_ACM_ATTACHMENT_TYPE ref data

INSERT INTO T_ACM_ATTACHMENT_TYPE
				( OBJ_TYPE, USAGE, CODE, DISPLAY, SEQ, ACTIVE, DATA_GROUP_ID )
			VALUES
				( ( SELECT SID FROM T_ACM_OBJ_TYPE WHERE OBJ_TYPE_CODE = 'FILE.IRMO' ), 'ATTACHMENT', 'EXTENSION_DOC', 'IO Extension Documents', 2, 'Y', 1 );
INSERT INTO T_ACM_ATTACHMENT_TYPE
				( OBJ_TYPE, USAGE, CODE, DISPLAY, SEQ, ACTIVE, DATA_GROUP_ID )
			VALUES
				( ( SELECT SID FROM T_ACM_OBJ_TYPE WHERE OBJ_TYPE_CODE = 'FILE.IRMO' ), 'ATTACHMENT', 'REFERRAL', 'Referral', 3, 'Y', 1 );
				
				
--FILE.IRMO Priviages


set scan off
declare
  V_OBJ_TYPE_CODE                   VARCHAR2(300);
  V_PRIV_SID                        T_ACM_PRIVILEGE.SID%TYPE;
  V_PGROUP_PRIV_SID                 T_ACM_PGROUP_PRIV.SID%TYPE;
begin
  V_OBJ_TYPE_CODE := 'FILE.IRMO';
  V_PRIV_SID := ACM_MDE3.Import_Privilege(P_PRIVILEGE_CODE => 'FILE.IRMO.ADD_RESTRICTION', P_PRIVILEGE_DISPLAY => 'Add Restriction', P_PRIVILEGE_COMMENTS => null, P_PRIVILEGE_OBJ_TYPE_CODE => V_OBJ_TYPE_CODE);
  V_PGROUP_PRIV_SID := ACM_MDE3.ADD_PRIV_TO_PGROUP(V_PRIV_SID,'ALL_PRIVS');
exception
  when OTHERS then
    raise;
end;
/



set scan off
declare
  V_OBJ_TYPE_CODE                   VARCHAR2(300);
  V_PRIV_SID                        T_ACM_PRIVILEGE.SID%TYPE;
  V_PGROUP_PRIV_SID                 T_ACM_PGROUP_PRIV.SID%TYPE;
begin
  V_OBJ_TYPE_CODE := 'FILE.IRMO';
  V_PRIV_SID := ACM_MDE3.Import_Privilege(P_PRIVILEGE_CODE => 'FILE.IRMO.APPROVE', P_PRIVILEGE_DISPLAY => 'Approve File', P_PRIVILEGE_COMMENTS => null, P_PRIVILEGE_OBJ_TYPE_CODE => V_OBJ_TYPE_CODE);
  V_PGROUP_PRIV_SID := ACM_MDE3.ADD_PRIV_TO_PGROUP(V_PRIV_SID,'ALL_PRIVS');
exception
  when OTHERS then
    raise;
end;
/



set scan off
declare
  V_OBJ_TYPE_CODE                   VARCHAR2(300);
  V_PRIV_SID                        T_ACM_PRIVILEGE.SID%TYPE;
  V_PGROUP_PRIV_SID                 T_ACM_PGROUP_PRIV.SID%TYPE;
begin
  V_OBJ_TYPE_CODE := 'FILE.IRMO';
  V_PRIV_SID := ACM_MDE3.Import_Privilege(P_PRIVILEGE_CODE => 'FILE.IRMO.CLOSE', P_PRIVILEGE_DISPLAY => 'Close an IRMO File', P_PRIVILEGE_COMMENTS => null, P_PRIVILEGE_OBJ_TYPE_CODE => V_OBJ_TYPE_CODE);
  V_PGROUP_PRIV_SID := ACM_MDE3.ADD_PRIV_TO_PGROUP(V_PRIV_SID,'ALL_PRIVS');
exception
  when OTHERS then
    raise;
end;
/



set scan off
declare
  V_OBJ_TYPE_CODE                   VARCHAR2(300);
  V_PRIV_SID                        T_ACM_PRIVILEGE.SID%TYPE;
  V_PGROUP_PRIV_SID                 T_ACM_PGROUP_PRIV.SID%TYPE;
begin
  V_OBJ_TYPE_CODE := 'FILE.IRMO';
  V_PRIV_SID := ACM_MDE3.Import_Privilege(P_PRIVILEGE_CODE => 'FILE.IRMO.COMPLETE', P_PRIVILEGE_DISPLAY => 'Complete IRMO', P_PRIVILEGE_COMMENTS => null, P_PRIVILEGE_OBJ_TYPE_CODE => V_OBJ_TYPE_CODE);
  V_PGROUP_PRIV_SID := ACM_MDE3.ADD_PRIV_TO_PGROUP(V_PRIV_SID,'ALL_PRIVS');
exception
  when OTHERS then
    raise;
end;
/



set scan off
declare
  V_OBJ_TYPE_CODE                   VARCHAR2(300);
  V_PRIV_SID                        T_ACM_PRIVILEGE.SID%TYPE;
  V_PGROUP_PRIV_SID                 T_ACM_PGROUP_PRIV.SID%TYPE;
begin
  V_OBJ_TYPE_CODE := 'FILE.IRMO';
  V_PRIV_SID := ACM_MDE3.Import_Privilege(P_PRIVILEGE_CODE => 'FILE.IRMO.DELETE', P_PRIVILEGE_DISPLAY => 'Delete an IRMO File', P_PRIVILEGE_COMMENTS => null, P_PRIVILEGE_OBJ_TYPE_CODE => V_OBJ_TYPE_CODE);
  V_PGROUP_PRIV_SID := ACM_MDE3.ADD_PRIV_TO_PGROUP(V_PRIV_SID,'ALL_PRIVS');
exception
  when OTHERS then
    raise;
end;
/





set scan off
declare
  V_OBJ_TYPE_CODE                   VARCHAR2(300);
  V_PRIV_SID                        T_ACM_PRIVILEGE.SID%TYPE;
  V_PGROUP_PRIV_SID                 T_ACM_PGROUP_PRIV.SID%TYPE;
begin
  V_OBJ_TYPE_CODE := 'FILE.IRMO';
  V_PRIV_SID := ACM_MDE3.Import_Privilege(P_PRIVILEGE_CODE => 'FILE.IRMO.CREATE', P_PRIVILEGE_DISPLAY => 'Create IRMO Files', P_PRIVILEGE_COMMENTS => null, P_PRIVILEGE_OBJ_TYPE_CODE => V_OBJ_TYPE_CODE);
  V_PGROUP_PRIV_SID := ACM_MDE3.ADD_PRIV_TO_PGROUP(V_PRIV_SID,'ALL_PRIVS');
exception
  when OTHERS then
    raise;
end;
/


set scan off
declare
  V_OBJ_TYPE_CODE                   VARCHAR2(300);
  V_PRIV_SID                        T_ACM_PRIVILEGE.SID%TYPE;
  V_PGROUP_PRIV_SID                 T_ACM_PGROUP_PRIV.SID%TYPE;
begin
  V_OBJ_TYPE_CODE := 'FILE.IRMO';
  V_PRIV_SID := ACM_MDE3.Import_Privilege(P_PRIVILEGE_CODE => 'FILE.IRMO.DOWNLOAD_ATTACH', P_PRIVILEGE_DISPLAY => 'Download Attachment', P_PRIVILEGE_COMMENTS => null, P_PRIVILEGE_OBJ_TYPE_CODE => V_OBJ_TYPE_CODE);
  V_PGROUP_PRIV_SID := ACM_MDE3.ADD_PRIV_TO_PGROUP(V_PRIV_SID,'ALL_PRIVS');
exception
  when OTHERS then
    raise;
end;
/



set scan off
declare
  V_OBJ_TYPE_CODE                   VARCHAR2(300);
  V_PRIV_SID                        T_ACM_PRIVILEGE.SID%TYPE;
  V_PGROUP_PRIV_SID                 T_ACM_PGROUP_PRIV.SID%TYPE;
begin
  V_OBJ_TYPE_CODE := 'FILE.IRMO';
  V_PRIV_SID := ACM_MDE3.Import_Privilege(P_PRIVILEGE_CODE => 'FILE.IRMO.EDIT_SUPPORTING_UNIT', P_PRIVILEGE_DISPLAY => 'Edit Supporting Unit', P_PRIVILEGE_COMMENTS => null, P_PRIVILEGE_OBJ_TYPE_CODE => V_OBJ_TYPE_CODE);
  V_PGROUP_PRIV_SID := ACM_MDE3.ADD_PRIV_TO_PGROUP(V_PRIV_SID,'ALL_PRIVS');
exception
  when OTHERS then
    raise;
end;
/






set scan off
declare
  V_OBJ_TYPE_CODE                   VARCHAR2(300);
  V_PRIV_SID                        T_ACM_PRIVILEGE.SID%TYPE;
  V_PGROUP_PRIV_SID                 T_ACM_PGROUP_PRIV.SID%TYPE;
begin
  V_OBJ_TYPE_CODE := 'FILE.IRMO';
  V_PRIV_SID := ACM_MDE3.Import_Privilege(P_PRIVILEGE_CODE => 'FILE.IRMO.CHANGE_UNIT_OWNER', P_PRIVILEGE_DISPLAY => 'Change Unit Ownership', P_PRIVILEGE_COMMENTS => null, P_PRIVILEGE_OBJ_TYPE_CODE => V_OBJ_TYPE_CODE);
  V_PGROUP_PRIV_SID := ACM_MDE3.ADD_PRIV_TO_PGROUP(V_PRIV_SID,'ALL_PRIVS');
exception
  when OTHERS then
    raise;
end;
/



set scan off
declare
  V_OBJ_TYPE_CODE                   VARCHAR2(300);
  V_PRIV_SID                        T_ACM_PRIVILEGE.SID%TYPE;
  V_PGROUP_PRIV_SID                 T_ACM_PGROUP_PRIV.SID%TYPE;
begin
  V_OBJ_TYPE_CODE := 'FILE.IRMO';
  V_PRIV_SID := ACM_MDE3.Import_Privilege(P_PRIVILEGE_CODE => 'FILE.IRMO.HQ_APPROVE', P_PRIVILEGE_DISPLAY => 'HQ Approval', P_PRIVILEGE_COMMENTS => null, P_PRIVILEGE_OBJ_TYPE_CODE => V_OBJ_TYPE_CODE);
  V_PGROUP_PRIV_SID := ACM_MDE3.ADD_PRIV_TO_PGROUP(V_PRIV_SID,'ALL_PRIVS');
exception
  when OTHERS then
    raise;
end;
/



set scan off
declare
  V_OBJ_TYPE_CODE                   VARCHAR2(300);
  V_PRIV_SID                        T_ACM_PRIVILEGE.SID%TYPE;
  V_PGROUP_PRIV_SID                 T_ACM_PGROUP_PRIV.SID%TYPE;
begin
  V_OBJ_TYPE_CODE := 'FILE.IRMO';
  V_PRIV_SID := ACM_MDE3.Import_Privilege(P_PRIVILEGE_CODE => 'FILE.IRMO.SAVE', P_PRIVILEGE_DISPLAY => 'Update an IRMO File', P_PRIVILEGE_COMMENTS => null, P_PRIVILEGE_OBJ_TYPE_CODE => V_OBJ_TYPE_CODE);
  V_PGROUP_PRIV_SID := ACM_MDE3.ADD_PRIV_TO_PGROUP(V_PRIV_SID,'ALL_PRIVS');
exception
  when OTHERS then
    raise;
end;
/






-------------------------------------------------------------------------------------------------------------------------------------------------

--FILE.IRMO Rules

set scan off
declare
  V_OBJ_TYPE_CODE                   VARCHAR2(300);
  V_RULE0_SID                       T_ACM_RULE.SID%TYPE; -- RULE CHOSEN FOR EXPORT
  V_RULE0_COMPONENT_SID             T_ACM_RULE.SID%TYPE; -- RULE CHOSEN FOR EXPORT
  V_RULES                           T_NUM_ARRAY := T_NUM_ARRAY(); -- 
  V_RULE_COMPONENTS                 T_NUM_ARRAY := T_NUM_ARRAY(); -- 
begin
V_OBJ_TYPE_CODE := 'FILE.IRMO';
V_RULES.EXTEND;
V_RULE0_SID:=ACM_MDE3.Import_Rule(P_OBJ_TYPE_CODE => V_OBJ_TYPE_CODE, 
            P_RULE_TYPE => 'PRE', 
            P_STATUS_CODE => null, 
            P_DISPLAY => 'Access File', 
            P_ACTIVE => 'Y', 
            P_SEQ => 1, 
            P_RULE_MIN => null, 
            P_RULE_MAX => null, 
            P_INITIATOR_EVAL => 'ALL', 
            P_CONDITION_EVAL => 'ALL', 
            P_PREREQUISITE_EVAL => 'ALL', 
            P_ACTION_PAGE => null, 
            P_EVENT_CODE => 'ACCESSED');
V_RULES(V_RULES.LAST) := V_RULE0_SID;
V_RULE_COMPONENTS.EXTEND;
V_RULE0_COMPONENT_SID:=ACM_MDE3.Import_Rule_Initiator(P_RULE_SID => V_RULE0_SID,
            P_INITIATOR_CODE => 'OBJ_RESTRICTION', 
            P_PRIVILEGE_CODE => null);
V_RULE_COMPONENTS(V_RULE_COMPONENTS.LAST) := V_RULE0_COMPONENT_SID;
ACM_MDE3.DELETE_RULE_COMPONENTS(P_RULE_SID => V_RULE0_SID, P_EXCEPT_FOR_THESE => V_RULE_COMPONENTS);
-------------------------------------------------------------------
exception
    when OTHERS then
        raise;
end;
/


set scan off
declare
  V_OBJ_TYPE_CODE                   VARCHAR2(300);
  V_RULE0_SID                       T_ACM_RULE.SID%TYPE; -- RULE CHOSEN FOR EXPORT
  V_RULE0_COMPONENT_SID             T_ACM_RULE.SID%TYPE; -- RULE CHOSEN FOR EXPORT
  V_RULES                           T_NUM_ARRAY := T_NUM_ARRAY(); -- 
  V_RULE_COMPONENTS                 T_NUM_ARRAY := T_NUM_ARRAY(); -- 
begin
V_OBJ_TYPE_CODE := 'FILE.IRMO';
V_RULES.EXTEND;
V_RULE0_SID:=ACM_MDE3.Import_Rule(P_OBJ_TYPE_CODE => V_OBJ_TYPE_CODE, 
            P_RULE_TYPE => 'PRE', 
            P_STATUS_CODE => null, 
            P_DISPLAY => 'Add Activity Association', 
            P_ACTIVE => 'Y', 
            P_SEQ => 1, 
            P_RULE_MIN => null, 
            P_RULE_MAX => null, 
            P_INITIATOR_EVAL => 'ANY', 
            P_CONDITION_EVAL => 'ALL', 
            P_PREREQUISITE_EVAL => 'ALL', 
            P_ACTION_PAGE => null, 
            P_EVENT_CODE => 'ACT_ASSOC_ADDED');
V_RULES(V_RULES.LAST) := V_RULE0_SID;
V_RULE_COMPONENTS.EXTEND;
V_RULE0_COMPONENT_SID:=ACM_MDE3.Import_Rule_Initiator(P_RULE_SID => V_RULE0_SID,
            P_INITIATOR_CODE => 'HAS_PRIV', 
            P_PRIVILEGE_CODE => 'FILE.IRMO.SAVE');
V_RULE_COMPONENTS(V_RULE_COMPONENTS.LAST) := V_RULE0_COMPONENT_SID;
V_RULE_COMPONENTS.EXTEND;
V_RULE0_COMPONENT_SID:=ACM_MDE3.Import_Rule_Initiator(P_RULE_SID => V_RULE0_SID,
            P_INITIATOR_CODE => 'IS_ASSIGNED_SUPPORT_UNIT', 
            P_PRIVILEGE_CODE => null);
V_RULE_COMPONENTS(V_RULE_COMPONENTS.LAST) := V_RULE0_COMPONENT_SID;
V_RULE_COMPONENTS.EXTEND;
V_RULE0_COMPONENT_SID:=ACM_MDE3.Import_Rule_Initiator(P_RULE_SID => V_RULE0_SID,
            P_INITIATOR_CODE => 'INDIV_STAKEHOLDER', 
            P_PRIVILEGE_CODE => null);
V_RULE_COMPONENTS(V_RULE_COMPONENTS.LAST) := V_RULE0_COMPONENT_SID;
V_RULE_COMPONENTS.EXTEND;
V_RULE0_COMPONENT_SID:=ACM_MDE3.Import_Rule_Initiator(P_RULE_SID => V_RULE0_SID,
            P_INITIATOR_CODE => 'IS_DEFAULT_DATA_GROUP', 
            P_PRIVILEGE_CODE => null);
V_RULE_COMPONENTS(V_RULE_COMPONENTS.LAST) := V_RULE0_COMPONENT_SID;
V_RULE_COMPONENTS.EXTEND;
V_RULE0_COMPONENT_SID:=ACM_MDE3.Import_Rule_Condition(P_RULE_SID => V_RULE0_SID,
            P_CONDITION_CODE => 'IS_NOT_CLOSED',
            P_REGION_ID => null);
V_RULE_COMPONENTS(V_RULE_COMPONENTS.LAST) := V_RULE0_COMPONENT_SID;
ACM_MDE3.DELETE_RULE_COMPONENTS(P_RULE_SID => V_RULE0_SID, P_EXCEPT_FOR_THESE => V_RULE_COMPONENTS);
-------------------------------------------------------------------
exception
    when OTHERS then
        raise;
end;
/



set scan off
declare
  V_OBJ_TYPE_CODE                   VARCHAR2(300);
  V_RULE0_SID                       T_ACM_RULE.SID%TYPE; -- RULE CHOSEN FOR EXPORT
  V_RULE0_COMPONENT_SID             T_ACM_RULE.SID%TYPE; -- RULE CHOSEN FOR EXPORT
  V_RULES                           T_NUM_ARRAY := T_NUM_ARRAY(); -- 
  V_RULE_COMPONENTS                 T_NUM_ARRAY := T_NUM_ARRAY(); -- 
begin
V_OBJ_TYPE_CODE := 'FILE.IRMO';
V_RULES.EXTEND;
V_RULE0_SID:=ACM_MDE3.Import_Rule(P_OBJ_TYPE_CODE => V_OBJ_TYPE_CODE, 
            P_RULE_TYPE => 'PRE', 
            P_STATUS_CODE => null, 
            P_DISPLAY => 'Delete Activity Association', 
            P_ACTIVE => 'Y', 
            P_SEQ => 1, 
            P_RULE_MIN => null, 
            P_RULE_MAX => null, 
            P_INITIATOR_EVAL => 'ALL', 
            P_CONDITION_EVAL => 'ALL', 
            P_PREREQUISITE_EVAL => 'ALL', 
            P_ACTION_PAGE => null, 
            P_EVENT_CODE => 'ACT_ASSOC_DELETED');
V_RULES(V_RULES.LAST) := V_RULE0_SID;
V_RULE_COMPONENTS.EXTEND;
V_RULE0_COMPONENT_SID:=ACM_MDE3.Import_Rule_Initiator(P_RULE_SID => V_RULE0_SID,
            P_INITIATOR_CODE => 'IS_DEFAULT_DATA_GROUP', 
            P_PRIVILEGE_CODE => null);
V_RULE_COMPONENTS(V_RULE_COMPONENTS.LAST) := V_RULE0_COMPONENT_SID;
V_RULE_COMPONENTS.EXTEND;
V_RULE0_COMPONENT_SID:=ACM_MDE3.Import_Rule_Initiator(P_RULE_SID => V_RULE0_SID,
            P_INITIATOR_CODE => 'HAS_PRIV', 
            P_PRIVILEGE_CODE => 'FILE.IRMO.SAVE');
V_RULE_COMPONENTS(V_RULE_COMPONENTS.LAST) := V_RULE0_COMPONENT_SID;
V_RULE_COMPONENTS.EXTEND;
V_RULE0_COMPONENT_SID:=ACM_MDE3.Import_Rule_Condition(P_RULE_SID => V_RULE0_SID,
            P_CONDITION_CODE => 'IS_NOT_CLOSED',
            P_REGION_ID => null);
V_RULE_COMPONENTS(V_RULE_COMPONENTS.LAST) := V_RULE0_COMPONENT_SID;
ACM_MDE3.DELETE_RULE_COMPONENTS(P_RULE_SID => V_RULE0_SID, P_EXCEPT_FOR_THESE => V_RULE_COMPONENTS);
-------------------------------------------------------------------
exception
    when OTHERS then
        raise;
end;
/



set scan off
declare
  V_OBJ_TYPE_CODE                   VARCHAR2(300);
  V_RULE0_SID                       T_ACM_RULE.SID%TYPE; -- RULE CHOSEN FOR EXPORT
  V_RULE0_COMPONENT_SID             T_ACM_RULE.SID%TYPE; -- RULE CHOSEN FOR EXPORT
  V_RULES                           T_NUM_ARRAY := T_NUM_ARRAY(); -- 
  V_RULE_COMPONENTS                 T_NUM_ARRAY := T_NUM_ARRAY(); -- 
begin
V_OBJ_TYPE_CODE := 'FILE.IRMO';
V_RULES.EXTEND;
V_RULE0_SID:=ACM_MDE3.Import_Rule(P_OBJ_TYPE_CODE => V_OBJ_TYPE_CODE, 
            P_RULE_TYPE => 'PRE', 
            P_STATUS_CODE => null, 
            P_DISPLAY => 'Add Restriction', 
            P_ACTIVE => 'Y', 
            P_SEQ => 1, 
            P_RULE_MIN => null, 
            P_RULE_MAX => null, 
            P_INITIATOR_EVAL => 'ALL', 
            P_CONDITION_EVAL => 'ALL', 
            P_PREREQUISITE_EVAL => 'ALL', 
            P_ACTION_PAGE => null, 
            P_EVENT_CODE => 'ADDED_RESTRICTION');
V_RULES(V_RULES.LAST) := V_RULE0_SID;
V_RULE_COMPONENTS.EXTEND;
V_RULE0_COMPONENT_SID:=ACM_MDE3.Import_Rule_Initiator(P_RULE_SID => V_RULE0_SID,
            P_INITIATOR_CODE => 'HAS_PRIV', 
            P_PRIVILEGE_CODE => 'FILE.IRMO.ADD_RESTRICTION');
V_RULE_COMPONENTS(V_RULE_COMPONENTS.LAST) := V_RULE0_COMPONENT_SID;
V_RULE_COMPONENTS.EXTEND;
V_RULE0_COMPONENT_SID:=ACM_MDE3.Import_Rule_Initiator(P_RULE_SID => V_RULE0_SID,
            P_INITIATOR_CODE => 'IS_DEFAULT_DATA_GROUP', 
            P_PRIVILEGE_CODE => null);
V_RULE_COMPONENTS(V_RULE_COMPONENTS.LAST) := V_RULE0_COMPONENT_SID;
ACM_MDE3.DELETE_RULE_COMPONENTS(P_RULE_SID => V_RULE0_SID, P_EXCEPT_FOR_THESE => V_RULE_COMPONENTS);
-------------------------------------------------------------------
exception
    when OTHERS then
        raise;
end;
/


set scan off
declare
  V_OBJ_TYPE_CODE                   VARCHAR2(300);
  V_RULE0_SID                       T_ACM_RULE.SID%TYPE; -- RULE CHOSEN FOR EXPORT
  V_RULE0_COMPONENT_SID             T_ACM_RULE.SID%TYPE; -- RULE CHOSEN FOR EXPORT
  V_RULES                           T_NUM_ARRAY := T_NUM_ARRAY(); -- 
  V_RULE_COMPONENTS                 T_NUM_ARRAY := T_NUM_ARRAY(); -- 
begin
V_OBJ_TYPE_CODE := 'FILE.IRMO';
V_RULES.EXTEND;
V_RULE0_SID:=ACM_MDE3.Import_Rule(P_OBJ_TYPE_CODE => V_OBJ_TYPE_CODE, 
            P_RULE_TYPE => 'PRE', 
            P_STATUS_CODE => null, 
            P_DISPLAY => 'Check add allegation', 
            P_ACTIVE => 'Y', 
            P_SEQ => 1, 
            P_RULE_MIN => null, 
            P_RULE_MAX => null, 
            P_INITIATOR_EVAL => 'ALL', 
            P_CONDITION_EVAL => 'ALL', 
            P_PREREQUISITE_EVAL => 'ALL', 
            P_ACTION_PAGE => null, 
            P_EVENT_CODE => 'ALLEGATION_ADDED');
V_RULES(V_RULES.LAST) := V_RULE0_SID;
V_RULE_COMPONENTS.EXTEND;
V_RULE0_COMPONENT_SID:=ACM_MDE3.Import_Rule_Initiator(P_RULE_SID => V_RULE0_SID,
            P_INITIATOR_CODE => 'HAS_PRIV', 
            P_PRIVILEGE_CODE => 'FILE.IRMO.SAVE');
V_RULE_COMPONENTS(V_RULE_COMPONENTS.LAST) := V_RULE0_COMPONENT_SID;
V_RULE_COMPONENTS.EXTEND;
V_RULE0_COMPONENT_SID:=ACM_MDE3.Import_Rule_Initiator(P_RULE_SID => V_RULE0_SID,
            P_INITIATOR_CODE => 'IS_DEFAULT_DATA_GROUP', 
            P_PRIVILEGE_CODE => null);
V_RULE_COMPONENTS(V_RULE_COMPONENTS.LAST) := V_RULE0_COMPONENT_SID;
V_RULE_COMPONENTS.EXTEND;
V_RULE0_COMPONENT_SID:=ACM_MDE3.Import_Rule_Condition(P_RULE_SID => V_RULE0_SID,
            P_CONDITION_CODE => 'IS_NOT_CLOSED',
            P_REGION_ID => null);
V_RULE_COMPONENTS(V_RULE_COMPONENTS.LAST) := V_RULE0_COMPONENT_SID;
ACM_MDE3.DELETE_RULE_COMPONENTS(P_RULE_SID => V_RULE0_SID, P_EXCEPT_FOR_THESE => V_RULE_COMPONENTS);
-------------------------------------------------------------------
exception
    when OTHERS then
        raise;
end;
/


set scan off
declare
  V_OBJ_TYPE_CODE                   VARCHAR2(300);
  V_RULE0_SID                       T_ACM_RULE.SID%TYPE; -- RULE CHOSEN FOR EXPORT
  V_RULE0_COMPONENT_SID             T_ACM_RULE.SID%TYPE; -- RULE CHOSEN FOR EXPORT
  V_RULES                           T_NUM_ARRAY := T_NUM_ARRAY(); -- 
  V_RULE_COMPONENTS                 T_NUM_ARRAY := T_NUM_ARRAY(); -- 
begin
V_OBJ_TYPE_CODE := 'FILE.IRMO';
V_RULES.EXTEND;
V_RULE0_SID:=ACM_MDE3.Import_Rule(P_OBJ_TYPE_CODE => V_OBJ_TYPE_CODE, 
            P_RULE_TYPE => 'PRE', 
            P_STATUS_CODE => null, 
            P_DISPLAY => 'Delete Allegation', 
            P_ACTIVE => 'Y', 
            P_SEQ => 1, 
            P_RULE_MIN => null, 
            P_RULE_MAX => null, 
            P_INITIATOR_EVAL => 'ALL', 
            P_CONDITION_EVAL => 'ALL', 
            P_PREREQUISITE_EVAL => 'ALL', 
            P_ACTION_PAGE => null, 
            P_EVENT_CODE => 'ALLEGATION_DELETED');
V_RULES(V_RULES.LAST) := V_RULE0_SID;
V_RULE_COMPONENTS.EXTEND;
V_RULE0_COMPONENT_SID:=ACM_MDE3.Import_Rule_Initiator(P_RULE_SID => V_RULE0_SID,
            P_INITIATOR_CODE => 'HAS_PRIV', 
            P_PRIVILEGE_CODE => 'FILE.IRMO.SAVE');
V_RULE_COMPONENTS(V_RULE_COMPONENTS.LAST) := V_RULE0_COMPONENT_SID;
V_RULE_COMPONENTS.EXTEND;
V_RULE0_COMPONENT_SID:=ACM_MDE3.Import_Rule_Initiator(P_RULE_SID => V_RULE0_SID,
            P_INITIATOR_CODE => 'IS_DEFAULT_DATA_GROUP', 
            P_PRIVILEGE_CODE => null);
V_RULE_COMPONENTS(V_RULE_COMPONENTS.LAST) := V_RULE0_COMPONENT_SID;
V_RULE_COMPONENTS.EXTEND;
V_RULE0_COMPONENT_SID:=ACM_MDE3.Import_Rule_Condition(P_RULE_SID => V_RULE0_SID,
            P_CONDITION_CODE => 'IS_NOT_CLOSED',
            P_REGION_ID => null);
V_RULE_COMPONENTS(V_RULE_COMPONENTS.LAST) := V_RULE0_COMPONENT_SID;
ACM_MDE3.DELETE_RULE_COMPONENTS(P_RULE_SID => V_RULE0_SID, P_EXCEPT_FOR_THESE => V_RULE_COMPONENTS);
-------------------------------------------------------------------
exception
    when OTHERS then
        raise;
end;
/



set scan off
declare
  V_OBJ_TYPE_CODE                   VARCHAR2(300);
  V_RULE0_SID                       T_ACM_RULE.SID%TYPE; -- RULE CHOSEN FOR EXPORT
  V_RULE0_COMPONENT_SID             T_ACM_RULE.SID%TYPE; -- RULE CHOSEN FOR EXPORT
  V_RULES                           T_NUM_ARRAY := T_NUM_ARRAY(); -- 
  V_RULE_COMPONENTS                 T_NUM_ARRAY := T_NUM_ARRAY(); -- 
begin
V_OBJ_TYPE_CODE := 'FILE.IRMO';
V_RULES.EXTEND;
V_RULE0_SID:=ACM_MDE3.Import_Rule(P_OBJ_TYPE_CODE => V_OBJ_TYPE_CODE, 
            P_RULE_TYPE => 'PRE', 
            P_STATUS_CODE => null, 
            P_DISPLAY => 'Edit Allegation', 
            P_ACTIVE => 'Y', 
            P_SEQ => 1, 
            P_RULE_MIN => null, 
            P_RULE_MAX => null, 
            P_INITIATOR_EVAL => 'ALL', 
            P_CONDITION_EVAL => 'ALL', 
            P_PREREQUISITE_EVAL => 'ALL', 
            P_ACTION_PAGE => null, 
            P_EVENT_CODE => 'ALLEGATION_EDITED');
V_RULES(V_RULES.LAST) := V_RULE0_SID;
V_RULE_COMPONENTS.EXTEND;
V_RULE0_COMPONENT_SID:=ACM_MDE3.Import_Rule_Initiator(P_RULE_SID => V_RULE0_SID,
            P_INITIATOR_CODE => 'HAS_PRIV', 
            P_PRIVILEGE_CODE => 'FILE.IRMO.SAVE');
V_RULE_COMPONENTS(V_RULE_COMPONENTS.LAST) := V_RULE0_COMPONENT_SID;
V_RULE_COMPONENTS.EXTEND;
V_RULE0_COMPONENT_SID:=ACM_MDE3.Import_Rule_Initiator(P_RULE_SID => V_RULE0_SID,
            P_INITIATOR_CODE => 'IS_DEFAULT_DATA_GROUP', 
            P_PRIVILEGE_CODE => null);
V_RULE_COMPONENTS(V_RULE_COMPONENTS.LAST) := V_RULE0_COMPONENT_SID;
V_RULE_COMPONENTS.EXTEND;
V_RULE0_COMPONENT_SID:=ACM_MDE3.Import_Rule_Condition(P_RULE_SID => V_RULE0_SID,
            P_CONDITION_CODE => 'IS_NOT_CLOSED',
            P_REGION_ID => null);
V_RULE_COMPONENTS(V_RULE_COMPONENTS.LAST) := V_RULE0_COMPONENT_SID;
ACM_MDE3.DELETE_RULE_COMPONENTS(P_RULE_SID => V_RULE0_SID, P_EXCEPT_FOR_THESE => V_RULE_COMPONENTS);
-------------------------------------------------------------------
exception
    when OTHERS then
        raise;
end;
/


set scan off
declare
  V_OBJ_TYPE_CODE                   VARCHAR2(300);
  V_RULE0_SID                       T_ACM_RULE.SID%TYPE; -- RULE CHOSEN FOR EXPORT
  V_RULE0_COMPONENT_SID             T_ACM_RULE.SID%TYPE; -- RULE CHOSEN FOR EXPORT
  V_RULES                           T_NUM_ARRAY := T_NUM_ARRAY(); -- 
  V_RULE_COMPONENTS                 T_NUM_ARRAY := T_NUM_ARRAY(); -- 
begin
V_OBJ_TYPE_CODE := 'FILE.IRMO';
V_RULES.EXTEND;
V_RULE0_SID:=ACM_MDE3.Import_Rule(P_OBJ_TYPE_CODE => V_OBJ_TYPE_CODE, 
            P_RULE_TYPE => 'PRE', 
            P_STATUS_CODE => null, 
            P_DISPLAY => 'Create Attachment', 
            P_ACTIVE => 'Y', 
            P_SEQ => 1, 
            P_RULE_MIN => null, 
            P_RULE_MAX => null, 
            P_INITIATOR_EVAL => 'ALL', 
            P_CONDITION_EVAL => 'ALL', 
            P_PREREQUISITE_EVAL => 'ALL', 
            P_ACTION_PAGE => null, 
            P_EVENT_CODE => 'ATTCH_CREATED');
V_RULES(V_RULES.LAST) := V_RULE0_SID;
V_RULE_COMPONENTS.EXTEND;
V_RULE0_COMPONENT_SID:=ACM_MDE3.Import_Rule_Initiator(P_RULE_SID => V_RULE0_SID,
            P_INITIATOR_CODE => 'HAS_PRIV', 
            P_PRIVILEGE_CODE => 'FILE.IRMO.SAVE');
V_RULE_COMPONENTS(V_RULE_COMPONENTS.LAST) := V_RULE0_COMPONENT_SID;
V_RULE_COMPONENTS.EXTEND;
V_RULE0_COMPONENT_SID:=ACM_MDE3.Import_Rule_Initiator(P_RULE_SID => V_RULE0_SID,
            P_INITIATOR_CODE => 'IS_DEFAULT_DATA_GROUP', 
            P_PRIVILEGE_CODE => null);
V_RULE_COMPONENTS(V_RULE_COMPONENTS.LAST) := V_RULE0_COMPONENT_SID;
ACM_MDE3.DELETE_RULE_COMPONENTS(P_RULE_SID => V_RULE0_SID, P_EXCEPT_FOR_THESE => V_RULE_COMPONENTS);
-------------------------------------------------------------------
exception
    when OTHERS then
        raise;
end;
/




set scan off
declare
  V_OBJ_TYPE_CODE                   VARCHAR2(300);
  V_RULE0_SID                       T_ACM_RULE.SID%TYPE; -- RULE CHOSEN FOR EXPORT
  V_RULE0_COMPONENT_SID             T_ACM_RULE.SID%TYPE; -- RULE CHOSEN FOR EXPORT
  V_RULES                           T_NUM_ARRAY := T_NUM_ARRAY(); -- 
  V_RULE_COMPONENTS                 T_NUM_ARRAY := T_NUM_ARRAY(); -- 
begin
V_OBJ_TYPE_CODE := 'FILE.IRMO';
V_RULES.EXTEND;
V_RULE0_SID:=ACM_MDE3.Import_Rule(P_OBJ_TYPE_CODE => V_OBJ_TYPE_CODE, 
            P_RULE_TYPE => 'PRE', 
            P_STATUS_CODE => null, 
            P_DISPLAY => 'Delete Attachment', 
            P_ACTIVE => 'Y', 
            P_SEQ => 1, 
            P_RULE_MIN => null, 
            P_RULE_MAX => null, 
            P_INITIATOR_EVAL => 'ALL', 
            P_CONDITION_EVAL => 'ALL', 
            P_PREREQUISITE_EVAL => 'ALL', 
            P_ACTION_PAGE => null, 
            P_EVENT_CODE => 'ATTACH_DELETED');
V_RULES(V_RULES.LAST) := V_RULE0_SID;
V_RULE_COMPONENTS.EXTEND;
V_RULE0_COMPONENT_SID:=ACM_MDE3.Import_Rule_Initiator(P_RULE_SID => V_RULE0_SID,
            P_INITIATOR_CODE => 'IS_DEFAULT_DATA_GROUP', 
            P_PRIVILEGE_CODE => null);
V_RULE_COMPONENTS(V_RULE_COMPONENTS.LAST) := V_RULE0_COMPONENT_SID;
V_RULE_COMPONENTS.EXTEND;
V_RULE0_COMPONENT_SID:=ACM_MDE3.Import_Rule_Initiator(P_RULE_SID => V_RULE0_SID,
            P_INITIATOR_CODE => 'HAS_PRIV', 
            P_PRIVILEGE_CODE => 'FILE.IRMO.SAVE');
V_RULE_COMPONENTS(V_RULE_COMPONENTS.LAST) := V_RULE0_COMPONENT_SID;
V_RULE_COMPONENTS.EXTEND;
V_RULE0_COMPONENT_SID:=ACM_MDE3.Import_Rule_Condition(P_RULE_SID => V_RULE0_SID,
            P_CONDITION_CODE => 'IS_NOT_CLOSED',
            P_REGION_ID => null);
V_RULE_COMPONENTS(V_RULE_COMPONENTS.LAST) := V_RULE0_COMPONENT_SID;
ACM_MDE3.DELETE_RULE_COMPONENTS(P_RULE_SID => V_RULE0_SID, P_EXCEPT_FOR_THESE => V_RULE_COMPONENTS);
-------------------------------------------------------------------
exception
    when OTHERS then
        raise;
end;
/



set scan off
declare
  V_OBJ_TYPE_CODE                   VARCHAR2(300);
  V_RULE0_SID                       T_ACM_RULE.SID%TYPE; -- RULE CHOSEN FOR EXPORT
  V_RULE0_COMPONENT_SID             T_ACM_RULE.SID%TYPE; -- RULE CHOSEN FOR EXPORT
  V_RULES                           T_NUM_ARRAY := T_NUM_ARRAY(); -- 
  V_RULE_COMPONENTS                 T_NUM_ARRAY := T_NUM_ARRAY(); -- 
begin
V_OBJ_TYPE_CODE := 'FILE.IRMO';
V_RULES.EXTEND;
V_RULE0_SID:=ACM_MDE3.Import_Rule(P_OBJ_TYPE_CODE => V_OBJ_TYPE_CODE, 
            P_RULE_TYPE => 'PRE', 
            P_STATUS_CODE => null, 
            P_DISPLAY => 'Download Attachment', 
            P_ACTIVE => 'Y', 
            P_SEQ => 1, 
            P_RULE_MIN => null, 
            P_RULE_MAX => null, 
            P_INITIATOR_EVAL => 'ALL', 
            P_CONDITION_EVAL => 'ALL', 
            P_PREREQUISITE_EVAL => 'ALL', 
            P_ACTION_PAGE => null, 
            P_EVENT_CODE => 'ATTACH_DOWNLOADED');
V_RULES(V_RULES.LAST) := V_RULE0_SID;
V_RULE_COMPONENTS.EXTEND;
V_RULE0_COMPONENT_SID:=ACM_MDE3.Import_Rule_Initiator(P_RULE_SID => V_RULE0_SID,
            P_INITIATOR_CODE => 'HAS_PRIV', 
            P_PRIVILEGE_CODE => 'FILE.IRMO.DOWNLOAD_ATTACH');
V_RULE_COMPONENTS(V_RULE_COMPONENTS.LAST) := V_RULE0_COMPONENT_SID;
ACM_MDE3.DELETE_RULE_COMPONENTS(P_RULE_SID => V_RULE0_SID, P_EXCEPT_FOR_THESE => V_RULE_COMPONENTS);
-------------------------------------------------------------------
exception
    when OTHERS then
        raise;
end;
/




set scan off
declare
  V_OBJ_TYPE_CODE                   VARCHAR2(300);
  V_RULE0_SID                       T_ACM_RULE.SID%TYPE; -- RULE CHOSEN FOR EXPORT
  V_RULE0_COMPONENT_SID             T_ACM_RULE.SID%TYPE; -- RULE CHOSEN FOR EXPORT
  V_RULES                           T_NUM_ARRAY := T_NUM_ARRAY(); -- 
  V_RULE_COMPONENTS                 T_NUM_ARRAY := T_NUM_ARRAY(); -- 
begin
V_OBJ_TYPE_CODE := 'FILE.IRMO';
V_RULES.EXTEND;
V_RULE0_SID:=ACM_MDE3.Import_Rule(P_OBJ_TYPE_CODE => V_OBJ_TYPE_CODE, 
            P_RULE_TYPE => 'PRE', 
            P_STATUS_CODE => null, 
            P_DISPLAY => 'Edit Attachment', 
            P_ACTIVE => 'Y', 
            P_SEQ => 1, 
            P_RULE_MIN => null, 
            P_RULE_MAX => null, 
            P_INITIATOR_EVAL => 'ALL', 
            P_CONDITION_EVAL => 'ALL', 
            P_PREREQUISITE_EVAL => 'ALL', 
            P_ACTION_PAGE => null, 
            P_EVENT_CODE => 'ATTACH_EDITED');
V_RULES(V_RULES.LAST) := V_RULE0_SID;
V_RULE_COMPONENTS.EXTEND;
V_RULE0_COMPONENT_SID:=ACM_MDE3.Import_Rule_Initiator(P_RULE_SID => V_RULE0_SID,
            P_INITIATOR_CODE => 'HAS_PRIV', 
            P_PRIVILEGE_CODE => 'FILE.IRMO.SAVE');
V_RULE_COMPONENTS(V_RULE_COMPONENTS.LAST) := V_RULE0_COMPONENT_SID;
V_RULE_COMPONENTS.EXTEND;
V_RULE0_COMPONENT_SID:=ACM_MDE3.Import_Rule_Initiator(P_RULE_SID => V_RULE0_SID,
            P_INITIATOR_CODE => 'IS_DEFAULT_DATA_GROUP', 
            P_PRIVILEGE_CODE => null);
V_RULE_COMPONENTS(V_RULE_COMPONENTS.LAST) := V_RULE0_COMPONENT_SID;
V_RULE_COMPONENTS.EXTEND;
V_RULE0_COMPONENT_SID:=ACM_MDE3.Import_Rule_Condition(P_RULE_SID => V_RULE0_SID,
            P_CONDITION_CODE => 'IS_NOT_CLOSED',
            P_REGION_ID => null);
V_RULE_COMPONENTS(V_RULE_COMPONENTS.LAST) := V_RULE0_COMPONENT_SID;
ACM_MDE3.DELETE_RULE_COMPONENTS(P_RULE_SID => V_RULE0_SID, P_EXCEPT_FOR_THESE => V_RULE_COMPONENTS);
-------------------------------------------------------------------
exception
    when OTHERS then
        raise;
end;
/



set scan off
declare
  V_OBJ_TYPE_CODE                   VARCHAR2(300);
  V_RULE0_SID                       T_ACM_RULE.SID%TYPE; -- RULE CHOSEN FOR EXPORT
  V_RULE0_COMPONENT_SID             T_ACM_RULE.SID%TYPE; -- RULE CHOSEN FOR EXPORT
  V_RULES                           T_NUM_ARRAY := T_NUM_ARRAY(); -- 
  V_RULE_COMPONENTS                 T_NUM_ARRAY := T_NUM_ARRAY(); -- 
begin
V_OBJ_TYPE_CODE := 'FILE.IRMO';
V_RULES.EXTEND;
V_RULE0_SID:=ACM_MDE3.Import_Rule(P_OBJ_TYPE_CODE => V_OBJ_TYPE_CODE, 
            P_RULE_TYPE => 'PRE', 
            P_STATUS_CODE => 'AWAIT_LEAD_REACT', 
            P_DISPLAY => 'Close File', 
            P_ACTIVE => 'Y', 
            P_SEQ => 1, 
            P_RULE_MIN => null, 
            P_RULE_MAX => null, 
            P_INITIATOR_EVAL => 'ALL', 
            P_CONDITION_EVAL => 'ALL', 
            P_PREREQUISITE_EVAL => 'ALL', 
            P_ACTION_PAGE => null, 
            P_EVENT_CODE => 'CLOSED');
V_RULES(V_RULES.LAST) := V_RULE0_SID;
V_RULE_COMPONENTS.EXTEND;
V_RULE0_COMPONENT_SID:=ACM_MDE3.Import_Rule_Initiator(P_RULE_SID => V_RULE0_SID,
            P_INITIATOR_CODE => 'LEAD', 
            P_PRIVILEGE_CODE => null);
V_RULE_COMPONENTS(V_RULE_COMPONENTS.LAST) := V_RULE0_COMPONENT_SID;
V_RULE_COMPONENTS.EXTEND;
V_RULE0_COMPONENT_SID:=ACM_MDE3.Import_Rule_Initiator(P_RULE_SID => V_RULE0_SID,
            P_INITIATOR_CODE => 'IS_DEFAULT_DATA_GROUP', 
            P_PRIVILEGE_CODE => null);
V_RULE_COMPONENTS(V_RULE_COMPONENTS.LAST) := V_RULE0_COMPONENT_SID;
V_RULE_COMPONENTS.EXTEND;
V_RULE0_COMPONENT_SID:=ACM_MDE3.Import_Rule_Condition(P_RULE_SID => V_RULE0_SID,
            P_CONDITION_CODE => 'IS_NOT_CLOSED',
            P_REGION_ID => null);
V_RULE_COMPONENTS(V_RULE_COMPONENTS.LAST) := V_RULE0_COMPONENT_SID;
V_RULE_COMPONENTS.EXTEND;
V_RULE0_COMPONENT_SID:=ACM_MDE3.Import_Rule_Condition(P_RULE_SID => V_RULE0_SID,
            P_CONDITION_CODE => 'HAS_PI_WITH_HQ_FINAL_REC',
            P_REGION_ID => 'R2180_ASSOC_FILES');
V_RULE_COMPONENTS(V_RULE_COMPONENTS.LAST) := V_RULE0_COMPONENT_SID;
V_RULE_COMPONENTS.EXTEND;
V_RULE0_COMPONENT_SID:=ACM_MDE3.Import_Rule_Condition(P_RULE_SID => V_RULE0_SID,
            P_CONDITION_CODE => 'HAS_FI_WITH_HQ_FINAL_REC',
            P_REGION_ID => 'R2180_ASSOC_FILES');
V_RULE_COMPONENTS(V_RULE_COMPONENTS.LAST) := V_RULE0_COMPONENT_SID;
V_RULE_COMPONENTS.EXTEND;
V_RULE0_COMPONENT_SID:=ACM_MDE3.Import_Rule_Condition(P_RULE_SID => V_RULE0_SID,
            P_CONDITION_CODE => 'HAS_IRR_W_HQ_FINAL_REC',
            P_REGION_ID => 'R2180_FOLLOWUP');
V_RULE_COMPONENTS(V_RULE_COMPONENTS.LAST) := V_RULE0_COMPONENT_SID;
V_RULE_COMPONENTS.EXTEND;
V_RULE0_COMPONENT_SID:=ACM_MDE3.Import_Rule_Condition(P_RULE_SID => V_RULE0_SID,
            P_CONDITION_CODE => 'HAS_RETENTION',
            P_REGION_ID => 'R2180_OBJ_RETENTION');
V_RULE_COMPONENTS(V_RULE_COMPONENTS.LAST) := V_RULE0_COMPONENT_SID;
ACM_MDE3.DELETE_RULE_COMPONENTS(P_RULE_SID => V_RULE0_SID, P_EXCEPT_FOR_THESE => V_RULE_COMPONENTS);
-------------------------------------------------------------------
exception
    when OTHERS then
        raise;
end;
/



set scan off
declare
  V_OBJ_TYPE_CODE                   VARCHAR2(300);
  V_RULE0_SID                       T_ACM_RULE.SID%TYPE; -- RULE CHOSEN FOR EXPORT
  V_RULE0_COMPONENT_SID             T_ACM_RULE.SID%TYPE; -- RULE CHOSEN FOR EXPORT
  V_RULES                           T_NUM_ARRAY := T_NUM_ARRAY(); -- 
  V_RULE_COMPONENTS                 T_NUM_ARRAY := T_NUM_ARRAY(); -- 
begin
V_OBJ_TYPE_CODE := 'FILE.IRMO';
V_RULES.EXTEND;
V_RULE0_SID:=ACM_MDE3.Import_Rule(P_OBJ_TYPE_CODE => V_OBJ_TYPE_CODE, 
            P_RULE_TYPE => 'POST', 
            P_STATUS_CODE => 'AWAIT_LEAD_REACT', 
            P_DISPLAY => 'Close File', 
            P_ACTIVE => 'Y', 
            P_SEQ => 1, 
            P_RULE_MIN => null, 
            P_RULE_MAX => null, 
            P_INITIATOR_EVAL => 'ALL', 
            P_CONDITION_EVAL => 'ALL',  
            P_PREREQUISITE_EVAL => 'ALL', 
            P_ACTION_PAGE => 20, 
            P_EVENT_CODE => 'CLOSED');
V_RULES(V_RULES.LAST) := V_RULE0_SID;
V_RULE_COMPONENTS.EXTEND;
V_RULE0_COMPONENT_SID:=ACM_MDE3.Import_Rule_Process(P_RULE_SID => V_RULE0_SID,
            P_PROCESS_CODE => 'CHANGE_STATUS',
            P_SEQ => 1, 
            P_STATUS_CODE => 'CLOSED', 
            P_NOTIF_TYPE_CODE => null);
V_RULE_COMPONENTS(V_RULE_COMPONENTS.LAST) := V_RULE0_COMPONENT_SID;
V_RULE_COMPONENTS.EXTEND;
V_RULE0_COMPONENT_SID:=ACM_MDE3.Import_Rule_Process(P_RULE_SID => V_RULE0_SID,
            P_PROCESS_CODE => 'SET_NEXT_DUE_DATE',
            P_SEQ => 2, 
            P_STATUS_CODE => null, 
            P_NOTIF_TYPE_CODE => null);
V_RULE_COMPONENTS(V_RULE_COMPONENTS.LAST) := V_RULE0_COMPONENT_SID;
ACM_MDE3.DELETE_RULE_COMPONENTS(P_RULE_SID => V_RULE0_SID, P_EXCEPT_FOR_THESE => V_RULE_COMPONENTS);
-------------------------------------------------------------------
exception
    when OTHERS then
        raise;
end;
/



 set scan off
declare
  V_OBJ_TYPE_CODE                   VARCHAR2(300);
  V_RULE0_SID                       T_ACM_RULE.SID%TYPE; -- RULE CHOSEN FOR EXPORT
  V_RULE0_COMPONENT_SID             T_ACM_RULE.SID%TYPE; -- RULE CHOSEN FOR EXPORT
  V_RULES                           T_NUM_ARRAY := T_NUM_ARRAY(); -- 
  V_RULE_COMPONENTS                 T_NUM_ARRAY := T_NUM_ARRAY(); -- 
begin
V_OBJ_TYPE_CODE := 'FILE.IRMO';
V_RULES.EXTEND;
V_RULE0_SID:=ACM_MDE3.Import_Rule(P_OBJ_TYPE_CODE => V_OBJ_TYPE_CODE, 
            P_RULE_TYPE => 'PRE', 
            P_STATUS_CODE => null, 
            P_DISPLAY => 'Create File', 
            P_ACTIVE => 'Y', 
            P_SEQ => 1, 
            P_RULE_MIN => null, 
            P_RULE_MAX => null, 
            P_INITIATOR_EVAL => 'ALL', 
            P_CONDITION_EVAL => 'ALL', 
            P_PREREQUISITE_EVAL => 'ALL', 
            P_ACTION_PAGE => null, 
            P_EVENT_CODE => 'CREATED');
V_RULES(V_RULES.LAST) := V_RULE0_SID;
V_RULE_COMPONENTS.EXTEND;
V_RULE0_COMPONENT_SID:=ACM_MDE3.Import_Rule_Initiator(P_RULE_SID => V_RULE0_SID,
            P_INITIATOR_CODE => 'HAS_PRIV', 
            P_PRIVILEGE_CODE => 'FILE.IRMO.CREATE');
V_RULE_COMPONENTS(V_RULE_COMPONENTS.LAST) := V_RULE0_COMPONENT_SID;
ACM_MDE3.DELETE_RULE_COMPONENTS(P_RULE_SID => V_RULE0_SID, P_EXCEPT_FOR_THESE => V_RULE_COMPONENTS);
-------------------------------------------------------------------
exception
    when OTHERS then
        raise;
end;
/



set scan off
declare
  V_OBJ_TYPE_CODE                   VARCHAR2(300);
  V_RULE0_SID                       T_ACM_RULE.SID%TYPE; -- RULE CHOSEN FOR EXPORT
  V_RULE0_COMPONENT_SID             T_ACM_RULE.SID%TYPE; -- RULE CHOSEN FOR EXPORT
  V_RULES                           T_NUM_ARRAY := T_NUM_ARRAY(); -- 
  V_RULE_COMPONENTS                 T_NUM_ARRAY := T_NUM_ARRAY(); -- 
begin
V_OBJ_TYPE_CODE := 'FILE.IRMO';
V_RULES.EXTEND;
V_RULE0_SID:=ACM_MDE3.Import_Rule(P_OBJ_TYPE_CODE => V_OBJ_TYPE_CODE, 
            P_RULE_TYPE => 'POST', 
            P_STATUS_CODE => null, 
            P_DISPLAY => 'Create File', 
            P_ACTIVE => 'Y', 
            P_SEQ => 1, 
            P_RULE_MIN => null, 
            P_RULE_MAX => null, 
            P_INITIATOR_EVAL => 'ALL', 
            P_CONDITION_EVAL => 'ALL', 
            P_PREREQUISITE_EVAL => 'ALL', 
            P_ACTION_PAGE => null, 
            P_EVENT_CODE => 'CREATED');
V_RULES(V_RULES.LAST) := V_RULE0_SID;
V_RULE_COMPONENTS.EXTEND;
V_RULE0_COMPONENT_SID:=ACM_MDE3.Import_Rule_Process(P_RULE_SID => V_RULE0_SID,
            P_PROCESS_CODE => 'RECENT_ADD',
            P_SEQ => 1, 
            P_STATUS_CODE => null, 
            P_NOTIF_TYPE_CODE => null);
V_RULE_COMPONENTS(V_RULE_COMPONENTS.LAST) := V_RULE0_COMPONENT_SID;
V_RULE_COMPONENTS.EXTEND;
V_RULE0_COMPONENT_SID:=ACM_MDE3.Import_Rule_Process(P_RULE_SID => V_RULE0_SID,
            P_PROCESS_CODE => 'CREATE_STAKEHOLDERS',
            P_SEQ => 3, 
            P_STATUS_CODE => null, 
            P_NOTIF_TYPE_CODE => null);
V_RULE_COMPONENTS(V_RULE_COMPONENTS.LAST) := V_RULE0_COMPONENT_SID;
V_RULE_COMPONENTS.EXTEND;
V_RULE0_COMPONENT_SID:=ACM_MDE3.Import_Rule_Process(P_RULE_SID => V_RULE0_SID,
            P_PROCESS_CODE => 'CHANGE_STATUS',
            P_SEQ => 4, 
            P_STATUS_CODE => 'NEW', 
            P_NOTIF_TYPE_CODE => null);
V_RULE_COMPONENTS(V_RULE_COMPONENTS.LAST) := V_RULE0_COMPONENT_SID;
V_RULE_COMPONENTS.EXTEND;
V_RULE0_COMPONENT_SID:=ACM_MDE3.Import_Rule_Process(P_RULE_SID => V_RULE0_SID,
            P_PROCESS_CODE => 'SET_NEXT_DUE_DATE',
            P_SEQ => 5, 
            P_STATUS_CODE => null, 
            P_NOTIF_TYPE_CODE => null);
V_RULE_COMPONENTS(V_RULE_COMPONENTS.LAST) := V_RULE0_COMPONENT_SID;
V_RULE_COMPONENTS.EXTEND;
V_RULE0_COMPONENT_SID:=ACM_MDE3.Import_Rule_Process(P_RULE_SID => V_RULE0_SID,
            P_PROCESS_CODE => 'SET_FINAL_DUE_DATE',
            P_SEQ => 6, 
            P_STATUS_CODE => null, 
            P_NOTIF_TYPE_CODE => null);
V_RULE_COMPONENTS(V_RULE_COMPONENTS.LAST) := V_RULE0_COMPONENT_SID;
ACM_MDE3.DELETE_RULE_COMPONENTS(P_RULE_SID => V_RULE0_SID, P_EXCEPT_FOR_THESE => V_RULE_COMPONENTS);
-------------------------------------------------------------------
exception
    when OTHERS then
        raise;
end;
/



set scan off
declare
  V_OBJ_TYPE_CODE                   VARCHAR2(300);
  V_RULE0_SID                       T_ACM_RULE.SID%TYPE; -- RULE CHOSEN FOR EXPORT
  V_RULE0_COMPONENT_SID             T_ACM_RULE.SID%TYPE; -- RULE CHOSEN FOR EXPORT
  V_RULES                           T_NUM_ARRAY := T_NUM_ARRAY(); -- 
  V_RULE_COMPONENTS                 T_NUM_ARRAY := T_NUM_ARRAY(); -- 
begin
V_OBJ_TYPE_CODE := 'FILE.IRMO';
V_RULES.EXTEND;
V_RULE0_SID:=ACM_MDE3.Import_Rule(P_OBJ_TYPE_CODE => V_OBJ_TYPE_CODE, 
            P_RULE_TYPE => 'POST', 
            P_STATUS_CODE => null, 
            P_DISPLAY => 'Created Automatically from Travel File', 
            P_ACTIVE => 'Y', 
            P_SEQ => 1, 
            P_RULE_MIN => null, 
            P_RULE_MAX => null, 
            P_INITIATOR_EVAL => 'ALL', 
            P_CONDITION_EVAL => 'ALL', 
            P_PREREQUISITE_EVAL => 'ALL', 
            P_ACTION_PAGE => null, 
            P_EVENT_CODE => 'BACKEND_CREATED');
V_RULES(V_RULES.LAST) := V_RULE0_SID;
V_RULE_COMPONENTS.EXTEND;
V_RULE0_COMPONENT_SID:=ACM_MDE3.Import_Rule_Process(P_RULE_SID => V_RULE0_SID,
            P_PROCESS_CODE => 'CHANGE_STATUS',
            P_SEQ => 1, 
            P_STATUS_CODE => 'NEW', 
            P_NOTIF_TYPE_CODE => null);
V_RULE_COMPONENTS(V_RULE_COMPONENTS.LAST) := V_RULE0_COMPONENT_SID;
V_RULE_COMPONENTS.EXTEND;
V_RULE0_COMPONENT_SID:=ACM_MDE3.Import_Rule_Process(P_RULE_SID => V_RULE0_SID,
            P_PROCESS_CODE => 'SET_NEXT_DUE_DATE',
            P_SEQ => 2, 
            P_STATUS_CODE => null, 
            P_NOTIF_TYPE_CODE => null);
V_RULE_COMPONENTS(V_RULE_COMPONENTS.LAST) := V_RULE0_COMPONENT_SID;
V_RULE_COMPONENTS.EXTEND;
V_RULE0_COMPONENT_SID:=ACM_MDE3.Import_Rule_Process(P_RULE_SID => V_RULE0_SID,
            P_PROCESS_CODE => 'SET_FINAL_DUE_DATE',
            P_SEQ => 3, 
            P_STATUS_CODE => null, 
            P_NOTIF_TYPE_CODE => null);
V_RULE_COMPONENTS(V_RULE_COMPONENTS.LAST) := V_RULE0_COMPONENT_SID;
ACM_MDE3.DELETE_RULE_COMPONENTS(P_RULE_SID => V_RULE0_SID, P_EXCEPT_FOR_THESE => V_RULE_COMPONENTS);
-------------------------------------------------------------------
exception
    when OTHERS then
        raise;
end;
/



set scan off
declare
  V_OBJ_TYPE_CODE                   VARCHAR2(300);
  V_RULE0_SID                       T_ACM_RULE.SID%TYPE; -- RULE CHOSEN FOR EXPORT
  V_RULE0_COMPONENT_SID             T_ACM_RULE.SID%TYPE; -- RULE CHOSEN FOR EXPORT
  V_RULES                           T_NUM_ARRAY := T_NUM_ARRAY(); -- 
  V_RULE_COMPONENTS                 T_NUM_ARRAY := T_NUM_ARRAY(); -- 
begin
V_OBJ_TYPE_CODE := 'FILE.IRMO';
V_RULES.EXTEND;
V_RULE0_SID:=ACM_MDE3.Import_Rule(P_OBJ_TYPE_CODE => V_OBJ_TYPE_CODE, 
            P_RULE_TYPE => 'PRE', 
            P_STATUS_CODE => null, 
            P_DISPLAY => 'Delete File', 
            P_ACTIVE => 'Y', 
            P_SEQ => 1, 
            P_RULE_MIN => null, 
            P_RULE_MAX => null, 
            P_INITIATOR_EVAL => 'ALL', 
            P_CONDITION_EVAL => 'ALL', 
            P_PREREQUISITE_EVAL => 'ALL', 
            P_ACTION_PAGE => null, 
            P_EVENT_CODE => 'DELETED');
V_RULES(V_RULES.LAST) := V_RULE0_SID;
V_RULE_COMPONENTS.EXTEND;
V_RULE0_COMPONENT_SID:=ACM_MDE3.Import_Rule_Initiator(P_RULE_SID => V_RULE0_SID,
            P_INITIATOR_CODE => 'IS_DEFAULT_DATA_GROUP', 
            P_PRIVILEGE_CODE => null);
V_RULE_COMPONENTS(V_RULE_COMPONENTS.LAST) := V_RULE0_COMPONENT_SID;
V_RULE_COMPONENTS.EXTEND;
V_RULE0_COMPONENT_SID:=ACM_MDE3.Import_Rule_Initiator(P_RULE_SID => V_RULE0_SID,
            P_INITIATOR_CODE => 'HAS_PRIV', 
            P_PRIVILEGE_CODE => 'FILE.IRMO.DELETE');
V_RULE_COMPONENTS(V_RULE_COMPONENTS.LAST) := V_RULE0_COMPONENT_SID;
V_RULE_COMPONENTS.EXTEND;
V_RULE0_COMPONENT_SID:=ACM_MDE3.Import_Rule_Condition(P_RULE_SID => V_RULE0_SID,
            P_CONDITION_CODE => 'IS_NOT_CLOSED',
            P_REGION_ID => null);
V_RULE_COMPONENTS(V_RULE_COMPONENTS.LAST) := V_RULE0_COMPONENT_SID;
ACM_MDE3.DELETE_RULE_COMPONENTS(P_RULE_SID => V_RULE0_SID, P_EXCEPT_FOR_THESE => V_RULE_COMPONENTS);
-------------------------------------------------------------------
exception
    when OTHERS then
        raise;
end;
/



set scan off
declare
  V_OBJ_TYPE_CODE                   VARCHAR2(300);
  V_RULE0_SID                       T_ACM_RULE.SID%TYPE; -- RULE CHOSEN FOR EXPORT
  V_RULE0_COMPONENT_SID             T_ACM_RULE.SID%TYPE; -- RULE CHOSEN FOR EXPORT
  V_RULES                           T_NUM_ARRAY := T_NUM_ARRAY(); -- 
  V_RULE_COMPONENTS                 T_NUM_ARRAY := T_NUM_ARRAY(); -- 
begin
V_OBJ_TYPE_CODE := 'FILE.IRMO';
V_RULES.EXTEND;
V_RULE0_SID:=ACM_MDE3.Import_Rule(P_OBJ_TYPE_CODE => V_OBJ_TYPE_CODE, 
            P_RULE_TYPE => 'PRE', 
            P_STATUS_CODE => null, 
            P_DISPLAY => 'Add File Association', 
            P_ACTIVE => 'Y', 
            P_SEQ => 1, 
            P_RULE_MIN => null, 
            P_RULE_MAX => null, 
            P_INITIATOR_EVAL => 'ALL', 
            P_CONDITION_EVAL => 'ALL', 
            P_PREREQUISITE_EVAL => 'ALL', 
            P_ACTION_PAGE => null, 
            P_EVENT_CODE => 'FILE_ASSOC_ADDED');
V_RULES(V_RULES.LAST) := V_RULE0_SID;
V_RULE_COMPONENTS.EXTEND;
V_RULE0_COMPONENT_SID:=ACM_MDE3.Import_Rule_Initiator(P_RULE_SID => V_RULE0_SID,
            P_INITIATOR_CODE => 'HAS_PRIV', 
            P_PRIVILEGE_CODE => 'FILE.IRMO.SAVE');
V_RULE_COMPONENTS(V_RULE_COMPONENTS.LAST) := V_RULE0_COMPONENT_SID;
V_RULE_COMPONENTS.EXTEND;
V_RULE0_COMPONENT_SID:=ACM_MDE3.Import_Rule_Initiator(P_RULE_SID => V_RULE0_SID,
            P_INITIATOR_CODE => 'IS_DEFAULT_DATA_GROUP', 
            P_PRIVILEGE_CODE => null);
V_RULE_COMPONENTS(V_RULE_COMPONENTS.LAST) := V_RULE0_COMPONENT_SID;
ACM_MDE3.DELETE_RULE_COMPONENTS(P_RULE_SID => V_RULE0_SID, P_EXCEPT_FOR_THESE => V_RULE_COMPONENTS);
-------------------------------------------------------------------
exception
    when OTHERS then
        raise;
end;
/



set scan off
declare
  V_OBJ_TYPE_CODE                   VARCHAR2(300);
  V_RULE0_SID                       T_ACM_RULE.SID%TYPE; -- RULE CHOSEN FOR EXPORT
  V_RULE0_COMPONENT_SID             T_ACM_RULE.SID%TYPE; -- RULE CHOSEN FOR EXPORT
  V_RULES                           T_NUM_ARRAY := T_NUM_ARRAY(); -- 
  V_RULE_COMPONENTS                 T_NUM_ARRAY := T_NUM_ARRAY(); -- 
begin
V_OBJ_TYPE_CODE := 'FILE.IRMO';
V_RULES.EXTEND;
V_RULE0_SID:=ACM_MDE3.Import_Rule(P_OBJ_TYPE_CODE => V_OBJ_TYPE_CODE, 
            P_RULE_TYPE => 'PRE', 
            P_STATUS_CODE => null, 
            P_DISPLAY => 'Delete File Association', 
            P_ACTIVE => 'Y', 
            P_SEQ => 1, 
            P_RULE_MIN => null, 
            P_RULE_MAX => null, 
            P_INITIATOR_EVAL => 'ALL', 
            P_CONDITION_EVAL => 'ALL', 
            P_PREREQUISITE_EVAL => 'ALL', 
            P_ACTION_PAGE => null, 
            P_EVENT_CODE => 'FILE_ASSOC_DELETED');
V_RULES(V_RULES.LAST) := V_RULE0_SID;
V_RULE_COMPONENTS.EXTEND;
V_RULE0_COMPONENT_SID:=ACM_MDE3.Import_Rule_Initiator(P_RULE_SID => V_RULE0_SID,
            P_INITIATOR_CODE => 'IS_DEFAULT_DATA_GROUP', 
            P_PRIVILEGE_CODE => null);
V_RULE_COMPONENTS(V_RULE_COMPONENTS.LAST) := V_RULE0_COMPONENT_SID;
V_RULE_COMPONENTS.EXTEND;
V_RULE0_COMPONENT_SID:=ACM_MDE3.Import_Rule_Initiator(P_RULE_SID => V_RULE0_SID,
            P_INITIATOR_CODE => 'HAS_PRIV', 
            P_PRIVILEGE_CODE => 'FILE.IRMO.SAVE');
V_RULE_COMPONENTS(V_RULE_COMPONENTS.LAST) := V_RULE0_COMPONENT_SID;
V_RULE_COMPONENTS.EXTEND;
V_RULE0_COMPONENT_SID:=ACM_MDE3.Import_Rule_Condition(P_RULE_SID => V_RULE0_SID,
            P_CONDITION_CODE => 'IS_NOT_CLOSED',
            P_REGION_ID => null);
V_RULE_COMPONENTS(V_RULE_COMPONENTS.LAST) := V_RULE0_COMPONENT_SID;
ACM_MDE3.DELETE_RULE_COMPONENTS(P_RULE_SID => V_RULE0_SID, P_EXCEPT_FOR_THESE => V_RULE_COMPONENTS);
-------------------------------------------------------------------
exception
    when OTHERS then
        raise;
end;
/



set scan off
declare
  V_OBJ_TYPE_CODE                   VARCHAR2(300);
  V_RULE0_SID                       T_ACM_RULE.SID%TYPE; -- RULE CHOSEN FOR EXPORT
  V_RULE0_COMPONENT_SID             T_ACM_RULE.SID%TYPE; -- RULE CHOSEN FOR EXPORT
  V_RULES                           T_NUM_ARRAY := T_NUM_ARRAY(); -- 
  V_RULE_COMPONENTS                 T_NUM_ARRAY := T_NUM_ARRAY(); -- 
begin
V_OBJ_TYPE_CODE := 'FILE.IRMO';
V_RULES.EXTEND;
V_RULE0_SID:=ACM_MDE3.Import_Rule(P_OBJ_TYPE_CODE => V_OBJ_TYPE_CODE, 
            P_RULE_TYPE => 'PRE', 
            P_STATUS_CODE => null, 
            P_DISPLAY => 'Add Finding', 
            P_ACTIVE => 'Y', 
            P_SEQ => 1, 
            P_RULE_MIN => null, 
            P_RULE_MAX => null, 
            P_INITIATOR_EVAL => 'ALL', 
            P_CONDITION_EVAL => 'ALL', 
            P_PREREQUISITE_EVAL => 'ALL', 
            P_ACTION_PAGE => null, 
            P_EVENT_CODE => 'FINDING_ADDED');
V_RULES(V_RULES.LAST) := V_RULE0_SID;
V_RULE_COMPONENTS.EXTEND;
V_RULE0_COMPONENT_SID:=ACM_MDE3.Import_Rule_Initiator(P_RULE_SID => V_RULE0_SID,
            P_INITIATOR_CODE => 'IS_DEFAULT_DATA_GROUP', 
            P_PRIVILEGE_CODE => null);
V_RULE_COMPONENTS(V_RULE_COMPONENTS.LAST) := V_RULE0_COMPONENT_SID;
V_RULE_COMPONENTS.EXTEND;
V_RULE0_COMPONENT_SID:=ACM_MDE3.Import_Rule_Initiator(P_RULE_SID => V_RULE0_SID,
            P_INITIATOR_CODE => 'HAS_PRIV', 
            P_PRIVILEGE_CODE => 'FILE.IRMO.SAVE');
V_RULE_COMPONENTS(V_RULE_COMPONENTS.LAST) := V_RULE0_COMPONENT_SID;
V_RULE_COMPONENTS.EXTEND;
V_RULE0_COMPONENT_SID:=ACM_MDE3.Import_Rule_Condition(P_RULE_SID => V_RULE0_SID,
            P_CONDITION_CODE => 'IS_NOT_CLOSED',
            P_REGION_ID => null);
V_RULE_COMPONENTS(V_RULE_COMPONENTS.LAST) := V_RULE0_COMPONENT_SID;
ACM_MDE3.DELETE_RULE_COMPONENTS(P_RULE_SID => V_RULE0_SID, P_EXCEPT_FOR_THESE => V_RULE_COMPONENTS);
-------------------------------------------------------------------
exception
    when OTHERS then
        raise;
end;
/



set scan off
declare
  V_OBJ_TYPE_CODE                   VARCHAR2(300);
  V_RULE0_SID                       T_ACM_RULE.SID%TYPE; -- RULE CHOSEN FOR EXPORT
  V_RULE0_COMPONENT_SID             T_ACM_RULE.SID%TYPE; -- RULE CHOSEN FOR EXPORT
  V_RULES                           T_NUM_ARRAY := T_NUM_ARRAY(); -- 
  V_RULE_COMPONENTS                 T_NUM_ARRAY := T_NUM_ARRAY(); -- 
begin
V_OBJ_TYPE_CODE := 'FILE.IRMO';
V_RULES.EXTEND;
V_RULE0_SID:=ACM_MDE3.Import_Rule(P_OBJ_TYPE_CODE => V_OBJ_TYPE_CODE, 
            P_RULE_TYPE => 'PRE', 
            P_STATUS_CODE => null, 
            P_DISPLAY => 'Edit Finding', 
            P_ACTIVE => 'Y', 
            P_SEQ => 1, 
            P_RULE_MIN => null, 
            P_RULE_MAX => null, 
            P_INITIATOR_EVAL => 'ALL', 
            P_CONDITION_EVAL => 'ALL', 
            P_PREREQUISITE_EVAL => 'ALL', 
            P_ACTION_PAGE => null, 
            P_EVENT_CODE => 'FINDING_EDITED');
V_RULES(V_RULES.LAST) := V_RULE0_SID;
V_RULE_COMPONENTS.EXTEND;
V_RULE0_COMPONENT_SID:=ACM_MDE3.Import_Rule_Initiator(P_RULE_SID => V_RULE0_SID,
            P_INITIATOR_CODE => 'HAS_PRIV', 
            P_PRIVILEGE_CODE => 'FILE.IRMO.SAVE');
V_RULE_COMPONENTS(V_RULE_COMPONENTS.LAST) := V_RULE0_COMPONENT_SID;
V_RULE_COMPONENTS.EXTEND;
V_RULE0_COMPONENT_SID:=ACM_MDE3.Import_Rule_Initiator(P_RULE_SID => V_RULE0_SID,
            P_INITIATOR_CODE => 'IS_DEFAULT_DATA_GROUP', 
            P_PRIVILEGE_CODE => null);
V_RULE_COMPONENTS(V_RULE_COMPONENTS.LAST) := V_RULE0_COMPONENT_SID;
V_RULE_COMPONENTS.EXTEND;
V_RULE0_COMPONENT_SID:=ACM_MDE3.Import_Rule_Condition(P_RULE_SID => V_RULE0_SID,
            P_CONDITION_CODE => 'IS_NOT_CLOSED',
            P_REGION_ID => null);
V_RULE_COMPONENTS(V_RULE_COMPONENTS.LAST) := V_RULE0_COMPONENT_SID;
ACM_MDE3.DELETE_RULE_COMPONENTS(P_RULE_SID => V_RULE0_SID, P_EXCEPT_FOR_THESE => V_RULE_COMPONENTS);
-------------------------------------------------------------------
exception
    when OTHERS then
        raise;
end;
/



set scan off
declare
  V_OBJ_TYPE_CODE                   VARCHAR2(300);
  V_RULE0_SID                       T_ACM_RULE.SID%TYPE; -- RULE CHOSEN FOR EXPORT
  V_RULE0_COMPONENT_SID             T_ACM_RULE.SID%TYPE; -- RULE CHOSEN FOR EXPORT
  V_RULES                           T_NUM_ARRAY := T_NUM_ARRAY(); -- 
  V_RULE_COMPONENTS                 T_NUM_ARRAY := T_NUM_ARRAY(); -- 
begin
V_OBJ_TYPE_CODE := 'FILE.IRMO';
V_RULES.EXTEND;
V_RULE0_SID:=ACM_MDE3.Import_Rule(P_OBJ_TYPE_CODE => V_OBJ_TYPE_CODE, 
            P_RULE_TYPE => 'PRE', 
            P_STATUS_CODE => null, 
            P_DISPLAY => 'Change Lead', 
            P_ACTIVE => 'Y', 
            P_SEQ => 1, 
            P_RULE_MIN => null, 
            P_RULE_MAX => null, 
            P_INITIATOR_EVAL => 'ALL', 
            P_CONDITION_EVAL => 'ALL', 
            P_PREREQUISITE_EVAL => 'ALL', 
            P_ACTION_PAGE => null, 
            P_EVENT_CODE => 'LEAD_CHANGED');
V_RULES(V_RULES.LAST) := V_RULE0_SID;
V_RULE_COMPONENTS.EXTEND;
V_RULE0_COMPONENT_SID:=ACM_MDE3.Import_Rule_Initiator(P_RULE_SID => V_RULE0_SID,
            P_INITIATOR_CODE => 'HAS_PRIV', 
            P_PRIVILEGE_CODE => 'FILE.IRMO.SAVE');
V_RULE_COMPONENTS(V_RULE_COMPONENTS.LAST) := V_RULE0_COMPONENT_SID;
V_RULE_COMPONENTS.EXTEND;
V_RULE0_COMPONENT_SID:=ACM_MDE3.Import_Rule_Initiator(P_RULE_SID => V_RULE0_SID,
            P_INITIATOR_CODE => 'IS_DEFAULT_DATA_GROUP', 
            P_PRIVILEGE_CODE => null);
V_RULE_COMPONENTS(V_RULE_COMPONENTS.LAST) := V_RULE0_COMPONENT_SID;
V_RULE_COMPONENTS.EXTEND;
V_RULE0_COMPONENT_SID:=ACM_MDE3.Import_Rule_Condition(P_RULE_SID => V_RULE0_SID,
            P_CONDITION_CODE => 'IS_NOT_CLOSED',
            P_REGION_ID => null);
V_RULE_COMPONENTS(V_RULE_COMPONENTS.LAST) := V_RULE0_COMPONENT_SID;
ACM_MDE3.DELETE_RULE_COMPONENTS(P_RULE_SID => V_RULE0_SID, P_EXCEPT_FOR_THESE => V_RULE_COMPONENTS);
-------------------------------------------------------------------
exception
    when OTHERS then
        raise;
end;
/



set scan off
declare
  V_OBJ_TYPE_CODE                   VARCHAR2(300);
  V_RULE0_SID                       T_ACM_RULE.SID%TYPE; -- RULE CHOSEN FOR EXPORT
  V_RULE0_COMPONENT_SID             T_ACM_RULE.SID%TYPE; -- RULE CHOSEN FOR EXPORT
  V_RULES                           T_NUM_ARRAY := T_NUM_ARRAY(); -- 
  V_RULE_COMPONENTS                 T_NUM_ARRAY := T_NUM_ARRAY(); -- 
begin
V_OBJ_TYPE_CODE := 'FILE.IRMO';
V_RULES.EXTEND;
V_RULE0_SID:=ACM_MDE3.Import_Rule(P_OBJ_TYPE_CODE => V_OBJ_TYPE_CODE, 
            P_RULE_TYPE => 'PRE', 
            P_STATUS_CODE => null, 
            P_DISPLAY => 'Create Note', 
            P_ACTIVE => 'Y', 
            P_SEQ => 1, 
            P_RULE_MIN => null, 
            P_RULE_MAX => null, 
            P_INITIATOR_EVAL => 'ALL', 
            P_CONDITION_EVAL => 'ALL', 
            P_PREREQUISITE_EVAL => 'ALL', 
            P_ACTION_PAGE => null, 
            P_EVENT_CODE => 'NOTE_CREATED');
V_RULES(V_RULES.LAST) := V_RULE0_SID;
V_RULE_COMPONENTS.EXTEND;
V_RULE0_COMPONENT_SID:=ACM_MDE3.Import_Rule_Initiator(P_RULE_SID => V_RULE0_SID,
            P_INITIATOR_CODE => 'HAS_PRIV', 
            P_PRIVILEGE_CODE => 'FILE.IRMO.SAVE');
V_RULE_COMPONENTS(V_RULE_COMPONENTS.LAST) := V_RULE0_COMPONENT_SID;
ACM_MDE3.DELETE_RULE_COMPONENTS(P_RULE_SID => V_RULE0_SID, P_EXCEPT_FOR_THESE => V_RULE_COMPONENTS);
-------------------------------------------------------------------
exception
    when OTHERS then
        raise;
end;
/



set scan off
declare
  V_OBJ_TYPE_CODE                   VARCHAR2(300);
  V_RULE0_SID                       T_ACM_RULE.SID%TYPE; -- RULE CHOSEN FOR EXPORT
  V_RULE0_COMPONENT_SID             T_ACM_RULE.SID%TYPE; -- RULE CHOSEN FOR EXPORT
  V_RULES                           T_NUM_ARRAY := T_NUM_ARRAY(); -- 
  V_RULE_COMPONENTS                 T_NUM_ARRAY := T_NUM_ARRAY(); -- 
begin
V_OBJ_TYPE_CODE := 'FILE.IRMO';
V_RULES.EXTEND;
V_RULE0_SID:=ACM_MDE3.Import_Rule(P_OBJ_TYPE_CODE => V_OBJ_TYPE_CODE, 
            P_RULE_TYPE => 'PRE', 
            P_STATUS_CODE => null, 
            P_DISPLAY => 'Delete Note', 
            P_ACTIVE => 'Y', 
            P_SEQ => 1, 
            P_RULE_MIN => null, 
            P_RULE_MAX => null, 
            P_INITIATOR_EVAL => 'ALL', 
            P_CONDITION_EVAL => 'ALL', 
            P_PREREQUISITE_EVAL => 'ALL', 
            P_ACTION_PAGE => null, 
            P_EVENT_CODE => 'NOTE_DELETED');
V_RULES(V_RULES.LAST) := V_RULE0_SID;
V_RULE_COMPONENTS.EXTEND;
V_RULE0_COMPONENT_SID:=ACM_MDE3.Import_Rule_Initiator(P_RULE_SID => V_RULE0_SID,
            P_INITIATOR_CODE => 'HAS_PRIV', 
            P_PRIVILEGE_CODE => 'FILE.IRMO.SAVE');
V_RULE_COMPONENTS(V_RULE_COMPONENTS.LAST) := V_RULE0_COMPONENT_SID;
V_RULE_COMPONENTS.EXTEND;
V_RULE0_COMPONENT_SID:=ACM_MDE3.Import_Rule_Condition(P_RULE_SID => V_RULE0_SID,
            P_CONDITION_CODE => 'IS_NOT_CLOSED',
            P_REGION_ID => null);
V_RULE_COMPONENTS(V_RULE_COMPONENTS.LAST) := V_RULE0_COMPONENT_SID;
ACM_MDE3.DELETE_RULE_COMPONENTS(P_RULE_SID => V_RULE0_SID, P_EXCEPT_FOR_THESE => V_RULE_COMPONENTS);
-------------------------------------------------------------------
exception
    when OTHERS then
        raise;
end;
/



set scan off
declare
  V_OBJ_TYPE_CODE                   VARCHAR2(300);
  V_RULE0_SID                       T_ACM_RULE.SID%TYPE; -- RULE CHOSEN FOR EXPORT
  V_RULE0_COMPONENT_SID             T_ACM_RULE.SID%TYPE; -- RULE CHOSEN FOR EXPORT
  V_RULES                           T_NUM_ARRAY := T_NUM_ARRAY(); -- 
  V_RULE_COMPONENTS                 T_NUM_ARRAY := T_NUM_ARRAY(); -- 
begin
V_OBJ_TYPE_CODE := 'FILE.IRMO';
V_RULES.EXTEND;
V_RULE0_SID:=ACM_MDE3.Import_Rule(P_OBJ_TYPE_CODE => V_OBJ_TYPE_CODE, 
            P_RULE_TYPE => 'PRE', 
            P_STATUS_CODE => null, 
            P_DISPLAY => 'Edit Note', 
            P_ACTIVE => 'Y', 
            P_SEQ => 1, 
            P_RULE_MIN => null, 
            P_RULE_MAX => null, 
            P_INITIATOR_EVAL => 'ALL', 
            P_CONDITION_EVAL => 'ALL', 
            P_PREREQUISITE_EVAL => 'ALL', 
            P_ACTION_PAGE => null, 
            P_EVENT_CODE => 'NOTE_EDITED');
V_RULES(V_RULES.LAST) := V_RULE0_SID;
V_RULE_COMPONENTS.EXTEND;
V_RULE0_COMPONENT_SID:=ACM_MDE3.Import_Rule_Initiator(P_RULE_SID => V_RULE0_SID,
            P_INITIATOR_CODE => 'HAS_PRIV', 
            P_PRIVILEGE_CODE => 'FILE.IRMO.SAVE');
V_RULE_COMPONENTS(V_RULE_COMPONENTS.LAST) := V_RULE0_COMPONENT_SID;
V_RULE_COMPONENTS.EXTEND;
V_RULE0_COMPONENT_SID:=ACM_MDE3.Import_Rule_Condition(P_RULE_SID => V_RULE0_SID,
            P_CONDITION_CODE => 'IS_NOT_CLOSED',
            P_REGION_ID => null);
V_RULE_COMPONENTS(V_RULE_COMPONENTS.LAST) := V_RULE0_COMPONENT_SID;
ACM_MDE3.DELETE_RULE_COMPONENTS(P_RULE_SID => V_RULE0_SID, P_EXCEPT_FOR_THESE => V_RULE_COMPONENTS);
-------------------------------------------------------------------
exception
    when OTHERS then
        raise;
end;
/



set scan off
declare
  V_OBJ_TYPE_CODE                   VARCHAR2(300);
  V_RULE0_SID                       T_ACM_RULE.SID%TYPE; -- RULE CHOSEN FOR EXPORT
  V_RULE0_COMPONENT_SID             T_ACM_RULE.SID%TYPE; -- RULE CHOSEN FOR EXPORT
  V_RULES                           T_NUM_ARRAY := T_NUM_ARRAY(); -- 
  V_RULE_COMPONENTS                 T_NUM_ARRAY := T_NUM_ARRAY(); -- 
begin
V_OBJ_TYPE_CODE := 'FILE.IRMO';
V_RULES.EXTEND;
V_RULE0_SID:=ACM_MDE3.Import_Rule(P_OBJ_TYPE_CODE => V_OBJ_TYPE_CODE, 
            P_RULE_TYPE => 'PRE', 
            P_STATUS_CODE => null, 
            P_DISPLAY => 'Change Owning Unit', 
            P_ACTIVE => 'Y', 
            P_SEQ => 1, 
            P_RULE_MIN => null, 
            P_RULE_MAX => null, 
            P_INITIATOR_EVAL => 'ALL', 
            P_CONDITION_EVAL => 'ALL', 
            P_PREREQUISITE_EVAL => 'ALL', 
            P_ACTION_PAGE => null, 
            P_EVENT_CODE => 'OWNING_UNIT_CHANGED');
V_RULES(V_RULES.LAST) := V_RULE0_SID;
V_RULE_COMPONENTS.EXTEND;
V_RULE0_COMPONENT_SID:=ACM_MDE3.Import_Rule_Initiator(P_RULE_SID => V_RULE0_SID,
            P_INITIATOR_CODE => 'HAS_PRIV', 
            P_PRIVILEGE_CODE => 'FILE.IRMO.CHANGE_UNIT_OWNER');
V_RULE_COMPONENTS(V_RULE_COMPONENTS.LAST) := V_RULE0_COMPONENT_SID;
V_RULE_COMPONENTS.EXTEND;
V_RULE0_COMPONENT_SID:=ACM_MDE3.Import_Rule_Initiator(P_RULE_SID => V_RULE0_SID,
            P_INITIATOR_CODE => 'IS_DEFAULT_DATA_GROUP', 
            P_PRIVILEGE_CODE => null);
V_RULE_COMPONENTS(V_RULE_COMPONENTS.LAST) := V_RULE0_COMPONENT_SID;
V_RULE_COMPONENTS.EXTEND;
V_RULE0_COMPONENT_SID:=ACM_MDE3.Import_Rule_Condition(P_RULE_SID => V_RULE0_SID,
            P_CONDITION_CODE => 'IS_NOT_CLOSED',
            P_REGION_ID => null);
V_RULE_COMPONENTS(V_RULE_COMPONENTS.LAST) := V_RULE0_COMPONENT_SID;
ACM_MDE3.DELETE_RULE_COMPONENTS(P_RULE_SID => V_RULE0_SID, P_EXCEPT_FOR_THESE => V_RULE_COMPONENTS);
-------------------------------------------------------------------
exception
    when OTHERS then
        raise;
end;
/





set scan off
declare
  V_OBJ_TYPE_CODE                   VARCHAR2(300);
  V_RULE0_SID                       T_ACM_RULE.SID%TYPE; -- RULE CHOSEN FOR EXPORT
  V_RULE0_COMPONENT_SID             T_ACM_RULE.SID%TYPE; -- RULE CHOSEN FOR EXPORT
  V_RULES                           T_NUM_ARRAY := T_NUM_ARRAY(); -- 
  V_RULE_COMPONENTS                 T_NUM_ARRAY := T_NUM_ARRAY(); -- 
begin
V_OBJ_TYPE_CODE := 'FILE.IRMO';
V_RULES.EXTEND;
V_RULE0_SID:=ACM_MDE3.Import_Rule(P_OBJ_TYPE_CODE => V_OBJ_TYPE_CODE, 
            P_RULE_TYPE => 'POST', 
            P_STATUS_CODE => null, 
            P_DISPLAY => 'Change Owning Unit', 
            P_ACTIVE => 'Y', 
            P_SEQ => 1, 
            P_RULE_MIN => null, 
            P_RULE_MAX => null, 
            P_INITIATOR_EVAL => 'ALL', 
            P_CONDITION_EVAL => 'ALL', 
            P_PREREQUISITE_EVAL => 'ALL', 
            P_ACTION_PAGE => null, 
            P_EVENT_CODE => 'OWNING_UNIT_CHANGED');
V_RULES(V_RULES.LAST) := V_RULE0_SID;
ACM_MDE3.DELETE_RULE_COMPONENTS(P_RULE_SID => V_RULE0_SID, P_EXCEPT_FOR_THESE => V_RULE_COMPONENTS);
-------------------------------------------------------------------
exception
    when OTHERS then
        raise;
end;
/



set scan off
declare
  V_OBJ_TYPE_CODE                   VARCHAR2(300);
  V_RULE0_SID                       T_ACM_RULE.SID%TYPE; -- RULE CHOSEN FOR EXPORT
  V_RULE0_COMPONENT_SID             T_ACM_RULE.SID%TYPE; -- RULE CHOSEN FOR EXPORT
  V_RULES                           T_NUM_ARRAY := T_NUM_ARRAY(); -- 
  V_RULE_COMPONENTS                 T_NUM_ARRAY := T_NUM_ARRAY(); -- 
begin
V_OBJ_TYPE_CODE := 'FILE.IRMO';
V_RULES.EXTEND;
V_RULE0_SID:=ACM_MDE3.Import_Rule(P_OBJ_TYPE_CODE => V_OBJ_TYPE_CODE, 
            P_RULE_TYPE => 'PRE', 
            P_STATUS_CODE => null, 
            P_DISPLAY => 'Add Participant', 
            P_ACTIVE => 'Y', 
            P_SEQ => 1, 
            P_RULE_MIN => null, 
            P_RULE_MAX => null, 
            P_INITIATOR_EVAL => 'ALL', 
            P_CONDITION_EVAL => 'ALL', 
            P_PREREQUISITE_EVAL => 'ALL', 
            P_ACTION_PAGE => null, 
            P_EVENT_CODE => 'PARTIC_INVOLV_ADDED');
V_RULES(V_RULES.LAST) := V_RULE0_SID;
V_RULE_COMPONENTS.EXTEND;
V_RULE0_COMPONENT_SID:=ACM_MDE3.Import_Rule_Initiator(P_RULE_SID => V_RULE0_SID,
            P_INITIATOR_CODE => 'IS_DEFAULT_DATA_GROUP', 
            P_PRIVILEGE_CODE => null);
V_RULE_COMPONENTS(V_RULE_COMPONENTS.LAST) := V_RULE0_COMPONENT_SID;
V_RULE_COMPONENTS.EXTEND;
V_RULE0_COMPONENT_SID:=ACM_MDE3.Import_Rule_Initiator(P_RULE_SID => V_RULE0_SID,
            P_INITIATOR_CODE => 'HAS_PRIV', 
            P_PRIVILEGE_CODE => 'FILE.IRMO.SAVE');
V_RULE_COMPONENTS(V_RULE_COMPONENTS.LAST) := V_RULE0_COMPONENT_SID;
V_RULE_COMPONENTS.EXTEND;
V_RULE0_COMPONENT_SID:=ACM_MDE3.Import_Rule_Condition(P_RULE_SID => V_RULE0_SID,
            P_CONDITION_CODE => 'IS_NOT_CLOSED',
            P_REGION_ID => null);
V_RULE_COMPONENTS(V_RULE_COMPONENTS.LAST) := V_RULE0_COMPONENT_SID;
ACM_MDE3.DELETE_RULE_COMPONENTS(P_RULE_SID => V_RULE0_SID, P_EXCEPT_FOR_THESE => V_RULE_COMPONENTS);
-------------------------------------------------------------------
exception
    when OTHERS then
        raise;
end;
/



set scan off
declare
  V_OBJ_TYPE_CODE                   VARCHAR2(300);
  V_RULE0_SID                       T_ACM_RULE.SID%TYPE; -- RULE CHOSEN FOR EXPORT
  V_RULE0_COMPONENT_SID             T_ACM_RULE.SID%TYPE; -- RULE CHOSEN FOR EXPORT
  V_RULES                           T_NUM_ARRAY := T_NUM_ARRAY(); -- 
  V_RULE_COMPONENTS                 T_NUM_ARRAY := T_NUM_ARRAY(); -- 
begin
V_OBJ_TYPE_CODE := 'FILE.IRMO';
V_RULES.EXTEND;
V_RULE0_SID:=ACM_MDE3.Import_Rule(P_OBJ_TYPE_CODE => V_OBJ_TYPE_CODE, 
            P_RULE_TYPE => 'PRE', 
            P_STATUS_CODE => null, 
            P_DISPLAY => 'Delete Participant', 
            P_ACTIVE => 'Y', 
            P_SEQ => 1, 
            P_RULE_MIN => null, 
            P_RULE_MAX => null, 
            P_INITIATOR_EVAL => 'ALL', 
            P_CONDITION_EVAL => 'ALL', 
            P_PREREQUISITE_EVAL => 'ALL', 
            P_ACTION_PAGE => null, 
            P_EVENT_CODE => 'PARTIC_INVOLV_DELETED');
V_RULES(V_RULES.LAST) := V_RULE0_SID;
V_RULE_COMPONENTS.EXTEND;
V_RULE0_COMPONENT_SID:=ACM_MDE3.Import_Rule_Initiator(P_RULE_SID => V_RULE0_SID,
            P_INITIATOR_CODE => 'IS_DEFAULT_DATA_GROUP', 
            P_PRIVILEGE_CODE => null);
V_RULE_COMPONENTS(V_RULE_COMPONENTS.LAST) := V_RULE0_COMPONENT_SID;
V_RULE_COMPONENTS.EXTEND;
V_RULE0_COMPONENT_SID:=ACM_MDE3.Import_Rule_Initiator(P_RULE_SID => V_RULE0_SID,
            P_INITIATOR_CODE => 'HAS_PRIV', 
            P_PRIVILEGE_CODE => 'FILE.IRMO.SAVE');
V_RULE_COMPONENTS(V_RULE_COMPONENTS.LAST) := V_RULE0_COMPONENT_SID;
V_RULE_COMPONENTS.EXTEND;
V_RULE0_COMPONENT_SID:=ACM_MDE3.Import_Rule_Condition(P_RULE_SID => V_RULE0_SID,
            P_CONDITION_CODE => 'IS_NOT_CLOSED',
            P_REGION_ID => null);
V_RULE_COMPONENTS(V_RULE_COMPONENTS.LAST) := V_RULE0_COMPONENT_SID;
ACM_MDE3.DELETE_RULE_COMPONENTS(P_RULE_SID => V_RULE0_SID, P_EXCEPT_FOR_THESE => V_RULE_COMPONENTS);
-------------------------------------------------------------------
exception
    when OTHERS then
        raise;
end;
/



set scan off
declare
  V_OBJ_TYPE_CODE                   VARCHAR2(300);
  V_RULE0_SID                       T_ACM_RULE.SID%TYPE; -- RULE CHOSEN FOR EXPORT
  V_RULE0_COMPONENT_SID             T_ACM_RULE.SID%TYPE; -- RULE CHOSEN FOR EXPORT
  V_RULES                           T_NUM_ARRAY := T_NUM_ARRAY(); -- 
  V_RULE_COMPONENTS                 T_NUM_ARRAY := T_NUM_ARRAY(); -- 
begin
V_OBJ_TYPE_CODE := 'FILE.IRMO';
V_RULES.EXTEND;
V_RULE0_SID:=ACM_MDE3.Import_Rule(P_OBJ_TYPE_CODE => V_OBJ_TYPE_CODE, 
            P_RULE_TYPE => 'PRE', 
            P_STATUS_CODE => null, 
            P_DISPLAY => 'Edit Participant', 
            P_ACTIVE => 'Y', 
            P_SEQ => 1, 
            P_RULE_MIN => null, 
            P_RULE_MAX => null, 
            P_INITIATOR_EVAL => 'ALL', 
            P_CONDITION_EVAL => 'ALL', 
            P_PREREQUISITE_EVAL => 'ALL', 
            P_ACTION_PAGE => null, 
            P_EVENT_CODE => 'PARTIC_INVOLV_EDITED');
V_RULES(V_RULES.LAST) := V_RULE0_SID;
V_RULE_COMPONENTS.EXTEND;
V_RULE0_COMPONENT_SID:=ACM_MDE3.Import_Rule_Initiator(P_RULE_SID => V_RULE0_SID,
            P_INITIATOR_CODE => 'IS_DEFAULT_DATA_GROUP', 
            P_PRIVILEGE_CODE => null);
V_RULE_COMPONENTS(V_RULE_COMPONENTS.LAST) := V_RULE0_COMPONENT_SID;
V_RULE_COMPONENTS.EXTEND;
V_RULE0_COMPONENT_SID:=ACM_MDE3.Import_Rule_Initiator(P_RULE_SID => V_RULE0_SID,
            P_INITIATOR_CODE => 'HAS_PRIV', 
            P_PRIVILEGE_CODE => 'FILE.IRMO.SAVE');
V_RULE_COMPONENTS(V_RULE_COMPONENTS.LAST) := V_RULE0_COMPONENT_SID;
V_RULE_COMPONENTS.EXTEND;
V_RULE0_COMPONENT_SID:=ACM_MDE3.Import_Rule_Condition(P_RULE_SID => V_RULE0_SID,
            P_CONDITION_CODE => 'IS_NOT_CLOSED',
            P_REGION_ID => null);
V_RULE_COMPONENTS(V_RULE_COMPONENTS.LAST) := V_RULE0_COMPONENT_SID;
ACM_MDE3.DELETE_RULE_COMPONENTS(P_RULE_SID => V_RULE0_SID, P_EXCEPT_FOR_THESE => V_RULE_COMPONENTS);
-------------------------------------------------------------------
exception
    when OTHERS then
        raise;
end;
/



set scan off
declare
  V_OBJ_TYPE_CODE                   VARCHAR2(300);
  V_RULE0_SID                       T_ACM_RULE.SID%TYPE; -- RULE CHOSEN FOR EXPORT
  V_RULE0_COMPONENT_SID             T_ACM_RULE.SID%TYPE; -- RULE CHOSEN FOR EXPORT
  V_RULES                           T_NUM_ARRAY := T_NUM_ARRAY(); -- 
  V_RULE_COMPONENTS                 T_NUM_ARRAY := T_NUM_ARRAY(); -- 
begin
V_OBJ_TYPE_CODE := 'FILE.IRMO';
V_RULES.EXTEND;
V_RULE0_SID:=ACM_MDE3.Import_Rule(P_OBJ_TYPE_CODE => V_OBJ_TYPE_CODE, 
            P_RULE_TYPE => 'PRE', 
            P_STATUS_CODE => null, 
            P_DISPLAY => 'Add Personnel', 
            P_ACTIVE => 'Y', 
            P_SEQ => 1, 
            P_RULE_MIN => null, 
            P_RULE_MAX => null, 
            P_INITIATOR_EVAL => 'ALL', 
            P_CONDITION_EVAL => 'ALL', 
            P_PREREQUISITE_EVAL => 'ALL', 
            P_ACTION_PAGE => null, 
            P_EVENT_CODE => 'PERSONNEL_ADDED');
V_RULES(V_RULES.LAST) := V_RULE0_SID;
V_RULE_COMPONENTS.EXTEND;
V_RULE0_COMPONENT_SID:=ACM_MDE3.Import_Rule_Initiator(P_RULE_SID => V_RULE0_SID,
            P_INITIATOR_CODE => 'HAS_PRIV', 
            P_PRIVILEGE_CODE => 'FILE.IRMO.SAVE');
V_RULE_COMPONENTS(V_RULE_COMPONENTS.LAST) := V_RULE0_COMPONENT_SID;
V_RULE_COMPONENTS.EXTEND;
V_RULE0_COMPONENT_SID:=ACM_MDE3.Import_Rule_Initiator(P_RULE_SID => V_RULE0_SID,
            P_INITIATOR_CODE => 'IS_DEFAULT_DATA_GROUP', 
            P_PRIVILEGE_CODE => null);
V_RULE_COMPONENTS(V_RULE_COMPONENTS.LAST) := V_RULE0_COMPONENT_SID;
V_RULE_COMPONENTS.EXTEND;
V_RULE0_COMPONENT_SID:=ACM_MDE3.Import_Rule_Condition(P_RULE_SID => V_RULE0_SID,
            P_CONDITION_CODE => 'IS_NOT_CLOSED',
            P_REGION_ID => null);
V_RULE_COMPONENTS(V_RULE_COMPONENTS.LAST) := V_RULE0_COMPONENT_SID;
ACM_MDE3.DELETE_RULE_COMPONENTS(P_RULE_SID => V_RULE0_SID, P_EXCEPT_FOR_THESE => V_RULE_COMPONENTS);
-------------------------------------------------------------------
exception
    when OTHERS then
        raise;
end;
/



set scan off
declare
  V_OBJ_TYPE_CODE                   VARCHAR2(300);
  V_RULE0_SID                       T_ACM_RULE.SID%TYPE; -- RULE CHOSEN FOR EXPORT
  V_RULE0_COMPONENT_SID             T_ACM_RULE.SID%TYPE; -- RULE CHOSEN FOR EXPORT
  V_RULES                           T_NUM_ARRAY := T_NUM_ARRAY(); -- 
  V_RULE_COMPONENTS                 T_NUM_ARRAY := T_NUM_ARRAY(); -- 
begin
V_OBJ_TYPE_CODE := 'FILE.IRMO';
V_RULES.EXTEND;
V_RULE0_SID:=ACM_MDE3.Import_Rule(P_OBJ_TYPE_CODE => V_OBJ_TYPE_CODE, 
            P_RULE_TYPE => 'PRE', 
            P_STATUS_CODE => 'AWAIT_REGNL_APROVE', 
            P_DISPLAY => 'Recall File', 
            P_ACTIVE => 'Y', 
            P_SEQ => 1, 
            P_RULE_MIN => null, 
            P_RULE_MAX => null, 
            P_INITIATOR_EVAL => 'ALL', 
            P_CONDITION_EVAL => 'ALL', 
            P_PREREQUISITE_EVAL => 'ALL', 
            P_ACTION_PAGE => null, 
            P_EVENT_CODE => 'RECALLED');
V_RULES(V_RULES.LAST) := V_RULE0_SID;
V_RULE_COMPONENTS.EXTEND;
V_RULE0_COMPONENT_SID:=ACM_MDE3.Import_Rule_Initiator(P_RULE_SID => V_RULE0_SID,
            P_INITIATOR_CODE => 'HAS_PRIV', 
            P_PRIVILEGE_CODE => 'FILE.IRMO.SAVE');
V_RULE_COMPONENTS(V_RULE_COMPONENTS.LAST) := V_RULE0_COMPONENT_SID;
V_RULE_COMPONENTS.EXTEND;
V_RULE0_COMPONENT_SID:=ACM_MDE3.Import_Rule_Initiator(P_RULE_SID => V_RULE0_SID,
            P_INITIATOR_CODE => 'IS_DEFAULT_DATA_GROUP', 
            P_PRIVILEGE_CODE => null);
V_RULE_COMPONENTS(V_RULE_COMPONENTS.LAST) := V_RULE0_COMPONENT_SID;
V_RULE_COMPONENTS.EXTEND;
V_RULE0_COMPONENT_SID:=ACM_MDE3.Import_Rule_Initiator(P_RULE_SID => V_RULE0_SID,
            P_INITIATOR_CODE => 'INDIV_STAKEHOLDER', 
            P_PRIVILEGE_CODE => null);
V_RULE_COMPONENTS(V_RULE_COMPONENTS.LAST) := V_RULE0_COMPONENT_SID;
V_RULE_COMPONENTS.EXTEND;
V_RULE0_COMPONENT_SID:=ACM_MDE3.Import_Rule_Condition(P_RULE_SID => V_RULE0_SID,
            P_CONDITION_CODE => 'IS_NOT_CLOSED',
            P_REGION_ID => null);
V_RULE_COMPONENTS(V_RULE_COMPONENTS.LAST) := V_RULE0_COMPONENT_SID;
ACM_MDE3.DELETE_RULE_COMPONENTS(P_RULE_SID => V_RULE0_SID, P_EXCEPT_FOR_THESE => V_RULE_COMPONENTS);
-------------------------------------------------------------------
exception
    when OTHERS then
        raise;
end;
/



set scan off
declare
  V_OBJ_TYPE_CODE                   VARCHAR2(300);
  V_RULE0_SID                       T_ACM_RULE.SID%TYPE; -- RULE CHOSEN FOR EXPORT
  V_RULE0_COMPONENT_SID             T_ACM_RULE.SID%TYPE; -- RULE CHOSEN FOR EXPORT
  V_RULES                           T_NUM_ARRAY := T_NUM_ARRAY(); -- 
  V_RULE_COMPONENTS                 T_NUM_ARRAY := T_NUM_ARRAY(); -- 
begin
V_OBJ_TYPE_CODE := 'FILE.IRMO';
V_RULES.EXTEND;
V_RULE0_SID:=ACM_MDE3.Import_Rule(P_OBJ_TYPE_CODE => V_OBJ_TYPE_CODE, 
            P_RULE_TYPE => 'POST', 
            P_STATUS_CODE => 'AWAIT_REGNL_APROVE', 
            P_DISPLAY => 'Recall File', 
            P_ACTIVE => 'Y', 
            P_SEQ => 1, 
            P_RULE_MIN => null, 
            P_RULE_MAX => null, 
            P_INITIATOR_EVAL => 'ALL', 
            P_CONDITION_EVAL => 'ALL', 
            P_PREREQUISITE_EVAL => 'ALL', 
            P_ACTION_PAGE => 20, 
            P_EVENT_CODE => 'RECALLED');
V_RULES(V_RULES.LAST) := V_RULE0_SID;
V_RULE_COMPONENTS.EXTEND;
V_RULE0_COMPONENT_SID:=ACM_MDE3.Import_Rule_Process(P_RULE_SID => V_RULE0_SID,
            P_PROCESS_CODE => 'CHANGE_STATUS',
            P_SEQ => 1, 
            P_STATUS_CODE => 'NEW', 
            P_NOTIF_TYPE_CODE => null);
V_RULE_COMPONENTS(V_RULE_COMPONENTS.LAST) := V_RULE0_COMPONENT_SID;
ACM_MDE3.DELETE_RULE_COMPONENTS(P_RULE_SID => V_RULE0_SID, P_EXCEPT_FOR_THESE => V_RULE_COMPONENTS);
-------------------------------------------------------------------
exception
    when OTHERS then
        raise;
end;
/



set scan off
declare
  V_OBJ_TYPE_CODE                   VARCHAR2(300);
  V_RULE0_SID                       T_ACM_RULE.SID%TYPE; -- RULE CHOSEN FOR EXPORT
  V_RULE0_COMPONENT_SID             T_ACM_RULE.SID%TYPE; -- RULE CHOSEN FOR EXPORT
  V_RULES                           T_NUM_ARRAY := T_NUM_ARRAY(); -- 
  V_RULE_COMPONENTS                 T_NUM_ARRAY := T_NUM_ARRAY(); -- 
begin
V_OBJ_TYPE_CODE := 'FILE.IRMO';
V_RULES.EXTEND;
V_RULE0_SID:=ACM_MDE3.Import_Rule(P_OBJ_TYPE_CODE => V_OBJ_TYPE_CODE, 
            P_RULE_TYPE => 'PRE', 
            P_STATUS_CODE => 'AWAIT_HQ_APROVE', 
            P_DISPLAY => 'Reject File', 
            P_ACTIVE => 'Y', 
            P_SEQ => 1, 
            P_RULE_MIN => null, 
            P_RULE_MAX => null, 
            P_INITIATOR_EVAL => 'ALL', 
            P_CONDITION_EVAL => 'ALL', 
            P_PREREQUISITE_EVAL => 'ALL', 
            P_ACTION_PAGE => null, 
            P_EVENT_CODE => 'REJECTED');
V_RULES(V_RULES.LAST) := V_RULE0_SID;
V_RULE_COMPONENTS.EXTEND;
V_RULE0_COMPONENT_SID:=ACM_MDE3.Import_Rule_Initiator(P_RULE_SID => V_RULE0_SID,
            P_INITIATOR_CODE => 'IS_DEFAULT_DATA_GROUP', 
            P_PRIVILEGE_CODE => null);
V_RULE_COMPONENTS(V_RULE_COMPONENTS.LAST) := V_RULE0_COMPONENT_SID;
V_RULE_COMPONENTS.EXTEND;
V_RULE0_COMPONENT_SID:=ACM_MDE3.Import_Rule_Initiator(P_RULE_SID => V_RULE0_SID,
            P_INITIATOR_CODE => 'HAS_PRIV', 
            P_PRIVILEGE_CODE => 'FILE.IRMO.HQ_APPROVE');
V_RULE_COMPONENTS(V_RULE_COMPONENTS.LAST) := V_RULE0_COMPONENT_SID;
V_RULE_COMPONENTS.EXTEND;
V_RULE0_COMPONENT_SID:=ACM_MDE3.Import_Rule_Condition(P_RULE_SID => V_RULE0_SID,
            P_CONDITION_CODE => 'IS_NOT_CLOSED',
            P_REGION_ID => null);
V_RULE_COMPONENTS(V_RULE_COMPONENTS.LAST) := V_RULE0_COMPONENT_SID;
ACM_MDE3.DELETE_RULE_COMPONENTS(P_RULE_SID => V_RULE0_SID, P_EXCEPT_FOR_THESE => V_RULE_COMPONENTS);
-------------------------------------------------------------------
exception
    when OTHERS then
        raise;
end;
/



set scan off
declare
  V_OBJ_TYPE_CODE                   VARCHAR2(300);
  V_RULE0_SID                       T_ACM_RULE.SID%TYPE; -- RULE CHOSEN FOR EXPORT
  V_RULE0_COMPONENT_SID             T_ACM_RULE.SID%TYPE; -- RULE CHOSEN FOR EXPORT
  V_RULES                           T_NUM_ARRAY := T_NUM_ARRAY(); -- 
  V_RULE_COMPONENTS                 T_NUM_ARRAY := T_NUM_ARRAY(); -- 
begin
V_OBJ_TYPE_CODE := 'FILE.IRMO';
V_RULES.EXTEND;
V_RULE0_SID:=ACM_MDE3.Import_Rule(P_OBJ_TYPE_CODE => V_OBJ_TYPE_CODE, 
            P_RULE_TYPE => 'POST', 
            P_STATUS_CODE => 'AWAIT_HQ_APROVE', 
            P_DISPLAY => 'Reject File', 
            P_ACTIVE => 'Y', 
            P_SEQ => 1, 
            P_RULE_MIN => null, 
            P_RULE_MAX => null, 
            P_INITIATOR_EVAL => 'ALL', 
            P_CONDITION_EVAL => 'ALL', 
            P_PREREQUISITE_EVAL => 'ALL', 
            P_ACTION_PAGE => 20, 
            P_EVENT_CODE => 'REJECTED');
V_RULES(V_RULES.LAST) := V_RULE0_SID;
V_RULE_COMPONENTS.EXTEND;
V_RULE0_COMPONENT_SID:=ACM_MDE3.Import_Rule_Process(P_RULE_SID => V_RULE0_SID,
            P_PROCESS_CODE => 'CHANGE_STATUS',
            P_SEQ => 1, 
            P_STATUS_CODE => 'NEW', 
            P_NOTIF_TYPE_CODE => null);
V_RULE_COMPONENTS(V_RULE_COMPONENTS.LAST) := V_RULE0_COMPONENT_SID;
ACM_MDE3.DELETE_RULE_COMPONENTS(P_RULE_SID => V_RULE0_SID, P_EXCEPT_FOR_THESE => V_RULE_COMPONENTS);
-------------------------------------------------------------------
exception
    when OTHERS then
        raise;
end;
/



set scan off
declare
  V_OBJ_TYPE_CODE                   VARCHAR2(300);
  V_RULE0_SID                       T_ACM_RULE.SID%TYPE; -- RULE CHOSEN FOR EXPORT
  V_RULE0_COMPONENT_SID             T_ACM_RULE.SID%TYPE; -- RULE CHOSEN FOR EXPORT
  V_RULES                           T_NUM_ARRAY := T_NUM_ARRAY(); -- 
  V_RULE_COMPONENTS                 T_NUM_ARRAY := T_NUM_ARRAY(); -- 
begin
V_OBJ_TYPE_CODE := 'FILE.IRMO';
V_RULES.EXTEND;
V_RULE0_SID:=ACM_MDE3.Import_Rule(P_OBJ_TYPE_CODE => V_OBJ_TYPE_CODE, 
            P_RULE_TYPE => 'PRE', 
            P_STATUS_CODE => 'AWAIT_REGNL_APROVE', 
            P_DISPLAY => 'Reject File', 
            P_ACTIVE => 'Y', 
            P_SEQ => 1, 
            P_RULE_MIN => null, 
            P_RULE_MAX => null, 
            P_INITIATOR_EVAL => 'ALL', 
            P_CONDITION_EVAL => 'ALL', 
            P_PREREQUISITE_EVAL => 'ALL', 
            P_ACTION_PAGE => null, 
            P_EVENT_CODE => 'REJECTED');
V_RULES(V_RULES.LAST) := V_RULE0_SID;
V_RULE_COMPONENTS.EXTEND;
V_RULE0_COMPONENT_SID:=ACM_MDE3.Import_Rule_Initiator(P_RULE_SID => V_RULE0_SID,
            P_INITIATOR_CODE => 'HAS_PRIV', 
            P_PRIVILEGE_CODE => 'FILE.IRMO.APPROVE');
V_RULE_COMPONENTS(V_RULE_COMPONENTS.LAST) := V_RULE0_COMPONENT_SID;
V_RULE_COMPONENTS.EXTEND;
V_RULE0_COMPONENT_SID:=ACM_MDE3.Import_Rule_Initiator(P_RULE_SID => V_RULE0_SID,
            P_INITIATOR_CODE => 'IS_DEFAULT_DATA_GROUP', 
            P_PRIVILEGE_CODE => null);
V_RULE_COMPONENTS(V_RULE_COMPONENTS.LAST) := V_RULE0_COMPONENT_SID;
V_RULE_COMPONENTS.EXTEND;
V_RULE0_COMPONENT_SID:=ACM_MDE3.Import_Rule_Condition(P_RULE_SID => V_RULE0_SID,
            P_CONDITION_CODE => 'IS_NOT_CLOSED',
            P_REGION_ID => null);
V_RULE_COMPONENTS(V_RULE_COMPONENTS.LAST) := V_RULE0_COMPONENT_SID;
ACM_MDE3.DELETE_RULE_COMPONENTS(P_RULE_SID => V_RULE0_SID, P_EXCEPT_FOR_THESE => V_RULE_COMPONENTS);
-------------------------------------------------------------------
exception
    when OTHERS then
        raise;
end;
/



set scan off
declare
  V_OBJ_TYPE_CODE                   VARCHAR2(300);
  V_RULE0_SID                       T_ACM_RULE.SID%TYPE; -- RULE CHOSEN FOR EXPORT
  V_RULE0_COMPONENT_SID             T_ACM_RULE.SID%TYPE; -- RULE CHOSEN FOR EXPORT
  V_RULES                           T_NUM_ARRAY := T_NUM_ARRAY(); -- 
  V_RULE_COMPONENTS                 T_NUM_ARRAY := T_NUM_ARRAY(); -- 
begin
V_OBJ_TYPE_CODE := 'FILE.IRMO';
V_RULES.EXTEND;
V_RULE0_SID:=ACM_MDE3.Import_Rule(P_OBJ_TYPE_CODE => V_OBJ_TYPE_CODE, 
            P_RULE_TYPE => 'POST', 
            P_STATUS_CODE => 'AWAIT_REGNL_APROVE', 
            P_DISPLAY => 'Reject File', 
            P_ACTIVE => 'Y', 
            P_SEQ => 1, 
            P_RULE_MIN => null, 
            P_RULE_MAX => null, 
            P_INITIATOR_EVAL => 'ALL', 
            P_CONDITION_EVAL => 'ALL', 
            P_PREREQUISITE_EVAL => 'ALL', 
            P_ACTION_PAGE => 20, 
            P_EVENT_CODE => 'REJECTED');
V_RULES(V_RULES.LAST) := V_RULE0_SID;
V_RULE_COMPONENTS.EXTEND;
V_RULE0_COMPONENT_SID:=ACM_MDE3.Import_Rule_Process(P_RULE_SID => V_RULE0_SID,
            P_PROCESS_CODE => 'CHANGE_STATUS',
            P_SEQ => 1, 
            P_STATUS_CODE => 'NEW', 
            P_NOTIF_TYPE_CODE => null);
V_RULE_COMPONENTS(V_RULE_COMPONENTS.LAST) := V_RULE0_COMPONENT_SID;
ACM_MDE3.DELETE_RULE_COMPONENTS(P_RULE_SID => V_RULE0_SID, P_EXCEPT_FOR_THESE => V_RULE_COMPONENTS);
-------------------------------------------------------------------
exception
    when OTHERS then
        raise;
end;
/



set scan off
declare
  V_OBJ_TYPE_CODE                   VARCHAR2(300);
  V_RULE0_SID                       T_ACM_RULE.SID%TYPE; -- RULE CHOSEN FOR EXPORT
  V_RULE0_COMPONENT_SID             T_ACM_RULE.SID%TYPE; -- RULE CHOSEN FOR EXPORT
  V_RULES                           T_NUM_ARRAY := T_NUM_ARRAY(); -- 
  V_RULE_COMPONENTS                 T_NUM_ARRAY := T_NUM_ARRAY(); -- 
begin
V_OBJ_TYPE_CODE := 'FILE.IRMO';
V_RULES.EXTEND;
V_RULE0_SID:=ACM_MDE3.Import_Rule(P_OBJ_TYPE_CODE => V_OBJ_TYPE_CODE, 
            P_RULE_TYPE => 'PRE', 
            P_STATUS_CODE => null, 
            P_DISPLAY => 'Save File', 
            P_ACTIVE => 'Y', 
            P_SEQ => 1, 
            P_RULE_MIN => null, 
            P_RULE_MAX => null, 
            P_INITIATOR_EVAL => 'ALL', 
            P_CONDITION_EVAL => 'ALL', 
            P_PREREQUISITE_EVAL => 'ALL', 
            P_ACTION_PAGE => null, 
            P_EVENT_CODE => 'SAVED');
V_RULES(V_RULES.LAST) := V_RULE0_SID;
V_RULE_COMPONENTS.EXTEND;
V_RULE0_COMPONENT_SID:=ACM_MDE3.Import_Rule_Initiator(P_RULE_SID => V_RULE0_SID,
            P_INITIATOR_CODE => 'HAS_PRIV', 
            P_PRIVILEGE_CODE => 'FILE.IRMO.SAVE');
V_RULE_COMPONENTS(V_RULE_COMPONENTS.LAST) := V_RULE0_COMPONENT_SID;
V_RULE_COMPONENTS.EXTEND;
V_RULE0_COMPONENT_SID:=ACM_MDE3.Import_Rule_Initiator(P_RULE_SID => V_RULE0_SID,
            P_INITIATOR_CODE => 'IS_DEFAULT_DATA_GROUP', 
            P_PRIVILEGE_CODE => null);
V_RULE_COMPONENTS(V_RULE_COMPONENTS.LAST) := V_RULE0_COMPONENT_SID;
V_RULE_COMPONENTS.EXTEND;
V_RULE0_COMPONENT_SID:=ACM_MDE3.Import_Rule_Condition(P_RULE_SID => V_RULE0_SID,
            P_CONDITION_CODE => 'IS_NOT_CLOSED',
            P_REGION_ID => null);
V_RULE_COMPONENTS(V_RULE_COMPONENTS.LAST) := V_RULE0_COMPONENT_SID;
ACM_MDE3.DELETE_RULE_COMPONENTS(P_RULE_SID => V_RULE0_SID, P_EXCEPT_FOR_THESE => V_RULE_COMPONENTS);
-------------------------------------------------------------------
exception
    when OTHERS then
        raise;
end;
/



set scan off
declare
  V_OBJ_TYPE_CODE                   VARCHAR2(300);
  V_RULE0_SID                       T_ACM_RULE.SID%TYPE; -- RULE CHOSEN FOR EXPORT
  V_RULE0_COMPONENT_SID             T_ACM_RULE.SID%TYPE; -- RULE CHOSEN FOR EXPORT
  V_RULES                           T_NUM_ARRAY := T_NUM_ARRAY(); -- 
  V_RULE_COMPONENTS                 T_NUM_ARRAY := T_NUM_ARRAY(); -- 
begin
V_OBJ_TYPE_CODE := 'FILE.IRMO';
V_RULES.EXTEND;
V_RULE0_SID:=ACM_MDE3.Import_Rule(P_OBJ_TYPE_CODE => V_OBJ_TYPE_CODE, 
            P_RULE_TYPE => 'PRE', 
            P_STATUS_CODE => null, 
            P_DISPLAY => 'Edit Significant CI Matter', 
            P_ACTIVE => 'Y', 
            P_SEQ => 99, 
            P_RULE_MIN => null, 
            P_RULE_MAX => null, 
            P_INITIATOR_EVAL => 'ALL', 
            P_CONDITION_EVAL => 'ALL', 
            P_PREREQUISITE_EVAL => 'ALL', 
            P_ACTION_PAGE => null, 
            P_EVENT_CODE => 'HIPROF_EDITED');
V_RULES(V_RULES.LAST) := V_RULE0_SID;
V_RULE_COMPONENTS.EXTEND;
V_RULE0_COMPONENT_SID:=ACM_MDE3.Import_Rule_Initiator(P_RULE_SID => V_RULE0_SID,
            P_INITIATOR_CODE => 'HAS_PRIV', 
            P_PRIVILEGE_CODE => 'SYS.EDIT_HIPROF');
V_RULE_COMPONENTS(V_RULE_COMPONENTS.LAST) := V_RULE0_COMPONENT_SID;
V_RULE_COMPONENTS.EXTEND;
V_RULE0_COMPONENT_SID:=ACM_MDE3.Import_Rule_Initiator(P_RULE_SID => V_RULE0_SID,
            P_INITIATOR_CODE => 'IS_DEFAULT_DATA_GROUP', 
            P_PRIVILEGE_CODE => null);
V_RULE_COMPONENTS(V_RULE_COMPONENTS.LAST) := V_RULE0_COMPONENT_SID;
ACM_MDE3.DELETE_RULE_COMPONENTS(P_RULE_SID => V_RULE0_SID, P_EXCEPT_FOR_THESE => V_RULE_COMPONENTS);
-------------------------------------------------------------------
exception
    when OTHERS then
        raise;
end;
/



set scan off
declare
  V_OBJ_TYPE_CODE                   VARCHAR2(300);
  V_RULE0_SID                       T_ACM_RULE.SID%TYPE; -- RULE CHOSEN FOR EXPORT
  V_RULE0_COMPONENT_SID             T_ACM_RULE.SID%TYPE; -- RULE CHOSEN FOR EXPORT
  V_RULES                           T_NUM_ARRAY := T_NUM_ARRAY(); -- 
  V_RULE_COMPONENTS                 T_NUM_ARRAY := T_NUM_ARRAY(); -- 
begin
V_OBJ_TYPE_CODE := 'FILE.IRMO';
V_RULES.EXTEND;
V_RULE0_SID:=ACM_MDE3.Import_Rule(P_OBJ_TYPE_CODE => V_OBJ_TYPE_CODE, 
            P_RULE_TYPE => 'POST', 
            P_STATUS_CODE => null, 
            P_DISPLAY => 'Edit Significant CI Matter', 
            P_ACTIVE => 'Y', 
            P_SEQ => 1, 
            P_RULE_MIN => null, 
            P_RULE_MAX => null, 
            P_INITIATOR_EVAL => 'ALL', 
            P_CONDITION_EVAL => 'ALL', 
            P_PREREQUISITE_EVAL => 'ALL', 
            P_ACTION_PAGE => null, 
            P_EVENT_CODE => 'HIPROF_EDITED');
V_RULES(V_RULES.LAST) := V_RULE0_SID;
V_RULE_COMPONENTS.EXTEND;
V_RULE0_COMPONENT_SID:=ACM_MDE3.Import_Rule_Condition(P_RULE_SID => V_RULE0_SID,
            P_CONDITION_CODE => 'COND_INITIAL_HP_MARKING',
            P_REGION_ID => null);
V_RULE_COMPONENTS(V_RULE_COMPONENTS.LAST) := V_RULE0_COMPONENT_SID;
V_RULE_COMPONENTS.EXTEND;
V_RULE0_COMPONENT_SID:=ACM_MDE3.Import_Rule_Process(P_RULE_SID => V_RULE0_SID,
            P_PROCESS_CODE => 'NOTIFY_OBJ',
            P_SEQ => 2, 
            P_STATUS_CODE => null, 
            P_NOTIF_TYPE_CODE => 'FILE.HIPROF_ADDED');
V_RULE_COMPONENTS(V_RULE_COMPONENTS.LAST) := V_RULE0_COMPONENT_SID;
ACM_MDE3.DELETE_RULE_COMPONENTS(P_RULE_SID => V_RULE0_SID, P_EXCEPT_FOR_THESE => V_RULE_COMPONENTS);
-------------------------------------------------------------------
exception
    when OTHERS then
        raise;
end;
/



set scan off
declare
  V_OBJ_TYPE_CODE                   VARCHAR2(300);
  V_RULE0_SID                       T_ACM_RULE.SID%TYPE; -- RULE CHOSEN FOR EXPORT
  V_RULE0_COMPONENT_SID             T_ACM_RULE.SID%TYPE; -- RULE CHOSEN FOR EXPORT
  V_RULES                           T_NUM_ARRAY := T_NUM_ARRAY(); -- 
  V_RULE_COMPONENTS                 T_NUM_ARRAY := T_NUM_ARRAY(); -- 
begin
V_OBJ_TYPE_CODE := 'FILE.IRMO';
V_RULES.EXTEND;
V_RULE0_SID:=ACM_MDE3.Import_Rule(P_OBJ_TYPE_CODE => V_OBJ_TYPE_CODE, 
            P_RULE_TYPE => 'PRE', 
            P_STATUS_CODE => null, 
            P_DISPLAY => 'Add Stakeholders', 
            P_ACTIVE => 'Y', 
            P_SEQ => 1, 
            P_RULE_MIN => null, 
            P_RULE_MAX => null, 
            P_INITIATOR_EVAL => 'ALL', 
            P_CONDITION_EVAL => 'ALL', 
            P_PREREQUISITE_EVAL => 'ALL', 
            P_ACTION_PAGE => null, 
            P_EVENT_CODE => 'STAKEHOLDER_ADDED');
V_RULES(V_RULES.LAST) := V_RULE0_SID;
V_RULE_COMPONENTS.EXTEND;
V_RULE0_COMPONENT_SID:=ACM_MDE3.Import_Rule_Initiator(P_RULE_SID => V_RULE0_SID,
            P_INITIATOR_CODE => 'IS_DEFAULT_DATA_GROUP', 
            P_PRIVILEGE_CODE => null);
V_RULE_COMPONENTS(V_RULE_COMPONENTS.LAST) := V_RULE0_COMPONENT_SID;
V_RULE_COMPONENTS.EXTEND;
V_RULE0_COMPONENT_SID:=ACM_MDE3.Import_Rule_Initiator(P_RULE_SID => V_RULE0_SID,
            P_INITIATOR_CODE => 'HAS_PRIV', 
            P_PRIVILEGE_CODE => 'FILE.IRMO.SAVE');
V_RULE_COMPONENTS(V_RULE_COMPONENTS.LAST) := V_RULE0_COMPONENT_SID;
V_RULE_COMPONENTS.EXTEND;
V_RULE0_COMPONENT_SID:=ACM_MDE3.Import_Rule_Condition(P_RULE_SID => V_RULE0_SID,
            P_CONDITION_CODE => 'IS_NOT_CLOSED',
            P_REGION_ID => null);
V_RULE_COMPONENTS(V_RULE_COMPONENTS.LAST) := V_RULE0_COMPONENT_SID;
ACM_MDE3.DELETE_RULE_COMPONENTS(P_RULE_SID => V_RULE0_SID, P_EXCEPT_FOR_THESE => V_RULE_COMPONENTS);
-------------------------------------------------------------------
exception
    when OTHERS then
        raise;
end;
/



set scan off
declare
  V_OBJ_TYPE_CODE                   VARCHAR2(300);
  V_RULE0_SID                       T_ACM_RULE.SID%TYPE; -- RULE CHOSEN FOR EXPORT
  V_RULE0_COMPONENT_SID             T_ACM_RULE.SID%TYPE; -- RULE CHOSEN FOR EXPORT
  V_RULES                           T_NUM_ARRAY := T_NUM_ARRAY(); -- 
  V_RULE_COMPONENTS                 T_NUM_ARRAY := T_NUM_ARRAY(); -- 
begin
V_OBJ_TYPE_CODE := 'FILE.IRMO';
V_RULES.EXTEND;
V_RULE0_SID:=ACM_MDE3.Import_Rule(P_OBJ_TYPE_CODE => V_OBJ_TYPE_CODE, 
            P_RULE_TYPE => 'POST', 
            P_STATUS_CODE => null, 
            P_DISPLAY => 'Stakeholder Added to File', 
            P_ACTIVE => 'Y', 
            P_SEQ => 1, 
            P_RULE_MIN => null, 
            P_RULE_MAX => null, 
            P_INITIATOR_EVAL => 'ALL', 
            P_CONDITION_EVAL => 'ALL', 
            P_PREREQUISITE_EVAL => 'ALL', 
            P_ACTION_PAGE => null, 
            P_EVENT_CODE => 'STAKEHOLDER_ADDED');
V_RULES(V_RULES.LAST) := V_RULE0_SID;
V_RULE_COMPONENTS.EXTEND;
V_RULE0_COMPONENT_SID:=ACM_MDE3.Import_Rule_Process(P_RULE_SID => V_RULE0_SID,
            P_PROCESS_CODE => 'NOTIFY_IOBJ',
            P_SEQ => 1, 
            P_STATUS_CODE => null, 
            P_NOTIF_TYPE_CODE => 'SELF.STAKE.ADDED');
V_RULE_COMPONENTS(V_RULE_COMPONENTS.LAST) := V_RULE0_COMPONENT_SID;
ACM_MDE3.DELETE_RULE_COMPONENTS(P_RULE_SID => V_RULE0_SID, P_EXCEPT_FOR_THESE => V_RULE_COMPONENTS);
-------------------------------------------------------------------
exception
    when OTHERS then
        raise;
end;
/



set scan off
declare
  V_OBJ_TYPE_CODE                   VARCHAR2(300);
  V_RULE0_SID                       T_ACM_RULE.SID%TYPE; -- RULE CHOSEN FOR EXPORT
  V_RULE0_COMPONENT_SID             T_ACM_RULE.SID%TYPE; -- RULE CHOSEN FOR EXPORT
  V_RULES                           T_NUM_ARRAY := T_NUM_ARRAY(); -- 
  V_RULE_COMPONENTS                 T_NUM_ARRAY := T_NUM_ARRAY(); -- 
begin
V_OBJ_TYPE_CODE := 'FILE.IRMO';
V_RULES.EXTEND;
V_RULE0_SID:=ACM_MDE3.Import_Rule(P_OBJ_TYPE_CODE => V_OBJ_TYPE_CODE, 
            P_RULE_TYPE => 'PRE', 
            P_STATUS_CODE => null, 
            P_DISPLAY => 'Delete Stakeholder', 
            P_ACTIVE => 'Y', 
            P_SEQ => 1, 
            P_RULE_MIN => null, 
            P_RULE_MAX => null, 
            P_INITIATOR_EVAL => 'ALL', 
            P_CONDITION_EVAL => 'ALL', 
            P_PREREQUISITE_EVAL => 'ALL', 
            P_ACTION_PAGE => null, 
            P_EVENT_CODE => 'STAKEHOLDER_DELETED');
V_RULES(V_RULES.LAST) := V_RULE0_SID;
V_RULE_COMPONENTS.EXTEND;
V_RULE0_COMPONENT_SID:=ACM_MDE3.Import_Rule_Initiator(P_RULE_SID => V_RULE0_SID,
            P_INITIATOR_CODE => 'HAS_PRIV', 
            P_PRIVILEGE_CODE => 'FILE.IRMO.SAVE');
V_RULE_COMPONENTS(V_RULE_COMPONENTS.LAST) := V_RULE0_COMPONENT_SID;
V_RULE_COMPONENTS.EXTEND;
V_RULE0_COMPONENT_SID:=ACM_MDE3.Import_Rule_Initiator(P_RULE_SID => V_RULE0_SID,
            P_INITIATOR_CODE => 'IS_DEFAULT_DATA_GROUP', 
            P_PRIVILEGE_CODE => null);
V_RULE_COMPONENTS(V_RULE_COMPONENTS.LAST) := V_RULE0_COMPONENT_SID;
V_RULE_COMPONENTS.EXTEND;
V_RULE0_COMPONENT_SID:=ACM_MDE3.Import_Rule_Condition(P_RULE_SID => V_RULE0_SID,
            P_CONDITION_CODE => 'IS_NOT_CLOSED',
            P_REGION_ID => null);
V_RULE_COMPONENTS(V_RULE_COMPONENTS.LAST) := V_RULE0_COMPONENT_SID;
ACM_MDE3.DELETE_RULE_COMPONENTS(P_RULE_SID => V_RULE0_SID, P_EXCEPT_FOR_THESE => V_RULE_COMPONENTS);
-------------------------------------------------------------------
exception
    when OTHERS then
        raise;
end;
/



set scan off
declare
  V_OBJ_TYPE_CODE                   VARCHAR2(300);
  V_RULE0_SID                       T_ACM_RULE.SID%TYPE; -- RULE CHOSEN FOR EXPORT
  V_RULE0_COMPONENT_SID             T_ACM_RULE.SID%TYPE; -- RULE CHOSEN FOR EXPORT
  V_RULES                           T_NUM_ARRAY := T_NUM_ARRAY(); -- 
  V_RULE_COMPONENTS                 T_NUM_ARRAY := T_NUM_ARRAY(); -- 
begin
V_OBJ_TYPE_CODE := 'FILE.IRMO';
V_RULES.EXTEND;
V_RULE0_SID:=ACM_MDE3.Import_Rule(P_OBJ_TYPE_CODE => V_OBJ_TYPE_CODE, 
            P_RULE_TYPE => 'PRE', 
            P_STATUS_CODE => null, 
            P_DISPLAY => 'Edit Stakeholder', 
            P_ACTIVE => 'Y', 
            P_SEQ => 1, 
            P_RULE_MIN => null, 
            P_RULE_MAX => null, 
            P_INITIATOR_EVAL => 'ALL', 
            P_CONDITION_EVAL => 'ALL', 
            P_PREREQUISITE_EVAL => 'ALL', 
            P_ACTION_PAGE => null, 
            P_EVENT_CODE => 'STAKEHOLDER_EDITED');
V_RULES(V_RULES.LAST) := V_RULE0_SID;
V_RULE_COMPONENTS.EXTEND;
V_RULE0_COMPONENT_SID:=ACM_MDE3.Import_Rule_Initiator(P_RULE_SID => V_RULE0_SID,
            P_INITIATOR_CODE => 'HAS_PRIV', 
            P_PRIVILEGE_CODE => 'FILE.IRMO.SAVE');
V_RULE_COMPONENTS(V_RULE_COMPONENTS.LAST) := V_RULE0_COMPONENT_SID;
V_RULE_COMPONENTS.EXTEND;
V_RULE0_COMPONENT_SID:=ACM_MDE3.Import_Rule_Initiator(P_RULE_SID => V_RULE0_SID,
            P_INITIATOR_CODE => 'IS_DEFAULT_DATA_GROUP', 
            P_PRIVILEGE_CODE => null);
V_RULE_COMPONENTS(V_RULE_COMPONENTS.LAST) := V_RULE0_COMPONENT_SID;
V_RULE_COMPONENTS.EXTEND;
V_RULE0_COMPONENT_SID:=ACM_MDE3.Import_Rule_Condition(P_RULE_SID => V_RULE0_SID,
            P_CONDITION_CODE => 'IS_NOT_CLOSED',
            P_REGION_ID => null);
V_RULE_COMPONENTS(V_RULE_COMPONENTS.LAST) := V_RULE0_COMPONENT_SID;
ACM_MDE3.DELETE_RULE_COMPONENTS(P_RULE_SID => V_RULE0_SID, P_EXCEPT_FOR_THESE => V_RULE_COMPONENTS);
-------------------------------------------------------------------
exception
    when OTHERS then
        raise;
end;
/



set scan off
declare
  V_OBJ_TYPE_CODE                   VARCHAR2(300);
  V_RULE0_SID                       T_ACM_RULE.SID%TYPE; -- RULE CHOSEN FOR EXPORT
  V_RULE0_COMPONENT_SID             T_ACM_RULE.SID%TYPE; -- RULE CHOSEN FOR EXPORT
  V_RULES                           T_NUM_ARRAY := T_NUM_ARRAY(); -- 
  V_RULE_COMPONENTS                 T_NUM_ARRAY := T_NUM_ARRAY(); -- 
begin
V_OBJ_TYPE_CODE := 'FILE.IRMO';
V_RULES.EXTEND;
V_RULE0_SID:=ACM_MDE3.Import_Rule(P_OBJ_TYPE_CODE => V_OBJ_TYPE_CODE, 
            P_RULE_TYPE => 'PRE', 
            P_STATUS_CODE => null, 
            P_DISPLAY => 'Add Subject', 
            P_ACTIVE => 'Y', 
            P_SEQ => 1, 
            P_RULE_MIN => null, 
            P_RULE_MAX => null, 
            P_INITIATOR_EVAL => 'ALL', 
            P_CONDITION_EVAL => 'ALL', 
            P_PREREQUISITE_EVAL => 'ALL', 
            P_ACTION_PAGE => null, 
            P_EVENT_CODE => 'SUBJECT_ADDED');
V_RULES(V_RULES.LAST) := V_RULE0_SID;
V_RULE_COMPONENTS.EXTEND;
V_RULE0_COMPONENT_SID:=ACM_MDE3.Import_Rule_Initiator(P_RULE_SID => V_RULE0_SID,
            P_INITIATOR_CODE => 'HAS_PRIV', 
            P_PRIVILEGE_CODE => 'FILE.IRMO.SAVE');
V_RULE_COMPONENTS(V_RULE_COMPONENTS.LAST) := V_RULE0_COMPONENT_SID;
V_RULE_COMPONENTS.EXTEND;
V_RULE0_COMPONENT_SID:=ACM_MDE3.Import_Rule_Initiator(P_RULE_SID => V_RULE0_SID,
            P_INITIATOR_CODE => 'IS_DEFAULT_DATA_GROUP', 
            P_PRIVILEGE_CODE => null);
V_RULE_COMPONENTS(V_RULE_COMPONENTS.LAST) := V_RULE0_COMPONENT_SID;
V_RULE_COMPONENTS.EXTEND;
V_RULE0_COMPONENT_SID:=ACM_MDE3.Import_Rule_Condition(P_RULE_SID => V_RULE0_SID,
            P_CONDITION_CODE => 'IS_NOT_CLOSED',
            P_REGION_ID => null);
V_RULE_COMPONENTS(V_RULE_COMPONENTS.LAST) := V_RULE0_COMPONENT_SID;
ACM_MDE3.DELETE_RULE_COMPONENTS(P_RULE_SID => V_RULE0_SID, P_EXCEPT_FOR_THESE => V_RULE_COMPONENTS);
-------------------------------------------------------------------
exception
    when OTHERS then
        raise;
end;
/



set scan off
declare
  V_OBJ_TYPE_CODE                   VARCHAR2(300);
  V_RULE0_SID                       T_ACM_RULE.SID%TYPE; -- RULE CHOSEN FOR EXPORT
  V_RULE0_COMPONENT_SID             T_ACM_RULE.SID%TYPE; -- RULE CHOSEN FOR EXPORT
  V_RULES                           T_NUM_ARRAY := T_NUM_ARRAY(); -- 
  V_RULE_COMPONENTS                 T_NUM_ARRAY := T_NUM_ARRAY(); -- 
begin
V_OBJ_TYPE_CODE := 'FILE.IRMO';
V_RULES.EXTEND;
V_RULE0_SID:=ACM_MDE3.Import_Rule(P_OBJ_TYPE_CODE => V_OBJ_TYPE_CODE, 
            P_RULE_TYPE => 'PRE', 
            P_STATUS_CODE => null, 
            P_DISPLAY => 'Delete Subject', 
            P_ACTIVE => 'Y', 
            P_SEQ => 1, 
            P_RULE_MIN => null, 
            P_RULE_MAX => null, 
            P_INITIATOR_EVAL => 'ALL', 
            P_CONDITION_EVAL => 'ALL', 
            P_PREREQUISITE_EVAL => 'ALL', 
            P_ACTION_PAGE => null, 
            P_EVENT_CODE => 'SUBJECT_DELETED');
V_RULES(V_RULES.LAST) := V_RULE0_SID;
V_RULE_COMPONENTS.EXTEND;
V_RULE0_COMPONENT_SID:=ACM_MDE3.Import_Rule_Initiator(P_RULE_SID => V_RULE0_SID,
            P_INITIATOR_CODE => 'HAS_PRIV', 
            P_PRIVILEGE_CODE => 'FILE.IRMO.SAVE');
V_RULE_COMPONENTS(V_RULE_COMPONENTS.LAST) := V_RULE0_COMPONENT_SID;
V_RULE_COMPONENTS.EXTEND;
V_RULE0_COMPONENT_SID:=ACM_MDE3.Import_Rule_Initiator(P_RULE_SID => V_RULE0_SID,
            P_INITIATOR_CODE => 'IS_DEFAULT_DATA_GROUP', 
            P_PRIVILEGE_CODE => null);
V_RULE_COMPONENTS(V_RULE_COMPONENTS.LAST) := V_RULE0_COMPONENT_SID;
V_RULE_COMPONENTS.EXTEND;
V_RULE0_COMPONENT_SID:=ACM_MDE3.Import_Rule_Condition(P_RULE_SID => V_RULE0_SID,
            P_CONDITION_CODE => 'IS_NOT_CLOSED',
            P_REGION_ID => null);
V_RULE_COMPONENTS(V_RULE_COMPONENTS.LAST) := V_RULE0_COMPONENT_SID;
ACM_MDE3.DELETE_RULE_COMPONENTS(P_RULE_SID => V_RULE0_SID, P_EXCEPT_FOR_THESE => V_RULE_COMPONENTS);
-------------------------------------------------------------------
exception
    when OTHERS then
        raise;
end;
/



set scan off
declare
  V_OBJ_TYPE_CODE                   VARCHAR2(300);
  V_RULE0_SID                       T_ACM_RULE.SID%TYPE; -- RULE CHOSEN FOR EXPORT
  V_RULE0_COMPONENT_SID             T_ACM_RULE.SID%TYPE; -- RULE CHOSEN FOR EXPORT
  V_RULES                           T_NUM_ARRAY := T_NUM_ARRAY(); -- 
  V_RULE_COMPONENTS                 T_NUM_ARRAY := T_NUM_ARRAY(); -- 
begin
V_OBJ_TYPE_CODE := 'FILE.IRMO';
V_RULES.EXTEND;
V_RULE0_SID:=ACM_MDE3.Import_Rule(P_OBJ_TYPE_CODE => V_OBJ_TYPE_CODE, 
            P_RULE_TYPE => 'PRE', 
            P_STATUS_CODE => null, 
            P_DISPLAY => 'Edit Subject', 
            P_ACTIVE => 'Y', 
            P_SEQ => 1, 
            P_RULE_MIN => null, 
            P_RULE_MAX => null, 
            P_INITIATOR_EVAL => 'ALL', 
            P_CONDITION_EVAL => 'ALL', 
            P_PREREQUISITE_EVAL => 'ALL', 
            P_ACTION_PAGE => null, 
            P_EVENT_CODE => 'SUBJECT_EDITED');
V_RULES(V_RULES.LAST) := V_RULE0_SID;
V_RULE_COMPONENTS.EXTEND;
V_RULE0_COMPONENT_SID:=ACM_MDE3.Import_Rule_Initiator(P_RULE_SID => V_RULE0_SID,
            P_INITIATOR_CODE => 'IS_DEFAULT_DATA_GROUP', 
            P_PRIVILEGE_CODE => null);
V_RULE_COMPONENTS(V_RULE_COMPONENTS.LAST) := V_RULE0_COMPONENT_SID;
V_RULE_COMPONENTS.EXTEND;
V_RULE0_COMPONENT_SID:=ACM_MDE3.Import_Rule_Initiator(P_RULE_SID => V_RULE0_SID,
            P_INITIATOR_CODE => 'HAS_PRIV', 
            P_PRIVILEGE_CODE => 'FILE.IRMO.SAVE');
V_RULE_COMPONENTS(V_RULE_COMPONENTS.LAST) := V_RULE0_COMPONENT_SID;
V_RULE_COMPONENTS.EXTEND;
V_RULE0_COMPONENT_SID:=ACM_MDE3.Import_Rule_Condition(P_RULE_SID => V_RULE0_SID,
            P_CONDITION_CODE => 'IS_NOT_CLOSED',
            P_REGION_ID => null);
V_RULE_COMPONENTS(V_RULE_COMPONENTS.LAST) := V_RULE0_COMPONENT_SID;
ACM_MDE3.DELETE_RULE_COMPONENTS(P_RULE_SID => V_RULE0_SID, P_EXCEPT_FOR_THESE => V_RULE_COMPONENTS);
-------------------------------------------------------------------
exception
    when OTHERS then
        raise;
end;
/



set scan off
declare
  V_OBJ_TYPE_CODE                   VARCHAR2(300);
  V_RULE0_SID                       T_ACM_RULE.SID%TYPE; -- RULE CHOSEN FOR EXPORT
  V_RULE0_COMPONENT_SID             T_ACM_RULE.SID%TYPE; -- RULE CHOSEN FOR EXPORT
  V_RULES                           T_NUM_ARRAY := T_NUM_ARRAY(); -- 
  V_RULE_COMPONENTS                 T_NUM_ARRAY := T_NUM_ARRAY(); -- 
begin
V_OBJ_TYPE_CODE := 'FILE.IRMO';
V_RULES.EXTEND;
V_RULE0_SID:=ACM_MDE3.Import_Rule(P_OBJ_TYPE_CODE => V_OBJ_TYPE_CODE, 
            P_RULE_TYPE => 'PRE', 
            P_STATUS_CODE => 'AWAIT_HQ_APROVE', 
            P_DISPLAY => 'Submit for Reaction', 
            P_ACTIVE => 'Y', 
            P_SEQ => 1, 
            P_RULE_MIN => null, 
            P_RULE_MAX => null, 
            P_INITIATOR_EVAL => 'ALL', 
            P_CONDITION_EVAL => 'ALL', 
            P_PREREQUISITE_EVAL => 'ALL', 
            P_ACTION_PAGE => null, 
            P_EVENT_CODE => 'SUBMITTED');
V_RULES(V_RULES.LAST) := V_RULE0_SID;
V_RULE_COMPONENTS.EXTEND;
V_RULE0_COMPONENT_SID:=ACM_MDE3.Import_Rule_Initiator(P_RULE_SID => V_RULE0_SID,
            P_INITIATOR_CODE => 'IS_DEFAULT_DATA_GROUP', 
            P_PRIVILEGE_CODE => null);
V_RULE_COMPONENTS(V_RULE_COMPONENTS.LAST) := V_RULE0_COMPONENT_SID;
V_RULE_COMPONENTS.EXTEND;
V_RULE0_COMPONENT_SID:=ACM_MDE3.Import_Rule_Initiator(P_RULE_SID => V_RULE0_SID,
            P_INITIATOR_CODE => 'HAS_PRIV', 
            P_PRIVILEGE_CODE => 'FILE.IRMO.HQ_APPROVE');
V_RULE_COMPONENTS(V_RULE_COMPONENTS.LAST) := V_RULE0_COMPONENT_SID;
V_RULE_COMPONENTS.EXTEND;
V_RULE0_COMPONENT_SID:=ACM_MDE3.Import_Rule_Condition(P_RULE_SID => V_RULE0_SID,
            P_CONDITION_CODE => 'IS_NOT_CLOSED',
            P_REGION_ID => null);
V_RULE_COMPONENTS(V_RULE_COMPONENTS.LAST) := V_RULE0_COMPONENT_SID;
V_RULE_COMPONENTS.EXTEND;
V_RULE0_COMPONENT_SID:=ACM_MDE3.Import_Rule_Condition(P_RULE_SID => V_RULE0_SID,
            P_CONDITION_CODE => 'COND_HAS_HQ_REC',
            P_REGION_ID => 'R2180_RECOMMENDATIONS');
V_RULE_COMPONENTS(V_RULE_COMPONENTS.LAST) := V_RULE0_COMPONENT_SID;
V_RULE_COMPONENTS.EXTEND;
V_RULE0_COMPONENT_SID:=ACM_MDE3.Import_Rule_Condition(P_RULE_SID => V_RULE0_SID,
            P_CONDITION_CODE => 'HAS_COMPONENT',
            P_REGION_ID => 'R2180_DHS_COMPONENTS');
V_RULE_COMPONENTS(V_RULE_COMPONENTS.LAST) := V_RULE0_COMPONENT_SID;
ACM_MDE3.DELETE_RULE_COMPONENTS(P_RULE_SID => V_RULE0_SID, P_EXCEPT_FOR_THESE => V_RULE_COMPONENTS);
-------------------------------------------------------------------
exception
    when OTHERS then
        raise;
end;
/



set scan off
declare
  V_OBJ_TYPE_CODE                   VARCHAR2(300);
  V_RULE0_SID                       T_ACM_RULE.SID%TYPE; -- RULE CHOSEN FOR EXPORT
  V_RULE0_COMPONENT_SID             T_ACM_RULE.SID%TYPE; -- RULE CHOSEN FOR EXPORT
  V_RULES                           T_NUM_ARRAY := T_NUM_ARRAY(); -- 
  V_RULE_COMPONENTS                 T_NUM_ARRAY := T_NUM_ARRAY(); -- 
begin
V_OBJ_TYPE_CODE := 'FILE.IRMO';
V_RULES.EXTEND;
V_RULE0_SID:=ACM_MDE3.Import_Rule(P_OBJ_TYPE_CODE => V_OBJ_TYPE_CODE, 
            P_RULE_TYPE => 'POST', 
            P_STATUS_CODE => 'AWAIT_HQ_APROVE', 
            P_DISPLAY => 'Submit for Reaction', 
            P_ACTIVE => 'Y', 
            P_SEQ => 1, 
            P_RULE_MIN => null, 
            P_RULE_MAX => null, 
            P_INITIATOR_EVAL => 'ALL', 
            P_CONDITION_EVAL => 'ALL', 
            P_PREREQUISITE_EVAL => 'ALL', 
            P_ACTION_PAGE => 20, 
            P_EVENT_CODE => 'SUBMITTED');
V_RULES(V_RULES.LAST) := V_RULE0_SID;
V_RULE_COMPONENTS.EXTEND;
V_RULE0_COMPONENT_SID:=ACM_MDE3.Import_Rule_Process(P_RULE_SID => V_RULE0_SID,
            P_PROCESS_CODE => 'CHANGE_STATUS',
            P_SEQ => 1, 
            P_STATUS_CODE => 'AWAIT_LEAD_REACT', 
            P_NOTIF_TYPE_CODE => null);
V_RULE_COMPONENTS(V_RULE_COMPONENTS.LAST) := V_RULE0_COMPONENT_SID;
V_RULE_COMPONENTS.EXTEND;
V_RULE0_COMPONENT_SID:=ACM_MDE3.Import_Rule_Process(P_RULE_SID => V_RULE0_SID,
            P_PROCESS_CODE => 'CREATE_NEW_INQ_INV',
            P_SEQ => 2, 
            P_STATUS_CODE => null, 
            P_NOTIF_TYPE_CODE => null);
V_RULE_COMPONENTS(V_RULE_COMPONENTS.LAST) := V_RULE0_COMPONENT_SID;
V_RULE_COMPONENTS.EXTEND;
V_RULE0_COMPONENT_SID:=ACM_MDE3.Import_Rule_Process(P_RULE_SID => V_RULE0_SID,
            P_PROCESS_CODE => 'SET_NEXT_DUE_DATE',
            P_SEQ => 3, 
            P_STATUS_CODE => null, 
            P_NOTIF_TYPE_CODE => null);
V_RULE_COMPONENTS(V_RULE_COMPONENTS.LAST) := V_RULE0_COMPONENT_SID;
ACM_MDE3.DELETE_RULE_COMPONENTS(P_RULE_SID => V_RULE0_SID, P_EXCEPT_FOR_THESE => V_RULE_COMPONENTS);
-------------------------------------------------------------------
exception
    when OTHERS then
        raise;
end;
/



set scan off
declare
  V_OBJ_TYPE_CODE                   VARCHAR2(300);
  V_RULE0_SID                       T_ACM_RULE.SID%TYPE; -- RULE CHOSEN FOR EXPORT
  V_RULE0_COMPONENT_SID             T_ACM_RULE.SID%TYPE; -- RULE CHOSEN FOR EXPORT
  V_RULES                           T_NUM_ARRAY := T_NUM_ARRAY(); -- 
  V_RULE_COMPONENTS                 T_NUM_ARRAY := T_NUM_ARRAY(); -- 
begin
V_OBJ_TYPE_CODE := 'FILE.IRMO';
V_RULES.EXTEND;
V_RULE0_SID:=ACM_MDE3.Import_Rule(P_OBJ_TYPE_CODE => V_OBJ_TYPE_CODE, 
            P_RULE_TYPE => 'PRE', 
            P_STATUS_CODE => 'AWAIT_REGNL_APROVE', 
            P_DISPLAY => 'Submit for HQ Review', 
            P_ACTIVE => 'Y', 
            P_SEQ => 1, 
            P_RULE_MIN => null, 
            P_RULE_MAX => null, 
            P_INITIATOR_EVAL => 'ALL', 
            P_CONDITION_EVAL => 'ALL', 
            P_PREREQUISITE_EVAL => 'ALL', 
            P_ACTION_PAGE => null, 
            P_EVENT_CODE => 'SUBMITTED');
V_RULES(V_RULES.LAST) := V_RULE0_SID;
V_RULE_COMPONENTS.EXTEND;
V_RULE0_COMPONENT_SID:=ACM_MDE3.Import_Rule_Initiator(P_RULE_SID => V_RULE0_SID,
            P_INITIATOR_CODE => 'IS_DEFAULT_DATA_GROUP', 
            P_PRIVILEGE_CODE => null);
V_RULE_COMPONENTS(V_RULE_COMPONENTS.LAST) := V_RULE0_COMPONENT_SID;
V_RULE_COMPONENTS.EXTEND;
V_RULE0_COMPONENT_SID:=ACM_MDE3.Import_Rule_Initiator(P_RULE_SID => V_RULE0_SID,
            P_INITIATOR_CODE => 'HAS_PRIV', 
            P_PRIVILEGE_CODE => 'FILE.IRMO.APPROVE');
V_RULE_COMPONENTS(V_RULE_COMPONENTS.LAST) := V_RULE0_COMPONENT_SID;
V_RULE_COMPONENTS.EXTEND;
V_RULE0_COMPONENT_SID:=ACM_MDE3.Import_Rule_Condition(P_RULE_SID => V_RULE0_SID,
            P_CONDITION_CODE => 'IS_NOT_CLOSED',
            P_REGION_ID => null);
V_RULE_COMPONENTS(V_RULE_COMPONENTS.LAST) := V_RULE0_COMPONENT_SID;
V_RULE_COMPONENTS.EXTEND;
V_RULE0_COMPONENT_SID:=ACM_MDE3.Import_Rule_Condition(P_RULE_SID => V_RULE0_SID,
            P_CONDITION_CODE => 'HAS_COMPONENT',
            P_REGION_ID => 'R2180_DHS_COMPONENTS');
V_RULE_COMPONENTS(V_RULE_COMPONENTS.LAST) := V_RULE0_COMPONENT_SID;
V_RULE_COMPONENTS.EXTEND;
V_RULE0_COMPONENT_SID:=ACM_MDE3.Import_Rule_Condition(P_RULE_SID => V_RULE0_SID,
            P_CONDITION_CODE => 'COND_HAS_REGIONAL_REC',
            P_REGION_ID => 'R2180_RECOMMENDATIONS');
V_RULE_COMPONENTS(V_RULE_COMPONENTS.LAST) := V_RULE0_COMPONENT_SID;
ACM_MDE3.DELETE_RULE_COMPONENTS(P_RULE_SID => V_RULE0_SID, P_EXCEPT_FOR_THESE => V_RULE_COMPONENTS);
-------------------------------------------------------------------
exception
    when OTHERS then
        raise;
end;
/



set scan off
declare
  V_OBJ_TYPE_CODE                   VARCHAR2(300);
  V_RULE0_SID                       T_ACM_RULE.SID%TYPE; -- RULE CHOSEN FOR EXPORT
  V_RULE0_COMPONENT_SID             T_ACM_RULE.SID%TYPE; -- RULE CHOSEN FOR EXPORT
  V_RULES                           T_NUM_ARRAY := T_NUM_ARRAY(); -- 
  V_RULE_COMPONENTS                 T_NUM_ARRAY := T_NUM_ARRAY(); -- 
begin
V_OBJ_TYPE_CODE := 'FILE.IRMO';
V_RULES.EXTEND;
V_RULE0_SID:=ACM_MDE3.Import_Rule(P_OBJ_TYPE_CODE => V_OBJ_TYPE_CODE, 
            P_RULE_TYPE => 'POST', 
            P_STATUS_CODE => 'AWAIT_REGNL_APROVE', 
            P_DISPLAY => 'Submit for HQ Review', 
            P_ACTIVE => 'Y', 
            P_SEQ => 1, 
            P_RULE_MIN => null, 
            P_RULE_MAX => null, 
            P_INITIATOR_EVAL => 'ALL', 
            P_CONDITION_EVAL => 'ALL', 
            P_PREREQUISITE_EVAL => 'ALL', 
            P_ACTION_PAGE => 20, 
            P_EVENT_CODE => 'SUBMITTED');
V_RULES(V_RULES.LAST) := V_RULE0_SID;
V_RULE_COMPONENTS.EXTEND;
V_RULE0_COMPONENT_SID:=ACM_MDE3.Import_Rule_Process(P_RULE_SID => V_RULE0_SID,
            P_PROCESS_CODE => 'CHANGE_STATUS',
            P_SEQ => 1, 
            P_STATUS_CODE => 'AWAIT_HQ_APROVE', 
            P_NOTIF_TYPE_CODE => null);
V_RULE_COMPONENTS(V_RULE_COMPONENTS.LAST) := V_RULE0_COMPONENT_SID;
V_RULE_COMPONENTS.EXTEND;
V_RULE0_COMPONENT_SID:=ACM_MDE3.Import_Rule_Process(P_RULE_SID => V_RULE0_SID,
            P_PROCESS_CODE => 'SET_NEXT_DUE_DATE',
            P_SEQ => 2, 
            P_STATUS_CODE => null, 
            P_NOTIF_TYPE_CODE => null);
V_RULE_COMPONENTS(V_RULE_COMPONENTS.LAST) := V_RULE0_COMPONENT_SID;
ACM_MDE3.DELETE_RULE_COMPONENTS(P_RULE_SID => V_RULE0_SID, P_EXCEPT_FOR_THESE => V_RULE_COMPONENTS);
-------------------------------------------------------------------
exception
    when OTHERS then
        raise;
end;
/



set scan off
declare
  V_OBJ_TYPE_CODE                   VARCHAR2(300);
  V_RULE0_SID                       T_ACM_RULE.SID%TYPE; -- RULE CHOSEN FOR EXPORT
  V_RULE0_COMPONENT_SID             T_ACM_RULE.SID%TYPE; -- RULE CHOSEN FOR EXPORT
  V_RULES                           T_NUM_ARRAY := T_NUM_ARRAY(); -- 
  V_RULE_COMPONENTS                 T_NUM_ARRAY := T_NUM_ARRAY(); -- 
begin
V_OBJ_TYPE_CODE := 'FILE.IRMO';
V_RULES.EXTEND;
V_RULE0_SID:=ACM_MDE3.Import_Rule(P_OBJ_TYPE_CODE => V_OBJ_TYPE_CODE, 
            P_RULE_TYPE => 'PRE', 
            P_STATUS_CODE => 'NEW', 
            P_DISPLAY => 'Submit for Regional Approval', 
            P_ACTIVE => 'Y', 
            P_SEQ => 1, 
            P_RULE_MIN => null, 
            P_RULE_MAX => null, 
            P_INITIATOR_EVAL => 'ALL', 
            P_CONDITION_EVAL => 'ALL', 
            P_PREREQUISITE_EVAL => 'ALL', 
            P_ACTION_PAGE => null, 
            P_EVENT_CODE => 'SUBMITTED');
V_RULES(V_RULES.LAST) := V_RULE0_SID;
V_RULE_COMPONENTS.EXTEND;
V_RULE0_COMPONENT_SID:=ACM_MDE3.Import_Rule_Initiator(P_RULE_SID => V_RULE0_SID,
            P_INITIATOR_CODE => 'INDIV_STAKEHOLDER', 
            P_PRIVILEGE_CODE => null);
V_RULE_COMPONENTS(V_RULE_COMPONENTS.LAST) := V_RULE0_COMPONENT_SID;
V_RULE_COMPONENTS.EXTEND;
V_RULE0_COMPONENT_SID:=ACM_MDE3.Import_Rule_Initiator(P_RULE_SID => V_RULE0_SID,
            P_INITIATOR_CODE => 'IS_DEFAULT_DATA_GROUP', 
            P_PRIVILEGE_CODE => null);
V_RULE_COMPONENTS(V_RULE_COMPONENTS.LAST) := V_RULE0_COMPONENT_SID;
V_RULE_COMPONENTS.EXTEND;
V_RULE0_COMPONENT_SID:=ACM_MDE3.Import_Rule_Initiator(P_RULE_SID => V_RULE0_SID,
            P_INITIATOR_CODE => 'HAS_PRIV', 
            P_PRIVILEGE_CODE => 'FILE.IRMO.SAVE');
V_RULE_COMPONENTS(V_RULE_COMPONENTS.LAST) := V_RULE0_COMPONENT_SID;
V_RULE_COMPONENTS.EXTEND;
V_RULE0_COMPONENT_SID:=ACM_MDE3.Import_Rule_Condition(P_RULE_SID => V_RULE0_SID,
            P_CONDITION_CODE => 'IS_NOT_CLOSED',
            P_REGION_ID => null);
V_RULE_COMPONENTS(V_RULE_COMPONENTS.LAST) := V_RULE0_COMPONENT_SID;
V_RULE_COMPONENTS.EXTEND;
V_RULE0_COMPONENT_SID:=ACM_MDE3.Import_Rule_Condition(P_RULE_SID => V_RULE0_SID,
            P_CONDITION_CODE => 'HAS_ALLEGATION',
            P_REGION_ID => 'R2180_CI_INCIDENT');
V_RULE_COMPONENTS(V_RULE_COMPONENTS.LAST) := V_RULE0_COMPONENT_SID;
V_RULE_COMPONENTS.EXTEND;
V_RULE0_COMPONENT_SID:=ACM_MDE3.Import_Rule_Condition(P_RULE_SID => V_RULE0_SID,
            P_CONDITION_CODE => 'SUBJECT_HAS_ETHNICITY',
            P_REGION_ID => 'R2180_PARTICIPANTS');
V_RULE_COMPONENTS(V_RULE_COMPONENTS.LAST) := V_RULE0_COMPONENT_SID;
V_RULE_COMPONENTS.EXTEND;
V_RULE0_COMPONENT_SID:=ACM_MDE3.Import_Rule_Condition(P_RULE_SID => V_RULE0_SID,
            P_CONDITION_CODE => 'SUBJECT_HAS_NATIONALITY',
            P_REGION_ID => 'R2180_PARTICIPANTS');
V_RULE_COMPONENTS(V_RULE_COMPONENTS.LAST) := V_RULE0_COMPONENT_SID;
V_RULE_COMPONENTS.EXTEND;
V_RULE0_COMPONENT_SID:=ACM_MDE3.Import_Rule_Condition(P_RULE_SID => V_RULE0_SID,
            P_CONDITION_CODE => 'SUBJECT_HAS_US_PERSON',
            P_REGION_ID => 'R2180_PARTICIPANTS');
V_RULE_COMPONENTS(V_RULE_COMPONENTS.LAST) := V_RULE0_COMPONENT_SID;
V_RULE_COMPONENTS.EXTEND;
V_RULE0_COMPONENT_SID:=ACM_MDE3.Import_Rule_Condition(P_RULE_SID => V_RULE0_SID,
            P_CONDITION_CODE => 'SUBJECT_HAS_CLEARANCE',
            P_REGION_ID => 'R2180_PARTICIPANTS');
V_RULE_COMPONENTS(V_RULE_COMPONENTS.LAST) := V_RULE0_COMPONENT_SID;
V_RULE_COMPONENTS.EXTEND;
V_RULE0_COMPONENT_SID:=ACM_MDE3.Import_Rule_Condition(P_RULE_SID => V_RULE0_SID,
            P_CONDITION_CODE => 'HAS_RECEIPT_METHOD',
            P_REGION_ID => 'R2180_FILE_DETAILS');
V_RULE_COMPONENTS(V_RULE_COMPONENTS.LAST) := V_RULE0_COMPONENT_SID;
V_RULE_COMPONENTS.EXTEND;
V_RULE0_COMPONENT_SID:=ACM_MDE3.Import_Rule_Condition(P_RULE_SID => V_RULE0_SID,
            P_CONDITION_CODE => 'HAS_COMPONENT',
            P_REGION_ID => 'R2180_DHS_COMPONENTS');
V_RULE_COMPONENTS(V_RULE_COMPONENTS.LAST) := V_RULE0_COMPONENT_SID;
V_RULE_COMPONENTS.EXTEND;
V_RULE0_COMPONENT_SID:=ACM_MDE3.Import_Rule_Condition(P_RULE_SID => V_RULE0_SID,
            P_CONDITION_CODE => 'COND_HAS_FIELD_REC',
            P_REGION_ID => 'R2180_RECOMMENDATIONS');
V_RULE_COMPONENTS(V_RULE_COMPONENTS.LAST) := V_RULE0_COMPONENT_SID;
V_RULE_COMPONENTS.EXTEND;
V_RULE0_COMPONENT_SID:=ACM_MDE3.Import_Rule_Condition(P_RULE_SID => V_RULE0_SID,
            P_CONDITION_CODE => 'SUBJECT_HAS_TRS_EMP',
            P_REGION_ID => 'R2180_PARTICIPANTS');
V_RULE_COMPONENTS(V_RULE_COMPONENTS.LAST) := V_RULE0_COMPONENT_SID;
ACM_MDE3.DELETE_RULE_COMPONENTS(P_RULE_SID => V_RULE0_SID, P_EXCEPT_FOR_THESE => V_RULE_COMPONENTS);
-------------------------------------------------------------------
exception
    when OTHERS then
        raise;
end;
/



set scan off
declare
  V_OBJ_TYPE_CODE                   VARCHAR2(300);
  V_RULE0_SID                       T_ACM_RULE.SID%TYPE; -- RULE CHOSEN FOR EXPORT
  V_RULE0_COMPONENT_SID             T_ACM_RULE.SID%TYPE; -- RULE CHOSEN FOR EXPORT
  V_RULES                           T_NUM_ARRAY := T_NUM_ARRAY(); -- 
  V_RULE_COMPONENTS                 T_NUM_ARRAY := T_NUM_ARRAY(); -- 
begin
V_OBJ_TYPE_CODE := 'FILE.IRMO';
V_RULES.EXTEND;
V_RULE0_SID:=ACM_MDE3.Import_Rule(P_OBJ_TYPE_CODE => V_OBJ_TYPE_CODE, 
            P_RULE_TYPE => 'POST', 
            P_STATUS_CODE => 'NEW', 
            P_DISPLAY => 'Submit for Regional Approval', 
            P_ACTIVE => 'Y', 
            P_SEQ => 1, 
            P_RULE_MIN => null, 
            P_RULE_MAX => null, 
            P_INITIATOR_EVAL => 'ALL', 
            P_CONDITION_EVAL => 'ALL', 
            P_PREREQUISITE_EVAL => 'ALL', 
            P_ACTION_PAGE => 20, 
            P_EVENT_CODE => 'SUBMITTED');
V_RULES(V_RULES.LAST) := V_RULE0_SID;
V_RULE_COMPONENTS.EXTEND;
V_RULE0_COMPONENT_SID:=ACM_MDE3.Import_Rule_Process(P_RULE_SID => V_RULE0_SID,
            P_PROCESS_CODE => 'CHANGE_STATUS',
            P_SEQ => 1, 
            P_STATUS_CODE => 'AWAIT_REGNL_APROVE', 
            P_NOTIF_TYPE_CODE => null);
V_RULE_COMPONENTS(V_RULE_COMPONENTS.LAST) := V_RULE0_COMPONENT_SID;
V_RULE_COMPONENTS.EXTEND;
V_RULE0_COMPONENT_SID:=ACM_MDE3.Import_Rule_Process(P_RULE_SID => V_RULE0_SID,
            P_PROCESS_CODE => 'SET_NEXT_DUE_DATE',
            P_SEQ => 2, 
            P_STATUS_CODE => null, 
            P_NOTIF_TYPE_CODE => null);
V_RULE_COMPONENTS(V_RULE_COMPONENTS.LAST) := V_RULE0_COMPONENT_SID;
ACM_MDE3.DELETE_RULE_COMPONENTS(P_RULE_SID => V_RULE0_SID, P_EXCEPT_FOR_THESE => V_RULE_COMPONENTS);
-------------------------------------------------------------------
exception
    when OTHERS then
        raise;
end;
/



set scan off
declare
  V_OBJ_TYPE_CODE                   VARCHAR2(300);
  V_RULE0_SID                       T_ACM_RULE.SID%TYPE; -- RULE CHOSEN FOR EXPORT
  V_RULE0_COMPONENT_SID             T_ACM_RULE.SID%TYPE; -- RULE CHOSEN FOR EXPORT
  V_RULES                           T_NUM_ARRAY := T_NUM_ARRAY(); -- 
  V_RULE_COMPONENTS                 T_NUM_ARRAY := T_NUM_ARRAY(); -- 
begin
V_OBJ_TYPE_CODE := 'FILE.IRMO';
V_RULES.EXTEND;
V_RULE0_SID:=ACM_MDE3.Import_Rule(P_OBJ_TYPE_CODE => V_OBJ_TYPE_CODE, 
            P_RULE_TYPE => 'PRE', 
            P_STATUS_CODE => null, 
            P_DISPLAY => 'Edit Supporting Unit', 
            P_ACTIVE => 'Y', 
            P_SEQ => 99, 
            P_RULE_MIN => null, 
            P_RULE_MAX => null, 
            P_INITIATOR_EVAL => 'ALL', 
            P_CONDITION_EVAL => 'ALL', 
            P_PREREQUISITE_EVAL => 'ALL', 
            P_ACTION_PAGE => null, 
            P_EVENT_CODE => 'SUPPORTING_UNIT_EDITED');
V_RULES(V_RULES.LAST) := V_RULE0_SID;
V_RULE_COMPONENTS.EXTEND;
V_RULE0_COMPONENT_SID:=ACM_MDE3.Import_Rule_Initiator(P_RULE_SID => V_RULE0_SID,
            P_INITIATOR_CODE => 'HAS_PRIV', 
            P_PRIVILEGE_CODE => 'FILE.IRMO.EDIT_SUPPORTING_UNIT');
V_RULE_COMPONENTS(V_RULE_COMPONENTS.LAST) := V_RULE0_COMPONENT_SID;
V_RULE_COMPONENTS.EXTEND;
V_RULE0_COMPONENT_SID:=ACM_MDE3.Import_Rule_Initiator(P_RULE_SID => V_RULE0_SID,
            P_INITIATOR_CODE => 'IS_DEFAULT_DATA_GROUP', 
            P_PRIVILEGE_CODE => null);
V_RULE_COMPONENTS(V_RULE_COMPONENTS.LAST) := V_RULE0_COMPONENT_SID;
V_RULE_COMPONENTS.EXTEND;
V_RULE0_COMPONENT_SID:=ACM_MDE3.Import_Rule_Condition(P_RULE_SID => V_RULE0_SID,
            P_CONDITION_CODE => 'IS_NOT_CLOSED',
            P_REGION_ID => null);
V_RULE_COMPONENTS(V_RULE_COMPONENTS.LAST) := V_RULE0_COMPONENT_SID;
ACM_MDE3.DELETE_RULE_COMPONENTS(P_RULE_SID => V_RULE0_SID, P_EXCEPT_FOR_THESE => V_RULE_COMPONENTS);
-------------------------------------------------------------------
exception
    when OTHERS then
        raise;
end;
/



set scan off
declare
  V_OBJ_TYPE_CODE                   VARCHAR2(300);
  V_RULE0_SID                       T_ACM_RULE.SID%TYPE; -- RULE CHOSEN FOR EXPORT
  V_RULE0_COMPONENT_SID             T_ACM_RULE.SID%TYPE; -- RULE CHOSEN FOR EXPORT
  V_RULES                           T_NUM_ARRAY := T_NUM_ARRAY(); -- 
  V_RULE_COMPONENTS                 T_NUM_ARRAY := T_NUM_ARRAY(); -- 
begin
V_OBJ_TYPE_CODE := 'FILE.IRMO';
V_RULES.EXTEND;
V_RULE0_SID:=ACM_MDE3.Import_Rule(P_OBJ_TYPE_CODE => V_OBJ_TYPE_CODE, 
            P_RULE_TYPE => 'POST', 
            P_STATUS_CODE => null, 
            P_DISPLAY => 'Edit Supporting Unit', 
            P_ACTIVE => 'Y', 
            P_SEQ => 99, 
            P_RULE_MIN => null, 
            P_RULE_MAX => null, 
            P_INITIATOR_EVAL => 'ALL', 
            P_CONDITION_EVAL => 'ALL', 
            P_PREREQUISITE_EVAL => 'ALL', 
            P_ACTION_PAGE => null, 
            P_EVENT_CODE => 'SUPPORTING_UNIT_EDITED');
V_RULES(V_RULES.LAST) := V_RULE0_SID;
ACM_MDE3.DELETE_RULE_COMPONENTS(P_RULE_SID => V_RULE0_SID, P_EXCEPT_FOR_THESE => V_RULE_COMPONENTS);
-------------------------------------------------------------------
exception
    when OTHERS then
        raise;
end;
/



set scan off
declare
  V_OBJ_TYPE_CODE                   VARCHAR2(300);
  V_RULE0_SID                       T_ACM_RULE.SID%TYPE; -- RULE CHOSEN FOR EXPORT
  V_RULE0_COMPONENT_SID             T_ACM_RULE.SID%TYPE; -- RULE CHOSEN FOR EXPORT
  V_RULES                           T_NUM_ARRAY := T_NUM_ARRAY(); -- 
  V_RULE_COMPONENTS                 T_NUM_ARRAY := T_NUM_ARRAY(); -- 
begin
V_OBJ_TYPE_CODE := 'FILE.IRMO';
V_RULES.EXTEND;
V_RULE0_SID:=ACM_MDE3.Import_Rule(P_OBJ_TYPE_CODE => V_OBJ_TYPE_CODE, 
            P_RULE_TYPE => 'PRE', 
            P_STATUS_CODE => null, 
            P_DISPLAY => 'Add Work Hours', 
            P_ACTIVE => 'Y', 
            P_SEQ => 1, 
            P_RULE_MIN => null, 
            P_RULE_MAX => null, 
            P_INITIATOR_EVAL => 'ALL', 
            P_CONDITION_EVAL => 'ALL', 
            P_PREREQUISITE_EVAL => 'ALL', 
            P_ACTION_PAGE => null, 
            P_EVENT_CODE => 'WK_HOURS_ADDED');
V_RULES(V_RULES.LAST) := V_RULE0_SID;
V_RULE_COMPONENTS.EXTEND;
V_RULE0_COMPONENT_SID:=ACM_MDE3.Import_Rule_Initiator(P_RULE_SID => V_RULE0_SID,
            P_INITIATOR_CODE => 'HAS_PRIV', 
            P_PRIVILEGE_CODE => 'FILE.IRMO.SAVE');
V_RULE_COMPONENTS(V_RULE_COMPONENTS.LAST) := V_RULE0_COMPONENT_SID;
V_RULE_COMPONENTS.EXTEND;
V_RULE0_COMPONENT_SID:=ACM_MDE3.Import_Rule_Initiator(P_RULE_SID => V_RULE0_SID,
            P_INITIATOR_CODE => 'IS_DEFAULT_DATA_GROUP', 
            P_PRIVILEGE_CODE => null);
V_RULE_COMPONENTS(V_RULE_COMPONENTS.LAST) := V_RULE0_COMPONENT_SID;
ACM_MDE3.DELETE_RULE_COMPONENTS(P_RULE_SID => V_RULE0_SID, P_EXCEPT_FOR_THESE => V_RULE_COMPONENTS);
-------------------------------------------------------------------
exception
    when OTHERS then
        raise;
end;
/



set scan off
declare
  V_OBJ_TYPE_CODE                   VARCHAR2(300);
  V_RULE0_SID                       T_ACM_RULE.SID%TYPE; -- RULE CHOSEN FOR EXPORT
  V_RULE0_COMPONENT_SID             T_ACM_RULE.SID%TYPE; -- RULE CHOSEN FOR EXPORT
  V_RULES                           T_NUM_ARRAY := T_NUM_ARRAY(); -- 
  V_RULE_COMPONENTS                 T_NUM_ARRAY := T_NUM_ARRAY(); -- 
begin
V_OBJ_TYPE_CODE := 'FILE.IRMO';
V_RULES.EXTEND;
V_RULE0_SID:=ACM_MDE3.Import_Rule(P_OBJ_TYPE_CODE => V_OBJ_TYPE_CODE, 
            P_RULE_TYPE => 'PRE', 
            P_STATUS_CODE => null, 
            P_DISPLAY => 'Delete Work Hours', 
            P_ACTIVE => 'Y', 
            P_SEQ => 1, 
            P_RULE_MIN => null, 
            P_RULE_MAX => null, 
            P_INITIATOR_EVAL => 'ALL', 
            P_CONDITION_EVAL => 'ALL', 
            P_PREREQUISITE_EVAL => 'ALL', 
            P_ACTION_PAGE => null, 
            P_EVENT_CODE => 'WK_HOURS_DELETED');
V_RULES(V_RULES.LAST) := V_RULE0_SID;
V_RULE_COMPONENTS.EXTEND;
V_RULE0_COMPONENT_SID:=ACM_MDE3.Import_Rule_Initiator(P_RULE_SID => V_RULE0_SID,
            P_INITIATOR_CODE => 'IS_DEFAULT_DATA_GROUP', 
            P_PRIVILEGE_CODE => null);
V_RULE_COMPONENTS(V_RULE_COMPONENTS.LAST) := V_RULE0_COMPONENT_SID;
V_RULE_COMPONENTS.EXTEND;
V_RULE0_COMPONENT_SID:=ACM_MDE3.Import_Rule_Initiator(P_RULE_SID => V_RULE0_SID,
            P_INITIATOR_CODE => 'HAS_PRIV', 
            P_PRIVILEGE_CODE => 'FILE.IRMO.APPROVE');
V_RULE_COMPONENTS(V_RULE_COMPONENTS.LAST) := V_RULE0_COMPONENT_SID;
ACM_MDE3.DELETE_RULE_COMPONENTS(P_RULE_SID => V_RULE0_SID, P_EXCEPT_FOR_THESE => V_RULE_COMPONENTS);
-------------------------------------------------------------------
exception
    when OTHERS then
        raise;
end;
/



set scan off
declare
  V_OBJ_TYPE_CODE                   VARCHAR2(300);
  V_RULE0_SID                       T_ACM_RULE.SID%TYPE; -- RULE CHOSEN FOR EXPORT
  V_RULE0_COMPONENT_SID             T_ACM_RULE.SID%TYPE; -- RULE CHOSEN FOR EXPORT
  V_RULES                           T_NUM_ARRAY := T_NUM_ARRAY(); -- 
  V_RULE_COMPONENTS                 T_NUM_ARRAY := T_NUM_ARRAY(); -- 
begin
V_OBJ_TYPE_CODE := 'FILE.IRMO';
V_RULES.EXTEND;
V_RULE0_SID:=ACM_MDE3.Import_Rule(P_OBJ_TYPE_CODE => V_OBJ_TYPE_CODE, 
            P_RULE_TYPE => 'PRE', 
            P_STATUS_CODE => null, 
            P_DISPLAY => 'Edit Work Hours', 
            P_ACTIVE => 'Y', 
            P_SEQ => 1, 
            P_RULE_MIN => null, 
            P_RULE_MAX => null, 
            P_INITIATOR_EVAL => 'ALL', 
            P_CONDITION_EVAL => 'ALL', 
            P_PREREQUISITE_EVAL => 'ALL', 
            P_ACTION_PAGE => null, 
            P_EVENT_CODE => 'WK_HOURS_EDITED');
V_RULES(V_RULES.LAST) := V_RULE0_SID;
V_RULE_COMPONENTS.EXTEND;
V_RULE0_COMPONENT_SID:=ACM_MDE3.Import_Rule_Initiator(P_RULE_SID => V_RULE0_SID,
            P_INITIATOR_CODE => 'HAS_PRIV', 
            P_PRIVILEGE_CODE => 'FILE.IRMO.SAVE');
V_RULE_COMPONENTS(V_RULE_COMPONENTS.LAST) := V_RULE0_COMPONENT_SID;
V_RULE_COMPONENTS.EXTEND;
V_RULE0_COMPONENT_SID:=ACM_MDE3.Import_Rule_Initiator(P_RULE_SID => V_RULE0_SID,
            P_INITIATOR_CODE => 'IS_DEFAULT_DATA_GROUP', 
            P_PRIVILEGE_CODE => null);
V_RULE_COMPONENTS(V_RULE_COMPONENTS.LAST) := V_RULE0_COMPONENT_SID;
V_RULE_COMPONENTS.EXTEND;
V_RULE0_COMPONENT_SID:=ACM_MDE3.Import_Rule_Condition(P_RULE_SID => V_RULE0_SID,
            P_CONDITION_CODE => 'IS_NOT_CLOSED',
            P_REGION_ID => null);
V_RULE_COMPONENTS(V_RULE_COMPONENTS.LAST) := V_RULE0_COMPONENT_SID;
ACM_MDE3.DELETE_RULE_COMPONENTS(P_RULE_SID => V_RULE0_SID, P_EXCEPT_FOR_THESE => V_RULE_COMPONENTS);
-------------------------------------------------------------------
exception
    when OTHERS then
        raise;
end;
/
