set scan off
declare
  V_OBJ_TYPE_CODE                   VARCHAR2(300);
  V_RULE0_SID                       T_ACM_RULE.SID%TYPE; -- RULE CHOSEN FOR EXPORT
  V_RULE0_COMPONENT_SID             T_ACM_RULE.SID%TYPE; -- RULE CHOSEN FOR EXPORT
  V_RULES                           T_NUM_ARRAY := T_NUM_ARRAY(); -- 
  V_RULE_COMPONENTS                 T_NUM_ARRAY := T_NUM_ARRAY(); -- 
begin
V_OBJ_TYPE_CODE := 'FILE.IRMO';
V_RULES.EXTEND;
V_RULE0_SID:=ACM_MDE3.Import_Rule(P_OBJ_TYPE_CODE => V_OBJ_TYPE_CODE, 
            P_RULE_TYPE => 'PRE', 
            P_STATUS_CODE => 'AWAIT_LOCAL_APROVE', 
            P_DISPLAY => 'Approve', 
            P_ACTIVE => 'Y', 
            P_SEQ => 1, 
            P_RULE_MIN => null, 
            P_RULE_MAX => null, 
            P_INITIATOR_EVAL => 'ALL', 
            P_CONDITION_EVAL => 'ALL', 
            P_PREREQUISITE_EVAL => 'ALL', 
            P_ACTION_PAGE => null, 
            P_EVENT_CODE => 'APPROVED');
V_RULES(V_RULES.LAST) := V_RULE0_SID;
V_RULE_COMPONENTS.EXTEND;
V_RULE0_COMPONENT_SID:=ACM_MDE3.Import_Rule_Initiator(P_RULE_SID => V_RULE0_SID,
            P_INITIATOR_CODE => 'IS_DEFAULT_DATA_GROUP', 
            P_PRIVILEGE_CODE => null);
V_RULE_COMPONENTS(V_RULE_COMPONENTS.LAST) := V_RULE0_COMPONENT_SID;
V_RULE_COMPONENTS.EXTEND;
V_RULE0_COMPONENT_SID:=ACM_MDE3.Import_Rule_Initiator(P_RULE_SID => V_RULE0_SID,
            P_INITIATOR_CODE => 'HAS_PRIV', 
            P_PRIVILEGE_CODE => 'FILE.IRMO.SAVE');
V_RULE_COMPONENTS(V_RULE_COMPONENTS.LAST) := V_RULE0_COMPONENT_SID;
V_RULE_COMPONENTS.EXTEND;
V_RULE0_COMPONENT_SID:=ACM_MDE3.Import_Rule_Condition(P_RULE_SID => V_RULE0_SID,
            P_CONDITION_CODE => 'HAS_COMPONENT',
            P_REGION_ID => 'R2180_DHS_COMPONENTS');
V_RULE_COMPONENTS(V_RULE_COMPONENTS.LAST) := V_RULE0_COMPONENT_SID;
V_RULE_COMPONENTS.EXTEND;
V_RULE0_COMPONENT_SID:=ACM_MDE3.Import_Rule_Condition(P_RULE_SID => V_RULE0_SID,
            P_CONDITION_CODE => 'HAS_PRIMARY_PRI',
            P_REGION_ID => 'R2180_CI_INCIDENT');
V_RULE_COMPONENTS(V_RULE_COMPONENTS.LAST) := V_RULE0_COMPONENT_SID;
V_RULE_COMPONENTS.EXTEND;
V_RULE0_COMPONENT_SID:=ACM_MDE3.Import_Rule_Condition(P_RULE_SID => V_RULE0_SID,
            P_CONDITION_CODE => 'IRMO_HAS_RECEIPT_METHOD',
            P_REGION_ID => 'R2180_FILE_DETAILS');
V_RULE_COMPONENTS(V_RULE_COMPONENTS.LAST) := V_RULE0_COMPONENT_SID;
V_RULE_COMPONENTS.EXTEND;
V_RULE0_COMPONENT_SID:=ACM_MDE3.Import_Rule_Condition(P_RULE_SID => V_RULE0_SID,
            P_CONDITION_CODE => 'IS_NOT_CLOSED',
            P_REGION_ID => null);
V_RULE_COMPONENTS(V_RULE_COMPONENTS.LAST) := V_RULE0_COMPONENT_SID;
V_RULE_COMPONENTS.EXTEND;
V_RULE0_COMPONENT_SID:=ACM_MDE3.Import_Rule_Condition(P_RULE_SID => V_RULE0_SID,
            P_CONDITION_CODE => 'SUBJECT_HAS_CLEARANCE',
            P_REGION_ID => 'R2150_PARTICIPANTS');
V_RULE_COMPONENTS(V_RULE_COMPONENTS.LAST) := V_RULE0_COMPONENT_SID;
V_RULE_COMPONENTS.EXTEND;
V_RULE0_COMPONENT_SID:=ACM_MDE3.Import_Rule_Condition(P_RULE_SID => V_RULE0_SID,
            P_CONDITION_CODE => 'SUBJECT_HAS_NATIONALITY',
            P_REGION_ID => 'R2150_PARTICIPANTS');
V_RULE_COMPONENTS(V_RULE_COMPONENTS.LAST) := V_RULE0_COMPONENT_SID;
V_RULE_COMPONENTS.EXTEND;
V_RULE0_COMPONENT_SID:=ACM_MDE3.Import_Rule_Condition(P_RULE_SID => V_RULE0_SID,
            P_CONDITION_CODE => 'SUBJECT_HAS_TRS_EMP',
            P_REGION_ID => 'R2150_PARTICIPANTS');
V_RULE_COMPONENTS(V_RULE_COMPONENTS.LAST) := V_RULE0_COMPONENT_SID;
V_RULE_COMPONENTS.EXTEND;
V_RULE0_COMPONENT_SID:=ACM_MDE3.Import_Rule_Condition(P_RULE_SID => V_RULE0_SID,
            P_CONDITION_CODE => 'SUBJECT_HAS_US_PERSON',
            P_REGION_ID => 'R2150_PARTICIPANTS');
V_RULE_COMPONENTS(V_RULE_COMPONENTS.LAST) := V_RULE0_COMPONENT_SID;
ACM_MDE3.DELETE_RULE_COMPONENTS(P_RULE_SID => V_RULE0_SID, P_EXCEPT_FOR_THESE => V_RULE_COMPONENTS);
-------------------------------------------------------------------
exception
    when OTHERS then
        raise;
end;
/

set scan off
declare
  V_OBJ_TYPE_CODE                   VARCHAR2(300);
  V_RULE0_SID                       T_ACM_RULE.SID%TYPE; -- RULE CHOSEN FOR EXPORT
  V_RULE0_COMPONENT_SID             T_ACM_RULE.SID%TYPE; -- RULE CHOSEN FOR EXPORT
  V_RULES                           T_NUM_ARRAY := T_NUM_ARRAY(); -- 
  V_RULE_COMPONENTS                 T_NUM_ARRAY := T_NUM_ARRAY(); -- 
begin
V_OBJ_TYPE_CODE := 'FILE.IRMO';
V_RULES.EXTEND;
V_RULE0_SID:=ACM_MDE3.Import_Rule(P_OBJ_TYPE_CODE => V_OBJ_TYPE_CODE, 
            P_RULE_TYPE => 'PRE', 
            P_STATUS_CODE => 'NEW', 
            P_DISPLAY => 'Submit for Review', 
            P_ACTIVE => 'Y', 
            P_SEQ => 1, 
            P_RULE_MIN => null, 
            P_RULE_MAX => null, 
            P_INITIATOR_EVAL => 'ALL', 
            P_CONDITION_EVAL => 'ALL', 
            P_PREREQUISITE_EVAL => 'ALL', 
            P_ACTION_PAGE => null, 
            P_EVENT_CODE => 'SUBMITTED');
V_RULES(V_RULES.LAST) := V_RULE0_SID;
V_RULE_COMPONENTS.EXTEND;
V_RULE0_COMPONENT_SID:=ACM_MDE3.Import_Rule_Initiator(P_RULE_SID => V_RULE0_SID,
            P_INITIATOR_CODE => 'INDIV_STAKEHOLDER', 
            P_PRIVILEGE_CODE => null);
V_RULE_COMPONENTS(V_RULE_COMPONENTS.LAST) := V_RULE0_COMPONENT_SID;
V_RULE_COMPONENTS.EXTEND;
V_RULE0_COMPONENT_SID:=ACM_MDE3.Import_Rule_Initiator(P_RULE_SID => V_RULE0_SID,
            P_INITIATOR_CODE => 'IS_DEFAULT_DATA_GROUP', 
            P_PRIVILEGE_CODE => null);
V_RULE_COMPONENTS(V_RULE_COMPONENTS.LAST) := V_RULE0_COMPONENT_SID;
V_RULE_COMPONENTS.EXTEND;
V_RULE0_COMPONENT_SID:=ACM_MDE3.Import_Rule_Initiator(P_RULE_SID => V_RULE0_SID,
            P_INITIATOR_CODE => 'HAS_PRIV', 
            P_PRIVILEGE_CODE => 'FILE.IRMO.SAVE');
V_RULE_COMPONENTS(V_RULE_COMPONENTS.LAST) := V_RULE0_COMPONENT_SID;
V_RULE_COMPONENTS.EXTEND;
V_RULE0_COMPONENT_SID:=ACM_MDE3.Import_Rule_Condition(P_RULE_SID => V_RULE0_SID,
            P_CONDITION_CODE => 'HAS_COMPONENT',
            P_REGION_ID => 'R2180_DHS_COMPONENTS');
V_RULE_COMPONENTS(V_RULE_COMPONENTS.LAST) := V_RULE0_COMPONENT_SID;
V_RULE_COMPONENTS.EXTEND;
V_RULE0_COMPONENT_SID:=ACM_MDE3.Import_Rule_Condition(P_RULE_SID => V_RULE0_SID,
            P_CONDITION_CODE => 'HAS_PRIMARY_PRI',
            P_REGION_ID => 'R2180_CI_INCIDENT');
V_RULE_COMPONENTS(V_RULE_COMPONENTS.LAST) := V_RULE0_COMPONENT_SID;
V_RULE_COMPONENTS.EXTEND;
V_RULE0_COMPONENT_SID:=ACM_MDE3.Import_Rule_Condition(P_RULE_SID => V_RULE0_SID,
            P_CONDITION_CODE => 'IRMO_HAS_RECEIPT_METHOD',
            P_REGION_ID => 'R2180_FILE_DETAILS');
V_RULE_COMPONENTS(V_RULE_COMPONENTS.LAST) := V_RULE0_COMPONENT_SID;
V_RULE_COMPONENTS.EXTEND;
V_RULE0_COMPONENT_SID:=ACM_MDE3.Import_Rule_Condition(P_RULE_SID => V_RULE0_SID,
            P_CONDITION_CODE => 'IS_NOT_CLOSED',
            P_REGION_ID => null);
V_RULE_COMPONENTS(V_RULE_COMPONENTS.LAST) := V_RULE0_COMPONENT_SID;
V_RULE_COMPONENTS.EXTEND;
V_RULE0_COMPONENT_SID:=ACM_MDE3.Import_Rule_Condition(P_RULE_SID => V_RULE0_SID,
            P_CONDITION_CODE => 'SUBJECT_HAS_CLEARANCE',
            P_REGION_ID => 'R2150_PARTICIPANTS');
V_RULE_COMPONENTS(V_RULE_COMPONENTS.LAST) := V_RULE0_COMPONENT_SID;
V_RULE_COMPONENTS.EXTEND;
V_RULE0_COMPONENT_SID:=ACM_MDE3.Import_Rule_Condition(P_RULE_SID => V_RULE0_SID,
            P_CONDITION_CODE => 'SUBJECT_HAS_NATIONALITY',
            P_REGION_ID => 'R2150_PARTICIPANTS');
V_RULE_COMPONENTS(V_RULE_COMPONENTS.LAST) := V_RULE0_COMPONENT_SID;
V_RULE_COMPONENTS.EXTEND;
V_RULE0_COMPONENT_SID:=ACM_MDE3.Import_Rule_Condition(P_RULE_SID => V_RULE0_SID,
            P_CONDITION_CODE => 'SUBJECT_HAS_TRS_EMP',
            P_REGION_ID => 'R2150_PARTICIPANTS');
V_RULE_COMPONENTS(V_RULE_COMPONENTS.LAST) := V_RULE0_COMPONENT_SID;
V_RULE_COMPONENTS.EXTEND;
V_RULE0_COMPONENT_SID:=ACM_MDE3.Import_Rule_Condition(P_RULE_SID => V_RULE0_SID,
            P_CONDITION_CODE => 'SUBJECT_HAS_US_PERSON',
            P_REGION_ID => 'R2150_PARTICIPANTS');
V_RULE_COMPONENTS(V_RULE_COMPONENTS.LAST) := V_RULE0_COMPONENT_SID;
ACM_MDE3.DELETE_RULE_COMPONENTS(P_RULE_SID => V_RULE0_SID, P_EXCEPT_FOR_THESE => V_RULE_COMPONENTS);
-------------------------------------------------------------------
exception
    when OTHERS then
        raise;
end;
/

DELETE FROM T_ACM_RULE_CONDITION
WHERE CONDITION = (SELECT SID FROM T_ACM_CONDITION WHERE EXEC_FUNCTION = 'ACM_P_FINDINGS.IRMO_HAS_FIELD_REC');